/*===========================================================================*/
/*   (Llib/pgp_composition.scm)                                              */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_composition.scm -o objs/pgp_composition.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_pgpzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2packetzd2_bglt;

typedef struct BgL_pgpzd2sigzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
} *BgL_pgpzd2sigzd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   bool_t BgL_containszd2nestedzd2sigzf3zf3;
} *BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2compressedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_packetsz00;
} *BgL_pgpzd2compressedzd2packetz00_bglt;

typedef struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt;

typedef struct BgL_pgpzd2literalzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   bool_t BgL_forzd2yourzd2eyeszd2onlyzf3z21;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_dataz00;
} *BgL_pgpzd2literalzd2packetz00_bglt;

typedef struct BgL_pgpzd2idzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2idzd2packetz00_bglt;

typedef struct BgL_signedzd2idzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2idzd2packetz00_bgl * BgL_idz00;
   obj_t BgL_sigsz00;
} *BgL_signedzd2idzd2_bglt;

typedef struct BgL_pgpzd2subkeyzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2keyzd2packetz00_bgl * BgL_keyzd2packetzd2;
   obj_t BgL_sigsz00;
   obj_t BgL_revocationzd2sigszd2;
   struct BgL_pgpzd2keyzd2_bgl * BgL_pgpzd2keyzd2;
} *BgL_pgpzd2subkeyzd2_bglt;

typedef struct BgL_pgpzd2compositionzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2compositionzd2_bglt;

typedef struct BgL_pgpzd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_subkeysz00;
   obj_t BgL_userzd2idszd2;
} *BgL_pgpzd2keyzd2_bglt;

typedef struct BgL_pgpzd2messagezd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2messagezd2_bglt;

typedef struct BgL_pgpzd2encryptedzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_sessionzd2keyszd2;
   struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl * BgL_encryptedzd2datazd2;
} *BgL_pgpzd2encryptedzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_msgz00;
   obj_t BgL_sigsz00;
} *BgL_pgpzd2signaturezd2_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_msgz00;
   obj_t BgL_sigsz00;
   obj_t BgL_onezd2passzd2sigsz00;
} *BgL_pgpzd2onezd2passzd2signaturezd2_bglt;

typedef struct BgL_pgpzd2literalzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2literalzd2packetz00_bgl * BgL_literalz00;
} *BgL_pgpzd2literalzd2_bglt;


static obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Onezd2P1332z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_encodezd2nativezd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt, obj_t);
static obj_t BGl_armoredzd2pipezd2portz00zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT bool_t BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_base64zd2encodezd2zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62encodezd2pgp1327zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_z62parsezd2packetszb0zz__openpgpzd2compositionzd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2_bglt BGl_parsezd2signaturezd2zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2compositionzd2();
static obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Encry1336zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2compositionzd2();
static BgL_signedzd2idzd2_bglt BGl_z62lambda1986z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_signedzd2idzd2_bglt BGl_z62lambda1988z62zz__openpgpzd2compositionzd2(obj_t);
extern obj_t BGl_base64zd2decodezd2pipezd2portzd2zz__openpgpzd2portzd2utilz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_objectzd2initzd2zz__openpgpzd2compositionzd2();
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Key1330zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda1994z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62lambda1995z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1999z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32114ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31990ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl__decodezd2pgpzd2zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
extern obj_t BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern obj_t BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_unreadzd2stringz12zc0zz__r4_input_6_10_2z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2compositionzd2();
BGL_IMPORT obj_t BGl_readzd2charzd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32037ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_decodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(obj_t, obj_t);
static bool_t BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_encodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_crczd2stringzd2zz__crcz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static obj_t BGl_z62encodezd2nativezd2pgpz62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2000z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda2006z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda2008z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32129ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda2014z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2015z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2019z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static obj_t BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62lambda2020z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2103z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2104z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2024z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2025z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static BgL_pgpzd2keyzd2_bglt BGl_z62lambda2029z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2110z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2030z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2112z62zz__openpgpzd2compositionzd2(obj_t);
static BgL_pgpzd2compositionzd2_bglt BGl_z62lambda2035z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62lambda2118z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2119z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2keyzd2_bglt BGl_z62lambda2043z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2literalzd2_bglt BGl_z62lambda2125z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static BgL_pgpzd2keyzd2_bglt BGl_z62lambda2045z62zz__openpgpzd2compositionzd2(obj_t);
static BgL_pgpzd2literalzd2_bglt BGl_z62lambda2127z62zz__openpgpzd2compositionzd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2compositionzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2portzd2utilz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2decodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__crcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_parsezd2keyszd2zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_parsezd2onezd2passzd2signaturezd2zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62lambda2051z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2052z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2133z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2134z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2056z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2057z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static BgL_pgpzd2messagezd2_bglt BGl_z62lambda2062z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32094ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static bool_t BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Signa1334zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2;
static BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda2070z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
static BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda2072z62zz__openpgpzd2compositionzd2(obj_t);
extern obj_t BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt, obj_t);
static obj_t BGl_z62lambda2078z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2compositionzd2();
static obj_t BGl_z62lambda2079z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2compositionzd2();
BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
extern obj_t BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2compositionzd2();
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2compositionzd2();
extern obj_t BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2083z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2084z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2;
static BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2090z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2092z62zz__openpgpzd2compositionzd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2098z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2099z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(obj_t, bool_t);
static obj_t BGl_parsezd2encryptedzd2messagez00zz__openpgpzd2compositionzd2(obj_t);
static BgL_pgpzd2literalzd2_bglt BGl_parsezd2literalzd2zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_parsezd2keyzd2zz__openpgpzd2compositionzd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_readzd2stringzd2zz__r4_input_6_10_2z00(obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
static obj_t BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT bool_t BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2pgpzb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2armoredzd2pgpz62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 36 ] ;


DEFINE_STATIC_BGL_GENERIC( BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72364za7, BGl_z62encodezd2pgpzb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1999za7622365z00, BGl_z62lambda1999z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2301z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2366za7, BGl_z62zc3z04anonymousza31990ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1988za7622367z00, BGl_z62lambda1988z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2303z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1986za7622368z00, BGl_z62lambda1986z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2015za7622369z00, BGl_z62lambda2015z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2014za7622370z00, BGl_z62lambda2014z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2020za7622371z00, BGl_z62lambda2020z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2307z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2019za7622372z00, BGl_z62lambda2019z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2308z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2025za7622373z00, BGl_z62lambda2025z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2024za7622374z00, BGl_z62lambda2024z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2310z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2030za7622375z00, BGl_z62lambda2030z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2029za7622376z00, BGl_z62lambda2029z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2312z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2377za7, BGl_z62zc3z04anonymousza32010ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2008za7622378z00, BGl_z62lambda2008z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2314z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2006za7622379z00, BGl_z62lambda2006z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2315z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2380za7, BGl_z62zc3z04anonymousza32037ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2035za7622381z00, BGl_z62lambda2035z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2317z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2052za7622382z00, BGl_z62lambda2052z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2051za7622383z00, BGl_z62lambda2051z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2319z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2057za7622384z00, BGl_z62lambda2057z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2320z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2056za7622385z00, BGl_z62lambda2056z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2321z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2386za7, BGl_z62zc3z04anonymousza32047ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2045za7622387z00, BGl_z62lambda2045z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2043za7622388z00, BGl_z62lambda2043z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2389za7, BGl_z62zc3z04anonymousza32064ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2325z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2062za7622390z00, BGl_z62lambda2062z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2326z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2079za7622391z00, BGl_z62lambda2079z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2327z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2078za7622392z00, BGl_z62lambda2078z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2084za7622393z00, BGl_z62lambda2084z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2083za7622394z00, BGl_z62lambda2083z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2254z00zz__openpgpzd2compositionzd2, BgL_bgl_string2254za700za7za7_2395za7, "parse-packets", 13 );
DEFINE_STRING( BGl_string2255z00zz__openpgpzd2compositionzd2, BgL_bgl_string2255za700za7za7_2396za7, "no packet decoded", 17 );
DEFINE_STRING( BGl_string2256z00zz__openpgpzd2compositionzd2, BgL_bgl_string2256za700za7za7_2397za7, "discarding packets", 18 );
DEFINE_STRING( BGl_string2257z00zz__openpgpzd2compositionzd2, BgL_bgl_string2257za700za7za7_2398za7, "could not parse pgp-message", 27 );
DEFINE_STRING( BGl_string2258z00zz__openpgpzd2compositionzd2, BgL_bgl_string2258za700za7za7_2399za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/openpgp/src/Llib/pgp_composition.scm", 76 );
DEFINE_STRING( BGl_string2259z00zz__openpgpzd2compositionzd2, BgL_bgl_string2259za700za7za7_2400za7, "&parse-packets", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2401za7, BGl_z62zc3z04anonymousza32074ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2072za7622402z00, BGl_z62lambda2072z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2070za7622403z00, BGl_z62lambda2070z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2333z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2099za7622404z00, BGl_z62lambda2099z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2098za7622405z00, BGl_z62lambda2098z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2335z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2104za7622406z00, BGl_z62lambda2104z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2260z00zz__openpgpzd2compositionzd2, BgL_bgl_string2260za700za7za7_2407za7, "pair-nil", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2336z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2103za7622408z00, BGl_z62lambda2103z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2261z00zz__openpgpzd2compositionzd2, BgL_bgl_string2261za700za7za7_2409za7, "parse-subkey", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2410za7, BGl_z62zc3z04anonymousza32094ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2262z00zz__openpgpzd2compositionzd2, BgL_bgl_string2262za700za7za7_2411za7, "Subkey not followed by subkey-binding Signature", 47 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2092za7622412z00, BGl_z62lambda2092z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2263z00zz__openpgpzd2compositionzd2, BgL_bgl_string2263za700za7za7_2413za7, "parse-key", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2339z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2090za7622414z00, BGl_z62lambda2090z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2264z00zz__openpgpzd2compositionzd2, BgL_bgl_string2264za700za7za7_2415za7, "At least one user ID is required", 32 );
DEFINE_STRING( BGl_string2265z00zz__openpgpzd2compositionzd2, BgL_bgl_string2265za700za7za7_2416za7, "parse-encrypted-message", 23 );
DEFINE_STRING( BGl_string2266z00zz__openpgpzd2compositionzd2, BgL_bgl_string2266za700za7za7_2417za7, "missing encrypted data packet", 29 );
DEFINE_STRING( BGl_string2267z00zz__openpgpzd2compositionzd2, BgL_bgl_string2267za700za7za7_2418za7, "Packet after encrypted data discarded", 37 );
DEFINE_STRING( BGl_string2268z00zz__openpgpzd2compositionzd2, BgL_bgl_string2268za700za7za7_2419za7, "unexpected packet encountered and discarded", 43 );
DEFINE_STRING( BGl_string2269z00zz__openpgpzd2compositionzd2, BgL_bgl_string2269za700za7za7_2420za7, "discarding packets after signature message", 42 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2340z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2119za7622421z00, BGl_z62lambda2119z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2341z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2118za7622422z00, BGl_z62lambda2118z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2423za7, BGl_z62zc3z04anonymousza32114ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2343z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2112za7622424z00, BGl_z62lambda2112z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2110za7622425z00, BGl_z62lambda2110z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2351z00zz__openpgpzd2compositionzd2, BgL_bgl_string2351za700za7za7_2426za7, "encode-pgp1327", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2134za7622427z00, BGl_z62lambda2134z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2270z00zz__openpgpzd2compositionzd2, BgL_bgl_string2270za700za7za7_2428za7, "parse-signature", 15 );
DEFINE_STRING( BGl_string2352z00zz__openpgpzd2compositionzd2, BgL_bgl_string2352za700za7za7_2429za7, "Not yet implemented", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2133za7622430z00, BGl_z62lambda2133z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2271z00zz__openpgpzd2compositionzd2, BgL_bgl_string2271za700za7za7_2431za7, "bad one-pass signature", 22 );
DEFINE_STRING( BGl_string2353z00zz__openpgpzd2compositionzd2, BgL_bgl_string2353za700za7za7_2432za7, "&encode-pgp", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2347z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2433za7, BGl_z62zc3z04anonymousza32129ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2272z00zz__openpgpzd2compositionzd2, BgL_bgl_string2272za700za7za7_2434za7, "bad one-pass-signature", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2348z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2127za7622435z00, BGl_z62lambda2127z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2273z00zz__openpgpzd2compositionzd2, BgL_bgl_string2273za700za7za7_2436za7, "parse-literal", 13 );
DEFINE_STRING( BGl_string2355z00zz__openpgpzd2compositionzd2, BgL_bgl_string2355za700za7za7_2437za7, "encode-pgp", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2349z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2125za7622438z00, BGl_z62lambda2125z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2274z00zz__openpgpzd2compositionzd2, BgL_bgl_string2274za700za7za7_2439za7, "bad Literal", 11 );
DEFINE_STRING( BGl_string2275z00zz__openpgpzd2compositionzd2, BgL_bgl_string2275za700za7za7_2440za7, "bad character `~s'", 18 );
DEFINE_STRING( BGl_string2276z00zz__openpgpzd2compositionzd2, BgL_bgl_string2276za700za7za7_2441za7, "read-armored", 12 );
DEFINE_STRING( BGl_string2277z00zz__openpgpzd2compositionzd2, BgL_bgl_string2277za700za7za7_2442za7, "bad checksum", 12 );
DEFINE_STRING( BGl_string2359z00zz__openpgpzd2compositionzd2, BgL_bgl_string2359za700za7za7_2443za7, "__openpgp-composition", 21 );
DEFINE_STRING( BGl_string2278z00zz__openpgpzd2compositionzd2, BgL_bgl_string2278za700za7za7_2444za7, "premature eof", 13 );
DEFINE_STRING( BGl_string2279z00zz__openpgpzd2compositionzd2, BgL_bgl_string2279za700za7za7_2445za7, "-----BEGIN", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgp12446z00, BGl_z62encodezd2pgp1327zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2360z00zz__openpgpzd2compositionzd2, BgL_bgl_string2360za700za7za7_2447za7, "encode-pgp PGP-Literal literal PGP-One-Pass-Signature one-pass-sigs PGP-Signature obj msg PGP-Encrypted encrypted-data session-keys PGP-Message PGP-Key user-ids pair subkeys PGP-Composition PGP-Subkey pgp-key revocation-sigs key-packet __openpgp-composition Signed-ID pair-nil sigs id :ignore-bad-packet (:ignore-bad-packet) decode-pgp radix-64-24 subkey-binding key-revocation positive-certif casual-certif persona-certif generic-certif ", 438 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2354z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72448za7, BGl_z62encodezd2pgpzd2PGPzd2Key1330zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2280z00zz__openpgpzd2compositionzd2, BgL_bgl_string2280za700za7za7_2449za7, "-----", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2356z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72450za7, BGl_z62encodezd2pgpzd2PGPzd2Onezd2P1332z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2281z00zz__openpgpzd2compositionzd2, BgL_bgl_string2281za700za7za7_2451za7, "not an armored file", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72452za7, BGl_z62encodezd2pgpzd2PGPzd2Signa1334zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2282z00zz__openpgpzd2compositionzd2, BgL_bgl_string2282za700za7za7_2453za7, "unexpected end of file", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2358z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72454za7, BGl_z62encodezd2pgpzd2PGPzd2Encry1336zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2283z00zz__openpgpzd2compositionzd2, BgL_bgl_string2283za700za7za7_2455za7, "wrong number of arguments: [1..2] expected, provided", 52 );
DEFINE_STRING( BGl_string2284z00zz__openpgpzd2compositionzd2, BgL_bgl_string2284za700za7za7_2456za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string2285z00zz__openpgpzd2compositionzd2, BgL_bgl_string2285za700za7za7_2457za7, "_decode-pgp", 11 );
DEFINE_STRING( BGl_string2286z00zz__openpgpzd2compositionzd2, BgL_bgl_string2286za700za7za7_2458za7, "bint", 4 );
DEFINE_STRING( BGl_string2287z00zz__openpgpzd2compositionzd2, BgL_bgl_string2287za700za7za7_2459za7, "input-port", 10 );
DEFINE_STRING( BGl_string2288z00zz__openpgpzd2compositionzd2, BgL_bgl_string2288za700za7za7_2460za7, "&encode-native-pgp", 18 );
DEFINE_STRING( BGl_string2289z00zz__openpgpzd2compositionzd2, BgL_bgl_string2289za700za7za7_2461za7, "PGP-Composition", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BgL_bgl__decodeza7d2pgpza7d22462z00, opt_generic_entry, BGl__decodezd2pgpzd2zz__openpgpzd2compositionzd2, BFALSE, -1 );
DEFINE_STRING( BGl_string2290z00zz__openpgpzd2compositionzd2, BgL_bgl_string2290za700za7za7_2463za7, "output-port", 11 );
DEFINE_STRING( BGl_string2291z00zz__openpgpzd2compositionzd2, BgL_bgl_string2291za700za7za7_2464za7, "&encode-armored-pgp", 19 );
DEFINE_STRING( BGl_string2292z00zz__openpgpzd2compositionzd2, BgL_bgl_string2292za700za7za7_2465za7, "bstring", 7 );
DEFINE_STRING( BGl_string2293z00zz__openpgpzd2compositionzd2, BgL_bgl_string2293za700za7za7_2466za7, "-----BEGIN ", 11 );
DEFINE_STRING( BGl_string2294z00zz__openpgpzd2compositionzd2, BgL_bgl_string2294za700za7za7_2467za7, ": ", 2 );
DEFINE_STRING( BGl_string2295z00zz__openpgpzd2compositionzd2, BgL_bgl_string2295za700za7za7_2468za7, "=", 1 );
DEFINE_STRING( BGl_string2296z00zz__openpgpzd2compositionzd2, BgL_bgl_string2296za700za7za7_2469za7, "-----END ", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2297z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1995za7622470z00, BGl_z62lambda1995z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1994za7622471z00, BGl_z62lambda1994z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2000za7622472z00, BGl_z62lambda2000z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2armoredzd2pgpzd2envzd2zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2armo2473z00, BGl_z62encodezd2armoredzd2pgpz62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2nativezd2pgpzd2envzd2zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2nati2474z00, BGl_z62encodezd2nativezd2pgpz62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_parsezd2packetszd2envz00zz__openpgpzd2compositionzd2, BgL_bgl_za762parseza7d2packe2475z00, BGl_z62parsezd2packetszb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2compositionzd2(long BgL_checksumz00_2800, char * BgL_fromz00_2801)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2compositionzd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2compositionzd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2compositionzd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2compositionzd2(); 
BGl_objectzd2initzd2zz__openpgpzd2compositionzd2(); 
BGl_genericzd2initzd2zz__openpgpzd2compositionzd2(); 
BGl_methodzd2initzd2zz__openpgpzd2compositionzd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2compositionzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__base64z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__crcz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-composition"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_cportz00_2567;
{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_stringz00_2575;
BgL_stringz00_2575 = BGl_string2360z00zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_startz00_2576;
BgL_startz00_2576 = 
BINT(((long)0)); 
{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_endz00_2577;
BgL_endz00_2577 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2575))); 
{ /* Llib/pgp_composition.scm 15 */

BgL_cportz00_2567 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2575, BgL_startz00_2576, BgL_endz00_2577); } } } } 
{ 
 long BgL_iz00_2568;
BgL_iz00_2568 = ((long)35); 
BgL_loopz00_2569:
if(
(BgL_iz00_2568==((long)-1)))
{ /* Llib/pgp_composition.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pgp_composition.scm 15 */
{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_arg2362z00_2571;
{ /* Llib/pgp_composition.scm 15 */

{ /* Llib/pgp_composition.scm 15 */
 obj_t BgL_locationz00_2573;
BgL_locationz00_2573 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_composition.scm 15 */

BgL_arg2362z00_2571 = 
BGl_readz00zz__readerz00(BgL_cportz00_2567, BgL_locationz00_2573); } } } 
{ /* Llib/pgp_composition.scm 15 */
 int BgL_tmpz00_2839;
BgL_tmpz00_2839 = 
(int)(BgL_iz00_2568); 
CNST_TABLE_SET(BgL_tmpz00_2839, BgL_arg2362z00_2571); } } 
{ /* Llib/pgp_composition.scm 15 */
 int BgL_auxz00_2574;
BgL_auxz00_2574 = 
(int)(
(BgL_iz00_2568-((long)1))); 
{ 
 long BgL_iz00_2844;
BgL_iz00_2844 = 
(long)(BgL_auxz00_2574); 
BgL_iz00_2568 = BgL_iz00_2844; 
goto BgL_loopz00_2569;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
return BUNSPEC;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_62;
BgL_headz00_62 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_63; obj_t BgL_tailz00_64;
BgL_prevz00_63 = BgL_headz00_62; 
BgL_tailz00_64 = BgL_l1z00_1; 
BgL_loopz00_65:
if(
PAIRP(BgL_tailz00_64))
{ 
 obj_t BgL_newzd2prevzd2_67;
BgL_newzd2prevzd2_67 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_64), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_63, BgL_newzd2prevzd2_67); 
{ 
 obj_t BgL_tailz00_2854; obj_t BgL_prevz00_2853;
BgL_prevz00_2853 = BgL_newzd2prevzd2_67; 
BgL_tailz00_2854 = 
CDR(BgL_tailz00_64); 
BgL_tailz00_64 = BgL_tailz00_2854; 
BgL_prevz00_63 = BgL_prevz00_2853; 
goto BgL_loopz00_65;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_62);} } } 

}



/* parse-packets */
BGL_EXPORTED_DEF obj_t BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_5)
{
{ /* Llib/pgp_composition.scm 72 */
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2:
if(
NULLP(BgL_packetsz00_5))
{ /* Llib/pgp_composition.scm 75 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2254z00zz__openpgpzd2compositionzd2, BGl_string2255z00zz__openpgpzd2compositionzd2, BFALSE);}  else 
{ /* Llib/pgp_composition.scm 79 */
 bool_t BgL_test2480z00_2860;
{ /* Llib/pgp_composition.scm 79 */
 bool_t BgL_test2481z00_2861;
{ /* Llib/pgp_composition.scm 79 */
 obj_t BgL_arg1564z00_107;
BgL_arg1564z00_107 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 79 */
 obj_t BgL_classz00_1134;
BgL_classz00_1134 = BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1564z00_107))
{ /* Llib/pgp_composition.scm 79 */
 BgL_objectz00_bglt BgL_arg1797z00_1136;
BgL_arg1797z00_1136 = 
(BgL_objectz00_bglt)(BgL_arg1564z00_107); 
{ /* Llib/pgp_composition.scm 79 */
 bool_t BgL_arg1794z00_1139; bool_t BgL_arg1795z00_1140;
{ /* Llib/pgp_composition.scm 79 */
 long BgL_idxz00_1143;
BgL_idxz00_1143 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1136); 
BgL_arg1794z00_1139 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1143+((long)2)))==BgL_classz00_1134); } 
{ /* Llib/pgp_composition.scm 79 */
 bool_t BgL_res2199z00_1165;
{ /* Llib/pgp_composition.scm 79 */
 obj_t BgL_oclassz00_1151;
{ /* Llib/pgp_composition.scm 79 */
 long BgL_arg1804z00_1157;
{ /* Llib/pgp_composition.scm 79 */
 long BgL_arg1805z00_1158;
BgL_arg1805z00_1158 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1136); 
BgL_arg1804z00_1157 = 
(BgL_arg1805z00_1158-OBJECT_TYPE); } 
BgL_oclassz00_1151 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1157); } 
{ /* Llib/pgp_composition.scm 79 */
 bool_t BgL__ortest_1111z00_1152;
BgL__ortest_1111z00_1152 = 
(BgL_classz00_1134==BgL_oclassz00_1151); 
if(BgL__ortest_1111z00_1152)
{ /* Llib/pgp_composition.scm 79 */
BgL_res2199z00_1165 = BgL__ortest_1111z00_1152; }  else 
{ /* Llib/pgp_composition.scm 79 */
 long BgL_odepthz00_1153;
BgL_odepthz00_1153 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1151); 
if(
(((long)2)<BgL_odepthz00_1153))
{ /* Llib/pgp_composition.scm 79 */
 obj_t BgL_arg1793z00_1155;
BgL_arg1793z00_1155 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1151, ((long)2)); 
BgL_res2199z00_1165 = 
(BgL_arg1793z00_1155==BgL_classz00_1134); }  else 
{ /* Llib/pgp_composition.scm 79 */
BgL_res2199z00_1165 = ((bool_t)0); } } } } 
BgL_arg1795z00_1140 = BgL_res2199z00_1165; } 
BgL_test2481z00_2861 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1139, BgL_arg1795z00_1140); } }  else 
{ /* Llib/pgp_composition.scm 79 */
BgL_test2481z00_2861 = ((bool_t)0)
; } } } 
if(BgL_test2481z00_2861)
{ /* Llib/pgp_composition.scm 79 */
if(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
CAR(BgL_packetsz00_5))))->BgL_subkeyzf3zf3))
{ /* Llib/pgp_composition.scm 81 */
BgL_test2480z00_2860 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 81 */
BgL_test2480z00_2860 = ((bool_t)1)
; } }  else 
{ /* Llib/pgp_composition.scm 79 */
BgL_test2480z00_2860 = ((bool_t)0)
; } } 
if(BgL_test2480z00_2860)
{ /* Llib/pgp_composition.scm 79 */
return 
BGl_parsezd2keyszd2zz__openpgpzd2compositionzd2(BgL_packetsz00_5);}  else 
{ /* Llib/pgp_composition.scm 83 */
 bool_t BgL_test2486z00_2886;
{ /* Llib/pgp_composition.scm 83 */
 bool_t BgL_test2487z00_2887;
{ /* Llib/pgp_composition.scm 83 */
 obj_t BgL_arg1563z00_103;
BgL_arg1563z00_103 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 83 */
 obj_t BgL_classz00_1168;
BgL_classz00_1168 = BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1563z00_103))
{ /* Llib/pgp_composition.scm 83 */
 BgL_objectz00_bglt BgL_arg1797z00_1170;
BgL_arg1797z00_1170 = 
(BgL_objectz00_bglt)(BgL_arg1563z00_103); 
{ /* Llib/pgp_composition.scm 83 */
 bool_t BgL_arg1794z00_1173; bool_t BgL_arg1795z00_1174;
{ /* Llib/pgp_composition.scm 83 */
 long BgL_idxz00_1177;
BgL_idxz00_1177 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1170); 
BgL_arg1794z00_1173 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1177+((long)2)))==BgL_classz00_1168); } 
{ /* Llib/pgp_composition.scm 83 */
 bool_t BgL_res2200z00_1199;
{ /* Llib/pgp_composition.scm 83 */
 obj_t BgL_oclassz00_1185;
{ /* Llib/pgp_composition.scm 83 */
 long BgL_arg1804z00_1191;
{ /* Llib/pgp_composition.scm 83 */
 long BgL_arg1805z00_1192;
BgL_arg1805z00_1192 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1170); 
BgL_arg1804z00_1191 = 
(BgL_arg1805z00_1192-OBJECT_TYPE); } 
BgL_oclassz00_1185 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1191); } 
{ /* Llib/pgp_composition.scm 83 */
 bool_t BgL__ortest_1111z00_1186;
BgL__ortest_1111z00_1186 = 
(BgL_classz00_1168==BgL_oclassz00_1185); 
if(BgL__ortest_1111z00_1186)
{ /* Llib/pgp_composition.scm 83 */
BgL_res2200z00_1199 = BgL__ortest_1111z00_1186; }  else 
{ /* Llib/pgp_composition.scm 83 */
 long BgL_odepthz00_1187;
BgL_odepthz00_1187 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1185); 
if(
(((long)2)<BgL_odepthz00_1187))
{ /* Llib/pgp_composition.scm 83 */
 obj_t BgL_arg1793z00_1189;
BgL_arg1793z00_1189 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1185, ((long)2)); 
BgL_res2200z00_1199 = 
(BgL_arg1793z00_1189==BgL_classz00_1168); }  else 
{ /* Llib/pgp_composition.scm 83 */
BgL_res2200z00_1199 = ((bool_t)0); } } } } 
BgL_arg1795z00_1174 = BgL_res2200z00_1199; } 
BgL_test2487z00_2887 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1173, BgL_arg1795z00_1174); } }  else 
{ /* Llib/pgp_composition.scm 83 */
BgL_test2487z00_2887 = ((bool_t)0)
; } } } 
if(BgL_test2487z00_2887)
{ /* Llib/pgp_composition.scm 83 */
BgL_test2486z00_2886 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_composition.scm 84 */
 obj_t BgL_arg1555z00_102;
BgL_arg1555z00_102 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 84 */
 obj_t BgL_classz00_1201;
BgL_classz00_1201 = BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1555z00_102))
{ /* Llib/pgp_composition.scm 84 */
 BgL_objectz00_bglt BgL_arg1797z00_1203;
BgL_arg1797z00_1203 = 
(BgL_objectz00_bglt)(BgL_arg1555z00_102); 
{ /* Llib/pgp_composition.scm 84 */
 bool_t BgL_arg1794z00_1206; bool_t BgL_arg1795z00_1207;
{ /* Llib/pgp_composition.scm 84 */
 long BgL_idxz00_1210;
BgL_idxz00_1210 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1203); 
BgL_arg1794z00_1206 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1210+((long)2)))==BgL_classz00_1201); } 
{ /* Llib/pgp_composition.scm 84 */
 bool_t BgL_res2201z00_1232;
{ /* Llib/pgp_composition.scm 84 */
 obj_t BgL_oclassz00_1218;
{ /* Llib/pgp_composition.scm 84 */
 long BgL_arg1804z00_1224;
{ /* Llib/pgp_composition.scm 84 */
 long BgL_arg1805z00_1225;
BgL_arg1805z00_1225 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1203); 
BgL_arg1804z00_1224 = 
(BgL_arg1805z00_1225-OBJECT_TYPE); } 
BgL_oclassz00_1218 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1224); } 
{ /* Llib/pgp_composition.scm 84 */
 bool_t BgL__ortest_1111z00_1219;
BgL__ortest_1111z00_1219 = 
(BgL_classz00_1201==BgL_oclassz00_1218); 
if(BgL__ortest_1111z00_1219)
{ /* Llib/pgp_composition.scm 84 */
BgL_res2201z00_1232 = BgL__ortest_1111z00_1219; }  else 
{ /* Llib/pgp_composition.scm 84 */
 long BgL_odepthz00_1220;
BgL_odepthz00_1220 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1218); 
if(
(((long)2)<BgL_odepthz00_1220))
{ /* Llib/pgp_composition.scm 84 */
 obj_t BgL_arg1793z00_1222;
BgL_arg1793z00_1222 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1218, ((long)2)); 
BgL_res2201z00_1232 = 
(BgL_arg1793z00_1222==BgL_classz00_1201); }  else 
{ /* Llib/pgp_composition.scm 84 */
BgL_res2201z00_1232 = ((bool_t)0); } } } } 
BgL_arg1795z00_1207 = BgL_res2201z00_1232; } 
BgL_test2486z00_2886 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1206, BgL_arg1795z00_1207); } }  else 
{ /* Llib/pgp_composition.scm 84 */
BgL_test2486z00_2886 = ((bool_t)0)
; } } } } 
if(BgL_test2486z00_2886)
{ /* Llib/pgp_composition.scm 83 */
return 
BGl_parsezd2encryptedzd2messagez00zz__openpgpzd2compositionzd2(BgL_packetsz00_5);}  else 
{ /* Llib/pgp_composition.scm 86 */
 bool_t BgL_test2494z00_2927;
{ /* Llib/pgp_composition.scm 86 */
 obj_t BgL_arg1554z00_100;
BgL_arg1554z00_100 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 86 */
 obj_t BgL_classz00_1234;
BgL_classz00_1234 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1554z00_100))
{ /* Llib/pgp_composition.scm 86 */
 BgL_objectz00_bglt BgL_arg1797z00_1236;
BgL_arg1797z00_1236 = 
(BgL_objectz00_bglt)(BgL_arg1554z00_100); 
{ /* Llib/pgp_composition.scm 86 */
 bool_t BgL_arg1794z00_1239; bool_t BgL_arg1795z00_1240;
{ /* Llib/pgp_composition.scm 86 */
 long BgL_idxz00_1243;
BgL_idxz00_1243 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1236); 
BgL_arg1794z00_1239 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1243+((long)3)))==BgL_classz00_1234); } 
{ /* Llib/pgp_composition.scm 86 */
 bool_t BgL_res2202z00_1265;
{ /* Llib/pgp_composition.scm 86 */
 obj_t BgL_oclassz00_1251;
{ /* Llib/pgp_composition.scm 86 */
 long BgL_arg1804z00_1257;
{ /* Llib/pgp_composition.scm 86 */
 long BgL_arg1805z00_1258;
BgL_arg1805z00_1258 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1236); 
BgL_arg1804z00_1257 = 
(BgL_arg1805z00_1258-OBJECT_TYPE); } 
BgL_oclassz00_1251 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1257); } 
{ /* Llib/pgp_composition.scm 86 */
 bool_t BgL__ortest_1111z00_1252;
BgL__ortest_1111z00_1252 = 
(BgL_classz00_1234==BgL_oclassz00_1251); 
if(BgL__ortest_1111z00_1252)
{ /* Llib/pgp_composition.scm 86 */
BgL_res2202z00_1265 = BgL__ortest_1111z00_1252; }  else 
{ /* Llib/pgp_composition.scm 86 */
 long BgL_odepthz00_1253;
BgL_odepthz00_1253 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1251); 
if(
(((long)3)<BgL_odepthz00_1253))
{ /* Llib/pgp_composition.scm 86 */
 obj_t BgL_arg1793z00_1255;
BgL_arg1793z00_1255 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1251, ((long)3)); 
BgL_res2202z00_1265 = 
(BgL_arg1793z00_1255==BgL_classz00_1234); }  else 
{ /* Llib/pgp_composition.scm 86 */
BgL_res2202z00_1265 = ((bool_t)0); } } } } 
BgL_arg1795z00_1240 = BgL_res2202z00_1265; } 
BgL_test2494z00_2927 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1239, BgL_arg1795z00_1240); } }  else 
{ /* Llib/pgp_composition.scm 86 */
BgL_test2494z00_2927 = ((bool_t)0)
; } } } 
if(BgL_test2494z00_2927)
{ /* Llib/pgp_composition.scm 86 */
return 
((obj_t)
BGl_parsezd2signaturezd2zz__openpgpzd2compositionzd2(BgL_packetsz00_5));}  else 
{ /* Llib/pgp_composition.scm 88 */
 bool_t BgL_test2498z00_2949;
{ /* Llib/pgp_composition.scm 88 */
 obj_t BgL_arg1541z00_99;
BgL_arg1541z00_99 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 88 */
 obj_t BgL_classz00_1267;
BgL_classz00_1267 = BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1541z00_99))
{ /* Llib/pgp_composition.scm 88 */
 BgL_objectz00_bglt BgL_arg1797z00_1269;
BgL_arg1797z00_1269 = 
(BgL_objectz00_bglt)(BgL_arg1541z00_99); 
{ /* Llib/pgp_composition.scm 88 */
 bool_t BgL_arg1794z00_1272; bool_t BgL_arg1795z00_1273;
{ /* Llib/pgp_composition.scm 88 */
 long BgL_idxz00_1276;
BgL_idxz00_1276 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1269); 
BgL_arg1794z00_1272 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1276+((long)3)))==BgL_classz00_1267); } 
{ /* Llib/pgp_composition.scm 88 */
 bool_t BgL_res2203z00_1298;
{ /* Llib/pgp_composition.scm 88 */
 obj_t BgL_oclassz00_1284;
{ /* Llib/pgp_composition.scm 88 */
 long BgL_arg1804z00_1290;
{ /* Llib/pgp_composition.scm 88 */
 long BgL_arg1805z00_1291;
BgL_arg1805z00_1291 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1269); 
BgL_arg1804z00_1290 = 
(BgL_arg1805z00_1291-OBJECT_TYPE); } 
BgL_oclassz00_1284 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1290); } 
{ /* Llib/pgp_composition.scm 88 */
 bool_t BgL__ortest_1111z00_1285;
BgL__ortest_1111z00_1285 = 
(BgL_classz00_1267==BgL_oclassz00_1284); 
if(BgL__ortest_1111z00_1285)
{ /* Llib/pgp_composition.scm 88 */
BgL_res2203z00_1298 = BgL__ortest_1111z00_1285; }  else 
{ /* Llib/pgp_composition.scm 88 */
 long BgL_odepthz00_1286;
BgL_odepthz00_1286 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1284); 
if(
(((long)3)<BgL_odepthz00_1286))
{ /* Llib/pgp_composition.scm 88 */
 obj_t BgL_arg1793z00_1288;
BgL_arg1793z00_1288 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1284, ((long)3)); 
BgL_res2203z00_1298 = 
(BgL_arg1793z00_1288==BgL_classz00_1267); }  else 
{ /* Llib/pgp_composition.scm 88 */
BgL_res2203z00_1298 = ((bool_t)0); } } } } 
BgL_arg1795z00_1273 = BgL_res2203z00_1298; } 
BgL_test2498z00_2949 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1272, BgL_arg1795z00_1273); } }  else 
{ /* Llib/pgp_composition.scm 88 */
BgL_test2498z00_2949 = ((bool_t)0)
; } } } 
if(BgL_test2498z00_2949)
{ /* Llib/pgp_composition.scm 88 */
return 
BGl_parsezd2onezd2passzd2signaturezd2zz__openpgpzd2compositionzd2(BgL_packetsz00_5);}  else 
{ /* Llib/pgp_composition.scm 90 */
 bool_t BgL_test2502z00_2970;
{ /* Llib/pgp_composition.scm 90 */
 obj_t BgL_arg1536z00_98;
BgL_arg1536z00_98 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 90 */
 obj_t BgL_classz00_1300;
BgL_classz00_1300 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1536z00_98))
{ /* Llib/pgp_composition.scm 90 */
 BgL_objectz00_bglt BgL_arg1797z00_1302;
BgL_arg1797z00_1302 = 
(BgL_objectz00_bglt)(BgL_arg1536z00_98); 
{ /* Llib/pgp_composition.scm 90 */
 bool_t BgL_arg1794z00_1305; bool_t BgL_arg1795z00_1306;
{ /* Llib/pgp_composition.scm 90 */
 long BgL_idxz00_1309;
BgL_idxz00_1309 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1302); 
BgL_arg1794z00_1305 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1309+((long)2)))==BgL_classz00_1300); } 
{ /* Llib/pgp_composition.scm 90 */
 bool_t BgL_res2204z00_1331;
{ /* Llib/pgp_composition.scm 90 */
 obj_t BgL_oclassz00_1317;
{ /* Llib/pgp_composition.scm 90 */
 long BgL_arg1804z00_1323;
{ /* Llib/pgp_composition.scm 90 */
 long BgL_arg1805z00_1324;
BgL_arg1805z00_1324 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1302); 
BgL_arg1804z00_1323 = 
(BgL_arg1805z00_1324-OBJECT_TYPE); } 
BgL_oclassz00_1317 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1323); } 
{ /* Llib/pgp_composition.scm 90 */
 bool_t BgL__ortest_1111z00_1318;
BgL__ortest_1111z00_1318 = 
(BgL_classz00_1300==BgL_oclassz00_1317); 
if(BgL__ortest_1111z00_1318)
{ /* Llib/pgp_composition.scm 90 */
BgL_res2204z00_1331 = BgL__ortest_1111z00_1318; }  else 
{ /* Llib/pgp_composition.scm 90 */
 long BgL_odepthz00_1319;
BgL_odepthz00_1319 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1317); 
if(
(((long)2)<BgL_odepthz00_1319))
{ /* Llib/pgp_composition.scm 90 */
 obj_t BgL_arg1793z00_1321;
BgL_arg1793z00_1321 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1317, ((long)2)); 
BgL_res2204z00_1331 = 
(BgL_arg1793z00_1321==BgL_classz00_1300); }  else 
{ /* Llib/pgp_composition.scm 90 */
BgL_res2204z00_1331 = ((bool_t)0); } } } } 
BgL_arg1795z00_1306 = BgL_res2204z00_1331; } 
BgL_test2502z00_2970 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1305, BgL_arg1795z00_1306); } }  else 
{ /* Llib/pgp_composition.scm 90 */
BgL_test2502z00_2970 = ((bool_t)0)
; } } } 
if(BgL_test2502z00_2970)
{ /* Llib/pgp_composition.scm 90 */
return 
((obj_t)
BGl_parsezd2literalzd2zz__openpgpzd2compositionzd2(BgL_packetsz00_5));}  else 
{ /* Llib/pgp_composition.scm 92 */
 bool_t BgL_test2506z00_2992;
{ /* Llib/pgp_composition.scm 92 */
 obj_t BgL_arg1535z00_97;
BgL_arg1535z00_97 = 
CAR(BgL_packetsz00_5); 
{ /* Llib/pgp_composition.scm 92 */
 obj_t BgL_classz00_1333;
BgL_classz00_1333 = BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1535z00_97))
{ /* Llib/pgp_composition.scm 92 */
 BgL_objectz00_bglt BgL_arg1797z00_1335;
BgL_arg1797z00_1335 = 
(BgL_objectz00_bglt)(BgL_arg1535z00_97); 
{ /* Llib/pgp_composition.scm 92 */
 bool_t BgL_arg1794z00_1338; bool_t BgL_arg1795z00_1339;
{ /* Llib/pgp_composition.scm 92 */
 long BgL_idxz00_1342;
BgL_idxz00_1342 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1335); 
BgL_arg1794z00_1338 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1342+((long)2)))==BgL_classz00_1333); } 
{ /* Llib/pgp_composition.scm 92 */
 bool_t BgL_res2205z00_1364;
{ /* Llib/pgp_composition.scm 92 */
 obj_t BgL_oclassz00_1350;
{ /* Llib/pgp_composition.scm 92 */
 long BgL_arg1804z00_1356;
{ /* Llib/pgp_composition.scm 92 */
 long BgL_arg1805z00_1357;
BgL_arg1805z00_1357 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1335); 
BgL_arg1804z00_1356 = 
(BgL_arg1805z00_1357-OBJECT_TYPE); } 
BgL_oclassz00_1350 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1356); } 
{ /* Llib/pgp_composition.scm 92 */
 bool_t BgL__ortest_1111z00_1351;
BgL__ortest_1111z00_1351 = 
(BgL_classz00_1333==BgL_oclassz00_1350); 
if(BgL__ortest_1111z00_1351)
{ /* Llib/pgp_composition.scm 92 */
BgL_res2205z00_1364 = BgL__ortest_1111z00_1351; }  else 
{ /* Llib/pgp_composition.scm 92 */
 long BgL_odepthz00_1352;
BgL_odepthz00_1352 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1350); 
if(
(((long)2)<BgL_odepthz00_1352))
{ /* Llib/pgp_composition.scm 92 */
 obj_t BgL_arg1793z00_1354;
BgL_arg1793z00_1354 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1350, ((long)2)); 
BgL_res2205z00_1364 = 
(BgL_arg1793z00_1354==BgL_classz00_1333); }  else 
{ /* Llib/pgp_composition.scm 92 */
BgL_res2205z00_1364 = ((bool_t)0); } } } } 
BgL_arg1795z00_1339 = BgL_res2205z00_1364; } 
BgL_test2506z00_2992 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1338, BgL_arg1795z00_1339); } }  else 
{ /* Llib/pgp_composition.scm 92 */
BgL_test2506z00_2992 = ((bool_t)0)
; } } } 
if(BgL_test2506z00_2992)
{ /* Llib/pgp_composition.scm 92 */
if(
NULLP(
CDR(BgL_packetsz00_5)))
{ /* Llib/pgp_composition.scm 94 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 95 */
 obj_t BgL_list1416z00_93;
BgL_list1416z00_93 = 
MAKE_YOUNG_PAIR(BGl_string2256z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1416z00_93); } 
{ /* Llib/pgp_composition.scm 96 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_i1140z00_95;
BgL_i1140z00_95 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)
CAR(BgL_packetsz00_5)); 
{ 
 obj_t BgL_packetsz00_3019;
BgL_packetsz00_3019 = 
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_i1140z00_95))->BgL_packetsz00); 
BgL_packetsz00_5 = BgL_packetsz00_3019; 
goto BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2;} } }  else 
{ /* Llib/pgp_composition.scm 92 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2254z00zz__openpgpzd2compositionzd2, BGl_string2257z00zz__openpgpzd2compositionzd2, BgL_packetsz00_5);} } } } } } } } 

}



/* &parse-packets */
obj_t BGl_z62parsezd2packetszb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2322, obj_t BgL_packetsz00_2323)
{
{ /* Llib/pgp_composition.scm 72 */
{ /* Llib/pgp_composition.scm 75 */
 obj_t BgL_auxz00_3022;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_packetsz00_2323))
{ /* Llib/pgp_composition.scm 75 */
BgL_auxz00_3022 = BgL_packetsz00_2323
; }  else 
{ 
 obj_t BgL_auxz00_3025;
BgL_auxz00_3025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)3613)), BGl_string2259z00zz__openpgpzd2compositionzd2, BGl_string2260z00zz__openpgpzd2compositionzd2, BgL_packetsz00_2323); 
FAILURE(BgL_auxz00_3025,BFALSE,BFALSE);} 
return 
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(BgL_auxz00_3022);} } 

}



/* parse-keys */
obj_t BGl_parsezd2keyszd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_6)
{
{ /* Llib/pgp_composition.scm 108 */
{ 
 obj_t BgL_packetsz00_1384; obj_t BgL_keysz00_1385; obj_t BgL_userzd2idszd2_1386;
BgL_packetsz00_1384 = BgL_packetsz00_6; 
BgL_keysz00_1385 = BNIL; 
BgL_userzd2idszd2_1386 = BNIL; 
BgL_loopz00_1383:
if(
NULLP(BgL_packetsz00_1384))
{ /* Llib/pgp_composition.scm 113 */
return BgL_keysz00_1385;}  else 
{ /* Llib/pgp_composition.scm 115 */
 obj_t BgL_keyz00_1394;
BgL_keyz00_1394 = 
BGl_parsezd2keyzd2zz__openpgpzd2compositionzd2(BgL_packetsz00_1384, BgL_userzd2idszd2_1386); 
{ /* Llib/pgp_composition.scm 117 */
 obj_t BgL_remainingzd2packetszd2_1395; obj_t BgL_nuserzd2idszd2_1396;
{ /* Llib/pgp_composition.scm 117 */
 obj_t BgL_tmpz00_1399;
{ /* Llib/pgp_composition.scm 117 */
 int BgL_tmpz00_3033;
BgL_tmpz00_3033 = 
(int)(((long)1)); 
BgL_tmpz00_1399 = 
BGL_MVALUES_VAL(BgL_tmpz00_3033); } 
{ /* Llib/pgp_composition.scm 117 */
 int BgL_tmpz00_3036;
BgL_tmpz00_3036 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3036, BUNSPEC); } 
BgL_remainingzd2packetszd2_1395 = BgL_tmpz00_1399; } 
{ /* Llib/pgp_composition.scm 117 */
 obj_t BgL_tmpz00_1400;
{ /* Llib/pgp_composition.scm 117 */
 int BgL_tmpz00_3039;
BgL_tmpz00_3039 = 
(int)(((long)2)); 
BgL_tmpz00_1400 = 
BGL_MVALUES_VAL(BgL_tmpz00_3039); } 
{ /* Llib/pgp_composition.scm 117 */
 int BgL_tmpz00_3042;
BgL_tmpz00_3042 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3042, BUNSPEC); } 
BgL_nuserzd2idszd2_1396 = BgL_tmpz00_1400; } 
{ 
 obj_t BgL_userzd2idszd2_3048; obj_t BgL_keysz00_3046; obj_t BgL_packetsz00_3045;
BgL_packetsz00_3045 = BgL_remainingzd2packetszd2_1395; 
BgL_keysz00_3046 = 
BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(BgL_keyz00_1394, BgL_keysz00_1385); 
BgL_userzd2idszd2_3048 = 
BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(BgL_nuserzd2idszd2_1396, BgL_userzd2idszd2_1386); 
BgL_userzd2idszd2_1386 = BgL_userzd2idszd2_3048; 
BgL_keysz00_1385 = BgL_keysz00_3046; 
BgL_packetsz00_1384 = BgL_packetsz00_3045; 
goto BgL_loopz00_1383;} } } } } 

}



/* parse-key */
obj_t BGl_parsezd2keyzd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_7, obj_t BgL_userzd2idszd2_8)
{
{ /* Llib/pgp_composition.scm 124 */
{ 
 obj_t BgL_packetsz00_168; obj_t BgL_packetsz00_187; obj_t BgL_packetsz00_220; obj_t BgL_packetsz00_244;
{ /* Llib/pgp_composition.scm 221 */
 obj_t BgL_mainzd2keyzd2packetz00_127;
BgL_mainzd2keyzd2packetz00_127 = 
CAR(
((obj_t)BgL_packetsz00_7)); 
{ /* Llib/pgp_composition.scm 222 */
 obj_t BgL_revocationzd2sigszd2_128;
{ /* Llib/pgp_composition.scm 223 */
 obj_t BgL_arg1609z00_162;
BgL_arg1609z00_162 = 
CDR(
((obj_t)BgL_packetsz00_7)); 
BgL_packetsz00_168 = BgL_arg1609z00_162; 
{ 
 obj_t BgL_packetsz00_172; obj_t BgL_revocationsz00_173;
BgL_packetsz00_172 = BgL_packetsz00_168; 
BgL_revocationsz00_173 = BNIL; 
BgL_zc3z04anonymousza31613ze3z87_174:
if(
NULLP(BgL_packetsz00_172))
{ /* Llib/pgp_composition.scm 136 */
 obj_t BgL_val0_1231z00_176;
BgL_val0_1231z00_176 = 
bgl_reverse_bang(BgL_revocationsz00_173); 
{ /* Llib/pgp_composition.scm 136 */
 int BgL_tmpz00_3057;
BgL_tmpz00_3057 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3057); } 
{ /* Llib/pgp_composition.scm 136 */
 int BgL_tmpz00_3060;
BgL_tmpz00_3060 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3060, BNIL); } 
BgL_revocationzd2sigszd2_128 = BgL_val0_1231z00_176; }  else 
{ /* Llib/pgp_composition.scm 135 */
if(
BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_packetsz00_172))))
{ /* Llib/pgp_composition.scm 138 */
 obj_t BgL_arg1624z00_180; obj_t BgL_arg1642z00_181;
BgL_arg1624z00_180 = 
CDR(
((obj_t)BgL_packetsz00_172)); 
{ /* Llib/pgp_composition.scm 139 */
 obj_t BgL_arg1643z00_182;
BgL_arg1643z00_182 = 
CAR(
((obj_t)BgL_packetsz00_172)); 
BgL_arg1642z00_181 = 
MAKE_YOUNG_PAIR(BgL_arg1643z00_182, BgL_revocationsz00_173); } 
{ 
 obj_t BgL_revocationsz00_3073; obj_t BgL_packetsz00_3072;
BgL_packetsz00_3072 = BgL_arg1624z00_180; 
BgL_revocationsz00_3073 = BgL_arg1642z00_181; 
BgL_revocationsz00_173 = BgL_revocationsz00_3073; 
BgL_packetsz00_172 = BgL_packetsz00_3072; 
goto BgL_zc3z04anonymousza31613ze3z87_174;} }  else 
{ /* Llib/pgp_composition.scm 141 */
 obj_t BgL_val0_1233z00_183;
BgL_val0_1233z00_183 = 
bgl_reverse_bang(BgL_revocationsz00_173); 
{ /* Llib/pgp_composition.scm 141 */
 int BgL_tmpz00_3075;
BgL_tmpz00_3075 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3075); } 
{ /* Llib/pgp_composition.scm 141 */
 int BgL_tmpz00_3078;
BgL_tmpz00_3078 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3078, BgL_packetsz00_172); } 
BgL_revocationzd2sigszd2_128 = BgL_val0_1233z00_183; } } } } 
{ /* Llib/pgp_composition.scm 224 */
 obj_t BgL_remainingzd2packetszd2_129;
{ /* Llib/pgp_composition.scm 224 */
 obj_t BgL_tmpz00_1594;
{ /* Llib/pgp_composition.scm 224 */
 int BgL_tmpz00_3081;
BgL_tmpz00_3081 = 
(int)(((long)1)); 
BgL_tmpz00_1594 = 
BGL_MVALUES_VAL(BgL_tmpz00_3081); } 
{ /* Llib/pgp_composition.scm 224 */
 int BgL_tmpz00_3084;
BgL_tmpz00_3084 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3084, BUNSPEC); } 
BgL_remainingzd2packetszd2_129 = BgL_tmpz00_1594; } 
{ /* Llib/pgp_composition.scm 224 */
 obj_t BgL_nuserzd2idszd2_130;
BgL_packetsz00_220 = BgL_remainingzd2packetszd2_129; 
{ 
 obj_t BgL_packetsz00_224; obj_t BgL_userzd2idszd2_225;
BgL_packetsz00_224 = BgL_packetsz00_220; 
BgL_userzd2idszd2_225 = BNIL; 
BgL_zc3z04anonymousza31678ze3z87_226:
if(
NULLP(BgL_packetsz00_224))
{ /* Llib/pgp_composition.scm 168 */
 obj_t BgL_val0_1239z00_228;
BgL_val0_1239z00_228 = 
bgl_reverse_bang(BgL_userzd2idszd2_225); 
{ /* Llib/pgp_composition.scm 168 */
 int BgL_tmpz00_3090;
BgL_tmpz00_3090 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3090); } 
{ /* Llib/pgp_composition.scm 168 */
 int BgL_tmpz00_3093;
BgL_tmpz00_3093 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3093, BNIL); } 
BgL_nuserzd2idszd2_130 = BgL_val0_1239z00_228; }  else 
{ /* Llib/pgp_composition.scm 169 */
 bool_t BgL_test2516z00_3096;
{ /* Llib/pgp_composition.scm 169 */
 obj_t BgL_arg1704z00_242;
BgL_arg1704z00_242 = 
CAR(
((obj_t)BgL_packetsz00_224)); 
{ /* Llib/pgp_composition.scm 169 */
 obj_t BgL_classz00_1472;
BgL_classz00_1472 = BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1704z00_242))
{ /* Llib/pgp_composition.scm 169 */
 BgL_objectz00_bglt BgL_arg1797z00_1474;
BgL_arg1797z00_1474 = 
(BgL_objectz00_bglt)(BgL_arg1704z00_242); 
{ /* Llib/pgp_composition.scm 169 */
 bool_t BgL_arg1794z00_1477; bool_t BgL_arg1795z00_1478;
{ /* Llib/pgp_composition.scm 169 */
 long BgL_idxz00_1481;
BgL_idxz00_1481 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1474); 
BgL_arg1794z00_1477 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1481+((long)2)))==BgL_classz00_1472); } 
{ /* Llib/pgp_composition.scm 169 */
 bool_t BgL_res2208z00_1503;
{ /* Llib/pgp_composition.scm 169 */
 obj_t BgL_oclassz00_1489;
{ /* Llib/pgp_composition.scm 169 */
 long BgL_arg1804z00_1495;
{ /* Llib/pgp_composition.scm 169 */
 long BgL_arg1805z00_1496;
BgL_arg1805z00_1496 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1474); 
BgL_arg1804z00_1495 = 
(BgL_arg1805z00_1496-OBJECT_TYPE); } 
BgL_oclassz00_1489 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1495); } 
{ /* Llib/pgp_composition.scm 169 */
 bool_t BgL__ortest_1111z00_1490;
BgL__ortest_1111z00_1490 = 
(BgL_classz00_1472==BgL_oclassz00_1489); 
if(BgL__ortest_1111z00_1490)
{ /* Llib/pgp_composition.scm 169 */
BgL_res2208z00_1503 = BgL__ortest_1111z00_1490; }  else 
{ /* Llib/pgp_composition.scm 169 */
 long BgL_odepthz00_1491;
BgL_odepthz00_1491 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1489); 
if(
(((long)2)<BgL_odepthz00_1491))
{ /* Llib/pgp_composition.scm 169 */
 obj_t BgL_arg1793z00_1493;
BgL_arg1793z00_1493 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1489, ((long)2)); 
BgL_res2208z00_1503 = 
(BgL_arg1793z00_1493==BgL_classz00_1472); }  else 
{ /* Llib/pgp_composition.scm 169 */
BgL_res2208z00_1503 = ((bool_t)0); } } } } 
BgL_arg1795z00_1478 = BgL_res2208z00_1503; } 
BgL_test2516z00_3096 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1477, BgL_arg1795z00_1478); } }  else 
{ /* Llib/pgp_composition.scm 169 */
BgL_test2516z00_3096 = ((bool_t)0)
; } } } 
if(BgL_test2516z00_3096)
{ /* Llib/pgp_composition.scm 171 */
 obj_t BgL_sigsz00_232;
{ /* Llib/pgp_composition.scm 172 */
 obj_t BgL_arg1701z00_239;
BgL_arg1701z00_239 = 
CDR(
((obj_t)BgL_packetsz00_224)); 
BgL_packetsz00_187 = BgL_arg1701z00_239; 
{ 
 obj_t BgL_pktz00_207;
{ 
 obj_t BgL_packetsz00_192; obj_t BgL_sigsz00_193;
BgL_packetsz00_192 = BgL_packetsz00_187; 
BgL_sigsz00_193 = BNIL; 
BgL_zc3z04anonymousza31653ze3z87_194:
if(
NULLP(BgL_packetsz00_192))
{ /* Llib/pgp_composition.scm 155 */
 obj_t BgL_val0_1235z00_196;
BgL_val0_1235z00_196 = 
bgl_reverse_bang(BgL_sigsz00_193); 
{ /* Llib/pgp_composition.scm 155 */
 int BgL_tmpz00_3122;
BgL_tmpz00_3122 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3122); } 
{ /* Llib/pgp_composition.scm 155 */
 int BgL_tmpz00_3125;
BgL_tmpz00_3125 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3125, BNIL); } 
BgL_sigsz00_232 = BgL_val0_1235z00_196; }  else 
{ /* Llib/pgp_composition.scm 156 */
 bool_t BgL_test2521z00_3128;
BgL_pktz00_207 = 
CAR(
((obj_t)BgL_packetsz00_192)); 
{ /* Llib/pgp_composition.scm 145 */
 bool_t BgL_test2522z00_3129;
{ /* Llib/pgp_composition.scm 145 */
 obj_t BgL_classz00_1436;
BgL_classz00_1436 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pktz00_207))
{ /* Llib/pgp_composition.scm 145 */
 BgL_objectz00_bglt BgL_arg1797z00_1438;
BgL_arg1797z00_1438 = 
(BgL_objectz00_bglt)(BgL_pktz00_207); 
{ /* Llib/pgp_composition.scm 145 */
 bool_t BgL_arg1794z00_1441; bool_t BgL_arg1795z00_1442;
{ /* Llib/pgp_composition.scm 145 */
 long BgL_idxz00_1445;
BgL_idxz00_1445 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1438); 
BgL_arg1794z00_1441 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1445+((long)3)))==BgL_classz00_1436); } 
{ /* Llib/pgp_composition.scm 145 */
 bool_t BgL_res2207z00_1467;
{ /* Llib/pgp_composition.scm 145 */
 obj_t BgL_oclassz00_1453;
{ /* Llib/pgp_composition.scm 145 */
 long BgL_arg1804z00_1459;
{ /* Llib/pgp_composition.scm 145 */
 long BgL_arg1805z00_1460;
BgL_arg1805z00_1460 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1438); 
BgL_arg1804z00_1459 = 
(BgL_arg1805z00_1460-OBJECT_TYPE); } 
BgL_oclassz00_1453 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1459); } 
{ /* Llib/pgp_composition.scm 145 */
 bool_t BgL__ortest_1111z00_1454;
BgL__ortest_1111z00_1454 = 
(BgL_classz00_1436==BgL_oclassz00_1453); 
if(BgL__ortest_1111z00_1454)
{ /* Llib/pgp_composition.scm 145 */
BgL_res2207z00_1467 = BgL__ortest_1111z00_1454; }  else 
{ /* Llib/pgp_composition.scm 145 */
 long BgL_odepthz00_1455;
BgL_odepthz00_1455 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1453); 
if(
(((long)3)<BgL_odepthz00_1455))
{ /* Llib/pgp_composition.scm 145 */
 obj_t BgL_arg1793z00_1457;
BgL_arg1793z00_1457 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1453, ((long)3)); 
BgL_res2207z00_1467 = 
(BgL_arg1793z00_1457==BgL_classz00_1436); }  else 
{ /* Llib/pgp_composition.scm 145 */
BgL_res2207z00_1467 = ((bool_t)0); } } } } 
BgL_arg1795z00_1442 = BgL_res2207z00_1467; } 
BgL_test2522z00_3129 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1441, BgL_arg1795z00_1442); } }  else 
{ /* Llib/pgp_composition.scm 145 */
BgL_test2522z00_3129 = ((bool_t)0)
; } } 
if(BgL_test2522z00_3129)
{ /* Llib/pgp_composition.scm 147 */
 obj_t BgL_casezd2valuezd2_211;
BgL_casezd2valuezd2_211 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_207))))->BgL_signaturezd2typezd2); 
{ /* Llib/pgp_composition.scm 147 */
 bool_t BgL__ortest_1148z00_216;
BgL__ortest_1148z00_216 = 
(BgL_casezd2valuezd2_211==
CNST_TABLE_REF(((long)0))); 
if(BgL__ortest_1148z00_216)
{ /* Llib/pgp_composition.scm 147 */
BgL_test2521z00_3128 = BgL__ortest_1148z00_216
; }  else 
{ /* Llib/pgp_composition.scm 147 */
 bool_t BgL__ortest_1149z00_217;
BgL__ortest_1149z00_217 = 
(BgL_casezd2valuezd2_211==
CNST_TABLE_REF(((long)1))); 
if(BgL__ortest_1149z00_217)
{ /* Llib/pgp_composition.scm 147 */
BgL_test2521z00_3128 = BgL__ortest_1149z00_217
; }  else 
{ /* Llib/pgp_composition.scm 147 */
 bool_t BgL__ortest_1150z00_218;
BgL__ortest_1150z00_218 = 
(BgL_casezd2valuezd2_211==
CNST_TABLE_REF(((long)2))); 
if(BgL__ortest_1150z00_218)
{ /* Llib/pgp_composition.scm 147 */
BgL_test2521z00_3128 = BgL__ortest_1150z00_218
; }  else 
{ /* Llib/pgp_composition.scm 147 */
BgL_test2521z00_3128 = 
(BgL_casezd2valuezd2_211==
CNST_TABLE_REF(((long)3)))
; } } } } }  else 
{ /* Llib/pgp_composition.scm 145 */
BgL_test2521z00_3128 = ((bool_t)0)
; } } 
if(BgL_test2521z00_3128)
{ /* Llib/pgp_composition.scm 157 */
 obj_t BgL_arg1664z00_200; obj_t BgL_arg1672z00_201;
BgL_arg1664z00_200 = 
CDR(
((obj_t)BgL_packetsz00_192)); 
{ /* Llib/pgp_composition.scm 158 */
 obj_t BgL_arg1673z00_202;
BgL_arg1673z00_202 = 
CAR(
((obj_t)BgL_packetsz00_192)); 
BgL_arg1672z00_201 = 
MAKE_YOUNG_PAIR(BgL_arg1673z00_202, BgL_sigsz00_193); } 
{ 
 obj_t BgL_sigsz00_3170; obj_t BgL_packetsz00_3169;
BgL_packetsz00_3169 = BgL_arg1664z00_200; 
BgL_sigsz00_3170 = BgL_arg1672z00_201; 
BgL_sigsz00_193 = BgL_sigsz00_3170; 
BgL_packetsz00_192 = BgL_packetsz00_3169; 
goto BgL_zc3z04anonymousza31653ze3z87_194;} }  else 
{ /* Llib/pgp_composition.scm 160 */
 obj_t BgL_val0_1237z00_203;
BgL_val0_1237z00_203 = 
bgl_reverse_bang(BgL_sigsz00_193); 
{ /* Llib/pgp_composition.scm 160 */
 int BgL_tmpz00_3172;
BgL_tmpz00_3172 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3172); } 
{ /* Llib/pgp_composition.scm 160 */
 int BgL_tmpz00_3175;
BgL_tmpz00_3175 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3175, BgL_packetsz00_192); } 
BgL_sigsz00_232 = BgL_val0_1237z00_203; } } } } } 
{ /* Llib/pgp_composition.scm 173 */
 obj_t BgL_remainingzd2packetszd2_233;
{ /* Llib/pgp_composition.scm 173 */
 obj_t BgL_tmpz00_1505;
{ /* Llib/pgp_composition.scm 173 */
 int BgL_tmpz00_3178;
BgL_tmpz00_3178 = 
(int)(((long)1)); 
BgL_tmpz00_1505 = 
BGL_MVALUES_VAL(BgL_tmpz00_3178); } 
{ /* Llib/pgp_composition.scm 173 */
 int BgL_tmpz00_3181;
BgL_tmpz00_3181 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3181, BUNSPEC); } 
BgL_remainingzd2packetszd2_233 = BgL_tmpz00_1505; } 
{ /* Llib/pgp_composition.scm 174 */
 obj_t BgL_arg1688z00_234;
{ /* Llib/pgp_composition.scm 174 */
 BgL_signedzd2idzd2_bglt BgL_arg1691z00_235;
{ /* Llib/pgp_composition.scm 174 */
 BgL_signedzd2idzd2_bglt BgL_new1157z00_236;
{ /* Llib/pgp_composition.scm 176 */
 BgL_signedzd2idzd2_bglt BgL_new1156z00_237;
BgL_new1156z00_237 = 
((BgL_signedzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_signedzd2idzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 176 */
 long BgL_arg1692z00_238;
BgL_arg1692z00_238 = 
BGL_CLASS_NUM(BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_237), BgL_arg1692z00_238); } 
{ /* Llib/pgp_composition.scm 176 */
 BgL_objectz00_bglt BgL_tmpz00_3188;
BgL_tmpz00_3188 = 
((BgL_objectz00_bglt)BgL_new1156z00_237); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3188, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1156z00_237); 
BgL_new1157z00_236 = BgL_new1156z00_237; } 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1157z00_236))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)
((BgL_pgpzd2idzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_224)))),BUNSPEC); 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1157z00_236))->BgL_sigsz00)=((obj_t)BgL_sigsz00_232),BUNSPEC); 
BgL_arg1691z00_235 = BgL_new1157z00_236; } 
BgL_arg1688z00_234 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1691z00_235), BgL_userzd2idszd2_225); } 
{ 
 obj_t BgL_userzd2idszd2_3200; obj_t BgL_packetsz00_3199;
BgL_packetsz00_3199 = BgL_remainingzd2packetszd2_233; 
BgL_userzd2idszd2_3200 = BgL_arg1688z00_234; 
BgL_userzd2idszd2_225 = BgL_userzd2idszd2_3200; 
BgL_packetsz00_224 = BgL_packetsz00_3199; 
goto BgL_zc3z04anonymousza31678ze3z87_226;} } } }  else 
{ /* Llib/pgp_composition.scm 179 */
 obj_t BgL_val0_1241z00_240;
BgL_val0_1241z00_240 = 
bgl_reverse_bang(BgL_userzd2idszd2_225); 
{ /* Llib/pgp_composition.scm 179 */
 int BgL_tmpz00_3202;
BgL_tmpz00_3202 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3202); } 
{ /* Llib/pgp_composition.scm 179 */
 int BgL_tmpz00_3205;
BgL_tmpz00_3205 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3205, BgL_packetsz00_224); } 
BgL_nuserzd2idszd2_130 = BgL_val0_1241z00_240; } } } 
{ /* Llib/pgp_composition.scm 229 */
 obj_t BgL_remainingzd2packetszd2_131;
{ /* Llib/pgp_composition.scm 229 */
 obj_t BgL_tmpz00_1595;
{ /* Llib/pgp_composition.scm 229 */
 int BgL_tmpz00_3208;
BgL_tmpz00_3208 = 
(int)(((long)1)); 
BgL_tmpz00_1595 = 
BGL_MVALUES_VAL(BgL_tmpz00_3208); } 
{ /* Llib/pgp_composition.scm 229 */
 int BgL_tmpz00_3211;
BgL_tmpz00_3211 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3211, BUNSPEC); } 
BgL_remainingzd2packetszd2_131 = BgL_tmpz00_1595; } 
{ /* Llib/pgp_composition.scm 226 */
 bool_t BgL_test2529z00_3214;
if(
NULLP(BgL_nuserzd2idszd2_130))
{ /* Llib/pgp_composition.scm 226 */
BgL_test2529z00_3214 = 
NULLP(BgL_userzd2idszd2_8)
; }  else 
{ /* Llib/pgp_composition.scm 226 */
BgL_test2529z00_3214 = ((bool_t)0)
; } 
if(BgL_test2529z00_3214)
{ /* Llib/pgp_composition.scm 226 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2263z00zz__openpgpzd2compositionzd2, BGl_string2264z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 226 */BFALSE; } } 
{ /* Llib/pgp_composition.scm 230 */
 obj_t BgL_subkeysz00_135;
BgL_packetsz00_244 = BgL_remainingzd2packetszd2_131; 
{ 
 obj_t BgL_packetsz00_249; obj_t BgL_subkeysz00_250;
BgL_packetsz00_249 = BgL_packetsz00_244; 
BgL_subkeysz00_250 = BNIL; 
BgL_zc3z04anonymousza31706ze3z87_251:
{ /* Llib/pgp_composition.scm 189 */
 bool_t BgL_test2531z00_3219;
if(
NULLP(BgL_packetsz00_249))
{ /* Llib/pgp_composition.scm 189 */
BgL_test2531z00_3219 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_composition.scm 189 */
BgL_test2531z00_3219 = 
NULLP(
CDR(
((obj_t)BgL_packetsz00_249)))
; } 
if(BgL_test2531z00_3219)
{ /* Llib/pgp_composition.scm 191 */
 obj_t BgL_val0_1243z00_255;
BgL_val0_1243z00_255 = 
bgl_reverse_bang(BgL_subkeysz00_250); 
{ /* Llib/pgp_composition.scm 191 */
 int BgL_tmpz00_3226;
BgL_tmpz00_3226 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3226); } 
{ /* Llib/pgp_composition.scm 191 */
 int BgL_tmpz00_3229;
BgL_tmpz00_3229 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3229, BNIL); } 
BgL_subkeysz00_135 = BgL_val0_1243z00_255; }  else 
{ /* Llib/pgp_composition.scm 192 */
 bool_t BgL_test2533z00_3232;
{ /* Llib/pgp_composition.scm 192 */
 obj_t BgL_arg1763z00_297;
BgL_arg1763z00_297 = 
CAR(
((obj_t)BgL_packetsz00_249)); 
{ /* Llib/pgp_composition.scm 192 */
 obj_t BgL_classz00_1545;
BgL_classz00_1545 = BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1763z00_297))
{ /* Llib/pgp_composition.scm 192 */
 BgL_objectz00_bglt BgL_arg1797z00_1547;
BgL_arg1797z00_1547 = 
(BgL_objectz00_bglt)(BgL_arg1763z00_297); 
{ /* Llib/pgp_composition.scm 192 */
 bool_t BgL_arg1794z00_1550; bool_t BgL_arg1795z00_1551;
{ /* Llib/pgp_composition.scm 192 */
 long BgL_idxz00_1554;
BgL_idxz00_1554 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1547); 
BgL_arg1794z00_1550 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1554+((long)2)))==BgL_classz00_1545); } 
{ /* Llib/pgp_composition.scm 192 */
 bool_t BgL_res2210z00_1576;
{ /* Llib/pgp_composition.scm 192 */
 obj_t BgL_oclassz00_1562;
{ /* Llib/pgp_composition.scm 192 */
 long BgL_arg1804z00_1568;
{ /* Llib/pgp_composition.scm 192 */
 long BgL_arg1805z00_1569;
BgL_arg1805z00_1569 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1547); 
BgL_arg1804z00_1568 = 
(BgL_arg1805z00_1569-OBJECT_TYPE); } 
BgL_oclassz00_1562 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1568); } 
{ /* Llib/pgp_composition.scm 192 */
 bool_t BgL__ortest_1111z00_1563;
BgL__ortest_1111z00_1563 = 
(BgL_classz00_1545==BgL_oclassz00_1562); 
if(BgL__ortest_1111z00_1563)
{ /* Llib/pgp_composition.scm 192 */
BgL_res2210z00_1576 = BgL__ortest_1111z00_1563; }  else 
{ /* Llib/pgp_composition.scm 192 */
 long BgL_odepthz00_1564;
BgL_odepthz00_1564 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1562); 
if(
(((long)2)<BgL_odepthz00_1564))
{ /* Llib/pgp_composition.scm 192 */
 obj_t BgL_arg1793z00_1566;
BgL_arg1793z00_1566 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1562, ((long)2)); 
BgL_res2210z00_1576 = 
(BgL_arg1793z00_1566==BgL_classz00_1545); }  else 
{ /* Llib/pgp_composition.scm 192 */
BgL_res2210z00_1576 = ((bool_t)0); } } } } 
BgL_arg1795z00_1551 = BgL_res2210z00_1576; } 
BgL_test2533z00_3232 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1550, BgL_arg1795z00_1551); } }  else 
{ /* Llib/pgp_composition.scm 192 */
BgL_test2533z00_3232 = ((bool_t)0)
; } } } 
if(BgL_test2533z00_3232)
{ /* Llib/pgp_composition.scm 193 */
 obj_t BgL_g1163z00_259;
BgL_g1163z00_259 = 
CDR(
((obj_t)BgL_packetsz00_249)); 
{ 
 obj_t BgL_pktsz00_263; obj_t BgL_subkeyzd2sigszd2_264; obj_t BgL_revoczd2sigszd2_265;
BgL_pktsz00_263 = BgL_g1163z00_259; 
BgL_subkeyzd2sigszd2_264 = BNIL; 
BgL_revoczd2sigszd2_265 = BNIL; 
BgL_zc3z04anonymousza31714ze3z87_266:
{ /* Llib/pgp_composition.scm 197 */
 bool_t BgL_test2537z00_3255;
if(
NULLP(BgL_pktsz00_263))
{ /* Llib/pgp_composition.scm 197 */
BgL_test2537z00_3255 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_composition.scm 197 */
if(
BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_pktsz00_263))))
{ /* Llib/pgp_composition.scm 198 */
BgL_test2537z00_3255 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 198 */
if(
BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_pktsz00_263))))
{ /* Llib/pgp_composition.scm 199 */
BgL_test2537z00_3255 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 199 */
BgL_test2537z00_3255 = ((bool_t)1)
; } } } 
if(BgL_test2537z00_3255)
{ /* Llib/pgp_composition.scm 197 */
if(
NULLP(BgL_subkeyzd2sigszd2_264))
{ /* Llib/pgp_composition.scm 200 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2261z00zz__openpgpzd2compositionzd2, BGl_string2262z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 200 */BFALSE; } 
{ /* Llib/pgp_composition.scm 205 */
 obj_t BgL_arg1731z00_275;
{ /* Llib/pgp_composition.scm 205 */
 BgL_pgpzd2subkeyzd2_bglt BgL_arg1732z00_276;
{ /* Llib/pgp_composition.scm 205 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1168z00_277;
{ /* Llib/pgp_composition.scm 209 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1167z00_278;
BgL_new1167z00_278 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 209 */
 long BgL_arg1733z00_279;
BgL_arg1733z00_279 = 
BGL_CLASS_NUM(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1167z00_278), BgL_arg1733z00_279); } 
{ /* Llib/pgp_composition.scm 209 */
 BgL_objectz00_bglt BgL_tmpz00_3273;
BgL_tmpz00_3273 = 
((BgL_objectz00_bglt)BgL_new1167z00_278); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3273, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1167z00_278); 
BgL_new1168z00_277 = BgL_new1167z00_278; } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1168z00_277))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_249)))),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1168z00_277))->BgL_sigsz00)=((obj_t)BgL_subkeyzd2sigszd2_264),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1168z00_277))->BgL_revocationzd2sigszd2)=((obj_t)BgL_revoczd2sigszd2_265),BUNSPEC); 
{ 
 BgL_pgpzd2keyzd2_bglt BgL_auxz00_3283;
{ /* Llib/pgp_composition.scm 209 */
 obj_t BgL_classz00_1585;
BgL_classz00_1585 = BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 209 */
 obj_t BgL__ortest_1113z00_1586;
BgL__ortest_1113z00_1586 = 
BGL_CLASS_NIL(BgL_classz00_1585); 
if(
CBOOL(BgL__ortest_1113z00_1586))
{ /* Llib/pgp_composition.scm 209 */
BgL_auxz00_3283 = 
((BgL_pgpzd2keyzd2_bglt)BgL__ortest_1113z00_1586)
; }  else 
{ /* Llib/pgp_composition.scm 209 */
BgL_auxz00_3283 = 
((BgL_pgpzd2keyzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1585))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1168z00_277))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_auxz00_3283),BUNSPEC); } 
BgL_arg1732z00_276 = BgL_new1168z00_277; } 
BgL_arg1731z00_275 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1732z00_276), BgL_subkeysz00_250); } 
{ 
 obj_t BgL_subkeysz00_3294; obj_t BgL_packetsz00_3293;
BgL_packetsz00_3293 = BgL_pktsz00_263; 
BgL_subkeysz00_3294 = BgL_arg1731z00_275; 
BgL_subkeysz00_250 = BgL_subkeysz00_3294; 
BgL_packetsz00_249 = BgL_packetsz00_3293; 
goto BgL_zc3z04anonymousza31706ze3z87_251;} } }  else 
{ /* Llib/pgp_composition.scm 197 */
if(
BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_pktsz00_263))))
{ /* Llib/pgp_composition.scm 212 */
 obj_t BgL_arg1741z00_282; obj_t BgL_arg1742z00_283;
BgL_arg1741z00_282 = 
CDR(
((obj_t)BgL_pktsz00_263)); 
{ /* Llib/pgp_composition.scm 212 */
 obj_t BgL_arg1744z00_284;
BgL_arg1744z00_284 = 
CAR(
((obj_t)BgL_pktsz00_263)); 
BgL_arg1742z00_283 = 
MAKE_YOUNG_PAIR(BgL_arg1744z00_284, BgL_subkeyzd2sigszd2_264); } 
{ 
 obj_t BgL_subkeyzd2sigszd2_3305; obj_t BgL_pktsz00_3304;
BgL_pktsz00_3304 = BgL_arg1741z00_282; 
BgL_subkeyzd2sigszd2_3305 = BgL_arg1742z00_283; 
BgL_subkeyzd2sigszd2_264 = BgL_subkeyzd2sigszd2_3305; 
BgL_pktsz00_263 = BgL_pktsz00_3304; 
goto BgL_zc3z04anonymousza31714ze3z87_266;} }  else 
{ /* Llib/pgp_composition.scm 214 */
 obj_t BgL_arg1745z00_285; obj_t BgL_arg1747z00_286;
BgL_arg1745z00_285 = 
CDR(
((obj_t)BgL_pktsz00_263)); 
{ /* Llib/pgp_composition.scm 215 */
 obj_t BgL_arg1748z00_287;
BgL_arg1748z00_287 = 
CAR(
((obj_t)BgL_pktsz00_263)); 
BgL_arg1747z00_286 = 
MAKE_YOUNG_PAIR(BgL_arg1748z00_287, BgL_revoczd2sigszd2_265); } 
{ 
 obj_t BgL_revoczd2sigszd2_3312; obj_t BgL_pktsz00_3311;
BgL_pktsz00_3311 = BgL_arg1745z00_285; 
BgL_revoczd2sigszd2_3312 = BgL_arg1747z00_286; 
BgL_revoczd2sigszd2_265 = BgL_revoczd2sigszd2_3312; 
BgL_pktsz00_263 = BgL_pktsz00_3311; 
goto BgL_zc3z04anonymousza31714ze3z87_266;} } } } } }  else 
{ /* Llib/pgp_composition.scm 217 */
 obj_t BgL_val0_1245z00_295;
BgL_val0_1245z00_295 = 
bgl_reverse_bang(BgL_subkeysz00_250); 
{ /* Llib/pgp_composition.scm 217 */
 int BgL_tmpz00_3314;
BgL_tmpz00_3314 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3314); } 
{ /* Llib/pgp_composition.scm 217 */
 int BgL_tmpz00_3317;
BgL_tmpz00_3317 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3317, BgL_packetsz00_249); } 
BgL_subkeysz00_135 = BgL_val0_1245z00_295; } } } } 
{ /* Llib/pgp_composition.scm 232 */
 obj_t BgL_remainingzd2packetszd2_136;
{ /* Llib/pgp_composition.scm 232 */
 obj_t BgL_tmpz00_1596;
{ /* Llib/pgp_composition.scm 232 */
 int BgL_tmpz00_3320;
BgL_tmpz00_3320 = 
(int)(((long)1)); 
BgL_tmpz00_1596 = 
BGL_MVALUES_VAL(BgL_tmpz00_3320); } 
{ /* Llib/pgp_composition.scm 232 */
 int BgL_tmpz00_3323;
BgL_tmpz00_3323 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3323, BUNSPEC); } 
BgL_remainingzd2packetszd2_136 = BgL_tmpz00_1596; } 
{ /* Llib/pgp_composition.scm 232 */
 bool_t BgL_test2544z00_3326;
{ /* Llib/pgp_composition.scm 232 */
 obj_t BgL_classz00_1597;
BgL_classz00_1597 = BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_mainzd2keyzd2packetz00_127))
{ /* Llib/pgp_composition.scm 232 */
 BgL_objectz00_bglt BgL_arg1797z00_1599;
BgL_arg1797z00_1599 = 
(BgL_objectz00_bglt)(BgL_mainzd2keyzd2packetz00_127); 
{ /* Llib/pgp_composition.scm 232 */
 bool_t BgL_arg1794z00_1602; bool_t BgL_arg1795z00_1603;
{ /* Llib/pgp_composition.scm 232 */
 long BgL_idxz00_1606;
BgL_idxz00_1606 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1599); 
BgL_arg1794z00_1602 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1606+((long)2)))==BgL_classz00_1597); } 
{ /* Llib/pgp_composition.scm 232 */
 bool_t BgL_res2211z00_1628;
{ /* Llib/pgp_composition.scm 232 */
 obj_t BgL_oclassz00_1614;
{ /* Llib/pgp_composition.scm 232 */
 long BgL_arg1804z00_1620;
{ /* Llib/pgp_composition.scm 232 */
 long BgL_arg1805z00_1621;
BgL_arg1805z00_1621 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1599); 
BgL_arg1804z00_1620 = 
(BgL_arg1805z00_1621-OBJECT_TYPE); } 
BgL_oclassz00_1614 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1620); } 
{ /* Llib/pgp_composition.scm 232 */
 bool_t BgL__ortest_1111z00_1615;
BgL__ortest_1111z00_1615 = 
(BgL_classz00_1597==BgL_oclassz00_1614); 
if(BgL__ortest_1111z00_1615)
{ /* Llib/pgp_composition.scm 232 */
BgL_res2211z00_1628 = BgL__ortest_1111z00_1615; }  else 
{ /* Llib/pgp_composition.scm 232 */
 long BgL_odepthz00_1616;
BgL_odepthz00_1616 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1614); 
if(
(((long)2)<BgL_odepthz00_1616))
{ /* Llib/pgp_composition.scm 232 */
 obj_t BgL_arg1793z00_1618;
BgL_arg1793z00_1618 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1614, ((long)2)); 
BgL_res2211z00_1628 = 
(BgL_arg1793z00_1618==BgL_classz00_1597); }  else 
{ /* Llib/pgp_composition.scm 232 */
BgL_res2211z00_1628 = ((bool_t)0); } } } } 
BgL_arg1795z00_1603 = BgL_res2211z00_1628; } 
BgL_test2544z00_3326 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1602, BgL_arg1795z00_1603); } }  else 
{ /* Llib/pgp_composition.scm 232 */
BgL_test2544z00_3326 = ((bool_t)0)
; } } 
if(BgL_test2544z00_3326)
{ /* Llib/pgp_composition.scm 233 */
 BgL_pgpzd2subkeyzd2_bglt BgL_mainzd2keyzd2_138;
{ /* Llib/pgp_composition.scm 233 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1170z00_156;
{ /* Llib/pgp_composition.scm 234 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1169z00_157;
BgL_new1169z00_157 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 234 */
 long BgL_arg1595z00_158;
BgL_arg1595z00_158 = 
BGL_CLASS_NUM(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_157), BgL_arg1595z00_158); } 
{ /* Llib/pgp_composition.scm 234 */
 BgL_objectz00_bglt BgL_tmpz00_3349;
BgL_tmpz00_3349 = 
((BgL_objectz00_bglt)BgL_new1169z00_157); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3349, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1169z00_157); 
BgL_new1170z00_156 = BgL_new1169z00_157; } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1170z00_156))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_mainzd2keyzd2packetz00_127)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1170z00_156))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1170z00_156))->BgL_revocationzd2sigszd2)=((obj_t)BgL_revocationzd2sigszd2_128),BUNSPEC); 
{ 
 BgL_pgpzd2keyzd2_bglt BgL_auxz00_3357;
{ /* Llib/pgp_composition.scm 237 */
 obj_t BgL_classz00_1633;
BgL_classz00_1633 = BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 237 */
 obj_t BgL__ortest_1113z00_1634;
BgL__ortest_1113z00_1634 = 
BGL_CLASS_NIL(BgL_classz00_1633); 
if(
CBOOL(BgL__ortest_1113z00_1634))
{ /* Llib/pgp_composition.scm 237 */
BgL_auxz00_3357 = 
((BgL_pgpzd2keyzd2_bglt)BgL__ortest_1113z00_1634)
; }  else 
{ /* Llib/pgp_composition.scm 237 */
BgL_auxz00_3357 = 
((BgL_pgpzd2keyzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1633))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1170z00_156))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_auxz00_3357),BUNSPEC); } 
BgL_mainzd2keyzd2_138 = BgL_new1170z00_156; } 
{ /* Llib/pgp_composition.scm 233 */
 obj_t BgL_allzd2subkeyszd2_139;
BgL_allzd2subkeyszd2_139 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_mainzd2keyzd2_138), BgL_subkeysz00_135); 
{ /* Llib/pgp_composition.scm 238 */
 BgL_pgpzd2keyzd2_bglt BgL_reszd2keyzd2_140;
{ /* Llib/pgp_composition.scm 239 */
 BgL_pgpzd2keyzd2_bglt BgL_new1172z00_153;
{ /* Llib/pgp_composition.scm 241 */
 BgL_pgpzd2keyzd2_bglt BgL_new1171z00_154;
BgL_new1171z00_154 = 
((BgL_pgpzd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 241 */
 long BgL_arg1594z00_155;
BgL_arg1594z00_155 = 
BGL_CLASS_NUM(BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_154), BgL_arg1594z00_155); } 
{ /* Llib/pgp_composition.scm 241 */
 BgL_objectz00_bglt BgL_tmpz00_3371;
BgL_tmpz00_3371 = 
((BgL_objectz00_bglt)BgL_new1171z00_154); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3371, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1171z00_154); 
BgL_new1172z00_153 = BgL_new1171z00_154; } 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1172z00_153))->BgL_subkeysz00)=((obj_t)BgL_allzd2subkeyszd2_139),BUNSPEC); 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1172z00_153))->BgL_userzd2idszd2)=((obj_t)
BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(BgL_nuserzd2idszd2_130, BgL_userzd2idszd2_8)),BUNSPEC); 
BgL_reszd2keyzd2_140 = BgL_new1172z00_153; } 
{ /* Llib/pgp_composition.scm 239 */

{ 
 obj_t BgL_l1247z00_142;
BgL_l1247z00_142 = BgL_allzd2subkeyszd2_139; 
BgL_zc3z04anonymousza31579ze3z87_143:
if(
PAIRP(BgL_l1247z00_142))
{ /* Llib/pgp_composition.scm 242 */
{ /* Llib/pgp_composition.scm 243 */
 obj_t BgL_skeyz00_145;
BgL_skeyz00_145 = 
CAR(BgL_l1247z00_142); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_skeyz00_145)))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_reszd2keyzd2_140),BUNSPEC); } 
{ 
 obj_t BgL_l1247z00_3383;
BgL_l1247z00_3383 = 
CDR(BgL_l1247z00_142); 
BgL_l1247z00_142 = BgL_l1247z00_3383; 
goto BgL_zc3z04anonymousza31579ze3z87_143;} }  else 
{ /* Llib/pgp_composition.scm 242 */((bool_t)1); } } 
{ /* Llib/pgp_composition.scm 246 */
 obj_t BgL_val0_1249z00_149;
{ /* Llib/pgp_composition.scm 246 */
 obj_t BgL_list1591z00_152;
BgL_list1591z00_152 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_reszd2keyzd2_140), BNIL); 
BgL_val0_1249z00_149 = BgL_list1591z00_152; } 
{ /* Llib/pgp_composition.scm 246 */
 int BgL_tmpz00_3387;
BgL_tmpz00_3387 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3387); } 
{ /* Llib/pgp_composition.scm 246 */
 int BgL_tmpz00_3390;
BgL_tmpz00_3390 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3390, BgL_remainingzd2packetszd2_136); } 
{ /* Llib/pgp_composition.scm 246 */
 int BgL_tmpz00_3393;
BgL_tmpz00_3393 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3393, BgL_nuserzd2idszd2_130); } 
return BgL_val0_1249z00_149;} } } } }  else 
{ /* Llib/pgp_composition.scm 232 */
{ /* Llib/pgp_composition.scm 247 */
 int BgL_tmpz00_3396;
BgL_tmpz00_3396 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3396); } 
{ /* Llib/pgp_composition.scm 247 */
 int BgL_tmpz00_3399;
BgL_tmpz00_3399 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3399, BgL_remainingzd2packetszd2_136); } 
{ /* Llib/pgp_composition.scm 247 */
 int BgL_tmpz00_3402;
BgL_tmpz00_3402 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3402, BgL_userzd2idszd2_8); } 
return BNIL;} } } } } } } } } } } 

}



/* revocation-signature?~0 */
bool_t BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(obj_t BgL_pktz00_163)
{
{ /* Llib/pgp_composition.scm 129 */
{ /* Llib/pgp_composition.scm 127 */
 bool_t BgL_test2550z00_3405;
{ /* Llib/pgp_composition.scm 127 */
 obj_t BgL_classz00_1401;
BgL_classz00_1401 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pktz00_163))
{ /* Llib/pgp_composition.scm 127 */
 BgL_objectz00_bglt BgL_arg1797z00_1403;
BgL_arg1797z00_1403 = 
(BgL_objectz00_bglt)(BgL_pktz00_163); 
{ /* Llib/pgp_composition.scm 127 */
 bool_t BgL_arg1794z00_1406; bool_t BgL_arg1795z00_1407;
{ /* Llib/pgp_composition.scm 127 */
 long BgL_idxz00_1410;
BgL_idxz00_1410 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1403); 
BgL_arg1794z00_1406 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1410+((long)3)))==BgL_classz00_1401); } 
{ /* Llib/pgp_composition.scm 127 */
 bool_t BgL_res2206z00_1432;
{ /* Llib/pgp_composition.scm 127 */
 obj_t BgL_oclassz00_1418;
{ /* Llib/pgp_composition.scm 127 */
 long BgL_arg1804z00_1424;
{ /* Llib/pgp_composition.scm 127 */
 long BgL_arg1805z00_1425;
BgL_arg1805z00_1425 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1403); 
BgL_arg1804z00_1424 = 
(BgL_arg1805z00_1425-OBJECT_TYPE); } 
BgL_oclassz00_1418 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1424); } 
{ /* Llib/pgp_composition.scm 127 */
 bool_t BgL__ortest_1111z00_1419;
BgL__ortest_1111z00_1419 = 
(BgL_classz00_1401==BgL_oclassz00_1418); 
if(BgL__ortest_1111z00_1419)
{ /* Llib/pgp_composition.scm 127 */
BgL_res2206z00_1432 = BgL__ortest_1111z00_1419; }  else 
{ /* Llib/pgp_composition.scm 127 */
 long BgL_odepthz00_1420;
BgL_odepthz00_1420 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1418); 
if(
(((long)3)<BgL_odepthz00_1420))
{ /* Llib/pgp_composition.scm 127 */
 obj_t BgL_arg1793z00_1422;
BgL_arg1793z00_1422 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1418, ((long)3)); 
BgL_res2206z00_1432 = 
(BgL_arg1793z00_1422==BgL_classz00_1401); }  else 
{ /* Llib/pgp_composition.scm 127 */
BgL_res2206z00_1432 = ((bool_t)0); } } } } 
BgL_arg1795z00_1407 = BgL_res2206z00_1432; } 
BgL_test2550z00_3405 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1406, BgL_arg1795z00_1407); } }  else 
{ /* Llib/pgp_composition.scm 127 */
BgL_test2550z00_3405 = ((bool_t)0)
; } } 
if(BgL_test2550z00_3405)
{ /* Llib/pgp_composition.scm 127 */
return 
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_163))))->BgL_signaturezd2typezd2)==
CNST_TABLE_REF(((long)4)));}  else 
{ /* Llib/pgp_composition.scm 127 */
return ((bool_t)0);} } } 

}



/* subkey-sig?~0 */
bool_t BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(obj_t BgL_pktz00_301)
{
{ /* Llib/pgp_composition.scm 185 */
{ /* Llib/pgp_composition.scm 183 */
 bool_t BgL_test2554z00_3429;
{ /* Llib/pgp_composition.scm 183 */
 obj_t BgL_classz00_1511;
BgL_classz00_1511 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pktz00_301))
{ /* Llib/pgp_composition.scm 183 */
 BgL_objectz00_bglt BgL_arg1797z00_1513;
BgL_arg1797z00_1513 = 
(BgL_objectz00_bglt)(BgL_pktz00_301); 
{ /* Llib/pgp_composition.scm 183 */
 bool_t BgL_arg1794z00_1516; bool_t BgL_arg1795z00_1517;
{ /* Llib/pgp_composition.scm 183 */
 long BgL_idxz00_1520;
BgL_idxz00_1520 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1513); 
BgL_arg1794z00_1516 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1520+((long)3)))==BgL_classz00_1511); } 
{ /* Llib/pgp_composition.scm 183 */
 bool_t BgL_res2209z00_1542;
{ /* Llib/pgp_composition.scm 183 */
 obj_t BgL_oclassz00_1528;
{ /* Llib/pgp_composition.scm 183 */
 long BgL_arg1804z00_1534;
{ /* Llib/pgp_composition.scm 183 */
 long BgL_arg1805z00_1535;
BgL_arg1805z00_1535 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1513); 
BgL_arg1804z00_1534 = 
(BgL_arg1805z00_1535-OBJECT_TYPE); } 
BgL_oclassz00_1528 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1534); } 
{ /* Llib/pgp_composition.scm 183 */
 bool_t BgL__ortest_1111z00_1529;
BgL__ortest_1111z00_1529 = 
(BgL_classz00_1511==BgL_oclassz00_1528); 
if(BgL__ortest_1111z00_1529)
{ /* Llib/pgp_composition.scm 183 */
BgL_res2209z00_1542 = BgL__ortest_1111z00_1529; }  else 
{ /* Llib/pgp_composition.scm 183 */
 long BgL_odepthz00_1530;
BgL_odepthz00_1530 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1528); 
if(
(((long)3)<BgL_odepthz00_1530))
{ /* Llib/pgp_composition.scm 183 */
 obj_t BgL_arg1793z00_1532;
BgL_arg1793z00_1532 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1528, ((long)3)); 
BgL_res2209z00_1542 = 
(BgL_arg1793z00_1532==BgL_classz00_1511); }  else 
{ /* Llib/pgp_composition.scm 183 */
BgL_res2209z00_1542 = ((bool_t)0); } } } } 
BgL_arg1795z00_1517 = BgL_res2209z00_1542; } 
BgL_test2554z00_3429 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1516, BgL_arg1795z00_1517); } }  else 
{ /* Llib/pgp_composition.scm 183 */
BgL_test2554z00_3429 = ((bool_t)0)
; } } 
if(BgL_test2554z00_3429)
{ /* Llib/pgp_composition.scm 183 */
return 
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_301))))->BgL_signaturezd2typezd2)==
CNST_TABLE_REF(((long)5)));}  else 
{ /* Llib/pgp_composition.scm 183 */
return ((bool_t)0);} } } 

}



/* parse-encrypted-message */
obj_t BGl_parsezd2encryptedzd2messagez00zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_9)
{
{ /* Llib/pgp_composition.scm 252 */
{ 
 obj_t BgL_packetsz00_314; obj_t BgL_sessionzd2keyszd2_315;
BgL_packetsz00_314 = BgL_packetsz00_9; 
BgL_sessionzd2keyszd2_315 = BNIL; 
BgL_zc3z04anonymousza31771ze3z87_316:
if(
NULLP(BgL_packetsz00_314))
{ /* Llib/pgp_composition.scm 257 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2265z00zz__openpgpzd2compositionzd2, BGl_string2266z00zz__openpgpzd2compositionzd2, BFALSE);}  else 
{ /* Llib/pgp_composition.scm 261 */
 bool_t BgL_test2559z00_3456;
{ /* Llib/pgp_composition.scm 261 */
 obj_t BgL_arg1833z00_347;
BgL_arg1833z00_347 = 
CAR(
((obj_t)BgL_packetsz00_314)); 
{ /* Llib/pgp_composition.scm 261 */
 obj_t BgL_classz00_1643;
BgL_classz00_1643 = BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1833z00_347))
{ /* Llib/pgp_composition.scm 261 */
 BgL_objectz00_bglt BgL_arg1797z00_1645;
BgL_arg1797z00_1645 = 
(BgL_objectz00_bglt)(BgL_arg1833z00_347); 
{ /* Llib/pgp_composition.scm 261 */
 bool_t BgL_arg1794z00_1648; bool_t BgL_arg1795z00_1649;
{ /* Llib/pgp_composition.scm 261 */
 long BgL_idxz00_1652;
BgL_idxz00_1652 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1645); 
BgL_arg1794z00_1648 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1652+((long)2)))==BgL_classz00_1643); } 
{ /* Llib/pgp_composition.scm 261 */
 bool_t BgL_res2213z00_1674;
{ /* Llib/pgp_composition.scm 261 */
 obj_t BgL_oclassz00_1660;
{ /* Llib/pgp_composition.scm 261 */
 long BgL_arg1804z00_1666;
{ /* Llib/pgp_composition.scm 261 */
 long BgL_arg1805z00_1667;
BgL_arg1805z00_1667 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1645); 
BgL_arg1804z00_1666 = 
(BgL_arg1805z00_1667-OBJECT_TYPE); } 
BgL_oclassz00_1660 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1666); } 
{ /* Llib/pgp_composition.scm 261 */
 bool_t BgL__ortest_1111z00_1661;
BgL__ortest_1111z00_1661 = 
(BgL_classz00_1643==BgL_oclassz00_1660); 
if(BgL__ortest_1111z00_1661)
{ /* Llib/pgp_composition.scm 261 */
BgL_res2213z00_1674 = BgL__ortest_1111z00_1661; }  else 
{ /* Llib/pgp_composition.scm 261 */
 long BgL_odepthz00_1662;
BgL_odepthz00_1662 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1660); 
if(
(((long)2)<BgL_odepthz00_1662))
{ /* Llib/pgp_composition.scm 261 */
 obj_t BgL_arg1793z00_1664;
BgL_arg1793z00_1664 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1660, ((long)2)); 
BgL_res2213z00_1674 = 
(BgL_arg1793z00_1664==BgL_classz00_1643); }  else 
{ /* Llib/pgp_composition.scm 261 */
BgL_res2213z00_1674 = ((bool_t)0); } } } } 
BgL_arg1795z00_1649 = BgL_res2213z00_1674; } 
BgL_test2559z00_3456 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1648, BgL_arg1795z00_1649); } }  else 
{ /* Llib/pgp_composition.scm 261 */
BgL_test2559z00_3456 = ((bool_t)0)
; } } } 
if(BgL_test2559z00_3456)
{ /* Llib/pgp_composition.scm 261 */
if(
NULLP(
CDR(
((obj_t)BgL_packetsz00_314))))
{ /* Llib/pgp_composition.scm 262 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 263 */
 obj_t BgL_list1792z00_322;
BgL_list1792z00_322 = 
MAKE_YOUNG_PAIR(BGl_string2267z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1792z00_322); } 
{ /* Llib/pgp_composition.scm 264 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1176z00_324;
{ /* Llib/pgp_composition.scm 265 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1175z00_325;
BgL_new1175z00_325 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 265 */
 long BgL_arg1798z00_326;
BgL_arg1798z00_326 = 
BGL_CLASS_NUM(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_325), BgL_arg1798z00_326); } 
{ /* Llib/pgp_composition.scm 265 */
 BgL_objectz00_bglt BgL_tmpz00_3487;
BgL_tmpz00_3487 = 
((BgL_objectz00_bglt)BgL_new1175z00_325); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3487, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1175z00_325); 
BgL_new1176z00_324 = BgL_new1175z00_325; } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1176z00_324))->BgL_sessionzd2keyszd2)=((obj_t)
bgl_reverse_bang(BgL_sessionzd2keyszd2_315)),BUNSPEC); 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1176z00_324))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
CAR(
((obj_t)BgL_packetsz00_314)))),BUNSPEC); 
return 
((obj_t)BgL_new1176z00_324);} }  else 
{ /* Llib/pgp_composition.scm 267 */
 bool_t BgL_test2564z00_3498;
{ /* Llib/pgp_composition.scm 267 */
 obj_t BgL_arg1832z00_346;
BgL_arg1832z00_346 = 
CAR(
((obj_t)BgL_packetsz00_314)); 
{ /* Llib/pgp_composition.scm 267 */
 obj_t BgL_classz00_1682;
BgL_classz00_1682 = BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1832z00_346))
{ /* Llib/pgp_composition.scm 267 */
 BgL_objectz00_bglt BgL_arg1797z00_1684;
BgL_arg1797z00_1684 = 
(BgL_objectz00_bglt)(BgL_arg1832z00_346); 
{ /* Llib/pgp_composition.scm 267 */
 bool_t BgL_arg1794z00_1687; bool_t BgL_arg1795z00_1688;
{ /* Llib/pgp_composition.scm 267 */
 long BgL_idxz00_1691;
BgL_idxz00_1691 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1684); 
BgL_arg1794z00_1687 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1691+((long)3)))==BgL_classz00_1682); } 
{ /* Llib/pgp_composition.scm 267 */
 bool_t BgL_res2214z00_1713;
{ /* Llib/pgp_composition.scm 267 */
 obj_t BgL_oclassz00_1699;
{ /* Llib/pgp_composition.scm 267 */
 long BgL_arg1804z00_1705;
{ /* Llib/pgp_composition.scm 267 */
 long BgL_arg1805z00_1706;
BgL_arg1805z00_1706 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1684); 
BgL_arg1804z00_1705 = 
(BgL_arg1805z00_1706-OBJECT_TYPE); } 
BgL_oclassz00_1699 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1705); } 
{ /* Llib/pgp_composition.scm 267 */
 bool_t BgL__ortest_1111z00_1700;
BgL__ortest_1111z00_1700 = 
(BgL_classz00_1682==BgL_oclassz00_1699); 
if(BgL__ortest_1111z00_1700)
{ /* Llib/pgp_composition.scm 267 */
BgL_res2214z00_1713 = BgL__ortest_1111z00_1700; }  else 
{ /* Llib/pgp_composition.scm 267 */
 long BgL_odepthz00_1701;
BgL_odepthz00_1701 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1699); 
if(
(((long)3)<BgL_odepthz00_1701))
{ /* Llib/pgp_composition.scm 267 */
 obj_t BgL_arg1793z00_1703;
BgL_arg1793z00_1703 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1699, ((long)3)); 
BgL_res2214z00_1713 = 
(BgL_arg1793z00_1703==BgL_classz00_1682); }  else 
{ /* Llib/pgp_composition.scm 267 */
BgL_res2214z00_1713 = ((bool_t)0); } } } } 
BgL_arg1795z00_1688 = BgL_res2214z00_1713; } 
BgL_test2564z00_3498 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1687, BgL_arg1795z00_1688); } }  else 
{ /* Llib/pgp_composition.scm 267 */
BgL_test2564z00_3498 = ((bool_t)0)
; } } } 
if(BgL_test2564z00_3498)
{ /* Llib/pgp_composition.scm 267 */
if(
NULLP(
CDR(
((obj_t)BgL_packetsz00_314))))
{ /* Llib/pgp_composition.scm 268 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 269 */
 obj_t BgL_list1815z00_331;
BgL_list1815z00_331 = 
MAKE_YOUNG_PAIR(BGl_string2267z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1815z00_331); } 
{ /* Llib/pgp_composition.scm 270 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1178z00_333;
{ /* Llib/pgp_composition.scm 271 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1177z00_334;
BgL_new1177z00_334 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 271 */
 long BgL_arg1821z00_335;
BgL_arg1821z00_335 = 
BGL_CLASS_NUM(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_334), BgL_arg1821z00_335); } 
{ /* Llib/pgp_composition.scm 271 */
 BgL_objectz00_bglt BgL_tmpz00_3529;
BgL_tmpz00_3529 = 
((BgL_objectz00_bglt)BgL_new1177z00_334); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3529, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1177z00_334); 
BgL_new1178z00_333 = BgL_new1177z00_334; } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1178z00_333))->BgL_sessionzd2keyszd2)=((obj_t)
bgl_reverse_bang(BgL_sessionzd2keyszd2_315)),BUNSPEC); 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1178z00_333))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
CAR(
((obj_t)BgL_packetsz00_314)))),BUNSPEC); 
return 
((obj_t)BgL_new1178z00_333);} }  else 
{ /* Llib/pgp_composition.scm 273 */
 bool_t BgL_test2569z00_3540;
{ /* Llib/pgp_composition.scm 273 */
 obj_t BgL_arg1831z00_345;
BgL_arg1831z00_345 = 
CAR(
((obj_t)BgL_packetsz00_314)); 
{ /* Llib/pgp_composition.scm 273 */
 obj_t BgL_classz00_1721;
BgL_classz00_1721 = BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1831z00_345))
{ /* Llib/pgp_composition.scm 273 */
 BgL_objectz00_bglt BgL_arg1797z00_1723;
BgL_arg1797z00_1723 = 
(BgL_objectz00_bglt)(BgL_arg1831z00_345); 
{ /* Llib/pgp_composition.scm 273 */
 bool_t BgL_arg1794z00_1726; bool_t BgL_arg1795z00_1727;
{ /* Llib/pgp_composition.scm 273 */
 long BgL_idxz00_1730;
BgL_idxz00_1730 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1723); 
BgL_arg1794z00_1726 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1730+((long)2)))==BgL_classz00_1721); } 
{ /* Llib/pgp_composition.scm 273 */
 bool_t BgL_res2215z00_1752;
{ /* Llib/pgp_composition.scm 273 */
 obj_t BgL_oclassz00_1738;
{ /* Llib/pgp_composition.scm 273 */
 long BgL_arg1804z00_1744;
{ /* Llib/pgp_composition.scm 273 */
 long BgL_arg1805z00_1745;
BgL_arg1805z00_1745 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1723); 
BgL_arg1804z00_1744 = 
(BgL_arg1805z00_1745-OBJECT_TYPE); } 
BgL_oclassz00_1738 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1744); } 
{ /* Llib/pgp_composition.scm 273 */
 bool_t BgL__ortest_1111z00_1739;
BgL__ortest_1111z00_1739 = 
(BgL_classz00_1721==BgL_oclassz00_1738); 
if(BgL__ortest_1111z00_1739)
{ /* Llib/pgp_composition.scm 273 */
BgL_res2215z00_1752 = BgL__ortest_1111z00_1739; }  else 
{ /* Llib/pgp_composition.scm 273 */
 long BgL_odepthz00_1740;
BgL_odepthz00_1740 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1738); 
if(
(((long)2)<BgL_odepthz00_1740))
{ /* Llib/pgp_composition.scm 273 */
 obj_t BgL_arg1793z00_1742;
BgL_arg1793z00_1742 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1738, ((long)2)); 
BgL_res2215z00_1752 = 
(BgL_arg1793z00_1742==BgL_classz00_1721); }  else 
{ /* Llib/pgp_composition.scm 273 */
BgL_res2215z00_1752 = ((bool_t)0); } } } } 
BgL_arg1795z00_1727 = BgL_res2215z00_1752; } 
BgL_test2569z00_3540 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1726, BgL_arg1795z00_1727); } }  else 
{ /* Llib/pgp_composition.scm 273 */
BgL_test2569z00_3540 = ((bool_t)0)
; } } } 
if(BgL_test2569z00_3540)
{ /* Llib/pgp_composition.scm 274 */
 obj_t BgL_arg1824z00_338; obj_t BgL_arg1825z00_339;
BgL_arg1824z00_338 = 
CDR(
((obj_t)BgL_packetsz00_314)); 
{ /* Llib/pgp_composition.scm 275 */
 obj_t BgL_arg1826z00_340;
BgL_arg1826z00_340 = 
CAR(
((obj_t)BgL_packetsz00_314)); 
BgL_arg1825z00_339 = 
MAKE_YOUNG_PAIR(BgL_arg1826z00_340, BgL_sessionzd2keyszd2_315); } 
{ 
 obj_t BgL_sessionzd2keyszd2_3567; obj_t BgL_packetsz00_3566;
BgL_packetsz00_3566 = BgL_arg1824z00_338; 
BgL_sessionzd2keyszd2_3567 = BgL_arg1825z00_339; 
BgL_sessionzd2keyszd2_315 = BgL_sessionzd2keyszd2_3567; 
BgL_packetsz00_314 = BgL_packetsz00_3566; 
goto BgL_zc3z04anonymousza31771ze3z87_316;} }  else 
{ /* Llib/pgp_composition.scm 273 */
{ /* Llib/pgp_composition.scm 278 */
 obj_t BgL_arg1827z00_341;
BgL_arg1827z00_341 = 
CAR(
((obj_t)BgL_packetsz00_314)); 
{ /* Llib/pgp_composition.scm 277 */
 obj_t BgL_list1828z00_342;
{ /* Llib/pgp_composition.scm 277 */
 obj_t BgL_arg1829z00_343;
BgL_arg1829z00_343 = 
MAKE_YOUNG_PAIR(BgL_arg1827z00_341, BNIL); 
BgL_list1828z00_342 = 
MAKE_YOUNG_PAIR(BGl_string2268z00zz__openpgpzd2compositionzd2, BgL_arg1829z00_343); } 
BGl_warningz00zz__errorz00(BgL_list1828z00_342); } } 
{ /* Llib/pgp_composition.scm 279 */
 obj_t BgL_arg1830z00_344;
BgL_arg1830z00_344 = 
CDR(
((obj_t)BgL_packetsz00_314)); 
{ 
 obj_t BgL_packetsz00_3575;
BgL_packetsz00_3575 = BgL_arg1830z00_344; 
BgL_packetsz00_314 = BgL_packetsz00_3575; 
goto BgL_zc3z04anonymousza31771ze3z87_316;} } } } } } } } 

}



/* parse-signature */
BgL_pgpzd2signaturezd2_bglt BGl_parsezd2signaturezd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_10)
{
{ /* Llib/pgp_composition.scm 284 */
{ 
 obj_t BgL_packetsz00_351; obj_t BgL_sigsz00_352;
BgL_packetsz00_351 = BgL_packetsz00_10; 
BgL_sigsz00_352 = BNIL; 
BgL_zc3z04anonymousza31834ze3z87_353:
if(
NULLP(BgL_packetsz00_351))
{ /* Llib/pgp_composition.scm 291 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1181z00_355;
{ /* Llib/pgp_composition.scm 292 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1180z00_356;
BgL_new1180z00_356 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 292 */
 long BgL_arg1836z00_357;
BgL_arg1836z00_357 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1180z00_356), BgL_arg1836z00_357); } 
BgL_new1181z00_355 = BgL_new1180z00_356; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1181z00_355))->BgL_msgz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1181z00_355))->BgL_sigsz00)=((obj_t)
bgl_reverse_bang(BgL_sigsz00_352)),BUNSPEC); 
return BgL_new1181z00_355;}  else 
{ /* Llib/pgp_composition.scm 294 */
 bool_t BgL_test2574z00_3585;
{ /* Llib/pgp_composition.scm 294 */
 obj_t BgL_arg1859z00_383;
BgL_arg1859z00_383 = 
CAR(
((obj_t)BgL_packetsz00_351)); 
{ /* Llib/pgp_composition.scm 294 */
 obj_t BgL_classz00_1761;
BgL_classz00_1761 = BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1859z00_383))
{ /* Llib/pgp_composition.scm 294 */
 BgL_objectz00_bglt BgL_arg1797z00_1763;
BgL_arg1797z00_1763 = 
(BgL_objectz00_bglt)(BgL_arg1859z00_383); 
{ /* Llib/pgp_composition.scm 294 */
 bool_t BgL_arg1794z00_1766; bool_t BgL_arg1795z00_1767;
{ /* Llib/pgp_composition.scm 294 */
 long BgL_idxz00_1770;
BgL_idxz00_1770 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1763); 
BgL_arg1794z00_1766 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1770+((long)2)))==BgL_classz00_1761); } 
{ /* Llib/pgp_composition.scm 294 */
 bool_t BgL_res2216z00_1792;
{ /* Llib/pgp_composition.scm 294 */
 obj_t BgL_oclassz00_1778;
{ /* Llib/pgp_composition.scm 294 */
 long BgL_arg1804z00_1784;
{ /* Llib/pgp_composition.scm 294 */
 long BgL_arg1805z00_1785;
BgL_arg1805z00_1785 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1763); 
BgL_arg1804z00_1784 = 
(BgL_arg1805z00_1785-OBJECT_TYPE); } 
BgL_oclassz00_1778 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1784); } 
{ /* Llib/pgp_composition.scm 294 */
 bool_t BgL__ortest_1111z00_1779;
BgL__ortest_1111z00_1779 = 
(BgL_classz00_1761==BgL_oclassz00_1778); 
if(BgL__ortest_1111z00_1779)
{ /* Llib/pgp_composition.scm 294 */
BgL_res2216z00_1792 = BgL__ortest_1111z00_1779; }  else 
{ /* Llib/pgp_composition.scm 294 */
 long BgL_odepthz00_1780;
BgL_odepthz00_1780 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1778); 
if(
(((long)2)<BgL_odepthz00_1780))
{ /* Llib/pgp_composition.scm 294 */
 obj_t BgL_arg1793z00_1782;
BgL_arg1793z00_1782 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1778, ((long)2)); 
BgL_res2216z00_1792 = 
(BgL_arg1793z00_1782==BgL_classz00_1761); }  else 
{ /* Llib/pgp_composition.scm 294 */
BgL_res2216z00_1792 = ((bool_t)0); } } } } 
BgL_arg1795z00_1767 = BgL_res2216z00_1792; } 
BgL_test2574z00_3585 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1766, BgL_arg1795z00_1767); } }  else 
{ /* Llib/pgp_composition.scm 294 */
BgL_test2574z00_3585 = ((bool_t)0)
; } } } 
if(BgL_test2574z00_3585)
{ /* Llib/pgp_composition.scm 295 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_i1182z00_360;
BgL_i1182z00_360 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_351))); 
{ 
 obj_t BgL_packetsz00_3609;
BgL_packetsz00_3609 = 
BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_i1182z00_360))->BgL_packetsz00), BgL_packetsz00_351); 
BgL_packetsz00_351 = BgL_packetsz00_3609; 
goto BgL_zc3z04anonymousza31834ze3z87_353;} }  else 
{ /* Llib/pgp_composition.scm 297 */
 bool_t BgL_test2578z00_3612;
{ /* Llib/pgp_composition.scm 297 */
 obj_t BgL_arg1858z00_382;
BgL_arg1858z00_382 = 
CAR(
((obj_t)BgL_packetsz00_351)); 
{ /* Llib/pgp_composition.scm 297 */
 obj_t BgL_classz00_1795;
BgL_classz00_1795 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1858z00_382))
{ /* Llib/pgp_composition.scm 297 */
 BgL_objectz00_bglt BgL_arg1797z00_1797;
BgL_arg1797z00_1797 = 
(BgL_objectz00_bglt)(BgL_arg1858z00_382); 
{ /* Llib/pgp_composition.scm 297 */
 bool_t BgL_arg1794z00_1800; bool_t BgL_arg1795z00_1801;
{ /* Llib/pgp_composition.scm 297 */
 long BgL_idxz00_1804;
BgL_idxz00_1804 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1797); 
BgL_arg1794z00_1800 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1804+((long)3)))==BgL_classz00_1795); } 
{ /* Llib/pgp_composition.scm 297 */
 bool_t BgL_res2217z00_1826;
{ /* Llib/pgp_composition.scm 297 */
 obj_t BgL_oclassz00_1812;
{ /* Llib/pgp_composition.scm 297 */
 long BgL_arg1804z00_1818;
{ /* Llib/pgp_composition.scm 297 */
 long BgL_arg1805z00_1819;
BgL_arg1805z00_1819 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1797); 
BgL_arg1804z00_1818 = 
(BgL_arg1805z00_1819-OBJECT_TYPE); } 
BgL_oclassz00_1812 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1818); } 
{ /* Llib/pgp_composition.scm 297 */
 bool_t BgL__ortest_1111z00_1813;
BgL__ortest_1111z00_1813 = 
(BgL_classz00_1795==BgL_oclassz00_1812); 
if(BgL__ortest_1111z00_1813)
{ /* Llib/pgp_composition.scm 297 */
BgL_res2217z00_1826 = BgL__ortest_1111z00_1813; }  else 
{ /* Llib/pgp_composition.scm 297 */
 long BgL_odepthz00_1814;
BgL_odepthz00_1814 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1812); 
if(
(((long)3)<BgL_odepthz00_1814))
{ /* Llib/pgp_composition.scm 297 */
 obj_t BgL_arg1793z00_1816;
BgL_arg1793z00_1816 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1812, ((long)3)); 
BgL_res2217z00_1826 = 
(BgL_arg1793z00_1816==BgL_classz00_1795); }  else 
{ /* Llib/pgp_composition.scm 297 */
BgL_res2217z00_1826 = ((bool_t)0); } } } } 
BgL_arg1795z00_1801 = BgL_res2217z00_1826; } 
BgL_test2578z00_3612 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1800, BgL_arg1795z00_1801); } }  else 
{ /* Llib/pgp_composition.scm 297 */
BgL_test2578z00_3612 = ((bool_t)0)
; } } } 
if(BgL_test2578z00_3612)
{ /* Llib/pgp_composition.scm 298 */
 obj_t BgL_arg1843z00_365; obj_t BgL_arg1844z00_366;
BgL_arg1843z00_365 = 
CDR(
((obj_t)BgL_packetsz00_351)); 
{ /* Llib/pgp_composition.scm 298 */
 obj_t BgL_arg1845z00_367;
BgL_arg1845z00_367 = 
CAR(
((obj_t)BgL_packetsz00_351)); 
BgL_arg1844z00_366 = 
MAKE_YOUNG_PAIR(BgL_arg1845z00_367, BgL_sigsz00_352); } 
{ 
 obj_t BgL_sigsz00_3639; obj_t BgL_packetsz00_3638;
BgL_packetsz00_3638 = BgL_arg1843z00_365; 
BgL_sigsz00_3639 = BgL_arg1844z00_366; 
BgL_sigsz00_352 = BgL_sigsz00_3639; 
BgL_packetsz00_351 = BgL_packetsz00_3638; 
goto BgL_zc3z04anonymousza31834ze3z87_353;} }  else 
{ /* Llib/pgp_composition.scm 299 */
 bool_t BgL_test2582z00_3640;
{ /* Llib/pgp_composition.scm 299 */
 obj_t BgL_arg1857z00_381;
BgL_arg1857z00_381 = 
CAR(
((obj_t)BgL_packetsz00_351)); 
{ /* Llib/pgp_composition.scm 299 */
 obj_t BgL_classz00_1830;
BgL_classz00_1830 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1857z00_381))
{ /* Llib/pgp_composition.scm 299 */
 BgL_objectz00_bglt BgL_arg1797z00_1832;
BgL_arg1797z00_1832 = 
(BgL_objectz00_bglt)(BgL_arg1857z00_381); 
{ /* Llib/pgp_composition.scm 299 */
 bool_t BgL_arg1794z00_1835; bool_t BgL_arg1795z00_1836;
{ /* Llib/pgp_composition.scm 299 */
 long BgL_idxz00_1839;
BgL_idxz00_1839 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1832); 
BgL_arg1794z00_1835 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1839+((long)2)))==BgL_classz00_1830); } 
{ /* Llib/pgp_composition.scm 299 */
 bool_t BgL_res2218z00_1861;
{ /* Llib/pgp_composition.scm 299 */
 obj_t BgL_oclassz00_1847;
{ /* Llib/pgp_composition.scm 299 */
 long BgL_arg1804z00_1853;
{ /* Llib/pgp_composition.scm 299 */
 long BgL_arg1805z00_1854;
BgL_arg1805z00_1854 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1832); 
BgL_arg1804z00_1853 = 
(BgL_arg1805z00_1854-OBJECT_TYPE); } 
BgL_oclassz00_1847 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1853); } 
{ /* Llib/pgp_composition.scm 299 */
 bool_t BgL__ortest_1111z00_1848;
BgL__ortest_1111z00_1848 = 
(BgL_classz00_1830==BgL_oclassz00_1847); 
if(BgL__ortest_1111z00_1848)
{ /* Llib/pgp_composition.scm 299 */
BgL_res2218z00_1861 = BgL__ortest_1111z00_1848; }  else 
{ /* Llib/pgp_composition.scm 299 */
 long BgL_odepthz00_1849;
BgL_odepthz00_1849 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1847); 
if(
(((long)2)<BgL_odepthz00_1849))
{ /* Llib/pgp_composition.scm 299 */
 obj_t BgL_arg1793z00_1851;
BgL_arg1793z00_1851 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1847, ((long)2)); 
BgL_res2218z00_1861 = 
(BgL_arg1793z00_1851==BgL_classz00_1830); }  else 
{ /* Llib/pgp_composition.scm 299 */
BgL_res2218z00_1861 = ((bool_t)0); } } } } 
BgL_arg1795z00_1836 = BgL_res2218z00_1861; } 
BgL_test2582z00_3640 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1835, BgL_arg1795z00_1836); } }  else 
{ /* Llib/pgp_composition.scm 299 */
BgL_test2582z00_3640 = ((bool_t)0)
; } } } 
if(BgL_test2582z00_3640)
{ /* Llib/pgp_composition.scm 299 */
if(
NULLP(
CDR(
((obj_t)BgL_packetsz00_351))))
{ /* Llib/pgp_composition.scm 300 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 301 */
 obj_t BgL_list1850z00_372;
BgL_list1850z00_372 = 
MAKE_YOUNG_PAIR(BGl_string2269z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1850z00_372); } 
{ /* Llib/pgp_composition.scm 302 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1184z00_374;
{ /* Llib/pgp_composition.scm 303 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1183z00_375;
BgL_new1183z00_375 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 303 */
 long BgL_arg1852z00_376;
BgL_arg1852z00_376 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1183z00_375), BgL_arg1852z00_376); } 
BgL_new1184z00_374 = BgL_new1183z00_375; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1184z00_374))->BgL_msgz00)=((obj_t)
CAR(
((obj_t)BgL_packetsz00_351))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1184z00_374))->BgL_sigsz00)=((obj_t)
bgl_reverse_bang(BgL_sigsz00_352)),BUNSPEC); 
return BgL_new1184z00_374;} }  else 
{ /* Llib/pgp_composition.scm 299 */
{ /* Llib/pgp_composition.scm 307 */
 obj_t BgL_arg1853z00_377;
BgL_arg1853z00_377 = 
CAR(
((obj_t)BgL_packetsz00_351)); 
{ /* Llib/pgp_composition.scm 306 */
 obj_t BgL_list1854z00_378;
{ /* Llib/pgp_composition.scm 306 */
 obj_t BgL_arg1855z00_379;
BgL_arg1855z00_379 = 
MAKE_YOUNG_PAIR(BgL_arg1853z00_377, BNIL); 
BgL_list1854z00_378 = 
MAKE_YOUNG_PAIR(BGl_string2268z00zz__openpgpzd2compositionzd2, BgL_arg1855z00_379); } 
BGl_warningz00zz__errorz00(BgL_list1854z00_378); } } 
{ /* Llib/pgp_composition.scm 308 */
 obj_t BgL_arg1856z00_380;
BgL_arg1856z00_380 = 
CDR(
((obj_t)BgL_packetsz00_351)); 
{ 
 obj_t BgL_packetsz00_3683;
BgL_packetsz00_3683 = BgL_arg1856z00_380; 
BgL_packetsz00_351 = BgL_packetsz00_3683; 
goto BgL_zc3z04anonymousza31834ze3z87_353;} } } } } } } } 

}



/* parse-one-pass-signature */
obj_t BGl_parsezd2onezd2passzd2signaturezd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_11)
{
{ /* Llib/pgp_composition.scm 313 */
{ 
 obj_t BgL_opzd2pktzd2_442; obj_t BgL_pktz00_443;
{ 
 obj_t BgL_packetsz00_389; bool_t BgL_expectzd2onezd2passzf3zf3_390; obj_t BgL_onezd2passzd2sigsz00_391; obj_t BgL_msgz00_392; obj_t BgL_sigsz00_393;
BgL_packetsz00_389 = BgL_packetsz00_11; 
BgL_expectzd2onezd2passzf3zf3_390 = ((bool_t)1); 
BgL_onezd2passzd2sigsz00_391 = BNIL; 
BgL_msgz00_392 = BFALSE; 
BgL_sigsz00_393 = BNIL; 
BgL_zc3z04anonymousza31860ze3z87_394:
if(
NULLP(BgL_packetsz00_389))
{ /* Llib/pgp_composition.scm 337 */
 obj_t BgL_onezd2passzd2sigsz00_396;
BgL_onezd2passzd2sigsz00_396 = 
bgl_reverse_bang(BgL_onezd2passzd2sigsz00_391); 
if(
(
bgl_list_length(BgL_onezd2passzd2sigsz00_396)==
bgl_list_length(BgL_sigsz00_393)))
{ /* Llib/pgp_composition.scm 338 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 338 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2270z00zz__openpgpzd2compositionzd2, BGl_string2271z00zz__openpgpzd2compositionzd2, BFALSE); } 
{ 
 obj_t BgL_ll1255z00_403; obj_t BgL_ll1256z00_404;
BgL_ll1255z00_403 = BgL_onezd2passzd2sigsz00_396; 
BgL_ll1256z00_404 = BgL_sigsz00_393; 
BgL_zc3z04anonymousza31869ze3z87_405:
if(
NULLP(BgL_ll1255z00_403))
{ /* Llib/pgp_composition.scm 343 */((bool_t)1); }  else 
{ /* Llib/pgp_composition.scm 343 */
{ /* Llib/pgp_composition.scm 344 */
 obj_t BgL_opzd2pktzd2_407; obj_t BgL_sigzd2pktzd2_408;
BgL_opzd2pktzd2_407 = 
CAR(
((obj_t)BgL_ll1255z00_403)); 
BgL_sigzd2pktzd2_408 = 
CAR(
((obj_t)BgL_ll1256z00_404)); 
{ /* Llib/pgp_composition.scm 344 */
 bool_t BgL_test2590z00_3698;
BgL_opzd2pktzd2_442 = BgL_opzd2pktzd2_407; 
BgL_pktz00_443 = BgL_sigzd2pktzd2_408; 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_442))))->BgL_issuerz00), 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_443))))->BgL_issuerz00)))
{ /* Llib/pgp_composition.scm 324 */
if(
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_442))))->BgL_publiczd2keyzd2algoz00)==
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_443))))->BgL_publiczd2keyzd2algoz00)))
{ /* Llib/pgp_composition.scm 325 */
if(
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_442))))->BgL_hashzd2algozd2)==
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_443))))->BgL_hashzd2algozd2)))
{ /* Llib/pgp_composition.scm 326 */
BgL_test2590z00_3698 = 
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_442))))->BgL_signaturezd2typezd2)==
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_443))))->BgL_signaturezd2typezd2))
; }  else 
{ /* Llib/pgp_composition.scm 326 */
BgL_test2590z00_3698 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_composition.scm 325 */
BgL_test2590z00_3698 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_composition.scm 324 */
BgL_test2590z00_3698 = ((bool_t)0)
; } 
if(BgL_test2590z00_3698)
{ /* Llib/pgp_composition.scm 344 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 344 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2270z00zz__openpgpzd2compositionzd2, BGl_string2272z00zz__openpgpzd2compositionzd2, BFALSE); } } } 
{ /* Llib/pgp_composition.scm 343 */
 obj_t BgL_arg1872z00_410; obj_t BgL_arg1873z00_411;
BgL_arg1872z00_410 = 
CDR(
((obj_t)BgL_ll1255z00_403)); 
BgL_arg1873z00_411 = 
CDR(
((obj_t)BgL_ll1256z00_404)); 
{ 
 obj_t BgL_ll1256z00_3736; obj_t BgL_ll1255z00_3735;
BgL_ll1255z00_3735 = BgL_arg1872z00_410; 
BgL_ll1256z00_3736 = BgL_arg1873z00_411; 
BgL_ll1256z00_404 = BgL_ll1256z00_3736; 
BgL_ll1255z00_403 = BgL_ll1255z00_3735; 
goto BgL_zc3z04anonymousza31869ze3z87_405;} } } } 
{ /* Llib/pgp_composition.scm 350 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1193z00_413;
{ /* Llib/pgp_composition.scm 352 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1192z00_414;
BgL_new1192z00_414 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 352 */
 long BgL_arg1874z00_415;
BgL_arg1874z00_415 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1192z00_414), BgL_arg1874z00_415); } 
{ /* Llib/pgp_composition.scm 352 */
 BgL_objectz00_bglt BgL_tmpz00_3741;
BgL_tmpz00_3741 = 
((BgL_objectz00_bglt)BgL_new1192z00_414); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3741, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1192z00_414); 
BgL_new1193z00_413 = BgL_new1192z00_414; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1193z00_413)))->BgL_msgz00)=((obj_t)BgL_msgz00_392),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1193z00_413)))->BgL_sigsz00)=((obj_t)BgL_sigsz00_393),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(BgL_new1193z00_413))->BgL_onezd2passzd2sigsz00)=((obj_t)BgL_onezd2passzd2sigsz00_396),BUNSPEC); 
return 
((obj_t)BgL_new1193z00_413);} }  else 
{ /* Llib/pgp_composition.scm 354 */
 bool_t BgL_test2594z00_3751;
{ /* Llib/pgp_composition.scm 354 */
 obj_t BgL_arg1897z00_440;
BgL_arg1897z00_440 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
{ /* Llib/pgp_composition.scm 354 */
 obj_t BgL_classz00_1880;
BgL_classz00_1880 = BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1897z00_440))
{ /* Llib/pgp_composition.scm 354 */
 BgL_objectz00_bglt BgL_arg1797z00_1882;
BgL_arg1797z00_1882 = 
(BgL_objectz00_bglt)(BgL_arg1897z00_440); 
{ /* Llib/pgp_composition.scm 354 */
 bool_t BgL_arg1794z00_1885; bool_t BgL_arg1795z00_1886;
{ /* Llib/pgp_composition.scm 354 */
 long BgL_idxz00_1889;
BgL_idxz00_1889 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1882); 
BgL_arg1794z00_1885 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1889+((long)2)))==BgL_classz00_1880); } 
{ /* Llib/pgp_composition.scm 354 */
 bool_t BgL_res2219z00_1911;
{ /* Llib/pgp_composition.scm 354 */
 obj_t BgL_oclassz00_1897;
{ /* Llib/pgp_composition.scm 354 */
 long BgL_arg1804z00_1903;
{ /* Llib/pgp_composition.scm 354 */
 long BgL_arg1805z00_1904;
BgL_arg1805z00_1904 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1882); 
BgL_arg1804z00_1903 = 
(BgL_arg1805z00_1904-OBJECT_TYPE); } 
BgL_oclassz00_1897 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1903); } 
{ /* Llib/pgp_composition.scm 354 */
 bool_t BgL__ortest_1111z00_1898;
BgL__ortest_1111z00_1898 = 
(BgL_classz00_1880==BgL_oclassz00_1897); 
if(BgL__ortest_1111z00_1898)
{ /* Llib/pgp_composition.scm 354 */
BgL_res2219z00_1911 = BgL__ortest_1111z00_1898; }  else 
{ /* Llib/pgp_composition.scm 354 */
 long BgL_odepthz00_1899;
BgL_odepthz00_1899 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1897); 
if(
(((long)2)<BgL_odepthz00_1899))
{ /* Llib/pgp_composition.scm 354 */
 obj_t BgL_arg1793z00_1901;
BgL_arg1793z00_1901 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1897, ((long)2)); 
BgL_res2219z00_1911 = 
(BgL_arg1793z00_1901==BgL_classz00_1880); }  else 
{ /* Llib/pgp_composition.scm 354 */
BgL_res2219z00_1911 = ((bool_t)0); } } } } 
BgL_arg1795z00_1886 = BgL_res2219z00_1911; } 
BgL_test2594z00_3751 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1885, BgL_arg1795z00_1886); } }  else 
{ /* Llib/pgp_composition.scm 354 */
BgL_test2594z00_3751 = ((bool_t)0)
; } } } 
if(BgL_test2594z00_3751)
{ /* Llib/pgp_composition.scm 355 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_i1194z00_418;
BgL_i1194z00_418 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_389))); 
{ 
 obj_t BgL_packetsz00_3775;
BgL_packetsz00_3775 = 
BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_i1194z00_418))->BgL_packetsz00), BgL_packetsz00_389); 
BgL_packetsz00_389 = BgL_packetsz00_3775; 
goto BgL_zc3z04anonymousza31860ze3z87_394;} }  else 
{ /* Llib/pgp_composition.scm 358 */
 bool_t BgL_test2598z00_3778;
if(BgL_expectzd2onezd2passzf3zf3_390)
{ /* Llib/pgp_composition.scm 359 */
 obj_t BgL_arg1896z00_439;
BgL_arg1896z00_439 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
{ /* Llib/pgp_composition.scm 359 */
 obj_t BgL_classz00_1914;
BgL_classz00_1914 = BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1896z00_439))
{ /* Llib/pgp_composition.scm 359 */
 BgL_objectz00_bglt BgL_arg1797z00_1916;
BgL_arg1797z00_1916 = 
(BgL_objectz00_bglt)(BgL_arg1896z00_439); 
{ /* Llib/pgp_composition.scm 359 */
 bool_t BgL_arg1794z00_1919; bool_t BgL_arg1795z00_1920;
{ /* Llib/pgp_composition.scm 359 */
 long BgL_idxz00_1923;
BgL_idxz00_1923 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1916); 
BgL_arg1794z00_1919 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1923+((long)3)))==BgL_classz00_1914); } 
{ /* Llib/pgp_composition.scm 359 */
 bool_t BgL_res2220z00_1945;
{ /* Llib/pgp_composition.scm 359 */
 obj_t BgL_oclassz00_1931;
{ /* Llib/pgp_composition.scm 359 */
 long BgL_arg1804z00_1937;
{ /* Llib/pgp_composition.scm 359 */
 long BgL_arg1805z00_1938;
BgL_arg1805z00_1938 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1916); 
BgL_arg1804z00_1937 = 
(BgL_arg1805z00_1938-OBJECT_TYPE); } 
BgL_oclassz00_1931 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1937); } 
{ /* Llib/pgp_composition.scm 359 */
 bool_t BgL__ortest_1111z00_1932;
BgL__ortest_1111z00_1932 = 
(BgL_classz00_1914==BgL_oclassz00_1931); 
if(BgL__ortest_1111z00_1932)
{ /* Llib/pgp_composition.scm 359 */
BgL_res2220z00_1945 = BgL__ortest_1111z00_1932; }  else 
{ /* Llib/pgp_composition.scm 359 */
 long BgL_odepthz00_1933;
BgL_odepthz00_1933 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1931); 
if(
(((long)3)<BgL_odepthz00_1933))
{ /* Llib/pgp_composition.scm 359 */
 obj_t BgL_arg1793z00_1935;
BgL_arg1793z00_1935 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1931, ((long)3)); 
BgL_res2220z00_1945 = 
(BgL_arg1793z00_1935==BgL_classz00_1914); }  else 
{ /* Llib/pgp_composition.scm 359 */
BgL_res2220z00_1945 = ((bool_t)0); } } } } 
BgL_arg1795z00_1920 = BgL_res2220z00_1945; } 
BgL_test2598z00_3778 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1919, BgL_arg1795z00_1920); } }  else 
{ /* Llib/pgp_composition.scm 359 */
BgL_test2598z00_3778 = ((bool_t)0)
; } } }  else 
{ /* Llib/pgp_composition.scm 358 */
BgL_test2598z00_3778 = ((bool_t)0)
; } 
if(BgL_test2598z00_3778)
{ /* Llib/pgp_composition.scm 360 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_i1195z00_423;
BgL_i1195z00_423 = 
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_389))); 
{ /* Llib/pgp_composition.scm 362 */
 obj_t BgL_arg1881z00_424; bool_t BgL_arg1882z00_425; obj_t BgL_arg1883z00_426;
BgL_arg1881z00_424 = 
CDR(
((obj_t)BgL_packetsz00_389)); 
BgL_arg1882z00_425 = 
(((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(BgL_i1195z00_423))->BgL_containszd2nestedzd2sigzf3zf3); 
{ /* Llib/pgp_composition.scm 364 */
 obj_t BgL_arg1884z00_427;
BgL_arg1884z00_427 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
BgL_arg1883z00_426 = 
MAKE_YOUNG_PAIR(BgL_arg1884z00_427, BgL_onezd2passzd2sigsz00_391); } 
{ 
 obj_t BgL_onezd2passzd2sigsz00_3811; bool_t BgL_expectzd2onezd2passzf3zf3_3810; obj_t BgL_packetsz00_3809;
BgL_packetsz00_3809 = BgL_arg1881z00_424; 
BgL_expectzd2onezd2passzf3zf3_3810 = BgL_arg1882z00_425; 
BgL_onezd2passzd2sigsz00_3811 = BgL_arg1883z00_426; 
BgL_onezd2passzd2sigsz00_391 = BgL_onezd2passzd2sigsz00_3811; 
BgL_expectzd2onezd2passzf3zf3_390 = BgL_expectzd2onezd2passzf3zf3_3810; 
BgL_packetsz00_389 = BgL_packetsz00_3809; 
goto BgL_zc3z04anonymousza31860ze3z87_394;} } }  else 
{ /* Llib/pgp_composition.scm 358 */
if(BgL_expectzd2onezd2passzf3zf3_390)
{ /* Llib/pgp_composition.scm 367 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2270z00zz__openpgpzd2compositionzd2, BGl_string2271z00zz__openpgpzd2compositionzd2, BFALSE);}  else 
{ /* Llib/pgp_composition.scm 371 */
 bool_t BgL_test2604z00_3814;
if(
CBOOL(BgL_msgz00_392))
{ /* Llib/pgp_composition.scm 371 */
BgL_test2604z00_3814 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 371 */
 obj_t BgL_arg1895z00_438;
BgL_arg1895z00_438 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
{ /* Llib/pgp_composition.scm 371 */
 obj_t BgL_classz00_1950;
BgL_classz00_1950 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1895z00_438))
{ /* Llib/pgp_composition.scm 371 */
 BgL_objectz00_bglt BgL_arg1797z00_1952;
BgL_arg1797z00_1952 = 
(BgL_objectz00_bglt)(BgL_arg1895z00_438); 
{ /* Llib/pgp_composition.scm 371 */
 bool_t BgL_arg1794z00_1955; bool_t BgL_arg1795z00_1956;
{ /* Llib/pgp_composition.scm 371 */
 long BgL_idxz00_1959;
BgL_idxz00_1959 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1952); 
BgL_arg1794z00_1955 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1959+((long)2)))==BgL_classz00_1950); } 
{ /* Llib/pgp_composition.scm 371 */
 bool_t BgL_res2221z00_1981;
{ /* Llib/pgp_composition.scm 371 */
 obj_t BgL_oclassz00_1967;
{ /* Llib/pgp_composition.scm 371 */
 long BgL_arg1804z00_1973;
{ /* Llib/pgp_composition.scm 371 */
 long BgL_arg1805z00_1974;
BgL_arg1805z00_1974 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1952); 
BgL_arg1804z00_1973 = 
(BgL_arg1805z00_1974-OBJECT_TYPE); } 
BgL_oclassz00_1967 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1973); } 
{ /* Llib/pgp_composition.scm 371 */
 bool_t BgL__ortest_1111z00_1968;
BgL__ortest_1111z00_1968 = 
(BgL_classz00_1950==BgL_oclassz00_1967); 
if(BgL__ortest_1111z00_1968)
{ /* Llib/pgp_composition.scm 371 */
BgL_res2221z00_1981 = BgL__ortest_1111z00_1968; }  else 
{ /* Llib/pgp_composition.scm 371 */
 long BgL_odepthz00_1969;
BgL_odepthz00_1969 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1967); 
if(
(((long)2)<BgL_odepthz00_1969))
{ /* Llib/pgp_composition.scm 371 */
 obj_t BgL_arg1793z00_1971;
BgL_arg1793z00_1971 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1967, ((long)2)); 
BgL_res2221z00_1981 = 
(BgL_arg1793z00_1971==BgL_classz00_1950); }  else 
{ /* Llib/pgp_composition.scm 371 */
BgL_res2221z00_1981 = ((bool_t)0); } } } } 
BgL_arg1795z00_1956 = BgL_res2221z00_1981; } 
BgL_test2604z00_3814 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1955, BgL_arg1795z00_1956); } }  else 
{ /* Llib/pgp_composition.scm 371 */
BgL_test2604z00_3814 = ((bool_t)0)
; } } } 
if(BgL_test2604z00_3814)
{ /* Llib/pgp_composition.scm 372 */
 obj_t BgL_arg1887z00_430; obj_t BgL_arg1888z00_431;
BgL_arg1887z00_430 = 
CDR(
((obj_t)BgL_packetsz00_389)); 
BgL_arg1888z00_431 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
{ 
 obj_t BgL_msgz00_3843; bool_t BgL_expectzd2onezd2passzf3zf3_3842; obj_t BgL_packetsz00_3841;
BgL_packetsz00_3841 = BgL_arg1887z00_430; 
BgL_expectzd2onezd2passzf3zf3_3842 = ((bool_t)0); 
BgL_msgz00_3843 = BgL_arg1888z00_431; 
BgL_msgz00_392 = BgL_msgz00_3843; 
BgL_expectzd2onezd2passzf3zf3_390 = BgL_expectzd2onezd2passzf3zf3_3842; 
BgL_packetsz00_389 = BgL_packetsz00_3841; 
goto BgL_zc3z04anonymousza31860ze3z87_394;} }  else 
{ /* Llib/pgp_composition.scm 371 */
if(
CBOOL(BgL_msgz00_392))
{ /* Llib/pgp_composition.scm 377 */
 bool_t BgL_test2610z00_3846;
{ /* Llib/pgp_composition.scm 377 */
 obj_t BgL_arg1894z00_437;
BgL_arg1894z00_437 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
{ /* Llib/pgp_composition.scm 377 */
 obj_t BgL_classz00_1985;
BgL_classz00_1985 = BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1894z00_437))
{ /* Llib/pgp_composition.scm 377 */
 BgL_objectz00_bglt BgL_arg1797z00_1987;
BgL_arg1797z00_1987 = 
(BgL_objectz00_bglt)(BgL_arg1894z00_437); 
{ /* Llib/pgp_composition.scm 377 */
 bool_t BgL_arg1794z00_1990; bool_t BgL_arg1795z00_1991;
{ /* Llib/pgp_composition.scm 377 */
 long BgL_idxz00_1994;
BgL_idxz00_1994 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1987); 
BgL_arg1794z00_1990 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1994+((long)3)))==BgL_classz00_1985); } 
{ /* Llib/pgp_composition.scm 377 */
 bool_t BgL_res2222z00_2016;
{ /* Llib/pgp_composition.scm 377 */
 obj_t BgL_oclassz00_2002;
{ /* Llib/pgp_composition.scm 377 */
 long BgL_arg1804z00_2008;
{ /* Llib/pgp_composition.scm 377 */
 long BgL_arg1805z00_2009;
BgL_arg1805z00_2009 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1987); 
BgL_arg1804z00_2008 = 
(BgL_arg1805z00_2009-OBJECT_TYPE); } 
BgL_oclassz00_2002 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2008); } 
{ /* Llib/pgp_composition.scm 377 */
 bool_t BgL__ortest_1111z00_2003;
BgL__ortest_1111z00_2003 = 
(BgL_classz00_1985==BgL_oclassz00_2002); 
if(BgL__ortest_1111z00_2003)
{ /* Llib/pgp_composition.scm 377 */
BgL_res2222z00_2016 = BgL__ortest_1111z00_2003; }  else 
{ /* Llib/pgp_composition.scm 377 */
 long BgL_odepthz00_2004;
BgL_odepthz00_2004 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2002); 
if(
(((long)3)<BgL_odepthz00_2004))
{ /* Llib/pgp_composition.scm 377 */
 obj_t BgL_arg1793z00_2006;
BgL_arg1793z00_2006 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2002, ((long)3)); 
BgL_res2222z00_2016 = 
(BgL_arg1793z00_2006==BgL_classz00_1985); }  else 
{ /* Llib/pgp_composition.scm 377 */
BgL_res2222z00_2016 = ((bool_t)0); } } } } 
BgL_arg1795z00_1991 = BgL_res2222z00_2016; } 
BgL_test2610z00_3846 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1990, BgL_arg1795z00_1991); } }  else 
{ /* Llib/pgp_composition.scm 377 */
BgL_test2610z00_3846 = ((bool_t)0)
; } } } 
if(BgL_test2610z00_3846)
{ /* Llib/pgp_composition.scm 378 */
 obj_t BgL_arg1891z00_434; obj_t BgL_arg1892z00_435;
BgL_arg1891z00_434 = 
CDR(
((obj_t)BgL_packetsz00_389)); 
{ /* Llib/pgp_composition.scm 379 */
 obj_t BgL_arg1893z00_436;
BgL_arg1893z00_436 = 
CAR(
((obj_t)BgL_packetsz00_389)); 
BgL_arg1892z00_435 = 
MAKE_YOUNG_PAIR(BgL_arg1893z00_436, BgL_sigsz00_393); } 
{ 
 obj_t BgL_sigsz00_3874; bool_t BgL_expectzd2onezd2passzf3zf3_3873; obj_t BgL_packetsz00_3872;
BgL_packetsz00_3872 = BgL_arg1891z00_434; 
BgL_expectzd2onezd2passzf3zf3_3873 = ((bool_t)0); 
BgL_sigsz00_3874 = BgL_arg1892z00_435; 
BgL_sigsz00_393 = BgL_sigsz00_3874; 
BgL_expectzd2onezd2passzf3zf3_390 = BgL_expectzd2onezd2passzf3zf3_3873; 
BgL_packetsz00_389 = BgL_packetsz00_3872; 
goto BgL_zc3z04anonymousza31860ze3z87_394;} }  else 
{ /* Llib/pgp_composition.scm 377 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2270z00zz__openpgpzd2compositionzd2, BGl_string2271z00zz__openpgpzd2compositionzd2, BFALSE);} }  else 
{ /* Llib/pgp_composition.scm 373 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2270z00zz__openpgpzd2compositionzd2, BGl_string2271z00zz__openpgpzd2compositionzd2, BFALSE);} } } } } } } } } 

}



/* parse-literal */
BgL_pgpzd2literalzd2_bglt BGl_parsezd2literalzd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_12)
{
{ /* Llib/pgp_composition.scm 388 */
if(
NULLP(
CDR(BgL_packetsz00_12)))
{ /* Llib/pgp_composition.scm 389 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 390 */
 obj_t BgL_list1911z00_461;
BgL_list1911z00_461 = 
MAKE_YOUNG_PAIR(BGl_string2256z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1911z00_461); } 
{ /* Llib/pgp_composition.scm 391 */
 bool_t BgL_test2615z00_3882;
{ /* Llib/pgp_composition.scm 392 */
 bool_t BgL_test2616z00_3883;
{ /* Llib/pgp_composition.scm 392 */
 obj_t BgL_arg1918z00_470;
BgL_arg1918z00_470 = 
CAR(BgL_packetsz00_12); 
{ /* Llib/pgp_composition.scm 392 */
 obj_t BgL_classz00_2021;
BgL_classz00_2021 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1918z00_470))
{ /* Llib/pgp_composition.scm 392 */
 BgL_objectz00_bglt BgL_arg1797z00_2023;
BgL_arg1797z00_2023 = 
(BgL_objectz00_bglt)(BgL_arg1918z00_470); 
{ /* Llib/pgp_composition.scm 392 */
 bool_t BgL_arg1794z00_2026; bool_t BgL_arg1795z00_2027;
{ /* Llib/pgp_composition.scm 392 */
 long BgL_idxz00_2030;
BgL_idxz00_2030 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2023); 
BgL_arg1794z00_2026 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2030+((long)2)))==BgL_classz00_2021); } 
{ /* Llib/pgp_composition.scm 392 */
 bool_t BgL_res2223z00_2052;
{ /* Llib/pgp_composition.scm 392 */
 obj_t BgL_oclassz00_2038;
{ /* Llib/pgp_composition.scm 392 */
 long BgL_arg1804z00_2044;
{ /* Llib/pgp_composition.scm 392 */
 long BgL_arg1805z00_2045;
BgL_arg1805z00_2045 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2023); 
BgL_arg1804z00_2044 = 
(BgL_arg1805z00_2045-OBJECT_TYPE); } 
BgL_oclassz00_2038 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2044); } 
{ /* Llib/pgp_composition.scm 392 */
 bool_t BgL__ortest_1111z00_2039;
BgL__ortest_1111z00_2039 = 
(BgL_classz00_2021==BgL_oclassz00_2038); 
if(BgL__ortest_1111z00_2039)
{ /* Llib/pgp_composition.scm 392 */
BgL_res2223z00_2052 = BgL__ortest_1111z00_2039; }  else 
{ /* Llib/pgp_composition.scm 392 */
 long BgL_odepthz00_2040;
BgL_odepthz00_2040 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2038); 
if(
(((long)2)<BgL_odepthz00_2040))
{ /* Llib/pgp_composition.scm 392 */
 obj_t BgL_arg1793z00_2042;
BgL_arg1793z00_2042 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2038, ((long)2)); 
BgL_res2223z00_2052 = 
(BgL_arg1793z00_2042==BgL_classz00_2021); }  else 
{ /* Llib/pgp_composition.scm 392 */
BgL_res2223z00_2052 = ((bool_t)0); } } } } 
BgL_arg1795z00_2027 = BgL_res2223z00_2052; } 
BgL_test2616z00_3883 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2026, BgL_arg1795z00_2027); } }  else 
{ /* Llib/pgp_composition.scm 392 */
BgL_test2616z00_3883 = ((bool_t)0)
; } } } 
if(BgL_test2616z00_3883)
{ /* Llib/pgp_composition.scm 392 */
BgL_test2615z00_3882 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 392 */
BgL_test2615z00_3882 = ((bool_t)1)
; } } 
if(BgL_test2615z00_3882)
{ /* Llib/pgp_composition.scm 391 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2273z00zz__openpgpzd2compositionzd2, BGl_string2274z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 391 */BFALSE; } } 
{ /* Llib/pgp_composition.scm 396 */
 BgL_pgpzd2literalzd2_bglt BgL_new1197z00_471;
{ /* Llib/pgp_composition.scm 397 */
 BgL_pgpzd2literalzd2_bglt BgL_new1196z00_472;
BgL_new1196z00_472 = 
((BgL_pgpzd2literalzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 397 */
 long BgL_arg1919z00_473;
BgL_arg1919z00_473 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1196z00_472), BgL_arg1919z00_473); } 
{ /* Llib/pgp_composition.scm 397 */
 BgL_objectz00_bglt BgL_tmpz00_3908;
BgL_tmpz00_3908 = 
((BgL_objectz00_bglt)BgL_new1196z00_472); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3908, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1196z00_472); 
BgL_new1197z00_471 = BgL_new1196z00_472; } 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(BgL_new1197z00_471))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)
((BgL_pgpzd2literalzd2packetz00_bglt)
CAR(BgL_packetsz00_12))),BUNSPEC); 
return BgL_new1197z00_471;} } 

}



/* create-chksum64 */
obj_t BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(obj_t BgL_dataz00_13)
{
{ /* Llib/pgp_composition.scm 402 */
{ /* Llib/pgp_composition.scm 403 */
 obj_t BgL_computedzd2chksumzd2_474;
BgL_computedzd2chksumzd2_474 = 
BGl_crczd2stringzd2zz__crcz00(
CNST_TABLE_REF(((long)6)), BgL_dataz00_13, BTRUE, 
BINT(((long)0)), 
BINT(((long)11994318))); 
{ /* Llib/pgp_composition.scm 403 */
 long BgL_b1z00_475;
BgL_b1z00_475 = 
(
(
(long)CINT(BgL_computedzd2chksumzd2_474) & ((long)16711680)) >> 
(int)(((long)16))); 
{ /* Llib/pgp_composition.scm 405 */
 long BgL_b2z00_476;
BgL_b2z00_476 = 
(
(
(long)CINT(BgL_computedzd2chksumzd2_474) & ((long)65280)) >> 
(int)(((long)8))); 
{ /* Llib/pgp_composition.scm 406 */
 long BgL_b3z00_477;
BgL_b3z00_477 = 
(
(long)CINT(BgL_computedzd2chksumzd2_474) & ((long)255)); 
{ /* Llib/pgp_composition.scm 407 */

{ /* Llib/pgp_composition.scm 408 */
 obj_t BgL_arg1920z00_478;
{ /* Llib/pgp_composition.scm 408 */
 unsigned char BgL_arg1921z00_481; unsigned char BgL_arg1922z00_482; unsigned char BgL_arg1923z00_483;
BgL_arg1921z00_481 = 
(BgL_b1z00_475); 
BgL_arg1922z00_482 = 
(BgL_b2z00_476); 
BgL_arg1923z00_483 = 
(BgL_b3z00_477); 
{ /* Llib/pgp_composition.scm 408 */
 obj_t BgL_list1924z00_484;
{ /* Llib/pgp_composition.scm 408 */
 obj_t BgL_arg1925z00_485;
{ /* Llib/pgp_composition.scm 408 */
 obj_t BgL_arg1926z00_486;
BgL_arg1926z00_486 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1923z00_483), BNIL); 
BgL_arg1925z00_485 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1922z00_482), BgL_arg1926z00_486); } 
BgL_list1924z00_484 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1921z00_481), BgL_arg1925z00_485); } 
BgL_arg1920z00_478 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1924z00_484); } } 
{ /* Llib/pgp_composition.scm 408 */

return 
BGl_base64zd2encodezd2zz__base64z00(BgL_arg1920z00_478, 
BINT(((long)76)));} } } } } } } } 

}



/* armored-pipe-port */
obj_t BGl_armoredzd2pipezd2portz00zz__openpgpzd2compositionzd2(obj_t BgL_pz00_14)
{
{ /* Llib/pgp_composition.scm 415 */
{ 
 obj_t BgL_lz00_553; obj_t BgL_dataz00_566; obj_t BgL_pz00_567;
{ /* Llib/pgp_composition.scm 463 */
 obj_t BgL_lz00_495;
BgL_lz00_495 = 
BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(BgL_pz00_14); 
{ /* Llib/pgp_composition.scm 464 */
 bool_t BgL_test2620z00_3942;
{ /* Llib/pgp_composition.scm 464 */
 bool_t BgL_test2621z00_3943;
{ /* Llib/pgp_composition.scm 464 */

BgL_test2621z00_3943 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(BGl_string2279z00zz__openpgpzd2compositionzd2, BgL_lz00_495, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL_test2621z00_3943)
{ /* Llib/pgp_composition.scm 465 */

BgL_test2620z00_3942 = 
BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(BGl_string2280z00zz__openpgpzd2compositionzd2, BgL_lz00_495, BFALSE, BFALSE, BFALSE, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 464 */
BgL_test2620z00_3942 = ((bool_t)0)
; } } 
if(BgL_test2620z00_3942)
{ /* Llib/pgp_composition.scm 464 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 464 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2276z00zz__openpgpzd2compositionzd2, BGl_string2281z00zz__openpgpzd2compositionzd2, BgL_lz00_495); } } 
{ /* Llib/pgp_composition.scm 468 */
 obj_t BgL_mainzd2headerzd2infoz00_529;
{ /* Llib/pgp_composition.scm 468 */
 long BgL_arg1934z00_547;
BgL_arg1934z00_547 = 
(
STRING_LENGTH(
((obj_t)BgL_lz00_495))-((long)5)); 
BgL_mainzd2headerzd2infoz00_529 = 
c_substring(
((obj_t)BgL_lz00_495), ((long)11), BgL_arg1934z00_547); } 
{ 
 obj_t BgL_headersz00_532;
BgL_headersz00_532 = BNIL; 
BgL_zc3z04anonymousza31931ze3z87_533:
{ /* Llib/pgp_composition.scm 470 */
 obj_t BgL_lz00_534;
BgL_lz00_534 = 
BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(BgL_pz00_14); 
if(
(
STRING_LENGTH(
((obj_t)BgL_lz00_534))==((long)0)))
{ /* Llib/pgp_composition.scm 472 */
 obj_t BgL_val2_1260z00_538;
{ /* Llib/pgp_composition.scm 473 */
 obj_t BgL_p64z00_539;
BgL_p64z00_539 = 
BGl_base64zd2decodezd2pipezd2portzd2zz__openpgpzd2portzd2utilz00(BgL_pz00_14); 
{ /* Llib/pgp_composition.scm 473 */
 obj_t BgL_dataz00_540;
BgL_dataz00_540 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_p64z00_539); 
{ /* Llib/pgp_composition.scm 474 */

BgL_dataz00_566 = BgL_dataz00_540; 
BgL_pz00_567 = BgL_pz00_14; 
{ /* Llib/pgp_composition.scm 450 */
 obj_t BgL_cz00_570;
BgL_cz00_570 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_567); 
if(
EOF_OBJECTP(BgL_cz00_570))
{ /* Llib/pgp_composition.scm 451 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 451 */
{ /* Llib/pgp_composition.scm 452 */
 bool_t BgL_test2624z00_3962;
if(
CHARP(BgL_cz00_570))
{ /* Llib/pgp_composition.scm 452 */
if(
(
CCHAR(BgL_cz00_570)==((unsigned char)'=')))
{ /* Llib/pgp_composition.scm 452 */
BgL_test2624z00_3962 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 452 */
BgL_test2624z00_3962 = ((bool_t)1)
; } }  else 
{ /* Llib/pgp_composition.scm 452 */
BgL_test2624z00_3962 = ((bool_t)1)
; } 
if(BgL_test2624z00_3962)
{ /* Llib/pgp_composition.scm 453 */
 obj_t BgL_arg1950z00_575;
{ /* Llib/pgp_composition.scm 453 */
 obj_t BgL_list1951z00_576;
BgL_list1951z00_576 = 
MAKE_YOUNG_PAIR(BgL_cz00_570, BNIL); 
BgL_arg1950z00_575 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2275z00zz__openpgpzd2compositionzd2, BgL_list1951z00_576); } 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2276z00zz__openpgpzd2compositionzd2, BGl_string2277z00zz__openpgpzd2compositionzd2, BgL_arg1950z00_575); }  else 
{ /* Llib/pgp_composition.scm 452 */BFALSE; } } 
{ /* Llib/pgp_composition.scm 454 */
 obj_t BgL_linez00_579; obj_t BgL_expectedz00_580;
BgL_linez00_579 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_pz00_567); 
BgL_expectedz00_580 = 
BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(BgL_dataz00_566); 
if(
EOF_OBJECTP(BgL_linez00_579))
{ /* Llib/pgp_composition.scm 458 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2276z00zz__openpgpzd2compositionzd2, BGl_string2277z00zz__openpgpzd2compositionzd2, BGl_string2278z00zz__openpgpzd2compositionzd2); }  else 
{ /* Llib/pgp_composition.scm 458 */BFALSE; } 
{ /* Llib/pgp_composition.scm 459 */
 bool_t BgL_test2628z00_3976;
{ /* Llib/pgp_composition.scm 459 */
 long BgL_l1z00_2078;
BgL_l1z00_2078 = 
STRING_LENGTH(
((obj_t)BgL_linez00_579)); 
if(
(BgL_l1z00_2078==
STRING_LENGTH(BgL_expectedz00_580)))
{ /* Llib/pgp_composition.scm 459 */
 int BgL_arg1289z00_2081;
{ /* Llib/pgp_composition.scm 459 */
 char * BgL_auxz00_3985; char * BgL_tmpz00_3982;
BgL_auxz00_3985 = 
BSTRING_TO_STRING(BgL_expectedz00_580); 
BgL_tmpz00_3982 = 
BSTRING_TO_STRING(
((obj_t)BgL_linez00_579)); 
BgL_arg1289z00_2081 = 
memcmp(BgL_tmpz00_3982, BgL_auxz00_3985, BgL_l1z00_2078); } 
BgL_test2628z00_3976 = 
(
(long)(BgL_arg1289z00_2081)==((long)0)); }  else 
{ /* Llib/pgp_composition.scm 459 */
BgL_test2628z00_3976 = ((bool_t)0)
; } } 
if(BgL_test2628z00_3976)
{ /* Llib/pgp_composition.scm 459 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 459 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2276z00zz__openpgpzd2compositionzd2, BGl_string2277z00zz__openpgpzd2compositionzd2, BgL_linez00_579); } } } } } 
{ /* Llib/pgp_composition.scm 477 */
 long BgL_endz00_543;
BgL_endz00_543 = 
STRING_LENGTH(BgL_dataz00_540); 
{ /* Llib/pgp_composition.scm 477 */

BgL_val2_1260z00_538 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_dataz00_540, 
BINT(((long)0)), 
BINT(BgL_endz00_543)); } } } } } 
{ /* Llib/pgp_composition.scm 472 */
 int BgL_tmpz00_3995;
BgL_tmpz00_3995 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3995); } 
{ /* Llib/pgp_composition.scm 472 */
 int BgL_tmpz00_3998;
BgL_tmpz00_3998 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3998, BgL_headersz00_532); } 
{ /* Llib/pgp_composition.scm 472 */
 int BgL_tmpz00_4001;
BgL_tmpz00_4001 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4001, BgL_val2_1260z00_538); } 
return BgL_mainzd2headerzd2infoz00_529;}  else 
{ /* Llib/pgp_composition.scm 478 */
 obj_t BgL_headerz00_544;
BgL_lz00_553 = BgL_lz00_534; 
{ /* Llib/pgp_composition.scm 440 */
 obj_t BgL_posz00_555;
{ /* Llib/pgp_composition.scm 440 */

BgL_posz00_555 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_lz00_553, 
BCHAR(((unsigned char)':')), 
BINT(((long)0))); } 
if(
CBOOL(BgL_posz00_555))
{ /* Llib/pgp_composition.scm 442 */
 obj_t BgL_arg1939z00_557; obj_t BgL_arg1940z00_558;
{ /* Llib/pgp_composition.scm 442 */
 long BgL_endz00_2067;
BgL_endz00_2067 = 
(long)CINT(BgL_posz00_555); 
BgL_arg1939z00_557 = 
c_substring(
((obj_t)BgL_lz00_553), ((long)0), BgL_endz00_2067); } 
{ /* Llib/pgp_composition.scm 443 */
 long BgL_arg1943z00_561; long BgL_arg1944z00_562;
BgL_arg1943z00_561 = 
(
(long)CINT(BgL_posz00_555)+((long)1)); 
BgL_arg1944z00_562 = 
STRING_LENGTH(
((obj_t)BgL_lz00_553)); 
BgL_arg1940z00_558 = 
c_substring(
((obj_t)BgL_lz00_553), BgL_arg1943z00_561, BgL_arg1944z00_562); } 
{ /* Llib/pgp_composition.scm 442 */
 obj_t BgL_list1941z00_559;
{ /* Llib/pgp_composition.scm 442 */
 obj_t BgL_arg1942z00_560;
BgL_arg1942z00_560 = 
MAKE_YOUNG_PAIR(BgL_arg1940z00_558, BNIL); 
BgL_list1941z00_559 = 
MAKE_YOUNG_PAIR(BgL_arg1939z00_557, BgL_arg1942z00_560); } 
BgL_headerz00_544 = BgL_list1941z00_559; } }  else 
{ /* Llib/pgp_composition.scm 441 */
BgL_headerz00_544 = BFALSE; } } 
if(
CBOOL(BgL_headerz00_544))
{ /* Llib/pgp_composition.scm 480 */
 obj_t BgL_arg1933z00_545;
BgL_arg1933z00_545 = 
MAKE_YOUNG_PAIR(BgL_headerz00_544, BgL_headersz00_532); 
{ 
 obj_t BgL_headersz00_4023;
BgL_headersz00_4023 = BgL_arg1933z00_545; 
BgL_headersz00_532 = BgL_headersz00_4023; 
goto BgL_zc3z04anonymousza31931ze3z87_533;} }  else 
{ 

goto BgL_zc3z04anonymousza31931ze3z87_533;} } } } } } } } 

}



/* safe-read-line~0 */
obj_t BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(obj_t BgL_pz00_549)
{
{ /* Llib/pgp_composition.scm 437 */
{ /* Llib/pgp_composition.scm 434 */
 obj_t BgL_lz00_551;
BgL_lz00_551 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_pz00_549); 
if(
EOF_OBJECTP(BgL_lz00_551))
{ /* Llib/pgp_composition.scm 435 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2276z00zz__openpgpzd2compositionzd2, BGl_string2282z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 435 */BFALSE; } 
return BgL_lz00_551;} } 

}



/* _decode-pgp */
obj_t BGl__decodezd2pgpzd2zz__openpgpzd2compositionzd2(obj_t BgL_env1321z00_18, obj_t BgL_opt1320z00_17)
{
{ /* Llib/pgp_composition.scm 486 */
{ 
 obj_t BgL_k1z00_590; long BgL_iz00_591;
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_pz00_593;
BgL_pz00_593 = 
VECTOR_REF(BgL_opt1320z00_17,((long)0)); 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_ignorezd2badzd2packetz00_594;
BgL_ignorezd2badzd2packetz00_594 = BFALSE; 
{ /* Llib/pgp_composition.scm 486 */

{ 
 long BgL_iz00_595;
BgL_iz00_595 = ((long)1); 
BgL_check1324z00_596:
if(
(BgL_iz00_595==
VECTOR_LENGTH(BgL_opt1320z00_17)))
{ /* Llib/pgp_composition.scm 486 */BNIL; }  else 
{ /* Llib/pgp_composition.scm 486 */
 bool_t BgL_test2634z00_4032;
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_arg1960z00_602;
BgL_arg1960z00_602 = 
VECTOR_REF(BgL_opt1320z00_17,BgL_iz00_595); 
BgL_test2634z00_4032 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1960z00_602, 
CNST_TABLE_REF(((long)8)))); } 
if(BgL_test2634z00_4032)
{ 
 long BgL_iz00_4037;
BgL_iz00_4037 = 
(BgL_iz00_595+((long)2)); 
BgL_iz00_595 = BgL_iz00_4037; 
goto BgL_check1324z00_596;}  else 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_arg1959z00_601;
BgL_arg1959z00_601 = 
VECTOR_REF(BgL_opt1320z00_17,BgL_iz00_595); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string2284z00zz__openpgpzd2compositionzd2, BgL_arg1959z00_601); } } } 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_index1326z00_603;
BgL_k1z00_590 = 
CNST_TABLE_REF(((long)9)); 
BgL_iz00_591 = ((long)1); 
BgL_search1323z00_592:
if(
(BgL_iz00_591==
VECTOR_LENGTH(BgL_opt1320z00_17)))
{ /* Llib/pgp_composition.scm 486 */
BgL_index1326z00_603 = 
BINT(((long)-1)); }  else 
{ /* Llib/pgp_composition.scm 486 */
if(
(BgL_iz00_591==
(
VECTOR_LENGTH(BgL_opt1320z00_17)-((long)1))))
{ /* Llib/pgp_composition.scm 486 */
BgL_index1326z00_603 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string2283z00zz__openpgpzd2compositionzd2, 
BINT(
VECTOR_LENGTH(BgL_opt1320z00_17))); }  else 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_vz00_611;
BgL_vz00_611 = 
VECTOR_REF(BgL_opt1320z00_17,BgL_iz00_591); 
if(
(BgL_vz00_611==BgL_k1z00_590))
{ /* Llib/pgp_composition.scm 486 */
BgL_index1326z00_603 = 
BINT(
(BgL_iz00_591+((long)1))); }  else 
{ 
 long BgL_iz00_4059;
BgL_iz00_4059 = 
(BgL_iz00_591+((long)2)); 
BgL_iz00_591 = BgL_iz00_4059; 
goto BgL_search1323z00_592;} } } 
{ /* Llib/pgp_composition.scm 486 */
 bool_t BgL_test2638z00_4062;
{ /* Llib/pgp_composition.scm 486 */
 long BgL_n1z00_2111;
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_tmpz00_4063;
if(
INTEGERP(BgL_index1326z00_603))
{ /* Llib/pgp_composition.scm 486 */
BgL_tmpz00_4063 = BgL_index1326z00_603
; }  else 
{ 
 obj_t BgL_auxz00_4066;
BgL_auxz00_4066 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)18226)), BGl_string2285z00zz__openpgpzd2compositionzd2, BGl_string2286z00zz__openpgpzd2compositionzd2, BgL_index1326z00_603); 
FAILURE(BgL_auxz00_4066,BFALSE,BFALSE);} 
BgL_n1z00_2111 = 
(long)CINT(BgL_tmpz00_4063); } 
BgL_test2638z00_4062 = 
(BgL_n1z00_2111>=((long)0)); } 
if(BgL_test2638z00_4062)
{ 
 long BgL_auxz00_4072;
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_tmpz00_4073;
if(
INTEGERP(BgL_index1326z00_603))
{ /* Llib/pgp_composition.scm 486 */
BgL_tmpz00_4073 = BgL_index1326z00_603
; }  else 
{ 
 obj_t BgL_auxz00_4076;
BgL_auxz00_4076 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)18226)), BGl_string2285z00zz__openpgpzd2compositionzd2, BGl_string2286z00zz__openpgpzd2compositionzd2, BgL_index1326z00_603); 
FAILURE(BgL_auxz00_4076,BFALSE,BFALSE);} 
BgL_auxz00_4072 = 
(long)CINT(BgL_tmpz00_4073); } 
BgL_ignorezd2badzd2packetz00_594 = 
VECTOR_REF(BgL_opt1320z00_17,BgL_auxz00_4072); }  else 
{ /* Llib/pgp_composition.scm 486 */BFALSE; } } } 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_arg1962z00_605;
BgL_arg1962z00_605 = 
VECTOR_REF(BgL_opt1320z00_17,((long)0)); 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_ignorezd2badzd2packetz00_606;
BgL_ignorezd2badzd2packetz00_606 = BgL_ignorezd2badzd2packetz00_594; 
{ /* Llib/pgp_composition.scm 486 */
 obj_t BgL_auxz00_4083;
if(
INPUT_PORTP(BgL_arg1962z00_605))
{ /* Llib/pgp_composition.scm 486 */
BgL_auxz00_4083 = BgL_arg1962z00_605
; }  else 
{ 
 obj_t BgL_auxz00_4086;
BgL_auxz00_4086 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)18226)), BGl_string2285z00zz__openpgpzd2compositionzd2, BGl_string2287z00zz__openpgpzd2compositionzd2, BgL_arg1962z00_605); 
FAILURE(BgL_auxz00_4086,BFALSE,BFALSE);} 
return 
BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_auxz00_4083, BgL_ignorezd2badzd2packetz00_606);} } } } } } } } 

}



/* decode-pgp */
BGL_EXPORTED_DEF obj_t BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(obj_t BgL_pz00_15, obj_t BgL_ignorezd2badzd2packetz00_16)
{
{ /* Llib/pgp_composition.scm 486 */
{ /* Llib/pgp_composition.scm 489 */
 obj_t BgL_firstzd2charszd2_615;
BgL_firstzd2charszd2_615 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)10)), BgL_pz00_15); 
BGl_unreadzd2stringz12zc0zz__r4_input_6_10_2z00(BgL_firstzd2charszd2_615, BgL_pz00_15); 
{ /* Llib/pgp_composition.scm 492 */
 bool_t BgL_test2642z00_4094;
if(
(((long)10)==
STRING_LENGTH(
((obj_t)BgL_firstzd2charszd2_615))))
{ /* Llib/pgp_composition.scm 492 */
 int BgL_arg1289z00_2117;
{ /* Llib/pgp_composition.scm 492 */
 char * BgL_auxz00_4101; char * BgL_tmpz00_4099;
BgL_auxz00_4101 = 
BSTRING_TO_STRING(
((obj_t)BgL_firstzd2charszd2_615)); 
BgL_tmpz00_4099 = 
BSTRING_TO_STRING(BGl_string2279z00zz__openpgpzd2compositionzd2); 
BgL_arg1289z00_2117 = 
memcmp(BgL_tmpz00_4099, BgL_auxz00_4101, ((long)10)); } 
BgL_test2642z00_4094 = 
(
(long)(BgL_arg1289z00_2117)==((long)0)); }  else 
{ /* Llib/pgp_composition.scm 492 */
BgL_test2642z00_4094 = ((bool_t)0)
; } 
if(BgL_test2642z00_4094)
{ /* Llib/pgp_composition.scm 493 */
 obj_t BgL_mainzd2headerzd2infoz00_617;
BgL_mainzd2headerzd2infoz00_617 = 
BGl_decodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_pz00_15, BgL_ignorezd2badzd2packetz00_16); 
{ /* Llib/pgp_composition.scm 493 */
 obj_t BgL_headersz00_618; obj_t BgL_compositionz00_619;
{ /* Llib/pgp_composition.scm 493 */
 obj_t BgL_tmpz00_2123;
{ /* Llib/pgp_composition.scm 493 */
 int BgL_tmpz00_4108;
BgL_tmpz00_4108 = 
(int)(((long)1)); 
BgL_tmpz00_2123 = 
BGL_MVALUES_VAL(BgL_tmpz00_4108); } 
{ /* Llib/pgp_composition.scm 493 */
 int BgL_tmpz00_4111;
BgL_tmpz00_4111 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4111, BUNSPEC); } 
BgL_headersz00_618 = BgL_tmpz00_2123; } 
{ /* Llib/pgp_composition.scm 493 */
 obj_t BgL_tmpz00_2124;
{ /* Llib/pgp_composition.scm 493 */
 int BgL_tmpz00_4114;
BgL_tmpz00_4114 = 
(int)(((long)2)); 
BgL_tmpz00_2124 = 
BGL_MVALUES_VAL(BgL_tmpz00_4114); } 
{ /* Llib/pgp_composition.scm 493 */
 int BgL_tmpz00_4117;
BgL_tmpz00_4117 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4117, BUNSPEC); } 
BgL_compositionz00_619 = BgL_tmpz00_2124; } 
return BgL_compositionz00_619;} }  else 
{ /* Llib/pgp_composition.scm 492 */
return 
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(
BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(BgL_pz00_15, 
CBOOL(BgL_ignorezd2badzd2packetz00_16)));} } } } 

}



/* decode-armored-pgp */
obj_t BGl_decodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(obj_t BgL_pz00_19, obj_t BgL_ignorezd2badzd2packetz00_20)
{
{ /* Llib/pgp_composition.scm 503 */
{ /* Llib/pgp_composition.scm 505 */
 obj_t BgL_mainzd2headerzd2infoz00_620;
BgL_mainzd2headerzd2infoz00_620 = 
BGl_armoredzd2pipezd2portz00zz__openpgpzd2compositionzd2(BgL_pz00_19); 
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_headersz00_621; obj_t BgL_ppz00_622;
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_tmpz00_2128;
{ /* Llib/pgp_composition.scm 507 */
 int BgL_tmpz00_4124;
BgL_tmpz00_4124 = 
(int)(((long)1)); 
BgL_tmpz00_2128 = 
BGL_MVALUES_VAL(BgL_tmpz00_4124); } 
{ /* Llib/pgp_composition.scm 507 */
 int BgL_tmpz00_4127;
BgL_tmpz00_4127 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4127, BUNSPEC); } 
BgL_headersz00_621 = BgL_tmpz00_2128; } 
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_tmpz00_2129;
{ /* Llib/pgp_composition.scm 507 */
 int BgL_tmpz00_4130;
BgL_tmpz00_4130 = 
(int)(((long)2)); 
BgL_tmpz00_2129 = 
BGL_MVALUES_VAL(BgL_tmpz00_4130); } 
{ /* Llib/pgp_composition.scm 507 */
 int BgL_tmpz00_4133;
BgL_tmpz00_4133 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4133, BUNSPEC); } 
BgL_ppz00_622 = BgL_tmpz00_2129; } 
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_exitd1206z00_623;
BgL_exitd1206z00_623 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/pgp_composition.scm 510 */
 obj_t BgL_zc3z04anonymousza31971ze3z87_2324;
BgL_zc3z04anonymousza31971ze3z87_2324 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31971ze3ze5zz__openpgpzd2compositionzd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31971ze3z87_2324, 
(int)(((long)0)), BgL_ppz00_622); 
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_arg1818z00_2131;
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_arg1819z00_2132;
BgL_arg1819z00_2132 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_623); 
BgL_arg1818z00_2131 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31971ze3z87_2324, BgL_arg1819z00_2132); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1206z00_623, BgL_arg1818z00_2131); BUNSPEC; } 
{ /* Llib/pgp_composition.scm 508 */
 obj_t BgL_tmp1208z00_625;
{ /* Llib/pgp_composition.scm 508 */
 obj_t BgL_val2_1264z00_628;
{ /* Llib/pgp_composition.scm 66 */
 obj_t BgL_packetsz00_2134;
BgL_packetsz00_2134 = 
BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(
((obj_t)BgL_ppz00_622), 
CBOOL(BgL_ignorezd2badzd2packetz00_20)); 
BgL_val2_1264z00_628 = 
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(BgL_packetsz00_2134); } 
{ /* Llib/pgp_composition.scm 508 */
 int BgL_tmpz00_4149;
BgL_tmpz00_4149 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_4149); } 
{ /* Llib/pgp_composition.scm 508 */
 int BgL_tmpz00_4152;
BgL_tmpz00_4152 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4152, BgL_headersz00_621); } 
{ /* Llib/pgp_composition.scm 508 */
 int BgL_tmpz00_4155;
BgL_tmpz00_4155 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4155, BgL_val2_1264z00_628); } 
BgL_tmp1208z00_625 = BgL_mainzd2headerzd2infoz00_620; } 
{ /* Llib/pgp_composition.scm 507 */
 bool_t BgL_test2644z00_4158;
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_arg1817z00_2136;
BgL_arg1817z00_2136 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_623); 
BgL_test2644z00_4158 = 
PAIRP(BgL_arg1817z00_2136); } 
if(BgL_test2644z00_4158)
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_arg1815z00_2137;
{ /* Llib/pgp_composition.scm 507 */
 obj_t BgL_arg1816z00_2138;
BgL_arg1816z00_2138 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_623); 
BgL_arg1815z00_2137 = 
CDR(
((obj_t)BgL_arg1816z00_2138)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1206z00_623, BgL_arg1815z00_2137); BUNSPEC; }  else 
{ /* Llib/pgp_composition.scm 507 */BFALSE; } } 
bgl_close_input_port(
((obj_t)BgL_ppz00_622)); 
return BgL_tmp1208z00_625;} } } } } } 

}



/* &<@anonymous:1971> */
obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2325)
{
{ /* Llib/pgp_composition.scm 507 */
{ /* Llib/pgp_composition.scm 510 */
 obj_t BgL_ppz00_2326;
BgL_ppz00_2326 = 
PROCEDURE_REF(BgL_envz00_2325, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_ppz00_2326));} } 

}



/* encode-native-pgp */
BGL_EXPORTED_DEF obj_t BGl_encodezd2nativezd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt BgL_pgpzd2compositionzd2_33, obj_t BgL_pz00_34)
{
{ /* Llib/pgp_composition.scm 593 */
return 
BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_33, BgL_pz00_34);} 

}



/* &encode-native-pgp */
obj_t BGl_z62encodezd2nativezd2pgpz62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2327, obj_t BgL_pgpzd2compositionzd2_2328, obj_t BgL_pz00_2329)
{
{ /* Llib/pgp_composition.scm 593 */
{ /* Llib/pgp_composition.scm 594 */
 obj_t BgL_auxz00_4180; BgL_pgpzd2compositionzd2_bglt BgL_auxz00_4172;
if(
OUTPUT_PORTP(BgL_pz00_2329))
{ /* Llib/pgp_composition.scm 594 */
BgL_auxz00_4180 = BgL_pz00_2329
; }  else 
{ 
 obj_t BgL_auxz00_4183;
BgL_auxz00_4183 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)22933)), BGl_string2288z00zz__openpgpzd2compositionzd2, BGl_string2290z00zz__openpgpzd2compositionzd2, BgL_pz00_2329); 
FAILURE(BgL_auxz00_4183,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_pgpzd2compositionzd2_2328, BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_composition.scm 594 */
BgL_auxz00_4172 = 
((BgL_pgpzd2compositionzd2_bglt)BgL_pgpzd2compositionzd2_2328)
; }  else 
{ 
 obj_t BgL_auxz00_4176;
BgL_auxz00_4176 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)22933)), BGl_string2288z00zz__openpgpzd2compositionzd2, BGl_string2289z00zz__openpgpzd2compositionzd2, BgL_pgpzd2compositionzd2_2328); 
FAILURE(BgL_auxz00_4176,BFALSE,BFALSE);} 
return 
BGl_encodezd2nativezd2pgpz00zz__openpgpzd2compositionzd2(BgL_auxz00_4172, BgL_auxz00_4180);} } 

}



/* encode-armored-pgp */
BGL_EXPORTED_DEF obj_t BGl_encodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt BgL_pgpzd2compositionzd2_35, obj_t BgL_mainzd2headerzd2infoz00_36, obj_t BgL_headersz00_37, obj_t BgL_pz00_38)
{
{ /* Llib/pgp_composition.scm 601 */
{ /* Llib/pgp_composition.scm 605 */
 obj_t BgL_pstrz00_631;
{ /* Llib/pgp_composition.scm 605 */

{ /* Llib/pgp_composition.scm 605 */

BgL_pstrz00_631 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_35, BgL_pstrz00_631); 
{ /* Llib/pgp_composition.scm 607 */
 obj_t BgL_strz00_632;
BgL_strz00_632 = 
bgl_close_output_port(BgL_pstrz00_631); 
{ /* Llib/pgp_composition.scm 607 */
 obj_t BgL_b64zd2encodedzd2_633;
{ /* Llib/pgp_composition.scm 608 */

BgL_b64zd2encodedzd2_633 = 
BGl_base64zd2encodezd2zz__base64z00(BgL_strz00_632, 
BINT(((long)76))); } 
{ /* Llib/pgp_composition.scm 608 */
 obj_t BgL_crczd2b64zd2_634;
BgL_crczd2b64zd2_634 = 
BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(BgL_strz00_632); 
{ /* Llib/pgp_composition.scm 609 */

{ /* Llib/pgp_composition.scm 612 */
 obj_t BgL_zc3z04anonymousza31973ze3z87_2330;
BgL_zc3z04anonymousza31973ze3z87_2330 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31973ze3ze5zz__openpgpzd2compositionzd2, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_2330, 
(int)(((long)0)), BgL_mainzd2headerzd2infoz00_36); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_2330, 
(int)(((long)1)), BgL_headersz00_37); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_2330, 
(int)(((long)2)), BgL_b64zd2encodedzd2_633); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_2330, 
(int)(((long)3)), BgL_crczd2b64zd2_634); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_pz00_38, BgL_zc3z04anonymousza31973ze3z87_2330);} } } } } } } 

}



/* &encode-armored-pgp */
obj_t BGl_z62encodezd2armoredzd2pgpz62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2331, obj_t BgL_pgpzd2compositionzd2_2332, obj_t BgL_mainzd2headerzd2infoz00_2333, obj_t BgL_headersz00_2334, obj_t BgL_pz00_2335)
{
{ /* Llib/pgp_composition.scm 601 */
{ /* Llib/pgp_composition.scm 605 */
 obj_t BgL_auxz00_4228; obj_t BgL_auxz00_4221; obj_t BgL_auxz00_4214; BgL_pgpzd2compositionzd2_bglt BgL_auxz00_4206;
if(
OUTPUT_PORTP(BgL_pz00_2335))
{ /* Llib/pgp_composition.scm 605 */
BgL_auxz00_4228 = BgL_pz00_2335
; }  else 
{ 
 obj_t BgL_auxz00_4231;
BgL_auxz00_4231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)23481)), BGl_string2291z00zz__openpgpzd2compositionzd2, BGl_string2290z00zz__openpgpzd2compositionzd2, BgL_pz00_2335); 
FAILURE(BgL_auxz00_4231,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_headersz00_2334))
{ /* Llib/pgp_composition.scm 605 */
BgL_auxz00_4221 = BgL_headersz00_2334
; }  else 
{ 
 obj_t BgL_auxz00_4224;
BgL_auxz00_4224 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)23481)), BGl_string2291z00zz__openpgpzd2compositionzd2, BGl_string2260z00zz__openpgpzd2compositionzd2, BgL_headersz00_2334); 
FAILURE(BgL_auxz00_4224,BFALSE,BFALSE);} 
if(
STRINGP(BgL_mainzd2headerzd2infoz00_2333))
{ /* Llib/pgp_composition.scm 605 */
BgL_auxz00_4214 = BgL_mainzd2headerzd2infoz00_2333
; }  else 
{ 
 obj_t BgL_auxz00_4217;
BgL_auxz00_4217 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)23481)), BGl_string2291z00zz__openpgpzd2compositionzd2, BGl_string2292z00zz__openpgpzd2compositionzd2, BgL_mainzd2headerzd2infoz00_2333); 
FAILURE(BgL_auxz00_4217,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_pgpzd2compositionzd2_2332, BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_composition.scm 605 */
BgL_auxz00_4206 = 
((BgL_pgpzd2compositionzd2_bglt)BgL_pgpzd2compositionzd2_2332)
; }  else 
{ 
 obj_t BgL_auxz00_4210;
BgL_auxz00_4210 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)23481)), BGl_string2291z00zz__openpgpzd2compositionzd2, BGl_string2289z00zz__openpgpzd2compositionzd2, BgL_pgpzd2compositionzd2_2332); 
FAILURE(BgL_auxz00_4210,BFALSE,BFALSE);} 
return 
BGl_encodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_auxz00_4206, BgL_auxz00_4214, BgL_auxz00_4221, BgL_auxz00_4228);} } 

}



/* &<@anonymous:1973> */
obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2336)
{
{ /* Llib/pgp_composition.scm 611 */
{ /* Llib/pgp_composition.scm 612 */
 obj_t BgL_mainzd2headerzd2infoz00_2337; obj_t BgL_headersz00_2338; obj_t BgL_b64zd2encodedzd2_2339; obj_t BgL_crczd2b64zd2_2340;
BgL_mainzd2headerzd2infoz00_2337 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2336, 
(int)(((long)0)))); 
BgL_headersz00_2338 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2336, 
(int)(((long)1)))); 
BgL_b64zd2encodedzd2_2339 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2336, 
(int)(((long)2)))); 
BgL_crczd2b64zd2_2340 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2336, 
(int)(((long)3)))); 
{ /* Llib/pgp_composition.scm 612 */
 obj_t BgL_port1295z00_2579;
{ /* Llib/pgp_composition.scm 612 */
 obj_t BgL_tmpz00_4248;
BgL_tmpz00_4248 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1295z00_2579 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4248); } 
bgl_display_string(BGl_string2293z00zz__openpgpzd2compositionzd2, BgL_port1295z00_2579); 
bgl_display_obj(BgL_mainzd2headerzd2infoz00_2337, BgL_port1295z00_2579); 
bgl_display_string(BGl_string2280z00zz__openpgpzd2compositionzd2, BgL_port1295z00_2579); 
bgl_display_char(((unsigned char)10), BgL_port1295z00_2579); } 
{ 
 obj_t BgL_l1297z00_2581;
BgL_l1297z00_2581 = BgL_headersz00_2338; 
BgL_zc3z04anonymousza31974ze3z87_2580:
if(
PAIRP(BgL_l1297z00_2581))
{ /* Llib/pgp_composition.scm 613 */
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_headerz00_2582;
BgL_headerz00_2582 = 
CAR(BgL_l1297z00_2581); 
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_port1296z00_2583;
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_tmpz00_4258;
BgL_tmpz00_4258 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1296z00_2583 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4258); } 
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_arg1976z00_2584;
BgL_arg1976z00_2584 = 
CAR(
((obj_t)BgL_headerz00_2582)); 
bgl_display_obj(BgL_arg1976z00_2584, BgL_port1296z00_2583); } 
bgl_display_string(BGl_string2294z00zz__openpgpzd2compositionzd2, BgL_port1296z00_2583); 
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_arg1977z00_2585;
{ /* Llib/pgp_composition.scm 614 */
 obj_t BgL_pairz00_2586;
BgL_pairz00_2586 = 
CDR(
((obj_t)BgL_headerz00_2582)); 
BgL_arg1977z00_2585 = 
CAR(BgL_pairz00_2586); } 
bgl_display_obj(BgL_arg1977z00_2585, BgL_port1296z00_2583); } 
bgl_display_char(((unsigned char)10), BgL_port1296z00_2583); } } 
{ 
 obj_t BgL_l1297z00_4270;
BgL_l1297z00_4270 = 
CDR(BgL_l1297z00_2581); 
BgL_l1297z00_2581 = BgL_l1297z00_4270; 
goto BgL_zc3z04anonymousza31974ze3z87_2580;} }  else 
{ /* Llib/pgp_composition.scm 613 */((bool_t)1); } } 
{ /* Llib/pgp_composition.scm 616 */
 obj_t BgL_arg1979z00_2587;
{ /* Llib/pgp_composition.scm 616 */
 obj_t BgL_tmpz00_4272;
BgL_tmpz00_4272 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1979z00_2587 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4272); } 
bgl_display_char(((unsigned char)10), BgL_arg1979z00_2587); } 
{ /* Llib/pgp_composition.scm 617 */
 obj_t BgL_port1299z00_2588;
{ /* Llib/pgp_composition.scm 617 */
 obj_t BgL_tmpz00_4276;
BgL_tmpz00_4276 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1299z00_2588 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4276); } 
bgl_display_obj(BgL_b64zd2encodedzd2_2339, BgL_port1299z00_2588); 
bgl_display_char(((unsigned char)10), BgL_port1299z00_2588); } 
{ /* Llib/pgp_composition.scm 618 */
 obj_t BgL_arg1980z00_2589;
{ /* Llib/pgp_composition.scm 618 */
 obj_t BgL_tmpz00_4281;
BgL_tmpz00_4281 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1980z00_2589 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4281); } 
bgl_display_string(BGl_string2295z00zz__openpgpzd2compositionzd2, BgL_arg1980z00_2589); } 
{ /* Llib/pgp_composition.scm 619 */
 obj_t BgL_port1300z00_2590;
{ /* Llib/pgp_composition.scm 619 */
 obj_t BgL_tmpz00_4285;
BgL_tmpz00_4285 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1300z00_2590 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4285); } 
bgl_display_obj(BgL_crczd2b64zd2_2340, BgL_port1300z00_2590); 
bgl_display_char(((unsigned char)10), BgL_port1300z00_2590); } 
{ /* Llib/pgp_composition.scm 620 */
 obj_t BgL_port1301z00_2591;
{ /* Llib/pgp_composition.scm 620 */
 obj_t BgL_tmpz00_4290;
BgL_tmpz00_4290 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1301z00_2591 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_4290); } 
bgl_display_string(BGl_string2296z00zz__openpgpzd2compositionzd2, BgL_port1301z00_2591); 
bgl_display_obj(BgL_mainzd2headerzd2infoz00_2337, BgL_port1301z00_2591); 
bgl_display_string(BGl_string2280z00zz__openpgpzd2compositionzd2, BgL_port1301z00_2591); 
return 
bgl_display_char(((unsigned char)10), BgL_port1301z00_2591);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_arg1984z00_660; obj_t BgL_arg1985z00_661;
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_v1302z00_673;
BgL_v1302z00_673 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_arg1991z00_674;
BgL_arg1991z00_674 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)10)), BGl_proc2298z00zz__openpgpzd2compositionzd2, BGl_proc2297z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1302z00_673,((long)0),BgL_arg1991z00_674); } 
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_arg1996z00_684;
BgL_arg1996z00_684 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2300z00zz__openpgpzd2compositionzd2, BGl_proc2299z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1302z00_673,((long)1),BgL_arg1996z00_684); } 
BgL_arg1984z00_660 = BgL_v1302z00_673; } 
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_v1303z00_694;
BgL_v1303z00_694 = 
create_vector(((long)0)); 
BgL_arg1985z00_661 = BgL_v1303z00_694; } 
BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)13)), 
CNST_TABLE_REF(((long)14)), BGl_objectz00zz__objectz00, ((long)38657), BGl_proc2303z00zz__openpgpzd2compositionzd2, BGl_proc2302z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2301z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg1984z00_660, BgL_arg1985z00_661); } 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_arg2004z00_701; obj_t BgL_arg2005z00_702;
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_v1304z00_716;
BgL_v1304z00_716 = 
create_vector(((long)4)); 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_arg2011z00_717;
BgL_arg2011z00_717 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2305z00zz__openpgpzd2compositionzd2, BGl_proc2304z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1304z00_716,((long)0),BgL_arg2011z00_717); } 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_arg2016z00_727;
BgL_arg2016z00_727 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2307z00zz__openpgpzd2compositionzd2, BGl_proc2306z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1304z00_716,((long)1),BgL_arg2016z00_727); } 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_arg2021z00_737;
BgL_arg2021z00_737 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2309z00zz__openpgpzd2compositionzd2, BGl_proc2308z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1304z00_716,((long)2),BgL_arg2021z00_737); } 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_arg2026z00_747;
BgL_arg2026z00_747 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2311z00zz__openpgpzd2compositionzd2, BGl_proc2310z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
VECTOR_SET(BgL_v1304z00_716,((long)3),BgL_arg2026z00_747); } 
BgL_arg2004z00_701 = BgL_v1304z00_716; } 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_v1305z00_757;
BgL_v1305z00_757 = 
create_vector(((long)0)); 
BgL_arg2005z00_702 = BgL_v1305z00_757; } 
BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)18)), 
CNST_TABLE_REF(((long)14)), BGl_objectz00zz__objectz00, ((long)25398), BGl_proc2314z00zz__openpgpzd2compositionzd2, BGl_proc2313z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2312z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2004z00_701, BgL_arg2005z00_702); } 
{ /* Llib/pgp_composition.scm 39 */
 obj_t BgL_arg2033z00_763; obj_t BgL_arg2034z00_764;
{ /* Llib/pgp_composition.scm 39 */
 obj_t BgL_v1306z00_770;
BgL_v1306z00_770 = 
create_vector(((long)0)); 
BgL_arg2033z00_763 = BgL_v1306z00_770; } 
{ /* Llib/pgp_composition.scm 39 */
 obj_t BgL_v1307z00_771;
BgL_v1307z00_771 = 
create_vector(((long)0)); 
BgL_arg2034z00_764 = BgL_v1307z00_771; } 
BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)19)), 
CNST_TABLE_REF(((long)14)), BGl_objectz00zz__objectz00, ((long)55354), BFALSE, BGl_proc2316z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2315z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2033z00_763, BgL_arg2034z00_764); } 
{ /* Llib/pgp_composition.scm 40 */
 obj_t BgL_arg2041z00_777; obj_t BgL_arg2042z00_778;
{ /* Llib/pgp_composition.scm 40 */
 obj_t BgL_v1308z00_790;
BgL_v1308z00_790 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 40 */
 obj_t BgL_arg2048z00_791;
BgL_arg2048z00_791 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2318z00zz__openpgpzd2compositionzd2, BGl_proc2317z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1308z00_790,((long)0),BgL_arg2048z00_791); } 
{ /* Llib/pgp_composition.scm 40 */
 obj_t BgL_arg2053z00_801;
BgL_arg2053z00_801 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2320z00zz__openpgpzd2compositionzd2, BGl_proc2319z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1308z00_790,((long)1),BgL_arg2053z00_801); } 
BgL_arg2041z00_777 = BgL_v1308z00_790; } 
{ /* Llib/pgp_composition.scm 40 */
 obj_t BgL_v1309z00_811;
BgL_v1309z00_811 = 
create_vector(((long)0)); 
BgL_arg2042z00_778 = BgL_v1309z00_811; } 
BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)23)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2, ((long)57195), BGl_proc2323z00zz__openpgpzd2compositionzd2, BGl_proc2322z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2321z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2041z00_777, BgL_arg2042z00_778); } 
{ /* Llib/pgp_composition.scm 43 */
 obj_t BgL_arg2060z00_817; obj_t BgL_arg2061z00_818;
{ /* Llib/pgp_composition.scm 43 */
 obj_t BgL_v1310z00_824;
BgL_v1310z00_824 = 
create_vector(((long)0)); 
BgL_arg2060z00_817 = BgL_v1310z00_824; } 
{ /* Llib/pgp_composition.scm 43 */
 obj_t BgL_v1311z00_825;
BgL_v1311z00_825 = 
create_vector(((long)0)); 
BgL_arg2061z00_818 = BgL_v1311z00_825; } 
BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)24)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2, ((long)36943), BFALSE, BGl_proc2325z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2324z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2060z00_817, BgL_arg2061z00_818); } 
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_arg2068z00_831; obj_t BgL_arg2069z00_832;
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_v1312z00_844;
BgL_v1312z00_844 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_arg2075z00_845;
BgL_arg2075z00_845 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc2327z00zz__openpgpzd2compositionzd2, BGl_proc2326z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1312z00_844,((long)0),BgL_arg2075z00_845); } 
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_arg2080z00_855;
BgL_arg2080z00_855 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc2329z00zz__openpgpzd2compositionzd2, BGl_proc2328z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1312z00_844,((long)1),BgL_arg2080z00_855); } 
BgL_arg2068z00_831 = BgL_v1312z00_844; } 
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_v1313z00_865;
BgL_v1313z00_865 = 
create_vector(((long)0)); 
BgL_arg2069z00_832 = BgL_v1313z00_865; } 
BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)27)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2, ((long)34910), BGl_proc2332z00zz__openpgpzd2compositionzd2, BGl_proc2331z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2330z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2068z00_831, BgL_arg2069z00_832); } 
{ /* Llib/pgp_composition.scm 48 */
 obj_t BgL_arg2088z00_872; obj_t BgL_arg2089z00_873;
{ /* Llib/pgp_composition.scm 48 */
 obj_t BgL_v1314z00_885;
BgL_v1314z00_885 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 48 */
 obj_t BgL_arg2095z00_886;
BgL_arg2095z00_886 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2334z00zz__openpgpzd2compositionzd2, BGl_proc2333z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)29))); 
VECTOR_SET(BgL_v1314z00_885,((long)0),BgL_arg2095z00_886); } 
{ /* Llib/pgp_composition.scm 48 */
 obj_t BgL_arg2100z00_896;
BgL_arg2100z00_896 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2336z00zz__openpgpzd2compositionzd2, BGl_proc2335z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1314z00_885,((long)1),BgL_arg2100z00_896); } 
BgL_arg2088z00_872 = BgL_v1314z00_885; } 
{ /* Llib/pgp_composition.scm 48 */
 obj_t BgL_v1315z00_906;
BgL_v1315z00_906 = 
create_vector(((long)0)); 
BgL_arg2089z00_873 = BgL_v1315z00_906; } 
BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)30)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2, ((long)53773), BGl_proc2339z00zz__openpgpzd2compositionzd2, BGl_proc2338z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2337z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2088z00_872, BgL_arg2089z00_873); } 
{ /* Llib/pgp_composition.scm 51 */
 obj_t BgL_arg2108z00_913; obj_t BgL_arg2109z00_914;
{ /* Llib/pgp_composition.scm 51 */
 obj_t BgL_v1316z00_927;
BgL_v1316z00_927 = 
create_vector(((long)1)); 
{ /* Llib/pgp_composition.scm 51 */
 obj_t BgL_arg2115z00_928;
BgL_arg2115z00_928 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)31)), BGl_proc2341z00zz__openpgpzd2compositionzd2, BGl_proc2340z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1316z00_927,((long)0),BgL_arg2115z00_928); } 
BgL_arg2108z00_913 = BgL_v1316z00_927; } 
{ /* Llib/pgp_composition.scm 51 */
 obj_t BgL_v1317z00_938;
BgL_v1317z00_938 = 
create_vector(((long)0)); 
BgL_arg2109z00_914 = BgL_v1317z00_938; } 
BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)32)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2, ((long)43858), BGl_proc2344z00zz__openpgpzd2compositionzd2, BGl_proc2343z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2342z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2108z00_913, BgL_arg2109z00_914); } 
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL_arg2123z00_945; obj_t BgL_arg2124z00_946;
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL_v1318z00_957;
BgL_v1318z00_957 = 
create_vector(((long)1)); 
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL_arg2130z00_958;
BgL_arg2130z00_958 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc2346z00zz__openpgpzd2compositionzd2, BGl_proc2345z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1318z00_957,((long)0),BgL_arg2130z00_958); } 
BgL_arg2123z00_945 = BgL_v1318z00_957; } 
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL_v1319z00_968;
BgL_v1319z00_968 = 
create_vector(((long)0)); 
BgL_arg2124z00_946 = BgL_v1319z00_968; } 
return ( 
BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)34)), 
CNST_TABLE_REF(((long)14)), BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2, ((long)54317), BGl_proc2349z00zz__openpgpzd2compositionzd2, BGl_proc2348z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2347z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2123z00_945, BgL_arg2124z00_946), BUNSPEC) ;} } 

}



/* &<@anonymous:2129> */
obj_t BGl_z62zc3z04anonymousza32129ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2394, obj_t BgL_new1132z00_2395)
{
{ /* Llib/pgp_composition.scm 53 */
{ 
 BgL_pgpzd2literalzd2_bglt BgL_auxz00_4393;
{ 
 BgL_pgpzd2literalzd2packetz00_bglt BgL_auxz00_4394;
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL_classz00_2593;
BgL_classz00_2593 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 53 */
 obj_t BgL__ortest_1113z00_2594;
BgL__ortest_1113z00_2594 = 
BGL_CLASS_NIL(BgL_classz00_2593); 
if(
CBOOL(BgL__ortest_1113z00_2594))
{ /* Llib/pgp_composition.scm 53 */
BgL_auxz00_4394 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BgL__ortest_1113z00_2594)
; }  else 
{ /* Llib/pgp_composition.scm 53 */
BgL_auxz00_4394 = 
((BgL_pgpzd2literalzd2packetz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2593))
; } } } 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(
((BgL_pgpzd2literalzd2_bglt)BgL_new1132z00_2395)))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)BgL_auxz00_4394),BUNSPEC); } 
BgL_auxz00_4393 = 
((BgL_pgpzd2literalzd2_bglt)BgL_new1132z00_2395); 
return 
((obj_t)BgL_auxz00_4393);} } 

}



/* &lambda2127 */
BgL_pgpzd2literalzd2_bglt BGl_z62lambda2127z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2396)
{
{ /* Llib/pgp_composition.scm 53 */
{ /* Llib/pgp_composition.scm 53 */
 BgL_pgpzd2literalzd2_bglt BgL_new1131z00_2595;
BgL_new1131z00_2595 = 
((BgL_pgpzd2literalzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 53 */
 long BgL_arg2128z00_2596;
BgL_arg2128z00_2596 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_2595), BgL_arg2128z00_2596); } 
{ /* Llib/pgp_composition.scm 53 */
 BgL_objectz00_bglt BgL_tmpz00_4409;
BgL_tmpz00_4409 = 
((BgL_objectz00_bglt)BgL_new1131z00_2595); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4409, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1131z00_2595); 
return BgL_new1131z00_2595;} } 

}



/* &lambda2125 */
BgL_pgpzd2literalzd2_bglt BGl_z62lambda2125z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2397, obj_t BgL_literal1130z00_2398)
{
{ /* Llib/pgp_composition.scm 53 */
{ /* Llib/pgp_composition.scm 53 */
 BgL_pgpzd2literalzd2_bglt BgL_new1230z00_2598;
{ /* Llib/pgp_composition.scm 53 */
 BgL_pgpzd2literalzd2_bglt BgL_new1229z00_2599;
BgL_new1229z00_2599 = 
((BgL_pgpzd2literalzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 53 */
 long BgL_arg2126z00_2600;
BgL_arg2126z00_2600 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1229z00_2599), BgL_arg2126z00_2600); } 
{ /* Llib/pgp_composition.scm 53 */
 BgL_objectz00_bglt BgL_tmpz00_4417;
BgL_tmpz00_4417 = 
((BgL_objectz00_bglt)BgL_new1229z00_2599); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4417, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1229z00_2599); 
BgL_new1230z00_2598 = BgL_new1229z00_2599; } 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(BgL_new1230z00_2598))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_literal1130z00_2398)),BUNSPEC); 
return BgL_new1230z00_2598;} } 

}



/* &lambda2134 */
obj_t BGl_z62lambda2134z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2399, obj_t BgL_oz00_2400, obj_t BgL_vz00_2401)
{
{ /* Llib/pgp_composition.scm 53 */
return 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(
((BgL_pgpzd2literalzd2_bglt)BgL_oz00_2400)))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_vz00_2401)),BUNSPEC);} 

}



/* &lambda2133 */
BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2133z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2402, obj_t BgL_oz00_2403)
{
{ /* Llib/pgp_composition.scm 53 */
return 
(((BgL_pgpzd2literalzd2_bglt)COBJECT(
((BgL_pgpzd2literalzd2_bglt)BgL_oz00_2403)))->BgL_literalz00);} 

}



/* &<@anonymous:2114> */
obj_t BGl_z62zc3z04anonymousza32114ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2404, obj_t BgL_new1128z00_2405)
{
{ /* Llib/pgp_composition.scm 51 */
{ 
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_auxz00_4428;
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1128z00_2405))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1128z00_2405))))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1128z00_2405)))->BgL_onezd2passzd2sigsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4428 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1128z00_2405); 
return 
((obj_t)BgL_auxz00_4428);} } 

}



/* &lambda2112 */
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2112z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2406)
{
{ /* Llib/pgp_composition.scm 51 */
{ /* Llib/pgp_composition.scm 51 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1127z00_2605;
BgL_new1127z00_2605 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 51 */
 long BgL_arg2113z00_2606;
BgL_arg2113z00_2606 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_2605), BgL_arg2113z00_2606); } 
{ /* Llib/pgp_composition.scm 51 */
 BgL_objectz00_bglt BgL_tmpz00_4443;
BgL_tmpz00_4443 = 
((BgL_objectz00_bglt)BgL_new1127z00_2605); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4443, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1127z00_2605); 
return BgL_new1127z00_2605;} } 

}



/* &lambda2110 */
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2110z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2407, obj_t BgL_msg1124z00_2408, obj_t BgL_sigs1125z00_2409, obj_t BgL_onezd2passzd2sigs1126z00_2410)
{
{ /* Llib/pgp_composition.scm 51 */
{ /* Llib/pgp_composition.scm 51 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1228z00_2609;
{ /* Llib/pgp_composition.scm 51 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1227z00_2610;
BgL_new1227z00_2610 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 51 */
 long BgL_arg2111z00_2611;
BgL_arg2111z00_2611 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_2610), BgL_arg2111z00_2611); } 
{ /* Llib/pgp_composition.scm 51 */
 BgL_objectz00_bglt BgL_tmpz00_4451;
BgL_tmpz00_4451 = 
((BgL_objectz00_bglt)BgL_new1227z00_2610); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4451, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1227z00_2610); 
BgL_new1228z00_2609 = BgL_new1227z00_2610; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1228z00_2609)))->BgL_msgz00)=((obj_t)BgL_msg1124z00_2408),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1228z00_2609)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1125z00_2409)),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(BgL_new1228z00_2609))->BgL_onezd2passzd2sigsz00)=((obj_t)
((obj_t)BgL_onezd2passzd2sigs1126z00_2410)),BUNSPEC); 
return BgL_new1228z00_2609;} } 

}



/* &lambda2119 */
obj_t BGl_z62lambda2119z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2411, obj_t BgL_oz00_2412, obj_t BgL_vz00_2413)
{
{ /* Llib/pgp_composition.scm 51 */
return 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_oz00_2412)))->BgL_onezd2passzd2sigsz00)=((obj_t)
((obj_t)BgL_vz00_2413)),BUNSPEC);} 

}



/* &lambda2118 */
obj_t BGl_z62lambda2118z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2414, obj_t BgL_oz00_2415)
{
{ /* Llib/pgp_composition.scm 51 */
return 
(((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_oz00_2415)))->BgL_onezd2passzd2sigsz00);} 

}



/* &<@anonymous:2094> */
obj_t BGl_z62zc3z04anonymousza32094ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2416, obj_t BgL_new1122z00_2417)
{
{ /* Llib/pgp_composition.scm 48 */
{ 
 BgL_pgpzd2signaturezd2_bglt BgL_auxz00_4467;
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1122z00_2417)))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1122z00_2417)))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4467 = 
((BgL_pgpzd2signaturezd2_bglt)BgL_new1122z00_2417); 
return 
((obj_t)BgL_auxz00_4467);} } 

}



/* &lambda2092 */
BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2092z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2418)
{
{ /* Llib/pgp_composition.scm 48 */
{ /* Llib/pgp_composition.scm 48 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1121z00_2616;
BgL_new1121z00_2616 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 48 */
 long BgL_arg2093z00_2617;
BgL_arg2093z00_2617 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_2616), BgL_arg2093z00_2617); } 
return BgL_new1121z00_2616;} } 

}



/* &lambda2090 */
BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2090z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2419, obj_t BgL_msg1119z00_2420, obj_t BgL_sigs1120z00_2421)
{
{ /* Llib/pgp_composition.scm 48 */
{ /* Llib/pgp_composition.scm 48 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1226z00_2619;
{ /* Llib/pgp_composition.scm 48 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1225z00_2620;
BgL_new1225z00_2620 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 48 */
 long BgL_arg2091z00_2621;
BgL_arg2091z00_2621 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_2620), BgL_arg2091z00_2621); } 
BgL_new1226z00_2619 = BgL_new1225z00_2620; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1226z00_2619))->BgL_msgz00)=((obj_t)BgL_msg1119z00_2420),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1226z00_2619))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1120z00_2421)),BUNSPEC); 
return BgL_new1226z00_2619;} } 

}



/* &lambda2104 */
obj_t BGl_z62lambda2104z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2422, obj_t BgL_oz00_2423, obj_t BgL_vz00_2424)
{
{ /* Llib/pgp_composition.scm 48 */
return 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_2423)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_vz00_2424)),BUNSPEC);} 

}



/* &lambda2103 */
obj_t BGl_z62lambda2103z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2425, obj_t BgL_oz00_2426)
{
{ /* Llib/pgp_composition.scm 48 */
return 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_2426)))->BgL_sigsz00);} 

}



/* &lambda2099 */
obj_t BGl_z62lambda2099z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2427, obj_t BgL_oz00_2428, obj_t BgL_vz00_2429)
{
{ /* Llib/pgp_composition.scm 48 */
return 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_2428)))->BgL_msgz00)=((obj_t)BgL_vz00_2429),BUNSPEC);} 

}



/* &lambda2098 */
obj_t BGl_z62lambda2098z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2430, obj_t BgL_oz00_2431)
{
{ /* Llib/pgp_composition.scm 48 */
return 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_2431)))->BgL_msgz00);} 

}



/* &<@anonymous:2074> */
obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2432, obj_t BgL_new1117z00_2433)
{
{ /* Llib/pgp_composition.scm 44 */
{ 
 BgL_pgpzd2encryptedzd2_bglt BgL_auxz00_4494;
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_new1117z00_2433)))->BgL_sessionzd2keyszd2)=((obj_t)BNIL),BUNSPEC); 
{ 
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_auxz00_4497;
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL_classz00_2628;
BgL_classz00_2628 = BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 44 */
 obj_t BgL__ortest_1113z00_2629;
BgL__ortest_1113z00_2629 = 
BGL_CLASS_NIL(BgL_classz00_2628); 
if(
CBOOL(BgL__ortest_1113z00_2629))
{ /* Llib/pgp_composition.scm 44 */
BgL_auxz00_4497 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL__ortest_1113z00_2629)
; }  else 
{ /* Llib/pgp_composition.scm 44 */
BgL_auxz00_4497 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2628))
; } } } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_new1117z00_2433)))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_auxz00_4497),BUNSPEC); } 
BgL_auxz00_4494 = 
((BgL_pgpzd2encryptedzd2_bglt)BgL_new1117z00_2433); 
return 
((obj_t)BgL_auxz00_4494);} } 

}



/* &lambda2072 */
BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda2072z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2434)
{
{ /* Llib/pgp_composition.scm 44 */
{ /* Llib/pgp_composition.scm 44 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1116z00_2630;
BgL_new1116z00_2630 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 44 */
 long BgL_arg2073z00_2631;
BgL_arg2073z00_2631 = 
BGL_CLASS_NUM(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_2630), BgL_arg2073z00_2631); } 
{ /* Llib/pgp_composition.scm 44 */
 BgL_objectz00_bglt BgL_tmpz00_4512;
BgL_tmpz00_4512 = 
((BgL_objectz00_bglt)BgL_new1116z00_2630); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4512, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1116z00_2630); 
return BgL_new1116z00_2630;} } 

}



/* &lambda2070 */
BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda2070z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2435, obj_t BgL_sessionzd2keys1114zd2_2436, obj_t BgL_encryptedzd2data1115zd2_2437)
{
{ /* Llib/pgp_composition.scm 44 */
{ /* Llib/pgp_composition.scm 44 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1224z00_2634;
{ /* Llib/pgp_composition.scm 44 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1223z00_2635;
BgL_new1223z00_2635 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 44 */
 long BgL_arg2071z00_2636;
BgL_arg2071z00_2636 = 
BGL_CLASS_NUM(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_2635), BgL_arg2071z00_2636); } 
{ /* Llib/pgp_composition.scm 44 */
 BgL_objectz00_bglt BgL_tmpz00_4520;
BgL_tmpz00_4520 = 
((BgL_objectz00_bglt)BgL_new1223z00_2635); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4520, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1223z00_2635); 
BgL_new1224z00_2634 = BgL_new1223z00_2635; } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1224z00_2634))->BgL_sessionzd2keyszd2)=((obj_t)
((obj_t)BgL_sessionzd2keys1114zd2_2436)),BUNSPEC); 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1224z00_2634))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_encryptedzd2data1115zd2_2437)),BUNSPEC); 
return BgL_new1224z00_2634;} } 

}



/* &lambda2084 */
obj_t BGl_z62lambda2084z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2438, obj_t BgL_oz00_2439, obj_t BgL_vz00_2440)
{
{ /* Llib/pgp_composition.scm 44 */
return 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_2439)))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_vz00_2440)),BUNSPEC);} 

}



/* &lambda2083 */
BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2083z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2441, obj_t BgL_oz00_2442)
{
{ /* Llib/pgp_composition.scm 44 */
return 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_2442)))->BgL_encryptedzd2datazd2);} 

}



/* &lambda2079 */
obj_t BGl_z62lambda2079z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2443, obj_t BgL_oz00_2444, obj_t BgL_vz00_2445)
{
{ /* Llib/pgp_composition.scm 44 */
return 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_2444)))->BgL_sessionzd2keyszd2)=((obj_t)
((obj_t)BgL_vz00_2445)),BUNSPEC);} 

}



/* &lambda2078 */
obj_t BGl_z62lambda2078z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2446, obj_t BgL_oz00_2447)
{
{ /* Llib/pgp_composition.scm 44 */
return 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_2447)))->BgL_sessionzd2keyszd2);} 

}



/* &<@anonymous:2064> */
obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2448, obj_t BgL_new1112z00_2449)
{
{ /* Llib/pgp_composition.scm 43 */
return 
((obj_t)
((BgL_pgpzd2messagezd2_bglt)BgL_new1112z00_2449));} 

}



/* &lambda2062 */
BgL_pgpzd2messagezd2_bglt BGl_z62lambda2062z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2450)
{
{ /* Llib/pgp_composition.scm 43 */
{ /* Llib/pgp_composition.scm 43 */
 BgL_pgpzd2messagezd2_bglt BgL_new1110z00_2644;
BgL_new1110z00_2644 = 
((BgL_pgpzd2messagezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2messagezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 43 */
 long BgL_arg2063z00_2645;
BgL_arg2063z00_2645 = 
BGL_CLASS_NUM(BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_2644), BgL_arg2063z00_2645); } 
return BgL_new1110z00_2644;} } 

}



/* &<@anonymous:2047> */
obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2451, obj_t BgL_new1108z00_2452)
{
{ /* Llib/pgp_composition.scm 40 */
{ 
 BgL_pgpzd2keyzd2_bglt BgL_auxz00_4544;
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_new1108z00_2452)))->BgL_subkeysz00)=((obj_t)
MAKE_YOUNG_PAIR(BFALSE, BFALSE)),BUNSPEC); 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_new1108z00_2452)))->BgL_userzd2idszd2)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4544 = 
((BgL_pgpzd2keyzd2_bglt)BgL_new1108z00_2452); 
return 
((obj_t)BgL_auxz00_4544);} } 

}



/* &lambda2045 */
BgL_pgpzd2keyzd2_bglt BGl_z62lambda2045z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2453)
{
{ /* Llib/pgp_composition.scm 40 */
{ /* Llib/pgp_composition.scm 40 */
 BgL_pgpzd2keyzd2_bglt BgL_new1107z00_2647;
BgL_new1107z00_2647 = 
((BgL_pgpzd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 40 */
 long BgL_arg2046z00_2648;
BgL_arg2046z00_2648 = 
BGL_CLASS_NUM(BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1107z00_2647), BgL_arg2046z00_2648); } 
{ /* Llib/pgp_composition.scm 40 */
 BgL_objectz00_bglt BgL_tmpz00_4556;
BgL_tmpz00_4556 = 
((BgL_objectz00_bglt)BgL_new1107z00_2647); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4556, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1107z00_2647); 
return BgL_new1107z00_2647;} } 

}



/* &lambda2043 */
BgL_pgpzd2keyzd2_bglt BGl_z62lambda2043z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2454, obj_t BgL_subkeys1105z00_2455, obj_t BgL_userzd2ids1106zd2_2456)
{
{ /* Llib/pgp_composition.scm 40 */
{ /* Llib/pgp_composition.scm 40 */
 BgL_pgpzd2keyzd2_bglt BgL_new1222z00_2651;
{ /* Llib/pgp_composition.scm 40 */
 BgL_pgpzd2keyzd2_bglt BgL_new1221z00_2652;
BgL_new1221z00_2652 = 
((BgL_pgpzd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 40 */
 long BgL_arg2044z00_2653;
BgL_arg2044z00_2653 = 
BGL_CLASS_NUM(BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_2652), BgL_arg2044z00_2653); } 
{ /* Llib/pgp_composition.scm 40 */
 BgL_objectz00_bglt BgL_tmpz00_4564;
BgL_tmpz00_4564 = 
((BgL_objectz00_bglt)BgL_new1221z00_2652); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4564, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1221z00_2652); 
BgL_new1222z00_2651 = BgL_new1221z00_2652; } 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1222z00_2651))->BgL_subkeysz00)=((obj_t)
((obj_t)BgL_subkeys1105z00_2455)),BUNSPEC); 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1222z00_2651))->BgL_userzd2idszd2)=((obj_t)
((obj_t)BgL_userzd2ids1106zd2_2456)),BUNSPEC); 
return BgL_new1222z00_2651;} } 

}



/* &lambda2057 */
obj_t BGl_z62lambda2057z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2457, obj_t BgL_oz00_2458, obj_t BgL_vz00_2459)
{
{ /* Llib/pgp_composition.scm 40 */
return 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_2458)))->BgL_userzd2idszd2)=((obj_t)
((obj_t)BgL_vz00_2459)),BUNSPEC);} 

}



/* &lambda2056 */
obj_t BGl_z62lambda2056z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2460, obj_t BgL_oz00_2461)
{
{ /* Llib/pgp_composition.scm 40 */
return 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_2461)))->BgL_userzd2idszd2);} 

}



/* &lambda2052 */
obj_t BGl_z62lambda2052z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2462, obj_t BgL_oz00_2463, obj_t BgL_vz00_2464)
{
{ /* Llib/pgp_composition.scm 40 */
return 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_2463)))->BgL_subkeysz00)=((obj_t)
((obj_t)BgL_vz00_2464)),BUNSPEC);} 

}



/* &lambda2051 */
obj_t BGl_z62lambda2051z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2465, obj_t BgL_oz00_2466)
{
{ /* Llib/pgp_composition.scm 40 */
return 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_2466)))->BgL_subkeysz00);} 

}



/* &<@anonymous:2037> */
obj_t BGl_z62zc3z04anonymousza32037ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2467, obj_t BgL_new1103z00_2468)
{
{ /* Llib/pgp_composition.scm 39 */
return 
((obj_t)
((BgL_pgpzd2compositionzd2_bglt)BgL_new1103z00_2468));} 

}



/* &lambda2035 */
BgL_pgpzd2compositionzd2_bglt BGl_z62lambda2035z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2469)
{
{ /* Llib/pgp_composition.scm 39 */
{ /* Llib/pgp_composition.scm 39 */
 BgL_pgpzd2compositionzd2_bglt BgL_new1102z00_2661;
BgL_new1102z00_2661 = 
((BgL_pgpzd2compositionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2compositionzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 39 */
 long BgL_arg2036z00_2662;
BgL_arg2036z00_2662 = 
BGL_CLASS_NUM(BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_2661), BgL_arg2036z00_2662); } 
return BgL_new1102z00_2661;} } 

}



/* &<@anonymous:2010> */
obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2470, obj_t BgL_new1100z00_2471)
{
{ /* Llib/pgp_composition.scm 34 */
{ 
 BgL_pgpzd2subkeyzd2_bglt BgL_auxz00_4588;
{ 
 BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_4589;
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_classz00_2664;
BgL_classz00_2664 = BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL__ortest_1113z00_2665;
BgL__ortest_1113z00_2665 = 
BGL_CLASS_NIL(BgL_classz00_2664); 
if(
CBOOL(BgL__ortest_1113z00_2665))
{ /* Llib/pgp_composition.scm 34 */
BgL_auxz00_4589 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BgL__ortest_1113z00_2665)
; }  else 
{ /* Llib/pgp_composition.scm 34 */
BgL_auxz00_4589 = 
((BgL_pgpzd2keyzd2packetz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2664))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1100z00_2471)))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)BgL_auxz00_4589),BUNSPEC); } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1100z00_2471)))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1100z00_2471)))->BgL_revocationzd2sigszd2)=((obj_t)BNIL),BUNSPEC); 
{ 
 BgL_pgpzd2keyzd2_bglt BgL_auxz00_4602;
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL_classz00_2666;
BgL_classz00_2666 = BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 34 */
 obj_t BgL__ortest_1113z00_2667;
BgL__ortest_1113z00_2667 = 
BGL_CLASS_NIL(BgL_classz00_2666); 
if(
CBOOL(BgL__ortest_1113z00_2667))
{ /* Llib/pgp_composition.scm 34 */
BgL_auxz00_4602 = 
((BgL_pgpzd2keyzd2_bglt)BgL__ortest_1113z00_2667)
; }  else 
{ /* Llib/pgp_composition.scm 34 */
BgL_auxz00_4602 = 
((BgL_pgpzd2keyzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2666))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1100z00_2471)))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_auxz00_4602),BUNSPEC); } 
BgL_auxz00_4588 = 
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1100z00_2471); 
return 
((obj_t)BgL_auxz00_4588);} } 

}



/* &lambda2008 */
BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda2008z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2472)
{
{ /* Llib/pgp_composition.scm 34 */
{ /* Llib/pgp_composition.scm 34 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1099z00_2668;
BgL_new1099z00_2668 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 34 */
 long BgL_arg2009z00_2669;
BgL_arg2009z00_2669 = 
BGL_CLASS_NUM(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_2668), BgL_arg2009z00_2669); } 
{ /* Llib/pgp_composition.scm 34 */
 BgL_objectz00_bglt BgL_tmpz00_4617;
BgL_tmpz00_4617 = 
((BgL_objectz00_bglt)BgL_new1099z00_2668); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4617, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1099z00_2668); 
return BgL_new1099z00_2668;} } 

}



/* &lambda2006 */
BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda2006z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2473, obj_t BgL_keyzd2packet1095zd2_2474, obj_t BgL_sigs1096z00_2475, obj_t BgL_revocationzd2sigs1097zd2_2476, obj_t BgL_pgpzd2key1098zd2_2477)
{
{ /* Llib/pgp_composition.scm 34 */
{ /* Llib/pgp_composition.scm 34 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1220z00_2674;
{ /* Llib/pgp_composition.scm 34 */
 BgL_pgpzd2subkeyzd2_bglt BgL_new1219z00_2675;
BgL_new1219z00_2675 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 34 */
 long BgL_arg2007z00_2676;
BgL_arg2007z00_2676 = 
BGL_CLASS_NUM(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_2675), BgL_arg2007z00_2676); } 
{ /* Llib/pgp_composition.scm 34 */
 BgL_objectz00_bglt BgL_tmpz00_4625;
BgL_tmpz00_4625 = 
((BgL_objectz00_bglt)BgL_new1219z00_2675); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4625, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1219z00_2675); 
BgL_new1220z00_2674 = BgL_new1219z00_2675; } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1220z00_2674))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_keyzd2packet1095zd2_2474)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1220z00_2674))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1096z00_2475)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1220z00_2674))->BgL_revocationzd2sigszd2)=((obj_t)
((obj_t)BgL_revocationzd2sigs1097zd2_2476)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1220z00_2674))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)
((BgL_pgpzd2keyzd2_bglt)BgL_pgpzd2key1098zd2_2477)),BUNSPEC); 
return BgL_new1220z00_2674;} } 

}



/* &lambda2030 */
obj_t BGl_z62lambda2030z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2478, obj_t BgL_oz00_2479, obj_t BgL_vz00_2480)
{
{ /* Llib/pgp_composition.scm 34 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2479)))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)
((BgL_pgpzd2keyzd2_bglt)BgL_vz00_2480)),BUNSPEC);} 

}



/* &lambda2029 */
BgL_pgpzd2keyzd2_bglt BGl_z62lambda2029z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2481, obj_t BgL_oz00_2482)
{
{ /* Llib/pgp_composition.scm 34 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2482)))->BgL_pgpzd2keyzd2);} 

}



/* &lambda2025 */
obj_t BGl_z62lambda2025z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2483, obj_t BgL_oz00_2484, obj_t BgL_vz00_2485)
{
{ /* Llib/pgp_composition.scm 34 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2484)))->BgL_revocationzd2sigszd2)=((obj_t)
((obj_t)BgL_vz00_2485)),BUNSPEC);} 

}



/* &lambda2024 */
obj_t BGl_z62lambda2024z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2486, obj_t BgL_oz00_2487)
{
{ /* Llib/pgp_composition.scm 34 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2487)))->BgL_revocationzd2sigszd2);} 

}



/* &lambda2020 */
obj_t BGl_z62lambda2020z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2488, obj_t BgL_oz00_2489, obj_t BgL_vz00_2490)
{
{ /* Llib/pgp_composition.scm 34 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2489)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_vz00_2490)),BUNSPEC);} 

}



/* &lambda2019 */
obj_t BGl_z62lambda2019z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2491, obj_t BgL_oz00_2492)
{
{ /* Llib/pgp_composition.scm 34 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2492)))->BgL_sigsz00);} 

}



/* &lambda2015 */
obj_t BGl_z62lambda2015z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2493, obj_t BgL_oz00_2494, obj_t BgL_vz00_2495)
{
{ /* Llib/pgp_composition.scm 34 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2494)))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_vz00_2495)),BUNSPEC);} 

}



/* &lambda2014 */
BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda2014z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2496, obj_t BgL_oz00_2497)
{
{ /* Llib/pgp_composition.scm 34 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_2497)))->BgL_keyzd2packetzd2);} 

}



/* &<@anonymous:1990> */
obj_t BGl_z62zc3z04anonymousza31990ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2498, obj_t BgL_new1093z00_2499)
{
{ /* Llib/pgp_composition.scm 31 */
{ 
 BgL_signedzd2idzd2_bglt BgL_auxz00_4657;
{ 
 BgL_pgpzd2idzd2packetz00_bglt BgL_auxz00_4658;
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL_classz00_2690;
BgL_classz00_2690 = BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 31 */
 obj_t BgL__ortest_1113z00_2691;
BgL__ortest_1113z00_2691 = 
BGL_CLASS_NIL(BgL_classz00_2690); 
if(
CBOOL(BgL__ortest_1113z00_2691))
{ /* Llib/pgp_composition.scm 31 */
BgL_auxz00_4658 = 
((BgL_pgpzd2idzd2packetz00_bglt)BgL__ortest_1113z00_2691)
; }  else 
{ /* Llib/pgp_composition.scm 31 */
BgL_auxz00_4658 = 
((BgL_pgpzd2idzd2packetz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2690))
; } } } 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_new1093z00_2499)))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)BgL_auxz00_4658),BUNSPEC); } 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_new1093z00_2499)))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4657 = 
((BgL_signedzd2idzd2_bglt)BgL_new1093z00_2499); 
return 
((obj_t)BgL_auxz00_4657);} } 

}



/* &lambda1988 */
BgL_signedzd2idzd2_bglt BGl_z62lambda1988z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2500)
{
{ /* Llib/pgp_composition.scm 31 */
{ /* Llib/pgp_composition.scm 31 */
 BgL_signedzd2idzd2_bglt BgL_new1092z00_2692;
BgL_new1092z00_2692 = 
((BgL_signedzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_signedzd2idzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 31 */
 long BgL_arg1989z00_2693;
BgL_arg1989z00_2693 = 
BGL_CLASS_NUM(BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1092z00_2692), BgL_arg1989z00_2693); } 
{ /* Llib/pgp_composition.scm 31 */
 BgL_objectz00_bglt BgL_tmpz00_4675;
BgL_tmpz00_4675 = 
((BgL_objectz00_bglt)BgL_new1092z00_2692); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4675, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1092z00_2692); 
return BgL_new1092z00_2692;} } 

}



/* &lambda1986 */
BgL_signedzd2idzd2_bglt BGl_z62lambda1986z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2501, obj_t BgL_id1090z00_2502, obj_t BgL_sigs1091z00_2503)
{
{ /* Llib/pgp_composition.scm 31 */
{ /* Llib/pgp_composition.scm 31 */
 BgL_signedzd2idzd2_bglt BgL_new1218z00_2696;
{ /* Llib/pgp_composition.scm 31 */
 BgL_signedzd2idzd2_bglt BgL_new1217z00_2697;
BgL_new1217z00_2697 = 
((BgL_signedzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_signedzd2idzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 31 */
 long BgL_arg1987z00_2698;
BgL_arg1987z00_2698 = 
BGL_CLASS_NUM(BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_2697), BgL_arg1987z00_2698); } 
{ /* Llib/pgp_composition.scm 31 */
 BgL_objectz00_bglt BgL_tmpz00_4683;
BgL_tmpz00_4683 = 
((BgL_objectz00_bglt)BgL_new1217z00_2697); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4683, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1217z00_2697); 
BgL_new1218z00_2696 = BgL_new1217z00_2697; } 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1218z00_2696))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)
((BgL_pgpzd2idzd2packetz00_bglt)BgL_id1090z00_2502)),BUNSPEC); 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1218z00_2696))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1091z00_2503)),BUNSPEC); 
return BgL_new1218z00_2696;} } 

}



/* &lambda2000 */
obj_t BGl_z62lambda2000z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2504, obj_t BgL_oz00_2505, obj_t BgL_vz00_2506)
{
{ /* Llib/pgp_composition.scm 31 */
return 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_2505)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_vz00_2506)),BUNSPEC);} 

}



/* &lambda1999 */
obj_t BGl_z62lambda1999z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2507, obj_t BgL_oz00_2508)
{
{ /* Llib/pgp_composition.scm 31 */
return 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_2508)))->BgL_sigsz00);} 

}



/* &lambda1995 */
obj_t BGl_z62lambda1995z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2509, obj_t BgL_oz00_2510, obj_t BgL_vz00_2511)
{
{ /* Llib/pgp_composition.scm 31 */
return 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_2510)))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)
((BgL_pgpzd2idzd2packetz00_bglt)BgL_vz00_2511)),BUNSPEC);} 

}



/* &lambda1994 */
BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda1994z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2512, obj_t BgL_oz00_2513)
{
{ /* Llib/pgp_composition.scm 31 */
return 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_2513)))->BgL_idz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_proc2350z00zz__openpgpzd2compositionzd2, BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2, BGl_string2351z00zz__openpgpzd2compositionzd2);} 

}



/* &encode-pgp1327 */
obj_t BGl_z62encodezd2pgp1327zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2515, obj_t BgL_thisz00_2516, obj_t BgL_pz00_2517)
{
{ /* Llib/pgp_composition.scm 522 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(
CNST_TABLE_REF(((long)35)), BGl_string2352z00zz__openpgpzd2compositionzd2, 
((obj_t)
((BgL_pgpzd2compositionzd2_bglt)BgL_thisz00_2516)));} 

}



/* encode-pgp */
obj_t BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt BgL_thisz00_23, obj_t BgL_pz00_24)
{
{ /* Llib/pgp_composition.scm 522 */
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_method1328z00_977;
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_res2229z00_2299;
{ /* Llib/pgp_composition.scm 522 */
 long BgL_objzd2classzd2numz00_2270;
BgL_objzd2classzd2numz00_2270 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_thisz00_23)); 
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_arg1801z00_2271;
BgL_arg1801z00_2271 = 
PROCEDURE_REF(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, 
(int)(((long)1))); 
{ /* Llib/pgp_composition.scm 522 */
 int BgL_offsetz00_2274;
BgL_offsetz00_2274 = 
(int)(BgL_objzd2classzd2numz00_2270); 
{ /* Llib/pgp_composition.scm 522 */
 long BgL_offsetz00_2275;
BgL_offsetz00_2275 = 
(
(long)(BgL_offsetz00_2274)-OBJECT_TYPE); 
{ /* Llib/pgp_composition.scm 522 */
 long BgL_modz00_2276;
BgL_modz00_2276 = 
(BgL_offsetz00_2275 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_composition.scm 522 */
 long BgL_restz00_2278;
BgL_restz00_2278 = 
(BgL_offsetz00_2275 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_composition.scm 522 */

{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_bucketz00_2280;
BgL_bucketz00_2280 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2271),BgL_modz00_2276); 
BgL_res2229z00_2299 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2280),BgL_restz00_2278); } } } } } } } } 
BgL_method1328z00_977 = BgL_res2229z00_2299; } 
return 
PROCEDURE_ENTRY(BgL_method1328z00_977)(BgL_method1328z00_977, 
((obj_t)BgL_thisz00_23), BgL_pz00_24, BEOA);} } 

}



/* &encode-pgp */
obj_t BGl_z62encodezd2pgpzb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2518, obj_t BgL_thisz00_2519, obj_t BgL_pz00_2520)
{
{ /* Llib/pgp_composition.scm 522 */
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_auxz00_4763; BgL_pgpzd2compositionzd2_bglt BgL_auxz00_4737;
if(
OUTPUT_PORTP(BgL_pz00_2520))
{ /* Llib/pgp_composition.scm 522 */
BgL_auxz00_4763 = BgL_pz00_2520
; }  else 
{ 
 obj_t BgL_auxz00_4766;
BgL_auxz00_4766 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)19884)), BGl_string2353z00zz__openpgpzd2compositionzd2, BGl_string2290z00zz__openpgpzd2compositionzd2, BgL_pz00_2520); 
FAILURE(BgL_auxz00_4766,BFALSE,BFALSE);} 
{ /* Llib/pgp_composition.scm 522 */
 bool_t BgL_test2657z00_4738;
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_classz00_2707;
BgL_classz00_2707 = BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_thisz00_2519))
{ /* Llib/pgp_composition.scm 522 */
 BgL_objectz00_bglt BgL_arg1799z00_2709; long BgL_arg1800z00_2710;
BgL_arg1799z00_2709 = 
(BgL_objectz00_bglt)(BgL_thisz00_2519); 
BgL_arg1800z00_2710 = 
BGL_CLASS_DEPTH(BgL_classz00_2707); 
{ /* Llib/pgp_composition.scm 522 */
 bool_t BgL_arg1794z00_2714; bool_t BgL_arg1795z00_2715;
{ /* Llib/pgp_composition.scm 522 */
 long BgL_idxz00_2719;
BgL_idxz00_2719 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2709); 
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_arg1791z00_2720;
{ /* Llib/pgp_composition.scm 522 */
 long BgL_arg1792z00_2721;
BgL_arg1792z00_2721 = 
(BgL_idxz00_2719+BgL_arg1800z00_2710); 
BgL_arg1791z00_2720 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2721); } 
BgL_arg1794z00_2714 = 
(BgL_arg1791z00_2720==BgL_classz00_2707); } } 
{ /* Llib/pgp_composition.scm 522 */
 bool_t BgL_res2363z00_2744;
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_oclassz00_2729;
{ /* Llib/pgp_composition.scm 522 */
 long BgL_arg1804z00_2735;
{ /* Llib/pgp_composition.scm 522 */
 long BgL_arg1805z00_2736;
BgL_arg1805z00_2736 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2709); 
BgL_arg1804z00_2735 = 
(BgL_arg1805z00_2736-OBJECT_TYPE); } 
BgL_oclassz00_2729 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2735); } 
{ /* Llib/pgp_composition.scm 522 */
 bool_t BgL__ortest_1111z00_2730;
BgL__ortest_1111z00_2730 = 
(BgL_classz00_2707==BgL_oclassz00_2729); 
if(BgL__ortest_1111z00_2730)
{ /* Llib/pgp_composition.scm 522 */
BgL_res2363z00_2744 = BgL__ortest_1111z00_2730; }  else 
{ /* Llib/pgp_composition.scm 522 */
 long BgL_odepthz00_2731;
BgL_odepthz00_2731 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2729); 
if(
(BgL_arg1800z00_2710<BgL_odepthz00_2731))
{ /* Llib/pgp_composition.scm 522 */
 obj_t BgL_arg1793z00_2733;
BgL_arg1793z00_2733 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2729, BgL_arg1800z00_2710); 
BgL_res2363z00_2744 = 
(BgL_arg1793z00_2733==BgL_classz00_2707); }  else 
{ /* Llib/pgp_composition.scm 522 */
BgL_res2363z00_2744 = ((bool_t)0); } } } } 
BgL_arg1795z00_2715 = BgL_res2363z00_2744; } 
BgL_test2657z00_4738 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2714, BgL_arg1795z00_2715); } }  else 
{ /* Llib/pgp_composition.scm 522 */
BgL_test2657z00_4738 = ((bool_t)0)
; } } 
if(BgL_test2657z00_4738)
{ /* Llib/pgp_composition.scm 522 */
BgL_auxz00_4737 = 
((BgL_pgpzd2compositionzd2_bglt)BgL_thisz00_2519)
; }  else 
{ 
 obj_t BgL_auxz00_4759;
BgL_auxz00_4759 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2258z00zz__openpgpzd2compositionzd2, 
BINT(((long)19884)), BGl_string2353z00zz__openpgpzd2compositionzd2, BGl_string2289z00zz__openpgpzd2compositionzd2, BgL_thisz00_2519); 
FAILURE(BgL_auxz00_4759,BFALSE,BFALSE);} } 
return 
BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_auxz00_4737, BgL_auxz00_4763);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2, BGl_proc2354z00zz__openpgpzd2compositionzd2, BGl_string2355z00zz__openpgpzd2compositionzd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2, BGl_proc2356z00zz__openpgpzd2compositionzd2, BGl_string2355z00zz__openpgpzd2compositionzd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2, BGl_proc2357z00zz__openpgpzd2compositionzd2, BGl_string2355z00zz__openpgpzd2compositionzd2); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2, BGl_proc2358z00zz__openpgpzd2compositionzd2, BGl_string2355z00zz__openpgpzd2compositionzd2);} 

}



/* &encode-pgp-PGP-Encry1336 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Encry1336zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2525, obj_t BgL_thisz00_2526, obj_t BgL_pz00_2527)
{
{ /* Llib/pgp_composition.scm 583 */
{ /* Llib/pgp_composition.scm 585 */
 obj_t BgL_g1294z00_2747;
BgL_g1294z00_2747 = 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_thisz00_2526)))->BgL_sessionzd2keyszd2); 
{ 
 obj_t BgL_l1292z00_2749;
BgL_l1292z00_2749 = BgL_g1294z00_2747; 
BgL_zc3z04anonymousza32172ze3z87_2748:
if(
PAIRP(BgL_l1292z00_2749))
{ /* Llib/pgp_composition.scm 585 */
{ /* Llib/pgp_composition.scm 586 */
 obj_t BgL_sessionzd2keyzd2_2750;
BgL_sessionzd2keyzd2_2750 = 
CAR(BgL_l1292z00_2749); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sessionzd2keyzd2_2750), 
((obj_t)BgL_pz00_2527)); } 
{ 
 obj_t BgL_l1292z00_4783;
BgL_l1292z00_4783 = 
CDR(BgL_l1292z00_2749); 
BgL_l1292z00_2749 = BgL_l1292z00_4783; 
goto BgL_zc3z04anonymousza32172ze3z87_2748;} }  else 
{ /* Llib/pgp_composition.scm 585 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 588 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_arg2175z00_2751;
BgL_arg2175z00_2751 = 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_thisz00_2526)))->BgL_encryptedzd2datazd2); 
return 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2175z00_2751), 
((obj_t)BgL_pz00_2527));} } 

}



/* &encode-pgp-PGP-Signa1334 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Signa1334zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2528, obj_t BgL_thisz00_2529, obj_t BgL_pz00_2530)
{
{ /* Llib/pgp_composition.scm 573 */
{ /* Llib/pgp_composition.scm 575 */
 obj_t BgL_g1291z00_2754;
BgL_g1291z00_2754 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_thisz00_2529)))->BgL_sigsz00); 
{ 
 obj_t BgL_l1289z00_2756;
BgL_l1289z00_2756 = BgL_g1291z00_2754; 
BgL_zc3z04anonymousza32167ze3z87_2755:
if(
PAIRP(BgL_l1289z00_2756))
{ /* Llib/pgp_composition.scm 575 */
{ /* Llib/pgp_composition.scm 576 */
 obj_t BgL_sigz00_2757;
BgL_sigz00_2757 = 
CAR(BgL_l1289z00_2756); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_2757), 
((obj_t)BgL_pz00_2530)); } 
{ 
 obj_t BgL_l1289z00_4798;
BgL_l1289z00_4798 = 
CDR(BgL_l1289z00_2756); 
BgL_l1289z00_2756 = BgL_l1289z00_4798; 
goto BgL_zc3z04anonymousza32167ze3z87_2755;} }  else 
{ /* Llib/pgp_composition.scm 575 */((bool_t)1); } } } 
if(
CBOOL(
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_thisz00_2529)))->BgL_msgz00)))
{ /* Llib/pgp_composition.scm 578 */
 obj_t BgL_arg2171z00_2758;
BgL_arg2171z00_2758 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_thisz00_2529)))->BgL_msgz00); 
return 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2171z00_2758), 
((obj_t)BgL_pz00_2530));}  else 
{ /* Llib/pgp_composition.scm 578 */
return BFALSE;} } 

}



/* &encode-pgp-PGP-One-P1332 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Onezd2P1332z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2531, obj_t BgL_thisz00_2532, obj_t BgL_pz00_2533)
{
{ /* Llib/pgp_composition.scm 560 */
{ /* Llib/pgp_composition.scm 561 */
 bool_t BgL_tmpz00_4809;
{ /* Llib/pgp_composition.scm 562 */
 obj_t BgL_g1285z00_2761;
BgL_g1285z00_2761 = 
bgl_reverse(
(((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_thisz00_2532)))->BgL_onezd2passzd2sigsz00)); 
{ 
 obj_t BgL_l1283z00_2763;
BgL_l1283z00_2763 = BgL_g1285z00_2761; 
BgL_zc3z04anonymousza32159ze3z87_2762:
if(
PAIRP(BgL_l1283z00_2763))
{ /* Llib/pgp_composition.scm 564 */
{ /* Llib/pgp_composition.scm 563 */
 obj_t BgL_opsz00_2764;
BgL_opsz00_2764 = 
CAR(BgL_l1283z00_2763); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_opsz00_2764), 
((obj_t)BgL_pz00_2533)); } 
{ 
 obj_t BgL_l1283z00_4819;
BgL_l1283z00_4819 = 
CDR(BgL_l1283z00_2763); 
BgL_l1283z00_2763 = BgL_l1283z00_4819; 
goto BgL_zc3z04anonymousza32159ze3z87_2762;} }  else 
{ /* Llib/pgp_composition.scm 564 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 565 */
 obj_t BgL_arg2163z00_2765;
BgL_arg2163z00_2765 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_thisz00_2532))))->BgL_msgz00); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2163z00_2765), 
((obj_t)BgL_pz00_2533)); } 
{ /* Llib/pgp_composition.scm 566 */
 obj_t BgL_g1288z00_2766;
BgL_g1288z00_2766 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_thisz00_2532))))->BgL_sigsz00); 
{ 
 obj_t BgL_l1286z00_2768;
BgL_l1286z00_2768 = BgL_g1288z00_2766; 
BgL_zc3z04anonymousza32164ze3z87_2767:
if(
PAIRP(BgL_l1286z00_2768))
{ /* Llib/pgp_composition.scm 566 */
{ /* Llib/pgp_composition.scm 567 */
 obj_t BgL_sigz00_2769;
BgL_sigz00_2769 = 
CAR(BgL_l1286z00_2768); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_2769), 
((obj_t)BgL_pz00_2533)); } 
{ 
 obj_t BgL_l1286z00_4836;
BgL_l1286z00_4836 = 
CDR(BgL_l1286z00_2768); 
BgL_l1286z00_2768 = BgL_l1286z00_4836; 
goto BgL_zc3z04anonymousza32164ze3z87_2767;} }  else 
{ /* Llib/pgp_composition.scm 566 */
BgL_tmpz00_4809 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_4809);} } 

}



/* &encode-pgp-PGP-Key1330 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Key1330zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_2534, obj_t BgL_thisz00_2535, obj_t BgL_pz00_2536)
{
{ /* Llib/pgp_composition.scm 530 */
{ /* Llib/pgp_composition.scm 531 */
 bool_t BgL_tmpz00_4839;
{ /* Llib/pgp_composition.scm 532 */
 obj_t BgL_mainzd2keyzd2_2772;
BgL_mainzd2keyzd2_2772 = 
CAR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_thisz00_2535)))->BgL_subkeysz00)); 
{ /* Llib/pgp_composition.scm 532 */
 obj_t BgL_otherzd2subkeyszd2_2773;
BgL_otherzd2subkeyszd2_2773 = 
CDR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_thisz00_2535)))->BgL_subkeysz00)); 
{ /* Llib/pgp_composition.scm 533 */

{ /* Llib/pgp_composition.scm 535 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2136z00_2774;
BgL_arg2136z00_2774 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_mainzd2keyzd2_2772)))->BgL_keyzd2packetzd2); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2136z00_2774), 
((obj_t)BgL_pz00_2536)); } 
{ /* Llib/pgp_composition.scm 536 */
 obj_t BgL_g1267z00_2775;
BgL_g1267z00_2775 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_mainzd2keyzd2_2772)))->BgL_revocationzd2sigszd2); 
{ 
 obj_t BgL_l1265z00_2777;
BgL_l1265z00_2777 = BgL_g1267z00_2775; 
BgL_zc3z04anonymousza32137ze3z87_2776:
if(
PAIRP(BgL_l1265z00_2777))
{ /* Llib/pgp_composition.scm 536 */
{ /* Llib/pgp_composition.scm 536 */
 obj_t BgL_revoczd2sigzd2_2778;
BgL_revoczd2sigzd2_2778 = 
CAR(BgL_l1265z00_2777); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_revoczd2sigzd2_2778), 
((obj_t)BgL_pz00_2536)); } 
{ 
 obj_t BgL_l1265z00_4859;
BgL_l1265z00_4859 = 
CDR(BgL_l1265z00_2777); 
BgL_l1265z00_2777 = BgL_l1265z00_4859; 
goto BgL_zc3z04anonymousza32137ze3z87_2776;} }  else 
{ /* Llib/pgp_composition.scm 536 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 538 */
 obj_t BgL_g1273z00_2779;
BgL_g1273z00_2779 = 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_thisz00_2535)))->BgL_userzd2idszd2); 
{ 
 obj_t BgL_l1271z00_2781;
BgL_l1271z00_2781 = BgL_g1273z00_2779; 
BgL_zc3z04anonymousza32140ze3z87_2780:
if(
PAIRP(BgL_l1271z00_2781))
{ /* Llib/pgp_composition.scm 538 */
{ /* Llib/pgp_composition.scm 539 */
 obj_t BgL_userzd2idzd2_2782;
BgL_userzd2idzd2_2782 = 
CAR(BgL_l1271z00_2781); 
{ /* Llib/pgp_composition.scm 540 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_arg2142z00_2783;
BgL_arg2142z00_2783 = 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_userzd2idzd2_2782)))->BgL_idz00); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2142z00_2783), 
((obj_t)BgL_pz00_2536)); } 
{ /* Llib/pgp_composition.scm 541 */
 obj_t BgL_g1270z00_2784;
BgL_g1270z00_2784 = 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_userzd2idzd2_2782)))->BgL_sigsz00); 
{ 
 obj_t BgL_l1268z00_2786;
BgL_l1268z00_2786 = BgL_g1270z00_2784; 
BgL_zc3z04anonymousza32143ze3z87_2785:
if(
PAIRP(BgL_l1268z00_2786))
{ /* Llib/pgp_composition.scm 541 */
{ /* Llib/pgp_composition.scm 542 */
 obj_t BgL_sigz00_2787;
BgL_sigz00_2787 = 
CAR(BgL_l1268z00_2786); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_2787), 
((obj_t)BgL_pz00_2536)); } 
{ 
 obj_t BgL_l1268z00_4879;
BgL_l1268z00_4879 = 
CDR(BgL_l1268z00_2786); 
BgL_l1268z00_2786 = BgL_l1268z00_4879; 
goto BgL_zc3z04anonymousza32143ze3z87_2785;} }  else 
{ /* Llib/pgp_composition.scm 541 */((bool_t)1); } } } } 
{ 
 obj_t BgL_l1271z00_4881;
BgL_l1271z00_4881 = 
CDR(BgL_l1271z00_2781); 
BgL_l1271z00_2781 = BgL_l1271z00_4881; 
goto BgL_zc3z04anonymousza32140ze3z87_2780;} }  else 
{ /* Llib/pgp_composition.scm 538 */((bool_t)1); } } } 
{ 
 obj_t BgL_l1281z00_2789;
BgL_l1281z00_2789 = BgL_otherzd2subkeyszd2_2773; 
BgL_zc3z04anonymousza32147ze3z87_2788:
if(
PAIRP(BgL_l1281z00_2789))
{ /* Llib/pgp_composition.scm 545 */
{ /* Llib/pgp_composition.scm 546 */
 obj_t BgL_subkeyz00_2790;
BgL_subkeyz00_2790 = 
CAR(BgL_l1281z00_2789); 
{ /* Llib/pgp_composition.scm 548 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2149z00_2791;
BgL_arg2149z00_2791 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_2790)))->BgL_keyzd2packetzd2); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2149z00_2791), 
((obj_t)BgL_pz00_2536)); } 
{ /* Llib/pgp_composition.scm 549 */
 obj_t BgL_g1276z00_2792;
BgL_g1276z00_2792 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_2790)))->BgL_sigsz00); 
{ 
 obj_t BgL_l1274z00_2794;
BgL_l1274z00_2794 = BgL_g1276z00_2792; 
BgL_zc3z04anonymousza32150ze3z87_2793:
if(
PAIRP(BgL_l1274z00_2794))
{ /* Llib/pgp_composition.scm 549 */
{ /* Llib/pgp_composition.scm 550 */
 obj_t BgL_sigz00_2795;
BgL_sigz00_2795 = 
CAR(BgL_l1274z00_2794); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_2795), 
((obj_t)BgL_pz00_2536)); } 
{ 
 obj_t BgL_l1274z00_4899;
BgL_l1274z00_4899 = 
CDR(BgL_l1274z00_2794); 
BgL_l1274z00_2794 = BgL_l1274z00_4899; 
goto BgL_zc3z04anonymousza32150ze3z87_2793;} }  else 
{ /* Llib/pgp_composition.scm 549 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 552 */
 obj_t BgL_g1280z00_2796;
BgL_g1280z00_2796 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_2790)))->BgL_revocationzd2sigszd2); 
{ 
 obj_t BgL_l1277z00_2798;
BgL_l1277z00_2798 = BgL_g1280z00_2796; 
BgL_zc3z04anonymousza32153ze3z87_2797:
if(
PAIRP(BgL_l1277z00_2798))
{ /* Llib/pgp_composition.scm 552 */
{ /* Llib/pgp_composition.scm 553 */
 obj_t BgL_revoczd2sigzd2_2799;
BgL_revoczd2sigzd2_2799 = 
CAR(BgL_l1277z00_2798); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_revoczd2sigzd2_2799), 
((obj_t)BgL_pz00_2536)); } 
{ 
 obj_t BgL_l1277z00_4909;
BgL_l1277z00_4909 = 
CDR(BgL_l1277z00_2798); 
BgL_l1277z00_2798 = BgL_l1277z00_4909; 
goto BgL_zc3z04anonymousza32153ze3z87_2797;} }  else 
{ /* Llib/pgp_composition.scm 552 */((bool_t)1); } } } } 
{ 
 obj_t BgL_l1281z00_4911;
BgL_l1281z00_4911 = 
CDR(BgL_l1281z00_2789); 
BgL_l1281z00_2789 = BgL_l1281z00_4911; 
goto BgL_zc3z04anonymousza32147ze3z87_2788;} }  else 
{ /* Llib/pgp_composition.scm 545 */
BgL_tmpz00_4839 = ((bool_t)1)
; } } } } } 
return 
BBOOL(BgL_tmpz00_4839);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(((long)486475050), 
BSTRING_TO_STRING(BGl_string2359z00zz__openpgpzd2compositionzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(((long)485669724), 
BSTRING_TO_STRING(BGl_string2359z00zz__openpgpzd2compositionzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2decodezd2(((long)275867649), 
BSTRING_TO_STRING(BGl_string2359z00zz__openpgpzd2compositionzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(((long)466864889), 
BSTRING_TO_STRING(BGl_string2359z00zz__openpgpzd2compositionzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2portzd2utilz00(((long)98035382), 
BSTRING_TO_STRING(BGl_string2359z00zz__openpgpzd2compositionzd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(((long)364974745), 
BSTRING_TO_STRING(BGl_string2359z00zz__openpgpzd2compositionzd2));} 

}

#ifdef __cplusplus
}
#endif
