/*===========================================================================*/
/*   (Llib/pgp_decode.scm)                                                   */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_decode.scm -o objs/pgp_decode.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_rsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_modulusz00;
   obj_t BgL_exponentz00;
} *BgL_rsazd2keyzd2_bglt;

typedef struct BgL_elgamalzd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
} *BgL_elgamalzd2keyzd2_bglt;

typedef struct BgL_dsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_qz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
} *BgL_dsazd2keyzd2_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_idz00;
   obj_t BgL_algoz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2sigzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
} *BgL_pgpzd2sigzd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2v3zd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
   obj_t BgL_securezd2subzd2packetsz00;
   obj_t BgL_insecurezd2subzd2packetsz00;
} *BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt;

typedef struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_algoz00;
   obj_t BgL_s2kz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   bool_t BgL_containszd2nestedzd2sigzf3zf3;
} *BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2publiczd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
   obj_t BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00;
} *BgL_pgpzd2secretzd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2compressedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_packetsz00;
} *BgL_pgpzd2compressedzd2packetz00_bglt;

typedef struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt;

typedef struct BgL_pgpzd2markerzd2packetz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2markerzd2packetz00_bglt;

typedef struct BgL_pgpzd2literalzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   bool_t BgL_forzd2yourzd2eyeszd2onlyzf3z21;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_dataz00;
} *BgL_pgpzd2literalzd2packetz00_bglt;

typedef struct BgL_pgpzd2trustzd2packetz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2trustzd2packetz00_bglt;

typedef struct BgL_pgpzd2idzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2idzd2packetz00_bglt;

typedef struct BgL_pgpzd2attributezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2attributezd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
   long BgL_versionz00;
} *BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_hashz00;
} *BgL_pgpzd2mdczd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2packetzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_typez00;
   obj_t BgL_dataz00;
} *BgL_pgpzd2signaturezd2subzd2genericzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_creationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_expirationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2exportablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_exportablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2trustzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   int BgL_levelz00;
   int BgL_amountz00;
} *BgL_pgpzd2signaturezd2subzd2trustzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_revocablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   long BgL_expirationzd2timezd2;
} *BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   char BgL_claza7za7z00;
   bool_t BgL_sensitivezf3zf3;
   char BgL_algidz00;
   obj_t BgL_fingerprintz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_keyzd2idzd2;
} *BgL_pgpzd2signaturezd2subzd2idzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2notationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_valuez00;
} *BgL_pgpzd2signaturezd2subzd2notationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_serverz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_primaryzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2policyzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_urlz00;
} *BgL_pgpzd2signaturezd2subzd2policyzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_idz00;
} *BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_codez00;
   obj_t BgL_reasonz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt;


static BgL_pgpzd2mdczd2packetz00_bglt BGl_decodezd2mdczd2zz__openpgpzd2decodezd2(obj_t);
BGL_IMPORT obj_t BGl_ElGamalzd2Keyzd2zz__cryptozd2elgamalzd2;
BGL_IMPORT obj_t BGl_portzd2ze3za7libzd2portz44zz__gunza7ipza7(obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2;
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2decodezd2 = BUNSPEC;
static obj_t BGl_decodezd2subzd2packetsz00zz__openpgpzd2decodezd2(obj_t);
BGL_IMPORT obj_t BGl_portzd2ze3inflatezd2portze3zz__gunza7ipza7(obj_t, obj_t);
extern obj_t BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(long, long);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
BGL_IMPORT obj_t bgl_seconds_to_date(long);
extern int BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2();
extern obj_t BGl_bytezd2ze3compressionzd2algoze3zz__openpgpzd2enumszd2(char);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2;
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2decodezd2();
static BgL_pgpzd2markerzd2packetz00_bglt BGl_decodezd2markerzd2zz__openpgpzd2decodezd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31890ze3ze5zz__openpgpzd2decodezd2(obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2decodezd2();
static BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_decodezd2mdczd2symzd2encryptedzd2zz__openpgpzd2decodezd2(obj_t);
extern obj_t BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2;
static obj_t BGl_decodezd2packetzd2zz__openpgpzd2decodezd2(obj_t, bool_t);
static obj_t BGl_objectzd2initzd2zz__openpgpzd2decodezd2();
BGL_IMPORT obj_t bgl_bignum_mul(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31893ze3ze5zz__openpgpzd2decodezd2(obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
extern obj_t BGl_bytezd2ze3subpacketzd2typeze3zz__openpgpzd2enumszd2(char);
extern obj_t BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
extern obj_t BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern obj_t BGl_bytezd2ze3literalzd2formatze3zz__openpgpzd2enumszd2(char);
extern obj_t BGl_bytezd2ze3publiczd2keyzd2algoz31zz__openpgpzd2enumszd2(char);
extern obj_t BGl_lengthzd2limitedzd2pipezd2portzd2zz__openpgpzd2portzd2utilz00(obj_t, long);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__openpgpzd2decodezd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2decodezd2();
BGL_IMPORT obj_t BGl_readzd2charzd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_contentzd2pipezd2portz00zz__openpgpzd2decodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2;
extern obj_t BGl_bytezd2ze3contentzd2tagze3zz__openpgpzd2enumszd2(char);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(obj_t);
static BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BGl_decodezd2signaturezd2v3z00zz__openpgpzd2decodezd2(obj_t);
static BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_decodezd2signaturezd2v4z00zz__openpgpzd2decodezd2(obj_t, long);
extern obj_t BGl_bytezd2ze3s2kzd2algoze3zz__openpgpzd2enumszd2(char);
extern obj_t BGl_bytezd2ze3signaturezd2typeze3zz__openpgpzd2enumszd2(char);
extern obj_t BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t bgl_long_to_bignum(long);
extern obj_t BGl_bytezd2ze3hashzd2algoze3zz__openpgpzd2enumszd2(char);
static obj_t BGl_z62decodezd2mpizb0zz__openpgpzd2decodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2;
static obj_t BGl_decodezd2compressedzd2dataz00zz__openpgpzd2decodezd2(obj_t, bool_t);
extern obj_t BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2;
static BgL_pgpzd2idzd2packetz00_bglt BGl_decodezd2userzd2idz00zz__openpgpzd2decodezd2(obj_t);
static BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_decodezd2symmetricallyzd2encryptedzd2datazd2zz__openpgpzd2decodezd2(obj_t);
static BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_decodezd2secretzd2keyz00zz__openpgpzd2decodezd2(obj_t);
extern obj_t BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2s2kzd2zz__openpgpzd2s2kzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62decodezd2packetszb0zz__openpgpzd2decodezd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2decodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2portzd2utilz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2dsazd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2elgamalzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__gunza7ipza7(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_bytezd2ze3revocationzd2codeze3zz__openpgpzd2enumszd2(char);
static obj_t BGl_za2dummyzd2dateza2zd2zz__openpgpzd2decodezd2 = BUNSPEC;
BGL_IMPORT obj_t bgl_nanoseconds_to_date(BGL_LONGLONG_T);
extern obj_t BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2;
static BgL_pgpzd2literalzd2packetz00_bglt BGl_decodezd2literalzd2dataz00zz__openpgpzd2decodezd2(obj_t);
static obj_t BGl_decodezd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2zz__openpgpzd2decodezd2(obj_t);
extern obj_t BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2;
static BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_decodezd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2zz__openpgpzd2decodezd2(obj_t);
extern obj_t BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_preferenceszd2ze3listze70zd6zz__openpgpzd2decodezd2(obj_t, obj_t);
static long BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(obj_t, long);
static obj_t BGl_decodezd2packetzd2lengthzd2v3zd2zz__openpgpzd2decodezd2(obj_t, long);
static long BGl_decodezd2packetzd2lengthzd2v4zd2zz__openpgpzd2decodezd2(obj_t);
extern obj_t BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2decodezd2();
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2;
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2decodezd2();
extern obj_t BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2decodezd2();
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2decodezd2();
extern obj_t BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_peekzd2charzd2zz__r4_input_6_10_2z00(obj_t);
extern obj_t BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_bytezd2ze3symmetriczd2keyzd2algoz31zz__openpgpzd2enumszd2(char);
extern obj_t BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(obj_t, bool_t);
static obj_t BGl_z62zc3z04anonymousza31288ze3ze5zz__openpgpzd2decodezd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BGl_decodezd2subzd2packetz00zz__openpgpzd2decodezd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_decodezd2s2kzd2zz__openpgpzd2decodezd2(obj_t);
static BgL_pgpzd2trustzd2packetz00_bglt BGl_decodezd2trustzd2zz__openpgpzd2decodezd2(obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_nanoseconds();
extern obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_readzd2stringzd2zz__r4_input_6_10_2z00(obj_t);
extern long BGl_scalarzd2ze3fixnumz31zz__openpgpzd2conversionzd2(obj_t);
BGL_IMPORT obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
extern obj_t BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2;
static BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BGl_decodezd2publiczd2keyz00zz__openpgpzd2decodezd2(obj_t);
static obj_t BGl_z62decodezd2s2kzb0zz__openpgpzd2decodezd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_Dsazd2Keyzd2zz__cryptozd2dsazd2;
static BgL_pgpzd2attributezd2packetz00_bglt BGl_decodezd2userzd2attributez00zz__openpgpzd2decodezd2(obj_t);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_openzd2inputzd2procedurez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_loopze70ze7zz__openpgpzd2decodezd2(bool_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2;
static obj_t BGl_decodezf2fillzd2keyz20zz__openpgpzd2decodezd2(BgL_pgpzd2keyzd2packetz00_bglt, long, obj_t);
static obj_t BGl_decodezd2signaturezd2zz__openpgpzd2decodezd2(obj_t);
static BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BGl_decodezd2onezd2passzd2signaturezd2zz__openpgpzd2decodezd2(obj_t);
extern long BGl_octetzd2ze3iteratedzd2saltedzd2s2kzd2countze3zz__openpgpzd2s2kzd2(unsigned char);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2;
static obj_t __cnst[ 52 ] ;


DEFINE_STRING( BGl_string2040z00zz__openpgpzd2decodezd2, BgL_bgl_string2040za700za7za7_2074za7, "decode-signature", 16 );
DEFINE_STRING( BGl_string2041z00zz__openpgpzd2decodezd2, BgL_bgl_string2041za700za7za7_2075za7, "Can't decode signatures of this version", 39 );
DEFINE_STRING( BGl_string2042z00zz__openpgpzd2decodezd2, BgL_bgl_string2042za700za7za7_2076za7, "decode-signature-v3", 19 );
DEFINE_STRING( BGl_string2043z00zz__openpgpzd2decodezd2, BgL_bgl_string2043za700za7za7_2077za7, "hashed len must be = 5", 22 );
DEFINE_STRING( BGl_string2044z00zz__openpgpzd2decodezd2, BgL_bgl_string2044za700za7za7_2078za7, "public key algorithm not implemented for signature", 50 );
DEFINE_STRING( BGl_string2045z00zz__openpgpzd2decodezd2, BgL_bgl_string2045za700za7za7_2079za7, "", 0 );
DEFINE_STRING( BGl_string2046z00zz__openpgpzd2decodezd2, BgL_bgl_string2046za700za7za7_2080za7, "decode-sub-package", 18 );
DEFINE_STRING( BGl_string2047z00zz__openpgpzd2decodezd2, BgL_bgl_string2047za700za7za7_2081za7, "sub-packages must not have partial lengths", 42 );
DEFINE_STRING( BGl_string2048z00zz__openpgpzd2decodezd2, BgL_bgl_string2048za700za7za7_2082za7, "0x~x", 4 );
DEFINE_STRING( BGl_string2049z00zz__openpgpzd2decodezd2, BgL_bgl_string2049za700za7za7_2083za7, "decode-signature-sub-packet", 27 );
DEFINE_STRING( BGl_string2050z00zz__openpgpzd2decodezd2, BgL_bgl_string2050za700za7za7_2084za7, "revocation-key signature must have bit 0x80 set", 47 );
DEFINE_STRING( BGl_string2051z00zz__openpgpzd2decodezd2, BgL_bgl_string2051za700za7za7_2085za7, "decode-signature-v4", 19 );
DEFINE_STRING( BGl_string2052z00zz__openpgpzd2decodezd2, BgL_bgl_string2052za700za7za7_2086za7, "invalid signature. Can't find obligatory creation-time sub-packet", 65 );
DEFINE_STRING( BGl_string2053z00zz__openpgpzd2decodezd2, BgL_bgl_string2053za700za7za7_2087za7, "invalid signature. Can't find obligatory issuer id sub-packet", 61 );
DEFINE_STRING( BGl_string2054z00zz__openpgpzd2decodezd2, BgL_bgl_string2054za700za7za7_2088za7, "public key algorithm not implemented", 36 );
DEFINE_STRING( BGl_string2055z00zz__openpgpzd2decodezd2, BgL_bgl_string2055za700za7za7_2089za7, "decode-public-key", 17 );
DEFINE_STRING( BGl_string2056z00zz__openpgpzd2decodezd2, BgL_bgl_string2056za700za7za7_2090za7, "version of public key file not supported", 40 );
DEFINE_STRING( BGl_string2057z00zz__openpgpzd2decodezd2, BgL_bgl_string2057za700za7za7_2091za7, "decode key v3", 13 );
DEFINE_STRING( BGl_string2058z00zz__openpgpzd2decodezd2, BgL_bgl_string2058za700za7za7_2092za7, "only RSA is supported for version 3 keys", 40 );
DEFINE_STRING( BGl_string2059z00zz__openpgpzd2decodezd2, BgL_bgl_string2059za700za7za7_2093za7, "decode-key", 10 );
DEFINE_STRING( BGl_string2060z00zz__openpgpzd2decodezd2, BgL_bgl_string2060za700za7za7_2094za7, "public key algorithm must be RSA, DSA or ElGamal", 48 );
DEFINE_STRING( BGl_string2061z00zz__openpgpzd2decodezd2, BgL_bgl_string2061za700za7za7_2095za7, "decode-secret-key", 17 );
DEFINE_STRING( BGl_string2062z00zz__openpgpzd2decodezd2, BgL_bgl_string2062za700za7za7_2096za7, "version incompatible with this implementation", 45 );
DEFINE_STRING( BGl_string2063z00zz__openpgpzd2decodezd2, BgL_bgl_string2063za700za7za7_2097za7, "decode compressed", 17 );
DEFINE_STRING( BGl_string2064z00zz__openpgpzd2decodezd2, BgL_bgl_string2064za700za7za7_2098za7, "Can't decompresse data", 22 );
DEFINE_STRING( BGl_string2065z00zz__openpgpzd2decodezd2, BgL_bgl_string2065za700za7za7_2099za7, "decode-marker", 13 );
DEFINE_STRING( BGl_string2066z00zz__openpgpzd2decodezd2, BgL_bgl_string2066za700za7za7_2100za7, "bad marker packet", 17 );
DEFINE_STRING( BGl_string2067z00zz__openpgpzd2decodezd2, BgL_bgl_string2067za700za7za7_2101za7, "_CONSOLE", 8 );
DEFINE_STRING( BGl_string2068z00zz__openpgpzd2decodezd2, BgL_bgl_string2068za700za7za7_2102za7, "ignoring trust packet", 21 );
DEFINE_STRING( BGl_string2069z00zz__openpgpzd2decodezd2, BgL_bgl_string2069za700za7za7_2103za7, "Bad Modification Detection Code Packet", 38 );
DEFINE_STRING( BGl_string2070z00zz__openpgpzd2decodezd2, BgL_bgl_string2070za700za7za7_2104za7, "__openpgp-decode", 16 );
DEFINE_STRING( BGl_string2071z00zz__openpgpzd2decodezd2, BgL_bgl_string2071za700za7za7_2105za7, "decode-mdc ZLIB ZIP uncompressed ok not-yet-set issuer-fpr revocation-reason signer-ID policy primary-id? preferred-key-server preferred-compression preferred-hash notation issuer-ID revocation-key preferred-symmetric placeholder key-expiration-time revocable? exportable? expiration-time creation-time dsa rsa-sign elgamal-encrypt/sign elgamal-encrypt rsa-encrypt rsa-encrypt/sign #z0 #z256 iterated salted simple mdc mdc-symmetrically-encrypted user-attribute public-subkey ID trust literal marker symmetrically-encrypted compressed secret-subkey public-key secret-key one-pass-signature symmetric-key-encrypted-session-key signature public-key-encrypted-session-key ", 669 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decodezd2packetszd2envz00zz__openpgpzd2decodezd2, BgL_bgl_za762decodeza7d2pack2106z00, BGl_z62decodezd2packetszb0zz__openpgpzd2decodezd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_bytezd2ze3compressionzd2algozd2envz31zz__openpgpzd2enumszd2;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decodezd2mpizd2envz00zz__openpgpzd2decodezd2, BgL_bgl_za762decodeza7d2mpiza72107za7, BGl_z62decodezd2mpizb0zz__openpgpzd2decodezd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_bytezd2ze3hashzd2algozd2envz31zz__openpgpzd2enumszd2;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decodezd2s2kzd2envz00zz__openpgpzd2decodezd2, BgL_bgl_za762decodeza7d2s2kza72108za7, BGl_z62decodezd2s2kzb0zz__openpgpzd2decodezd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_bytezd2ze3symmetriczd2keyzd2algozd2envze3zz__openpgpzd2enumszd2;
DEFINE_STRING( BGl_string2020z00zz__openpgpzd2decodezd2, BgL_bgl_string2020za700za7za7_2109za7, "Llib/pgp_decode.scm", 19 );
DEFINE_STRING( BGl_string2021z00zz__openpgpzd2decodezd2, BgL_bgl_string2021za700za7za7_2110za7, "safe-read-char", 14 );
DEFINE_STRING( BGl_string2022z00zz__openpgpzd2decodezd2, BgL_bgl_string2022za700za7za7_2111za7, "unexpected end of file", 22 );
DEFINE_STRING( BGl_string2023z00zz__openpgpzd2decodezd2, BgL_bgl_string2023za700za7za7_2112za7, "decode-content-tag", 18 );
DEFINE_STRING( BGl_string2024z00zz__openpgpzd2decodezd2, BgL_bgl_string2024za700za7za7_2113za7, "invalid tag", 11 );
DEFINE_STRING( BGl_string2025z00zz__openpgpzd2decodezd2, BgL_bgl_string2025za700za7za7_2114za7, "decode-packet", 13 );
DEFINE_STRING( BGl_string2026z00zz__openpgpzd2decodezd2, BgL_bgl_string2026za700za7za7_2115za7, "bad packet", 10 );
DEFINE_STRING( BGl_string2027z00zz__openpgpzd2decodezd2, BgL_bgl_string2027za700za7za7_2116za7, "Unknown content-tag", 19 );
DEFINE_STRING( BGl_string2028z00zz__openpgpzd2decodezd2, BgL_bgl_string2028za700za7za7_2117za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/openpgp/src/Llib/pgp_decode.scm", 71 );
DEFINE_STRING( BGl_string2029z00zz__openpgpzd2decodezd2, BgL_bgl_string2029za700za7za7_2118za7, "&decode-packets", 15 );
DEFINE_STRING( BGl_string2030z00zz__openpgpzd2decodezd2, BgL_bgl_string2030za700za7za7_2119za7, "input-port", 10 );
DEFINE_STRING( BGl_string2031z00zz__openpgpzd2decodezd2, BgL_bgl_string2031za700za7za7_2120za7, "safe-read-octets", 16 );
DEFINE_STRING( BGl_string2032z00zz__openpgpzd2decodezd2, BgL_bgl_string2032za700za7za7_2121za7, "decode-s2k", 10 );
DEFINE_STRING( BGl_string2033z00zz__openpgpzd2decodezd2, BgL_bgl_string2033za700za7za7_2122za7, "unknown s2k algorithm", 21 );
DEFINE_STRING( BGl_string2034z00zz__openpgpzd2decodezd2, BgL_bgl_string2034za700za7za7_2123za7, "&decode-s2k", 11 );
DEFINE_STRING( BGl_string2035z00zz__openpgpzd2decodezd2, BgL_bgl_string2035za700za7za7_2124za7, "&decode-mpi", 11 );
DEFINE_STRING( BGl_string2036z00zz__openpgpzd2decodezd2, BgL_bgl_string2036za700za7za7_2125za7, "public key encrypted session key", 32 );
DEFINE_STRING( BGl_string2037z00zz__openpgpzd2decodezd2, BgL_bgl_string2037za700za7za7_2126za7, "don't know how to decode a packet of this version", 49 );
DEFINE_STRING( BGl_string2038z00zz__openpgpzd2decodezd2, BgL_bgl_string2038za700za7za7_2127za7, "encrypted session key", 21 );
DEFINE_STRING( BGl_string2039z00zz__openpgpzd2decodezd2, BgL_bgl_string2039za700za7za7_2128za7, "Can't read encrypted-session key with this public algo.", 55 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2decodezd2) );
ADD_ROOT( (void *)(&BGl_za2dummyzd2dateza2zd2zz__openpgpzd2decodezd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2decodezd2(long BgL_checksumz00_1818, char * BgL_fromz00_1819)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2decodezd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2decodezd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2decodezd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2decodezd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2decodezd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2decodezd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2decodezd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2decodezd2()
{
{ /* Llib/pgp_decode.scm 18 */
BGl_modulezd2initializa7ationz75zz__cryptozd2elgamalzd2(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__gunza7ipza7(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2dsazd2(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__openpgp-decode"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__openpgp-decode"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2decodezd2()
{
{ /* Llib/pgp_decode.scm 18 */
{ /* Llib/pgp_decode.scm 18 */
 obj_t BgL_cportz00_1796;
{ /* Llib/pgp_decode.scm 18 */
 obj_t BgL_stringz00_1804;
BgL_stringz00_1804 = BGl_string2071z00zz__openpgpzd2decodezd2; 
{ /* Llib/pgp_decode.scm 18 */
 obj_t BgL_startz00_1805;
BgL_startz00_1805 = 
BINT(((long)0)); 
{ /* Llib/pgp_decode.scm 18 */
 obj_t BgL_endz00_1806;
BgL_endz00_1806 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1804))); 
{ /* Llib/pgp_decode.scm 18 */

BgL_cportz00_1796 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1804, BgL_startz00_1805, BgL_endz00_1806); } } } } 
{ 
 long BgL_iz00_1797;
BgL_iz00_1797 = ((long)51); 
BgL_loopz00_1798:
if(
(BgL_iz00_1797==((long)-1)))
{ /* Llib/pgp_decode.scm 18 */
return BUNSPEC;}  else 
{ /* Llib/pgp_decode.scm 18 */
{ /* Llib/pgp_decode.scm 18 */
 obj_t BgL_arg2073z00_1800;
{ /* Llib/pgp_decode.scm 18 */

{ /* Llib/pgp_decode.scm 18 */
 obj_t BgL_locationz00_1802;
BgL_locationz00_1802 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_decode.scm 18 */

BgL_arg2073z00_1800 = 
BGl_readz00zz__readerz00(BgL_cportz00_1796, BgL_locationz00_1802); } } } 
{ /* Llib/pgp_decode.scm 18 */
 int BgL_tmpz00_1858;
BgL_tmpz00_1858 = 
(int)(BgL_iz00_1797); 
CNST_TABLE_SET(BgL_tmpz00_1858, BgL_arg2073z00_1800); } } 
{ /* Llib/pgp_decode.scm 18 */
 int BgL_auxz00_1803;
BgL_auxz00_1803 = 
(int)(
(BgL_iz00_1797-((long)1))); 
{ 
 long BgL_iz00_1863;
BgL_iz00_1863 = 
(long)(BgL_auxz00_1803); 
BgL_iz00_1797 = BgL_iz00_1863; 
goto BgL_loopz00_1798;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2decodezd2()
{
{ /* Llib/pgp_decode.scm 18 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2decodezd2()
{
{ /* Llib/pgp_decode.scm 18 */
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(((long)0), 
BSTRING_TO_STRING(BGl_string2020z00zz__openpgpzd2decodezd2)); 
return ( 
BGl_za2dummyzd2dateza2zd2zz__openpgpzd2decodezd2 = 
bgl_nanoseconds_to_date(
bgl_current_nanoseconds()), BUNSPEC) ;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__openpgpzd2decodezd2(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_79;
BgL_headz00_79 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_80; obj_t BgL_tailz00_81;
BgL_prevz00_80 = BgL_headz00_79; 
BgL_tailz00_81 = BgL_l1z00_1; 
BgL_loopz00_82:
if(
PAIRP(BgL_tailz00_81))
{ 
 obj_t BgL_newzd2prevzd2_84;
BgL_newzd2prevzd2_84 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_81), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_80, BgL_newzd2prevzd2_84); 
{ 
 obj_t BgL_tailz00_1877; obj_t BgL_prevz00_1876;
BgL_prevz00_1876 = BgL_newzd2prevzd2_84; 
BgL_tailz00_1877 = 
CDR(BgL_tailz00_81); 
BgL_tailz00_81 = BgL_tailz00_1877; 
BgL_prevz00_80 = BgL_prevz00_1876; 
goto BgL_loopz00_82;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_79);} } } 

}



/* decode-packet-length-v3 */
obj_t BGl_decodezd2packetzd2lengthzd2v3zd2zz__openpgpzd2decodezd2(obj_t BgL_pz00_3, long BgL_packetzd2tagzd2_4)
{
{ /* Llib/pgp_decode.scm 37 */
{ /* Llib/pgp_decode.scm 38 */
 long BgL_lengthzd2typezd2_87;
BgL_lengthzd2typezd2_87 = 
(BgL_packetzd2tagzd2_4 & ((long)3)); 
switch( BgL_lengthzd2typezd2_87) { case ((long)0) : 

{ /* Llib/pgp_decode.scm 41 */
 long BgL_val0_1225z00_91;
{ /* Llib/pgp_decode.scm 41 */
 unsigned char BgL_arg1917z00_793;
{ /* Llib/pgp_decode.scm 41 */
 unsigned char BgL_res1936z00_796;
{ /* Llib/pgp_decode.scm 41 */
 obj_t BgL_tz00_794;
BgL_tz00_794 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_3); 
if(
EOF_OBJECTP(BgL_tz00_794))
{ /* Llib/pgp_decode.scm 41 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 41 */BFALSE; } 
BgL_res1936z00_796 = 
CCHAR(BgL_tz00_794); } 
BgL_arg1917z00_793 = BgL_res1936z00_796; } 
BgL_val0_1225z00_91 = 
(
(unsigned char)(BgL_arg1917z00_793)); } 
{ /* Llib/pgp_decode.scm 41 */
 int BgL_tmpz00_1888;
BgL_tmpz00_1888 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1888); } 
{ /* Llib/pgp_decode.scm 41 */
 int BgL_tmpz00_1891;
BgL_tmpz00_1891 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1891, BFALSE); } 
return 
BINT(BgL_val0_1225z00_91);} break;case ((long)1) : 

{ /* Llib/pgp_decode.scm 43 */
 long BgL_val0_1227z00_93;
BgL_val0_1227z00_93 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_3, ((long)2)); 
{ /* Llib/pgp_decode.scm 43 */
 int BgL_tmpz00_1896;
BgL_tmpz00_1896 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1896); } 
{ /* Llib/pgp_decode.scm 43 */
 int BgL_tmpz00_1899;
BgL_tmpz00_1899 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1899, BFALSE); } 
return 
BINT(BgL_val0_1227z00_93);} break;case ((long)2) : 

{ /* Llib/pgp_decode.scm 45 */
 long BgL_val0_1229z00_95;
BgL_val0_1229z00_95 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_3, ((long)4)); 
{ /* Llib/pgp_decode.scm 45 */
 int BgL_tmpz00_1904;
BgL_tmpz00_1904 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1904); } 
{ /* Llib/pgp_decode.scm 45 */
 int BgL_tmpz00_1907;
BgL_tmpz00_1907 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1907, BFALSE); } 
return 
BINT(BgL_val0_1229z00_95);} break;case ((long)3) : 

{ /* Llib/pgp_decode.scm 47 */
 int BgL_tmpz00_1911;
BgL_tmpz00_1911 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1911); } 
{ /* Llib/pgp_decode.scm 47 */
 int BgL_tmpz00_1914;
BgL_tmpz00_1914 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1914, BTRUE); } 
return BFALSE;break;
default: 
return BUNSPEC;} } } 

}



/* decode-packet-length-v4 */
long BGl_decodezd2packetzd2lengthzd2v4zd2zz__openpgpzd2decodezd2(obj_t BgL_pz00_5)
{
{ /* Llib/pgp_decode.scm 54 */
{ /* Llib/pgp_decode.scm 56 */
 long BgL_lengthzd2octetzd2_99;
{ /* Llib/pgp_decode.scm 56 */
 unsigned char BgL_arg1917z00_798;
{ /* Llib/pgp_decode.scm 56 */
 unsigned char BgL_res1937z00_801;
{ /* Llib/pgp_decode.scm 56 */
 obj_t BgL_tz00_799;
BgL_tz00_799 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_5); 
if(
EOF_OBJECTP(BgL_tz00_799))
{ /* Llib/pgp_decode.scm 56 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 56 */BFALSE; } 
BgL_res1937z00_801 = 
CCHAR(BgL_tz00_799); } 
BgL_arg1917z00_798 = BgL_res1937z00_801; } 
BgL_lengthzd2octetzd2_99 = 
(
(unsigned char)(BgL_arg1917z00_798)); } 
if(
(BgL_lengthzd2octetzd2_99<((long)192)))
{ /* Llib/pgp_decode.scm 61 */
{ /* Llib/pgp_decode.scm 62 */
 int BgL_tmpz00_1927;
BgL_tmpz00_1927 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1927); } 
{ /* Llib/pgp_decode.scm 62 */
 int BgL_tmpz00_1930;
BgL_tmpz00_1930 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1930, BFALSE); } 
return BgL_lengthzd2octetzd2_99;}  else 
{ /* Llib/pgp_decode.scm 61 */
if(
(BgL_lengthzd2octetzd2_99<((long)223)))
{ /* Llib/pgp_decode.scm 64 */
 long BgL_fstz00_104;
BgL_fstz00_104 = 
(
(BgL_lengthzd2octetzd2_99-((long)192)) << 
(int)(((long)8))); 
{ /* Llib/pgp_decode.scm 64 */
 long BgL_secondz00_105;
{ /* Llib/pgp_decode.scm 65 */
 unsigned char BgL_arg1917z00_807;
{ /* Llib/pgp_decode.scm 65 */
 unsigned char BgL_res1938z00_810;
{ /* Llib/pgp_decode.scm 65 */
 obj_t BgL_tz00_808;
BgL_tz00_808 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_5); 
if(
EOF_OBJECTP(BgL_tz00_808))
{ /* Llib/pgp_decode.scm 65 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 65 */BFALSE; } 
BgL_res1938z00_810 = 
CCHAR(BgL_tz00_808); } 
BgL_arg1917z00_807 = BgL_res1938z00_810; } 
BgL_secondz00_105 = 
(
(unsigned char)(BgL_arg1917z00_807)); } 
{ /* Llib/pgp_decode.scm 65 */
 long BgL_lenz00_106;
BgL_lenz00_106 = 
(BgL_fstz00_104+
(BgL_secondz00_105+((long)192))); 
{ /* Llib/pgp_decode.scm 66 */

{ /* Llib/pgp_decode.scm 67 */
 int BgL_tmpz00_1947;
BgL_tmpz00_1947 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1947); } 
{ /* Llib/pgp_decode.scm 67 */
 int BgL_tmpz00_1950;
BgL_tmpz00_1950 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1950, BFALSE); } 
return BgL_lenz00_106;} } } }  else 
{ /* Llib/pgp_decode.scm 63 */
if(
(BgL_lengthzd2octetzd2_99<((long)255)))
{ /* Llib/pgp_decode.scm 69 */
 long BgL_lenz00_112;
BgL_lenz00_112 = 
(((long)1) << 
(int)(
(BgL_lengthzd2octetzd2_99 & ((long)31)))); 
{ /* Llib/pgp_decode.scm 70 */
 int BgL_tmpz00_1958;
BgL_tmpz00_1958 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1958); } 
{ /* Llib/pgp_decode.scm 70 */
 int BgL_tmpz00_1961;
BgL_tmpz00_1961 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1961, BTRUE); } 
return BgL_lenz00_112;}  else 
{ /* Llib/pgp_decode.scm 72 */
 long BgL_lenz00_116;
BgL_lenz00_116 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_5, ((long)4)); 
{ /* Llib/pgp_decode.scm 73 */
 int BgL_tmpz00_1965;
BgL_tmpz00_1965 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1965); } 
{ /* Llib/pgp_decode.scm 73 */
 int BgL_tmpz00_1968;
BgL_tmpz00_1968 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1968, BFALSE); } 
return BgL_lenz00_116;} } } } } 

}



/* content-pipe-port */
obj_t BGl_contentzd2pipezd2portz00zz__openpgpzd2decodezd2(obj_t BgL_pz00_6, obj_t BgL_lenz00_7, obj_t BgL_partialzf3zf3_8)
{
{ /* Llib/pgp_decode.scm 77 */
if(
CBOOL(BgL_lenz00_7))
{ /* Llib/pgp_decode.scm 79 */
if(
CBOOL(BgL_partialzf3zf3_8))
{ /* Llib/pgp_decode.scm 85 */
 obj_t BgL_ppz00_1765; obj_t BgL_partialzf3zf3_1766;
{ /* Llib/pgp_decode.scm 85 */
 obj_t BgL_cellvalz00_1975;
BgL_cellvalz00_1975 = 
BGl_lengthzd2limitedzd2pipezd2portzd2zz__openpgpzd2portzd2utilz00(BgL_pz00_6, 
(long)CINT(BgL_lenz00_7)); 
BgL_ppz00_1765 = 
MAKE_CELL(BgL_cellvalz00_1975); } 
BgL_partialzf3zf3_1766 = 
MAKE_CELL(BTRUE); 
{ /* Llib/pgp_decode.scm 89 */
 obj_t BgL_zc3z04anonymousza31288ze3z87_1758;
BgL_zc3z04anonymousza31288ze3z87_1758 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31288ze3ze5zz__openpgpzd2decodezd2, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31288ze3z87_1758, 
(int)(((long)0)), 
((obj_t)BgL_ppz00_1765)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31288ze3z87_1758, 
(int)(((long)1)), BgL_pz00_6); 
PROCEDURE_SET(BgL_zc3z04anonymousza31288ze3z87_1758, 
(int)(((long)2)), 
((obj_t)BgL_partialzf3zf3_1766)); 
{ /* Llib/pgp_decode.scm 87 */

return 
BGl_openzd2inputzd2procedurez00zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza31288ze3z87_1758, BTRUE);} } }  else 
{ /* Llib/pgp_decode.scm 82 */
return 
BGl_lengthzd2limitedzd2pipezd2portzd2zz__openpgpzd2portzd2utilz00(BgL_pz00_6, 
(long)CINT(BgL_lenz00_7));} }  else 
{ /* Llib/pgp_decode.scm 79 */
return BgL_pz00_6;} } 

}



/* &<@anonymous:1288> */
obj_t BGl_z62zc3z04anonymousza31288ze3ze5zz__openpgpzd2decodezd2(obj_t BgL_envz00_1759)
{
{ /* Llib/pgp_decode.scm 88 */
{ /* Llib/pgp_decode.scm 89 */
 obj_t BgL_ppz00_1760; obj_t BgL_pz00_1761; obj_t BgL_partialzf3zf3_1762;
BgL_ppz00_1760 = 
PROCEDURE_REF(BgL_envz00_1759, 
(int)(((long)0))); 
BgL_pz00_1761 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1759, 
(int)(((long)1)))); 
BgL_partialzf3zf3_1762 = 
PROCEDURE_REF(BgL_envz00_1759, 
(int)(((long)2))); 
{ /* Llib/pgp_decode.scm 89 */
 obj_t BgL_strz00_1808;
BgL_strz00_1808 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)256)), 
CELL_REF(BgL_ppz00_1760)); 
{ /* Llib/pgp_decode.scm 91 */
 bool_t BgL_test2140z00_2001;
if(
CBOOL(
CELL_REF(BgL_partialzf3zf3_1762)))
{ /* Llib/pgp_decode.scm 91 */
BgL_test2140z00_2001 = 
EOF_OBJECTP(BgL_strz00_1808)
; }  else 
{ /* Llib/pgp_decode.scm 91 */
BgL_test2140z00_2001 = ((bool_t)0)
; } 
if(BgL_test2140z00_2001)
{ /* Llib/pgp_decode.scm 92 */
 long BgL_lenz00_1809;
BgL_lenz00_1809 = 
BGl_decodezd2packetzd2lengthzd2v4zd2zz__openpgpzd2decodezd2(BgL_pz00_1761); 
{ /* Llib/pgp_decode.scm 94 */
 obj_t BgL_pzf3zf3_1810;
{ /* Llib/pgp_decode.scm 94 */
 obj_t BgL_tmpz00_1811;
{ /* Llib/pgp_decode.scm 94 */
 int BgL_tmpz00_2006;
BgL_tmpz00_2006 = 
(int)(((long)1)); 
BgL_tmpz00_1811 = 
BGL_MVALUES_VAL(BgL_tmpz00_2006); } 
{ /* Llib/pgp_decode.scm 94 */
 int BgL_tmpz00_2009;
BgL_tmpz00_2009 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2009, BUNSPEC); } 
BgL_pzf3zf3_1810 = BgL_tmpz00_1811; } 
CELL_SET(BgL_partialzf3zf3_1762, BgL_pzf3zf3_1810); 
{ /* Llib/pgp_decode.scm 95 */
 obj_t BgL_auxz00_1812;
BgL_auxz00_1812 = 
BGl_lengthzd2limitedzd2pipezd2portzd2zz__openpgpzd2portzd2utilz00(BgL_pz00_1761, BgL_lenz00_1809); 
CELL_SET(BgL_ppz00_1760, BgL_auxz00_1812); } 
{ /* Llib/pgp_decode.scm 96 */
 obj_t BgL_strz00_1813;
BgL_strz00_1813 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)256)), 
CELL_REF(BgL_ppz00_1760)); 
if(
EOF_OBJECTP(BgL_strz00_1813))
{ /* Llib/pgp_decode.scm 97 */
return BFALSE;}  else 
{ /* Llib/pgp_decode.scm 97 */
return BgL_strz00_1813;} } } }  else 
{ /* Llib/pgp_decode.scm 91 */
if(
EOF_OBJECTP(BgL_strz00_1808))
{ /* Llib/pgp_decode.scm 99 */
return BFALSE;}  else 
{ /* Llib/pgp_decode.scm 99 */
return BgL_strz00_1808;} } } } } } 

}



/* decode-packet */
obj_t BGl_decodezd2packetzd2zz__openpgpzd2decodezd2(obj_t BgL_pz00_9, bool_t BgL_ignorezd2badzd2packetsz00_10)
{
{ /* Llib/pgp_decode.scm 107 */
{ 
 long BgL_packetzd2tagzd2_177; obj_t BgL_pz00_178; long BgL_packetzd2tagzd2_166; obj_t BgL_pz00_167;
{ /* Llib/pgp_decode.scm 126 */
 long BgL_packetzd2tagzd2_135;
{ /* Llib/pgp_decode.scm 126 */
 unsigned char BgL_arg1917z00_826;
{ /* Llib/pgp_decode.scm 126 */
 unsigned char BgL_res1939z00_829;
{ /* Llib/pgp_decode.scm 126 */
 obj_t BgL_tz00_827;
BgL_tz00_827 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_9); 
if(
EOF_OBJECTP(BgL_tz00_827))
{ /* Llib/pgp_decode.scm 126 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 126 */BFALSE; } 
BgL_res1939z00_829 = 
CCHAR(BgL_tz00_827); } 
BgL_arg1917z00_826 = BgL_res1939z00_829; } 
BgL_packetzd2tagzd2_135 = 
(
(unsigned char)(BgL_arg1917z00_826)); } 
if(
(
(((long)128) & BgL_packetzd2tagzd2_135)==((long)0)))
{ /* Llib/pgp_decode.scm 127 */
if(BgL_ignorezd2badzd2packetsz00_10)
{ /* Llib/pgp_decode.scm 128 */
return BFALSE;}  else 
{ /* Llib/pgp_decode.scm 128 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2025z00zz__openpgpzd2decodezd2, BGl_string2026z00zz__openpgpzd2decodezd2, 
BINT(BgL_packetzd2tagzd2_135));} }  else 
{ /* Llib/pgp_decode.scm 135 */
 obj_t BgL_contentzd2tagzd2_138;
if(
(
(((long)64) & BgL_packetzd2tagzd2_135)==((long)0)))
{ /* Llib/pgp_decode.scm 136 */
BgL_packetzd2tagzd2_166 = BgL_packetzd2tagzd2_135; 
BgL_pz00_167 = BgL_pz00_9; 
{ /* Llib/pgp_decode.scm 111 */
 long BgL_contentzd2tagzd2bytez00_169;
BgL_contentzd2tagzd2bytez00_169 = 
(((long)15) & 
(BgL_packetzd2tagzd2_166 >> 
(int)(((long)2)))); 
if(
(BgL_contentzd2tagzd2bytez00_169==((long)0)))
{ /* Llib/pgp_decode.scm 112 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2023z00zz__openpgpzd2decodezd2, BGl_string2024z00zz__openpgpzd2decodezd2, 
BINT(((long)0))); }  else 
{ /* Llib/pgp_decode.scm 112 */BFALSE; } 
{ /* Llib/pgp_decode.scm 114 */
 obj_t BgL_lenz00_171;
BgL_lenz00_171 = 
BGl_decodezd2packetzd2lengthzd2v3zd2zz__openpgpzd2decodezd2(BgL_pz00_167, BgL_packetzd2tagzd2_166); 
{ /* Llib/pgp_decode.scm 115 */
 obj_t BgL_partialzf3zf3_172;
{ /* Llib/pgp_decode.scm 116 */
 obj_t BgL_tmpz00_823;
{ /* Llib/pgp_decode.scm 116 */
 int BgL_tmpz00_2043;
BgL_tmpz00_2043 = 
(int)(((long)1)); 
BgL_tmpz00_823 = 
BGL_MVALUES_VAL(BgL_tmpz00_2043); } 
{ /* Llib/pgp_decode.scm 116 */
 int BgL_tmpz00_2046;
BgL_tmpz00_2046 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2046, BUNSPEC); } 
BgL_partialzf3zf3_172 = BgL_tmpz00_823; } 
{ /* Llib/pgp_decode.scm 116 */
 obj_t BgL_val0_1241z00_173;
BgL_val0_1241z00_173 = 
BGl_bytezd2ze3contentzd2tagze3zz__openpgpzd2enumszd2(
(signed char)(BgL_contentzd2tagzd2bytez00_169)); 
{ /* Llib/pgp_decode.scm 116 */
 int BgL_tmpz00_2051;
BgL_tmpz00_2051 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2051); } 
{ /* Llib/pgp_decode.scm 116 */
 int BgL_tmpz00_2054;
BgL_tmpz00_2054 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2054, BgL_lenz00_171); } 
{ /* Llib/pgp_decode.scm 116 */
 int BgL_tmpz00_2057;
BgL_tmpz00_2057 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2057, BgL_partialzf3zf3_172); } 
BgL_contentzd2tagzd2_138 = BgL_val0_1241z00_173; } } } } }  else 
{ /* Llib/pgp_decode.scm 136 */
BgL_packetzd2tagzd2_177 = BgL_packetzd2tagzd2_135; 
BgL_pz00_178 = BgL_pz00_9; 
{ /* Llib/pgp_decode.scm 120 */
 long BgL_contentzd2tagzd2bytez00_180;
BgL_contentzd2tagzd2bytez00_180 = 
(BgL_packetzd2tagzd2_177 & ((long)63)); 
{ /* Llib/pgp_decode.scm 121 */
 long BgL_lenz00_181;
BgL_lenz00_181 = 
BGl_decodezd2packetzd2lengthzd2v4zd2zz__openpgpzd2decodezd2(BgL_pz00_178); 
{ /* Llib/pgp_decode.scm 122 */
 obj_t BgL_partialzf3zf3_182;
{ /* Llib/pgp_decode.scm 123 */
 obj_t BgL_tmpz00_825;
{ /* Llib/pgp_decode.scm 123 */
 int BgL_tmpz00_2062;
BgL_tmpz00_2062 = 
(int)(((long)1)); 
BgL_tmpz00_825 = 
BGL_MVALUES_VAL(BgL_tmpz00_2062); } 
{ /* Llib/pgp_decode.scm 123 */
 int BgL_tmpz00_2065;
BgL_tmpz00_2065 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2065, BUNSPEC); } 
BgL_partialzf3zf3_182 = BgL_tmpz00_825; } 
{ /* Llib/pgp_decode.scm 123 */
 obj_t BgL_val0_1244z00_183;
BgL_val0_1244z00_183 = 
BGl_bytezd2ze3contentzd2tagze3zz__openpgpzd2enumszd2(
(signed char)(BgL_contentzd2tagzd2bytez00_180)); 
{ /* Llib/pgp_decode.scm 123 */
 int BgL_tmpz00_2070;
BgL_tmpz00_2070 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2070); } 
{ /* Llib/pgp_decode.scm 123 */
 obj_t BgL_auxz00_2075; int BgL_tmpz00_2073;
BgL_auxz00_2075 = 
BINT(BgL_lenz00_181); 
BgL_tmpz00_2073 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2073, BgL_auxz00_2075); } 
{ /* Llib/pgp_decode.scm 123 */
 int BgL_tmpz00_2078;
BgL_tmpz00_2078 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2078, BgL_partialzf3zf3_182); } 
BgL_contentzd2tagzd2_138 = BgL_val0_1244z00_183; } } } } } 
{ /* Llib/pgp_decode.scm 136 */
 obj_t BgL_lenz00_139; obj_t BgL_partialzf3zf3_140;
{ /* Llib/pgp_decode.scm 143 */
 obj_t BgL_tmpz00_837;
{ /* Llib/pgp_decode.scm 143 */
 int BgL_tmpz00_2081;
BgL_tmpz00_2081 = 
(int)(((long)1)); 
BgL_tmpz00_837 = 
BGL_MVALUES_VAL(BgL_tmpz00_2081); } 
{ /* Llib/pgp_decode.scm 143 */
 int BgL_tmpz00_2084;
BgL_tmpz00_2084 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2084, BUNSPEC); } 
BgL_lenz00_139 = BgL_tmpz00_837; } 
{ /* Llib/pgp_decode.scm 143 */
 obj_t BgL_tmpz00_838;
{ /* Llib/pgp_decode.scm 143 */
 int BgL_tmpz00_2087;
BgL_tmpz00_2087 = 
(int)(((long)2)); 
BgL_tmpz00_838 = 
BGL_MVALUES_VAL(BgL_tmpz00_2087); } 
{ /* Llib/pgp_decode.scm 143 */
 int BgL_tmpz00_2090;
BgL_tmpz00_2090 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2090, BUNSPEC); } 
BgL_partialzf3zf3_140 = BgL_tmpz00_838; } 
{ /* Llib/pgp_decode.scm 143 */
 obj_t BgL_cppz00_141;
BgL_cppz00_141 = 
BGl_contentzd2pipezd2portz00zz__openpgpzd2decodezd2(BgL_pz00_9, BgL_lenz00_139, BgL_partialzf3zf3_140); 
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)0))))
{ /* Llib/pgp_decode.scm 144 */
return 
BGl_decodezd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2zz__openpgpzd2decodezd2(BgL_cppz00_141);}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)1))))
{ /* Llib/pgp_decode.scm 144 */
return 
BGl_decodezd2signaturezd2zz__openpgpzd2decodezd2(BgL_cppz00_141);}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)2))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)3))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2onezd2passzd2signaturezd2zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)4))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2secretzd2keyz00zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)5))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2publiczd2keyz00zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)6))))
{ /* Llib/pgp_decode.scm 901 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_pz00_846;
BgL_pz00_846 = 
BGl_decodezd2secretzd2keyz00zz__openpgpzd2decodezd2(BgL_cppz00_141); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_pz00_846)))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)1)),BUNSPEC); 
return 
((obj_t)BgL_pz00_846);}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)7))))
{ /* Llib/pgp_decode.scm 144 */
return 
BGl_decodezd2compressedzd2dataz00zz__openpgpzd2decodezd2(BgL_cppz00_141, BgL_ignorezd2badzd2packetsz00_10);}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)8))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2symmetricallyzd2encryptedzd2datazd2zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)9))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2markerzd2zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)10))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2literalzd2dataz00zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)11))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2trustzd2zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)12))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2userzd2idz00zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)13))))
{ /* Llib/pgp_decode.scm 867 */
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_pz00_855;
BgL_pz00_855 = 
BGl_decodezd2publiczd2keyz00zz__openpgpzd2decodezd2(BgL_cppz00_141); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_pz00_855)))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)1)),BUNSPEC); 
return 
((obj_t)BgL_pz00_855);}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)14))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2userzd2attributez00zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)15))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2mdczd2symzd2encryptedzd2zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
if(
(BgL_contentzd2tagzd2_138==
CNST_TABLE_REF(((long)16))))
{ /* Llib/pgp_decode.scm 144 */
return 
((obj_t)
BGl_decodezd2mdczd2zz__openpgpzd2decodezd2(BgL_cppz00_141));}  else 
{ /* Llib/pgp_decode.scm 144 */
{ /* Llib/pgp_decode.scm 180 */
 obj_t BgL_tmpz00_160;
BgL_tmpz00_160 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_pz00_9); 
{ /* Llib/pgp_decode.scm 181 */
BUNSPEC; } } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2025z00zz__openpgpzd2decodezd2, BGl_string2027z00zz__openpgpzd2decodezd2, BgL_contentzd2tagzd2_138);} } } } } } } } } } } } } } } } } } } } } } } 

}



/* decode-packets */
BGL_EXPORTED_DEF obj_t BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(obj_t BgL_pz00_11, bool_t BgL_ignorezd2badzd2packetsz00_12)
{
{ /* Llib/pgp_decode.scm 190 */
return 
BGl_loopze70ze7zz__openpgpzd2decodezd2(BgL_ignorezd2badzd2packetsz00_12, BgL_pz00_11);} 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__openpgpzd2decodezd2(bool_t BgL_ignorezd2badzd2packetsz00_1789, obj_t BgL_pz00_1788)
{
{ /* Llib/pgp_decode.scm 192 */
{ /* Llib/pgp_decode.scm 193 */
 obj_t BgL_cz00_190;
BgL_cz00_190 = 
BGl_peekzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_1788); 
if(
EOF_OBJECTP(BgL_cz00_190))
{ /* Llib/pgp_decode.scm 194 */
return BNIL;}  else 
{ /* Llib/pgp_decode.scm 196 */
 obj_t BgL_packetz00_192;
BgL_packetz00_192 = 
BGl_decodezd2packetzd2zz__openpgpzd2decodezd2(BgL_pz00_1788, BgL_ignorezd2badzd2packetsz00_1789); 
if(
CBOOL(BgL_packetz00_192))
{ /* Llib/pgp_decode.scm 198 */
return 
MAKE_YOUNG_PAIR(BgL_packetz00_192, 
BGl_loopze70ze7zz__openpgpzd2decodezd2(BgL_ignorezd2badzd2packetsz00_1789, BgL_pz00_1788));}  else 
{ /* Llib/pgp_decode.scm 198 */
return BNIL;} } } } 

}



/* &decode-packets */
obj_t BGl_z62decodezd2packetszb0zz__openpgpzd2decodezd2(obj_t BgL_envz00_1769, obj_t BgL_pz00_1770, obj_t BgL_ignorezd2badzd2packetsz00_1771)
{
{ /* Llib/pgp_decode.scm 190 */
{ /* Llib/pgp_decode.scm 193 */
 obj_t BgL_auxz00_2191;
if(
INPUT_PORTP(BgL_pz00_1770))
{ /* Llib/pgp_decode.scm 193 */
BgL_auxz00_2191 = BgL_pz00_1770
; }  else 
{ 
 obj_t BgL_auxz00_2194;
BgL_auxz00_2194 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2028z00zz__openpgpzd2decodezd2, 
BINT(((long)7913)), BGl_string2029z00zz__openpgpzd2decodezd2, BGl_string2030z00zz__openpgpzd2decodezd2, BgL_pz00_1770); 
FAILURE(BgL_auxz00_2194,BFALSE,BFALSE);} 
return 
BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(BgL_auxz00_2191, 
CBOOL(BgL_ignorezd2badzd2packetsz00_1771));} } 

}



/* decode-s2k */
BGL_EXPORTED_DEF obj_t BGl_decodezd2s2kzd2zz__openpgpzd2decodezd2(obj_t BgL_pz00_13)
{
{ /* Llib/pgp_decode.scm 205 */
{ /* Llib/pgp_decode.scm 207 */
 long BgL_s2kzd2algozd2bytez00_195;
{ /* Llib/pgp_decode.scm 207 */
 unsigned char BgL_arg1917z00_861;
{ /* Llib/pgp_decode.scm 207 */
 unsigned char BgL_res1940z00_864;
{ /* Llib/pgp_decode.scm 207 */
 obj_t BgL_tz00_862;
BgL_tz00_862 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_13); 
if(
EOF_OBJECTP(BgL_tz00_862))
{ /* Llib/pgp_decode.scm 207 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 207 */BFALSE; } 
BgL_res1940z00_864 = 
CCHAR(BgL_tz00_862); } 
BgL_arg1917z00_861 = BgL_res1940z00_864; } 
BgL_s2kzd2algozd2bytez00_195 = 
(
(unsigned char)(BgL_arg1917z00_861)); } 
{ /* Llib/pgp_decode.scm 207 */
 obj_t BgL_s2kzd2algozd2_196;
BgL_s2kzd2algozd2_196 = 
BGl_bytezd2ze3s2kzd2algoze3zz__openpgpzd2enumszd2(
(signed char)(BgL_s2kzd2algozd2bytez00_195)); 
{ /* Llib/pgp_decode.scm 208 */
 long BgL_hashzd2algozd2bytez00_197;
{ /* Llib/pgp_decode.scm 209 */
 unsigned char BgL_arg1917z00_866;
{ /* Llib/pgp_decode.scm 209 */
 unsigned char BgL_res1941z00_869;
{ /* Llib/pgp_decode.scm 209 */
 obj_t BgL_tz00_867;
BgL_tz00_867 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_13); 
if(
EOF_OBJECTP(BgL_tz00_867))
{ /* Llib/pgp_decode.scm 209 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 209 */BFALSE; } 
BgL_res1941z00_869 = 
CCHAR(BgL_tz00_867); } 
BgL_arg1917z00_866 = BgL_res1941z00_869; } 
BgL_hashzd2algozd2bytez00_197 = 
(
(unsigned char)(BgL_arg1917z00_866)); } 
{ /* Llib/pgp_decode.scm 209 */
 obj_t BgL_hashzd2algozd2_198;
BgL_hashzd2algozd2_198 = 
BGl_bytezd2ze3hashzd2algoze3zz__openpgpzd2enumszd2(
(signed char)(BgL_hashzd2algozd2bytez00_197)); 
{ /* Llib/pgp_decode.scm 210 */

if(
(BgL_s2kzd2algozd2_196==
CNST_TABLE_REF(((long)17))))
{ /* Llib/pgp_decode.scm 215 */
return 
BGl_makezd2s2kzd2zz__openpgpzd2s2kzd2(BgL_s2kzd2algozd2_196, BgL_hashzd2algozd2_198, BFALSE, BFALSE);}  else 
{ /* Llib/pgp_decode.scm 215 */
if(
(BgL_s2kzd2algozd2_196==
CNST_TABLE_REF(((long)18))))
{ /* Llib/pgp_decode.scm 219 */
 obj_t BgL_saltz00_202;
{ /* Llib/pgp_decode.scm 219 */
 int BgL_arg1455z00_203;
BgL_arg1455z00_203 = 
BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2(); 
{ /* Llib/pgp_decode.scm 219 */
 obj_t BgL_res1942z00_879;
{ /* Llib/pgp_decode.scm 219 */
 obj_t BgL_strz00_873;
BgL_strz00_873 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1455z00_203), BgL_pz00_13); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_873))==
(long)(BgL_arg1455z00_203)))
{ /* Llib/pgp_decode.scm 219 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 219 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1942z00_879 = BgL_strz00_873; } 
BgL_saltz00_202 = BgL_res1942z00_879; } } 
return 
BGl_makezd2s2kzd2zz__openpgpzd2s2kzd2(BgL_s2kzd2algozd2_196, BgL_hashzd2algozd2_198, BgL_saltz00_202, BFALSE);}  else 
{ /* Llib/pgp_decode.scm 215 */
if(
(BgL_s2kzd2algozd2_196==
CNST_TABLE_REF(((long)19))))
{ /* Llib/pgp_decode.scm 223 */
 obj_t BgL_saltz00_205;
{ /* Llib/pgp_decode.scm 223 */
 int BgL_arg1535z00_208;
BgL_arg1535z00_208 = 
BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2(); 
{ /* Llib/pgp_decode.scm 223 */
 obj_t BgL_res1943z00_887;
{ /* Llib/pgp_decode.scm 223 */
 obj_t BgL_strz00_881;
BgL_strz00_881 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1535z00_208), BgL_pz00_13); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_881))==
(long)(BgL_arg1535z00_208)))
{ /* Llib/pgp_decode.scm 223 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 223 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1943z00_887 = BgL_strz00_881; } 
BgL_saltz00_205 = BgL_res1943z00_887; } } 
{ /* Llib/pgp_decode.scm 223 */
 unsigned char BgL_encodedzd2countzd2_206;
{ /* Llib/pgp_decode.scm 224 */
 unsigned char BgL_res1944z00_890;
{ /* Llib/pgp_decode.scm 224 */
 obj_t BgL_tz00_888;
BgL_tz00_888 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_13); 
if(
EOF_OBJECTP(BgL_tz00_888))
{ /* Llib/pgp_decode.scm 224 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 224 */BFALSE; } 
BgL_res1944z00_890 = 
CCHAR(BgL_tz00_888); } 
BgL_encodedzd2countzd2_206 = BgL_res1944z00_890; } 
{ /* Llib/pgp_decode.scm 224 */
 long BgL_countz00_207;
BgL_countz00_207 = 
BGl_octetzd2ze3iteratedzd2saltedzd2s2kzd2countze3zz__openpgpzd2s2kzd2(BgL_encodedzd2countzd2_206); 
{ /* Llib/pgp_decode.scm 225 */

return 
BGl_makezd2s2kzd2zz__openpgpzd2s2kzd2(BgL_s2kzd2algozd2_196, BgL_hashzd2algozd2_198, BgL_saltz00_205, 
BINT(BgL_countz00_207));} } } }  else 
{ /* Llib/pgp_decode.scm 215 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2032z00zz__openpgpzd2decodezd2, BGl_string2033z00zz__openpgpzd2decodezd2, BgL_s2kzd2algozd2_196);} } } } } } } } } 

}



/* &decode-s2k */
obj_t BGl_z62decodezd2s2kzb0zz__openpgpzd2decodezd2(obj_t BgL_envz00_1772, obj_t BgL_pz00_1773)
{
{ /* Llib/pgp_decode.scm 205 */
{ /* Llib/pgp_decode.scm 207 */
 obj_t BgL_auxz00_2256;
if(
INPUT_PORTP(BgL_pz00_1773))
{ /* Llib/pgp_decode.scm 207 */
BgL_auxz00_2256 = BgL_pz00_1773
; }  else 
{ 
 obj_t BgL_auxz00_2259;
BgL_auxz00_2259 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2028z00zz__openpgpzd2decodezd2, 
BINT(((long)8431)), BGl_string2034z00zz__openpgpzd2decodezd2, BGl_string2030z00zz__openpgpzd2decodezd2, BgL_pz00_1773); 
FAILURE(BgL_auxz00_2259,BFALSE,BFALSE);} 
return 
BGl_decodezd2s2kzd2zz__openpgpzd2decodezd2(BgL_auxz00_2256);} } 

}



/* decode-mpi */
BGL_EXPORTED_DEF obj_t BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(obj_t BgL_pz00_18)
{
{ /* Llib/pgp_decode.scm 240 */
{ /* Llib/pgp_decode.scm 242 */
 long BgL_nbzd2bitszd2_217;
BgL_nbzd2bitszd2_217 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_18, ((long)2)); 
{ /* Llib/pgp_decode.scm 242 */
 long BgL_nbzd2octetszd2_218;
BgL_nbzd2octetszd2_218 = 
(
(BgL_nbzd2bitszd2_217+((long)7))/((long)8)); 
{ /* Llib/pgp_decode.scm 243 */

{ 
 long BgL_iz00_927; obj_t BgL_nz00_928;
BgL_iz00_927 = ((long)0); 
BgL_nz00_928 = 
CNST_TABLE_REF(((long)21)); 
BgL_loopz00_926:
if(
(BgL_iz00_927==BgL_nbzd2octetszd2_218))
{ /* Llib/pgp_decode.scm 248 */
return BgL_nz00_928;}  else 
{ /* Llib/pgp_decode.scm 250 */
 long BgL_arg1541z00_932; obj_t BgL_arg1554z00_933;
BgL_arg1541z00_932 = 
(BgL_iz00_927+((long)1)); 
{ /* Llib/pgp_decode.scm 251 */
 obj_t BgL_arg1555z00_935; obj_t BgL_arg1563z00_936;
BgL_arg1555z00_935 = 
bgl_bignum_mul(BgL_nz00_928, 
CNST_TABLE_REF(((long)20))); 
{ /* Llib/pgp_decode.scm 252 */
 long BgL_arg1564z00_939;
{ /* Llib/pgp_decode.scm 252 */
 unsigned char BgL_arg1917z00_940;
{ /* Llib/pgp_decode.scm 252 */
 unsigned char BgL_res1945z00_941;
{ /* Llib/pgp_decode.scm 252 */
 obj_t BgL_tz00_942;
BgL_tz00_942 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_18); 
if(
EOF_OBJECTP(BgL_tz00_942))
{ /* Llib/pgp_decode.scm 252 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 252 */BFALSE; } 
BgL_res1945z00_941 = 
CCHAR(BgL_tz00_942); } 
BgL_arg1917z00_940 = BgL_res1945z00_941; } 
BgL_arg1564z00_939 = 
(
(unsigned char)(BgL_arg1917z00_940)); } 
BgL_arg1563z00_936 = 
bgl_long_to_bignum(BgL_arg1564z00_939); } 
BgL_arg1554z00_933 = 
bgl_bignum_add(BgL_arg1555z00_935, BgL_arg1563z00_936); } 
{ 
 obj_t BgL_nz00_2282; long BgL_iz00_2281;
BgL_iz00_2281 = BgL_arg1541z00_932; 
BgL_nz00_2282 = BgL_arg1554z00_933; 
BgL_nz00_928 = BgL_nz00_2282; 
BgL_iz00_927 = BgL_iz00_2281; 
goto BgL_loopz00_926;} } } } } } } 

}



/* &decode-mpi */
obj_t BGl_z62decodezd2mpizb0zz__openpgpzd2decodezd2(obj_t BgL_envz00_1774, obj_t BgL_pz00_1775)
{
{ /* Llib/pgp_decode.scm 240 */
{ /* Llib/pgp_decode.scm 242 */
 obj_t BgL_auxz00_2284;
if(
INPUT_PORTP(BgL_pz00_1775))
{ /* Llib/pgp_decode.scm 242 */
BgL_auxz00_2284 = BgL_pz00_1775
; }  else 
{ 
 obj_t BgL_auxz00_2287;
BgL_auxz00_2287 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2028z00zz__openpgpzd2decodezd2, 
BINT(((long)9750)), BGl_string2035z00zz__openpgpzd2decodezd2, BGl_string2030z00zz__openpgpzd2decodezd2, BgL_pz00_1775); 
FAILURE(BgL_auxz00_2287,BFALSE,BFALSE);} 
return 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_auxz00_2284);} } 

}



/* decode-scalar */
long BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(obj_t BgL_pz00_19, long BgL_lenz00_20)
{
{ /* Llib/pgp_decode.scm 254 */
{ 
 long BgL_iz00_960; long BgL_nz00_961;
BgL_iz00_960 = ((long)0); 
BgL_nz00_961 = ((long)0); 
BgL_loopz00_959:
if(
(BgL_iz00_960==BgL_lenz00_20))
{ /* Llib/pgp_decode.scm 260 */
return BgL_nz00_961;}  else 
{ /* Llib/pgp_decode.scm 263 */
 long BgL_oz00_965;
{ /* Llib/pgp_decode.scm 263 */
 unsigned char BgL_arg1917z00_966;
{ /* Llib/pgp_decode.scm 263 */
 unsigned char BgL_res1946z00_967;
{ /* Llib/pgp_decode.scm 263 */
 obj_t BgL_tz00_968;
BgL_tz00_968 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_19); 
if(
EOF_OBJECTP(BgL_tz00_968))
{ /* Llib/pgp_decode.scm 263 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 263 */BFALSE; } 
BgL_res1946z00_967 = 
CCHAR(BgL_tz00_968); } 
BgL_arg1917z00_966 = BgL_res1946z00_967; } 
BgL_oz00_965 = 
(
(unsigned char)(BgL_arg1917z00_966)); } 
{ 
 long BgL_nz00_2303; long BgL_iz00_2301;
BgL_iz00_2301 = 
(BgL_iz00_960+((long)1)); 
BgL_nz00_2303 = 
(
(BgL_nz00_961*((long)256))+BgL_oz00_965); 
BgL_nz00_961 = BgL_nz00_2303; 
BgL_iz00_960 = BgL_iz00_2301; 
goto BgL_loopz00_959;} } } } 

}



/* decode-public-key-encrypted-session-key */
obj_t BGl_decodezd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2zz__openpgpzd2decodezd2(obj_t BgL_cppz00_21)
{
{ /* Llib/pgp_decode.scm 270 */
{ /* Llib/pgp_decode.scm 272 */
 long BgL_versionz00_241;
{ /* Llib/pgp_decode.scm 272 */
 unsigned char BgL_arg1917z00_978;
{ /* Llib/pgp_decode.scm 272 */
 unsigned char BgL_res1947z00_981;
{ /* Llib/pgp_decode.scm 272 */
 obj_t BgL_tz00_979;
BgL_tz00_979 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_cppz00_21); 
if(
EOF_OBJECTP(BgL_tz00_979))
{ /* Llib/pgp_decode.scm 272 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 272 */BFALSE; } 
BgL_res1947z00_981 = 
CCHAR(BgL_tz00_979); } 
BgL_arg1917z00_978 = BgL_res1947z00_981; } 
BgL_versionz00_241 = 
(
(unsigned char)(BgL_arg1917z00_978)); } 
{ /* Llib/pgp_decode.scm 272 */
 obj_t BgL_idz00_242;
{ /* Llib/pgp_decode.scm 273 */
 obj_t BgL_res1948z00_988;
{ /* Llib/pgp_decode.scm 273 */
 obj_t BgL_strz00_983;
BgL_strz00_983 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)8)), BgL_cppz00_21); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_983))==((long)8)))
{ /* Llib/pgp_decode.scm 273 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 273 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1948z00_988 = BgL_strz00_983; } 
BgL_idz00_242 = BgL_res1948z00_988; } 
{ /* Llib/pgp_decode.scm 273 */
 long BgL_algozd2bytezd2_243;
{ /* Llib/pgp_decode.scm 274 */
 unsigned char BgL_arg1917z00_989;
{ /* Llib/pgp_decode.scm 274 */
 unsigned char BgL_res1949z00_992;
{ /* Llib/pgp_decode.scm 274 */
 obj_t BgL_tz00_990;
BgL_tz00_990 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_cppz00_21); 
if(
EOF_OBJECTP(BgL_tz00_990))
{ /* Llib/pgp_decode.scm 274 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 274 */BFALSE; } 
BgL_res1949z00_992 = 
CCHAR(BgL_tz00_990); } 
BgL_arg1917z00_989 = BgL_res1949z00_992; } 
BgL_algozd2bytezd2_243 = 
(
(unsigned char)(BgL_arg1917z00_989)); } 
{ /* Llib/pgp_decode.scm 274 */
 obj_t BgL_algoz00_244;
BgL_algoz00_244 = 
BGl_bytezd2ze3publiczd2keyzd2algoz31zz__openpgpzd2enumszd2(
(signed char)(BgL_algozd2bytezd2_243)); 
{ /* Llib/pgp_decode.scm 275 */
 obj_t BgL_secretzd2datazd2_245;
BgL_secretzd2datazd2_245 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_cppz00_21); 
{ /* Llib/pgp_decode.scm 276 */
 obj_t BgL_kpz00_246;
{ /* Llib/pgp_decode.scm 277 */
 long BgL_endz00_271;
BgL_endz00_271 = 
STRING_LENGTH(BgL_secretzd2datazd2_245); 
{ /* Llib/pgp_decode.scm 277 */

BgL_kpz00_246 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_secretzd2datazd2_245, 
BINT(((long)0)), 
BINT(BgL_endz00_271)); } } 
{ /* Llib/pgp_decode.scm 277 */

{ /* Llib/pgp_decode.scm 278 */
 bool_t BgL_test2186z00_2334;
if(
(BgL_versionz00_241==((long)2)))
{ /* Llib/pgp_decode.scm 278 */
BgL_test2186z00_2334 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_decode.scm 278 */
BgL_test2186z00_2334 = 
(BgL_versionz00_241==((long)3))
; } 
if(BgL_test2186z00_2334)
{ /* Llib/pgp_decode.scm 278 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 278 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2036z00zz__openpgpzd2decodezd2, BGl_string2037z00zz__openpgpzd2decodezd2, 
BINT(BgL_versionz00_241)); } } 
{ /* Llib/pgp_decode.scm 287 */
 bool_t BgL_test2188z00_2340;
{ /* Llib/pgp_decode.scm 287 */
 bool_t BgL__ortest_1105z00_268;
BgL__ortest_1105z00_268 = 
(BgL_algoz00_244==
CNST_TABLE_REF(((long)22))); 
if(BgL__ortest_1105z00_268)
{ /* Llib/pgp_decode.scm 287 */
BgL_test2188z00_2340 = BgL__ortest_1105z00_268
; }  else 
{ /* Llib/pgp_decode.scm 287 */
BgL_test2188z00_2340 = 
(BgL_algoz00_244==
CNST_TABLE_REF(((long)23)))
; } } 
if(BgL_test2188z00_2340)
{ /* Llib/pgp_decode.scm 289 */
 obj_t BgL_mza2za2ez00_253;
BgL_mza2za2ez00_253 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_kpz00_246); 
{ /* Llib/pgp_decode.scm 289 */

{ /* Llib/pgp_decode.scm 291 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1107z00_254;
{ /* Llib/pgp_decode.scm 292 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1106z00_255;
BgL_new1106z00_255 = 
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 292 */
 long BgL_arg1609z00_256;
BgL_arg1609z00_256 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_255), BgL_arg1609z00_256); } 
{ /* Llib/pgp_decode.scm 292 */
 BgL_objectz00_bglt BgL_tmpz00_2351;
BgL_tmpz00_2351 = 
((BgL_objectz00_bglt)BgL_new1106z00_255); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2351, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1106z00_255); 
BgL_new1107z00_254 = BgL_new1106z00_255; } 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1107z00_254))->BgL_versionz00)=((long)BgL_versionz00_241),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1107z00_254))->BgL_idz00)=((obj_t)BgL_idz00_242),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1107z00_254))->BgL_algoz00)=((obj_t)BgL_algoz00_244),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1107z00_254))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_mza2za2ez00_253),BUNSPEC); 
return 
((obj_t)BgL_new1107z00_254);} } }  else 
{ /* Llib/pgp_decode.scm 287 */
 bool_t BgL_test2190z00_2360;
{ /* Llib/pgp_decode.scm 287 */
 bool_t BgL__ortest_1108z00_267;
BgL__ortest_1108z00_267 = 
(BgL_algoz00_244==
CNST_TABLE_REF(((long)24))); 
if(BgL__ortest_1108z00_267)
{ /* Llib/pgp_decode.scm 287 */
BgL_test2190z00_2360 = BgL__ortest_1108z00_267
; }  else 
{ /* Llib/pgp_decode.scm 287 */
BgL_test2190z00_2360 = 
(BgL_algoz00_244==
CNST_TABLE_REF(((long)25)))
; } } 
if(BgL_test2190z00_2360)
{ /* Llib/pgp_decode.scm 297 */
 obj_t BgL_gza2za2kz00_259;
BgL_gza2za2kz00_259 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_kpz00_246); 
{ /* Llib/pgp_decode.scm 298 */
 obj_t BgL_mza2yza2za2kza2_261;
BgL_mza2yza2za2kza2_261 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_kpz00_246); 
{ /* Llib/pgp_decode.scm 299 */

{ /* Llib/pgp_decode.scm 302 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1110z00_262;
{ /* Llib/pgp_decode.scm 303 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1109z00_263;
BgL_new1109z00_263 = 
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 303 */
 long BgL_arg1611z00_264;
BgL_arg1611z00_264 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_263), BgL_arg1611z00_264); } 
{ /* Llib/pgp_decode.scm 303 */
 BgL_objectz00_bglt BgL_tmpz00_2372;
BgL_tmpz00_2372 = 
((BgL_objectz00_bglt)BgL_new1109z00_263); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2372, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1109z00_263); 
BgL_new1110z00_262 = BgL_new1109z00_263; } 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1110z00_262))->BgL_versionz00)=((long)BgL_versionz00_241),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1110z00_262))->BgL_idz00)=((obj_t)BgL_idz00_242),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1110z00_262))->BgL_algoz00)=((obj_t)BgL_algoz00_244),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1110z00_262))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)
MAKE_YOUNG_PAIR(BgL_gza2za2kz00_259, BgL_mza2yza2za2kza2_261)),BUNSPEC); 
return 
((obj_t)BgL_new1110z00_262);} } } }  else 
{ /* Llib/pgp_decode.scm 310 */
 obj_t BgL_arg1612z00_265;
BgL_arg1612z00_265 = 
MAKE_YOUNG_PAIR(
BINT(BgL_algozd2bytezd2_243), 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_algoz00_244)); 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2038z00zz__openpgpzd2decodezd2, BGl_string2039z00zz__openpgpzd2decodezd2, BgL_arg1612z00_265);} } } } } } } } } } } 

}



/* decode-signature */
obj_t BGl_decodezd2signaturezd2zz__openpgpzd2decodezd2(obj_t BgL_pz00_22)
{
{ /* Llib/pgp_decode.scm 315 */
{ /* Llib/pgp_decode.scm 317 */
 long BgL_versionz00_272;
{ /* Llib/pgp_decode.scm 317 */
 unsigned char BgL_arg1917z00_1005;
{ /* Llib/pgp_decode.scm 317 */
 unsigned char BgL_res1950z00_1008;
{ /* Llib/pgp_decode.scm 317 */
 obj_t BgL_tz00_1006;
BgL_tz00_1006 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_22); 
if(
EOF_OBJECTP(BgL_tz00_1006))
{ /* Llib/pgp_decode.scm 317 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 317 */BFALSE; } 
BgL_res1950z00_1008 = 
CCHAR(BgL_tz00_1006); } 
BgL_arg1917z00_1005 = BgL_res1950z00_1008; } 
BgL_versionz00_272 = 
(
(unsigned char)(BgL_arg1917z00_1005)); } 
switch( BgL_versionz00_272) { case ((long)3) : 

return 
((obj_t)
BGl_decodezd2signaturezd2v3z00zz__openpgpzd2decodezd2(BgL_pz00_22));break;case ((long)4) : 

return 
((obj_t)
BGl_decodezd2signaturezd2v4z00zz__openpgpzd2decodezd2(BgL_pz00_22, BgL_versionz00_272));break;
default: 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2040z00zz__openpgpzd2decodezd2, BGl_string2041z00zz__openpgpzd2decodezd2, 
BINT(BgL_versionz00_272));} } } 

}



/* decode-signature-v3 */
BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BGl_decodezd2signaturezd2v3z00zz__openpgpzd2decodezd2(obj_t BgL_pz00_23)
{
{ /* Llib/pgp_decode.scm 329 */
{ /* Llib/pgp_decode.scm 331 */
 long BgL_hashedzd2lenzd2_276;
{ /* Llib/pgp_decode.scm 331 */
 unsigned char BgL_arg1917z00_1010;
{ /* Llib/pgp_decode.scm 331 */
 unsigned char BgL_res1951z00_1013;
{ /* Llib/pgp_decode.scm 331 */
 obj_t BgL_tz00_1011;
BgL_tz00_1011 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_23); 
if(
EOF_OBJECTP(BgL_tz00_1011))
{ /* Llib/pgp_decode.scm 331 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 331 */BFALSE; } 
BgL_res1951z00_1013 = 
CCHAR(BgL_tz00_1011); } 
BgL_arg1917z00_1010 = BgL_res1951z00_1013; } 
BgL_hashedzd2lenzd2_276 = 
(
(unsigned char)(BgL_arg1917z00_1010)); } 
{ /* Llib/pgp_decode.scm 331 */
 obj_t BgL_hashedzd2strzd2_277;
{ /* Llib/pgp_decode.scm 332 */
 obj_t BgL_res1952z00_1021;
{ /* Llib/pgp_decode.scm 332 */
 obj_t BgL_strz00_1015;
BgL_strz00_1015 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_hashedzd2lenzd2_276), BgL_pz00_23); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1015))==BgL_hashedzd2lenzd2_276))
{ /* Llib/pgp_decode.scm 332 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 332 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1952z00_1021 = BgL_strz00_1015; } 
BgL_hashedzd2strzd2_277 = BgL_res1952z00_1021; } 
{ /* Llib/pgp_decode.scm 332 */
 obj_t BgL_hashedzd2strzd2pz00_278;
{ /* Llib/pgp_decode.scm 333 */
 long BgL_endz00_306;
BgL_endz00_306 = 
STRING_LENGTH(BgL_hashedzd2strzd2_277); 
{ /* Llib/pgp_decode.scm 333 */

BgL_hashedzd2strzd2pz00_278 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_hashedzd2strzd2_277, 
BINT(((long)0)), 
BINT(BgL_endz00_306)); } } 
{ /* Llib/pgp_decode.scm 333 */
 long BgL_signaturezd2typezd2bytez00_279;
{ /* Llib/pgp_decode.scm 334 */
 unsigned char BgL_arg1917z00_1023;
{ /* Llib/pgp_decode.scm 334 */
 unsigned char BgL_res1953z00_1026;
{ /* Llib/pgp_decode.scm 334 */
 obj_t BgL_tz00_1024;
BgL_tz00_1024 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_hashedzd2strzd2pz00_278); 
if(
EOF_OBJECTP(BgL_tz00_1024))
{ /* Llib/pgp_decode.scm 334 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 334 */BFALSE; } 
BgL_res1953z00_1026 = 
CCHAR(BgL_tz00_1024); } 
BgL_arg1917z00_1023 = BgL_res1953z00_1026; } 
BgL_signaturezd2typezd2bytez00_279 = 
(
(unsigned char)(BgL_arg1917z00_1023)); } 
{ /* Llib/pgp_decode.scm 334 */
 obj_t BgL_signaturezd2typezd2_280;
BgL_signaturezd2typezd2_280 = 
BGl_bytezd2ze3signaturezd2typeze3zz__openpgpzd2enumszd2(
(signed char)(BgL_signaturezd2typezd2bytez00_279)); 
{ /* Llib/pgp_decode.scm 335 */
 obj_t BgL_creationzd2timezd2_281;
{ /* Llib/pgp_decode.scm 336 */

{ /* Llib/pgp_decode.scm 235 */
 long BgL_nz00_1029;
BgL_nz00_1029 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_hashedzd2strzd2pz00_278, ((long)4)); 
{ /* Llib/pgp_decode.scm 238 */
 long BgL_elongz00_1034;
BgL_elongz00_1034 = 
(long)(BgL_nz00_1029); 
BgL_creationzd2timezd2_281 = 
bgl_seconds_to_date(BgL_elongz00_1034); } } } 
{ /* Llib/pgp_decode.scm 336 */
 obj_t BgL_keyzd2idzd2_282;
{ /* Llib/pgp_decode.scm 337 */
 obj_t BgL_res1954z00_1040;
{ /* Llib/pgp_decode.scm 337 */
 obj_t BgL_strz00_1035;
BgL_strz00_1035 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)8)), BgL_pz00_23); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1035))==((long)8)))
{ /* Llib/pgp_decode.scm 337 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 337 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1954z00_1040 = BgL_strz00_1035; } 
BgL_keyzd2idzd2_282 = BgL_res1954z00_1040; } 
{ /* Llib/pgp_decode.scm 337 */
 long BgL_publiczd2keyzd2algozd2bytezd2_283;
{ /* Llib/pgp_decode.scm 338 */
 unsigned char BgL_arg1917z00_1041;
{ /* Llib/pgp_decode.scm 338 */
 unsigned char BgL_res1955z00_1044;
{ /* Llib/pgp_decode.scm 338 */
 obj_t BgL_tz00_1042;
BgL_tz00_1042 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_23); 
if(
EOF_OBJECTP(BgL_tz00_1042))
{ /* Llib/pgp_decode.scm 338 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 338 */BFALSE; } 
BgL_res1955z00_1044 = 
CCHAR(BgL_tz00_1042); } 
BgL_arg1917z00_1041 = BgL_res1955z00_1044; } 
BgL_publiczd2keyzd2algozd2bytezd2_283 = 
(
(unsigned char)(BgL_arg1917z00_1041)); } 
{ /* Llib/pgp_decode.scm 338 */
 obj_t BgL_publiczd2keyzd2algoz00_284;
BgL_publiczd2keyzd2algoz00_284 = 
BGl_bytezd2ze3publiczd2keyzd2algoz31zz__openpgpzd2enumszd2(
(signed char)(BgL_publiczd2keyzd2algozd2bytezd2_283)); 
{ /* Llib/pgp_decode.scm 339 */
 long BgL_hashzd2algozd2bytez00_285;
{ /* Llib/pgp_decode.scm 340 */
 unsigned char BgL_arg1917z00_1046;
{ /* Llib/pgp_decode.scm 340 */
 unsigned char BgL_res1956z00_1049;
{ /* Llib/pgp_decode.scm 340 */
 obj_t BgL_tz00_1047;
BgL_tz00_1047 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_23); 
if(
EOF_OBJECTP(BgL_tz00_1047))
{ /* Llib/pgp_decode.scm 340 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 340 */BFALSE; } 
BgL_res1956z00_1049 = 
CCHAR(BgL_tz00_1047); } 
BgL_arg1917z00_1046 = BgL_res1956z00_1049; } 
BgL_hashzd2algozd2bytez00_285 = 
(
(unsigned char)(BgL_arg1917z00_1046)); } 
{ /* Llib/pgp_decode.scm 340 */
 obj_t BgL_hashzd2algozd2_286;
BgL_hashzd2algozd2_286 = 
BGl_bytezd2ze3hashzd2algoze3zz__openpgpzd2enumszd2(
(signed char)(BgL_hashzd2algozd2bytez00_285)); 
{ /* Llib/pgp_decode.scm 341 */
 obj_t BgL_leftzd2hashzd2_287;
{ /* Llib/pgp_decode.scm 342 */
 obj_t BgL_res1957z00_1056;
{ /* Llib/pgp_decode.scm 342 */
 obj_t BgL_strz00_1051;
BgL_strz00_1051 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)2)), BgL_pz00_23); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1051))==((long)2)))
{ /* Llib/pgp_decode.scm 342 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 342 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1957z00_1056 = BgL_strz00_1051; } 
BgL_leftzd2hashzd2_287 = BgL_res1957z00_1056; } 
{ /* Llib/pgp_decode.scm 342 */

if(
(BgL_hashedzd2lenzd2_276==((long)5)))
{ /* Llib/pgp_decode.scm 343 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 343 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2decodezd2, BGl_string2043z00zz__openpgpzd2decodezd2, 
BINT(BgL_hashedzd2lenzd2_276)); } 
{ /* Llib/pgp_decode.scm 357 */
 obj_t BgL_keyzd2datazd2_289;
{ /* Llib/pgp_decode.scm 358 */
 bool_t BgL_test2201z00_2466;
{ /* Llib/pgp_decode.scm 358 */
 bool_t BgL__ortest_1114z00_301;
BgL__ortest_1114z00_301 = 
(BgL_publiczd2keyzd2algoz00_284==
CNST_TABLE_REF(((long)22))); 
if(BgL__ortest_1114z00_301)
{ /* Llib/pgp_decode.scm 358 */
BgL_test2201z00_2466 = BgL__ortest_1114z00_301
; }  else 
{ /* Llib/pgp_decode.scm 358 */
BgL_test2201z00_2466 = 
(BgL_publiczd2keyzd2algoz00_284==
CNST_TABLE_REF(((long)26)))
; } } 
if(BgL_test2201z00_2466)
{ /* Llib/pgp_decode.scm 358 */
BgL_keyzd2datazd2_289 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_23); }  else 
{ /* Llib/pgp_decode.scm 358 */
if(
(BgL_publiczd2keyzd2algoz00_284==
CNST_TABLE_REF(((long)27))))
{ /* Llib/pgp_decode.scm 364 */
 obj_t BgL_rz00_298;
BgL_rz00_298 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_23); 
{ /* Llib/pgp_decode.scm 364 */
 obj_t BgL_sz00_299;
BgL_sz00_299 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_23); 
{ /* Llib/pgp_decode.scm 365 */

BgL_keyzd2datazd2_289 = 
MAKE_YOUNG_PAIR(BgL_rz00_298, BgL_sz00_299); } } }  else 
{ /* Llib/pgp_decode.scm 358 */
BgL_keyzd2datazd2_289 = 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2040z00zz__openpgpzd2decodezd2, BGl_string2044z00zz__openpgpzd2decodezd2, 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_publiczd2keyzd2algoz00_284)); } } } 
{ /* Llib/pgp_decode.scm 373 */
 BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BgL_new1116z00_290;
{ /* Llib/pgp_decode.scm 374 */
 BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BgL_new1115z00_291;
BgL_new1115z00_291 = 
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2v3zd2packetzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 374 */
 long BgL_arg1642z00_292;
BgL_arg1642z00_292 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_291), BgL_arg1642z00_292); } 
{ /* Llib/pgp_decode.scm 374 */
 BgL_objectz00_bglt BgL_tmpz00_2485;
BgL_tmpz00_2485 = 
((BgL_objectz00_bglt)BgL_new1115z00_291); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2485, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1115z00_291); 
BgL_new1116z00_290 = BgL_new1115z00_291; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1116z00_290)))->BgL_versionz00)=((long)((long)3)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1116z00_290)))->BgL_signaturezd2typezd2)=((obj_t)BgL_signaturezd2typezd2_280),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1116z00_290)))->BgL_issuerz00)=((obj_t)BgL_keyzd2idzd2_282),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1116z00_290)))->BgL_publiczd2keyzd2algoz00)=((obj_t)BgL_publiczd2keyzd2algoz00_284),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1116z00_290)))->BgL_hashzd2algozd2)=((obj_t)BgL_hashzd2algozd2_286),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1116z00_290)))->BgL_creationzd2datezd2)=((obj_t)BgL_creationzd2timezd2_281),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1116z00_290)))->BgL_signaturez00)=((obj_t)BgL_keyzd2datazd2_289),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1116z00_290)))->BgL_signedzd2packetzd2prefixz00)=((obj_t)BgL_hashedzd2strzd2_277),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1116z00_290)))->BgL_hashzd2trailerzd2)=((obj_t)BGl_string2045z00zz__openpgpzd2decodezd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1116z00_290)))->BgL_leftzd2hashzd2)=((obj_t)BgL_leftzd2hashzd2_287),BUNSPEC); 
return BgL_new1116z00_290;} } } } } } } } } } } } } } } } 

}



/* decode-sub-packet */
BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BGl_decodezd2subzd2packetz00zz__openpgpzd2decodezd2(obj_t BgL_pz00_24)
{
{ /* Llib/pgp_decode.scm 390 */
{ /* Llib/pgp_decode.scm 401 */
 long BgL_lenz00_308;
BgL_lenz00_308 = 
BGl_decodezd2packetzd2lengthzd2v4zd2zz__openpgpzd2decodezd2(BgL_pz00_24); 
{ /* Llib/pgp_decode.scm 405 */
 obj_t BgL_partialzf3zf3_309;
{ /* Llib/pgp_decode.scm 405 */
 obj_t BgL_tmpz00_1070;
{ /* Llib/pgp_decode.scm 405 */
 int BgL_tmpz00_2510;
BgL_tmpz00_2510 = 
(int)(((long)1)); 
BgL_tmpz00_1070 = 
BGL_MVALUES_VAL(BgL_tmpz00_2510); } 
{ /* Llib/pgp_decode.scm 405 */
 int BgL_tmpz00_2513;
BgL_tmpz00_2513 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2513, BUNSPEC); } 
BgL_partialzf3zf3_309 = BgL_tmpz00_1070; } 
if(
CBOOL(BgL_partialzf3zf3_309))
{ /* Llib/pgp_decode.scm 403 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2046z00zz__openpgpzd2decodezd2, BGl_string2047z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 403 */BFALSE; } 
{ /* Llib/pgp_decode.scm 407 */
 long BgL_typezd2wzf2zd2criticalzf2_310;
{ /* Llib/pgp_decode.scm 407 */
 unsigned char BgL_arg1917z00_1071;
{ /* Llib/pgp_decode.scm 407 */
 unsigned char BgL_res1958z00_1074;
{ /* Llib/pgp_decode.scm 407 */
 obj_t BgL_tz00_1072;
BgL_tz00_1072 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_24); 
if(
EOF_OBJECTP(BgL_tz00_1072))
{ /* Llib/pgp_decode.scm 407 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 407 */BFALSE; } 
BgL_res1958z00_1074 = 
CCHAR(BgL_tz00_1072); } 
BgL_arg1917z00_1071 = BgL_res1958z00_1074; } 
BgL_typezd2wzf2zd2criticalzf2_310 = 
(
(unsigned char)(BgL_arg1917z00_1071)); } 
{ /* Llib/pgp_decode.scm 407 */
 long BgL_typezd2bytezd2_311;
BgL_typezd2bytezd2_311 = 
(((long)127) & BgL_typezd2wzf2zd2criticalzf2_310); 
{ /* Llib/pgp_decode.scm 408 */
 obj_t BgL_typez00_312;
BgL_typez00_312 = 
BGl_bytezd2ze3subpacketzd2typeze3zz__openpgpzd2enumszd2(
(signed char)(BgL_typezd2bytezd2_311)); 
{ /* Llib/pgp_decode.scm 409 */
 bool_t BgL_criticalzf3zf3_313;
if(
(
(((long)128) & BgL_typezd2wzf2zd2criticalzf2_310)==((long)0)))
{ /* Llib/pgp_decode.scm 410 */
BgL_criticalzf3zf3_313 = ((bool_t)0); }  else 
{ /* Llib/pgp_decode.scm 410 */
BgL_criticalzf3zf3_313 = ((bool_t)1); } 
{ /* Llib/pgp_decode.scm 410 */

if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)28))))
{ /* Llib/pgp_decode.scm 420 */
 obj_t BgL_tz00_316;
{ /* Llib/pgp_decode.scm 420 */

{ /* Llib/pgp_decode.scm 235 */
 long BgL_nz00_1082;
BgL_nz00_1082 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_24, ((long)4)); 
{ /* Llib/pgp_decode.scm 238 */
 long BgL_elongz00_1087;
BgL_elongz00_1087 = 
(long)(BgL_nz00_1082); 
BgL_tz00_316 = 
bgl_seconds_to_date(BgL_elongz00_1087); } } } 
{ /* Llib/pgp_decode.scm 422 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1119z00_317;
{ /* Llib/pgp_decode.scm 423 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1118z00_318;
BgL_new1118z00_318 = 
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl) ))); 
{ /* Llib/pgp_decode.scm 423 */
 long BgL_arg1653z00_319;
BgL_arg1653z00_319 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_318), BgL_arg1653z00_319); } 
{ /* Llib/pgp_decode.scm 423 */
 BgL_objectz00_bglt BgL_tmpz00_2542;
BgL_tmpz00_2542 = 
((BgL_objectz00_bglt)BgL_new1118z00_318); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2542, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1118z00_318); 
BgL_new1119z00_317 = BgL_new1118z00_318; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1119z00_317)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(BgL_new1119z00_317))->BgL_creationzd2datezd2)=((obj_t)BgL_tz00_316),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1119z00_317);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)29))))
{ /* Llib/pgp_decode.scm 426 */
 obj_t BgL_tz00_323;
{ /* Llib/pgp_decode.scm 426 */

{ /* Llib/pgp_decode.scm 235 */
 long BgL_nz00_1094;
BgL_nz00_1094 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_24, ((long)4)); 
{ /* Llib/pgp_decode.scm 238 */
 long BgL_elongz00_1099;
BgL_elongz00_1099 = 
(long)(BgL_nz00_1094); 
BgL_tz00_323 = 
bgl_seconds_to_date(BgL_elongz00_1099); } } } 
{ /* Llib/pgp_decode.scm 428 */
 BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BgL_new1121z00_324;
{ /* Llib/pgp_decode.scm 429 */
 BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BgL_new1120z00_325;
BgL_new1120z00_325 = 
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bgl) ))); 
{ /* Llib/pgp_decode.scm 429 */
 long BgL_arg1657z00_326;
BgL_arg1657z00_326 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_325), BgL_arg1657z00_326); } 
{ /* Llib/pgp_decode.scm 429 */
 BgL_objectz00_bglt BgL_tmpz00_2560;
BgL_tmpz00_2560 = 
((BgL_objectz00_bglt)BgL_new1120z00_325); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2560, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1120z00_325); 
BgL_new1121z00_324 = BgL_new1120z00_325; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1121z00_324)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(BgL_new1121z00_324))->BgL_expirationzd2datezd2)=((obj_t)BgL_tz00_323),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1121z00_324);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)30))))
{ /* Llib/pgp_decode.scm 432 */
 bool_t BgL_exportablezf3zf3_330;
{ /* Llib/pgp_decode.scm 432 */
 long BgL_arg1672z00_334;
{ /* Llib/pgp_decode.scm 432 */
 unsigned char BgL_arg1917z00_1105;
{ /* Llib/pgp_decode.scm 432 */
 unsigned char BgL_res1959z00_1108;
{ /* Llib/pgp_decode.scm 432 */
 obj_t BgL_tz00_1106;
BgL_tz00_1106 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_24); 
if(
EOF_OBJECTP(BgL_tz00_1106))
{ /* Llib/pgp_decode.scm 432 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 432 */BFALSE; } 
BgL_res1959z00_1108 = 
CCHAR(BgL_tz00_1106); } 
BgL_arg1917z00_1105 = BgL_res1959z00_1108; } 
BgL_arg1672z00_334 = 
(
(unsigned char)(BgL_arg1917z00_1105)); } 
BgL_exportablezf3zf3_330 = 
(((long)1)==BgL_arg1672z00_334); } 
{ /* Llib/pgp_decode.scm 434 */
 BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BgL_new1123z00_331;
{ /* Llib/pgp_decode.scm 435 */
 BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BgL_new1122z00_332;
BgL_new1122z00_332 = 
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2exportablezd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 435 */
 long BgL_arg1664z00_333;
BgL_arg1664z00_333 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_332), BgL_arg1664z00_333); } 
{ /* Llib/pgp_decode.scm 435 */
 BgL_objectz00_bglt BgL_tmpz00_2583;
BgL_tmpz00_2583 = 
((BgL_objectz00_bglt)BgL_new1122z00_332); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2583, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1122z00_332); 
BgL_new1123z00_331 = BgL_new1122z00_332; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1123z00_331)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(BgL_new1123z00_331))->BgL_exportablezf3zf3)=((bool_t)BgL_exportablezf3zf3_330),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1123z00_331);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)11))))
{ /* Llib/pgp_decode.scm 438 */
 long BgL_levelz00_336;
{ /* Llib/pgp_decode.scm 438 */
 unsigned char BgL_arg1917z00_1116;
{ /* Llib/pgp_decode.scm 438 */
 unsigned char BgL_res1960z00_1119;
{ /* Llib/pgp_decode.scm 438 */
 obj_t BgL_tz00_1117;
BgL_tz00_1117 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_24); 
if(
EOF_OBJECTP(BgL_tz00_1117))
{ /* Llib/pgp_decode.scm 438 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 438 */BFALSE; } 
BgL_res1960z00_1119 = 
CCHAR(BgL_tz00_1117); } 
BgL_arg1917z00_1116 = BgL_res1960z00_1119; } 
BgL_levelz00_336 = 
(
(unsigned char)(BgL_arg1917z00_1116)); } 
{ /* Llib/pgp_decode.scm 438 */
 long BgL_trustz00_337;
{ /* Llib/pgp_decode.scm 439 */
 unsigned char BgL_arg1917z00_1121;
{ /* Llib/pgp_decode.scm 439 */
 unsigned char BgL_res1961z00_1124;
{ /* Llib/pgp_decode.scm 439 */
 obj_t BgL_tz00_1122;
BgL_tz00_1122 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_24); 
if(
EOF_OBJECTP(BgL_tz00_1122))
{ /* Llib/pgp_decode.scm 439 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 439 */BFALSE; } 
BgL_res1961z00_1124 = 
CCHAR(BgL_tz00_1122); } 
BgL_arg1917z00_1121 = BgL_res1961z00_1124; } 
BgL_trustz00_337 = 
(
(unsigned char)(BgL_arg1917z00_1121)); } 
{ /* Llib/pgp_decode.scm 439 */

{ /* Llib/pgp_decode.scm 441 */
 BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BgL_new1125z00_338;
{ /* Llib/pgp_decode.scm 442 */
 BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BgL_new1124z00_339;
BgL_new1124z00_339 = 
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2trustzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 442 */
 long BgL_arg1677z00_340;
BgL_arg1677z00_340 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_339), BgL_arg1677z00_340); } 
{ /* Llib/pgp_decode.scm 442 */
 BgL_objectz00_bglt BgL_tmpz00_2612;
BgL_tmpz00_2612 = 
((BgL_objectz00_bglt)BgL_new1124z00_339); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2612, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1124z00_339); 
BgL_new1125z00_338 = BgL_new1124z00_339; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1125z00_338)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(BgL_new1125z00_338))->BgL_levelz00)=((int)
(int)(BgL_levelz00_336)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(BgL_new1125z00_338))->BgL_amountz00)=((int)
(int)(BgL_trustz00_337)),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1125z00_338);} } } }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)31))))
{ /* Llib/pgp_decode.scm 447 */
 bool_t BgL_revocablezf3zf3_342;
{ /* Llib/pgp_decode.scm 447 */
 long BgL_arg1685z00_346;
{ /* Llib/pgp_decode.scm 447 */
 unsigned char BgL_arg1917z00_1131;
{ /* Llib/pgp_decode.scm 447 */
 unsigned char BgL_res1962z00_1134;
{ /* Llib/pgp_decode.scm 447 */
 obj_t BgL_tz00_1132;
BgL_tz00_1132 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_24); 
if(
EOF_OBJECTP(BgL_tz00_1132))
{ /* Llib/pgp_decode.scm 447 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 447 */BFALSE; } 
BgL_res1962z00_1134 = 
CCHAR(BgL_tz00_1132); } 
BgL_arg1917z00_1131 = BgL_res1962z00_1134; } 
BgL_arg1685z00_346 = 
(
(unsigned char)(BgL_arg1917z00_1131)); } 
BgL_revocablezf3zf3_342 = 
(((long)1)==BgL_arg1685z00_346); } 
{ /* Llib/pgp_decode.scm 448 */
 BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BgL_new1127z00_343;
{ /* Llib/pgp_decode.scm 449 */
 BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BgL_new1126z00_344;
BgL_new1126z00_344 = 
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocablezd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 449 */
 long BgL_arg1684z00_345;
BgL_arg1684z00_345 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_344), BgL_arg1684z00_345); } 
{ /* Llib/pgp_decode.scm 449 */
 BgL_objectz00_bglt BgL_tmpz00_2638;
BgL_tmpz00_2638 = 
((BgL_objectz00_bglt)BgL_new1126z00_344); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2638, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1126z00_344); 
BgL_new1127z00_343 = BgL_new1126z00_344; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1127z00_343)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(BgL_new1127z00_343))->BgL_revocablezf3zf3)=((bool_t)BgL_revocablezf3zf3_342),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1127z00_343);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)32))))
{ /* Llib/pgp_decode.scm 452 */
 long BgL_tz00_348;
BgL_tz00_348 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_24, ((long)4)); 
{ /* Llib/pgp_decode.scm 454 */
 BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BgL_new1129z00_349;
{ /* Llib/pgp_decode.scm 455 */
 BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BgL_new1128z00_350;
BgL_new1128z00_350 = 
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 455 */
 long BgL_arg1688z00_351;
BgL_arg1688z00_351 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_350), BgL_arg1688z00_351); } 
{ /* Llib/pgp_decode.scm 455 */
 BgL_objectz00_bglt BgL_tmpz00_2654;
BgL_tmpz00_2654 = 
((BgL_objectz00_bglt)BgL_new1128z00_350); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2654, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1128z00_350); 
BgL_new1129z00_349 = BgL_new1128z00_350; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1129z00_349)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(BgL_new1129z00_349))->BgL_expirationzd2timezd2)=((long)BgL_tz00_348),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1129z00_349);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)33))))
{ /* Llib/pgp_decode.scm 458 */
 obj_t BgL_tmpz00_353;
{ /* Llib/pgp_decode.scm 458 */
 long BgL_arg1692z00_357;
BgL_arg1692z00_357 = 
(BgL_lenz00_308-((long)1)); 
{ /* Llib/pgp_decode.scm 458 */
 obj_t BgL_res1963z00_1154;
{ /* Llib/pgp_decode.scm 458 */
 obj_t BgL_strz00_1148;
BgL_strz00_1148 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1692z00_357), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1148))==BgL_arg1692z00_357))
{ /* Llib/pgp_decode.scm 458 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 458 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1963z00_1154 = BgL_strz00_1148; } 
BgL_tmpz00_353 = BgL_res1963z00_1154; } } 
{ /* Llib/pgp_decode.scm 460 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1131z00_354;
{ /* Llib/pgp_decode.scm 461 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1130z00_355;
BgL_new1130z00_355 = 
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 461 */
 long BgL_arg1691z00_356;
BgL_arg1691z00_356 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1130z00_355), BgL_arg1691z00_356); } 
{ /* Llib/pgp_decode.scm 461 */
 BgL_objectz00_bglt BgL_tmpz00_2677;
BgL_tmpz00_2677 = 
((BgL_objectz00_bglt)BgL_new1130z00_355); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2677, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1130z00_355); 
BgL_new1131z00_354 = BgL_new1130z00_355; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1131z00_354)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(BgL_new1131z00_354))->BgL_typez00)=((obj_t)BgL_typez00_312),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(BgL_new1131z00_354))->BgL_dataz00)=((obj_t)BgL_tmpz00_353),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1131z00_354);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)34))))
{ /* Llib/pgp_decode.scm 465 */
 obj_t BgL_prefsz00_359;
{ /* Llib/pgp_decode.scm 466 */
 obj_t BgL_arg1704z00_363;
{ /* Llib/pgp_decode.scm 466 */
 long BgL_arg1706z00_364;
BgL_arg1706z00_364 = 
(BgL_lenz00_308-((long)1)); 
{ /* Llib/pgp_decode.scm 466 */
 obj_t BgL_res1964z00_1167;
{ /* Llib/pgp_decode.scm 466 */
 obj_t BgL_strz00_1161;
BgL_strz00_1161 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1706z00_364), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1161))==BgL_arg1706z00_364))
{ /* Llib/pgp_decode.scm 466 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 466 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1964z00_1167 = BgL_strz00_1161; } 
BgL_arg1704z00_363 = BgL_res1964z00_1167; } } 
BgL_prefsz00_359 = 
BGl_preferenceszd2ze3listze70zd6zz__openpgpzd2decodezd2(BgL_arg1704z00_363, BGl_bytezd2ze3symmetriczd2keyzd2algozd2envze3zz__openpgpzd2enumszd2); } 
{ /* Llib/pgp_decode.scm 470 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BgL_new1133z00_360;
{ /* Llib/pgp_decode.scm 471 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BgL_new1132z00_361;
BgL_new1132z00_361 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 471 */
 long BgL_arg1701z00_362;
BgL_arg1701z00_362 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_361), BgL_arg1701z00_362); } 
{ /* Llib/pgp_decode.scm 471 */
 BgL_objectz00_bglt BgL_tmpz00_2702;
BgL_tmpz00_2702 = 
((BgL_objectz00_bglt)BgL_new1132z00_361); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2702, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1132z00_361); 
BgL_new1133z00_360 = BgL_new1132z00_361; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1133z00_360)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(BgL_new1133z00_360))->BgL_algosz00)=((obj_t)BgL_prefsz00_359),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1133z00_360);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)35))))
{ /* Llib/pgp_decode.scm 474 */
 long BgL_classz00_366;
{ /* Llib/pgp_decode.scm 474 */
 unsigned char BgL_arg1917z00_1173;
{ /* Llib/pgp_decode.scm 474 */
 unsigned char BgL_res1965z00_1176;
{ /* Llib/pgp_decode.scm 474 */
 obj_t BgL_tz00_1174;
BgL_tz00_1174 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_24); 
if(
EOF_OBJECTP(BgL_tz00_1174))
{ /* Llib/pgp_decode.scm 474 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 474 */BFALSE; } 
BgL_res1965z00_1176 = 
CCHAR(BgL_tz00_1174); } 
BgL_arg1917z00_1173 = BgL_res1965z00_1176; } 
BgL_classz00_366 = 
(
(unsigned char)(BgL_arg1917z00_1173)); } 
{ /* Llib/pgp_decode.scm 474 */
 bool_t BgL_sensitivezf3zf3_367;
if(
(
(((long)64) & BgL_classz00_366)==((long)0)))
{ /* Llib/pgp_decode.scm 475 */
BgL_sensitivezf3zf3_367 = ((bool_t)0); }  else 
{ /* Llib/pgp_decode.scm 475 */
BgL_sensitivezf3zf3_367 = ((bool_t)1); } 
{ /* Llib/pgp_decode.scm 475 */
 long BgL_algidz00_368;
{ /* Llib/pgp_decode.scm 476 */
 unsigned char BgL_arg1917z00_1181;
{ /* Llib/pgp_decode.scm 476 */
 unsigned char BgL_res1966z00_1184;
{ /* Llib/pgp_decode.scm 476 */
 obj_t BgL_tz00_1182;
BgL_tz00_1182 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_24); 
if(
EOF_OBJECTP(BgL_tz00_1182))
{ /* Llib/pgp_decode.scm 476 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 476 */BFALSE; } 
BgL_res1966z00_1184 = 
CCHAR(BgL_tz00_1182); } 
BgL_arg1917z00_1181 = BgL_res1966z00_1184; } 
BgL_algidz00_368 = 
(
(unsigned char)(BgL_arg1917z00_1181)); } 
{ /* Llib/pgp_decode.scm 476 */
 obj_t BgL_fingerprintz00_369;
{ /* Llib/pgp_decode.scm 477 */
 obj_t BgL_res1967z00_1191;
{ /* Llib/pgp_decode.scm 477 */
 obj_t BgL_strz00_1186;
BgL_strz00_1186 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)20)), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1186))==((long)20)))
{ /* Llib/pgp_decode.scm 477 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 477 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1967z00_1191 = BgL_strz00_1186; } 
BgL_fingerprintz00_369 = BgL_res1967z00_1191; } 
{ /* Llib/pgp_decode.scm 477 */

if(
(
(((long)128) & BgL_classz00_366)==((long)0)))
{ /* Llib/pgp_decode.scm 486 */
 obj_t BgL_arg1712z00_372;
{ /* Llib/pgp_decode.scm 486 */
 obj_t BgL_list1713z00_373;
BgL_list1713z00_373 = 
MAKE_YOUNG_PAIR(
BINT(BgL_classz00_366), BNIL); 
BgL_arg1712z00_372 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2048z00zz__openpgpzd2decodezd2, BgL_list1713z00_373); } 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2049z00zz__openpgpzd2decodezd2, BGl_string2050z00zz__openpgpzd2decodezd2, BgL_arg1712z00_372); }  else 
{ /* Llib/pgp_decode.scm 482 */BFALSE; } 
{ /* Llib/pgp_decode.scm 487 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BgL_new1135z00_375;
{ /* Llib/pgp_decode.scm 488 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BgL_new1134z00_376;
BgL_new1134z00_376 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocationzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 488 */
 long BgL_arg1726z00_377;
BgL_arg1726z00_377 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1134z00_376), BgL_arg1726z00_377); } 
{ /* Llib/pgp_decode.scm 488 */
 BgL_objectz00_bglt BgL_tmpz00_2748;
BgL_tmpz00_2748 = 
((BgL_objectz00_bglt)BgL_new1134z00_376); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2748, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1134z00_376); 
BgL_new1135z00_375 = BgL_new1134z00_376; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1135z00_375)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1135z00_375))->BgL_claza7za7z00)=((char)
(signed char)(BgL_classz00_366)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1135z00_375))->BgL_sensitivezf3zf3)=((bool_t)BgL_sensitivezf3zf3_367),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1135z00_375))->BgL_algidz00)=((char)
(signed char)(BgL_algidz00_368)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1135z00_375))->BgL_fingerprintz00)=((obj_t)BgL_fingerprintz00_369),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1135z00_375);} } } } } }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)36))))
{ /* Llib/pgp_decode.scm 494 */
 obj_t BgL_idz00_382;
{ /* Llib/pgp_decode.scm 494 */
 obj_t BgL_res1968z00_1205;
{ /* Llib/pgp_decode.scm 494 */
 obj_t BgL_strz00_1200;
BgL_strz00_1200 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)8)), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1200))==((long)8)))
{ /* Llib/pgp_decode.scm 494 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 494 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1968z00_1205 = BgL_strz00_1200; } 
BgL_idz00_382 = BgL_res1968z00_1205; } 
{ /* Llib/pgp_decode.scm 496 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1137z00_383;
{ /* Llib/pgp_decode.scm 497 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1136z00_384;
BgL_new1136z00_384 = 
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 497 */
 long BgL_arg1732z00_385;
BgL_arg1732z00_385 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1136z00_384), BgL_arg1732z00_385); } 
{ /* Llib/pgp_decode.scm 497 */
 BgL_objectz00_bglt BgL_tmpz00_2775;
BgL_tmpz00_2775 = 
((BgL_objectz00_bglt)BgL_new1136z00_384); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2775, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1136z00_384); 
BgL_new1137z00_383 = BgL_new1136z00_384; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1137z00_383)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(BgL_new1137z00_383))->BgL_keyzd2idzd2)=((obj_t)BgL_idz00_382),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1137z00_383);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)37))))
{ /* Llib/pgp_decode.scm 500 */
 obj_t BgL_flagsz00_387;
{ /* Llib/pgp_decode.scm 500 */
 obj_t BgL_res1969z00_1216;
{ /* Llib/pgp_decode.scm 500 */
 obj_t BgL_strz00_1211;
BgL_strz00_1211 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)4)), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1211))==((long)4)))
{ /* Llib/pgp_decode.scm 500 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 500 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1969z00_1216 = BgL_strz00_1211; } 
BgL_flagsz00_387 = BgL_res1969z00_1216; } 
{ /* Llib/pgp_decode.scm 500 */
 long BgL_namezd2lenzd2_388;
BgL_namezd2lenzd2_388 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_24, ((long)2)); 
{ /* Llib/pgp_decode.scm 501 */
 long BgL_valuezd2lenzd2_389;
BgL_valuezd2lenzd2_389 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_24, ((long)2)); 
{ /* Llib/pgp_decode.scm 502 */
 obj_t BgL_namezd2datazd2_390;
{ /* Llib/pgp_decode.scm 503 */
 obj_t BgL_res1970z00_1223;
{ /* Llib/pgp_decode.scm 503 */
 obj_t BgL_strz00_1217;
BgL_strz00_1217 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_namezd2lenzd2_388), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1217))==BgL_namezd2lenzd2_388))
{ /* Llib/pgp_decode.scm 503 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 503 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1970z00_1223 = BgL_strz00_1217; } 
BgL_namezd2datazd2_390 = BgL_res1970z00_1223; } 
{ /* Llib/pgp_decode.scm 503 */
 obj_t BgL_valuezd2datazd2_391;
{ /* Llib/pgp_decode.scm 504 */
 obj_t BgL_res1971z00_1230;
{ /* Llib/pgp_decode.scm 504 */
 obj_t BgL_strz00_1224;
BgL_strz00_1224 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_valuezd2lenzd2_389), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1224))==BgL_valuezd2lenzd2_389))
{ /* Llib/pgp_decode.scm 504 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 504 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1971z00_1230 = BgL_strz00_1224; } 
BgL_valuezd2datazd2_391 = BgL_res1971z00_1230; } 
{ /* Llib/pgp_decode.scm 504 */

{ /* Llib/pgp_decode.scm 508 */
 BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BgL_new1139z00_392;
{ /* Llib/pgp_decode.scm 509 */
 BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BgL_new1138z00_393;
BgL_new1138z00_393 = 
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2notationzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 509 */
 long BgL_arg1739z00_394;
BgL_arg1739z00_394 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1138z00_393), BgL_arg1739z00_394); } 
{ /* Llib/pgp_decode.scm 509 */
 BgL_objectz00_bglt BgL_tmpz00_2813;
BgL_tmpz00_2813 = 
((BgL_objectz00_bglt)BgL_new1138z00_393); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2813, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1138z00_393); 
BgL_new1139z00_392 = BgL_new1138z00_393; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1139z00_392)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(BgL_new1139z00_392))->BgL_flagsz00)=((obj_t)BgL_flagsz00_387),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(BgL_new1139z00_392))->BgL_namez00)=((obj_t)BgL_namezd2datazd2_390),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(BgL_new1139z00_392))->BgL_valuez00)=((obj_t)BgL_valuezd2datazd2_391),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1139z00_392);} } } } } } }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)38))))
{ /* Llib/pgp_decode.scm 514 */
 obj_t BgL_prefsz00_396;
{ /* Llib/pgp_decode.scm 515 */
 obj_t BgL_arg1742z00_400;
{ /* Llib/pgp_decode.scm 515 */
 long BgL_arg1744z00_401;
BgL_arg1744z00_401 = 
(BgL_lenz00_308-((long)1)); 
{ /* Llib/pgp_decode.scm 515 */
 obj_t BgL_res1972z00_1243;
{ /* Llib/pgp_decode.scm 515 */
 obj_t BgL_strz00_1237;
BgL_strz00_1237 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1744z00_401), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1237))==BgL_arg1744z00_401))
{ /* Llib/pgp_decode.scm 515 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 515 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1972z00_1243 = BgL_strz00_1237; } 
BgL_arg1742z00_400 = BgL_res1972z00_1243; } } 
BgL_prefsz00_396 = 
BGl_preferenceszd2ze3listze70zd6zz__openpgpzd2decodezd2(BgL_arg1742z00_400, BGl_bytezd2ze3hashzd2algozd2envz31zz__openpgpzd2enumszd2); } 
{ /* Llib/pgp_decode.scm 519 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BgL_new1141z00_397;
{ /* Llib/pgp_decode.scm 520 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BgL_new1140z00_398;
BgL_new1140z00_398 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 520 */
 long BgL_arg1741z00_399;
BgL_arg1741z00_399 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1140z00_398), BgL_arg1741z00_399); } 
{ /* Llib/pgp_decode.scm 520 */
 BgL_objectz00_bglt BgL_tmpz00_2839;
BgL_tmpz00_2839 = 
((BgL_objectz00_bglt)BgL_new1140z00_398); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2839, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1140z00_398); 
BgL_new1141z00_397 = BgL_new1140z00_398; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1141z00_397)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(BgL_new1141z00_397))->BgL_algosz00)=((obj_t)BgL_prefsz00_396),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1141z00_397);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)39))))
{ /* Llib/pgp_decode.scm 523 */
 obj_t BgL_prefsz00_403;
{ /* Llib/pgp_decode.scm 524 */
 obj_t BgL_arg1748z00_407;
{ /* Llib/pgp_decode.scm 524 */
 long BgL_arg1749z00_408;
BgL_arg1749z00_408 = 
(BgL_lenz00_308-((long)1)); 
{ /* Llib/pgp_decode.scm 524 */
 obj_t BgL_res1973z00_1256;
{ /* Llib/pgp_decode.scm 524 */
 obj_t BgL_strz00_1250;
BgL_strz00_1250 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1749z00_408), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1250))==BgL_arg1749z00_408))
{ /* Llib/pgp_decode.scm 524 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 524 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1973z00_1256 = BgL_strz00_1250; } 
BgL_arg1748z00_407 = BgL_res1973z00_1256; } } 
BgL_prefsz00_403 = 
BGl_preferenceszd2ze3listze70zd6zz__openpgpzd2decodezd2(BgL_arg1748z00_407, BGl_bytezd2ze3compressionzd2algozd2envz31zz__openpgpzd2enumszd2); } 
{ /* Llib/pgp_decode.scm 533 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BgL_new1143z00_404;
{ /* Llib/pgp_decode.scm 534 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BgL_new1142z00_405;
BgL_new1142z00_405 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 534 */
 long BgL_arg1747z00_406;
BgL_arg1747z00_406 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_405), BgL_arg1747z00_406); } 
{ /* Llib/pgp_decode.scm 534 */
 BgL_objectz00_bglt BgL_tmpz00_2863;
BgL_tmpz00_2863 = 
((BgL_objectz00_bglt)BgL_new1142z00_405); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2863, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1142z00_405); 
BgL_new1143z00_404 = BgL_new1142z00_405; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1143z00_404)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(BgL_new1143z00_404))->BgL_algosz00)=((obj_t)BgL_prefsz00_403),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1143z00_404);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)40))))
{ /* Llib/pgp_decode.scm 538 */
 obj_t BgL_keyzd2serverzd2_410;
{ /* Llib/pgp_decode.scm 538 */
 long BgL_arg1756z00_414;
BgL_arg1756z00_414 = 
(BgL_lenz00_308-((long)1)); 
{ /* Llib/pgp_decode.scm 538 */
 obj_t BgL_res1974z00_1269;
{ /* Llib/pgp_decode.scm 538 */
 obj_t BgL_strz00_1263;
BgL_strz00_1263 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1756z00_414), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1263))==BgL_arg1756z00_414))
{ /* Llib/pgp_decode.scm 538 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 538 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1974z00_1269 = BgL_strz00_1263; } 
BgL_keyzd2serverzd2_410 = BgL_res1974z00_1269; } } 
{ /* Llib/pgp_decode.scm 540 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BgL_new1145z00_411;
{ /* Llib/pgp_decode.scm 541 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BgL_new1144z00_412;
BgL_new1144z00_412 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 541 */
 long BgL_arg1755z00_413;
BgL_arg1755z00_413 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_412), BgL_arg1755z00_413); } 
{ /* Llib/pgp_decode.scm 541 */
 BgL_objectz00_bglt BgL_tmpz00_2886;
BgL_tmpz00_2886 = 
((BgL_objectz00_bglt)BgL_new1144z00_412); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2886, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1144z00_412); 
BgL_new1145z00_411 = BgL_new1144z00_412; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1145z00_411)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(BgL_new1145z00_411))->BgL_serverz00)=((obj_t)BgL_keyzd2serverzd2_410),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1145z00_411);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)41))))
{ /* Llib/pgp_decode.scm 544 */
 bool_t BgL_primzd2idzf3z21_416;
{ /* Llib/pgp_decode.scm 544 */
 bool_t BgL_test2240z00_2897;
{ /* Llib/pgp_decode.scm 544 */
 long BgL_arg1770z00_422;
{ /* Llib/pgp_decode.scm 544 */
 unsigned char BgL_arg1917z00_1275;
{ /* Llib/pgp_decode.scm 544 */
 unsigned char BgL_res1975z00_1278;
{ /* Llib/pgp_decode.scm 544 */
 obj_t BgL_tz00_1276;
BgL_tz00_1276 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_24); 
if(
EOF_OBJECTP(BgL_tz00_1276))
{ /* Llib/pgp_decode.scm 544 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 544 */BFALSE; } 
BgL_res1975z00_1278 = 
CCHAR(BgL_tz00_1276); } 
BgL_arg1917z00_1275 = BgL_res1975z00_1278; } 
BgL_arg1770z00_422 = 
(
(unsigned char)(BgL_arg1917z00_1275)); } 
BgL_test2240z00_2897 = 
(((long)0)==BgL_arg1770z00_422); } 
if(BgL_test2240z00_2897)
{ /* Llib/pgp_decode.scm 544 */
BgL_primzd2idzf3z21_416 = ((bool_t)0); }  else 
{ /* Llib/pgp_decode.scm 544 */
BgL_primzd2idzf3z21_416 = ((bool_t)1); } } 
{ /* Llib/pgp_decode.scm 546 */
 BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BgL_new1147z00_417;
{ /* Llib/pgp_decode.scm 547 */
 BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BgL_new1146z00_418;
BgL_new1146z00_418 = 
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 547 */
 long BgL_arg1763z00_419;
BgL_arg1763z00_419 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1146z00_418), BgL_arg1763z00_419); } 
{ /* Llib/pgp_decode.scm 547 */
 BgL_objectz00_bglt BgL_tmpz00_2910;
BgL_tmpz00_2910 = 
((BgL_objectz00_bglt)BgL_new1146z00_418); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2910, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1146z00_418); 
BgL_new1147z00_417 = BgL_new1146z00_418; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1147z00_417)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(BgL_new1147z00_417))->BgL_primaryzf3zf3)=((bool_t)BgL_primzd2idzf3z21_416),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1147z00_417);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)42))))
{ /* Llib/pgp_decode.scm 550 */
 obj_t BgL_policyz00_424;
{ /* Llib/pgp_decode.scm 550 */
 long BgL_arg1789z00_428;
BgL_arg1789z00_428 = 
(BgL_lenz00_308-((long)1)); 
{ /* Llib/pgp_decode.scm 550 */
 obj_t BgL_res1976z00_1293;
{ /* Llib/pgp_decode.scm 550 */
 obj_t BgL_strz00_1287;
BgL_strz00_1287 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1789z00_428), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1287))==BgL_arg1789z00_428))
{ /* Llib/pgp_decode.scm 550 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 550 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1976z00_1293 = BgL_strz00_1287; } 
BgL_policyz00_424 = BgL_res1976z00_1293; } } 
{ /* Llib/pgp_decode.scm 552 */
 BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BgL_new1149z00_425;
{ /* Llib/pgp_decode.scm 553 */
 BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BgL_new1148z00_426;
BgL_new1148z00_426 = 
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2policyzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 553 */
 long BgL_arg1777z00_427;
BgL_arg1777z00_427 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_426), BgL_arg1777z00_427); } 
{ /* Llib/pgp_decode.scm 553 */
 BgL_objectz00_bglt BgL_tmpz00_2933;
BgL_tmpz00_2933 = 
((BgL_objectz00_bglt)BgL_new1148z00_426); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2933, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1148z00_426); 
BgL_new1149z00_425 = BgL_new1148z00_426; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1149z00_425)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(BgL_new1149z00_425))->BgL_urlz00)=((obj_t)BgL_policyz00_424),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1149z00_425);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)43))))
{ /* Llib/pgp_decode.scm 557 */
 obj_t BgL_idz00_430;
{ /* Llib/pgp_decode.scm 557 */
 long BgL_arg1798z00_434;
BgL_arg1798z00_434 = 
(BgL_lenz00_308-((long)1)); 
{ /* Llib/pgp_decode.scm 557 */
 obj_t BgL_res1977z00_1306;
{ /* Llib/pgp_decode.scm 557 */
 obj_t BgL_strz00_1300;
BgL_strz00_1300 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1798z00_434), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1300))==BgL_arg1798z00_434))
{ /* Llib/pgp_decode.scm 557 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 557 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1977z00_1306 = BgL_strz00_1300; } 
BgL_idz00_430 = BgL_res1977z00_1306; } } 
{ /* Llib/pgp_decode.scm 559 */
 BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BgL_new1151z00_431;
{ /* Llib/pgp_decode.scm 560 */
 BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BgL_new1150z00_432;
BgL_new1150z00_432 = 
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 560 */
 long BgL_arg1796z00_433;
BgL_arg1796z00_433 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1150z00_432), BgL_arg1796z00_433); } 
{ /* Llib/pgp_decode.scm 560 */
 BgL_objectz00_bglt BgL_tmpz00_2956;
BgL_tmpz00_2956 = 
((BgL_objectz00_bglt)BgL_new1150z00_432); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2956, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1150z00_432); 
BgL_new1151z00_431 = BgL_new1150z00_432; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1151z00_431)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(BgL_new1151z00_431))->BgL_idz00)=((obj_t)BgL_idz00_430),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1151z00_431);} }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)44))))
{ /* Llib/pgp_decode.scm 563 */
 long BgL_codezd2bytezd2_436;
{ /* Llib/pgp_decode.scm 563 */
 unsigned char BgL_arg1917z00_1312;
{ /* Llib/pgp_decode.scm 563 */
 unsigned char BgL_res1978z00_1315;
{ /* Llib/pgp_decode.scm 563 */
 obj_t BgL_tz00_1313;
BgL_tz00_1313 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_24); 
if(
EOF_OBJECTP(BgL_tz00_1313))
{ /* Llib/pgp_decode.scm 563 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 563 */BFALSE; } 
BgL_res1978z00_1315 = 
CCHAR(BgL_tz00_1313); } 
BgL_arg1917z00_1312 = BgL_res1978z00_1315; } 
BgL_codezd2bytezd2_436 = 
(
(unsigned char)(BgL_arg1917z00_1312)); } 
{ /* Llib/pgp_decode.scm 563 */
 obj_t BgL_codez00_437;
BgL_codez00_437 = 
BGl_bytezd2ze3revocationzd2codeze3zz__openpgpzd2enumszd2(
(signed char)(BgL_codezd2bytezd2_436)); 
{ /* Llib/pgp_decode.scm 564 */
 obj_t BgL_reasonz00_438;
{ /* Llib/pgp_decode.scm 565 */
 long BgL_arg1809z00_442;
BgL_arg1809z00_442 = 
(BgL_lenz00_308-((long)2)); 
{ /* Llib/pgp_decode.scm 565 */
 obj_t BgL_res1979z00_1324;
{ /* Llib/pgp_decode.scm 565 */
 obj_t BgL_strz00_1318;
BgL_strz00_1318 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1809z00_442), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1318))==BgL_arg1809z00_442))
{ /* Llib/pgp_decode.scm 565 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 565 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1979z00_1324 = BgL_strz00_1318; } 
BgL_reasonz00_438 = BgL_res1979z00_1324; } } 
{ /* Llib/pgp_decode.scm 565 */

{ /* Llib/pgp_decode.scm 569 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BgL_new1153z00_439;
{ /* Llib/pgp_decode.scm 570 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BgL_new1152z00_440;
BgL_new1152z00_440 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 570 */
 long BgL_arg1808z00_441;
BgL_arg1808z00_441 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_440), BgL_arg1808z00_441); } 
{ /* Llib/pgp_decode.scm 570 */
 BgL_objectz00_bglt BgL_tmpz00_2988;
BgL_tmpz00_2988 = 
((BgL_objectz00_bglt)BgL_new1152z00_440); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2988, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1152z00_440); 
BgL_new1153z00_439 = BgL_new1152z00_440; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1153z00_439)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(BgL_new1153z00_439))->BgL_codez00)=((obj_t)BgL_codez00_437),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(BgL_new1153z00_439))->BgL_reasonz00)=((obj_t)BgL_reasonz00_438),BUNSPEC); 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1153z00_439);} } } } }  else 
{ /* Llib/pgp_decode.scm 418 */
if(
(BgL_typez00_312==
CNST_TABLE_REF(((long)45))))
{ /* Llib/pgp_decode.scm 575 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1155z00_444;
{ /* Llib/pgp_decode.scm 576 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1154z00_446;
BgL_new1154z00_446 = 
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 576 */
 long BgL_arg1813z00_447;
BgL_arg1813z00_447 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_446), BgL_arg1813z00_447); } 
{ /* Llib/pgp_decode.scm 576 */
 BgL_objectz00_bglt BgL_tmpz00_3004;
BgL_tmpz00_3004 = 
((BgL_objectz00_bglt)BgL_new1154z00_446); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3004, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1154z00_446); 
BgL_new1155z00_444 = BgL_new1154z00_446; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1155z00_444)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(BgL_new1155z00_444))->BgL_typez00)=((obj_t)BgL_typez00_312),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3011;
{ /* Llib/pgp_decode.scm 578 */
 long BgL_arg1812z00_445;
BgL_arg1812z00_445 = 
(BgL_lenz00_308-((long)1)); 
{ /* Llib/pgp_decode.scm 578 */
 obj_t BgL_res1980z00_1341;
{ /* Llib/pgp_decode.scm 578 */
 obj_t BgL_strz00_1335;
BgL_strz00_1335 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1812z00_445), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1335))==BgL_arg1812z00_445))
{ /* Llib/pgp_decode.scm 578 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 578 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1980z00_1341 = BgL_strz00_1335; } 
BgL_auxz00_3011 = BgL_res1980z00_1341; } } 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(BgL_new1155z00_444))->BgL_dataz00)=((obj_t)BgL_auxz00_3011),BUNSPEC); } 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1155z00_444);}  else 
{ /* Llib/pgp_decode.scm 581 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1157z00_448;
{ /* Llib/pgp_decode.scm 582 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1156z00_450;
BgL_new1156z00_450 = 
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 582 */
 long BgL_arg1821z00_451;
BgL_arg1821z00_451 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_450), BgL_arg1821z00_451); } 
{ /* Llib/pgp_decode.scm 582 */
 BgL_objectz00_bglt BgL_tmpz00_3026;
BgL_tmpz00_3026 = 
((BgL_objectz00_bglt)BgL_new1156z00_450); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3026, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1156z00_450); 
BgL_new1157z00_448 = BgL_new1156z00_450; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1157z00_448)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf3zf3_313),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(BgL_new1157z00_448))->BgL_typez00)=((obj_t)BgL_typez00_312),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3033;
{ /* Llib/pgp_decode.scm 584 */
 long BgL_arg1820z00_449;
BgL_arg1820z00_449 = 
(BgL_lenz00_308-((long)1)); 
{ /* Llib/pgp_decode.scm 584 */
 obj_t BgL_res1981z00_1353;
{ /* Llib/pgp_decode.scm 584 */
 obj_t BgL_strz00_1347;
BgL_strz00_1347 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1820z00_449), BgL_pz00_24); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1347))==BgL_arg1820z00_449))
{ /* Llib/pgp_decode.scm 584 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 584 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1981z00_1353 = BgL_strz00_1347; } 
BgL_auxz00_3033 = BgL_res1981z00_1353; } } 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(BgL_new1157z00_448))->BgL_dataz00)=((obj_t)BgL_auxz00_3033),BUNSPEC); } 
return 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1157z00_448);} } } } } } } } } } } } } } } } } } } } } } } } } } } 

}



/* preferences->list~0 */
obj_t BGl_preferenceszd2ze3listze70zd6zz__openpgpzd2decodezd2(obj_t BgL_strz00_455, obj_t BgL_converterz00_456)
{
{ /* Llib/pgp_decode.scm 398 */
{ 
 long BgL_iz00_460; obj_t BgL_revzd2reszd2_461;
BgL_iz00_460 = ((long)0); 
BgL_revzd2reszd2_461 = BNIL; 
BgL_zc3z04anonymousza31826ze3z87_462:
if(
(BgL_iz00_460==
STRING_LENGTH(BgL_strz00_455)))
{ /* Llib/pgp_decode.scm 394 */
return 
bgl_reverse_bang(BgL_revzd2reszd2_461);}  else 
{ /* Llib/pgp_decode.scm 396 */
 long BgL_arg1829z00_465; obj_t BgL_arg1830z00_466;
BgL_arg1829z00_465 = 
(BgL_iz00_460+((long)1)); 
{ /* Llib/pgp_decode.scm 397 */
 obj_t BgL_arg1831z00_467;
{ /* Llib/pgp_decode.scm 397 */
 long BgL_arg1832z00_468;
BgL_arg1832z00_468 = 
(
STRING_REF(BgL_strz00_455, BgL_iz00_460)); 
BgL_arg1831z00_467 = 
PROCEDURE_ENTRY(BgL_converterz00_456)(BgL_converterz00_456, 
BINT(BgL_arg1832z00_468), BEOA); } 
BgL_arg1830z00_466 = 
MAKE_YOUNG_PAIR(BgL_arg1831z00_467, BgL_revzd2reszd2_461); } 
{ 
 obj_t BgL_revzd2reszd2_3058; long BgL_iz00_3057;
BgL_iz00_3057 = BgL_arg1829z00_465; 
BgL_revzd2reszd2_3058 = BgL_arg1830z00_466; 
BgL_revzd2reszd2_461 = BgL_revzd2reszd2_3058; 
BgL_iz00_460 = BgL_iz00_3057; 
goto BgL_zc3z04anonymousza31826ze3z87_462;} } } } 

}



/* decode-sub-packets */
obj_t BGl_decodezd2subzd2packetsz00zz__openpgpzd2decodezd2(obj_t BgL_pz00_25)
{
{ /* Llib/pgp_decode.scm 586 */
{ 
 obj_t BgL_packetsz00_475;
BgL_packetsz00_475 = BNIL; 
BgL_zc3z04anonymousza31835ze3z87_476:
{ /* Llib/pgp_decode.scm 589 */
 obj_t BgL_cz00_477;
BgL_cz00_477 = 
BGl_peekzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_25); 
if(
EOF_OBJECTP(BgL_cz00_477))
{ /* Llib/pgp_decode.scm 591 */
return 
bgl_reverse_bang(BgL_packetsz00_475);}  else 
{ /* Llib/pgp_decode.scm 593 */
 BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_subzd2packetzd2_479;
BgL_subzd2packetzd2_479 = 
BGl_decodezd2subzd2packetz00zz__openpgpzd2decodezd2(BgL_pz00_25); 
{ /* Llib/pgp_decode.scm 594 */
 obj_t BgL_arg1837z00_480;
BgL_arg1837z00_480 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_subzd2packetzd2_479), BgL_packetsz00_475); 
{ 
 obj_t BgL_packetsz00_3066;
BgL_packetsz00_3066 = BgL_arg1837z00_480; 
BgL_packetsz00_475 = BgL_packetsz00_3066; 
goto BgL_zc3z04anonymousza31835ze3z87_476;} } } } } } 

}



/* decode-signature-v4 */
BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_decodezd2signaturezd2v4z00zz__openpgpzd2decodezd2(obj_t BgL_pz00_26, long BgL_versionz00_27)
{
{ /* Llib/pgp_decode.scm 597 */
{ 
 obj_t BgL_spsz00_551; obj_t BgL_spsz00_538;
{ /* Llib/pgp_decode.scm 623 */
 long BgL_signaturezd2typezd2bytez00_484;
{ /* Llib/pgp_decode.scm 623 */
 unsigned char BgL_arg1917z00_1422;
{ /* Llib/pgp_decode.scm 623 */
 unsigned char BgL_res1984z00_1425;
{ /* Llib/pgp_decode.scm 623 */
 obj_t BgL_tz00_1423;
BgL_tz00_1423 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_26); 
if(
EOF_OBJECTP(BgL_tz00_1423))
{ /* Llib/pgp_decode.scm 623 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 623 */BFALSE; } 
BgL_res1984z00_1425 = 
CCHAR(BgL_tz00_1423); } 
BgL_arg1917z00_1422 = BgL_res1984z00_1425; } 
BgL_signaturezd2typezd2bytez00_484 = 
(
(unsigned char)(BgL_arg1917z00_1422)); } 
{ /* Llib/pgp_decode.scm 623 */
 obj_t BgL_signaturezd2typezd2_485;
BgL_signaturezd2typezd2_485 = 
BGl_bytezd2ze3signaturezd2typeze3zz__openpgpzd2enumszd2(
(signed char)(BgL_signaturezd2typezd2bytez00_484)); 
{ /* Llib/pgp_decode.scm 624 */
 long BgL_publiczd2keyzd2algozd2bytezd2_486;
{ /* Llib/pgp_decode.scm 625 */
 unsigned char BgL_arg1917z00_1427;
{ /* Llib/pgp_decode.scm 625 */
 unsigned char BgL_res1985z00_1430;
{ /* Llib/pgp_decode.scm 625 */
 obj_t BgL_tz00_1428;
BgL_tz00_1428 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_26); 
if(
EOF_OBJECTP(BgL_tz00_1428))
{ /* Llib/pgp_decode.scm 625 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 625 */BFALSE; } 
BgL_res1985z00_1430 = 
CCHAR(BgL_tz00_1428); } 
BgL_arg1917z00_1427 = BgL_res1985z00_1430; } 
BgL_publiczd2keyzd2algozd2bytezd2_486 = 
(
(unsigned char)(BgL_arg1917z00_1427)); } 
{ /* Llib/pgp_decode.scm 625 */
 obj_t BgL_publiczd2keyzd2algoz00_487;
BgL_publiczd2keyzd2algoz00_487 = 
BGl_bytezd2ze3publiczd2keyzd2algoz31zz__openpgpzd2enumszd2(
(signed char)(BgL_publiczd2keyzd2algozd2bytezd2_486)); 
{ /* Llib/pgp_decode.scm 626 */
 long BgL_hashzd2algozd2bytez00_488;
{ /* Llib/pgp_decode.scm 627 */
 unsigned char BgL_arg1917z00_1432;
{ /* Llib/pgp_decode.scm 627 */
 unsigned char BgL_res1986z00_1435;
{ /* Llib/pgp_decode.scm 627 */
 obj_t BgL_tz00_1433;
BgL_tz00_1433 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_26); 
if(
EOF_OBJECTP(BgL_tz00_1433))
{ /* Llib/pgp_decode.scm 627 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 627 */BFALSE; } 
BgL_res1986z00_1435 = 
CCHAR(BgL_tz00_1433); } 
BgL_arg1917z00_1432 = BgL_res1986z00_1435; } 
BgL_hashzd2algozd2bytez00_488 = 
(
(unsigned char)(BgL_arg1917z00_1432)); } 
{ /* Llib/pgp_decode.scm 627 */
 obj_t BgL_hashzd2algozd2_489;
BgL_hashzd2algozd2_489 = 
BGl_bytezd2ze3hashzd2algoze3zz__openpgpzd2enumszd2(
(signed char)(BgL_hashzd2algozd2bytez00_488)); 
{ /* Llib/pgp_decode.scm 628 */
 obj_t BgL_hashedzd2spdzd2lenzd2strzd2_490;
{ /* Llib/pgp_decode.scm 630 */
 obj_t BgL_res1987z00_1442;
{ /* Llib/pgp_decode.scm 630 */
 obj_t BgL_strz00_1437;
BgL_strz00_1437 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)2)), BgL_pz00_26); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1437))==((long)2)))
{ /* Llib/pgp_decode.scm 630 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 630 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1987z00_1442 = BgL_strz00_1437; } 
BgL_hashedzd2spdzd2lenzd2strzd2_490 = BgL_res1987z00_1442; } 
{ /* Llib/pgp_decode.scm 630 */
 long BgL_hashedzd2spdzd2lenz00_491;
BgL_hashedzd2spdzd2lenz00_491 = 
BGl_scalarzd2ze3fixnumz31zz__openpgpzd2conversionzd2(BgL_hashedzd2spdzd2lenzd2strzd2_490); 
{ /* Llib/pgp_decode.scm 631 */
 obj_t BgL_hashedzd2spdzd2_492;
{ /* Llib/pgp_decode.scm 632 */
 obj_t BgL_res1988z00_1449;
{ /* Llib/pgp_decode.scm 632 */
 obj_t BgL_strz00_1443;
BgL_strz00_1443 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_hashedzd2spdzd2lenz00_491), BgL_pz00_26); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1443))==BgL_hashedzd2spdzd2lenz00_491))
{ /* Llib/pgp_decode.scm 632 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 632 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1988z00_1449 = BgL_strz00_1443; } 
BgL_hashedzd2spdzd2_492 = BgL_res1988z00_1449; } 
{ /* Llib/pgp_decode.scm 633 */
 obj_t BgL_sps1z00_494;
{ /* Llib/pgp_decode.scm 635 */
 obj_t BgL_arg1853z00_534;
{ /* Llib/pgp_decode.scm 635 */
 long BgL_endz00_537;
BgL_endz00_537 = 
STRING_LENGTH(BgL_hashedzd2spdzd2_492); 
{ /* Llib/pgp_decode.scm 635 */

BgL_arg1853z00_534 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_hashedzd2spdzd2_492, 
BINT(((long)0)), 
BINT(BgL_endz00_537)); } } 
BgL_sps1z00_494 = 
BGl_decodezd2subzd2packetsz00zz__openpgpzd2decodezd2(BgL_arg1853z00_534); } 
{ /* Llib/pgp_decode.scm 635 */
 obj_t BgL_creationzd2datezd2_495;
BgL_spsz00_538 = BgL_sps1z00_494; 
{ /* Llib/pgp_decode.scm 600 */
 obj_t BgL_pktz00_540;
{ 
 obj_t BgL_l1248z00_543;
BgL_l1248z00_543 = BgL_spsz00_538; 
BgL_zc3z04anonymousza31855ze3z87_544:
if(
NULLP(BgL_l1248z00_543))
{ /* Llib/pgp_decode.scm 600 */
BgL_pktz00_540 = BFALSE; }  else 
{ /* Llib/pgp_decode.scm 601 */
 obj_t BgL__ortest_1250z00_546;
{ /* Llib/pgp_decode.scm 601 */
 obj_t BgL_pktz00_548;
BgL_pktz00_548 = 
CAR(
((obj_t)BgL_l1248z00_543)); 
{ /* Llib/pgp_decode.scm 601 */
 bool_t BgL_test2260z00_3118;
{ /* Llib/pgp_decode.scm 601 */
 obj_t BgL_classz00_1355;
BgL_classz00_1355 = BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pktz00_548))
{ /* Llib/pgp_decode.scm 601 */
 BgL_objectz00_bglt BgL_arg1797z00_1357;
BgL_arg1797z00_1357 = 
(BgL_objectz00_bglt)(BgL_pktz00_548); 
{ /* Llib/pgp_decode.scm 601 */
 bool_t BgL_arg1794z00_1360; bool_t BgL_arg1795z00_1361;
{ /* Llib/pgp_decode.scm 601 */
 long BgL_idxz00_1364;
BgL_idxz00_1364 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1357); 
BgL_arg1794z00_1360 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1364+((long)2)))==BgL_classz00_1355); } 
{ /* Llib/pgp_decode.scm 601 */
 bool_t BgL_res1982z00_1386;
{ /* Llib/pgp_decode.scm 601 */
 obj_t BgL_oclassz00_1372;
{ /* Llib/pgp_decode.scm 601 */
 long BgL_arg1804z00_1378;
{ /* Llib/pgp_decode.scm 601 */
 long BgL_arg1805z00_1379;
BgL_arg1805z00_1379 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1357); 
BgL_arg1804z00_1378 = 
(BgL_arg1805z00_1379-OBJECT_TYPE); } 
BgL_oclassz00_1372 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1378); } 
{ /* Llib/pgp_decode.scm 601 */
 bool_t BgL__ortest_1111z00_1373;
BgL__ortest_1111z00_1373 = 
(BgL_classz00_1355==BgL_oclassz00_1372); 
if(BgL__ortest_1111z00_1373)
{ /* Llib/pgp_decode.scm 601 */
BgL_res1982z00_1386 = BgL__ortest_1111z00_1373; }  else 
{ /* Llib/pgp_decode.scm 601 */
 long BgL_odepthz00_1374;
BgL_odepthz00_1374 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1372); 
if(
(((long)2)<BgL_odepthz00_1374))
{ /* Llib/pgp_decode.scm 601 */
 obj_t BgL_arg1793z00_1376;
BgL_arg1793z00_1376 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1372, ((long)2)); 
BgL_res1982z00_1386 = 
(BgL_arg1793z00_1376==BgL_classz00_1355); }  else 
{ /* Llib/pgp_decode.scm 601 */
BgL_res1982z00_1386 = ((bool_t)0); } } } } 
BgL_arg1795z00_1361 = BgL_res1982z00_1386; } 
BgL_test2260z00_3118 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1360, BgL_arg1795z00_1361); } }  else 
{ /* Llib/pgp_decode.scm 601 */
BgL_test2260z00_3118 = ((bool_t)0)
; } } 
if(BgL_test2260z00_3118)
{ /* Llib/pgp_decode.scm 601 */
BgL__ortest_1250z00_546 = BgL_pktz00_548; }  else 
{ /* Llib/pgp_decode.scm 601 */
BgL__ortest_1250z00_546 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1250z00_546))
{ /* Llib/pgp_decode.scm 600 */
BgL_pktz00_540 = BgL__ortest_1250z00_546; }  else 
{ 
 obj_t BgL_l1248z00_3139;
BgL_l1248z00_3139 = 
CDR(
((obj_t)BgL_l1248z00_543)); 
BgL_l1248z00_543 = BgL_l1248z00_3139; 
goto BgL_zc3z04anonymousza31855ze3z87_544;} } } 
if(
CBOOL(BgL_pktz00_540))
{ /* Llib/pgp_decode.scm 604 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 604 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2051z00zz__openpgpzd2decodezd2, BGl_string2052z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_creationzd2datezd2_495 = 
(((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_pktz00_540)))->BgL_creationzd2datezd2); } 
{ /* Llib/pgp_decode.scm 637 */
 long BgL_unhashedzd2spdzd2lenz00_497;
BgL_unhashedzd2spdzd2lenz00_497 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_26, ((long)2)); 
{ /* Llib/pgp_decode.scm 639 */
 obj_t BgL_sps2z00_499;
BgL_sps2z00_499 = 
BGl_decodezd2subzd2packetsz00zz__openpgpzd2decodezd2(
BGl_lengthzd2limitedzd2pipezd2portzd2zz__openpgpzd2portzd2utilz00(BgL_pz00_26, BgL_unhashedzd2spdzd2lenz00_497)); 
{ /* Llib/pgp_decode.scm 640 */
 obj_t BgL_sps1zb2sps2zb2_500;
BgL_sps1zb2sps2zb2_500 = 
BGl_appendzd221010zd2zz__openpgpzd2decodezd2(BgL_sps2z00_499, BgL_sps1z00_494); 
{ /* Llib/pgp_decode.scm 642 */
 obj_t BgL_issuerz00_501;
BgL_spsz00_551 = BgL_sps1zb2sps2zb2_500; 
{ /* Llib/pgp_decode.scm 612 */
 obj_t BgL_pktz00_553;
{ 
 obj_t BgL_l1251z00_556;
BgL_l1251z00_556 = BgL_spsz00_551; 
BgL_zc3z04anonymousza31859ze3z87_557:
if(
NULLP(BgL_l1251z00_556))
{ /* Llib/pgp_decode.scm 612 */
BgL_pktz00_553 = BFALSE; }  else 
{ /* Llib/pgp_decode.scm 613 */
 obj_t BgL__ortest_1253z00_559;
{ /* Llib/pgp_decode.scm 613 */
 obj_t BgL_pktz00_561;
BgL_pktz00_561 = 
CAR(
((obj_t)BgL_l1251z00_556)); 
{ /* Llib/pgp_decode.scm 613 */
 bool_t BgL_test2267z00_3155;
{ /* Llib/pgp_decode.scm 613 */
 obj_t BgL_classz00_1389;
BgL_classz00_1389 = BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pktz00_561))
{ /* Llib/pgp_decode.scm 613 */
 BgL_objectz00_bglt BgL_arg1797z00_1391;
BgL_arg1797z00_1391 = 
(BgL_objectz00_bglt)(BgL_pktz00_561); 
{ /* Llib/pgp_decode.scm 613 */
 bool_t BgL_arg1794z00_1394; bool_t BgL_arg1795z00_1395;
{ /* Llib/pgp_decode.scm 613 */
 long BgL_idxz00_1398;
BgL_idxz00_1398 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1391); 
BgL_arg1794z00_1394 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1398+((long)2)))==BgL_classz00_1389); } 
{ /* Llib/pgp_decode.scm 613 */
 bool_t BgL_res1983z00_1420;
{ /* Llib/pgp_decode.scm 613 */
 obj_t BgL_oclassz00_1406;
{ /* Llib/pgp_decode.scm 613 */
 long BgL_arg1804z00_1412;
{ /* Llib/pgp_decode.scm 613 */
 long BgL_arg1805z00_1413;
BgL_arg1805z00_1413 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1391); 
BgL_arg1804z00_1412 = 
(BgL_arg1805z00_1413-OBJECT_TYPE); } 
BgL_oclassz00_1406 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1412); } 
{ /* Llib/pgp_decode.scm 613 */
 bool_t BgL__ortest_1111z00_1407;
BgL__ortest_1111z00_1407 = 
(BgL_classz00_1389==BgL_oclassz00_1406); 
if(BgL__ortest_1111z00_1407)
{ /* Llib/pgp_decode.scm 613 */
BgL_res1983z00_1420 = BgL__ortest_1111z00_1407; }  else 
{ /* Llib/pgp_decode.scm 613 */
 long BgL_odepthz00_1408;
BgL_odepthz00_1408 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1406); 
if(
(((long)2)<BgL_odepthz00_1408))
{ /* Llib/pgp_decode.scm 613 */
 obj_t BgL_arg1793z00_1410;
BgL_arg1793z00_1410 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1406, ((long)2)); 
BgL_res1983z00_1420 = 
(BgL_arg1793z00_1410==BgL_classz00_1389); }  else 
{ /* Llib/pgp_decode.scm 613 */
BgL_res1983z00_1420 = ((bool_t)0); } } } } 
BgL_arg1795z00_1395 = BgL_res1983z00_1420; } 
BgL_test2267z00_3155 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1394, BgL_arg1795z00_1395); } }  else 
{ /* Llib/pgp_decode.scm 613 */
BgL_test2267z00_3155 = ((bool_t)0)
; } } 
if(BgL_test2267z00_3155)
{ /* Llib/pgp_decode.scm 613 */
BgL__ortest_1253z00_559 = BgL_pktz00_561; }  else 
{ /* Llib/pgp_decode.scm 613 */
BgL__ortest_1253z00_559 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1253z00_559))
{ /* Llib/pgp_decode.scm 612 */
BgL_pktz00_553 = BgL__ortest_1253z00_559; }  else 
{ 
 obj_t BgL_l1251z00_3176;
BgL_l1251z00_3176 = 
CDR(
((obj_t)BgL_l1251z00_556)); 
BgL_l1251z00_556 = BgL_l1251z00_3176; 
goto BgL_zc3z04anonymousza31859ze3z87_557;} } } 
if(
CBOOL(BgL_pktz00_553))
{ /* Llib/pgp_decode.scm 615 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 615 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2051z00zz__openpgpzd2decodezd2, BGl_string2053z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_issuerz00_501 = 
(((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_pktz00_553)))->BgL_keyzd2idzd2); } 
{ /* Llib/pgp_decode.scm 643 */
 obj_t BgL_leftzd2hashzd2_502;
{ /* Llib/pgp_decode.scm 644 */
 obj_t BgL_res1989z00_1456;
{ /* Llib/pgp_decode.scm 644 */
 obj_t BgL_strz00_1451;
BgL_strz00_1451 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)2)), BgL_pz00_26); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1451))==((long)2)))
{ /* Llib/pgp_decode.scm 644 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 644 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1989z00_1456 = BgL_strz00_1451; } 
BgL_leftzd2hashzd2_502 = BgL_res1989z00_1456; } 
{ /* Llib/pgp_decode.scm 644 */

{ /* Llib/pgp_decode.scm 665 */
 long BgL_signedzd2packetzd2prefixzd2lenzd2_503;
BgL_signedzd2packetzd2prefixzd2lenzd2_503 = 
(((long)6)+BgL_hashedzd2spdzd2lenz00_491); 
{ /* Llib/pgp_decode.scm 665 */
 obj_t BgL_signedzd2packetzd2prefixz00_504;
{ /* Llib/pgp_decode.scm 666 */

BgL_signedzd2packetzd2prefixz00_504 = 
make_string(BgL_signedzd2packetzd2prefixzd2lenzd2_503, ((unsigned char)' ')); } 
{ /* Llib/pgp_decode.scm 666 */
 obj_t BgL_hashzd2trailerzd2_505;
{ /* Llib/pgp_decode.scm 667 */

BgL_hashzd2trailerzd2_505 = 
make_string(((long)6), ((unsigned char)' ')); } 
{ /* Llib/pgp_decode.scm 667 */

{ /* Llib/pgp_decode.scm 668 */
 unsigned char BgL_tmpz00_3194;
BgL_tmpz00_3194 = 
(BgL_versionz00_27); 
STRING_SET(BgL_signedzd2packetzd2prefixz00_504, ((long)0), BgL_tmpz00_3194); } 
{ /* Llib/pgp_decode.scm 669 */
 unsigned char BgL_tmpz00_3197;
BgL_tmpz00_3197 = 
(BgL_signaturezd2typezd2bytez00_484); 
STRING_SET(BgL_signedzd2packetzd2prefixz00_504, ((long)1), BgL_tmpz00_3197); } 
{ /* Llib/pgp_decode.scm 671 */
 unsigned char BgL_tmpz00_3200;
BgL_tmpz00_3200 = 
(BgL_publiczd2keyzd2algozd2bytezd2_486); 
STRING_SET(BgL_signedzd2packetzd2prefixz00_504, ((long)2), BgL_tmpz00_3200); } 
{ /* Llib/pgp_decode.scm 673 */
 unsigned char BgL_tmpz00_3203;
BgL_tmpz00_3203 = 
(BgL_hashzd2algozd2bytez00_488); 
STRING_SET(BgL_signedzd2packetzd2prefixz00_504, ((long)3), BgL_tmpz00_3203); } 
blit_string(BgL_hashedzd2spdzd2lenzd2strzd2_490, ((long)0), BgL_signedzd2packetzd2prefixz00_504, ((long)4), ((long)2)); 
blit_string(BgL_hashedzd2spdzd2_492, ((long)0), BgL_signedzd2packetzd2prefixz00_504, ((long)6), BgL_hashedzd2spdzd2lenz00_491); 
{ /* Llib/pgp_decode.scm 678 */
 unsigned char BgL_tmpz00_3208;
BgL_tmpz00_3208 = 
(BgL_versionz00_27); 
STRING_SET(BgL_hashzd2trailerzd2_505, ((long)0), BgL_tmpz00_3208); } 
{ /* Llib/pgp_decode.scm 679 */
 unsigned char BgL_tmpz00_3211;
BgL_tmpz00_3211 = 
(((long)255)); 
STRING_SET(BgL_hashzd2trailerzd2_505, ((long)1), BgL_tmpz00_3211); } 
blit_string(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_signedzd2packetzd2prefixzd2lenzd2_503, ((long)4)), ((long)0), BgL_hashzd2trailerzd2_505, ((long)2), ((long)4)); 
{ /* Llib/pgp_decode.scm 686 */
 obj_t BgL_keyzd2datazd2_513;
{ /* Llib/pgp_decode.scm 687 */
 bool_t BgL_test2274z00_3216;
{ /* Llib/pgp_decode.scm 687 */
 bool_t BgL__ortest_1163z00_528;
BgL__ortest_1163z00_528 = 
(BgL_publiczd2keyzd2algoz00_487==
CNST_TABLE_REF(((long)22))); 
if(BgL__ortest_1163z00_528)
{ /* Llib/pgp_decode.scm 687 */
BgL_test2274z00_3216 = BgL__ortest_1163z00_528
; }  else 
{ /* Llib/pgp_decode.scm 687 */
BgL_test2274z00_3216 = 
(BgL_publiczd2keyzd2algoz00_487==
CNST_TABLE_REF(((long)26)))
; } } 
if(BgL_test2274z00_3216)
{ /* Llib/pgp_decode.scm 687 */
BgL_keyzd2datazd2_513 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_26); }  else 
{ /* Llib/pgp_decode.scm 687 */
if(
(BgL_publiczd2keyzd2algoz00_487==
CNST_TABLE_REF(((long)27))))
{ /* Llib/pgp_decode.scm 693 */
 obj_t BgL_rz00_522;
BgL_rz00_522 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_26); 
{ /* Llib/pgp_decode.scm 693 */
 obj_t BgL_sz00_523;
BgL_sz00_523 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_26); 
{ /* Llib/pgp_decode.scm 694 */

BgL_keyzd2datazd2_513 = 
MAKE_YOUNG_PAIR(BgL_rz00_522, BgL_sz00_523); } } }  else 
{ /* Llib/pgp_decode.scm 702 */
 obj_t BgL_arg1848z00_524;
{ /* Llib/pgp_decode.scm 702 */
 obj_t BgL_arg1849z00_525;
BgL_arg1849z00_525 = 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_publiczd2keyzd2algoz00_487); 
{ /* Llib/pgp_decode.scm 701 */
 obj_t BgL_list1850z00_526;
{ /* Llib/pgp_decode.scm 701 */
 obj_t BgL_arg1851z00_527;
BgL_arg1851z00_527 = 
MAKE_YOUNG_PAIR(BgL_arg1849z00_525, BNIL); 
BgL_list1850z00_526 = 
MAKE_YOUNG_PAIR(
BINT(BgL_publiczd2keyzd2algozd2bytezd2_486), BgL_arg1851z00_527); } 
BgL_arg1848z00_524 = BgL_list1850z00_526; } } 
BgL_keyzd2datazd2_513 = 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2040z00zz__openpgpzd2decodezd2, BGl_string2054z00zz__openpgpzd2decodezd2, BgL_arg1848z00_524); } } } 
{ /* Llib/pgp_decode.scm 704 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_new1165z00_514;
{ /* Llib/pgp_decode.scm 705 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_new1164z00_515;
BgL_new1164z00_515 = 
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 705 */
 long BgL_arg1845z00_516;
BgL_arg1845z00_516 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1164z00_515), BgL_arg1845z00_516); } 
{ /* Llib/pgp_decode.scm 705 */
 BgL_objectz00_bglt BgL_tmpz00_3238;
BgL_tmpz00_3238 = 
((BgL_objectz00_bglt)BgL_new1164z00_515); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3238, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1164z00_515); 
BgL_new1165z00_514 = BgL_new1164z00_515; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1165z00_514)))->BgL_versionz00)=((long)((long)4)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1165z00_514)))->BgL_signaturezd2typezd2)=((obj_t)BgL_signaturezd2typezd2_485),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1165z00_514)))->BgL_issuerz00)=((obj_t)BgL_issuerz00_501),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1165z00_514)))->BgL_publiczd2keyzd2algoz00)=((obj_t)BgL_publiczd2keyzd2algoz00_487),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1165z00_514)))->BgL_hashzd2algozd2)=((obj_t)BgL_hashzd2algozd2_489),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1165z00_514)))->BgL_creationzd2datezd2)=((obj_t)BgL_creationzd2datezd2_495),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1165z00_514)))->BgL_signaturez00)=((obj_t)BgL_keyzd2datazd2_513),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1165z00_514)))->BgL_signedzd2packetzd2prefixz00)=((obj_t)BgL_signedzd2packetzd2prefixz00_504),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1165z00_514)))->BgL_hashzd2trailerzd2)=((obj_t)BgL_hashzd2trailerzd2_505),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1165z00_514)))->BgL_leftzd2hashzd2)=((obj_t)BgL_leftzd2hashzd2_502),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(BgL_new1165z00_514))->BgL_securezd2subzd2packetsz00)=((obj_t)BgL_sps1z00_494),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(BgL_new1165z00_514))->BgL_insecurezd2subzd2packetsz00)=((obj_t)BgL_sps2z00_499),BUNSPEC); 
return BgL_new1165z00_514;} } } } } } } } } } } } } } } } } } } } } } } } } 

}



/* decode-symmetric-key-encrypted-session-key */
BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_decodezd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2zz__openpgpzd2decodezd2(obj_t BgL_cppz00_28)
{
{ /* Llib/pgp_decode.scm 721 */
{ /* Llib/pgp_decode.scm 722 */
 long BgL_versionz00_566;
{ /* Llib/pgp_decode.scm 722 */
 unsigned char BgL_arg1917z00_1490;
{ /* Llib/pgp_decode.scm 722 */
 unsigned char BgL_res1991z00_1493;
{ /* Llib/pgp_decode.scm 722 */
 obj_t BgL_tz00_1491;
BgL_tz00_1491 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_cppz00_28); 
if(
EOF_OBJECTP(BgL_tz00_1491))
{ /* Llib/pgp_decode.scm 722 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 722 */BFALSE; } 
BgL_res1991z00_1493 = 
CCHAR(BgL_tz00_1491); } 
BgL_arg1917z00_1490 = BgL_res1991z00_1493; } 
BgL_versionz00_566 = 
(
(unsigned char)(BgL_arg1917z00_1490)); } 
{ /* Llib/pgp_decode.scm 722 */
 long BgL_symmetriczd2algozd2bytez00_567;
{ /* Llib/pgp_decode.scm 723 */
 unsigned char BgL_arg1917z00_1495;
{ /* Llib/pgp_decode.scm 723 */
 unsigned char BgL_res1992z00_1498;
{ /* Llib/pgp_decode.scm 723 */
 obj_t BgL_tz00_1496;
BgL_tz00_1496 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_cppz00_28); 
if(
EOF_OBJECTP(BgL_tz00_1496))
{ /* Llib/pgp_decode.scm 723 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 723 */BFALSE; } 
BgL_res1992z00_1498 = 
CCHAR(BgL_tz00_1496); } 
BgL_arg1917z00_1495 = BgL_res1992z00_1498; } 
BgL_symmetriczd2algozd2bytez00_567 = 
(
(unsigned char)(BgL_arg1917z00_1495)); } 
{ /* Llib/pgp_decode.scm 723 */
 obj_t BgL_symmetriczd2algozd2_568;
BgL_symmetriczd2algozd2_568 = 
BGl_bytezd2ze3symmetriczd2keyzd2algoz31zz__openpgpzd2enumszd2(
(signed char)(BgL_symmetriczd2algozd2bytez00_567)); 
{ /* Llib/pgp_decode.scm 724 */
 obj_t BgL_s2kz00_569;
BgL_s2kz00_569 = 
BGl_decodezd2s2kzd2zz__openpgpzd2decodezd2(BgL_cppz00_28); 
{ /* Llib/pgp_decode.scm 725 */
 obj_t BgL_encryptedzd2sessionzd2keyz00_570;
BgL_encryptedzd2sessionzd2keyz00_570 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_cppz00_28); 
{ /* Llib/pgp_decode.scm 726 */

{ /* Llib/pgp_decode.scm 727 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1167z00_571;
{ /* Llib/pgp_decode.scm 728 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1166z00_573;
BgL_new1166z00_573 = 
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 728 */
 long BgL_arg1863z00_574;
BgL_arg1863z00_574 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1166z00_573), BgL_arg1863z00_574); } 
{ /* Llib/pgp_decode.scm 728 */
 BgL_objectz00_bglt BgL_tmpz00_3286;
BgL_tmpz00_3286 = 
((BgL_objectz00_bglt)BgL_new1166z00_573); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3286, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1166z00_573); 
BgL_new1167z00_571 = BgL_new1166z00_573; } 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1167z00_571))->BgL_versionz00)=((long)BgL_versionz00_566),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1167z00_571))->BgL_algoz00)=((obj_t)BgL_symmetriczd2algozd2_568),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1167z00_571))->BgL_s2kz00)=((obj_t)BgL_s2kz00_569),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3293;
if(
(
STRING_LENGTH(BgL_encryptedzd2sessionzd2keyz00_570)==((long)0)))
{ /* Llib/pgp_decode.scm 731 */
BgL_auxz00_3293 = BFALSE
; }  else 
{ /* Llib/pgp_decode.scm 731 */
BgL_auxz00_3293 = BgL_encryptedzd2sessionzd2keyz00_570
; } 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1167z00_571))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_auxz00_3293),BUNSPEC); } 
return BgL_new1167z00_571;} } } } } } } } 

}



/* decode-one-pass-signature */
BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BGl_decodezd2onezd2passzd2signaturezd2zz__openpgpzd2decodezd2(obj_t BgL_pz00_29)
{
{ /* Llib/pgp_decode.scm 738 */
{ /* Llib/pgp_decode.scm 740 */
 long BgL_versionz00_575;
{ /* Llib/pgp_decode.scm 740 */
 unsigned char BgL_arg1917z00_1508;
{ /* Llib/pgp_decode.scm 740 */
 unsigned char BgL_res1993z00_1511;
{ /* Llib/pgp_decode.scm 740 */
 obj_t BgL_tz00_1509;
BgL_tz00_1509 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_29); 
if(
EOF_OBJECTP(BgL_tz00_1509))
{ /* Llib/pgp_decode.scm 740 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 740 */BFALSE; } 
BgL_res1993z00_1511 = 
CCHAR(BgL_tz00_1509); } 
BgL_arg1917z00_1508 = BgL_res1993z00_1511; } 
BgL_versionz00_575 = 
(
(unsigned char)(BgL_arg1917z00_1508)); } 
{ /* Llib/pgp_decode.scm 740 */
 long BgL_signaturezd2typezd2bytez00_576;
{ /* Llib/pgp_decode.scm 741 */
 unsigned char BgL_arg1917z00_1513;
{ /* Llib/pgp_decode.scm 741 */
 unsigned char BgL_res1994z00_1516;
{ /* Llib/pgp_decode.scm 741 */
 obj_t BgL_tz00_1514;
BgL_tz00_1514 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_29); 
if(
EOF_OBJECTP(BgL_tz00_1514))
{ /* Llib/pgp_decode.scm 741 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 741 */BFALSE; } 
BgL_res1994z00_1516 = 
CCHAR(BgL_tz00_1514); } 
BgL_arg1917z00_1513 = BgL_res1994z00_1516; } 
BgL_signaturezd2typezd2bytez00_576 = 
(
(unsigned char)(BgL_arg1917z00_1513)); } 
{ /* Llib/pgp_decode.scm 741 */
 obj_t BgL_signaturezd2typezd2_577;
BgL_signaturezd2typezd2_577 = 
BGl_bytezd2ze3signaturezd2typeze3zz__openpgpzd2enumszd2(
(signed char)(BgL_signaturezd2typezd2bytez00_576)); 
{ /* Llib/pgp_decode.scm 742 */
 long BgL_hashzd2algozd2bytez00_578;
{ /* Llib/pgp_decode.scm 743 */
 unsigned char BgL_arg1917z00_1518;
{ /* Llib/pgp_decode.scm 743 */
 unsigned char BgL_res1995z00_1521;
{ /* Llib/pgp_decode.scm 743 */
 obj_t BgL_tz00_1519;
BgL_tz00_1519 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_29); 
if(
EOF_OBJECTP(BgL_tz00_1519))
{ /* Llib/pgp_decode.scm 743 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 743 */BFALSE; } 
BgL_res1995z00_1521 = 
CCHAR(BgL_tz00_1519); } 
BgL_arg1917z00_1518 = BgL_res1995z00_1521; } 
BgL_hashzd2algozd2bytez00_578 = 
(
(unsigned char)(BgL_arg1917z00_1518)); } 
{ /* Llib/pgp_decode.scm 743 */
 obj_t BgL_hashzd2algozd2_579;
BgL_hashzd2algozd2_579 = 
BGl_bytezd2ze3hashzd2algoze3zz__openpgpzd2enumszd2(
(signed char)(BgL_hashzd2algozd2bytez00_578)); 
{ /* Llib/pgp_decode.scm 744 */
 long BgL_publiczd2keyzd2algozd2bytezd2_580;
{ /* Llib/pgp_decode.scm 745 */
 unsigned char BgL_arg1917z00_1523;
{ /* Llib/pgp_decode.scm 745 */
 unsigned char BgL_res1996z00_1526;
{ /* Llib/pgp_decode.scm 745 */
 obj_t BgL_tz00_1524;
BgL_tz00_1524 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_29); 
if(
EOF_OBJECTP(BgL_tz00_1524))
{ /* Llib/pgp_decode.scm 745 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 745 */BFALSE; } 
BgL_res1996z00_1526 = 
CCHAR(BgL_tz00_1524); } 
BgL_arg1917z00_1523 = BgL_res1996z00_1526; } 
BgL_publiczd2keyzd2algozd2bytezd2_580 = 
(
(unsigned char)(BgL_arg1917z00_1523)); } 
{ /* Llib/pgp_decode.scm 745 */
 obj_t BgL_publiczd2keyzd2algoz00_581;
BgL_publiczd2keyzd2algoz00_581 = 
BGl_bytezd2ze3publiczd2keyzd2algoz31zz__openpgpzd2enumszd2(
(signed char)(BgL_publiczd2keyzd2algozd2bytezd2_580)); 
{ /* Llib/pgp_decode.scm 746 */
 obj_t BgL_idz00_582;
{ /* Llib/pgp_decode.scm 747 */
 obj_t BgL_res1997z00_1533;
{ /* Llib/pgp_decode.scm 747 */
 obj_t BgL_strz00_1528;
BgL_strz00_1528 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)8)), BgL_pz00_29); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1528))==((long)8)))
{ /* Llib/pgp_decode.scm 747 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 747 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res1997z00_1533 = BgL_strz00_1528; } 
BgL_idz00_582 = BgL_res1997z00_1533; } 
{ /* Llib/pgp_decode.scm 747 */
 bool_t BgL_nestedzd2signaturezf3z21_583;
{ /* Llib/pgp_decode.scm 748 */
 long BgL_arg1865z00_587;
{ /* Llib/pgp_decode.scm 748 */
 unsigned char BgL_arg1917z00_1534;
{ /* Llib/pgp_decode.scm 748 */
 unsigned char BgL_res1998z00_1537;
{ /* Llib/pgp_decode.scm 748 */
 obj_t BgL_tz00_1535;
BgL_tz00_1535 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_29); 
if(
EOF_OBJECTP(BgL_tz00_1535))
{ /* Llib/pgp_decode.scm 748 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 748 */BFALSE; } 
BgL_res1998z00_1537 = 
CCHAR(BgL_tz00_1535); } 
BgL_arg1917z00_1534 = BgL_res1998z00_1537; } 
BgL_arg1865z00_587 = 
(
(unsigned char)(BgL_arg1917z00_1534)); } 
BgL_nestedzd2signaturezf3z21_583 = 
(BgL_arg1865z00_587==((long)0)); } 
{ /* Llib/pgp_decode.scm 748 */

{ /* Llib/pgp_decode.scm 757 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_new1169z00_584;
{ /* Llib/pgp_decode.scm 758 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_new1168z00_585;
BgL_new1168z00_585 = 
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 758 */
 long BgL_arg1864z00_586;
BgL_arg1864z00_586 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_585), BgL_arg1864z00_586); } 
{ /* Llib/pgp_decode.scm 758 */
 BgL_objectz00_bglt BgL_tmpz00_3351;
BgL_tmpz00_3351 = 
((BgL_objectz00_bglt)BgL_new1168z00_585); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3351, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1168z00_585); 
BgL_new1169z00_584 = BgL_new1168z00_585; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1169z00_584)))->BgL_versionz00)=((long)BgL_versionz00_575),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1169z00_584)))->BgL_signaturezd2typezd2)=((obj_t)BgL_signaturezd2typezd2_577),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1169z00_584)))->BgL_issuerz00)=((obj_t)BgL_idz00_582),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1169z00_584)))->BgL_publiczd2keyzd2algoz00)=((obj_t)BgL_publiczd2keyzd2algoz00_581),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1169z00_584)))->BgL_hashzd2algozd2)=((obj_t)BgL_hashzd2algozd2_579),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1169z00_584))->BgL_containszd2nestedzd2sigzf3zf3)=((bool_t)BgL_nestedzd2signaturezf3z21_583),BUNSPEC); 
return BgL_new1169z00_584;} } } } } } } } } } } } 

}



/* decode-public-key */
BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BGl_decodezd2publiczd2keyz00zz__openpgpzd2decodezd2(obj_t BgL_pz00_39)
{
{ /* Llib/pgp_decode.scm 790 */
{ /* Llib/pgp_decode.scm 791 */
 long BgL_versionz00_597;
{ /* Llib/pgp_decode.scm 791 */
 unsigned char BgL_arg1917z00_1563;
{ /* Llib/pgp_decode.scm 791 */
 unsigned char BgL_res1999z00_1566;
{ /* Llib/pgp_decode.scm 791 */
 obj_t BgL_tz00_1564;
BgL_tz00_1564 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_39); 
if(
EOF_OBJECTP(BgL_tz00_1564))
{ /* Llib/pgp_decode.scm 791 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 791 */BFALSE; } 
BgL_res1999z00_1566 = 
CCHAR(BgL_tz00_1564); } 
BgL_arg1917z00_1563 = BgL_res1999z00_1566; } 
BgL_versionz00_597 = 
(
(unsigned char)(BgL_arg1917z00_1563)); } 
{ /* Llib/pgp_decode.scm 791 */
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_kpz00_598;
{ /* Llib/pgp_decode.scm 792 */
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_new1177z00_602;
{ /* Llib/pgp_decode.scm 792 */
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_new1176z00_603;
BgL_new1176z00_603 = 
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 792 */
 long BgL_arg1871z00_604;
BgL_arg1871z00_604 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1176z00_603), BgL_arg1871z00_604); } 
{ /* Llib/pgp_decode.scm 792 */
 BgL_objectz00_bglt BgL_tmpz00_3377;
BgL_tmpz00_3377 = 
((BgL_objectz00_bglt)BgL_new1176z00_603); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3377, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1176z00_603); 
BgL_new1177z00_602 = BgL_new1176z00_603; } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1177z00_602)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1177z00_602)))->BgL_versionz00)=((long)BgL_versionz00_597),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1177z00_602)))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1177z00_602)))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)46))),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1177z00_602)))->BgL_creationzd2datezd2)=((obj_t)BGl_za2dummyzd2dateza2zd2zz__openpgpzd2decodezd2),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1177z00_602)))->BgL_validzd2dayszd2)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1177z00_602)))->BgL_keyz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_kpz00_598 = BgL_new1177z00_602; } 
{ /* Llib/pgp_decode.scm 792 */

switch( BgL_versionz00_597) { case ((long)2) : 
case ((long)3) : 
case ((long)4) : 

CNST_TABLE_REF(((long)47)); break;
default: 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2055z00zz__openpgpzd2decodezd2, BGl_string2056z00zz__openpgpzd2decodezd2, 
BINT(BgL_versionz00_597)); } 
BGl_decodezf2fillzd2keyz20zz__openpgpzd2decodezd2(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kpz00_598), BgL_versionz00_597, BgL_pz00_39); 
return BgL_kpz00_598;} } } } 

}



/* decode/fill-key */
obj_t BGl_decodezf2fillzd2keyz20zz__openpgpzd2decodezd2(BgL_pgpzd2keyzd2packetz00_bglt BgL_kpz00_40, long BgL_versionz00_41, obj_t BgL_pz00_42)
{
{ /* Llib/pgp_decode.scm 806 */
{ /* Llib/pgp_decode.scm 808 */
 obj_t BgL_cdz00_605;
{ /* Llib/pgp_decode.scm 808 */

{ /* Llib/pgp_decode.scm 235 */
 long BgL_nz00_1573;
BgL_nz00_1573 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_42, ((long)4)); 
{ /* Llib/pgp_decode.scm 238 */
 long BgL_elongz00_1578;
BgL_elongz00_1578 = 
(long)(BgL_nz00_1573); 
BgL_cdz00_605 = 
bgl_seconds_to_date(BgL_elongz00_1578); } } } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kpz00_40))->BgL_creationzd2datezd2)=((obj_t)BgL_cdz00_605),BUNSPEC); } 
{ /* Llib/pgp_decode.scm 812 */
 bool_t BgL_test2287z00_3406;
if(
(BgL_versionz00_41==((long)2)))
{ /* Llib/pgp_decode.scm 812 */
BgL_test2287z00_3406 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_decode.scm 812 */
BgL_test2287z00_3406 = 
(BgL_versionz00_41==((long)3))
; } 
if(BgL_test2287z00_3406)
{ /* Llib/pgp_decode.scm 813 */
 long BgL_vdz00_611;
BgL_vdz00_611 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_42, ((long)2)); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kpz00_40))->BgL_validzd2dayszd2)=((obj_t)
BINT(BgL_vdz00_611)),BUNSPEC); }  else 
{ /* Llib/pgp_decode.scm 812 */BFALSE; } } 
{ /* Llib/pgp_decode.scm 817 */
 long BgL_algozd2bytezd2_614;
{ /* Llib/pgp_decode.scm 817 */
 unsigned char BgL_arg1917z00_1581;
{ /* Llib/pgp_decode.scm 817 */
 unsigned char BgL_res2000z00_1584;
{ /* Llib/pgp_decode.scm 817 */
 obj_t BgL_tz00_1582;
BgL_tz00_1582 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_42); 
if(
EOF_OBJECTP(BgL_tz00_1582))
{ /* Llib/pgp_decode.scm 817 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 817 */BFALSE; } 
BgL_res2000z00_1584 = 
CCHAR(BgL_tz00_1582); } 
BgL_arg1917z00_1581 = BgL_res2000z00_1584; } 
BgL_algozd2bytezd2_614 = 
(
(unsigned char)(BgL_arg1917z00_1581)); } 
{ /* Llib/pgp_decode.scm 817 */
 obj_t BgL_algoz00_615;
BgL_algoz00_615 = 
BGl_bytezd2ze3publiczd2keyzd2algoz31zz__openpgpzd2enumszd2(
(signed char)(BgL_algozd2bytezd2_614)); 
{ /* Llib/pgp_decode.scm 818 */

{ /* Llib/pgp_decode.scm 819 */
 bool_t BgL_test2290z00_3422;
{ /* Llib/pgp_decode.scm 819 */
 bool_t BgL_test2291z00_3423;
if(
(BgL_versionz00_41==((long)2)))
{ /* Llib/pgp_decode.scm 819 */
BgL_test2291z00_3423 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_decode.scm 819 */
BgL_test2291z00_3423 = 
(BgL_versionz00_41==((long)3))
; } 
if(BgL_test2291z00_3423)
{ /* Llib/pgp_decode.scm 820 */
 bool_t BgL_test2293z00_3427;
if(
(BgL_algoz00_615==
CNST_TABLE_REF(((long)22))))
{ /* Llib/pgp_decode.scm 820 */
BgL_test2293z00_3427 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_decode.scm 820 */
if(
(BgL_algoz00_615==
CNST_TABLE_REF(((long)23))))
{ /* Llib/pgp_decode.scm 821 */
BgL_test2293z00_3427 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_decode.scm 821 */
BgL_test2293z00_3427 = 
(BgL_algoz00_615==
CNST_TABLE_REF(((long)26)))
; } } 
if(BgL_test2293z00_3427)
{ /* Llib/pgp_decode.scm 820 */
BgL_test2290z00_3422 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_decode.scm 820 */
BgL_test2290z00_3422 = ((bool_t)1)
; } }  else 
{ /* Llib/pgp_decode.scm 819 */
BgL_test2290z00_3422 = ((bool_t)0)
; } } 
if(BgL_test2290z00_3422)
{ /* Llib/pgp_decode.scm 819 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2057z00zz__openpgpzd2decodezd2, BGl_string2058z00zz__openpgpzd2decodezd2, 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_algoz00_615)); }  else 
{ /* Llib/pgp_decode.scm 819 */BFALSE; } } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kpz00_40))->BgL_algoz00)=((obj_t)BgL_algoz00_615),BUNSPEC); 
{ /* Llib/pgp_decode.scm 829 */
 bool_t BgL_test2296z00_3439;
{ /* Llib/pgp_decode.scm 829 */
 bool_t BgL__ortest_1183z00_658;
BgL__ortest_1183z00_658 = 
(BgL_algoz00_615==
CNST_TABLE_REF(((long)22))); 
if(BgL__ortest_1183z00_658)
{ /* Llib/pgp_decode.scm 829 */
BgL_test2296z00_3439 = BgL__ortest_1183z00_658
; }  else 
{ /* Llib/pgp_decode.scm 829 */
 bool_t BgL__ortest_1184z00_659;
BgL__ortest_1184z00_659 = 
(BgL_algoz00_615==
CNST_TABLE_REF(((long)23))); 
if(BgL__ortest_1184z00_659)
{ /* Llib/pgp_decode.scm 829 */
BgL_test2296z00_3439 = BgL__ortest_1184z00_659
; }  else 
{ /* Llib/pgp_decode.scm 829 */
BgL_test2296z00_3439 = 
(BgL_algoz00_615==
CNST_TABLE_REF(((long)26)))
; } } } 
if(BgL_test2296z00_3439)
{ /* Llib/pgp_decode.scm 831 */
 obj_t BgL_modulusz00_636;
BgL_modulusz00_636 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_42); 
{ /* Llib/pgp_decode.scm 831 */
 obj_t BgL_exponentz00_637;
BgL_exponentz00_637 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_42); 
{ /* Llib/pgp_decode.scm 832 */
 BgL_rsazd2keyzd2_bglt BgL_kz00_638;
{ /* Llib/pgp_decode.scm 773 */
 BgL_rsazd2keyzd2_bglt BgL_new1171z00_1588;
{ /* Llib/pgp_decode.scm 774 */
 BgL_rsazd2keyzd2_bglt BgL_new1170z00_1589;
BgL_new1170z00_1589 = 
((BgL_rsazd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_rsazd2keyzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 774 */
 long BgL_arg1866z00_1590;
BgL_arg1866z00_1590 = 
BGL_CLASS_NUM(BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1170z00_1589), BgL_arg1866z00_1590); } 
BgL_new1171z00_1588 = BgL_new1170z00_1589; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1171z00_1588))->BgL_modulusz00)=((obj_t)BgL_modulusz00_636),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1171z00_1588))->BgL_exponentz00)=((obj_t)BgL_exponentz00_637),BUNSPEC); 
BgL_kz00_638 = BgL_new1171z00_1588; } 
{ /* Llib/pgp_decode.scm 833 */

return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kpz00_40))->BgL_keyz00)=((obj_t)
((obj_t)BgL_kz00_638)),BUNSPEC);} } } }  else 
{ /* Llib/pgp_decode.scm 829 */
if(
(BgL_algoz00_615==
CNST_TABLE_REF(((long)27))))
{ /* Llib/pgp_decode.scm 838 */
 obj_t BgL_pz00_642;
BgL_pz00_642 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_42); 
{ /* Llib/pgp_decode.scm 839 */
 obj_t BgL_qz00_643;
BgL_qz00_643 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_42); 
{ /* Llib/pgp_decode.scm 840 */
 obj_t BgL_gz00_644;
BgL_gz00_644 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_42); 
{ /* Llib/pgp_decode.scm 841 */
 obj_t BgL_yz00_645;
BgL_yz00_645 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_42); 
{ /* Llib/pgp_decode.scm 842 */
 BgL_dsazd2keyzd2_bglt BgL_kz00_646;
{ /* Llib/pgp_decode.scm 777 */
 BgL_dsazd2keyzd2_bglt BgL_new1173z00_1595;
{ /* Llib/pgp_decode.scm 778 */
 BgL_dsazd2keyzd2_bglt BgL_new1172z00_1596;
BgL_new1172z00_1596 = 
((BgL_dsazd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dsazd2keyzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 778 */
 long BgL_arg1868z00_1597;
BgL_arg1868z00_1597 = 
BGL_CLASS_NUM(BGl_Dsazd2Keyzd2zz__cryptozd2dsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1172z00_1596), BgL_arg1868z00_1597); } 
BgL_new1173z00_1595 = BgL_new1172z00_1596; } 
((((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_new1173z00_1595))->BgL_pz00)=((obj_t)BgL_pz00_642),BUNSPEC); 
((((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_new1173z00_1595))->BgL_qz00)=((obj_t)BgL_qz00_643),BUNSPEC); 
((((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_new1173z00_1595))->BgL_gz00)=((obj_t)BgL_gz00_644),BUNSPEC); 
((((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_new1173z00_1595))->BgL_yz00)=((obj_t)BgL_yz00_645),BUNSPEC); 
BgL_kz00_646 = BgL_new1173z00_1595; } 
{ /* Llib/pgp_decode.scm 843 */

return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kpz00_40))->BgL_keyz00)=((obj_t)
((obj_t)BgL_kz00_646)),BUNSPEC);} } } } } }  else 
{ /* Llib/pgp_decode.scm 829 */
 bool_t BgL_test2300z00_3475;
{ /* Llib/pgp_decode.scm 829 */
 bool_t BgL__ortest_1187z00_657;
BgL__ortest_1187z00_657 = 
(BgL_algoz00_615==
CNST_TABLE_REF(((long)24))); 
if(BgL__ortest_1187z00_657)
{ /* Llib/pgp_decode.scm 829 */
BgL_test2300z00_3475 = BgL__ortest_1187z00_657
; }  else 
{ /* Llib/pgp_decode.scm 829 */
BgL_test2300z00_3475 = 
(BgL_algoz00_615==
CNST_TABLE_REF(((long)25)))
; } } 
if(BgL_test2300z00_3475)
{ /* Llib/pgp_decode.scm 850 */
 obj_t BgL_pz00_651;
BgL_pz00_651 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_42); 
{ /* Llib/pgp_decode.scm 851 */
 obj_t BgL_gz00_652;
BgL_gz00_652 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_42); 
{ /* Llib/pgp_decode.scm 852 */
 obj_t BgL_yz00_653;
BgL_yz00_653 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_pz00_42); 
{ /* Llib/pgp_decode.scm 853 */
 BgL_elgamalzd2keyzd2_bglt BgL_kz00_654;
{ /* Llib/pgp_decode.scm 783 */
 BgL_elgamalzd2keyzd2_bglt BgL_new1175z00_1601;
{ /* Llib/pgp_decode.scm 784 */
 BgL_elgamalzd2keyzd2_bglt BgL_new1174z00_1602;
BgL_new1174z00_1602 = 
((BgL_elgamalzd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_elgamalzd2keyzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 784 */
 long BgL_arg1869z00_1603;
BgL_arg1869z00_1603 = 
BGL_CLASS_NUM(BGl_ElGamalzd2Keyzd2zz__cryptozd2elgamalzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1174z00_1602), BgL_arg1869z00_1603); } 
BgL_new1175z00_1601 = BgL_new1174z00_1602; } 
((((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_new1175z00_1601))->BgL_pz00)=((obj_t)BgL_pz00_651),BUNSPEC); 
((((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_new1175z00_1601))->BgL_gz00)=((obj_t)BgL_gz00_652),BUNSPEC); 
((((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_new1175z00_1601))->BgL_yz00)=((obj_t)BgL_yz00_653),BUNSPEC); 
BgL_kz00_654 = BgL_new1175z00_1601; } 
{ /* Llib/pgp_decode.scm 854 */

return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kpz00_40))->BgL_keyz00)=((obj_t)
((obj_t)BgL_kz00_654)),BUNSPEC);} } } } }  else 
{ /* Llib/pgp_decode.scm 829 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2059z00zz__openpgpzd2decodezd2, BGl_string2060z00zz__openpgpzd2decodezd2, 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_algoz00_615));} } } } } } } } 

}



/* decode-secret-key */
BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_decodezd2secretzd2keyz00zz__openpgpzd2decodezd2(obj_t BgL_cppz00_44)
{
{ /* Llib/pgp_decode.scm 875 */
{ /* Llib/pgp_decode.scm 877 */
 long BgL_versionz00_662;
{ /* Llib/pgp_decode.scm 877 */
 unsigned char BgL_arg1917z00_1609;
{ /* Llib/pgp_decode.scm 877 */
 unsigned char BgL_res2001z00_1612;
{ /* Llib/pgp_decode.scm 877 */
 obj_t BgL_tz00_1610;
BgL_tz00_1610 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_cppz00_44); 
if(
EOF_OBJECTP(BgL_tz00_1610))
{ /* Llib/pgp_decode.scm 877 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 877 */BFALSE; } 
BgL_res2001z00_1612 = 
CCHAR(BgL_tz00_1610); } 
BgL_arg1917z00_1609 = BgL_res2001z00_1612; } 
BgL_versionz00_662 = 
(
(unsigned char)(BgL_arg1917z00_1609)); } 
{ /* Llib/pgp_decode.scm 877 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_kpz00_663;
{ /* Llib/pgp_decode.scm 878 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1191z00_669;
{ /* Llib/pgp_decode.scm 878 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1190z00_670;
BgL_new1190z00_670 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 878 */
 long BgL_arg1886z00_671;
BgL_arg1886z00_671 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_670), BgL_arg1886z00_671); } 
{ /* Llib/pgp_decode.scm 878 */
 BgL_objectz00_bglt BgL_tmpz00_3506;
BgL_tmpz00_3506 = 
((BgL_objectz00_bglt)BgL_new1190z00_670); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3506, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1190z00_670); 
BgL_new1191z00_669 = BgL_new1190z00_670; } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1191z00_669)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1191z00_669)))->BgL_versionz00)=((long)BgL_versionz00_662),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1191z00_669)))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1191z00_669)))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)46))),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1191z00_669)))->BgL_creationzd2datezd2)=((obj_t)BGl_za2dummyzd2dateza2zd2zz__openpgpzd2decodezd2),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1191z00_669)))->BgL_validzd2dayszd2)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1191z00_669)))->BgL_keyz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(BgL_new1191z00_669))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)BGl_string2045z00zz__openpgpzd2decodezd2),BUNSPEC); 
BgL_kpz00_663 = BgL_new1191z00_669; } 
{ /* Llib/pgp_decode.scm 878 */

switch( BgL_versionz00_662) { case ((long)3) : 
case ((long)4) : 

BGl_decodezf2fillzd2keyz20zz__openpgpzd2decodezd2(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kpz00_663), BgL_versionz00_662, BgL_cppz00_44); break;
default: 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2061z00zz__openpgpzd2decodezd2, BGl_string2062z00zz__openpgpzd2decodezd2, 
BINT(BgL_versionz00_662)); } 
{ /* Llib/pgp_decode.scm 890 */
 obj_t BgL_secretzd2datazd2_667;
BgL_secretzd2datazd2_667 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_cppz00_44); 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(BgL_kpz00_663))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)BgL_secretzd2datazd2_667),BUNSPEC); 
return BgL_kpz00_663;} } } } } 

}



/* decode-compressed-data */
obj_t BGl_decodezd2compressedzd2dataz00zz__openpgpzd2decodezd2(obj_t BgL_cppz00_46, bool_t BgL_ignorezd2badzd2packetsz00_47)
{
{ /* Llib/pgp_decode.scm 908 */
{ /* Llib/pgp_decode.scm 913 */
 long BgL_algozd2bytezd2_674;
{ /* Llib/pgp_decode.scm 913 */
 unsigned char BgL_arg1917z00_1620;
{ /* Llib/pgp_decode.scm 913 */
 unsigned char BgL_res2002z00_1623;
{ /* Llib/pgp_decode.scm 913 */
 obj_t BgL_tz00_1621;
BgL_tz00_1621 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_cppz00_46); 
if(
EOF_OBJECTP(BgL_tz00_1621))
{ /* Llib/pgp_decode.scm 913 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 913 */BFALSE; } 
BgL_res2002z00_1623 = 
CCHAR(BgL_tz00_1621); } 
BgL_arg1917z00_1620 = BgL_res2002z00_1623; } 
BgL_algozd2bytezd2_674 = 
(
(unsigned char)(BgL_arg1917z00_1620)); } 
{ /* Llib/pgp_decode.scm 913 */
 obj_t BgL_algoz00_675;
BgL_algoz00_675 = 
BGl_bytezd2ze3compressionzd2algoze3zz__openpgpzd2enumszd2(
(signed char)(BgL_algozd2bytezd2_674)); 
{ /* Llib/pgp_decode.scm 914 */

if(
(BgL_algoz00_675==
CNST_TABLE_REF(((long)48))))
{ /* Llib/pgp_decode.scm 917 */
return 
BGl_decodezd2packetzd2zz__openpgpzd2decodezd2(BgL_cppz00_46, BgL_ignorezd2badzd2packetsz00_47);}  else 
{ /* Llib/pgp_decode.scm 917 */
if(
(BgL_algoz00_675==
CNST_TABLE_REF(((long)49))))
{ /* Llib/pgp_decode.scm 920 */
 obj_t BgL_pza7za7_679;
{ /* Llib/pgp_decode.scm 920 */

BgL_pza7za7_679 = 
BGl_portzd2ze3inflatezd2portze3zz__gunza7ipza7(BgL_cppz00_46, BTRUE); } 
{ /* Llib/pgp_decode.scm 921 */
 obj_t BgL_exitd1196z00_680;
BgL_exitd1196z00_680 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/pgp_decode.scm 924 */
 obj_t BgL_zc3z04anonymousza31890ze3z87_1782;
BgL_zc3z04anonymousza31890ze3z87_1782 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31890ze3ze5zz__openpgpzd2decodezd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31890ze3z87_1782, 
(int)(((long)0)), BgL_pza7za7_679); 
{ /* Llib/pgp_decode.scm 921 */
 obj_t BgL_arg1818z00_1628;
{ /* Llib/pgp_decode.scm 921 */
 obj_t BgL_arg1819z00_1629;
BgL_arg1819z00_1629 = 
BGL_EXITD_PROTECT(BgL_exitd1196z00_680); 
BgL_arg1818z00_1628 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31890ze3z87_1782, BgL_arg1819z00_1629); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1196z00_680, BgL_arg1818z00_1628); BUNSPEC; } 
{ /* Llib/pgp_decode.scm 922 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_tmp1198z00_682;
{ /* Llib/pgp_decode.scm 922 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_new1201z00_683;
{ /* Llib/pgp_decode.scm 923 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_new1200z00_684;
BgL_new1200z00_684 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2compressedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 923 */
 long BgL_arg1889z00_685;
BgL_arg1889z00_685 = 
BGL_CLASS_NUM(BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1200z00_684), BgL_arg1889z00_685); } 
{ /* Llib/pgp_decode.scm 923 */
 BgL_objectz00_bglt BgL_tmpz00_3563;
BgL_tmpz00_3563 = 
((BgL_objectz00_bglt)BgL_new1200z00_684); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3563, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1200z00_684); 
BgL_new1201z00_683 = BgL_new1200z00_684; } 
((((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_new1201z00_683))->BgL_packetsz00)=((obj_t)
BGl_loopze70ze7zz__openpgpzd2decodezd2(BgL_ignorezd2badzd2packetsz00_47, BgL_pza7za7_679)),BUNSPEC); 
BgL_tmp1198z00_682 = BgL_new1201z00_683; } 
{ /* Llib/pgp_decode.scm 921 */
 bool_t BgL_test2306z00_3569;
{ /* Llib/pgp_decode.scm 921 */
 obj_t BgL_arg1817z00_1635;
BgL_arg1817z00_1635 = 
BGL_EXITD_PROTECT(BgL_exitd1196z00_680); 
BgL_test2306z00_3569 = 
PAIRP(BgL_arg1817z00_1635); } 
if(BgL_test2306z00_3569)
{ /* Llib/pgp_decode.scm 921 */
 obj_t BgL_arg1815z00_1636;
{ /* Llib/pgp_decode.scm 921 */
 obj_t BgL_arg1816z00_1637;
BgL_arg1816z00_1637 = 
BGL_EXITD_PROTECT(BgL_exitd1196z00_680); 
BgL_arg1815z00_1636 = 
CDR(
((obj_t)BgL_arg1816z00_1637)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1196z00_680, BgL_arg1815z00_1636); BUNSPEC; }  else 
{ /* Llib/pgp_decode.scm 921 */BFALSE; } } 
bgl_close_input_port(BgL_pza7za7_679); 
return 
((obj_t)BgL_tmp1198z00_682);} } } }  else 
{ /* Llib/pgp_decode.scm 917 */
if(
(BgL_algoz00_675==
CNST_TABLE_REF(((long)50))))
{ /* Llib/pgp_decode.scm 927 */
 obj_t BgL_pza7za7_691;
{ /* Llib/pgp_decode.scm 927 */

BgL_pza7za7_691 = 
BGl_portzd2ze3za7libzd2portz44zz__gunza7ipza7(BgL_cppz00_46, BTRUE); } 
{ /* Llib/pgp_decode.scm 928 */
 obj_t BgL_exitd1202z00_692;
BgL_exitd1202z00_692 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/pgp_decode.scm 931 */
 obj_t BgL_zc3z04anonymousza31893ze3z87_1783;
BgL_zc3z04anonymousza31893ze3z87_1783 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31893ze3ze5zz__openpgpzd2decodezd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31893ze3z87_1783, 
(int)(((long)0)), BgL_pza7za7_691); 
{ /* Llib/pgp_decode.scm 928 */
 obj_t BgL_arg1818z00_1642;
{ /* Llib/pgp_decode.scm 928 */
 obj_t BgL_arg1819z00_1643;
BgL_arg1819z00_1643 = 
BGL_EXITD_PROTECT(BgL_exitd1202z00_692); 
BgL_arg1818z00_1642 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31893ze3z87_1783, BgL_arg1819z00_1643); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1202z00_692, BgL_arg1818z00_1642); BUNSPEC; } 
{ /* Llib/pgp_decode.scm 929 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_tmp1204z00_694;
{ /* Llib/pgp_decode.scm 929 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_new1207z00_695;
{ /* Llib/pgp_decode.scm 930 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_new1206z00_696;
BgL_new1206z00_696 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2compressedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 930 */
 long BgL_arg1892z00_697;
BgL_arg1892z00_697 = 
BGL_CLASS_NUM(BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1206z00_696), BgL_arg1892z00_697); } 
{ /* Llib/pgp_decode.scm 930 */
 BgL_objectz00_bglt BgL_tmpz00_3595;
BgL_tmpz00_3595 = 
((BgL_objectz00_bglt)BgL_new1206z00_696); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3595, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1206z00_696); 
BgL_new1207z00_695 = BgL_new1206z00_696; } 
((((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_new1207z00_695))->BgL_packetsz00)=((obj_t)
BGl_loopze70ze7zz__openpgpzd2decodezd2(BgL_ignorezd2badzd2packetsz00_47, BgL_pza7za7_691)),BUNSPEC); 
BgL_tmp1204z00_694 = BgL_new1207z00_695; } 
{ /* Llib/pgp_decode.scm 928 */
 bool_t BgL_test2308z00_3601;
{ /* Llib/pgp_decode.scm 928 */
 obj_t BgL_arg1817z00_1649;
BgL_arg1817z00_1649 = 
BGL_EXITD_PROTECT(BgL_exitd1202z00_692); 
BgL_test2308z00_3601 = 
PAIRP(BgL_arg1817z00_1649); } 
if(BgL_test2308z00_3601)
{ /* Llib/pgp_decode.scm 928 */
 obj_t BgL_arg1815z00_1650;
{ /* Llib/pgp_decode.scm 928 */
 obj_t BgL_arg1816z00_1651;
BgL_arg1816z00_1651 = 
BGL_EXITD_PROTECT(BgL_exitd1202z00_692); 
BgL_arg1815z00_1650 = 
CDR(
((obj_t)BgL_arg1816z00_1651)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1202z00_692, BgL_arg1815z00_1650); BUNSPEC; }  else 
{ /* Llib/pgp_decode.scm 928 */BFALSE; } } 
bgl_close_input_port(BgL_pza7za7_691); 
return 
((obj_t)BgL_tmp1204z00_694);} } } }  else 
{ /* Llib/pgp_decode.scm 917 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2063z00zz__openpgpzd2decodezd2, BGl_string2064z00zz__openpgpzd2decodezd2, BgL_algoz00_675);} } } } } } } 

}



/* &<@anonymous:1890> */
obj_t BGl_z62zc3z04anonymousza31890ze3ze5zz__openpgpzd2decodezd2(obj_t BgL_envz00_1784)
{
{ /* Llib/pgp_decode.scm 921 */
{ /* Llib/pgp_decode.scm 924 */
 obj_t BgL_pza7za7_1785;
BgL_pza7za7_1785 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1784, 
(int)(((long)0)))); 
return 
bgl_close_input_port(BgL_pza7za7_1785);} } 

}



/* &<@anonymous:1893> */
obj_t BGl_z62zc3z04anonymousza31893ze3ze5zz__openpgpzd2decodezd2(obj_t BgL_envz00_1786)
{
{ /* Llib/pgp_decode.scm 928 */
{ /* Llib/pgp_decode.scm 931 */
 obj_t BgL_pza7za7_1787;
BgL_pza7za7_1787 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1786, 
(int)(((long)0)))); 
return 
bgl_close_input_port(BgL_pza7za7_1787);} } 

}



/* decode-symmetrically-encrypted-data */
BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_decodezd2symmetricallyzd2encryptedzd2datazd2zz__openpgpzd2decodezd2(obj_t BgL_cppz00_48)
{
{ /* Llib/pgp_decode.scm 937 */
{ /* Llib/pgp_decode.scm 938 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1209z00_702;
{ /* Llib/pgp_decode.scm 939 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1208z00_703;
BgL_new1208z00_703 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_decode.scm 939 */
 long BgL_arg1894z00_704;
BgL_arg1894z00_704 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1208z00_703), BgL_arg1894z00_704); } 
BgL_new1209z00_702 = BgL_new1208z00_703; } 
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_new1209z00_702))->BgL_dataz00)=((obj_t)
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_cppz00_48)),BUNSPEC); 
return BgL_new1209z00_702;} } 

}



/* decode-marker */
BgL_pgpzd2markerzd2packetz00_bglt BGl_decodezd2markerzd2zz__openpgpzd2decodezd2(obj_t BgL_cppz00_49)
{
{ /* Llib/pgp_decode.scm 944 */
{ /* Llib/pgp_decode.scm 945 */
 long BgL_pz00_705;
{ /* Llib/pgp_decode.scm 945 */
 unsigned char BgL_arg1917z00_1657;
{ /* Llib/pgp_decode.scm 945 */
 unsigned char BgL_res2003z00_1660;
{ /* Llib/pgp_decode.scm 945 */
 obj_t BgL_tz00_1658;
BgL_tz00_1658 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_cppz00_49); 
if(
EOF_OBJECTP(BgL_tz00_1658))
{ /* Llib/pgp_decode.scm 945 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 945 */BFALSE; } 
BgL_res2003z00_1660 = 
CCHAR(BgL_tz00_1658); } 
BgL_arg1917z00_1657 = BgL_res2003z00_1660; } 
BgL_pz00_705 = 
(
(unsigned char)(BgL_arg1917z00_1657)); } 
{ /* Llib/pgp_decode.scm 945 */
 long BgL_gz00_706;
{ /* Llib/pgp_decode.scm 946 */
 unsigned char BgL_arg1917z00_1662;
{ /* Llib/pgp_decode.scm 946 */
 unsigned char BgL_res2004z00_1665;
{ /* Llib/pgp_decode.scm 946 */
 obj_t BgL_tz00_1663;
BgL_tz00_1663 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_cppz00_49); 
if(
EOF_OBJECTP(BgL_tz00_1663))
{ /* Llib/pgp_decode.scm 946 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 946 */BFALSE; } 
BgL_res2004z00_1665 = 
CCHAR(BgL_tz00_1663); } 
BgL_arg1917z00_1662 = BgL_res2004z00_1665; } 
BgL_gz00_706 = 
(
(unsigned char)(BgL_arg1917z00_1662)); } 
{ /* Llib/pgp_decode.scm 946 */
 long BgL_p2z00_707;
{ /* Llib/pgp_decode.scm 947 */
 unsigned char BgL_arg1917z00_1667;
{ /* Llib/pgp_decode.scm 947 */
 unsigned char BgL_res2005z00_1670;
{ /* Llib/pgp_decode.scm 947 */
 obj_t BgL_tz00_1668;
BgL_tz00_1668 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_cppz00_49); 
if(
EOF_OBJECTP(BgL_tz00_1668))
{ /* Llib/pgp_decode.scm 947 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 947 */BFALSE; } 
BgL_res2005z00_1670 = 
CCHAR(BgL_tz00_1668); } 
BgL_arg1917z00_1667 = BgL_res2005z00_1670; } 
BgL_p2z00_707 = 
(
(unsigned char)(BgL_arg1917z00_1667)); } 
{ /* Llib/pgp_decode.scm 947 */

{ /* Llib/pgp_decode.scm 948 */
 bool_t BgL_test2312z00_3646;
if(
(BgL_pz00_705==((long)80)))
{ /* Llib/pgp_decode.scm 948 */
if(
(BgL_gz00_706==((long)71)))
{ /* Llib/pgp_decode.scm 949 */
if(
(BgL_p2z00_707==((long)80)))
{ /* Llib/pgp_decode.scm 951 */
 obj_t BgL_tmpz00_3653;
BgL_tmpz00_3653 = 
BGl_peekzd2charzd2zz__r4_input_6_10_2z00(BgL_cppz00_49); 
BgL_test2312z00_3646 = 
EOF_OBJECTP(BgL_tmpz00_3653); }  else 
{ /* Llib/pgp_decode.scm 950 */
BgL_test2312z00_3646 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_decode.scm 949 */
BgL_test2312z00_3646 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_decode.scm 948 */
BgL_test2312z00_3646 = ((bool_t)0)
; } 
if(BgL_test2312z00_3646)
{ /* Llib/pgp_decode.scm 948 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 948 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2065z00zz__openpgpzd2decodezd2, BGl_string2066z00zz__openpgpzd2decodezd2, BFALSE); } } 
{ /* Llib/pgp_decode.scm 955 */
 BgL_pgpzd2markerzd2packetz00_bglt BgL_new1211z00_717;
{ /* Llib/pgp_decode.scm 955 */
 BgL_pgpzd2markerzd2packetz00_bglt BgL_new1210z00_718;
BgL_new1210z00_718 = 
((BgL_pgpzd2markerzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2markerzd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 955 */
 long BgL_arg1901z00_719;
BgL_arg1901z00_719 = 
BGL_CLASS_NUM(BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1210z00_718), BgL_arg1901z00_719); } 
{ /* Llib/pgp_decode.scm 955 */
 BgL_objectz00_bglt BgL_tmpz00_3661;
BgL_tmpz00_3661 = 
((BgL_objectz00_bglt)BgL_new1210z00_718); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3661, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1210z00_718); 
BgL_new1211z00_717 = BgL_new1210z00_718; } 
return BgL_new1211z00_717;} } } } } } 

}



/* decode-literal-data */
BgL_pgpzd2literalzd2packetz00_bglt BGl_decodezd2literalzd2dataz00zz__openpgpzd2decodezd2(obj_t BgL_pz00_50)
{
{ /* Llib/pgp_decode.scm 960 */
{ /* Llib/pgp_decode.scm 962 */
 long BgL_formatzd2bytezd2_720;
{ /* Llib/pgp_decode.scm 962 */
 unsigned char BgL_arg1917z00_1679;
{ /* Llib/pgp_decode.scm 962 */
 unsigned char BgL_res2006z00_1682;
{ /* Llib/pgp_decode.scm 962 */
 obj_t BgL_tz00_1680;
BgL_tz00_1680 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_50); 
if(
EOF_OBJECTP(BgL_tz00_1680))
{ /* Llib/pgp_decode.scm 962 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 962 */BFALSE; } 
BgL_res2006z00_1682 = 
CCHAR(BgL_tz00_1680); } 
BgL_arg1917z00_1679 = BgL_res2006z00_1682; } 
BgL_formatzd2bytezd2_720 = 
(
(unsigned char)(BgL_arg1917z00_1679)); } 
{ /* Llib/pgp_decode.scm 962 */
 obj_t BgL_formatz00_721;
BgL_formatz00_721 = 
BGl_bytezd2ze3literalzd2formatze3zz__openpgpzd2enumszd2(
(signed char)(BgL_formatzd2bytezd2_720)); 
{ /* Llib/pgp_decode.scm 963 */
 long BgL_filezd2lenzd2_722;
{ /* Llib/pgp_decode.scm 964 */
 unsigned char BgL_arg1917z00_1684;
{ /* Llib/pgp_decode.scm 964 */
 unsigned char BgL_res2007z00_1687;
{ /* Llib/pgp_decode.scm 964 */
 obj_t BgL_tz00_1685;
BgL_tz00_1685 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_50); 
if(
EOF_OBJECTP(BgL_tz00_1685))
{ /* Llib/pgp_decode.scm 964 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 964 */BFALSE; } 
BgL_res2007z00_1687 = 
CCHAR(BgL_tz00_1685); } 
BgL_arg1917z00_1684 = BgL_res2007z00_1687; } 
BgL_filezd2lenzd2_722 = 
(
(unsigned char)(BgL_arg1917z00_1684)); } 
{ /* Llib/pgp_decode.scm 964 */
 obj_t BgL_filezd2namezd2_723;
{ /* Llib/pgp_decode.scm 965 */
 obj_t BgL_res2008z00_1695;
{ /* Llib/pgp_decode.scm 965 */
 obj_t BgL_strz00_1689;
BgL_strz00_1689 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_filezd2lenzd2_722), BgL_pz00_50); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_1689))==BgL_filezd2lenzd2_722))
{ /* Llib/pgp_decode.scm 965 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 965 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2031z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); } 
BgL_res2008z00_1695 = BgL_strz00_1689; } 
BgL_filezd2namezd2_723 = BgL_res2008z00_1695; } 
{ /* Llib/pgp_decode.scm 965 */
 bool_t BgL_sensitivezf3zf3_724;
{ /* Llib/pgp_decode.scm 966 */
 long BgL_l1z00_1698;
BgL_l1z00_1698 = 
STRING_LENGTH(BgL_filezd2namezd2_723); 
if(
(BgL_l1z00_1698==((long)8)))
{ /* Llib/pgp_decode.scm 966 */
 int BgL_arg1289z00_1701;
{ /* Llib/pgp_decode.scm 966 */
 char * BgL_auxz00_3693; char * BgL_tmpz00_3691;
BgL_auxz00_3693 = 
BSTRING_TO_STRING(BGl_string2067z00zz__openpgpzd2decodezd2); 
BgL_tmpz00_3691 = 
BSTRING_TO_STRING(BgL_filezd2namezd2_723); 
BgL_arg1289z00_1701 = 
memcmp(BgL_tmpz00_3691, BgL_auxz00_3693, BgL_l1z00_1698); } 
BgL_sensitivezf3zf3_724 = 
(
(long)(BgL_arg1289z00_1701)==((long)0)); }  else 
{ /* Llib/pgp_decode.scm 966 */
BgL_sensitivezf3zf3_724 = ((bool_t)0); } } 
{ /* Llib/pgp_decode.scm 966 */
 obj_t BgL_creationzd2datezd2_725;
{ /* Llib/pgp_decode.scm 235 */
 long BgL_nz00_1708;
BgL_nz00_1708 = 
BGl_decodezd2scalarzd2zz__openpgpzd2decodezd2(BgL_pz00_50, ((long)4)); 
if(
(BgL_nz00_1708==((long)0)))
{ /* Llib/pgp_decode.scm 236 */
BgL_creationzd2datezd2_725 = 
bgl_nanoseconds_to_date(
bgl_current_nanoseconds()); }  else 
{ /* Llib/pgp_decode.scm 238 */
 long BgL_elongz00_1713;
BgL_elongz00_1713 = 
(long)(BgL_nz00_1708); 
BgL_creationzd2datezd2_725 = 
bgl_seconds_to_date(BgL_elongz00_1713); } } 
{ /* Llib/pgp_decode.scm 967 */
 obj_t BgL_dataz00_726;
BgL_dataz00_726 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_pz00_50); 
{ /* Llib/pgp_decode.scm 968 */

{ /* Llib/pgp_decode.scm 974 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1213z00_727;
{ /* Llib/pgp_decode.scm 975 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1212z00_729;
BgL_new1212z00_729 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 975 */
 long BgL_arg1902z00_730;
BgL_arg1902z00_730 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1212z00_729), BgL_arg1902z00_730); } 
{ /* Llib/pgp_decode.scm 975 */
 BgL_objectz00_bglt BgL_tmpz00_3710;
BgL_tmpz00_3710 = 
((BgL_objectz00_bglt)BgL_new1212z00_729); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3710, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1212z00_729); 
BgL_new1213z00_727 = BgL_new1212z00_729; } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1213z00_727))->BgL_formatz00)=((obj_t)BgL_formatz00_721),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1213z00_727))->BgL_forzd2yourzd2eyeszd2onlyzf3z21)=((bool_t)BgL_sensitivezf3zf3_724),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3716;
if(BgL_sensitivezf3zf3_724)
{ /* Llib/pgp_decode.scm 977 */
BgL_auxz00_3716 = BFALSE
; }  else 
{ /* Llib/pgp_decode.scm 977 */
BgL_auxz00_3716 = BgL_filezd2namezd2_723
; } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1213z00_727))->BgL_filezd2namezd2)=((obj_t)BgL_auxz00_3716),BUNSPEC); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1213z00_727))->BgL_creationzd2datezd2)=((obj_t)BgL_creationzd2datezd2_725),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1213z00_727))->BgL_dataz00)=((obj_t)BgL_dataz00_726),BUNSPEC); 
return BgL_new1213z00_727;} } } } } } } } } } 

}



/* decode-trust */
BgL_pgpzd2trustzd2packetz00_bglt BGl_decodezd2trustzd2zz__openpgpzd2decodezd2(obj_t BgL_cppz00_51)
{
{ /* Llib/pgp_decode.scm 984 */
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_cppz00_51); 
{ /* Llib/pgp_decode.scm 986 */
 obj_t BgL_list1903z00_731;
BgL_list1903z00_731 = 
MAKE_YOUNG_PAIR(BGl_string2068z00zz__openpgpzd2decodezd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1903z00_731); } 
{ /* Llib/pgp_decode.scm 987 */
 BgL_pgpzd2trustzd2packetz00_bglt BgL_new1216z00_732;
{ /* Llib/pgp_decode.scm 987 */
 BgL_pgpzd2trustzd2packetz00_bglt BgL_new1215z00_733;
BgL_new1215z00_733 = 
((BgL_pgpzd2trustzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2trustzd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 987 */
 long BgL_arg1904z00_734;
BgL_arg1904z00_734 = 
BGL_CLASS_NUM(BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_733), BgL_arg1904z00_734); } 
{ /* Llib/pgp_decode.scm 987 */
 BgL_objectz00_bglt BgL_tmpz00_3728;
BgL_tmpz00_3728 = 
((BgL_objectz00_bglt)BgL_new1215z00_733); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3728, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1215z00_733); 
BgL_new1216z00_732 = BgL_new1215z00_733; } 
return BgL_new1216z00_732;} } 

}



/* decode-user-id */
BgL_pgpzd2idzd2packetz00_bglt BGl_decodezd2userzd2idz00zz__openpgpzd2decodezd2(obj_t BgL_cppz00_52)
{
{ /* Llib/pgp_decode.scm 992 */
{ /* Llib/pgp_decode.scm 994 */
 obj_t BgL_userzd2idzd2_735;
BgL_userzd2idzd2_735 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_cppz00_52); 
{ /* Llib/pgp_decode.scm 996 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_new1218z00_736;
{ /* Llib/pgp_decode.scm 997 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_new1217z00_737;
BgL_new1217z00_737 = 
((BgL_pgpzd2idzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2idzd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 997 */
 long BgL_arg1907z00_738;
BgL_arg1907z00_738 = 
BGL_CLASS_NUM(BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_737), BgL_arg1907z00_738); } 
{ /* Llib/pgp_decode.scm 997 */
 BgL_objectz00_bglt BgL_tmpz00_3737;
BgL_tmpz00_3737 = 
((BgL_objectz00_bglt)BgL_new1217z00_737); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3737, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1217z00_737); 
BgL_new1218z00_736 = BgL_new1217z00_737; } 
((((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(BgL_new1218z00_736))->BgL_dataz00)=((obj_t)BgL_userzd2idzd2_735),BUNSPEC); 
return BgL_new1218z00_736;} } } 

}



/* decode-user-attribute */
BgL_pgpzd2attributezd2packetz00_bglt BGl_decodezd2userzd2attributez00zz__openpgpzd2decodezd2(obj_t BgL_cppz00_53)
{
{ /* Llib/pgp_decode.scm 1002 */
{ /* Llib/pgp_decode.scm 1004 */
 obj_t BgL_userzd2attrzd2_739;
BgL_userzd2attrzd2_739 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_cppz00_53); 
{ /* Llib/pgp_decode.scm 1006 */
 BgL_pgpzd2attributezd2packetz00_bglt BgL_new1220z00_740;
{ /* Llib/pgp_decode.scm 1007 */
 BgL_pgpzd2attributezd2packetz00_bglt BgL_new1219z00_741;
BgL_new1219z00_741 = 
((BgL_pgpzd2attributezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2attributezd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 1007 */
 long BgL_arg1908z00_742;
BgL_arg1908z00_742 = 
BGL_CLASS_NUM(BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_741), BgL_arg1908z00_742); } 
{ /* Llib/pgp_decode.scm 1007 */
 BgL_objectz00_bglt BgL_tmpz00_3747;
BgL_tmpz00_3747 = 
((BgL_objectz00_bglt)BgL_new1219z00_741); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3747, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1219z00_741); 
BgL_new1220z00_740 = BgL_new1219z00_741; } 
((((BgL_pgpzd2attributezd2packetz00_bglt)COBJECT(BgL_new1220z00_740))->BgL_dataz00)=((obj_t)BgL_userzd2attrzd2_739),BUNSPEC); 
return BgL_new1220z00_740;} } } 

}



/* decode-mdc-sym-encrypted */
BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_decodezd2mdczd2symzd2encryptedzd2zz__openpgpzd2decodezd2(obj_t BgL_cppz00_54)
{
{ /* Llib/pgp_decode.scm 1012 */
{ /* Llib/pgp_decode.scm 1015 */
 long BgL_versionz00_743;
{ /* Llib/pgp_decode.scm 1015 */
 unsigned char BgL_arg1917z00_1730;
{ /* Llib/pgp_decode.scm 1015 */
 unsigned char BgL_res2009z00_1733;
{ /* Llib/pgp_decode.scm 1015 */
 obj_t BgL_tz00_1731;
BgL_tz00_1731 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_cppz00_54); 
if(
EOF_OBJECTP(BgL_tz00_1731))
{ /* Llib/pgp_decode.scm 1015 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2021z00zz__openpgpzd2decodezd2, BGl_string2022z00zz__openpgpzd2decodezd2, BFALSE); }  else 
{ /* Llib/pgp_decode.scm 1015 */BFALSE; } 
BgL_res2009z00_1733 = 
CCHAR(BgL_tz00_1731); } 
BgL_arg1917z00_1730 = BgL_res2009z00_1733; } 
BgL_versionz00_743 = 
(
(unsigned char)(BgL_arg1917z00_1730)); } 
{ /* Llib/pgp_decode.scm 1015 */
 obj_t BgL_dataz00_744;
BgL_dataz00_744 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_cppz00_54); 
{ /* Llib/pgp_decode.scm 1016 */

{ /* Llib/pgp_decode.scm 1019 */
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_new1222z00_745;
{ /* Llib/pgp_decode.scm 1021 */
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_new1221z00_746;
BgL_new1221z00_746 = 
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 1021 */
 long BgL_arg1909z00_747;
BgL_arg1909z00_747 = 
BGL_CLASS_NUM(BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_746), BgL_arg1909z00_747); } 
{ /* Llib/pgp_decode.scm 1021 */
 BgL_objectz00_bglt BgL_tmpz00_3764;
BgL_tmpz00_3764 = 
((BgL_objectz00_bglt)BgL_new1221z00_746); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3764, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1221z00_746); 
BgL_new1222z00_745 = BgL_new1221z00_746; } 
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_new1222z00_745)))->BgL_dataz00)=((obj_t)BgL_dataz00_744),BUNSPEC); 
((((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(BgL_new1222z00_745))->BgL_versionz00)=((long)BgL_versionz00_743),BUNSPEC); 
return BgL_new1222z00_745;} } } } } 

}



/* decode-mdc */
BgL_pgpzd2mdczd2packetz00_bglt BGl_decodezd2mdczd2zz__openpgpzd2decodezd2(obj_t BgL_cppz00_55)
{
{ /* Llib/pgp_decode.scm 1026 */
{ /* Llib/pgp_decode.scm 1028 */
 obj_t BgL_strz00_748;
BgL_strz00_748 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_cppz00_55); 
if(
(
STRING_LENGTH(BgL_strz00_748)==((long)20)))
{ /* Llib/pgp_decode.scm 1029 */BFALSE; }  else 
{ /* Llib/pgp_decode.scm 1029 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(
CNST_TABLE_REF(((long)51)), BGl_string2069z00zz__openpgpzd2decodezd2, BFALSE); } 
{ /* Llib/pgp_decode.scm 1034 */
 BgL_pgpzd2mdczd2packetz00_bglt BgL_new1224z00_752;
{ /* Llib/pgp_decode.scm 1035 */
 BgL_pgpzd2mdczd2packetz00_bglt BgL_new1223z00_753;
BgL_new1223z00_753 = 
((BgL_pgpzd2mdczd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2mdczd2packetz00_bgl) ))); 
{ /* Llib/pgp_decode.scm 1035 */
 long BgL_arg1913z00_754;
BgL_arg1913z00_754 = 
BGL_CLASS_NUM(BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_753), BgL_arg1913z00_754); } 
{ /* Llib/pgp_decode.scm 1035 */
 BgL_objectz00_bglt BgL_tmpz00_3781;
BgL_tmpz00_3781 = 
((BgL_objectz00_bglt)BgL_new1223z00_753); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3781, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1223z00_753); 
BgL_new1224z00_752 = BgL_new1223z00_753; } 
((((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(BgL_new1224z00_752))->BgL_hashz00)=((obj_t)BgL_strz00_748),BUNSPEC); 
return BgL_new1224z00_752;} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2decodezd2()
{
{ /* Llib/pgp_decode.scm 18 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2decodezd2()
{
{ /* Llib/pgp_decode.scm 18 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2decodezd2()
{
{ /* Llib/pgp_decode.scm 18 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2decodezd2()
{
{ /* Llib/pgp_decode.scm 18 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(((long)486475050), 
BSTRING_TO_STRING(BGl_string2070z00zz__openpgpzd2decodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2portzd2utilz00(((long)98035382), 
BSTRING_TO_STRING(BGl_string2070z00zz__openpgpzd2decodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(((long)485669724), 
BSTRING_TO_STRING(BGl_string2070z00zz__openpgpzd2decodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(((long)524611842), 
BSTRING_TO_STRING(BGl_string2070z00zz__openpgpzd2decodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(((long)249755061), 
BSTRING_TO_STRING(BGl_string2070z00zz__openpgpzd2decodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(((long)103989188), 
BSTRING_TO_STRING(BGl_string2070z00zz__openpgpzd2decodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(((long)520811633), 
BSTRING_TO_STRING(BGl_string2070z00zz__openpgpzd2decodezd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(((long)364974745), 
BSTRING_TO_STRING(BGl_string2070z00zz__openpgpzd2decodezd2));} 

}

#ifdef __cplusplus
}
#endif
