/*===========================================================================*/
/*   (Llib/pgp_encode.scm)                                                   */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_encode.scm -o objs/pgp_encode.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_rsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_modulusz00;
   obj_t BgL_exponentz00;
} *BgL_rsazd2keyzd2_bglt;

typedef struct BgL_elgamalzd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
} *BgL_elgamalzd2keyzd2_bglt;

typedef struct BgL_dsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_qz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
} *BgL_dsazd2keyzd2_bglt;

typedef struct BgL_pgpzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2packetzd2_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_idz00;
   obj_t BgL_algoz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2sigzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
} *BgL_pgpzd2sigzd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
   obj_t BgL_securezd2subzd2packetsz00;
   obj_t BgL_insecurezd2subzd2packetsz00;
} *BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt;

typedef struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_algoz00;
   obj_t BgL_s2kz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   bool_t BgL_containszd2nestedzd2sigzf3zf3;
} *BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2publiczd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
   obj_t BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00;
} *BgL_pgpzd2secretzd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt;

typedef struct BgL_pgpzd2literalzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   bool_t BgL_forzd2yourzd2eyeszd2onlyzf3z21;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_dataz00;
} *BgL_pgpzd2literalzd2packetz00_bglt;

typedef struct BgL_pgpzd2idzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2idzd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
   long BgL_versionz00;
} *BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_hashz00;
} *BgL_pgpzd2mdczd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2packetzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_typez00;
   obj_t BgL_dataz00;
} *BgL_pgpzd2signaturezd2subzd2genericzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_creationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_expirationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2exportablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_exportablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2trustzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   int BgL_levelz00;
   int BgL_amountz00;
} *BgL_pgpzd2signaturezd2subzd2trustzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_revocablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   long BgL_expirationzd2timezd2;
} *BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   char BgL_claza7za7z00;
   bool_t BgL_sensitivezf3zf3;
   char BgL_algidz00;
   obj_t BgL_fingerprintz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_keyzd2idzd2;
} *BgL_pgpzd2signaturezd2subzd2idzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2notationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_valuez00;
} *BgL_pgpzd2signaturezd2subzd2notationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_serverz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_primaryzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2policyzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_urlz00;
} *BgL_pgpzd2signaturezd2subzd2policyzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_idz00;
} *BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_codez00;
   obj_t BgL_reasonz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt;


static obj_t BGl_z62encodezd2subzd2packetzd2co1226zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1244zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1228zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1248zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_ElGamalzd2Keyzd2zz__cryptozd2elgamalzd2;
extern char BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1230zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1232zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1234zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1252zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1236zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static bool_t BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1238zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2insecurezd2subzd2packetszd2zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2 = BUNSPEC;
static obj_t BGl_z62encodezd2subzd2packetzd2co1240zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2contentzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
extern obj_t BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(long, long);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2;
extern int BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2();
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2;
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2encodezd2();
static obj_t BGl_z62encodezd2contentzd2PGPzd2L1256zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_s2kzd2algozd2zz__openpgpzd2s2kzd2(obj_t);
extern char BGl_signaturezd2typezd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2T1258zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2signaturezd2subzd2packetzd2_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2encodezd2();
extern obj_t BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2;
static obj_t BGl_objectzd2initzd2zz__openpgpzd2encodezd2();
extern long BGl_iteratedzd2saltedzd2s2kzd2countzd2ze3octetze3zz__openpgpzd2s2kzd2(long);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62encodezd2contentzd2PGPzd2M1254zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2contentzd2PGPzd2M1262zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2M1264zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2packetzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern obj_t BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2s2kzd2zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_s2kzd2saltzd2zz__openpgpzd2s2kzd2(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt, obj_t);
static obj_t BGl_appendzd221010zd2zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2encodezd2();
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2packetszb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(long, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2;
extern long BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tag1169z81zz__openpgpzd2encodezd2(obj_t, obj_t);
extern char BGl_literalzd2formatzd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2contentzd2PGPzd2P1202zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62createzd2signedzd2packetzd2prefixzd2v4z62zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2O1246zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2;
extern obj_t BGl_s2kzd2hashzd2zz__openpgpzd2s2kzd2(obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
extern char BGl_revocationzd2codezd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2dsazd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2elgamalzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern char BGl_contentzd2tagzd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2;
extern char BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
static obj_t BGl_z62encodezd2publiczd2keyzd2contentzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62packetzd2ze3contentzd2tagz81zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2contentzd2PGPzd2P1250zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_createzd2signedzd2packetzd2prefixzd2v4z00zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2encodezd2();
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2;
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2encodezd2();
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21173z53zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21175z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21177z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2encodezd2();
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21179z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2encodezd2();
extern obj_t BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(obj_t, obj_t, obj_t);
static obj_t BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(long, obj_t);
extern obj_t BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21181z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21183z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21185z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21187z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21189z53zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2keyzd2packetz00_bglt, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21191z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21193z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21195z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21197z53zz__openpgpzd2encodezd2(obj_t, obj_t);
extern char BGl_s2kzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2I1260zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_s2kzd2countzd2zz__openpgpzd2s2kzd2(obj_t);
extern obj_t BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2;
extern char BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_Dsazd2Keyzd2zz__cryptozd2dsazd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2;
static obj_t BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2content1198zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1203zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1206zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1208zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1210zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1212zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1214zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1216zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1218zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern char BGl_symmetriczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2subzd2packetzd2co1220zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1222zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1224zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1242zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t __cnst[ 43 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2112z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72148za7, BGl_z62encodezd2subzd2packetzd2co1238zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2113z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72149za7, BGl_z62encodezd2subzd2packetzd2co1240zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2114z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2150z00, BGl_z62encodezd2contentzd2PGPzd2S1242zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2115z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2151z00, BGl_z62encodezd2contentzd2PGPzd2S1244zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2040z00zz__openpgpzd2encodezd2, BgL_bgl_string2040za700za7za7_2152za7, "&encode-packet", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2116z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2153z00, BGl_z62encodezd2contentzd2PGPzd2O1246zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2041z00zz__openpgpzd2encodezd2, BgL_bgl_string2041za700za7za7_2154za7, "PGP-Packet", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2117z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2155z00, BGl_z62encodezd2contentzd2PGPzd2S1248zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2042z00zz__openpgpzd2encodezd2, BgL_bgl_string2042za700za7za7_2156za7, "create-signed-packet-prefix-v4", 30 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2118z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2157z00, BGl_z62encodezd2contentzd2PGPzd2P1250zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2043z00zz__openpgpzd2encodezd2, BgL_bgl_string2043za700za7za7_2158za7, "creation-date ist mandatory", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2119z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2159z00, BGl_z62encodezd2contentzd2PGPzd2S1252zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2044z00zz__openpgpzd2encodezd2, BgL_bgl_string2044za700za7za7_2160za7, "Conflicting creation-dates", 26 );
DEFINE_STRING( BGl_string2126z00zz__openpgpzd2encodezd2, BgL_bgl_string2126za700za7za7_2161za7, "encode-content-trust", 20 );
DEFINE_STRING( BGl_string2045z00zz__openpgpzd2encodezd2, BgL_bgl_string2045za700za7za7_2162za7, "&create-signed-packet-prefix-v4", 31 );
DEFINE_STRING( BGl_string2127z00zz__openpgpzd2encodezd2, BgL_bgl_string2127za700za7za7_2163za7, "Trust Packet encoding not yet implemented", 41 );
DEFINE_STRING( BGl_string2046z00zz__openpgpzd2encodezd2, BgL_bgl_string2046za700za7za7_2164za7, "symbol", 6 );
DEFINE_STRING( BGl_string2128z00zz__openpgpzd2encodezd2, BgL_bgl_string2128za700za7za7_2165za7, "encode-content-literal", 22 );
DEFINE_STRING( BGl_string2047z00zz__openpgpzd2encodezd2, BgL_bgl_string2047za700za7za7_2166za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string2129z00zz__openpgpzd2encodezd2, BgL_bgl_string2129za700za7za7_2167za7, "'for-your-eyes-only' excludes filename", 38 );
DEFINE_STRING( BGl_string2048z00zz__openpgpzd2encodezd2, BgL_bgl_string2048za700za7za7_2168za7, "encode-insecure-sub-packets", 27 );
DEFINE_STRING( BGl_string2049z00zz__openpgpzd2encodezd2, BgL_bgl_string2049za700za7za7_2169za7, "Conflicting issuers", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2packetzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2pack2170z00, BGl_z62encodezd2packetzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2120z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2171z00, BGl_z62encodezd2contentzd2PGPzd2M1254zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2121z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2172z00, BGl_z62encodezd2contentzd2PGPzd2L1256zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2122z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2173z00, BGl_z62encodezd2contentzd2PGPzd2T1258zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2123z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2174z00, BGl_z62encodezd2contentzd2PGPzd2I1260zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2130z00zz__openpgpzd2encodezd2, BgL_bgl_string2130za700za7za7_2175za7, "_CONSOLE", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2124z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2176z00, BGl_z62encodezd2contentzd2PGPzd2M1262zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2131z00zz__openpgpzd2encodezd2, BgL_bgl_string2131za700za7za7_2177za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2125z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2178z00, BGl_z62encodezd2contentzd2PGPzd2M1264zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2050z00zz__openpgpzd2encodezd2, BgL_bgl_string2050za700za7za7_2179za7, "encode-s2k", 10 );
DEFINE_STRING( BGl_string2132z00zz__openpgpzd2encodezd2, BgL_bgl_string2132za700za7za7_2180za7, "Filename too long (>255)", 24 );
DEFINE_STRING( BGl_string2051z00zz__openpgpzd2encodezd2, BgL_bgl_string2051za700za7za7_2181za7, "expected string as salt", 23 );
DEFINE_STRING( BGl_string2133z00zz__openpgpzd2encodezd2, BgL_bgl_string2133za700za7za7_2182za7, "encode-Symmetric-Key-Encrypted-Session", 38 );
DEFINE_STRING( BGl_string2052z00zz__openpgpzd2encodezd2, BgL_bgl_string2052za700za7za7_2183za7, "encode-octets", 13 );
DEFINE_STRING( BGl_string2134z00zz__openpgpzd2encodezd2, BgL_bgl_string2134za700za7za7_2184za7, "Only encoding packets of version 4", 34 );
DEFINE_STRING( BGl_string2053z00zz__openpgpzd2encodezd2, BgL_bgl_string2053za700za7za7_2185za7, "given string has bad size", 25 );
DEFINE_STRING( BGl_string2135z00zz__openpgpzd2encodezd2, BgL_bgl_string2135za700za7za7_2186za7, "encode-PGP-Signature-v4-Packet", 30 );
DEFINE_STRING( BGl_string2054z00zz__openpgpzd2encodezd2, BgL_bgl_string2054za700za7za7_2187za7, "expected fixnum as count", 24 );
DEFINE_STRING( BGl_string2136z00zz__openpgpzd2encodezd2, BgL_bgl_string2136za700za7za7_2188za7, "signature-data in DSA-mode must be a pair", 41 );
DEFINE_STRING( BGl_string2055z00zz__openpgpzd2encodezd2, BgL_bgl_string2055za700za7za7_2189za7, "unknown s2k algorithm", 21 );
DEFINE_STRING( BGl_string2137z00zz__openpgpzd2encodezd2, BgL_bgl_string2137za700za7za7_2190za7, "signature-encoding not yet implemented", 38 );
DEFINE_STRING( BGl_string2056z00zz__openpgpzd2encodezd2, BgL_bgl_string2056za700za7za7_2191za7, "encode-public-key", 17 );
DEFINE_STRING( BGl_string2138z00zz__openpgpzd2encodezd2, BgL_bgl_string2138za700za7za7_2192za7, "encode-Public-key-encrypted-session-key-packet", 46 );
DEFINE_STRING( BGl_string2057z00zz__openpgpzd2encodezd2, BgL_bgl_string2057za700za7za7_2193za7, "v3 keys must have valid-days (as fixnum)", 40 );
DEFINE_STRING( BGl_string2139z00zz__openpgpzd2encodezd2, BgL_bgl_string2139za700za7za7_2194za7, "bad encrypted-session-key. ElGamal requires a pair", 50 );
DEFINE_STRING( BGl_string2058z00zz__openpgpzd2encodezd2, BgL_bgl_string2058za700za7za7_2195za7, "v3 keys must be RSA", 19 );
DEFINE_STRING( BGl_string2059z00zz__openpgpzd2encodezd2, BgL_bgl_string2059za700za7za7_2196za7, "encode-key", 10 );
DEFINE_STATIC_BGL_GENERIC( BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2197z00, BGl_z62encodezd2contentzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2140z00zz__openpgpzd2encodezd2, BgL_bgl_string2140za700za7za7_2198za7, "Not yet implemented", 19 );
DEFINE_STRING( BGl_string2141z00zz__openpgpzd2encodezd2, BgL_bgl_string2141za700za7za7_2199za7, "__openpgp-encode", 16 );
DEFINE_STRING( BGl_string2060z00zz__openpgpzd2encodezd2, BgL_bgl_string2060za700za7za7_2200za7, "invalid Rsa-Key", 15 );
DEFINE_STRING( BGl_string2142z00zz__openpgpzd2encodezd2, BgL_bgl_string2142za700za7za7_2201za7, "public-key-encrypted-session-key signature symmetric-key-encrypted-session-key one-pass-signature secret-subkey secret-key public-subkey public-key compressed symmetrically-encrypted mdc-symmetrically-encrypted marker literal ID creation-time expiration-time exportable? trust revocable? key-expiration-time preferred-symmetric revocation-key issuer-ID notation preferred-hash preferred-compression preferred-key-server primary-id? policy signer-ID revocation-reason do-nothing elgamal-encrypt/sign elgamal-encrypt dsa ok rsa-sign rsa-encrypt rsa-encrypt/sign iterated salted nothing-to-do simple ", 597 );
DEFINE_STRING( BGl_string2061z00zz__openpgpzd2encodezd2, BgL_bgl_string2061za700za7za7_2202za7, "invalid Dsa-Key", 15 );
DEFINE_STRING( BGl_string2062z00zz__openpgpzd2encodezd2, BgL_bgl_string2062za700za7za7_2203za7, "invalid ElGamal-key", 19 );
DEFINE_STRING( BGl_string2063z00zz__openpgpzd2encodezd2, BgL_bgl_string2063za700za7za7_2204za7, "unsupported public key algorithm", 32 );
DEFINE_STRING( BGl_string2064z00zz__openpgpzd2encodezd2, BgL_bgl_string2064za700za7za7_2205za7, "&encode-public-key-content", 26 );
DEFINE_STRING( BGl_string2065z00zz__openpgpzd2encodezd2, BgL_bgl_string2065za700za7za7_2206za7, "PGP-Key-Packet", 14 );
DEFINE_STRING( BGl_string2067z00zz__openpgpzd2encodezd2, BgL_bgl_string2067za700za7za7_2207za7, "packet->content-tag1169", 23 );
DEFINE_STRING( BGl_string2069z00zz__openpgpzd2encodezd2, BgL_bgl_string2069za700za7za7_2208za7, "encode-content1198", 18 );
DEFINE_STRING( BGl_string2071z00zz__openpgpzd2encodezd2, BgL_bgl_string2071za700za7za7_2209za7, "encode-sub-packet-co1203", 24 );
DEFINE_STRING( BGl_string2072z00zz__openpgpzd2encodezd2, BgL_bgl_string2072za700za7za7_2210za7, "encode-signature-sub-packet-content", 35 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2066z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2211za7, BGl_z62packetzd2ze3contentzd2tag1169z81zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2073z00zz__openpgpzd2encodezd2, BgL_bgl_string2073za700za7za7_2212za7, "not yet implemented", 19 );
DEFINE_STRING( BGl_string2074z00zz__openpgpzd2encodezd2, BgL_bgl_string2074za700za7za7_2213za7, "encode-content", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2068z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2214z00, BGl_z62encodezd2content1198zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2075z00zz__openpgpzd2encodezd2, BgL_bgl_string2075za700za7za7_2215za7, "packet->content-tag", 19 );
DEFINE_STRING( BGl_string2076z00zz__openpgpzd2encodezd2, BgL_bgl_string2076za700za7za7_2216za7, "internal error. forgot PGP-Packet type", 38 );
DEFINE_STRING( BGl_string2077z00zz__openpgpzd2encodezd2, BgL_bgl_string2077za700za7za7_2217za7, "&packet->content-tag", 20 );
DEFINE_STRING( BGl_string2078z00zz__openpgpzd2encodezd2, BgL_bgl_string2078za700za7za7_2218za7, "&encode-content", 15 );
DEFINE_STRING( BGl_string2079z00zz__openpgpzd2encodezd2, BgL_bgl_string2079za700za7za7_2219za7, "&encode-sub-packet-content", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2070z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72220za7, BGl_z62encodezd2subzd2packetzd2co1203zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2080z00zz__openpgpzd2encodezd2, BgL_bgl_string2080za700za7za7_2221za7, "PGP-Signature-Sub-Packet", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2081z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2222za7, BGl_z62packetzd2ze3contentzd2tagzd21173z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2082z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2223za7, BGl_z62packetzd2ze3contentzd2tagzd21175z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2083z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2224za7, BGl_z62packetzd2ze3contentzd2tagzd21177z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2084z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2225za7, BGl_z62packetzd2ze3contentzd2tagzd21179z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2085z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2226za7, BGl_z62packetzd2ze3contentzd2tagzd21181z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2086z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2227za7, BGl_z62packetzd2ze3contentzd2tagzd21183z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2087z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2228za7, BGl_z62packetzd2ze3contentzd2tagzd21185z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2088z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2229za7, BGl_z62packetzd2ze3contentzd2tagzd21187z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2089z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2230za7, BGl_z62packetzd2ze3contentzd2tagzd21189z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2096z00zz__openpgpzd2encodezd2, BgL_bgl_string2096za700za7za7_2231za7, "encode-sub-packet-content", 25 );
extern obj_t BGl_symmetriczd2keyzd2algozd2ze3bytezd2envze3zz__openpgpzd2enumszd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2090z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2232za7, BGl_z62packetzd2ze3contentzd2tagzd21191z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2091z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2233za7, BGl_z62packetzd2ze3contentzd2tagzd21193z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2092z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2234za7, BGl_z62packetzd2ze3contentzd2tagzd21195z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2093z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2235za7, BGl_z62packetzd2ze3contentzd2tagzd21197z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2094z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2236z00, BGl_z62encodezd2contentzd2PGPzd2P1202zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2095z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72237za7, BGl_z62encodezd2subzd2packetzd2co1206zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2097z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72238za7, BGl_z62encodezd2subzd2packetzd2co1208zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2098z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72239za7, BGl_z62encodezd2subzd2packetzd2co1210zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2099z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72240za7, BGl_z62encodezd2subzd2packetzd2co1212zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_compressionzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2packetszd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2pack2241z00, va_generic_entry, BGl_z62encodezd2packetszb0zz__openpgpzd2encodezd2, BUNSPEC, -2 );
DEFINE_STATIC_BGL_GENERIC( BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72242za7, BGl_z62encodezd2subzd2packetzd2contentzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2publiczd2keyzd2contentzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2publ2243z00, BGl_z62encodezd2publiczd2keyzd2contentzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2244za7, BGl_z62packetzd2ze3contentzd2tagz81zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_createzd2signedzd2packetzd2prefixzd2v4zd2envzd2zz__openpgpzd2encodezd2, BgL_bgl_za762createza7d2sign2245z00, BGl_z62createzd2signedzd2packetzd2prefixzd2v4z62zz__openpgpzd2encodezd2, 0L, BUNSPEC, 5 );
extern obj_t BGl_hashzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2100z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72246za7, BGl_z62encodezd2subzd2packetzd2co1214zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2101z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72247za7, BGl_z62encodezd2subzd2packetzd2co1216zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2102z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72248za7, BGl_z62encodezd2subzd2packetzd2co1218zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2103z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72249za7, BGl_z62encodezd2subzd2packetzd2co1220zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2104z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72250za7, BGl_z62encodezd2subzd2packetzd2co1222zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2105z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72251za7, BGl_z62encodezd2subzd2packetzd2co1224zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2030z00zz__openpgpzd2encodezd2, BgL_bgl_string2030za700za7za7_2252za7, "Llib/pgp_encode.scm", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2106z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72253za7, BGl_z62encodezd2subzd2packetzd2co1226zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2031z00zz__openpgpzd2encodezd2, BgL_bgl_string2031za700za7za7_2254za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/openpgp/src/Llib/pgp_encode.scm", 71 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2107z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72255za7, BGl_z62encodezd2subzd2packetzd2co1228zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2032z00zz__openpgpzd2encodezd2, BgL_bgl_string2032za700za7za7_2256za7, "&encode-packets", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2108z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72257za7, BGl_z62encodezd2subzd2packetzd2co1230zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2033z00zz__openpgpzd2encodezd2, BgL_bgl_string2033za700za7za7_2258za7, "output-port", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2109z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72259za7, BGl_z62encodezd2subzd2packetzd2co1232zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2034z00zz__openpgpzd2encodezd2, BgL_bgl_string2034za700za7za7_2260za7, "encode-octet", 12 );
DEFINE_STRING( BGl_string2035z00zz__openpgpzd2encodezd2, BgL_bgl_string2035za700za7za7_2261za7, "given number is too big", 23 );
DEFINE_STRING( BGl_string2036z00zz__openpgpzd2encodezd2, BgL_bgl_string2036za700za7za7_2262za7, "encode-pref", 11 );
DEFINE_STRING( BGl_string2037z00zz__openpgpzd2encodezd2, BgL_bgl_string2037za700za7za7_2263za7, "Preferences must be integers", 28 );
DEFINE_STRING( BGl_string2038z00zz__openpgpzd2encodezd2, BgL_bgl_string2038za700za7za7_2264za7, "encode-packet", 13 );
DEFINE_STRING( BGl_string2039z00zz__openpgpzd2encodezd2, BgL_bgl_string2039za700za7za7_2265za7, "content-tag too big", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2110z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72266za7, BGl_z62encodezd2subzd2packetzd2co1234zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2111z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72267za7, BGl_z62encodezd2subzd2packetzd2co1236zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(long BgL_checksumz00_2989, char * BgL_fromz00_2990)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2encodezd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2encodezd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2encodezd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2encodezd2(); 
BGl_genericzd2initzd2zz__openpgpzd2encodezd2(); 
BGl_methodzd2initzd2zz__openpgpzd2encodezd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2encodezd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2elgamalzd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2dsazd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-encode"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_cportz00_2500;
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_stringz00_2508;
BgL_stringz00_2508 = BGl_string2142z00zz__openpgpzd2encodezd2; 
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_startz00_2509;
BgL_startz00_2509 = 
BINT(((long)0)); 
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_endz00_2510;
BgL_endz00_2510 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2508))); 
{ /* Llib/pgp_encode.scm 1 */

BgL_cportz00_2500 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2508, BgL_startz00_2509, BgL_endz00_2510); } } } } 
{ 
 long BgL_iz00_2501;
BgL_iz00_2501 = ((long)42); 
BgL_loopz00_2502:
if(
(BgL_iz00_2501==((long)-1)))
{ /* Llib/pgp_encode.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/pgp_encode.scm 1 */
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_arg2144z00_2504;
{ /* Llib/pgp_encode.scm 1 */

{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_locationz00_2506;
BgL_locationz00_2506 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_encode.scm 1 */

BgL_arg2144z00_2504 = 
BGl_readz00zz__readerz00(BgL_cportz00_2500, BgL_locationz00_2506); } } } 
{ /* Llib/pgp_encode.scm 1 */
 int BgL_tmpz00_3027;
BgL_tmpz00_3027 = 
(int)(BgL_iz00_2501); 
CNST_TABLE_SET(BgL_tmpz00_3027, BgL_arg2144z00_2504); } } 
{ /* Llib/pgp_encode.scm 1 */
 int BgL_auxz00_2507;
BgL_auxz00_2507 = 
(int)(
(BgL_iz00_2501-((long)1))); 
{ 
 long BgL_iz00_3032;
BgL_iz00_3032 = 
(long)(BgL_auxz00_2507); 
BgL_iz00_2501 = BgL_iz00_3032; 
goto BgL_loopz00_2502;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(((long)0), 
BSTRING_TO_STRING(BGl_string2030z00zz__openpgpzd2encodezd2)); 
return BUNSPEC;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__openpgpzd2encodezd2(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_145;
BgL_headz00_145 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_146; obj_t BgL_tailz00_147;
BgL_prevz00_146 = BgL_headz00_145; 
BgL_tailz00_147 = BgL_l1z00_1; 
BgL_loopz00_148:
if(
PAIRP(BgL_tailz00_147))
{ 
 obj_t BgL_newzd2prevzd2_150;
BgL_newzd2prevzd2_150 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_147), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_146, BgL_newzd2prevzd2_150); 
{ 
 obj_t BgL_tailz00_3044; obj_t BgL_prevz00_3043;
BgL_prevz00_3043 = BgL_newzd2prevzd2_150; 
BgL_tailz00_3044 = 
CDR(BgL_tailz00_147); 
BgL_tailz00_147 = BgL_tailz00_3044; 
BgL_prevz00_146 = BgL_prevz00_3043; 
goto BgL_loopz00_148;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_145);} } } 

}



/* encode-packets */
BGL_EXPORTED_DEF obj_t BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(obj_t BgL_pz00_3, obj_t BgL_packetsz00_4)
{
{ /* Llib/pgp_encode.scm 19 */
{ 
 obj_t BgL_l1155z00_154;
{ /* Llib/pgp_encode.scm 20 */
 bool_t BgL_tmpz00_3047;
BgL_l1155z00_154 = BgL_packetsz00_4; 
BgL_zc3z04anonymousza31269ze3z87_155:
if(
PAIRP(BgL_l1155z00_154))
{ /* Llib/pgp_encode.scm 20 */
{ /* Llib/pgp_encode.scm 20 */
 obj_t BgL_packetz00_157;
BgL_packetz00_157 = 
CAR(BgL_l1155z00_154); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_157), BgL_pz00_3); } 
{ 
 obj_t BgL_l1155z00_3053;
BgL_l1155z00_3053 = 
CDR(BgL_l1155z00_154); 
BgL_l1155z00_154 = BgL_l1155z00_3053; 
goto BgL_zc3z04anonymousza31269ze3z87_155;} }  else 
{ /* Llib/pgp_encode.scm 20 */
BgL_tmpz00_3047 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_3047);} } } 

}



/* &encode-packets */
obj_t BGl_z62encodezd2packetszb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2258, obj_t BgL_pz00_2259, obj_t BgL_packetsz00_2260)
{
{ /* Llib/pgp_encode.scm 19 */
{ /* Llib/pgp_encode.scm 20 */
 obj_t BgL_auxz00_3056;
if(
OUTPUT_PORTP(BgL_pz00_2259))
{ /* Llib/pgp_encode.scm 20 */
BgL_auxz00_3056 = BgL_pz00_2259
; }  else 
{ 
 obj_t BgL_auxz00_3059;
BgL_auxz00_3059 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)595)), BGl_string2032z00zz__openpgpzd2encodezd2, BGl_string2033z00zz__openpgpzd2encodezd2, BgL_pz00_2259); 
FAILURE(BgL_auxz00_3059,BFALSE,BFALSE);} 
return 
BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(BgL_auxz00_3056, BgL_packetsz00_2260);} } 

}



/* encode-octet */
obj_t BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(long BgL_nz00_5, obj_t BgL_pz00_6)
{
{ /* Llib/pgp_encode.scm 22 */
if(
(BgL_nz00_5>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_5)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_800;
BgL_arg1283z00_800 = 
(BgL_nz00_5); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_800), BgL_pz00_6);} } 

}



/* encode-length-v4 */
obj_t BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(long BgL_lenz00_15, obj_t BgL_pz00_16)
{
{ /* Llib/pgp_encode.scm 47 */
if(
(BgL_lenz00_15<((long)192)))
{ /* Llib/pgp_encode.scm 49 */
if(
(BgL_lenz00_15>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_lenz00_15)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_845;
BgL_arg1283z00_845 = 
(BgL_lenz00_15); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_845), BgL_pz00_16);} }  else 
{ /* Llib/pgp_encode.scm 49 */
if(
(BgL_lenz00_15<=((long)8383)))
{ /* Llib/pgp_encode.scm 53 */
 long BgL_tz00_172;
BgL_tz00_172 = 
(BgL_lenz00_15-((long)192)); 
{ /* Llib/pgp_encode.scm 54 */
 long BgL_arg1338z00_173;
BgL_arg1338z00_173 = 
(((long)192)+
(BgL_tz00_172 >> 
(int)(((long)8)))); 
if(
(BgL_arg1338z00_173>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1338z00_173)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_855;
BgL_arg1283z00_855 = 
(BgL_arg1338z00_173); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_855), BgL_pz00_16); } } 
{ /* Llib/pgp_encode.scm 55 */
 long BgL_arg1340z00_175;
BgL_arg1340z00_175 = 
(BgL_tz00_172 & ((long)255)); 
if(
(BgL_arg1340z00_175>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1340z00_175)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_862;
BgL_arg1283z00_862 = 
(BgL_arg1340z00_175); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_862), BgL_pz00_16);} } }  else 
{ /* Llib/pgp_encode.scm 52 */
if(
(((long)255)>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(((long)255))); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_867;
BgL_arg1283z00_867 = 
(((long)255)); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_867), BgL_pz00_16); } 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_lenz00_15, ((long)4)), BgL_pz00_16);} } } 

}



/* encode-prefs */
bool_t BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(obj_t BgL_prefsz00_19, obj_t BgL_converterz00_20, obj_t BgL_pz00_21)
{
{ /* Llib/pgp_encode.scm 63 */
{ 
 obj_t BgL_l1157z00_178;
BgL_l1157z00_178 = BgL_prefsz00_19; 
BgL_zc3z04anonymousza31342ze3z87_179:
if(
PAIRP(BgL_l1157z00_178))
{ /* Llib/pgp_encode.scm 64 */
{ /* Llib/pgp_encode.scm 68 */
 obj_t BgL_prefz00_181;
BgL_prefz00_181 = 
CAR(BgL_l1157z00_178); 
if(
INTEGERP(BgL_prefz00_181))
{ /* Llib/pgp_encode.scm 65 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 65 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2036z00zz__openpgpzd2encodezd2, BGl_string2037z00zz__openpgpzd2encodezd2, BgL_prefz00_181); } 
{ /* Llib/pgp_encode.scm 69 */
 obj_t BgL_arg1348z00_183;
BgL_arg1348z00_183 = 
PROCEDURE_ENTRY(BgL_converterz00_20)(BgL_converterz00_20, BgL_prefz00_181, BEOA); 
{ /* Llib/pgp_encode.scm 69 */
 long BgL_nz00_877;
BgL_nz00_877 = 
(long)CINT(BgL_arg1348z00_183); 
if(
(BgL_nz00_877>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_877)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_880;
BgL_arg1283z00_880 = 
(BgL_nz00_877); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_880), BgL_pz00_21); } } } } 
{ 
 obj_t BgL_l1157z00_3128;
BgL_l1157z00_3128 = 
CDR(BgL_l1157z00_178); 
BgL_l1157z00_178 = BgL_l1157z00_3128; 
goto BgL_zc3z04anonymousza31342ze3z87_179;} }  else 
{ /* Llib/pgp_encode.scm 64 */
return ((bool_t)1);} } } 

}



/* encode-packet */
BGL_EXPORTED_DEF obj_t BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt BgL_packetz00_36, obj_t BgL_pz00_37)
{
{ /* Llib/pgp_encode.scm 111 */
{ /* Llib/pgp_encode.scm 112 */
 obj_t BgL_contentzd2tagzd2_186;
BgL_contentzd2tagzd2_186 = 
BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_packetz00_36); 
{ /* Llib/pgp_encode.scm 112 */
 char BgL_contentzd2tagzd2bytez00_187;
BgL_contentzd2tagzd2bytez00_187 = 
BGl_contentzd2tagzd2ze3byteze3zz__openpgpzd2enumszd2(BgL_contentzd2tagzd2_186); 
{ /* Llib/pgp_encode.scm 114 */
 obj_t BgL_strzd2pzd2_189;
{ /* Llib/pgp_encode.scm 116 */

{ /* Llib/pgp_encode.scm 116 */

BgL_strzd2pzd2_189 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ /* Llib/pgp_encode.scm 116 */
 obj_t BgL_contentz00_190;
BgL_contentz00_190 = 
BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_packetz00_36, BgL_strzd2pzd2_189); 
{ /* Llib/pgp_encode.scm 117 */
 obj_t BgL_strz00_191;
BgL_strz00_191 = 
bgl_close_output_port(BgL_strzd2pzd2_189); 
{ /* Llib/pgp_encode.scm 118 */
 long BgL_lenz00_192;
BgL_lenz00_192 = 
STRING_LENGTH(
((obj_t)BgL_strz00_191)); 
{ /* Llib/pgp_encode.scm 119 */

if(
(
(long)(BgL_contentzd2tagzd2bytez00_187)>((long)31)))
{ /* Llib/pgp_encode.scm 120 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2038z00zz__openpgpzd2encodezd2, BGl_string2039z00zz__openpgpzd2encodezd2, BgL_contentzd2tagzd2_186); }  else 
{ /* Llib/pgp_encode.scm 120 */BFALSE; } 
{ /* Llib/pgp_encode.scm 125 */
 long BgL_arg1354z00_194;
BgL_arg1354z00_194 = 
(((long)128)+
(((long)64)+
(long)(BgL_contentzd2tagzd2bytez00_187))); 
if(
(BgL_arg1354z00_194>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1354z00_194)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_892;
BgL_arg1283z00_892 = 
(BgL_arg1354z00_194); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_892), BgL_pz00_37); } } 
BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(BgL_lenz00_192, BgL_pz00_37); 
return 
bgl_display_obj(BgL_strz00_191, BgL_pz00_37);} } } } } } } } 

}



/* &encode-packet */
obj_t BGl_z62encodezd2packetzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2261, obj_t BgL_packetz00_2262, obj_t BgL_pz00_2263)
{
{ /* Llib/pgp_encode.scm 111 */
{ /* Llib/pgp_encode.scm 112 */
 obj_t BgL_auxz00_3161; BgL_pgpzd2packetzd2_bglt BgL_auxz00_3153;
if(
OUTPUT_PORTP(BgL_pz00_2263))
{ /* Llib/pgp_encode.scm 112 */
BgL_auxz00_3161 = BgL_pz00_2263
; }  else 
{ 
 obj_t BgL_auxz00_3164;
BgL_auxz00_3164 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)3754)), BGl_string2040z00zz__openpgpzd2encodezd2, BGl_string2033z00zz__openpgpzd2encodezd2, BgL_pz00_2263); 
FAILURE(BgL_auxz00_3164,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_packetz00_2262, BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2))
{ /* Llib/pgp_encode.scm 112 */
BgL_auxz00_3153 = 
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_2262)
; }  else 
{ 
 obj_t BgL_auxz00_3157;
BgL_auxz00_3157 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)3754)), BGl_string2040z00zz__openpgpzd2encodezd2, BGl_string2041z00zz__openpgpzd2encodezd2, BgL_packetz00_2262); 
FAILURE(BgL_auxz00_3157,BFALSE,BFALSE);} 
return 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_auxz00_3153, BgL_auxz00_3161);} } 

}



/* encode-sub-packets */
obj_t BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(obj_t BgL_packetsz00_85, obj_t BgL_pz00_86)
{
{ /* Llib/pgp_encode.scm 283 */
{ /* Llib/pgp_encode.scm 284 */
 obj_t BgL_strzd2pzd2_204;
{ /* Llib/pgp_encode.scm 284 */

{ /* Llib/pgp_encode.scm 284 */

BgL_strzd2pzd2_204 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ 
 obj_t BgL_l1159z00_206;
BgL_l1159z00_206 = BgL_packetsz00_85; 
BgL_zc3z04anonymousza31362ze3z87_207:
if(
PAIRP(BgL_l1159z00_206))
{ /* Llib/pgp_encode.scm 285 */
{ /* Llib/pgp_encode.scm 286 */
 obj_t BgL_spacketz00_209;
BgL_spacketz00_209 = 
CAR(BgL_l1159z00_206); 
{ /* Llib/pgp_encode.scm 164 */
 obj_t BgL_strzd2pzd2_920;
{ /* Llib/pgp_encode.scm 164 */

{ /* Llib/pgp_encode.scm 164 */

BgL_strzd2pzd2_920 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_spacketz00_209), BgL_strzd2pzd2_920); 
{ /* Llib/pgp_encode.scm 166 */
 obj_t BgL_strz00_922;
BgL_strz00_922 = 
bgl_close_output_port(BgL_strzd2pzd2_920); 
{ /* Llib/pgp_encode.scm 167 */
 long BgL_arg1357z00_923;
BgL_arg1357z00_923 = 
STRING_LENGTH(
((obj_t)BgL_strz00_922)); 
BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(BgL_arg1357z00_923, BgL_strzd2pzd2_204); } 
bgl_display_obj(BgL_strz00_922, BgL_strzd2pzd2_204); } } } 
{ 
 obj_t BgL_l1159z00_3181;
BgL_l1159z00_3181 = 
CDR(BgL_l1159z00_206); 
BgL_l1159z00_206 = BgL_l1159z00_3181; 
goto BgL_zc3z04anonymousza31362ze3z87_207;} }  else 
{ /* Llib/pgp_encode.scm 285 */((bool_t)1); } } 
{ /* Llib/pgp_encode.scm 288 */
 obj_t BgL_strz00_212;
BgL_strz00_212 = 
bgl_close_output_port(BgL_strzd2pzd2_204); 
{ /* Llib/pgp_encode.scm 289 */
 long BgL_arg1366z00_213;
BgL_arg1366z00_213 = 
STRING_LENGTH(
((obj_t)BgL_strz00_212)); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1366z00_213, ((long)2)), BgL_pz00_86); } 
return 
bgl_display_obj(BgL_strz00_212, BgL_pz00_86);} } } 

}



/* create-signed-packet-prefix-v4 */
BGL_EXPORTED_DEF obj_t BGl_createzd2signedzd2packetzd2prefixzd2v4z00zz__openpgpzd2encodezd2(obj_t BgL_signaturezd2typezd2_89, obj_t BgL_publiczd2keyzd2algoz00_90, obj_t BgL_hashzd2algozd2_91, obj_t BgL_creationzd2datezd2_92, obj_t BgL_signedzd2subzd2packetsz00_93)
{
{ /* Llib/pgp_encode.scm 299 */
{ /* Llib/pgp_encode.scm 305 */
 obj_t BgL_strzd2pzd2_219; obj_t BgL_creationzd2timezd2packetz00_221; char BgL_publiczd2keyzd2algozd2bytezd2_222; char BgL_hashzd2algozd2bytez00_223; char BgL_signaturezd2typezd2bytez00_224;
{ /* Llib/pgp_encode.scm 305 */

{ /* Llib/pgp_encode.scm 305 */

BgL_strzd2pzd2_219 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ 
 obj_t BgL_l1161z00_247;
BgL_l1161z00_247 = BgL_signedzd2subzd2packetsz00_93; 
BgL_zc3z04anonymousza31457ze3z87_248:
if(
NULLP(BgL_l1161z00_247))
{ /* Llib/pgp_encode.scm 308 */
BgL_creationzd2timezd2packetz00_221 = BFALSE; }  else 
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL__ortest_1163z00_250;
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_pz00_252;
BgL_pz00_252 = 
CAR(
((obj_t)BgL_l1161z00_247)); 
{ /* Llib/pgp_encode.scm 309 */
 bool_t BgL_test2289z00_3194;
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_classz00_941;
BgL_classz00_941 = BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pz00_252))
{ /* Llib/pgp_encode.scm 309 */
 BgL_objectz00_bglt BgL_arg1797z00_943;
BgL_arg1797z00_943 = 
(BgL_objectz00_bglt)(BgL_pz00_252); 
{ /* Llib/pgp_encode.scm 309 */
 bool_t BgL_arg1794z00_946; bool_t BgL_arg1795z00_947;
{ /* Llib/pgp_encode.scm 309 */
 long BgL_idxz00_950;
BgL_idxz00_950 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_943); 
BgL_arg1794z00_946 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_950+((long)2)))==BgL_classz00_941); } 
{ /* Llib/pgp_encode.scm 309 */
 bool_t BgL_res1964z00_972;
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_oclassz00_958;
{ /* Llib/pgp_encode.scm 309 */
 long BgL_arg1804z00_964;
{ /* Llib/pgp_encode.scm 309 */
 long BgL_arg1805z00_965;
BgL_arg1805z00_965 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_943); 
BgL_arg1804z00_964 = 
(BgL_arg1805z00_965-OBJECT_TYPE); } 
BgL_oclassz00_958 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_964); } 
{ /* Llib/pgp_encode.scm 309 */
 bool_t BgL__ortest_1111z00_959;
BgL__ortest_1111z00_959 = 
(BgL_classz00_941==BgL_oclassz00_958); 
if(BgL__ortest_1111z00_959)
{ /* Llib/pgp_encode.scm 309 */
BgL_res1964z00_972 = BgL__ortest_1111z00_959; }  else 
{ /* Llib/pgp_encode.scm 309 */
 long BgL_odepthz00_960;
BgL_odepthz00_960 = 
BGL_CLASS_DEPTH(BgL_oclassz00_958); 
if(
(((long)2)<BgL_odepthz00_960))
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_arg1793z00_962;
BgL_arg1793z00_962 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_958, ((long)2)); 
BgL_res1964z00_972 = 
(BgL_arg1793z00_962==BgL_classz00_941); }  else 
{ /* Llib/pgp_encode.scm 309 */
BgL_res1964z00_972 = ((bool_t)0); } } } } 
BgL_arg1795z00_947 = BgL_res1964z00_972; } 
BgL_test2289z00_3194 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_946, BgL_arg1795z00_947); } }  else 
{ /* Llib/pgp_encode.scm 309 */
BgL_test2289z00_3194 = ((bool_t)0)
; } } 
if(BgL_test2289z00_3194)
{ /* Llib/pgp_encode.scm 309 */
BgL__ortest_1163z00_250 = BgL_pz00_252; }  else 
{ /* Llib/pgp_encode.scm 309 */
BgL__ortest_1163z00_250 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1163z00_250))
{ /* Llib/pgp_encode.scm 308 */
BgL_creationzd2timezd2packetz00_221 = BgL__ortest_1163z00_250; }  else 
{ 
 obj_t BgL_l1161z00_3215;
BgL_l1161z00_3215 = 
CDR(
((obj_t)BgL_l1161z00_247)); 
BgL_l1161z00_247 = BgL_l1161z00_3215; 
goto BgL_zc3z04anonymousza31457ze3z87_248;} } } 
BgL_publiczd2keyzd2algozd2bytezd2_222 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(BgL_publiczd2keyzd2algoz00_90); 
BgL_hashzd2algozd2bytez00_223 = 
BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_hashzd2algozd2_91); 
BgL_signaturezd2typezd2bytez00_224 = 
BGl_signaturezd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_signaturezd2typezd2_89); 
if(
(((long)4)>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(((long)4))); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_977;
BgL_arg1283z00_977 = 
(((long)4)); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_977), BgL_strzd2pzd2_219); } 
{ /* Llib/pgp_encode.scm 323 */
 long BgL_nz00_980;
BgL_nz00_980 = 
(long)(BgL_signaturezd2typezd2bytez00_224); 
if(
(BgL_nz00_980>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_980)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_983;
BgL_arg1283z00_983 = 
(BgL_nz00_980); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_983), BgL_strzd2pzd2_219); } } 
{ /* Llib/pgp_encode.scm 324 */
 long BgL_nz00_986;
BgL_nz00_986 = 
(long)(BgL_publiczd2keyzd2algozd2bytezd2_222); 
if(
(BgL_nz00_986>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_986)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_989;
BgL_arg1283z00_989 = 
(BgL_nz00_986); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_989), BgL_strzd2pzd2_219); } } 
{ /* Llib/pgp_encode.scm 325 */
 long BgL_nz00_992;
BgL_nz00_992 = 
(long)(BgL_hashzd2algozd2bytez00_223); 
if(
(BgL_nz00_992>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_992)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_995;
BgL_arg1283z00_995 = 
(BgL_nz00_992); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_995), BgL_strzd2pzd2_219); } } 
{ /* Llib/pgp_encode.scm 327 */
 bool_t BgL_test2298z00_3252;
if(
BGL_DATEP(BgL_creationzd2datezd2_92))
{ /* Llib/pgp_encode.scm 327 */
BgL_test2298z00_3252 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_encode.scm 327 */
if(
CBOOL(BgL_creationzd2timezd2packetz00_221))
{ /* Llib/pgp_encode.scm 328 */
BgL_test2298z00_3252 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_encode.scm 328 */
BgL_test2298z00_3252 = ((bool_t)1)
; } } 
if(BgL_test2298z00_3252)
{ /* Llib/pgp_encode.scm 327 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, BFALSE); }  else 
{ /* Llib/pgp_encode.scm 332 */
 bool_t BgL_test2301z00_3258;
if(
BGL_DATEP(BgL_creationzd2datezd2_92))
{ /* Llib/pgp_encode.scm 332 */
if(
CBOOL(BgL_creationzd2timezd2packetz00_221))
{ /* Llib/pgp_encode.scm 336 */
 obj_t BgL_arg1456z00_242;
BgL_arg1456z00_242 = 
(((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_creationzd2timezd2packetz00_221)))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 295 */
 long BgL_arg1367z00_1000; long BgL_arg1368z00_1001;
BgL_arg1367z00_1000 = 
bgl_date_to_seconds(BgL_creationzd2datezd2_92); 
BgL_arg1368z00_1001 = 
bgl_date_to_seconds(BgL_arg1456z00_242); 
{ /* Llib/pgp_encode.scm 295 */
 long BgL_n1z00_1004; long BgL_n2z00_1005;
BgL_n1z00_1004 = 
(long)(BgL_arg1367z00_1000); 
BgL_n2z00_1005 = 
(long)(BgL_arg1368z00_1001); 
BgL_test2301z00_3258 = 
(BgL_n1z00_1004==BgL_n2z00_1005); } } }  else 
{ /* Llib/pgp_encode.scm 334 */
BgL_test2301z00_3258 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_encode.scm 332 */
BgL_test2301z00_3258 = ((bool_t)1)
; } 
if(BgL_test2301z00_3258)
{ /* Llib/pgp_encode.scm 332 */
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_signedzd2subzd2packetsz00_93, BgL_strzd2pzd2_219); }  else 
{ /* Llib/pgp_encode.scm 340 */
 bool_t BgL_test2304z00_3271;
if(
BGL_DATEP(BgL_creationzd2datezd2_92))
{ /* Llib/pgp_encode.scm 340 */
BgL_test2304z00_3271 = 
CBOOL(BgL_creationzd2timezd2packetz00_221)
; }  else 
{ /* Llib/pgp_encode.scm 340 */
BgL_test2304z00_3271 = ((bool_t)0)
; } 
if(BgL_test2304z00_3271)
{ /* Llib/pgp_encode.scm 340 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2044z00zz__openpgpzd2encodezd2, BgL_creationzd2datezd2_92); }  else 
{ /* Llib/pgp_encode.scm 346 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_packetz00_234;
{ /* Llib/pgp_encode.scm 346 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1131z00_236;
{ /* Llib/pgp_encode.scm 347 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1130z00_237;
BgL_new1130z00_237 = 
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl) ))); 
{ /* Llib/pgp_encode.scm 347 */
 long BgL_arg1455z00_238;
BgL_arg1455z00_238 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1130z00_237), BgL_arg1455z00_238); } 
{ /* Llib/pgp_encode.scm 347 */
 BgL_objectz00_bglt BgL_tmpz00_3280;
BgL_tmpz00_3280 = 
((BgL_objectz00_bglt)BgL_new1130z00_237); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3280, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1130z00_237); 
BgL_new1131z00_236 = BgL_new1130z00_237; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1131z00_236)))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(BgL_new1131z00_236))->BgL_creationzd2datezd2)=((obj_t)BgL_creationzd2datezd2_92),BUNSPEC); 
BgL_packetz00_234 = BgL_new1131z00_236; } 
{ /* Llib/pgp_encode.scm 349 */
 obj_t BgL_arg1414z00_235;
BgL_arg1414z00_235 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_packetz00_234), BgL_signedzd2subzd2packetsz00_93); 
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_arg1414z00_235, BgL_strzd2pzd2_219); } } } } } 
return 
bgl_close_output_port(BgL_strzd2pzd2_219);} } 

}



/* &create-signed-packet-prefix-v4 */
obj_t BGl_z62createzd2signedzd2packetzd2prefixzd2v4z62zz__openpgpzd2encodezd2(obj_t BgL_envz00_2264, obj_t BgL_signaturezd2typezd2_2265, obj_t BgL_publiczd2keyzd2algoz00_2266, obj_t BgL_hashzd2algozd2_2267, obj_t BgL_creationzd2datezd2_2268, obj_t BgL_signedzd2subzd2packetsz00_2269)
{
{ /* Llib/pgp_encode.scm 299 */
{ /* Llib/pgp_encode.scm 305 */
 obj_t BgL_auxz00_3312; obj_t BgL_auxz00_3305; obj_t BgL_auxz00_3298; obj_t BgL_auxz00_3291;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_signedzd2subzd2packetsz00_2269))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3312 = BgL_signedzd2subzd2packetsz00_2269
; }  else 
{ 
 obj_t BgL_auxz00_3315;
BgL_auxz00_3315 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2045z00zz__openpgpzd2encodezd2, BGl_string2047z00zz__openpgpzd2encodezd2, BgL_signedzd2subzd2packetsz00_2269); 
FAILURE(BgL_auxz00_3315,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_hashzd2algozd2_2267))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3305 = BgL_hashzd2algozd2_2267
; }  else 
{ 
 obj_t BgL_auxz00_3308;
BgL_auxz00_3308 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2045z00zz__openpgpzd2encodezd2, BGl_string2046z00zz__openpgpzd2encodezd2, BgL_hashzd2algozd2_2267); 
FAILURE(BgL_auxz00_3308,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_publiczd2keyzd2algoz00_2266))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3298 = BgL_publiczd2keyzd2algoz00_2266
; }  else 
{ 
 obj_t BgL_auxz00_3301;
BgL_auxz00_3301 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2045z00zz__openpgpzd2encodezd2, BGl_string2046z00zz__openpgpzd2encodezd2, BgL_publiczd2keyzd2algoz00_2266); 
FAILURE(BgL_auxz00_3301,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_signaturezd2typezd2_2265))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3291 = BgL_signaturezd2typezd2_2265
; }  else 
{ 
 obj_t BgL_auxz00_3294;
BgL_auxz00_3294 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2045z00zz__openpgpzd2encodezd2, BGl_string2046z00zz__openpgpzd2encodezd2, BgL_signaturezd2typezd2_2265); 
FAILURE(BgL_auxz00_3294,BFALSE,BFALSE);} 
return 
BGl_createzd2signedzd2packetzd2prefixzd2v4z00zz__openpgpzd2encodezd2(BgL_auxz00_3291, BgL_auxz00_3298, BgL_auxz00_3305, BgL_creationzd2datezd2_2268, BgL_auxz00_3312);} } 

}



/* encode-insecure-sub-packets */
obj_t BGl_encodezd2insecurezd2subzd2packetszd2zz__openpgpzd2encodezd2(obj_t BgL_securezd2packetszd2_94, obj_t BgL_insecurezd2packetszd2_95, obj_t BgL_issuerz00_96, obj_t BgL_pz00_97)
{
{ /* Llib/pgp_encode.scm 353 */
{ /* Llib/pgp_encode.scm 356 */
 obj_t BgL_issuerzd2packetzd2_255;
{ /* Llib/pgp_encode.scm 356 */
 obj_t BgL_g1167z00_266;
BgL_g1167z00_266 = 
BGl_appendzd221010zd2zz__openpgpzd2encodezd2(BgL_insecurezd2packetszd2_95, BgL_securezd2packetszd2_94); 
{ 
 obj_t BgL_l1164z00_268;
BgL_l1164z00_268 = BgL_g1167z00_266; 
BgL_zc3z04anonymousza31556ze3z87_269:
if(
NULLP(BgL_l1164z00_268))
{ /* Llib/pgp_encode.scm 358 */
BgL_issuerzd2packetzd2_255 = BFALSE; }  else 
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL__ortest_1168z00_271;
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_pz00_273;
BgL_pz00_273 = 
CAR(
((obj_t)BgL_l1164z00_268)); 
{ /* Llib/pgp_encode.scm 357 */
 bool_t BgL_test2311z00_3325;
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_classz00_1012;
BgL_classz00_1012 = BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pz00_273))
{ /* Llib/pgp_encode.scm 357 */
 BgL_objectz00_bglt BgL_arg1797z00_1014;
BgL_arg1797z00_1014 = 
(BgL_objectz00_bglt)(BgL_pz00_273); 
{ /* Llib/pgp_encode.scm 357 */
 bool_t BgL_arg1794z00_1017; bool_t BgL_arg1795z00_1018;
{ /* Llib/pgp_encode.scm 357 */
 long BgL_idxz00_1021;
BgL_idxz00_1021 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1014); 
BgL_arg1794z00_1017 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1021+((long)2)))==BgL_classz00_1012); } 
{ /* Llib/pgp_encode.scm 357 */
 bool_t BgL_res1965z00_1043;
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_oclassz00_1029;
{ /* Llib/pgp_encode.scm 357 */
 long BgL_arg1804z00_1035;
{ /* Llib/pgp_encode.scm 357 */
 long BgL_arg1805z00_1036;
BgL_arg1805z00_1036 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1014); 
BgL_arg1804z00_1035 = 
(BgL_arg1805z00_1036-OBJECT_TYPE); } 
BgL_oclassz00_1029 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1035); } 
{ /* Llib/pgp_encode.scm 357 */
 bool_t BgL__ortest_1111z00_1030;
BgL__ortest_1111z00_1030 = 
(BgL_classz00_1012==BgL_oclassz00_1029); 
if(BgL__ortest_1111z00_1030)
{ /* Llib/pgp_encode.scm 357 */
BgL_res1965z00_1043 = BgL__ortest_1111z00_1030; }  else 
{ /* Llib/pgp_encode.scm 357 */
 long BgL_odepthz00_1031;
BgL_odepthz00_1031 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1029); 
if(
(((long)2)<BgL_odepthz00_1031))
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_arg1793z00_1033;
BgL_arg1793z00_1033 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1029, ((long)2)); 
BgL_res1965z00_1043 = 
(BgL_arg1793z00_1033==BgL_classz00_1012); }  else 
{ /* Llib/pgp_encode.scm 357 */
BgL_res1965z00_1043 = ((bool_t)0); } } } } 
BgL_arg1795z00_1018 = BgL_res1965z00_1043; } 
BgL_test2311z00_3325 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1017, BgL_arg1795z00_1018); } }  else 
{ /* Llib/pgp_encode.scm 357 */
BgL_test2311z00_3325 = ((bool_t)0)
; } } 
if(BgL_test2311z00_3325)
{ /* Llib/pgp_encode.scm 357 */
BgL__ortest_1168z00_271 = BgL_pz00_273; }  else 
{ /* Llib/pgp_encode.scm 357 */
BgL__ortest_1168z00_271 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1168z00_271))
{ /* Llib/pgp_encode.scm 358 */
BgL_issuerzd2packetzd2_255 = BgL__ortest_1168z00_271; }  else 
{ 
 obj_t BgL_l1164z00_3346;
BgL_l1164z00_3346 = 
CDR(
((obj_t)BgL_l1164z00_268)); 
BgL_l1164z00_268 = BgL_l1164z00_3346; 
goto BgL_zc3z04anonymousza31556ze3z87_269;} } } } 
if(
CBOOL(BgL_issuerzd2packetzd2_255))
{ /* Llib/pgp_encode.scm 365 */
 bool_t BgL_test2317z00_3351;
{ /* Llib/pgp_encode.scm 366 */
 obj_t BgL_arg1541z00_259;
BgL_arg1541z00_259 = 
(((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_issuerzd2packetzd2_255)))->BgL_keyzd2idzd2); 
{ /* Llib/pgp_encode.scm 365 */
 long BgL_l1z00_1047;
BgL_l1z00_1047 = 
STRING_LENGTH(
((obj_t)BgL_issuerz00_96)); 
if(
(BgL_l1z00_1047==
STRING_LENGTH(BgL_arg1541z00_259)))
{ /* Llib/pgp_encode.scm 365 */
 int BgL_arg1289z00_1050;
{ /* Llib/pgp_encode.scm 365 */
 char * BgL_auxz00_3362; char * BgL_tmpz00_3359;
BgL_auxz00_3362 = 
BSTRING_TO_STRING(BgL_arg1541z00_259); 
BgL_tmpz00_3359 = 
BSTRING_TO_STRING(
((obj_t)BgL_issuerz00_96)); 
BgL_arg1289z00_1050 = 
memcmp(BgL_tmpz00_3359, BgL_auxz00_3362, BgL_l1z00_1047); } 
BgL_test2317z00_3351 = 
(
(long)(BgL_arg1289z00_1050)==((long)0)); }  else 
{ /* Llib/pgp_encode.scm 365 */
BgL_test2317z00_3351 = ((bool_t)0)
; } } } 
if(BgL_test2317z00_3351)
{ /* Llib/pgp_encode.scm 365 */
return 
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_insecurezd2packetszd2_95, BgL_pz00_97);}  else 
{ /* Llib/pgp_encode.scm 365 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, BgL_issuerz00_96);} }  else 
{ /* Llib/pgp_encode.scm 361 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_newzd2pzd2_261;
{ /* Llib/pgp_encode.scm 361 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1134z00_263;
{ /* Llib/pgp_encode.scm 362 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1133z00_264;
BgL_new1133z00_264 = 
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl) ))); 
{ /* Llib/pgp_encode.scm 362 */
 long BgL_arg1555z00_265;
BgL_arg1555z00_265 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_264), BgL_arg1555z00_265); } 
{ /* Llib/pgp_encode.scm 362 */
 BgL_objectz00_bglt BgL_tmpz00_3373;
BgL_tmpz00_3373 = 
((BgL_objectz00_bglt)BgL_new1133z00_264); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3373, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1133z00_264); 
BgL_new1134z00_263 = BgL_new1133z00_264; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1134z00_263)))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(BgL_new1134z00_263))->BgL_keyzd2idzd2)=((obj_t)BgL_issuerz00_96),BUNSPEC); 
BgL_newzd2pzd2_261 = BgL_new1134z00_263; } 
{ /* Llib/pgp_encode.scm 364 */
 obj_t BgL_arg1554z00_262;
BgL_arg1554z00_262 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_newzd2pzd2_261), BgL_insecurezd2packetszd2_95); 
return 
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_arg1554z00_262, BgL_pz00_97);} } } } 

}



/* encode-s2k */
obj_t BGl_encodezd2s2kzd2zz__openpgpzd2encodezd2(obj_t BgL_s2kz00_100, obj_t BgL_pz00_101)
{
{ /* Llib/pgp_encode.scm 410 */
{ /* Llib/pgp_encode.scm 412 */
 obj_t BgL_algoz00_276;
BgL_algoz00_276 = 
BGl_s2kzd2algozd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 412 */
 char BgL_algozd2bytezd2_277;
BgL_algozd2bytezd2_277 = 
BGl_s2kzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_algoz00_276); 
{ /* Llib/pgp_encode.scm 413 */
 obj_t BgL_hashz00_278;
BgL_hashz00_278 = 
BGl_s2kzd2hashzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 414 */
 char BgL_hashzd2bytezd2_279;
BgL_hashzd2bytezd2_279 = 
BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_hashz00_278); 
{ /* Llib/pgp_encode.scm 415 */
 obj_t BgL_saltz00_280;
BgL_saltz00_280 = 
BGl_s2kzd2saltzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 416 */
 obj_t BgL_countz00_281;
BgL_countz00_281 = 
BGl_s2kzd2countzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 417 */

{ /* Llib/pgp_encode.scm 421 */
 long BgL_nz00_1060;
BgL_nz00_1060 = 
(long)(BgL_algozd2bytezd2_277); 
if(
(BgL_nz00_1060>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_1060)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_1063;
BgL_arg1283z00_1063 = 
(BgL_nz00_1060); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_1063), BgL_pz00_101); } } 
{ /* Llib/pgp_encode.scm 422 */
 long BgL_nz00_1066;
BgL_nz00_1066 = 
(long)(BgL_hashzd2bytezd2_279); 
if(
(BgL_nz00_1066>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_1066)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_1069;
BgL_arg1283z00_1069 = 
(BgL_nz00_1066); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_1069), BgL_pz00_101); } } 
if(
(BgL_algoz00_276==
CNST_TABLE_REF(((long)0))))
{ /* Llib/pgp_encode.scm 423 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/pgp_encode.scm 423 */
if(
(BgL_algoz00_276==
CNST_TABLE_REF(((long)2))))
{ /* Llib/pgp_encode.scm 423 */
if(
STRINGP(BgL_saltz00_280))
{ /* Llib/pgp_encode.scm 427 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 427 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2050z00zz__openpgpzd2encodezd2, BGl_string2051z00zz__openpgpzd2encodezd2, BgL_saltz00_280); } 
{ /* Llib/pgp_encode.scm 432 */
 int BgL_arg1572z00_286;
BgL_arg1572z00_286 = 
BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2(); 
{ /* Llib/pgp_encode.scm 432 */
 long BgL_lenz00_1075;
BgL_lenz00_1075 = 
(long)(BgL_arg1572z00_286); 
if(
(
STRING_LENGTH(
((obj_t)BgL_saltz00_280))==BgL_lenz00_1075))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_1079;
BgL_arg1288z00_1079 = 
MAKE_YOUNG_PAIR(
BINT(BgL_lenz00_1075), 
((obj_t)BgL_saltz00_280)); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2052z00zz__openpgpzd2encodezd2, BGl_string2053z00zz__openpgpzd2encodezd2, BgL_arg1288z00_1079); } 
return 
bgl_display_obj(
((obj_t)BgL_saltz00_280), BgL_pz00_101);} } }  else 
{ /* Llib/pgp_encode.scm 423 */
if(
(BgL_algoz00_276==
CNST_TABLE_REF(((long)3))))
{ /* Llib/pgp_encode.scm 423 */
if(
STRINGP(BgL_saltz00_280))
{ /* Llib/pgp_encode.scm 434 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 434 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2050z00zz__openpgpzd2encodezd2, BGl_string2051z00zz__openpgpzd2encodezd2, BgL_saltz00_280); } 
if(
INTEGERP(BgL_countz00_281))
{ /* Llib/pgp_encode.scm 438 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 438 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2050z00zz__openpgpzd2encodezd2, BGl_string2054z00zz__openpgpzd2encodezd2, BgL_countz00_281); } 
{ /* Llib/pgp_encode.scm 442 */
 long BgL_encodedzd2countzd2_290;
BgL_encodedzd2countzd2_290 = 
BGl_iteratedzd2saltedzd2s2kzd2countzd2ze3octetze3zz__openpgpzd2s2kzd2(
(long)CINT(BgL_countz00_281)); 
{ /* Llib/pgp_encode.scm 445 */
 int BgL_arg1590z00_291;
BgL_arg1590z00_291 = 
BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2(); 
{ /* Llib/pgp_encode.scm 445 */
 long BgL_lenz00_1085;
BgL_lenz00_1085 = 
(long)(BgL_arg1590z00_291); 
if(
(
STRING_LENGTH(
((obj_t)BgL_saltz00_280))==BgL_lenz00_1085))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_1089;
BgL_arg1288z00_1089 = 
MAKE_YOUNG_PAIR(
BINT(BgL_lenz00_1085), 
((obj_t)BgL_saltz00_280)); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2052z00zz__openpgpzd2encodezd2, BGl_string2053z00zz__openpgpzd2encodezd2, BgL_arg1288z00_1089); } 
bgl_display_obj(
((obj_t)BgL_saltz00_280), BgL_pz00_101); } } 
if(
(BgL_encodedzd2countzd2_290>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_encodedzd2countzd2_290)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_1096;
BgL_arg1283z00_1096 = 
(BgL_encodedzd2countzd2_290); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_1096), BgL_pz00_101);} } }  else 
{ /* Llib/pgp_encode.scm 423 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2050z00zz__openpgpzd2encodezd2, BGl_string2055z00zz__openpgpzd2encodezd2, BgL_algoz00_276);} } } } } } } } } } } 

}



/* encode-public-key-content */
BGL_EXPORTED_DEF obj_t BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2keyzd2packetz00_bglt BgL_packetz00_106, obj_t BgL_pz00_107)
{
{ /* Llib/pgp_encode.scm 500 */
{ /* Llib/pgp_encode.scm 504 */
 long BgL_arg1591z00_293;
BgL_arg1591z00_293 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00); 
if(
(BgL_arg1591z00_293>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1591z00_293)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_1102;
BgL_arg1283z00_1102 = 
(BgL_arg1591z00_293); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_1102), BgL_pz00_107); } } 
{ /* Llib/pgp_encode.scm 505 */
 obj_t BgL_arg1594z00_294;
BgL_arg1594z00_294 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1341z00_1107;
BgL_arg1341z00_1107 = 
bgl_date_to_seconds(BgL_arg1594z00_294); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_1109;
BgL_nnz00_1109 = 
(long)(BgL_arg1341z00_1107); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_1109, ((long)4)), BgL_pz00_107); } } } 
{ /* Llib/pgp_encode.scm 508 */
 bool_t BgL_test2331z00_3471;
if(
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)2)))
{ /* Llib/pgp_encode.scm 508 */
BgL_test2331z00_3471 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_encode.scm 508 */
BgL_test2331z00_3471 = 
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)3))
; } 
if(BgL_test2331z00_3471)
{ /* Llib/pgp_encode.scm 508 */
if(
INTEGERP(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_validzd2dayszd2)))
{ /* Llib/pgp_encode.scm 509 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 509 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2056z00zz__openpgpzd2encodezd2, BGl_string2057z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_validzd2dayszd2)); } 
{ /* Llib/pgp_encode.scm 513 */
 obj_t BgL_arg1643z00_304;
BgL_arg1643z00_304 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_validzd2dayszd2); 
{ /* Llib/pgp_encode.scm 513 */
 long BgL_nnz00_1114;
BgL_nnz00_1114 = 
(long)CINT(BgL_arg1643z00_304); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_1114, ((long)2)), BgL_pz00_107); } } }  else 
{ /* Llib/pgp_encode.scm 508 */BFALSE; } } 
{ /* Llib/pgp_encode.scm 514 */
 char BgL_arg1654z00_308;
BgL_arg1654z00_308 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00)); 
{ /* Llib/pgp_encode.scm 514 */
 long BgL_nz00_1117;
BgL_nz00_1117 = 
(long)(BgL_arg1654z00_308); 
if(
(BgL_nz00_1117>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_1117)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_1120;
BgL_arg1283z00_1120 = 
(BgL_nz00_1117); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_1120), BgL_pz00_107); } } } 
{ /* Llib/pgp_encode.scm 515 */
 bool_t BgL_test2335z00_3496;
if(
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)2)))
{ /* Llib/pgp_encode.scm 515 */
BgL_test2335z00_3496 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_encode.scm 515 */
BgL_test2335z00_3496 = 
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)3))
; } 
if(BgL_test2335z00_3496)
{ /* Llib/pgp_encode.scm 516 */
 obj_t BgL_casezd2valuezd2_315;
BgL_casezd2valuezd2_315 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00); 
{ /* Llib/pgp_encode.scm 516 */
 bool_t BgL_test2337z00_3503;
{ /* Llib/pgp_encode.scm 516 */
 bool_t BgL__ortest_1141z00_323;
BgL__ortest_1141z00_323 = 
(BgL_casezd2valuezd2_315==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1141z00_323)
{ /* Llib/pgp_encode.scm 516 */
BgL_test2337z00_3503 = BgL__ortest_1141z00_323
; }  else 
{ /* Llib/pgp_encode.scm 516 */
 bool_t BgL__ortest_1142z00_324;
BgL__ortest_1142z00_324 = 
(BgL_casezd2valuezd2_315==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1142z00_324)
{ /* Llib/pgp_encode.scm 516 */
BgL_test2337z00_3503 = BgL__ortest_1142z00_324
; }  else 
{ /* Llib/pgp_encode.scm 516 */
BgL_test2337z00_3503 = 
(BgL_casezd2valuezd2_315==
CNST_TABLE_REF(((long)6)))
; } } } 
if(BgL_test2337z00_3503)
{ /* Llib/pgp_encode.scm 516 */
CNST_TABLE_REF(((long)7)); }  else 
{ /* Llib/pgp_encode.scm 520 */
 obj_t BgL_arg1677z00_319;
BgL_arg1677z00_319 = 
MAKE_YOUNG_PAIR(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00), 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00))); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2056z00zz__openpgpzd2encodezd2, BGl_string2058z00zz__openpgpzd2encodezd2, BgL_arg1677z00_319); } } }  else 
{ /* Llib/pgp_encode.scm 515 */BFALSE; } } 
{ /* Llib/pgp_encode.scm 522 */
 obj_t BgL_casezd2valuezd2_328;
BgL_casezd2valuezd2_328 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00); 
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL_test2340z00_3519;
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL__ortest_1143z00_364;
BgL__ortest_1143z00_364 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1143z00_364)
{ /* Llib/pgp_encode.scm 522 */
BgL_test2340z00_3519 = BgL__ortest_1143z00_364
; }  else 
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL__ortest_1144z00_365;
BgL__ortest_1144z00_365 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1144z00_365)
{ /* Llib/pgp_encode.scm 522 */
BgL_test2340z00_3519 = BgL__ortest_1144z00_365
; }  else 
{ /* Llib/pgp_encode.scm 522 */
BgL_test2340z00_3519 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)6)))
; } } } 
if(BgL_test2340z00_3519)
{ /* Llib/pgp_encode.scm 522 */
{ /* Llib/pgp_encode.scm 524 */
 bool_t BgL_test2343z00_3528;
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_arg1706z00_335;
BgL_arg1706z00_335 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00); 
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_classz00_1125;
BgL_classz00_1125 = BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2; 
if(
BGL_OBJECTP(BgL_arg1706z00_335))
{ /* Llib/pgp_encode.scm 524 */
 BgL_objectz00_bglt BgL_arg1797z00_1127;
BgL_arg1797z00_1127 = 
(BgL_objectz00_bglt)(BgL_arg1706z00_335); 
{ /* Llib/pgp_encode.scm 524 */
 bool_t BgL_arg1794z00_1130; bool_t BgL_arg1795z00_1131;
{ /* Llib/pgp_encode.scm 524 */
 long BgL_idxz00_1134;
BgL_idxz00_1134 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1127); 
BgL_arg1794z00_1130 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1134+((long)1)))==BgL_classz00_1125); } 
{ /* Llib/pgp_encode.scm 524 */
 bool_t BgL_res1966z00_1156;
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_oclassz00_1142;
{ /* Llib/pgp_encode.scm 524 */
 long BgL_arg1804z00_1148;
{ /* Llib/pgp_encode.scm 524 */
 long BgL_arg1805z00_1149;
BgL_arg1805z00_1149 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1127); 
BgL_arg1804z00_1148 = 
(BgL_arg1805z00_1149-OBJECT_TYPE); } 
BgL_oclassz00_1142 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1148); } 
{ /* Llib/pgp_encode.scm 524 */
 bool_t BgL__ortest_1111z00_1143;
BgL__ortest_1111z00_1143 = 
(BgL_classz00_1125==BgL_oclassz00_1142); 
if(BgL__ortest_1111z00_1143)
{ /* Llib/pgp_encode.scm 524 */
BgL_res1966z00_1156 = BgL__ortest_1111z00_1143; }  else 
{ /* Llib/pgp_encode.scm 524 */
 long BgL_odepthz00_1144;
BgL_odepthz00_1144 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1142); 
if(
(((long)1)<BgL_odepthz00_1144))
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_arg1793z00_1146;
BgL_arg1793z00_1146 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1142, ((long)1)); 
BgL_res1966z00_1156 = 
(BgL_arg1793z00_1146==BgL_classz00_1125); }  else 
{ /* Llib/pgp_encode.scm 524 */
BgL_res1966z00_1156 = ((bool_t)0); } } } } 
BgL_arg1795z00_1131 = BgL_res1966z00_1156; } 
BgL_test2343z00_3528 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1130, BgL_arg1795z00_1131); } }  else 
{ /* Llib/pgp_encode.scm 524 */
BgL_test2343z00_3528 = ((bool_t)0)
; } } } 
if(BgL_test2343z00_3528)
{ /* Llib/pgp_encode.scm 524 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 524 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2059z00zz__openpgpzd2encodezd2, BGl_string2060z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); } } 
{ /* Llib/pgp_encode.scm 528 */
 BgL_rsazd2keyzd2_bglt BgL_i1145z00_336;
BgL_i1145z00_336 = 
((BgL_rsazd2keyzd2_bglt)
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); 
{ /* Llib/pgp_encode.scm 529 */
 obj_t BgL_arg1707z00_337;
BgL_arg1707z00_337 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_i1145z00_336))->BgL_modulusz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1159;
BgL_bitzd2lenzd2_1159 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1707z00_337); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1160;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1967z00_1186;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1163; long BgL_rz00_1164;
BgL_qz00_1163 = 
(BgL_bitzd2lenzd2_1159/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1168; long BgL_n2z00_1169;
BgL_n1z00_1168 = BgL_bitzd2lenzd2_1159; 
BgL_n2z00_1169 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2347z00_3555;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_1171;
BgL_arg1353z00_1171 = 
(((BgL_n1z00_1168) | (BgL_n2z00_1169)) & -2147483648); 
BgL_test2347z00_3555 = 
(BgL_arg1353z00_1171==((long)0)); } 
if(BgL_test2347z00_3555)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_1172;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_1173; int32_t BgL_arg1352z00_1174;
BgL_arg1351z00_1173 = 
(int32_t)(BgL_n1z00_1168); 
BgL_arg1352z00_1174 = 
(int32_t)(BgL_n2z00_1169); 
BgL_arg1350z00_1172 = 
(BgL_arg1351z00_1173%BgL_arg1352z00_1174); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_1179;
BgL_arg1447z00_1179 = 
(long)(BgL_arg1350z00_1172); 
BgL_rz00_1164 = 
(long)(BgL_arg1447z00_1179); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1164 = 
(BgL_n1z00_1168%BgL_n2z00_1169); } } } 
if(
(BgL_rz00_1164==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1967z00_1186 = BgL_qz00_1163; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1164>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1967z00_1186 = 
(BgL_qz00_1163+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1967z00_1186 = 
(BgL_qz00_1163-((long)1)); } } } 
BgL_octetzd2lenzd2_1160 = BgL_res1967z00_1186; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1161;
BgL_strz00_1161 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1707z00_337, BgL_octetzd2lenzd2_1160); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1159, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1161, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 530 */
 obj_t BgL_arg1709z00_338;
BgL_arg1709z00_338 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_i1145z00_336))->BgL_exponentz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1192;
BgL_bitzd2lenzd2_1192 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1709z00_338); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1193;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1968z00_1219;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1196; long BgL_rz00_1197;
BgL_qz00_1196 = 
(BgL_bitzd2lenzd2_1192/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1201; long BgL_n2z00_1202;
BgL_n1z00_1201 = BgL_bitzd2lenzd2_1192; 
BgL_n2z00_1202 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2350z00_3577;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_1204;
BgL_arg1353z00_1204 = 
(((BgL_n1z00_1201) | (BgL_n2z00_1202)) & -2147483648); 
BgL_test2350z00_3577 = 
(BgL_arg1353z00_1204==((long)0)); } 
if(BgL_test2350z00_3577)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_1205;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_1206; int32_t BgL_arg1352z00_1207;
BgL_arg1351z00_1206 = 
(int32_t)(BgL_n1z00_1201); 
BgL_arg1352z00_1207 = 
(int32_t)(BgL_n2z00_1202); 
BgL_arg1350z00_1205 = 
(BgL_arg1351z00_1206%BgL_arg1352z00_1207); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_1212;
BgL_arg1447z00_1212 = 
(long)(BgL_arg1350z00_1205); 
BgL_rz00_1197 = 
(long)(BgL_arg1447z00_1212); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1197 = 
(BgL_n1z00_1201%BgL_n2z00_1202); } } } 
if(
(BgL_rz00_1197==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1968z00_1219 = BgL_qz00_1196; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1197>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1968z00_1219 = 
(BgL_qz00_1196+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1968z00_1219 = 
(BgL_qz00_1196-((long)1)); } } } 
BgL_octetzd2lenzd2_1193 = BgL_res1968z00_1219; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1194;
BgL_strz00_1194 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1709z00_338, BgL_octetzd2lenzd2_1193); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1192, ((long)2)), BgL_pz00_107); 
return 
bgl_display_obj(BgL_strz00_1194, BgL_pz00_107);} } } } } } }  else 
{ /* Llib/pgp_encode.scm 522 */
if(
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)8))))
{ /* Llib/pgp_encode.scm 522 */
{ /* Llib/pgp_encode.scm 532 */
 bool_t BgL_test2354z00_3599;
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_arg1726z00_343;
BgL_arg1726z00_343 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00); 
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_classz00_1224;
BgL_classz00_1224 = BGl_Dsazd2Keyzd2zz__cryptozd2dsazd2; 
if(
BGL_OBJECTP(BgL_arg1726z00_343))
{ /* Llib/pgp_encode.scm 532 */
 BgL_objectz00_bglt BgL_arg1797z00_1226;
BgL_arg1797z00_1226 = 
(BgL_objectz00_bglt)(BgL_arg1726z00_343); 
{ /* Llib/pgp_encode.scm 532 */
 bool_t BgL_arg1794z00_1229; bool_t BgL_arg1795z00_1230;
{ /* Llib/pgp_encode.scm 532 */
 long BgL_idxz00_1233;
BgL_idxz00_1233 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1226); 
BgL_arg1794z00_1229 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1233+((long)1)))==BgL_classz00_1224); } 
{ /* Llib/pgp_encode.scm 532 */
 bool_t BgL_res1969z00_1255;
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_oclassz00_1241;
{ /* Llib/pgp_encode.scm 532 */
 long BgL_arg1804z00_1247;
{ /* Llib/pgp_encode.scm 532 */
 long BgL_arg1805z00_1248;
BgL_arg1805z00_1248 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1226); 
BgL_arg1804z00_1247 = 
(BgL_arg1805z00_1248-OBJECT_TYPE); } 
BgL_oclassz00_1241 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1247); } 
{ /* Llib/pgp_encode.scm 532 */
 bool_t BgL__ortest_1111z00_1242;
BgL__ortest_1111z00_1242 = 
(BgL_classz00_1224==BgL_oclassz00_1241); 
if(BgL__ortest_1111z00_1242)
{ /* Llib/pgp_encode.scm 532 */
BgL_res1969z00_1255 = BgL__ortest_1111z00_1242; }  else 
{ /* Llib/pgp_encode.scm 532 */
 long BgL_odepthz00_1243;
BgL_odepthz00_1243 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1241); 
if(
(((long)1)<BgL_odepthz00_1243))
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_arg1793z00_1245;
BgL_arg1793z00_1245 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1241, ((long)1)); 
BgL_res1969z00_1255 = 
(BgL_arg1793z00_1245==BgL_classz00_1224); }  else 
{ /* Llib/pgp_encode.scm 532 */
BgL_res1969z00_1255 = ((bool_t)0); } } } } 
BgL_arg1795z00_1230 = BgL_res1969z00_1255; } 
BgL_test2354z00_3599 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1229, BgL_arg1795z00_1230); } }  else 
{ /* Llib/pgp_encode.scm 532 */
BgL_test2354z00_3599 = ((bool_t)0)
; } } } 
if(BgL_test2354z00_3599)
{ /* Llib/pgp_encode.scm 532 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 532 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2059z00zz__openpgpzd2encodezd2, BGl_string2061z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); } } 
{ /* Llib/pgp_encode.scm 536 */
 BgL_dsazd2keyzd2_bglt BgL_i1146z00_344;
BgL_i1146z00_344 = 
((BgL_dsazd2keyzd2_bglt)
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); 
{ /* Llib/pgp_encode.scm 537 */
 obj_t BgL_arg1727z00_345;
BgL_arg1727z00_345 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1146z00_344))->BgL_pz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1258;
BgL_bitzd2lenzd2_1258 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1727z00_345); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1259;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1970z00_1285;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1262; long BgL_rz00_1263;
BgL_qz00_1262 = 
(BgL_bitzd2lenzd2_1258/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1267; long BgL_n2z00_1268;
BgL_n1z00_1267 = BgL_bitzd2lenzd2_1258; 
BgL_n2z00_1268 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2358z00_3626;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_1270;
BgL_arg1353z00_1270 = 
(((BgL_n1z00_1267) | (BgL_n2z00_1268)) & -2147483648); 
BgL_test2358z00_3626 = 
(BgL_arg1353z00_1270==((long)0)); } 
if(BgL_test2358z00_3626)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_1271;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_1272; int32_t BgL_arg1352z00_1273;
BgL_arg1351z00_1272 = 
(int32_t)(BgL_n1z00_1267); 
BgL_arg1352z00_1273 = 
(int32_t)(BgL_n2z00_1268); 
BgL_arg1350z00_1271 = 
(BgL_arg1351z00_1272%BgL_arg1352z00_1273); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_1278;
BgL_arg1447z00_1278 = 
(long)(BgL_arg1350z00_1271); 
BgL_rz00_1263 = 
(long)(BgL_arg1447z00_1278); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1263 = 
(BgL_n1z00_1267%BgL_n2z00_1268); } } } 
if(
(BgL_rz00_1263==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1970z00_1285 = BgL_qz00_1262; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1263>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1970z00_1285 = 
(BgL_qz00_1262+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1970z00_1285 = 
(BgL_qz00_1262-((long)1)); } } } 
BgL_octetzd2lenzd2_1259 = BgL_res1970z00_1285; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1260;
BgL_strz00_1260 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1727z00_345, BgL_octetzd2lenzd2_1259); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1258, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1260, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 538 */
 obj_t BgL_arg1728z00_346;
BgL_arg1728z00_346 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1146z00_344))->BgL_qz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1291;
BgL_bitzd2lenzd2_1291 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1728z00_346); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1292;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1971z00_1318;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1295; long BgL_rz00_1296;
BgL_qz00_1295 = 
(BgL_bitzd2lenzd2_1291/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1300; long BgL_n2z00_1301;
BgL_n1z00_1300 = BgL_bitzd2lenzd2_1291; 
BgL_n2z00_1301 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2361z00_3648;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_1303;
BgL_arg1353z00_1303 = 
(((BgL_n1z00_1300) | (BgL_n2z00_1301)) & -2147483648); 
BgL_test2361z00_3648 = 
(BgL_arg1353z00_1303==((long)0)); } 
if(BgL_test2361z00_3648)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_1304;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_1305; int32_t BgL_arg1352z00_1306;
BgL_arg1351z00_1305 = 
(int32_t)(BgL_n1z00_1300); 
BgL_arg1352z00_1306 = 
(int32_t)(BgL_n2z00_1301); 
BgL_arg1350z00_1304 = 
(BgL_arg1351z00_1305%BgL_arg1352z00_1306); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_1311;
BgL_arg1447z00_1311 = 
(long)(BgL_arg1350z00_1304); 
BgL_rz00_1296 = 
(long)(BgL_arg1447z00_1311); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1296 = 
(BgL_n1z00_1300%BgL_n2z00_1301); } } } 
if(
(BgL_rz00_1296==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1971z00_1318 = BgL_qz00_1295; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1296>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1971z00_1318 = 
(BgL_qz00_1295+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1971z00_1318 = 
(BgL_qz00_1295-((long)1)); } } } 
BgL_octetzd2lenzd2_1292 = BgL_res1971z00_1318; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1293;
BgL_strz00_1293 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1728z00_346, BgL_octetzd2lenzd2_1292); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1291, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1293, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 539 */
 obj_t BgL_arg1729z00_347;
BgL_arg1729z00_347 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1146z00_344))->BgL_gz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1324;
BgL_bitzd2lenzd2_1324 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1729z00_347); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1325;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1972z00_1351;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1328; long BgL_rz00_1329;
BgL_qz00_1328 = 
(BgL_bitzd2lenzd2_1324/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1333; long BgL_n2z00_1334;
BgL_n1z00_1333 = BgL_bitzd2lenzd2_1324; 
BgL_n2z00_1334 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2364z00_3670;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_1336;
BgL_arg1353z00_1336 = 
(((BgL_n1z00_1333) | (BgL_n2z00_1334)) & -2147483648); 
BgL_test2364z00_3670 = 
(BgL_arg1353z00_1336==((long)0)); } 
if(BgL_test2364z00_3670)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_1337;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_1338; int32_t BgL_arg1352z00_1339;
BgL_arg1351z00_1338 = 
(int32_t)(BgL_n1z00_1333); 
BgL_arg1352z00_1339 = 
(int32_t)(BgL_n2z00_1334); 
BgL_arg1350z00_1337 = 
(BgL_arg1351z00_1338%BgL_arg1352z00_1339); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_1344;
BgL_arg1447z00_1344 = 
(long)(BgL_arg1350z00_1337); 
BgL_rz00_1329 = 
(long)(BgL_arg1447z00_1344); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1329 = 
(BgL_n1z00_1333%BgL_n2z00_1334); } } } 
if(
(BgL_rz00_1329==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1972z00_1351 = BgL_qz00_1328; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1329>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1972z00_1351 = 
(BgL_qz00_1328+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1972z00_1351 = 
(BgL_qz00_1328-((long)1)); } } } 
BgL_octetzd2lenzd2_1325 = BgL_res1972z00_1351; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1326;
BgL_strz00_1326 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1729z00_347, BgL_octetzd2lenzd2_1325); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1324, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1326, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 540 */
 obj_t BgL_arg1730z00_348;
BgL_arg1730z00_348 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1146z00_344))->BgL_yz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1357;
BgL_bitzd2lenzd2_1357 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1730z00_348); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1358;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1973z00_1384;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1361; long BgL_rz00_1362;
BgL_qz00_1361 = 
(BgL_bitzd2lenzd2_1357/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1366; long BgL_n2z00_1367;
BgL_n1z00_1366 = BgL_bitzd2lenzd2_1357; 
BgL_n2z00_1367 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2367z00_3692;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_1369;
BgL_arg1353z00_1369 = 
(((BgL_n1z00_1366) | (BgL_n2z00_1367)) & -2147483648); 
BgL_test2367z00_3692 = 
(BgL_arg1353z00_1369==((long)0)); } 
if(BgL_test2367z00_3692)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_1370;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_1371; int32_t BgL_arg1352z00_1372;
BgL_arg1351z00_1371 = 
(int32_t)(BgL_n1z00_1366); 
BgL_arg1352z00_1372 = 
(int32_t)(BgL_n2z00_1367); 
BgL_arg1350z00_1370 = 
(BgL_arg1351z00_1371%BgL_arg1352z00_1372); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_1377;
BgL_arg1447z00_1377 = 
(long)(BgL_arg1350z00_1370); 
BgL_rz00_1362 = 
(long)(BgL_arg1447z00_1377); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1362 = 
(BgL_n1z00_1366%BgL_n2z00_1367); } } } 
if(
(BgL_rz00_1362==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1973z00_1384 = BgL_qz00_1361; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1362>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1973z00_1384 = 
(BgL_qz00_1361+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1973z00_1384 = 
(BgL_qz00_1361-((long)1)); } } } 
BgL_octetzd2lenzd2_1358 = BgL_res1973z00_1384; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1359;
BgL_strz00_1359 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1730z00_348, BgL_octetzd2lenzd2_1358); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1357, ((long)2)), BgL_pz00_107); 
return 
bgl_display_obj(BgL_strz00_1359, BgL_pz00_107);} } } } } } }  else 
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL_test2370z00_3711;
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL__ortest_1147z00_363;
BgL__ortest_1147z00_363 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1147z00_363)
{ /* Llib/pgp_encode.scm 522 */
BgL_test2370z00_3711 = BgL__ortest_1147z00_363
; }  else 
{ /* Llib/pgp_encode.scm 522 */
BgL_test2370z00_3711 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)10)))
; } } 
if(BgL_test2370z00_3711)
{ /* Llib/pgp_encode.scm 522 */
{ /* Llib/pgp_encode.scm 542 */
 bool_t BgL_test2372z00_3717;
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_arg1740z00_354;
BgL_arg1740z00_354 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00); 
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_classz00_1388;
BgL_classz00_1388 = BGl_ElGamalzd2Keyzd2zz__cryptozd2elgamalzd2; 
if(
BGL_OBJECTP(BgL_arg1740z00_354))
{ /* Llib/pgp_encode.scm 542 */
 BgL_objectz00_bglt BgL_arg1797z00_1390;
BgL_arg1797z00_1390 = 
(BgL_objectz00_bglt)(BgL_arg1740z00_354); 
{ /* Llib/pgp_encode.scm 542 */
 bool_t BgL_arg1794z00_1393; bool_t BgL_arg1795z00_1394;
{ /* Llib/pgp_encode.scm 542 */
 long BgL_idxz00_1397;
BgL_idxz00_1397 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1390); 
BgL_arg1794z00_1393 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1397+((long)1)))==BgL_classz00_1388); } 
{ /* Llib/pgp_encode.scm 542 */
 bool_t BgL_res1974z00_1419;
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_oclassz00_1405;
{ /* Llib/pgp_encode.scm 542 */
 long BgL_arg1804z00_1411;
{ /* Llib/pgp_encode.scm 542 */
 long BgL_arg1805z00_1412;
BgL_arg1805z00_1412 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1390); 
BgL_arg1804z00_1411 = 
(BgL_arg1805z00_1412-OBJECT_TYPE); } 
BgL_oclassz00_1405 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1411); } 
{ /* Llib/pgp_encode.scm 542 */
 bool_t BgL__ortest_1111z00_1406;
BgL__ortest_1111z00_1406 = 
(BgL_classz00_1388==BgL_oclassz00_1405); 
if(BgL__ortest_1111z00_1406)
{ /* Llib/pgp_encode.scm 542 */
BgL_res1974z00_1419 = BgL__ortest_1111z00_1406; }  else 
{ /* Llib/pgp_encode.scm 542 */
 long BgL_odepthz00_1407;
BgL_odepthz00_1407 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1405); 
if(
(((long)1)<BgL_odepthz00_1407))
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_arg1793z00_1409;
BgL_arg1793z00_1409 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1405, ((long)1)); 
BgL_res1974z00_1419 = 
(BgL_arg1793z00_1409==BgL_classz00_1388); }  else 
{ /* Llib/pgp_encode.scm 542 */
BgL_res1974z00_1419 = ((bool_t)0); } } } } 
BgL_arg1795z00_1394 = BgL_res1974z00_1419; } 
BgL_test2372z00_3717 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1393, BgL_arg1795z00_1394); } }  else 
{ /* Llib/pgp_encode.scm 542 */
BgL_test2372z00_3717 = ((bool_t)0)
; } } } 
if(BgL_test2372z00_3717)
{ /* Llib/pgp_encode.scm 542 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 542 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2059z00zz__openpgpzd2encodezd2, BGl_string2062z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); } } 
{ /* Llib/pgp_encode.scm 546 */
 BgL_elgamalzd2keyzd2_bglt BgL_i1148z00_355;
BgL_i1148z00_355 = 
((BgL_elgamalzd2keyzd2_bglt)
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); 
{ /* Llib/pgp_encode.scm 547 */
 obj_t BgL_arg1741z00_356;
BgL_arg1741z00_356 = 
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_i1148z00_355))->BgL_pz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1422;
BgL_bitzd2lenzd2_1422 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1741z00_356); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1423;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1975z00_1449;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1426; long BgL_rz00_1427;
BgL_qz00_1426 = 
(BgL_bitzd2lenzd2_1422/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1431; long BgL_n2z00_1432;
BgL_n1z00_1431 = BgL_bitzd2lenzd2_1422; 
BgL_n2z00_1432 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2376z00_3744;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_1434;
BgL_arg1353z00_1434 = 
(((BgL_n1z00_1431) | (BgL_n2z00_1432)) & -2147483648); 
BgL_test2376z00_3744 = 
(BgL_arg1353z00_1434==((long)0)); } 
if(BgL_test2376z00_3744)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_1435;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_1436; int32_t BgL_arg1352z00_1437;
BgL_arg1351z00_1436 = 
(int32_t)(BgL_n1z00_1431); 
BgL_arg1352z00_1437 = 
(int32_t)(BgL_n2z00_1432); 
BgL_arg1350z00_1435 = 
(BgL_arg1351z00_1436%BgL_arg1352z00_1437); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_1442;
BgL_arg1447z00_1442 = 
(long)(BgL_arg1350z00_1435); 
BgL_rz00_1427 = 
(long)(BgL_arg1447z00_1442); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1427 = 
(BgL_n1z00_1431%BgL_n2z00_1432); } } } 
if(
(BgL_rz00_1427==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1975z00_1449 = BgL_qz00_1426; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1427>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1975z00_1449 = 
(BgL_qz00_1426+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1975z00_1449 = 
(BgL_qz00_1426-((long)1)); } } } 
BgL_octetzd2lenzd2_1423 = BgL_res1975z00_1449; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1424;
BgL_strz00_1424 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1741z00_356, BgL_octetzd2lenzd2_1423); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1422, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1424, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 548 */
 obj_t BgL_arg1742z00_357;
BgL_arg1742z00_357 = 
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_i1148z00_355))->BgL_gz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1455;
BgL_bitzd2lenzd2_1455 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1742z00_357); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1456;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1976z00_1482;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1459; long BgL_rz00_1460;
BgL_qz00_1459 = 
(BgL_bitzd2lenzd2_1455/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1464; long BgL_n2z00_1465;
BgL_n1z00_1464 = BgL_bitzd2lenzd2_1455; 
BgL_n2z00_1465 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2379z00_3766;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_1467;
BgL_arg1353z00_1467 = 
(((BgL_n1z00_1464) | (BgL_n2z00_1465)) & -2147483648); 
BgL_test2379z00_3766 = 
(BgL_arg1353z00_1467==((long)0)); } 
if(BgL_test2379z00_3766)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_1468;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_1469; int32_t BgL_arg1352z00_1470;
BgL_arg1351z00_1469 = 
(int32_t)(BgL_n1z00_1464); 
BgL_arg1352z00_1470 = 
(int32_t)(BgL_n2z00_1465); 
BgL_arg1350z00_1468 = 
(BgL_arg1351z00_1469%BgL_arg1352z00_1470); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_1475;
BgL_arg1447z00_1475 = 
(long)(BgL_arg1350z00_1468); 
BgL_rz00_1460 = 
(long)(BgL_arg1447z00_1475); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1460 = 
(BgL_n1z00_1464%BgL_n2z00_1465); } } } 
if(
(BgL_rz00_1460==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1976z00_1482 = BgL_qz00_1459; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1460>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1976z00_1482 = 
(BgL_qz00_1459+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1976z00_1482 = 
(BgL_qz00_1459-((long)1)); } } } 
BgL_octetzd2lenzd2_1456 = BgL_res1976z00_1482; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1457;
BgL_strz00_1457 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1742z00_357, BgL_octetzd2lenzd2_1456); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1455, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1457, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 549 */
 obj_t BgL_arg1744z00_358;
BgL_arg1744z00_358 = 
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_i1148z00_355))->BgL_yz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1488;
BgL_bitzd2lenzd2_1488 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1744z00_358); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1489;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1977z00_1515;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1492; long BgL_rz00_1493;
BgL_qz00_1492 = 
(BgL_bitzd2lenzd2_1488/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_1497; long BgL_n2z00_1498;
BgL_n1z00_1497 = BgL_bitzd2lenzd2_1488; 
BgL_n2z00_1498 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2382z00_3788;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_1500;
BgL_arg1353z00_1500 = 
(((BgL_n1z00_1497) | (BgL_n2z00_1498)) & -2147483648); 
BgL_test2382z00_3788 = 
(BgL_arg1353z00_1500==((long)0)); } 
if(BgL_test2382z00_3788)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_1501;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_1502; int32_t BgL_arg1352z00_1503;
BgL_arg1351z00_1502 = 
(int32_t)(BgL_n1z00_1497); 
BgL_arg1352z00_1503 = 
(int32_t)(BgL_n2z00_1498); 
BgL_arg1350z00_1501 = 
(BgL_arg1351z00_1502%BgL_arg1352z00_1503); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_1508;
BgL_arg1447z00_1508 = 
(long)(BgL_arg1350z00_1501); 
BgL_rz00_1493 = 
(long)(BgL_arg1447z00_1508); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_1493 = 
(BgL_n1z00_1497%BgL_n2z00_1498); } } } 
if(
(BgL_rz00_1493==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1977z00_1515 = BgL_qz00_1492; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1493>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1977z00_1515 = 
(BgL_qz00_1492+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1977z00_1515 = 
(BgL_qz00_1492-((long)1)); } } } 
BgL_octetzd2lenzd2_1489 = BgL_res1977z00_1515; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1490;
BgL_strz00_1490 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1744z00_358, BgL_octetzd2lenzd2_1489); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1488, ((long)2)), BgL_pz00_107); 
return 
bgl_display_obj(BgL_strz00_1490, BgL_pz00_107);} } } } } } }  else 
{ /* Llib/pgp_encode.scm 553 */
 obj_t BgL_arg1745z00_359;
BgL_arg1745z00_359 = 
MAKE_YOUNG_PAIR(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00), 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00))); 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2059z00zz__openpgpzd2encodezd2, BGl_string2063z00zz__openpgpzd2encodezd2, BgL_arg1745z00_359);} } } } } } 

}



/* &encode-public-key-content */
obj_t BGl_z62encodezd2publiczd2keyzd2contentzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2270, obj_t BgL_packetz00_2271, obj_t BgL_pz00_2272)
{
{ /* Llib/pgp_encode.scm 500 */
{ /* Llib/pgp_encode.scm 502 */
 obj_t BgL_auxz00_3820; BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_3812;
if(
OUTPUT_PORTP(BgL_pz00_2272))
{ /* Llib/pgp_encode.scm 502 */
BgL_auxz00_3820 = BgL_pz00_2272
; }  else 
{ 
 obj_t BgL_auxz00_3823;
BgL_auxz00_3823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)19947)), BGl_string2064z00zz__openpgpzd2encodezd2, BGl_string2033z00zz__openpgpzd2encodezd2, BgL_pz00_2272); 
FAILURE(BgL_auxz00_3823,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_packetz00_2271, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2))
{ /* Llib/pgp_encode.scm 502 */
BgL_auxz00_3812 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_packetz00_2271)
; }  else 
{ 
 obj_t BgL_auxz00_3816;
BgL_auxz00_3816 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)19947)), BGl_string2064z00zz__openpgpzd2encodezd2, BGl_string2065z00zz__openpgpzd2encodezd2, BgL_packetz00_2271); 
FAILURE(BgL_auxz00_3816,BFALSE,BFALSE);} 
return 
BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(BgL_auxz00_3812, BgL_auxz00_3820);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_proc2066z00zz__openpgpzd2encodezd2, BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, BGl_string2067z00zz__openpgpzd2encodezd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_proc2068z00zz__openpgpzd2encodezd2, BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, BGl_string2069z00zz__openpgpzd2encodezd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_proc2070z00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, BGl_string2071z00zz__openpgpzd2encodezd2);} 

}



/* &encode-sub-packet-co1203 */
obj_t BGl_z62encodezd2subzd2packetzd2co1203zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2276, obj_t BgL_spz00_2277, obj_t BgL_pz00_2278)
{
{ /* Llib/pgp_encode.scm 170 */
{ /* Llib/pgp_encode.scm 174 */
 obj_t BgL_arg1789z00_2514;
{ /* Llib/pgp_encode.scm 174 */
 obj_t BgL_arg1790z00_2515;
{ /* Llib/pgp_encode.scm 174 */
 long BgL_arg1804z00_2516;
{ /* Llib/pgp_encode.scm 174 */
 long BgL_arg1805z00_2517;
BgL_arg1805z00_2517 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_spz00_2277))); 
BgL_arg1804z00_2516 = 
(BgL_arg1805z00_2517-OBJECT_TYPE); } 
BgL_arg1790z00_2515 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2516); } 
BgL_arg1789z00_2514 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg1790z00_2515); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2072z00zz__openpgpzd2encodezd2, BGl_string2073z00zz__openpgpzd2encodezd2, BgL_arg1789z00_2514);} } 

}



/* &encode-content1198 */
obj_t BGl_z62encodezd2content1198zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2279, obj_t BgL_packetz00_2280, obj_t BgL_pz00_2281)
{
{ /* Llib/pgp_encode.scm 130 */
{ /* Llib/pgp_encode.scm 134 */
 obj_t BgL_arg1767z00_2520;
{ /* Llib/pgp_encode.scm 134 */
 obj_t BgL_arg1770z00_2521;
{ /* Llib/pgp_encode.scm 134 */
 long BgL_arg1804z00_2522;
{ /* Llib/pgp_encode.scm 134 */
 long BgL_arg1805z00_2523;
BgL_arg1805z00_2523 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_2280))); 
BgL_arg1804z00_2522 = 
(BgL_arg1805z00_2523-OBJECT_TYPE); } 
BgL_arg1770z00_2521 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2522); } 
BgL_arg1767z00_2520 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg1770z00_2521); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2074z00zz__openpgpzd2encodezd2, BGl_string2073z00zz__openpgpzd2encodezd2, BgL_arg1767z00_2520);} } 

}



/* &packet->content-tag1169 */
obj_t BGl_z62packetzd2ze3contentzd2tag1169z81zz__openpgpzd2encodezd2(obj_t BgL_envz00_2282, obj_t BgL_pz00_2283)
{
{ /* Llib/pgp_encode.scm 71 */
{ /* Llib/pgp_encode.scm 74 */
 obj_t BgL_arg1756z00_2525;
{ /* Llib/pgp_encode.scm 74 */
 obj_t BgL_arg1763z00_2526;
{ /* Llib/pgp_encode.scm 74 */
 long BgL_arg1804z00_2527;
{ /* Llib/pgp_encode.scm 74 */
 long BgL_arg1805z00_2528;
BgL_arg1805z00_2528 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_pgpzd2packetzd2_bglt)BgL_pz00_2283))); 
BgL_arg1804z00_2527 = 
(BgL_arg1805z00_2528-OBJECT_TYPE); } 
BgL_arg1763z00_2526 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2527); } 
BgL_arg1756z00_2525 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg1763z00_2526); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2075z00zz__openpgpzd2encodezd2, BGl_string2076z00zz__openpgpzd2encodezd2, BgL_arg1756z00_2525);} } 

}



/* packet->content-tag */
obj_t BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt BgL_pz00_22)
{
{ /* Llib/pgp_encode.scm 71 */
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_method1171z00_386;
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_res1982z00_1579;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_objzd2classzd2numz00_1550;
BgL_objzd2classzd2numz00_1550 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_pz00_22)); 
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_arg1801z00_1551;
BgL_arg1801z00_1551 = 
PROCEDURE_REF(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, 
(int)(((long)1))); 
{ /* Llib/pgp_encode.scm 71 */
 int BgL_offsetz00_1554;
BgL_offsetz00_1554 = 
(int)(BgL_objzd2classzd2numz00_1550); 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_offsetz00_1555;
BgL_offsetz00_1555 = 
(
(long)(BgL_offsetz00_1554)-OBJECT_TYPE); 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_modz00_1556;
BgL_modz00_1556 = 
(BgL_offsetz00_1555 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_restz00_1558;
BgL_restz00_1558 = 
(BgL_offsetz00_1555 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_encode.scm 71 */

{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_bucketz00_1560;
BgL_bucketz00_1560 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_1551),BgL_modz00_1556); 
BgL_res1982z00_1579 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1560),BgL_restz00_1558); } } } } } } } } 
BgL_method1171z00_386 = BgL_res1982z00_1579; } 
return 
PROCEDURE_ENTRY(BgL_method1171z00_386)(BgL_method1171z00_386, 
((obj_t)BgL_pz00_22), BEOA);} } 

}



/* &packet->content-tag */
obj_t BGl_z62packetzd2ze3contentzd2tagz81zz__openpgpzd2encodezd2(obj_t BgL_envz00_2284, obj_t BgL_pz00_2285)
{
{ /* Llib/pgp_encode.scm 71 */
{ /* Llib/pgp_encode.scm 71 */
 BgL_pgpzd2packetzd2_bglt BgL_auxz00_3882;
{ /* Llib/pgp_encode.scm 71 */
 bool_t BgL_test2387z00_3883;
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_classz00_2529;
BgL_classz00_2529 = BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pz00_2285))
{ /* Llib/pgp_encode.scm 71 */
 BgL_objectz00_bglt BgL_arg1799z00_2531; long BgL_arg1800z00_2532;
BgL_arg1799z00_2531 = 
(BgL_objectz00_bglt)(BgL_pz00_2285); 
BgL_arg1800z00_2532 = 
BGL_CLASS_DEPTH(BgL_classz00_2529); 
{ /* Llib/pgp_encode.scm 71 */
 bool_t BgL_arg1794z00_2536; bool_t BgL_arg1795z00_2537;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_idxz00_2541;
BgL_idxz00_2541 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2531); 
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_arg1791z00_2542;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_arg1792z00_2543;
BgL_arg1792z00_2543 = 
(BgL_idxz00_2541+BgL_arg1800z00_2532); 
BgL_arg1791z00_2542 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2543); } 
BgL_arg1794z00_2536 = 
(BgL_arg1791z00_2542==BgL_classz00_2529); } } 
{ /* Llib/pgp_encode.scm 71 */
 bool_t BgL_res2145z00_2566;
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_oclassz00_2551;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_arg1804z00_2557;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_arg1805z00_2558;
BgL_arg1805z00_2558 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2531); 
BgL_arg1804z00_2557 = 
(BgL_arg1805z00_2558-OBJECT_TYPE); } 
BgL_oclassz00_2551 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2557); } 
{ /* Llib/pgp_encode.scm 71 */
 bool_t BgL__ortest_1111z00_2552;
BgL__ortest_1111z00_2552 = 
(BgL_classz00_2529==BgL_oclassz00_2551); 
if(BgL__ortest_1111z00_2552)
{ /* Llib/pgp_encode.scm 71 */
BgL_res2145z00_2566 = BgL__ortest_1111z00_2552; }  else 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_odepthz00_2553;
BgL_odepthz00_2553 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2551); 
if(
(BgL_arg1800z00_2532<BgL_odepthz00_2553))
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_arg1793z00_2555;
BgL_arg1793z00_2555 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2551, BgL_arg1800z00_2532); 
BgL_res2145z00_2566 = 
(BgL_arg1793z00_2555==BgL_classz00_2529); }  else 
{ /* Llib/pgp_encode.scm 71 */
BgL_res2145z00_2566 = ((bool_t)0); } } } } 
BgL_arg1795z00_2537 = BgL_res2145z00_2566; } 
BgL_test2387z00_3883 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2536, BgL_arg1795z00_2537); } }  else 
{ /* Llib/pgp_encode.scm 71 */
BgL_test2387z00_3883 = ((bool_t)0)
; } } 
if(BgL_test2387z00_3883)
{ /* Llib/pgp_encode.scm 71 */
BgL_auxz00_3882 = 
((BgL_pgpzd2packetzd2_bglt)BgL_pz00_2285)
; }  else 
{ 
 obj_t BgL_auxz00_3904;
BgL_auxz00_3904 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)2203)), BGl_string2077z00zz__openpgpzd2encodezd2, BGl_string2041z00zz__openpgpzd2encodezd2, BgL_pz00_2285); 
FAILURE(BgL_auxz00_3904,BFALSE,BFALSE);} } 
return 
BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_auxz00_3882);} } 

}



/* encode-content */
obj_t BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt BgL_packetz00_38, obj_t BgL_pz00_39)
{
{ /* Llib/pgp_encode.scm 130 */
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_method1200z00_387;
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_res1987z00_1610;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_objzd2classzd2numz00_1581;
BgL_objzd2classzd2numz00_1581 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_packetz00_38)); 
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_arg1801z00_1582;
BgL_arg1801z00_1582 = 
PROCEDURE_REF(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, 
(int)(((long)1))); 
{ /* Llib/pgp_encode.scm 130 */
 int BgL_offsetz00_1585;
BgL_offsetz00_1585 = 
(int)(BgL_objzd2classzd2numz00_1581); 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_offsetz00_1586;
BgL_offsetz00_1586 = 
(
(long)(BgL_offsetz00_1585)-OBJECT_TYPE); 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_modz00_1587;
BgL_modz00_1587 = 
(BgL_offsetz00_1586 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_restz00_1589;
BgL_restz00_1589 = 
(BgL_offsetz00_1586 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_encode.scm 130 */

{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_bucketz00_1591;
BgL_bucketz00_1591 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_1582),BgL_modz00_1587); 
BgL_res1987z00_1610 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1591),BgL_restz00_1589); } } } } } } } } 
BgL_method1200z00_387 = BgL_res1987z00_1610; } 
return 
PROCEDURE_ENTRY(BgL_method1200z00_387)(BgL_method1200z00_387, 
((obj_t)BgL_packetz00_38), BgL_pz00_39, BEOA);} } 

}



/* &encode-content */
obj_t BGl_z62encodezd2contentzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2286, obj_t BgL_packetz00_2287, obj_t BgL_pz00_2288)
{
{ /* Llib/pgp_encode.scm 130 */
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_auxz00_3966; BgL_pgpzd2packetzd2_bglt BgL_auxz00_3940;
if(
OUTPUT_PORTP(BgL_pz00_2288))
{ /* Llib/pgp_encode.scm 130 */
BgL_auxz00_3966 = BgL_pz00_2288
; }  else 
{ 
 obj_t BgL_auxz00_3969;
BgL_auxz00_3969 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)4525)), BGl_string2078z00zz__openpgpzd2encodezd2, BGl_string2033z00zz__openpgpzd2encodezd2, BgL_pz00_2288); 
FAILURE(BgL_auxz00_3969,BFALSE,BFALSE);} 
{ /* Llib/pgp_encode.scm 130 */
 bool_t BgL_test2391z00_3941;
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_classz00_2567;
BgL_classz00_2567 = BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_packetz00_2287))
{ /* Llib/pgp_encode.scm 130 */
 BgL_objectz00_bglt BgL_arg1799z00_2569; long BgL_arg1800z00_2570;
BgL_arg1799z00_2569 = 
(BgL_objectz00_bglt)(BgL_packetz00_2287); 
BgL_arg1800z00_2570 = 
BGL_CLASS_DEPTH(BgL_classz00_2567); 
{ /* Llib/pgp_encode.scm 130 */
 bool_t BgL_arg1794z00_2574; bool_t BgL_arg1795z00_2575;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_idxz00_2579;
BgL_idxz00_2579 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2569); 
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_arg1791z00_2580;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_arg1792z00_2581;
BgL_arg1792z00_2581 = 
(BgL_idxz00_2579+BgL_arg1800z00_2570); 
BgL_arg1791z00_2580 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2581); } 
BgL_arg1794z00_2574 = 
(BgL_arg1791z00_2580==BgL_classz00_2567); } } 
{ /* Llib/pgp_encode.scm 130 */
 bool_t BgL_res2146z00_2604;
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_oclassz00_2589;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_arg1804z00_2595;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_arg1805z00_2596;
BgL_arg1805z00_2596 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2569); 
BgL_arg1804z00_2595 = 
(BgL_arg1805z00_2596-OBJECT_TYPE); } 
BgL_oclassz00_2589 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2595); } 
{ /* Llib/pgp_encode.scm 130 */
 bool_t BgL__ortest_1111z00_2590;
BgL__ortest_1111z00_2590 = 
(BgL_classz00_2567==BgL_oclassz00_2589); 
if(BgL__ortest_1111z00_2590)
{ /* Llib/pgp_encode.scm 130 */
BgL_res2146z00_2604 = BgL__ortest_1111z00_2590; }  else 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_odepthz00_2591;
BgL_odepthz00_2591 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2589); 
if(
(BgL_arg1800z00_2570<BgL_odepthz00_2591))
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_arg1793z00_2593;
BgL_arg1793z00_2593 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2589, BgL_arg1800z00_2570); 
BgL_res2146z00_2604 = 
(BgL_arg1793z00_2593==BgL_classz00_2567); }  else 
{ /* Llib/pgp_encode.scm 130 */
BgL_res2146z00_2604 = ((bool_t)0); } } } } 
BgL_arg1795z00_2575 = BgL_res2146z00_2604; } 
BgL_test2391z00_3941 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2574, BgL_arg1795z00_2575); } }  else 
{ /* Llib/pgp_encode.scm 130 */
BgL_test2391z00_3941 = ((bool_t)0)
; } } 
if(BgL_test2391z00_3941)
{ /* Llib/pgp_encode.scm 130 */
BgL_auxz00_3940 = 
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_2287)
; }  else 
{ 
 obj_t BgL_auxz00_3962;
BgL_auxz00_3962 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)4525)), BGl_string2078z00zz__openpgpzd2encodezd2, BGl_string2041z00zz__openpgpzd2encodezd2, BgL_packetz00_2287); 
FAILURE(BgL_auxz00_3962,BFALSE,BFALSE);} } 
return 
BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_auxz00_3940, BgL_auxz00_3966);} } 

}



/* encode-sub-packet-content */
obj_t BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_spz00_44, obj_t BgL_pz00_45)
{
{ /* Llib/pgp_encode.scm 170 */
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_method1204z00_388;
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_res1992z00_1641;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_objzd2classzd2numz00_1612;
BgL_objzd2classzd2numz00_1612 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_spz00_44)); 
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_arg1801z00_1613;
BgL_arg1801z00_1613 = 
PROCEDURE_REF(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, 
(int)(((long)1))); 
{ /* Llib/pgp_encode.scm 170 */
 int BgL_offsetz00_1616;
BgL_offsetz00_1616 = 
(int)(BgL_objzd2classzd2numz00_1612); 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_offsetz00_1617;
BgL_offsetz00_1617 = 
(
(long)(BgL_offsetz00_1616)-OBJECT_TYPE); 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_modz00_1618;
BgL_modz00_1618 = 
(BgL_offsetz00_1617 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_restz00_1620;
BgL_restz00_1620 = 
(BgL_offsetz00_1617 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_encode.scm 170 */

{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_bucketz00_1622;
BgL_bucketz00_1622 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_1613),BgL_modz00_1618); 
BgL_res1992z00_1641 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1622),BgL_restz00_1620); } } } } } } } } 
BgL_method1204z00_388 = BgL_res1992z00_1641; } 
return 
PROCEDURE_ENTRY(BgL_method1204z00_388)(BgL_method1204z00_388, 
((obj_t)BgL_spz00_44), BgL_pz00_45, BEOA);} } 

}



/* &encode-sub-packet-content */
obj_t BGl_z62encodezd2subzd2packetzd2contentzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2289, obj_t BgL_spz00_2290, obj_t BgL_pz00_2291)
{
{ /* Llib/pgp_encode.scm 170 */
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_auxz00_4031; BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_auxz00_4005;
if(
OUTPUT_PORTP(BgL_pz00_2291))
{ /* Llib/pgp_encode.scm 170 */
BgL_auxz00_4031 = BgL_pz00_2291
; }  else 
{ 
 obj_t BgL_auxz00_4034;
BgL_auxz00_4034 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)6077)), BGl_string2079z00zz__openpgpzd2encodezd2, BGl_string2033z00zz__openpgpzd2encodezd2, BgL_pz00_2291); 
FAILURE(BgL_auxz00_4034,BFALSE,BFALSE);} 
{ /* Llib/pgp_encode.scm 170 */
 bool_t BgL_test2396z00_4006;
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_classz00_2605;
BgL_classz00_2605 = BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_spz00_2290))
{ /* Llib/pgp_encode.scm 170 */
 BgL_objectz00_bglt BgL_arg1799z00_2607; long BgL_arg1800z00_2608;
BgL_arg1799z00_2607 = 
(BgL_objectz00_bglt)(BgL_spz00_2290); 
BgL_arg1800z00_2608 = 
BGL_CLASS_DEPTH(BgL_classz00_2605); 
{ /* Llib/pgp_encode.scm 170 */
 bool_t BgL_arg1794z00_2612; bool_t BgL_arg1795z00_2613;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_idxz00_2617;
BgL_idxz00_2617 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2607); 
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_arg1791z00_2618;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_arg1792z00_2619;
BgL_arg1792z00_2619 = 
(BgL_idxz00_2617+BgL_arg1800z00_2608); 
BgL_arg1791z00_2618 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2619); } 
BgL_arg1794z00_2612 = 
(BgL_arg1791z00_2618==BgL_classz00_2605); } } 
{ /* Llib/pgp_encode.scm 170 */
 bool_t BgL_res2147z00_2642;
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_oclassz00_2627;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_arg1804z00_2633;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_arg1805z00_2634;
BgL_arg1805z00_2634 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2607); 
BgL_arg1804z00_2633 = 
(BgL_arg1805z00_2634-OBJECT_TYPE); } 
BgL_oclassz00_2627 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2633); } 
{ /* Llib/pgp_encode.scm 170 */
 bool_t BgL__ortest_1111z00_2628;
BgL__ortest_1111z00_2628 = 
(BgL_classz00_2605==BgL_oclassz00_2627); 
if(BgL__ortest_1111z00_2628)
{ /* Llib/pgp_encode.scm 170 */
BgL_res2147z00_2642 = BgL__ortest_1111z00_2628; }  else 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_odepthz00_2629;
BgL_odepthz00_2629 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2627); 
if(
(BgL_arg1800z00_2608<BgL_odepthz00_2629))
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_arg1793z00_2631;
BgL_arg1793z00_2631 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2627, BgL_arg1800z00_2608); 
BgL_res2147z00_2642 = 
(BgL_arg1793z00_2631==BgL_classz00_2605); }  else 
{ /* Llib/pgp_encode.scm 170 */
BgL_res2147z00_2642 = ((bool_t)0); } } } } 
BgL_arg1795z00_2613 = BgL_res2147z00_2642; } 
BgL_test2396z00_4006 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2612, BgL_arg1795z00_2613); } }  else 
{ /* Llib/pgp_encode.scm 170 */
BgL_test2396z00_4006 = ((bool_t)0)
; } } 
if(BgL_test2396z00_4006)
{ /* Llib/pgp_encode.scm 170 */
BgL_auxz00_4005 = 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_spz00_2290)
; }  else 
{ 
 obj_t BgL_auxz00_4027;
BgL_auxz00_4027 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2031z00zz__openpgpzd2encodezd2, 
BINT(((long)6077)), BGl_string2079z00zz__openpgpzd2encodezd2, BGl_string2080z00zz__openpgpzd2encodezd2, BgL_spz00_2290); 
FAILURE(BgL_auxz00_4027,BFALSE,BFALSE);} } 
return 
BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(BgL_auxz00_4005, BgL_auxz00_4031);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2081z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2082z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2083z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2084z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2085z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2086z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2087z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2088z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2089z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2090z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2091z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2092z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2093z00zz__openpgpzd2encodezd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2094z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2, BGl_proc2095z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2, BGl_proc2097z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2, BGl_proc2098z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2, BGl_proc2099z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2, BGl_proc2100z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2, BGl_proc2101z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2, BGl_proc2102z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2, BGl_proc2103z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2, BGl_proc2104z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2, BGl_proc2105z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2, BGl_proc2106z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2, BGl_proc2107z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2, BGl_proc2108z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2, BGl_proc2109z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2, BGl_proc2110z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2, BGl_proc2111z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2, BGl_proc2112z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2, BGl_proc2113z00zz__openpgpzd2encodezd2, BGl_string2096z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2114z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2115z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2116z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2117z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2118z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2119z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2120z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2121z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2122z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2123z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2124z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2125z00zz__openpgpzd2encodezd2, BGl_string2074z00zz__openpgpzd2encodezd2);} 

}



/* &encode-content-PGP-M1264 */
obj_t BGl_z62encodezd2contentzd2PGPzd2M1264zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2342, obj_t BgL_packetz00_2343, obj_t BgL_pz00_2344)
{
{ /* Llib/pgp_encode.scm 623 */
return 
bgl_display_obj(
(((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_packetz00_2343)))->BgL_hashz00), 
((obj_t)BgL_pz00_2344));} 

}



/* &encode-content-PGP-M1262 */
obj_t BGl_z62encodezd2contentzd2PGPzd2M1262zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2345, obj_t BgL_packetz00_2346, obj_t BgL_pz00_2347)
{
{ /* Llib/pgp_encode.scm 617 */
{ /* Llib/pgp_encode.scm 620 */
 long BgL_arg1943z00_2647;
BgL_arg1943z00_2647 = 
(((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_packetz00_2346)))->BgL_versionz00); 
if(
(BgL_arg1943z00_2647>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1943z00_2647)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2648;
BgL_arg1283z00_2648 = 
(BgL_arg1943z00_2647); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2648), 
((obj_t)BgL_pz00_2347)); } } 
{ /* Llib/pgp_encode.scm 621 */
 obj_t BgL_arg1944z00_2649;
BgL_arg1944z00_2649 = 
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_packetz00_2346))))->BgL_dataz00); 
return 
bgl_display_obj(BgL_arg1944z00_2649, 
((obj_t)BgL_pz00_2347));} } 

}



/* &encode-content-PGP-I1260 */
obj_t BGl_z62encodezd2contentzd2PGPzd2I1260zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2348, obj_t BgL_packetz00_2349, obj_t BgL_pz00_2350)
{
{ /* Llib/pgp_encode.scm 612 */
return 
bgl_display_obj(
(((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2idzd2packetz00_bglt)BgL_packetz00_2349)))->BgL_dataz00), 
((obj_t)BgL_pz00_2350));} 

}



/* &encode-content-PGP-T1258 */
obj_t BGl_z62encodezd2contentzd2PGPzd2T1258zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2351, obj_t BgL_packetz00_2352, obj_t BgL_pz00_2353)
{
{ /* Llib/pgp_encode.scm 606 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2126z00zz__openpgpzd2encodezd2, BGl_string2127z00zz__openpgpzd2encodezd2, BFALSE);} 

}



/* &encode-content-PGP-L1256 */
obj_t BGl_z62encodezd2contentzd2PGPzd2L1256zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2354, obj_t BgL_packetz00_2355, obj_t BgL_pz00_2356)
{
{ /* Llib/pgp_encode.scm 577 */
{ /* Llib/pgp_encode.scm 581 */
 bool_t BgL_test2402z00_4107;
if(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2355)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21))
{ /* Llib/pgp_encode.scm 581 */
BgL_test2402z00_4107 = 
CBOOL(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2355)))->BgL_filezd2namezd2))
; }  else 
{ /* Llib/pgp_encode.scm 581 */
BgL_test2402z00_4107 = ((bool_t)0)
; } 
if(BgL_test2402z00_4107)
{ /* Llib/pgp_encode.scm 581 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2128z00zz__openpgpzd2encodezd2, BGl_string2129z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2355)))->BgL_filezd2namezd2)); }  else 
{ /* Llib/pgp_encode.scm 581 */BFALSE; } } 
{ /* Llib/pgp_encode.scm 585 */
 obj_t BgL_filez00_2656;
if(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2355)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21))
{ /* Llib/pgp_encode.scm 586 */
BgL_filez00_2656 = BGl_string2130z00zz__openpgpzd2encodezd2; }  else 
{ /* Llib/pgp_encode.scm 588 */
 bool_t BgL_test2405z00_4120;
{ /* Llib/pgp_encode.scm 588 */
 obj_t BgL_tmpz00_4121;
BgL_tmpz00_4121 = 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2355)))->BgL_filezd2namezd2); 
BgL_test2405z00_4120 = 
STRINGP(BgL_tmpz00_4121); } 
if(BgL_test2405z00_4120)
{ /* Llib/pgp_encode.scm 588 */
BgL_filez00_2656 = 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2355)))->BgL_filezd2namezd2); }  else 
{ /* Llib/pgp_encode.scm 588 */
BgL_filez00_2656 = BGl_string2131z00zz__openpgpzd2encodezd2; } } 
if(
(
STRING_LENGTH(
((obj_t)BgL_filez00_2656))>((long)255)))
{ /* Llib/pgp_encode.scm 592 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2128z00zz__openpgpzd2encodezd2, BGl_string2132z00zz__openpgpzd2encodezd2, BgL_filez00_2656); }  else 
{ /* Llib/pgp_encode.scm 592 */BFALSE; } 
{ /* Llib/pgp_encode.scm 600 */
 char BgL_arg1933z00_2657;
BgL_arg1933z00_2657 = 
BGl_literalzd2formatzd2ze3byteze3zz__openpgpzd2enumszd2(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2355)))->BgL_formatz00)); 
{ /* Llib/pgp_encode.scm 600 */
 long BgL_nz00_2658;
BgL_nz00_2658 = 
(long)(BgL_arg1933z00_2657); 
if(
(BgL_nz00_2658>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2658)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2659;
BgL_arg1283z00_2659 = 
(BgL_nz00_2658); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2659), 
((obj_t)BgL_pz00_2356)); } } } 
{ /* Llib/pgp_encode.scm 601 */
 long BgL_arg1935z00_2660;
BgL_arg1935z00_2660 = 
STRING_LENGTH(
((obj_t)BgL_filez00_2656)); 
if(
(BgL_arg1935z00_2660>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1935z00_2660)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2661;
BgL_arg1283z00_2661 = 
(BgL_arg1935z00_2660); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2661), 
((obj_t)BgL_pz00_2356)); } } 
bgl_display_obj(BgL_filez00_2656, 
((obj_t)BgL_pz00_2356)); 
{ /* Llib/pgp_encode.scm 603 */
 obj_t BgL_arg1936z00_2662;
BgL_arg1936z00_2662 = 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2355)))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1341z00_2663;
BgL_arg1341z00_2663 = 
bgl_date_to_seconds(BgL_arg1936z00_2662); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_2664;
BgL_nnz00_2664 = 
(long)(BgL_arg1341z00_2663); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_2664, ((long)4)), 
((obj_t)BgL_pz00_2356)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2355)))->BgL_dataz00), 
((obj_t)BgL_pz00_2356));} } 

}



/* &encode-content-PGP-M1254 */
obj_t BGl_z62encodezd2contentzd2PGPzd2M1254zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2357, obj_t BgL_packetz00_2358, obj_t BgL_pz00_2359)
{
{ /* Llib/pgp_encode.scm 573 */
return 
CNST_TABLE_REF(((long)11));} 

}



/* &encode-content-PGP-S1252 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1252zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2360, obj_t BgL_packetz00_2361, obj_t BgL_pz00_2362)
{
{ /* Llib/pgp_encode.scm 567 */
return 
bgl_display_obj(
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_packetz00_2361)))->BgL_dataz00), 
((obj_t)BgL_pz00_2362));} 

}



/* &encode-content-PGP-P1250 */
obj_t BGl_z62encodezd2contentzd2PGPzd2P1250zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2363, obj_t BgL_packetz00_2364, obj_t BgL_pz00_2365)
{
{ /* Llib/pgp_encode.scm 563 */
return 
BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_packetz00_2364)), 
((obj_t)BgL_pz00_2365));} 

}



/* &encode-content-PGP-S1248 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1248zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2366, obj_t BgL_packetz00_2367, obj_t BgL_pz00_2368)
{
{ /* Llib/pgp_encode.scm 556 */
BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_packetz00_2367)), 
((obj_t)BgL_pz00_2368)); 
return 
bgl_display_obj(
(((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_packetz00_2367)))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00), 
((obj_t)BgL_pz00_2368));} 

}



/* &encode-content-PGP-O1246 */
obj_t BGl_z62encodezd2contentzd2PGPzd2O1246zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2369, obj_t BgL_packetz00_2370, obj_t BgL_pz00_2371)
{
{ /* Llib/pgp_encode.scm 475 */
{ /* Llib/pgp_encode.scm 489 */
 long BgL_arg1915z00_2675;
BgL_arg1915z00_2675 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2370))))->BgL_versionz00); 
if(
(BgL_arg1915z00_2675>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1915z00_2675)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2676;
BgL_arg1283z00_2676 = 
(BgL_arg1915z00_2675); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2676), 
((obj_t)BgL_pz00_2371)); } } 
{ /* Llib/pgp_encode.scm 490 */
 char BgL_arg1916z00_2677;
{ /* Llib/pgp_encode.scm 490 */
 obj_t BgL_arg1917z00_2678;
BgL_arg1917z00_2678 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2370))))->BgL_signaturezd2typezd2); 
BgL_arg1916z00_2677 = 
BGl_signaturezd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1917z00_2678); } 
{ /* Llib/pgp_encode.scm 490 */
 long BgL_nz00_2679;
BgL_nz00_2679 = 
(long)(BgL_arg1916z00_2677); 
if(
(BgL_nz00_2679>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2679)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2680;
BgL_arg1283z00_2680 = 
(BgL_nz00_2679); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2680), 
((obj_t)BgL_pz00_2371)); } } } 
{ /* Llib/pgp_encode.scm 491 */
 char BgL_arg1918z00_2681;
{ /* Llib/pgp_encode.scm 491 */
 obj_t BgL_arg1919z00_2682;
BgL_arg1919z00_2682 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2370))))->BgL_hashzd2algozd2); 
BgL_arg1918z00_2681 = 
BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1919z00_2682); } 
{ /* Llib/pgp_encode.scm 491 */
 long BgL_nz00_2683;
BgL_nz00_2683 = 
(long)(BgL_arg1918z00_2681); 
if(
(BgL_nz00_2683>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2683)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2684;
BgL_arg1283z00_2684 = 
(BgL_nz00_2683); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2684), 
((obj_t)BgL_pz00_2371)); } } } 
{ /* Llib/pgp_encode.scm 492 */
 char BgL_arg1920z00_2685;
{ /* Llib/pgp_encode.scm 492 */
 obj_t BgL_arg1921z00_2686;
BgL_arg1921z00_2686 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2370))))->BgL_publiczd2keyzd2algoz00); 
BgL_arg1920z00_2685 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(BgL_arg1921z00_2686); } 
{ /* Llib/pgp_encode.scm 492 */
 long BgL_nz00_2687;
BgL_nz00_2687 = 
(long)(BgL_arg1920z00_2685); 
if(
(BgL_nz00_2687>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2687)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2688;
BgL_arg1283z00_2688 = 
(BgL_nz00_2687); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2688), 
((obj_t)BgL_pz00_2371)); } } } 
{ /* Llib/pgp_encode.scm 493 */
 obj_t BgL_arg1922z00_2689;
BgL_arg1922z00_2689 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2370))))->BgL_issuerz00); 
if(
(
STRING_LENGTH(
((obj_t)BgL_arg1922z00_2689))==((long)8)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2690;
BgL_arg1288z00_2690 = 
MAKE_YOUNG_PAIR(
BINT(((long)8)), 
((obj_t)BgL_arg1922z00_2689)); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2052z00zz__openpgpzd2encodezd2, BGl_string2053z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2690); } 
bgl_display_obj(
((obj_t)BgL_arg1922z00_2689), 
((obj_t)BgL_pz00_2371)); } 
{ /* Llib/pgp_encode.scm 494 */
 long BgL_arg1923z00_2691;
if(
(((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2370)))->BgL_containszd2nestedzd2sigzf3zf3))
{ /* Llib/pgp_encode.scm 494 */
BgL_arg1923z00_2691 = ((long)0); }  else 
{ /* Llib/pgp_encode.scm 494 */
BgL_arg1923z00_2691 = ((long)1); } 
if(
(BgL_arg1923z00_2691>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1923z00_2691)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2692;
BgL_arg1283z00_2692 = 
(BgL_arg1923z00_2691); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2692), 
((obj_t)BgL_pz00_2371));} } } 

}



/* &encode-content-PGP-S1244 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1244zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2372, obj_t BgL_packetz00_2373, obj_t BgL_pz00_2374)
{
{ /* Llib/pgp_encode.scm 452 */
if(
(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2373)))->BgL_versionz00)==((long)4)))
{ /* Llib/pgp_encode.scm 458 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 459 */
 long BgL_arg1907z00_2695;
BgL_arg1907z00_2695 = 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2373)))->BgL_versionz00); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2133z00zz__openpgpzd2encodezd2, BGl_string2134z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1907z00_2695)); } 
{ /* Llib/pgp_encode.scm 465 */
 long BgL_arg1909z00_2696;
BgL_arg1909z00_2696 = 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2373)))->BgL_versionz00); 
if(
(BgL_arg1909z00_2696>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1909z00_2696)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2697;
BgL_arg1283z00_2697 = 
(BgL_arg1909z00_2696); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2697), 
((obj_t)BgL_pz00_2374)); } } 
{ /* Llib/pgp_encode.scm 466 */
 char BgL_arg1910z00_2698;
BgL_arg1910z00_2698 = 
BGl_symmetriczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2373)))->BgL_algoz00)); 
{ /* Llib/pgp_encode.scm 466 */
 long BgL_nz00_2699;
BgL_nz00_2699 = 
(long)(BgL_arg1910z00_2698); 
if(
(BgL_nz00_2699>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2699)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2700;
BgL_arg1283z00_2700 = 
(BgL_nz00_2699); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2700), 
((obj_t)BgL_pz00_2374)); } } } 
BGl_encodezd2s2kzd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2373)))->BgL_s2kz00), 
((obj_t)BgL_pz00_2374)); 
if(
CBOOL(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2373)))->BgL_encryptedzd2sessionzd2keyz00)))
{ /* Llib/pgp_encode.scm 470 */
bgl_display_obj(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2373)))->BgL_encryptedzd2sessionzd2keyz00), 
((obj_t)BgL_pz00_2374)); 
return BUNSPEC;}  else 
{ /* Llib/pgp_encode.scm 470 */
return BFALSE;} } 

}



/* &encode-content-PGP-S1242 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1242zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2375, obj_t BgL_packetz00_2376, obj_t BgL_pz00_2377)
{
{ /* Llib/pgp_encode.scm 374 */
{ /* Llib/pgp_encode.scm 390 */
 obj_t BgL_arg1884z00_2703;
BgL_arg1884z00_2703 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376))))->BgL_signedzd2packetzd2prefixz00); 
bgl_display_obj(BgL_arg1884z00_2703, 
((obj_t)BgL_pz00_2377)); } 
{ /* Llib/pgp_encode.scm 391 */
 obj_t BgL_arg1885z00_2704; obj_t BgL_arg1886z00_2705; obj_t BgL_arg1887z00_2706;
BgL_arg1885z00_2704 = 
(((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376)))->BgL_securezd2subzd2packetsz00); 
BgL_arg1886z00_2705 = 
(((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376)))->BgL_insecurezd2subzd2packetsz00); 
BgL_arg1887z00_2706 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376))))->BgL_issuerz00); 
BGl_encodezd2insecurezd2subzd2packetszd2zz__openpgpzd2encodezd2(BgL_arg1885z00_2704, BgL_arg1886z00_2705, BgL_arg1887z00_2706, 
((obj_t)BgL_pz00_2377)); } 
{ /* Llib/pgp_encode.scm 393 */
 obj_t BgL_arg1888z00_2707;
BgL_arg1888z00_2707 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376))))->BgL_leftzd2hashzd2); 
if(
(
STRING_LENGTH(BgL_arg1888z00_2707)==((long)2)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2708;
BgL_arg1288z00_2708 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1888z00_2707); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2052z00zz__openpgpzd2encodezd2, BGl_string2053z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2708); } 
bgl_display_obj(BgL_arg1888z00_2707, 
((obj_t)BgL_pz00_2377)); } 
{ /* Llib/pgp_encode.scm 394 */
 obj_t BgL_casezd2valuezd2_2709;
BgL_casezd2valuezd2_2709 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376))))->BgL_publiczd2keyzd2algoz00); 
{ /* Llib/pgp_encode.scm 394 */
 bool_t BgL_test2421z00_4329;
{ /* Llib/pgp_encode.scm 394 */
 bool_t BgL__ortest_1137z00_2710;
BgL__ortest_1137z00_2710 = 
(BgL_casezd2valuezd2_2709==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1137z00_2710)
{ /* Llib/pgp_encode.scm 394 */
BgL_test2421z00_4329 = BgL__ortest_1137z00_2710
; }  else 
{ /* Llib/pgp_encode.scm 394 */
BgL_test2421z00_4329 = 
(BgL_casezd2valuezd2_2709==
CNST_TABLE_REF(((long)6)))
; } } 
if(BgL_test2421z00_4329)
{ /* Llib/pgp_encode.scm 396 */
 obj_t BgL_arg1890z00_2711;
BgL_arg1890z00_2711 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376))))->BgL_signaturez00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2712;
BgL_bitzd2lenzd2_2712 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1890z00_2711)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2713;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1996z00_2714;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2715; long BgL_rz00_2716;
BgL_qz00_2715 = 
(BgL_bitzd2lenzd2_2712/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2717; long BgL_n2z00_2718;
BgL_n1z00_2717 = BgL_bitzd2lenzd2_2712; 
BgL_n2z00_2718 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2423z00_4341;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_2719;
BgL_arg1353z00_2719 = 
(((BgL_n1z00_2717) | (BgL_n2z00_2718)) & -2147483648); 
BgL_test2423z00_4341 = 
(BgL_arg1353z00_2719==((long)0)); } 
if(BgL_test2423z00_4341)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_2720;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_2721; int32_t BgL_arg1352z00_2722;
BgL_arg1351z00_2721 = 
(int32_t)(BgL_n1z00_2717); 
BgL_arg1352z00_2722 = 
(int32_t)(BgL_n2z00_2718); 
BgL_arg1350z00_2720 = 
(BgL_arg1351z00_2721%BgL_arg1352z00_2722); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_2723;
BgL_arg1447z00_2723 = 
(long)(BgL_arg1350z00_2720); 
BgL_rz00_2716 = 
(long)(BgL_arg1447z00_2723); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2716 = 
(BgL_n1z00_2717%BgL_n2z00_2718); } } } 
if(
(BgL_rz00_2716==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1996z00_2714 = BgL_qz00_2715; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2716>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1996z00_2714 = 
(BgL_qz00_2715+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1996z00_2714 = 
(BgL_qz00_2715-((long)1)); } } } 
BgL_octetzd2lenzd2_2713 = BgL_res1996z00_2714; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2724;
BgL_strz00_2724 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1890z00_2711), BgL_octetzd2lenzd2_2713); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2712, ((long)2)), 
((obj_t)BgL_pz00_2377)); 
return 
bgl_display_obj(BgL_strz00_2724, 
((obj_t)BgL_pz00_2377));} } } } }  else 
{ /* Llib/pgp_encode.scm 394 */
if(
(BgL_casezd2valuezd2_2709==
CNST_TABLE_REF(((long)8))))
{ /* Llib/pgp_encode.scm 394 */
{ /* Llib/pgp_encode.scm 398 */
 bool_t BgL_test2427z00_4366;
{ /* Llib/pgp_encode.scm 398 */
 obj_t BgL_tmpz00_4367;
BgL_tmpz00_4367 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376))))->BgL_signaturez00); 
BgL_test2427z00_4366 = 
PAIRP(BgL_tmpz00_4367); } 
if(BgL_test2427z00_4366)
{ /* Llib/pgp_encode.scm 398 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 399 */
 obj_t BgL_arg1894z00_2725;
BgL_arg1894z00_2725 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376))))->BgL_signaturez00); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2135z00zz__openpgpzd2encodezd2, BGl_string2136z00zz__openpgpzd2encodezd2, BgL_arg1894z00_2725); } } 
{ /* Llib/pgp_encode.scm 402 */
 obj_t BgL_arg1896z00_2726;
{ /* Llib/pgp_encode.scm 402 */
 obj_t BgL_pairz00_2727;
BgL_pairz00_2727 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376))))->BgL_signaturez00); 
BgL_arg1896z00_2726 = 
CAR(BgL_pairz00_2727); } 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2728;
BgL_bitzd2lenzd2_2728 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1896z00_2726)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2729;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1997z00_2730;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2731; long BgL_rz00_2732;
BgL_qz00_2731 = 
(BgL_bitzd2lenzd2_2728/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2733; long BgL_n2z00_2734;
BgL_n1z00_2733 = BgL_bitzd2lenzd2_2728; 
BgL_n2z00_2734 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2428z00_4383;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_2735;
BgL_arg1353z00_2735 = 
(((BgL_n1z00_2733) | (BgL_n2z00_2734)) & -2147483648); 
BgL_test2428z00_4383 = 
(BgL_arg1353z00_2735==((long)0)); } 
if(BgL_test2428z00_4383)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_2736;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_2737; int32_t BgL_arg1352z00_2738;
BgL_arg1351z00_2737 = 
(int32_t)(BgL_n1z00_2733); 
BgL_arg1352z00_2738 = 
(int32_t)(BgL_n2z00_2734); 
BgL_arg1350z00_2736 = 
(BgL_arg1351z00_2737%BgL_arg1352z00_2738); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_2739;
BgL_arg1447z00_2739 = 
(long)(BgL_arg1350z00_2736); 
BgL_rz00_2732 = 
(long)(BgL_arg1447z00_2739); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2732 = 
(BgL_n1z00_2733%BgL_n2z00_2734); } } } 
if(
(BgL_rz00_2732==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1997z00_2730 = BgL_qz00_2731; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2732>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1997z00_2730 = 
(BgL_qz00_2731+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1997z00_2730 = 
(BgL_qz00_2731-((long)1)); } } } 
BgL_octetzd2lenzd2_2729 = BgL_res1997z00_2730; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2740;
BgL_strz00_2740 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1896z00_2726), BgL_octetzd2lenzd2_2729); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2728, ((long)2)), 
((obj_t)BgL_pz00_2377)); 
bgl_display_obj(BgL_strz00_2740, 
((obj_t)BgL_pz00_2377)); } } } } } 
{ /* Llib/pgp_encode.scm 403 */
 obj_t BgL_arg1898z00_2741;
{ /* Llib/pgp_encode.scm 403 */
 obj_t BgL_pairz00_2742;
BgL_pairz00_2742 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376))))->BgL_signaturez00); 
BgL_arg1898z00_2741 = 
CDR(BgL_pairz00_2742); } 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2743;
BgL_bitzd2lenzd2_2743 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1898z00_2741)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2744;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1998z00_2745;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2746; long BgL_rz00_2747;
BgL_qz00_2746 = 
(BgL_bitzd2lenzd2_2743/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2748; long BgL_n2z00_2749;
BgL_n1z00_2748 = BgL_bitzd2lenzd2_2743; 
BgL_n2z00_2749 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2431z00_4412;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_2750;
BgL_arg1353z00_2750 = 
(((BgL_n1z00_2748) | (BgL_n2z00_2749)) & -2147483648); 
BgL_test2431z00_4412 = 
(BgL_arg1353z00_2750==((long)0)); } 
if(BgL_test2431z00_4412)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_2751;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_2752; int32_t BgL_arg1352z00_2753;
BgL_arg1351z00_2752 = 
(int32_t)(BgL_n1z00_2748); 
BgL_arg1352z00_2753 = 
(int32_t)(BgL_n2z00_2749); 
BgL_arg1350z00_2751 = 
(BgL_arg1351z00_2752%BgL_arg1352z00_2753); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_2754;
BgL_arg1447z00_2754 = 
(long)(BgL_arg1350z00_2751); 
BgL_rz00_2747 = 
(long)(BgL_arg1447z00_2754); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2747 = 
(BgL_n1z00_2748%BgL_n2z00_2749); } } } 
if(
(BgL_rz00_2747==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1998z00_2745 = BgL_qz00_2746; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2747>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1998z00_2745 = 
(BgL_qz00_2746+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1998z00_2745 = 
(BgL_qz00_2746-((long)1)); } } } 
BgL_octetzd2lenzd2_2744 = BgL_res1998z00_2745; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2755;
BgL_strz00_2755 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1898z00_2741), BgL_octetzd2lenzd2_2744); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2743, ((long)2)), 
((obj_t)BgL_pz00_2377)); 
return 
bgl_display_obj(BgL_strz00_2755, 
((obj_t)BgL_pz00_2377));} } } } } }  else 
{ /* Llib/pgp_encode.scm 407 */
 obj_t BgL_arg1900z00_2756;
{ /* Llib/pgp_encode.scm 407 */
 obj_t BgL_arg1901z00_2757; obj_t BgL_arg1902z00_2758;
BgL_arg1901z00_2757 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376))))->BgL_publiczd2keyzd2algoz00); 
{ /* Llib/pgp_encode.scm 408 */
 obj_t BgL_arg1903z00_2759;
BgL_arg1903z00_2759 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2376))))->BgL_publiczd2keyzd2algoz00); 
BgL_arg1902z00_2758 = 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_arg1903z00_2759); } 
BgL_arg1900z00_2756 = 
MAKE_YOUNG_PAIR(BgL_arg1901z00_2757, BgL_arg1902z00_2758); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2135z00zz__openpgpzd2encodezd2, BGl_string2137z00zz__openpgpzd2encodezd2, BgL_arg1900z00_2756);} } } } } 

}



/* &encode-sub-packet-co1240 */
obj_t BGl_z62encodezd2subzd2packetzd2co1240zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2378, obj_t BgL_spz00_2379, obj_t BgL_pz00_2380)
{
{ /* Llib/pgp_encode.scm 276 */
{ /* Llib/pgp_encode.scm 279 */
 bool_t BgL_arg1879z00_2762;
BgL_arg1879z00_2762 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_spz00_2379))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 279 */
 obj_t BgL_typez00_2763;
BgL_typez00_2763 = 
CNST_TABLE_REF(((long)12)); 
if(BgL_arg1879z00_2762)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2764;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2765;
BgL_arg1360z00_2765 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2763); 
BgL_arg1358z00_2764 = 
(
(long)(BgL_arg1360z00_2765)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2764, 
((obj_t)BgL_pz00_2380)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2766;
BgL_arg1361z00_2766 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2763); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2766), 
((obj_t)BgL_pz00_2380)); } } } 
{ /* Llib/pgp_encode.scm 280 */
 char BgL_arg1880z00_2767;
BgL_arg1880z00_2767 = 
BGl_revocationzd2codezd2ze3byteze3zz__openpgpzd2enumszd2(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_spz00_2379)))->BgL_codez00)); 
{ /* Llib/pgp_encode.scm 280 */
 long BgL_nz00_2768;
BgL_nz00_2768 = 
(long)(BgL_arg1880z00_2767); 
if(
(BgL_nz00_2768>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2768)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2769;
BgL_arg1283z00_2769 = 
(BgL_nz00_2768); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2769), 
((obj_t)BgL_pz00_2380)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_spz00_2379)))->BgL_reasonz00), 
((obj_t)BgL_pz00_2380));} 

}



/* &encode-sub-packet-co1238 */
obj_t BGl_z62encodezd2subzd2packetzd2co1238zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2381, obj_t BgL_spz00_2382, obj_t BgL_pz00_2383)
{
{ /* Llib/pgp_encode.scm 271 */
{ /* Llib/pgp_encode.scm 274 */
 bool_t BgL_arg1877z00_2772;
BgL_arg1877z00_2772 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_spz00_2382))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 274 */
 obj_t BgL_typez00_2773;
BgL_typez00_2773 = 
CNST_TABLE_REF(((long)13)); 
if(BgL_arg1877z00_2772)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2774;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2775;
BgL_arg1360z00_2775 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2773); 
BgL_arg1358z00_2774 = 
(
(long)(BgL_arg1360z00_2775)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2774, 
((obj_t)BgL_pz00_2383)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2776;
BgL_arg1361z00_2776 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2773); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2776), 
((obj_t)BgL_pz00_2383)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_spz00_2382)))->BgL_idz00), 
((obj_t)BgL_pz00_2383));} 

}



/* &encode-sub-packet-co1236 */
obj_t BGl_z62encodezd2subzd2packetzd2co1236zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2384, obj_t BgL_spz00_2385, obj_t BgL_pz00_2386)
{
{ /* Llib/pgp_encode.scm 266 */
{ /* Llib/pgp_encode.scm 269 */
 bool_t BgL_arg1875z00_2779;
BgL_arg1875z00_2779 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_spz00_2385))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 269 */
 obj_t BgL_typez00_2780;
BgL_typez00_2780 = 
CNST_TABLE_REF(((long)14)); 
if(BgL_arg1875z00_2779)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2781;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2782;
BgL_arg1360z00_2782 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2780); 
BgL_arg1358z00_2781 = 
(
(long)(BgL_arg1360z00_2782)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2781, 
((obj_t)BgL_pz00_2386)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2783;
BgL_arg1361z00_2783 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2780); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2783), 
((obj_t)BgL_pz00_2386)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_spz00_2385)))->BgL_urlz00), 
((obj_t)BgL_pz00_2386));} 

}



/* &encode-sub-packet-co1234 */
obj_t BGl_z62encodezd2subzd2packetzd2co1234zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2387, obj_t BgL_spz00_2388, obj_t BgL_pz00_2389)
{
{ /* Llib/pgp_encode.scm 261 */
{ /* Llib/pgp_encode.scm 264 */
 bool_t BgL_arg1872z00_2786;
BgL_arg1872z00_2786 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_spz00_2388))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 264 */
 obj_t BgL_typez00_2787;
BgL_typez00_2787 = 
CNST_TABLE_REF(((long)15)); 
if(BgL_arg1872z00_2786)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2788;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2789;
BgL_arg1360z00_2789 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2787); 
BgL_arg1358z00_2788 = 
(
(long)(BgL_arg1360z00_2789)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2788, 
((obj_t)BgL_pz00_2389)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2790;
BgL_arg1361z00_2790 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2787); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2790), 
((obj_t)BgL_pz00_2389)); } } } 
{ /* Llib/pgp_encode.scm 265 */
 long BgL_arg1873z00_2791;
if(
(((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_spz00_2388)))->BgL_primaryzf3zf3))
{ /* Llib/pgp_encode.scm 265 */
BgL_arg1873z00_2791 = ((long)1); }  else 
{ /* Llib/pgp_encode.scm 265 */
BgL_arg1873z00_2791 = ((long)0); } 
if(
(BgL_arg1873z00_2791>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1873z00_2791)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2792;
BgL_arg1283z00_2792 = 
(BgL_arg1873z00_2791); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2792), 
((obj_t)BgL_pz00_2389));} } } 

}



/* &encode-sub-packet-co1232 */
obj_t BGl_z62encodezd2subzd2packetzd2co1232zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2390, obj_t BgL_spz00_2391, obj_t BgL_pz00_2392)
{
{ /* Llib/pgp_encode.scm 256 */
{ /* Llib/pgp_encode.scm 259 */
 bool_t BgL_arg1870z00_2795;
BgL_arg1870z00_2795 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_spz00_2391))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 259 */
 obj_t BgL_typez00_2796;
BgL_typez00_2796 = 
CNST_TABLE_REF(((long)16)); 
if(BgL_arg1870z00_2795)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2797;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2798;
BgL_arg1360z00_2798 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2796); 
BgL_arg1358z00_2797 = 
(
(long)(BgL_arg1360z00_2798)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2797, 
((obj_t)BgL_pz00_2392)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2799;
BgL_arg1361z00_2799 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2796); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2799), 
((obj_t)BgL_pz00_2392)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_spz00_2391)))->BgL_serverz00), 
((obj_t)BgL_pz00_2392));} 

}



/* &encode-sub-packet-co1230 */
obj_t BGl_z62encodezd2subzd2packetzd2co1230zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2393, obj_t BgL_spz00_2394, obj_t BgL_pz00_2395)
{
{ /* Llib/pgp_encode.scm 251 */
{ /* Llib/pgp_encode.scm 253 */
 bool_t BgL_tmpz00_4552;
{ /* Llib/pgp_encode.scm 254 */
 bool_t BgL_arg1868z00_2802;
BgL_arg1868z00_2802 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_spz00_2394))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 254 */
 obj_t BgL_typez00_2803;
BgL_typez00_2803 = 
CNST_TABLE_REF(((long)17)); 
if(BgL_arg1868z00_2802)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2804;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2805;
BgL_arg1360z00_2805 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2803); 
BgL_arg1358z00_2804 = 
(
(long)(BgL_arg1360z00_2805)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2804, 
((obj_t)BgL_pz00_2395)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2806;
BgL_arg1361z00_2806 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2803); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2806), 
((obj_t)BgL_pz00_2395)); } } } 
BgL_tmpz00_4552 = 
BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_spz00_2394)))->BgL_algosz00), BGl_compressionzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2, 
((obj_t)BgL_pz00_2395)); 
return 
BBOOL(BgL_tmpz00_4552);} } 

}



/* &encode-sub-packet-co1228 */
obj_t BGl_z62encodezd2subzd2packetzd2co1228zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2396, obj_t BgL_spz00_2397, obj_t BgL_pz00_2398)
{
{ /* Llib/pgp_encode.scm 246 */
{ /* Llib/pgp_encode.scm 248 */
 bool_t BgL_tmpz00_4572;
{ /* Llib/pgp_encode.scm 249 */
 bool_t BgL_arg1865z00_2809;
BgL_arg1865z00_2809 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_spz00_2397))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 249 */
 obj_t BgL_typez00_2810;
BgL_typez00_2810 = 
CNST_TABLE_REF(((long)18)); 
if(BgL_arg1865z00_2809)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2811;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2812;
BgL_arg1360z00_2812 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2810); 
BgL_arg1358z00_2811 = 
(
(long)(BgL_arg1360z00_2812)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2811, 
((obj_t)BgL_pz00_2398)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2813;
BgL_arg1361z00_2813 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2810); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2813), 
((obj_t)BgL_pz00_2398)); } } } 
BgL_tmpz00_4572 = 
BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_spz00_2397)))->BgL_algosz00), BGl_hashzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2, 
((obj_t)BgL_pz00_2398)); 
return 
BBOOL(BgL_tmpz00_4572);} } 

}



/* &encode-sub-packet-co1226 */
obj_t BGl_z62encodezd2subzd2packetzd2co1226zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2399, obj_t BgL_spz00_2400, obj_t BgL_pz00_2401)
{
{ /* Llib/pgp_encode.scm 237 */
{ /* Llib/pgp_encode.scm 240 */
 bool_t BgL_arg1856z00_2816;
BgL_arg1856z00_2816 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2400))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 240 */
 obj_t BgL_typez00_2817;
BgL_typez00_2817 = 
CNST_TABLE_REF(((long)19)); 
if(BgL_arg1856z00_2816)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2818;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2819;
BgL_arg1360z00_2819 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2817); 
BgL_arg1358z00_2818 = 
(
(long)(BgL_arg1360z00_2819)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2818, 
((obj_t)BgL_pz00_2401)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2820;
BgL_arg1361z00_2820 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2817); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2820), 
((obj_t)BgL_pz00_2401)); } } } 
{ /* Llib/pgp_encode.scm 241 */
 obj_t BgL_arg1857z00_2821;
BgL_arg1857z00_2821 = 
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2400)))->BgL_flagsz00); 
if(
(
STRING_LENGTH(BgL_arg1857z00_2821)==((long)4)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2822;
BgL_arg1288z00_2822 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg1857z00_2821); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2052z00zz__openpgpzd2encodezd2, BGl_string2053z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2822); } 
bgl_display_obj(BgL_arg1857z00_2821, 
((obj_t)BgL_pz00_2401)); } 
{ /* Llib/pgp_encode.scm 242 */
 long BgL_arg1858z00_2823;
BgL_arg1858z00_2823 = 
STRING_LENGTH(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2400)))->BgL_namez00)); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1858z00_2823, ((long)2)), 
((obj_t)BgL_pz00_2401)); } 
{ /* Llib/pgp_encode.scm 243 */
 long BgL_arg1860z00_2824;
BgL_arg1860z00_2824 = 
STRING_LENGTH(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2400)))->BgL_valuez00)); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1860z00_2824, ((long)2)), 
((obj_t)BgL_pz00_2401)); } 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2400)))->BgL_namez00), 
((obj_t)BgL_pz00_2401)); 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2400)))->BgL_valuez00), 
((obj_t)BgL_pz00_2401));} 

}



/* &encode-sub-packet-co1224 */
obj_t BGl_z62encodezd2subzd2packetzd2co1224zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2402, obj_t BgL_spz00_2403, obj_t BgL_pz00_2404)
{
{ /* Llib/pgp_encode.scm 232 */
{ /* Llib/pgp_encode.scm 235 */
 bool_t BgL_arg1854z00_2827;
BgL_arg1854z00_2827 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_spz00_2403))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 235 */
 obj_t BgL_typez00_2828;
BgL_typez00_2828 = 
CNST_TABLE_REF(((long)20)); 
if(BgL_arg1854z00_2827)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2829;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2830;
BgL_arg1360z00_2830 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2828); 
BgL_arg1358z00_2829 = 
(
(long)(BgL_arg1360z00_2830)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2829, 
((obj_t)BgL_pz00_2404)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2831;
BgL_arg1361z00_2831 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2828); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2831), 
((obj_t)BgL_pz00_2404)); } } } 
{ /* Llib/pgp_encode.scm 236 */
 obj_t BgL_arg1855z00_2832;
BgL_arg1855z00_2832 = 
(((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_spz00_2403)))->BgL_keyzd2idzd2); 
if(
(
STRING_LENGTH(BgL_arg1855z00_2832)==((long)8)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2833;
BgL_arg1288z00_2833 = 
MAKE_YOUNG_PAIR(
BINT(((long)8)), BgL_arg1855z00_2832); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2052z00zz__openpgpzd2encodezd2, BGl_string2053z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2833); } 
return 
bgl_display_obj(BgL_arg1855z00_2832, 
((obj_t)BgL_pz00_2404));} } 

}



/* &encode-sub-packet-co1222 */
obj_t BGl_z62encodezd2subzd2packetzd2co1222zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2405, obj_t BgL_spz00_2406, obj_t BgL_pz00_2407)
{
{ /* Llib/pgp_encode.scm 224 */
{ /* Llib/pgp_encode.scm 228 */
 bool_t BgL_arg1850z00_2836;
BgL_arg1850z00_2836 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2406))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 228 */
 obj_t BgL_typez00_2837;
BgL_typez00_2837 = 
CNST_TABLE_REF(((long)21)); 
if(BgL_arg1850z00_2836)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2838;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2839;
BgL_arg1360z00_2839 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2837); 
BgL_arg1358z00_2838 = 
(
(long)(BgL_arg1360z00_2839)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2838, 
((obj_t)BgL_pz00_2407)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2840;
BgL_arg1361z00_2840 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2837); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2840), 
((obj_t)BgL_pz00_2407)); } } } 
{ /* Llib/pgp_encode.scm 229 */
 char BgL_arg1851z00_2841;
BgL_arg1851z00_2841 = 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2406)))->BgL_claza7za7z00); 
{ /* Llib/pgp_encode.scm 229 */
 long BgL_nz00_2842;
BgL_nz00_2842 = 
(long)(BgL_arg1851z00_2841); 
if(
(BgL_nz00_2842>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2842)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2843;
BgL_arg1283z00_2843 = 
(BgL_nz00_2842); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2843), 
((obj_t)BgL_pz00_2407)); } } } 
{ /* Llib/pgp_encode.scm 230 */
 char BgL_arg1852z00_2844;
BgL_arg1852z00_2844 = 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2406)))->BgL_algidz00); 
{ /* Llib/pgp_encode.scm 230 */
 long BgL_nz00_2845;
BgL_nz00_2845 = 
(long)(BgL_arg1852z00_2844); 
if(
(BgL_nz00_2845>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2845)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2846;
BgL_arg1283z00_2846 = 
(BgL_nz00_2845); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2846), 
((obj_t)BgL_pz00_2407)); } } } 
{ /* Llib/pgp_encode.scm 231 */
 obj_t BgL_arg1853z00_2847;
BgL_arg1853z00_2847 = 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2406)))->BgL_fingerprintz00); 
if(
(
STRING_LENGTH(BgL_arg1853z00_2847)==((long)20)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2848;
BgL_arg1288z00_2848 = 
MAKE_YOUNG_PAIR(
BINT(((long)20)), BgL_arg1853z00_2847); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2052z00zz__openpgpzd2encodezd2, BGl_string2053z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2848); } 
return 
bgl_display_obj(BgL_arg1853z00_2847, 
((obj_t)BgL_pz00_2407));} } 

}



/* &encode-sub-packet-co1220 */
obj_t BGl_z62encodezd2subzd2packetzd2co1220zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2408, obj_t BgL_spz00_2409, obj_t BgL_pz00_2410)
{
{ /* Llib/pgp_encode.scm 219 */
{ /* Llib/pgp_encode.scm 221 */
 bool_t BgL_tmpz00_4706;
{ /* Llib/pgp_encode.scm 222 */
 bool_t BgL_arg1848z00_2851;
BgL_arg1848z00_2851 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_spz00_2409))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 222 */
 obj_t BgL_typez00_2852;
BgL_typez00_2852 = 
CNST_TABLE_REF(((long)22)); 
if(BgL_arg1848z00_2851)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2853;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2854;
BgL_arg1360z00_2854 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2852); 
BgL_arg1358z00_2853 = 
(
(long)(BgL_arg1360z00_2854)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2853, 
((obj_t)BgL_pz00_2410)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2855;
BgL_arg1361z00_2855 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2852); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2855), 
((obj_t)BgL_pz00_2410)); } } } 
BgL_tmpz00_4706 = 
BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_spz00_2409)))->BgL_algosz00), BGl_symmetriczd2keyzd2algozd2ze3bytezd2envze3zz__openpgpzd2enumszd2, 
((obj_t)BgL_pz00_2410)); 
return 
BBOOL(BgL_tmpz00_4706);} } 

}



/* &encode-sub-packet-co1218 */
obj_t BGl_z62encodezd2subzd2packetzd2co1218zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2411, obj_t BgL_spz00_2412, obj_t BgL_pz00_2413)
{
{ /* Llib/pgp_encode.scm 213 */
{ /* Llib/pgp_encode.scm 217 */
 bool_t BgL_arg1846z00_2858;
BgL_arg1846z00_2858 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_spz00_2412))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 217 */
 obj_t BgL_typez00_2859;
BgL_typez00_2859 = 
CNST_TABLE_REF(((long)23)); 
if(BgL_arg1846z00_2858)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2860;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2861;
BgL_arg1360z00_2861 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2859); 
BgL_arg1358z00_2860 = 
(
(long)(BgL_arg1360z00_2861)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2860, 
((obj_t)BgL_pz00_2413)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2862;
BgL_arg1361z00_2862 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2859); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2862), 
((obj_t)BgL_pz00_2413)); } } } 
{ /* Llib/pgp_encode.scm 218 */
 long BgL_arg1847z00_2863;
BgL_arg1847z00_2863 = 
(((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_spz00_2412)))->BgL_expirationzd2timezd2); 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1847z00_2863, ((long)4)), 
((obj_t)BgL_pz00_2413));} } 

}



/* &encode-sub-packet-co1216 */
obj_t BGl_z62encodezd2subzd2packetzd2co1216zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2414, obj_t BgL_spz00_2415, obj_t BgL_pz00_2416)
{
{ /* Llib/pgp_encode.scm 208 */
{ /* Llib/pgp_encode.scm 211 */
 bool_t BgL_arg1843z00_2866;
BgL_arg1843z00_2866 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_spz00_2415))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 211 */
 obj_t BgL_typez00_2867;
BgL_typez00_2867 = 
CNST_TABLE_REF(((long)24)); 
if(BgL_arg1843z00_2866)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2868;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2869;
BgL_arg1360z00_2869 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2867); 
BgL_arg1358z00_2868 = 
(
(long)(BgL_arg1360z00_2869)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2868, 
((obj_t)BgL_pz00_2416)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2870;
BgL_arg1361z00_2870 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2867); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2870), 
((obj_t)BgL_pz00_2416)); } } } 
{ /* Llib/pgp_encode.scm 212 */
 long BgL_arg1844z00_2871;
if(
(((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_spz00_2415)))->BgL_revocablezf3zf3))
{ /* Llib/pgp_encode.scm 212 */
BgL_arg1844z00_2871 = ((long)1); }  else 
{ /* Llib/pgp_encode.scm 212 */
BgL_arg1844z00_2871 = ((long)0); } 
if(
(BgL_arg1844z00_2871>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1844z00_2871)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2872;
BgL_arg1283z00_2872 = 
(BgL_arg1844z00_2871); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2872), 
((obj_t)BgL_pz00_2416));} } } 

}



/* &encode-sub-packet-co1214 */
obj_t BGl_z62encodezd2subzd2packetzd2co1214zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2417, obj_t BgL_spz00_2418, obj_t BgL_pz00_2419)
{
{ /* Llib/pgp_encode.scm 202 */
{ /* Llib/pgp_encode.scm 205 */
 bool_t BgL_arg1840z00_2875;
BgL_arg1840z00_2875 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_spz00_2418))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 205 */
 obj_t BgL_typez00_2876;
BgL_typez00_2876 = 
CNST_TABLE_REF(((long)25)); 
if(BgL_arg1840z00_2875)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2877;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2878;
BgL_arg1360z00_2878 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2876); 
BgL_arg1358z00_2877 = 
(
(long)(BgL_arg1360z00_2878)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2877, 
((obj_t)BgL_pz00_2419)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2879;
BgL_arg1361z00_2879 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2876); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2879), 
((obj_t)BgL_pz00_2419)); } } } 
{ /* Llib/pgp_encode.scm 206 */
 int BgL_arg1841z00_2880;
BgL_arg1841z00_2880 = 
(((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_spz00_2418)))->BgL_levelz00); 
{ /* Llib/pgp_encode.scm 206 */
 long BgL_nz00_2881;
BgL_nz00_2881 = 
(long)(BgL_arg1841z00_2880); 
if(
(BgL_nz00_2881>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2881)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2882;
BgL_arg1283z00_2882 = 
(BgL_nz00_2881); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2882), 
((obj_t)BgL_pz00_2419)); } } } 
{ /* Llib/pgp_encode.scm 207 */
 int BgL_arg1842z00_2883;
BgL_arg1842z00_2883 = 
(((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_spz00_2418)))->BgL_amountz00); 
{ /* Llib/pgp_encode.scm 207 */
 long BgL_nz00_2884;
BgL_nz00_2884 = 
(long)(BgL_arg1842z00_2883); 
if(
(BgL_nz00_2884>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2884)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2885;
BgL_arg1283z00_2885 = 
(BgL_nz00_2884); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2885), 
((obj_t)BgL_pz00_2419));} } } } 

}



/* &encode-sub-packet-co1212 */
obj_t BGl_z62encodezd2subzd2packetzd2co1212zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2420, obj_t BgL_spz00_2421, obj_t BgL_pz00_2422)
{
{ /* Llib/pgp_encode.scm 197 */
{ /* Llib/pgp_encode.scm 200 */
 bool_t BgL_arg1837z00_2888;
BgL_arg1837z00_2888 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_spz00_2421))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 200 */
 obj_t BgL_typez00_2889;
BgL_typez00_2889 = 
CNST_TABLE_REF(((long)26)); 
if(BgL_arg1837z00_2888)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2890;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2891;
BgL_arg1360z00_2891 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2889); 
BgL_arg1358z00_2890 = 
(
(long)(BgL_arg1360z00_2891)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2890, 
((obj_t)BgL_pz00_2422)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2892;
BgL_arg1361z00_2892 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2889); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2892), 
((obj_t)BgL_pz00_2422)); } } } 
{ /* Llib/pgp_encode.scm 201 */
 long BgL_arg1838z00_2893;
if(
(((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_spz00_2421)))->BgL_exportablezf3zf3))
{ /* Llib/pgp_encode.scm 201 */
BgL_arg1838z00_2893 = ((long)1); }  else 
{ /* Llib/pgp_encode.scm 201 */
BgL_arg1838z00_2893 = ((long)0); } 
if(
(BgL_arg1838z00_2893>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1838z00_2893)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2894;
BgL_arg1283z00_2894 = 
(BgL_arg1838z00_2893); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2894), 
((obj_t)BgL_pz00_2422));} } } 

}



/* &encode-sub-packet-co1210 */
obj_t BGl_z62encodezd2subzd2packetzd2co1210zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2423, obj_t BgL_spz00_2424, obj_t BgL_pz00_2425)
{
{ /* Llib/pgp_encode.scm 191 */
{ /* Llib/pgp_encode.scm 195 */
 bool_t BgL_arg1835z00_2897;
BgL_arg1835z00_2897 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_spz00_2424))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 195 */
 obj_t BgL_typez00_2898;
BgL_typez00_2898 = 
CNST_TABLE_REF(((long)27)); 
if(BgL_arg1835z00_2897)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2899;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2900;
BgL_arg1360z00_2900 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2898); 
BgL_arg1358z00_2899 = 
(
(long)(BgL_arg1360z00_2900)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2899, 
((obj_t)BgL_pz00_2425)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2901;
BgL_arg1361z00_2901 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2898); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2901), 
((obj_t)BgL_pz00_2425)); } } } 
{ /* Llib/pgp_encode.scm 196 */
 obj_t BgL_arg1836z00_2902;
BgL_arg1836z00_2902 = 
(((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_spz00_2424)))->BgL_expirationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1341z00_2903;
BgL_arg1341z00_2903 = 
bgl_date_to_seconds(BgL_arg1836z00_2902); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_2904;
BgL_nnz00_2904 = 
(long)(BgL_arg1341z00_2903); 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_2904, ((long)4)), 
((obj_t)BgL_pz00_2425));} } } } 

}



/* &encode-sub-packet-co1208 */
obj_t BGl_z62encodezd2subzd2packetzd2co1208zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2426, obj_t BgL_spz00_2427, obj_t BgL_pz00_2428)
{
{ /* Llib/pgp_encode.scm 186 */
{ /* Llib/pgp_encode.scm 189 */
 bool_t BgL_arg1833z00_2907;
BgL_arg1833z00_2907 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_spz00_2427))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 189 */
 obj_t BgL_typez00_2908;
BgL_typez00_2908 = 
CNST_TABLE_REF(((long)28)); 
if(BgL_arg1833z00_2907)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2909;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2910;
BgL_arg1360z00_2910 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2908); 
BgL_arg1358z00_2909 = 
(
(long)(BgL_arg1360z00_2910)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2909, 
((obj_t)BgL_pz00_2428)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2911;
BgL_arg1361z00_2911 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2908); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2911), 
((obj_t)BgL_pz00_2428)); } } } 
{ /* Llib/pgp_encode.scm 190 */
 obj_t BgL_arg1834z00_2912;
BgL_arg1834z00_2912 = 
(((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_spz00_2427)))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1341z00_2913;
BgL_arg1341z00_2913 = 
bgl_date_to_seconds(BgL_arg1834z00_2912); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_2914;
BgL_nnz00_2914 = 
(long)(BgL_arg1341z00_2913); 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_2914, ((long)4)), 
((obj_t)BgL_pz00_2428));} } } } 

}



/* &encode-sub-packet-co1206 */
obj_t BGl_z62encodezd2subzd2packetzd2co1206zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2429, obj_t BgL_spz00_2430, obj_t BgL_pz00_2431)
{
{ /* Llib/pgp_encode.scm 181 */
{ /* Llib/pgp_encode.scm 184 */
 obj_t BgL_arg1830z00_2917; bool_t BgL_arg1831z00_2918;
BgL_arg1830z00_2917 = 
(((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_spz00_2430)))->BgL_typez00); 
BgL_arg1831z00_2918 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_spz00_2430))))->BgL_criticalzf3zf3); 
if(BgL_arg1831z00_2918)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1358z00_2919;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1360z00_2920;
BgL_arg1360z00_2920 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1830z00_2917); 
BgL_arg1358z00_2919 = 
(
(long)(BgL_arg1360z00_2920)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1358z00_2919, 
((obj_t)BgL_pz00_2431)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1361z00_2921;
BgL_arg1361z00_2921 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1830z00_2917); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1361z00_2921), 
((obj_t)BgL_pz00_2431)); } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_spz00_2430)))->BgL_dataz00), 
((obj_t)BgL_pz00_2431));} 

}



/* &encode-content-PGP-P1202 */
obj_t BGl_z62encodezd2contentzd2PGPzd2P1202zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2432, obj_t BgL_packetz00_2433, obj_t BgL_pz00_2434)
{
{ /* Llib/pgp_encode.scm 136 */
{ /* Llib/pgp_encode.scm 142 */
 long BgL_arg1796z00_2924;
BgL_arg1796z00_2924 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2433)))->BgL_versionz00); 
if(
(BgL_arg1796z00_2924>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1796z00_2924)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2925;
BgL_arg1283z00_2925 = 
(BgL_arg1796z00_2924); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2925), 
((obj_t)BgL_pz00_2434)); } } 
{ /* Llib/pgp_encode.scm 143 */
 obj_t BgL_arg1798z00_2926;
BgL_arg1798z00_2926 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2433)))->BgL_idz00); 
if(
(
STRING_LENGTH(BgL_arg1798z00_2926)==((long)8)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2927;
BgL_arg1288z00_2927 = 
MAKE_YOUNG_PAIR(
BINT(((long)8)), BgL_arg1798z00_2926); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2052z00zz__openpgpzd2encodezd2, BGl_string2053z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2927); } 
bgl_display_obj(BgL_arg1798z00_2926, 
((obj_t)BgL_pz00_2434)); } 
{ /* Llib/pgp_encode.scm 144 */
 char BgL_arg1808z00_2928;
BgL_arg1808z00_2928 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2433)))->BgL_algoz00)); 
{ /* Llib/pgp_encode.scm 144 */
 long BgL_nz00_2929;
BgL_nz00_2929 = 
(long)(BgL_arg1808z00_2928); 
if(
(BgL_nz00_2929>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2034z00zz__openpgpzd2encodezd2, BGl_string2035z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2929)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2930;
BgL_arg1283z00_2930 = 
(BgL_nz00_2929); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2930), 
((obj_t)BgL_pz00_2434)); } } } 
{ /* Llib/pgp_encode.scm 145 */
 obj_t BgL_casezd2valuezd2_2931;
BgL_casezd2valuezd2_2931 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2433)))->BgL_algoz00); 
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL_test2469z00_4926;
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL__ortest_1105z00_2932;
BgL__ortest_1105z00_2932 = 
(BgL_casezd2valuezd2_2931==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1105z00_2932)
{ /* Llib/pgp_encode.scm 145 */
BgL_test2469z00_4926 = BgL__ortest_1105z00_2932
; }  else 
{ /* Llib/pgp_encode.scm 145 */
BgL_test2469z00_4926 = 
(BgL_casezd2valuezd2_2931==
CNST_TABLE_REF(((long)5)))
; } } 
if(BgL_test2469z00_4926)
{ /* Llib/pgp_encode.scm 147 */
 obj_t BgL_arg1812z00_2933;
BgL_arg1812z00_2933 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2433)))->BgL_encryptedzd2sessionzd2keyz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2934;
BgL_bitzd2lenzd2_2934 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1812z00_2933)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2935;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1993z00_2936;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2937; long BgL_rz00_2938;
BgL_qz00_2937 = 
(BgL_bitzd2lenzd2_2934/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2939; long BgL_n2z00_2940;
BgL_n1z00_2939 = BgL_bitzd2lenzd2_2934; 
BgL_n2z00_2940 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2471z00_4937;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_2941;
BgL_arg1353z00_2941 = 
(((BgL_n1z00_2939) | (BgL_n2z00_2940)) & -2147483648); 
BgL_test2471z00_4937 = 
(BgL_arg1353z00_2941==((long)0)); } 
if(BgL_test2471z00_4937)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_2942;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_2943; int32_t BgL_arg1352z00_2944;
BgL_arg1351z00_2943 = 
(int32_t)(BgL_n1z00_2939); 
BgL_arg1352z00_2944 = 
(int32_t)(BgL_n2z00_2940); 
BgL_arg1350z00_2942 = 
(BgL_arg1351z00_2943%BgL_arg1352z00_2944); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_2945;
BgL_arg1447z00_2945 = 
(long)(BgL_arg1350z00_2942); 
BgL_rz00_2938 = 
(long)(BgL_arg1447z00_2945); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2938 = 
(BgL_n1z00_2939%BgL_n2z00_2940); } } } 
if(
(BgL_rz00_2938==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1993z00_2936 = BgL_qz00_2937; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2938>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1993z00_2936 = 
(BgL_qz00_2937+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1993z00_2936 = 
(BgL_qz00_2937-((long)1)); } } } 
BgL_octetzd2lenzd2_2935 = BgL_res1993z00_2936; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2946;
BgL_strz00_2946 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1812z00_2933), BgL_octetzd2lenzd2_2935); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2934, ((long)2)), 
((obj_t)BgL_pz00_2434)); 
return 
bgl_display_obj(BgL_strz00_2946, 
((obj_t)BgL_pz00_2434));} } } } }  else 
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL_test2474z00_4959;
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL__ortest_1106z00_2947;
BgL__ortest_1106z00_2947 = 
(BgL_casezd2valuezd2_2931==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1106z00_2947)
{ /* Llib/pgp_encode.scm 145 */
BgL_test2474z00_4959 = BgL__ortest_1106z00_2947
; }  else 
{ /* Llib/pgp_encode.scm 145 */
BgL_test2474z00_4959 = 
(BgL_casezd2valuezd2_2931==
CNST_TABLE_REF(((long)10)))
; } } 
if(BgL_test2474z00_4959)
{ /* Llib/pgp_encode.scm 145 */
{ /* Llib/pgp_encode.scm 149 */
 bool_t BgL_test2476z00_4965;
{ /* Llib/pgp_encode.scm 149 */
 obj_t BgL_tmpz00_4966;
BgL_tmpz00_4966 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2433)))->BgL_encryptedzd2sessionzd2keyz00); 
BgL_test2476z00_4965 = 
PAIRP(BgL_tmpz00_4966); } 
if(BgL_test2476z00_4965)
{ /* Llib/pgp_encode.scm 149 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 149 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2138z00zz__openpgpzd2encodezd2, BGl_string2139z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2433)))->BgL_encryptedzd2sessionzd2keyz00)); } } 
{ /* Llib/pgp_encode.scm 153 */
 obj_t BgL_arg1824z00_2948;
BgL_arg1824z00_2948 = 
CAR(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2433)))->BgL_encryptedzd2sessionzd2keyz00)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2949;
BgL_bitzd2lenzd2_2949 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1824z00_2948)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2950;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1994z00_2951;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2952; long BgL_rz00_2953;
BgL_qz00_2952 = 
(BgL_bitzd2lenzd2_2949/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2954; long BgL_n2z00_2955;
BgL_n1z00_2954 = BgL_bitzd2lenzd2_2949; 
BgL_n2z00_2955 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2477z00_4979;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_2956;
BgL_arg1353z00_2956 = 
(((BgL_n1z00_2954) | (BgL_n2z00_2955)) & -2147483648); 
BgL_test2477z00_4979 = 
(BgL_arg1353z00_2956==((long)0)); } 
if(BgL_test2477z00_4979)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_2957;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_2958; int32_t BgL_arg1352z00_2959;
BgL_arg1351z00_2958 = 
(int32_t)(BgL_n1z00_2954); 
BgL_arg1352z00_2959 = 
(int32_t)(BgL_n2z00_2955); 
BgL_arg1350z00_2957 = 
(BgL_arg1351z00_2958%BgL_arg1352z00_2959); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_2960;
BgL_arg1447z00_2960 = 
(long)(BgL_arg1350z00_2957); 
BgL_rz00_2953 = 
(long)(BgL_arg1447z00_2960); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2953 = 
(BgL_n1z00_2954%BgL_n2z00_2955); } } } 
if(
(BgL_rz00_2953==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1994z00_2951 = BgL_qz00_2952; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2953>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1994z00_2951 = 
(BgL_qz00_2952+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1994z00_2951 = 
(BgL_qz00_2952-((long)1)); } } } 
BgL_octetzd2lenzd2_2950 = BgL_res1994z00_2951; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2961;
BgL_strz00_2961 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1824z00_2948), BgL_octetzd2lenzd2_2950); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2949, ((long)2)), 
((obj_t)BgL_pz00_2434)); 
bgl_display_obj(BgL_strz00_2961, 
((obj_t)BgL_pz00_2434)); } } } } } 
{ /* Llib/pgp_encode.scm 154 */
 obj_t BgL_arg1826z00_2962;
BgL_arg1826z00_2962 = 
CDR(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2433)))->BgL_encryptedzd2sessionzd2keyz00)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2963;
BgL_bitzd2lenzd2_2963 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1826z00_2962)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2964;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1995z00_2965;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2966; long BgL_rz00_2967;
BgL_qz00_2966 = 
(BgL_bitzd2lenzd2_2963/((long)8)); 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_n1z00_2968; long BgL_n2z00_2969;
BgL_n1z00_2968 = BgL_bitzd2lenzd2_2963; 
BgL_n2z00_2969 = ((long)8); 
{ /* Llib/pgp_encode.scm 42 */
 bool_t BgL_test2480z00_5007;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1353z00_2970;
BgL_arg1353z00_2970 = 
(((BgL_n1z00_2968) | (BgL_n2z00_2969)) & -2147483648); 
BgL_test2480z00_5007 = 
(BgL_arg1353z00_2970==((long)0)); } 
if(BgL_test2480z00_5007)
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1350z00_2971;
{ /* Llib/pgp_encode.scm 42 */
 int32_t BgL_arg1351z00_2972; int32_t BgL_arg1352z00_2973;
BgL_arg1351z00_2972 = 
(int32_t)(BgL_n1z00_2968); 
BgL_arg1352z00_2973 = 
(int32_t)(BgL_n2z00_2969); 
BgL_arg1350z00_2971 = 
(BgL_arg1351z00_2972%BgL_arg1352z00_2973); } 
{ /* Llib/pgp_encode.scm 42 */
 long BgL_arg1447z00_2974;
BgL_arg1447z00_2974 = 
(long)(BgL_arg1350z00_2971); 
BgL_rz00_2967 = 
(long)(BgL_arg1447z00_2974); } }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_rz00_2967 = 
(BgL_n1z00_2968%BgL_n2z00_2969); } } } 
if(
(BgL_rz00_2967==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1995z00_2965 = BgL_qz00_2966; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2967>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1995z00_2965 = 
(BgL_qz00_2966+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1995z00_2965 = 
(BgL_qz00_2966-((long)1)); } } } 
BgL_octetzd2lenzd2_2964 = BgL_res1995z00_2965; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2975;
BgL_strz00_2975 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1826z00_2962), BgL_octetzd2lenzd2_2964); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2963, ((long)2)), 
((obj_t)BgL_pz00_2434)); 
return 
bgl_display_obj(BgL_strz00_2975, 
((obj_t)BgL_pz00_2434));} } } } } }  else 
{ /* Llib/pgp_encode.scm 145 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2138z00zz__openpgpzd2encodezd2, BGl_string2140z00zz__openpgpzd2encodezd2, 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2433)))->BgL_algoz00)));} } } } } 

}



/* &packet->content-tag-1197 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21197z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2435, obj_t BgL_pz00_2436)
{
{ /* Llib/pgp_encode.scm 107 */
return 
CNST_TABLE_REF(((long)29));} 

}



/* &packet->content-tag-1195 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21195z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2437, obj_t BgL_pz00_2438)
{
{ /* Llib/pgp_encode.scm 105 */
return 
CNST_TABLE_REF(((long)25));} 

}



/* &packet->content-tag-1193 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21193z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2439, obj_t BgL_pz00_2440)
{
{ /* Llib/pgp_encode.scm 103 */
return 
CNST_TABLE_REF(((long)30));} 

}



/* &packet->content-tag-1191 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21191z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2441, obj_t BgL_pz00_2442)
{
{ /* Llib/pgp_encode.scm 101 */
return 
CNST_TABLE_REF(((long)31));} 

}



/* &packet->content-tag-1189 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21189z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2443, obj_t BgL_pz00_2444)
{
{ /* Llib/pgp_encode.scm 99 */
return 
CNST_TABLE_REF(((long)32));} 

}



/* &packet->content-tag-1187 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21187z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2445, obj_t BgL_pz00_2446)
{
{ /* Llib/pgp_encode.scm 97 */
return 
CNST_TABLE_REF(((long)33));} 

}



/* &packet->content-tag-1185 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21185z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2447, obj_t BgL_pz00_2448)
{
{ /* Llib/pgp_encode.scm 95 */
return 
CNST_TABLE_REF(((long)34));} 

}



/* &packet->content-tag-1183 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21183z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2449, obj_t BgL_pz00_2450)
{
{ /* Llib/pgp_encode.scm 90 */
if(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_pz00_2450))))->BgL_subkeyzf3zf3))
{ /* Llib/pgp_encode.scm 92 */
return 
CNST_TABLE_REF(((long)35));}  else 
{ /* Llib/pgp_encode.scm 92 */
return 
CNST_TABLE_REF(((long)36));} } 

}



/* &packet->content-tag-1181 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21181z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2451, obj_t BgL_pz00_2452)
{
{ /* Llib/pgp_encode.scm 85 */
if(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_pz00_2452))))->BgL_subkeyzf3zf3))
{ /* Llib/pgp_encode.scm 87 */
return 
CNST_TABLE_REF(((long)37));}  else 
{ /* Llib/pgp_encode.scm 87 */
return 
CNST_TABLE_REF(((long)38));} } 

}



/* &packet->content-tag-1179 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21179z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2453, obj_t BgL_pz00_2454)
{
{ /* Llib/pgp_encode.scm 83 */
return 
CNST_TABLE_REF(((long)39));} 

}



/* &packet->content-tag-1177 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21177z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2455, obj_t BgL_pz00_2456)
{
{ /* Llib/pgp_encode.scm 80 */
return 
CNST_TABLE_REF(((long)40));} 

}



/* &packet->content-tag-1175 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21175z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2457, obj_t BgL_pz00_2458)
{
{ /* Llib/pgp_encode.scm 78 */
return 
CNST_TABLE_REF(((long)41));} 

}



/* &packet->content-tag-1173 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21173z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2459, obj_t BgL_pz00_2460)
{
{ /* Llib/pgp_encode.scm 75 */
return 
CNST_TABLE_REF(((long)42));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(((long)486475050), 
BSTRING_TO_STRING(BGl_string2141z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(((long)103989188), 
BSTRING_TO_STRING(BGl_string2141z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(((long)485669724), 
BSTRING_TO_STRING(BGl_string2141z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(((long)524611842), 
BSTRING_TO_STRING(BGl_string2141z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(((long)520811633), 
BSTRING_TO_STRING(BGl_string2141z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(((long)249755061), 
BSTRING_TO_STRING(BGl_string2141z00zz__openpgpzd2encodezd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(((long)364974745), 
BSTRING_TO_STRING(BGl_string2141z00zz__openpgpzd2encodezd2));} 

}

#ifdef __cplusplus
}
#endif
