/*===========================================================================*/
/*   (Llib/pgp_facade.scm)                                                   */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_facade.scm -o objs/pgp_facade.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_pgpzd2subkeyzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2keyzd2packetz00_bgl * BgL_keyzd2packetzd2;
   obj_t BgL_sigsz00;
   obj_t BgL_revocationzd2sigszd2;
   struct BgL_pgpzd2keyzd2_bgl * BgL_pgpzd2keyzd2;
} *BgL_pgpzd2subkeyzd2_bglt;

typedef struct BgL_pgpzd2compositionzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2compositionzd2_bglt;

typedef struct BgL_pgpzd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_subkeysz00;
   obj_t BgL_userzd2idszd2;
} *BgL_pgpzd2keyzd2_bglt;

typedef struct BgL_pgpzd2encryptedzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_sessionzd2keyszd2;
   struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl * BgL_encryptedzd2datazd2;
} *BgL_pgpzd2encryptedzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_msgz00;
   obj_t BgL_sigsz00;
} *BgL_pgpzd2signaturezd2_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_msgz00;
   obj_t BgL_sigsz00;
   obj_t BgL_onezd2passzd2sigsz00;
} *BgL_pgpzd2onezd2passzd2signaturezd2_bglt;

typedef struct BgL_pgpzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2packetzd2_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_idz00;
   obj_t BgL_algoz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_algoz00;
   obj_t BgL_s2kz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2compressedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_packetsz00;
} *BgL_pgpzd2compressedzd2packetz00_bglt;

typedef struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt;

typedef struct BgL_pgpzd2literalzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   bool_t BgL_forzd2yourzd2eyeszd2onlyzf3z21;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_dataz00;
} *BgL_pgpzd2literalzd2packetz00_bglt;


extern obj_t BGl_symmetriczd2decryptzd2zz__openpgpzd2logiczd2(BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt, obj_t, obj_t, bool_t);
BGL_EXPORTED_DECL obj_t BGl_pgpzd2writezd2stringz00zz__openpgpzd2facadezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2;
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2facadezd2 = BUNSPEC;
static obj_t BGl_pwdzd2decryptzd2zz__openpgpzd2facadezd2(BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_encodezd2nativezd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt, obj_t);
static obj_t BGl__pgpzd2encryptzd2zz__openpgpzd2facadezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2;
BGL_EXPORTED_DECL obj_t BGl_pgpzd2writezd2filez00zz__openpgpzd2facadezd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pgpzd2readzd2filez00zz__openpgpzd2facadezd2(obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_pgpzd2readzd2stringz00zz__openpgpzd2facadezd2(obj_t);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_z62pgpzd2readzd2stringz62zz__openpgpzd2facadezd2(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2facadezd2();
BGL_EXPORTED_DECL obj_t BGl_pgpzd2encryptzd2zz__openpgpzd2facadezd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_search1245ze70ze7zz__openpgpzd2facadezd2(long, obj_t, obj_t, long);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2facadezd2();
static obj_t BGl_search1254ze70ze7zz__openpgpzd2facadezd2(long, obj_t, obj_t, long);
static obj_t BGl_objectzd2initzd2zz__openpgpzd2facadezd2();
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_search1229ze70ze7zz__openpgpzd2facadezd2(long, obj_t, obj_t, long);
extern obj_t BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2;
static obj_t BGl_z62pgpzd2readzd2portz62zz__openpgpzd2facadezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2facadezd2();
BGL_IMPORT obj_t bgl_typeof(obj_t);
BGL_EXPORTED_DECL obj_t BGl_pgpzd2passwordzd2encryptz00zz__openpgpzd2facadezd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_encodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
extern obj_t BGl_decryptzd2symmetriczd2keyzd2sessionzd2keyz00zz__openpgpzd2logiczd2(BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt, obj_t);
extern BgL_pgpzd2signaturezd2_bglt BGl_createzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(obj_t, BgL_pgpzd2subkeyzd2_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
static obj_t BGl__pgpzd2writezd2portz00zz__openpgpzd2facadezd2(obj_t, obj_t);
static obj_t BGl_search1266ze70ze7zz__openpgpzd2facadezd2(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31613ze32043ze5zz__openpgpzd2facadezd2(obj_t);
static obj_t BGl__pgpzd2verifyzd2zz__openpgpzd2facadezd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2hexzd2externz00zz__r4_strings_6_7z00(obj_t, int, long);
static obj_t BGl__pgpzd2decryptzd2zz__openpgpzd2facadezd2(obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_createzd2passwordzd2sessionzd2keyzd2packetz00zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2;
extern obj_t BGl_verifyzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(BgL_pgpzd2signaturezd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pgpzd2verifyzd2zz__openpgpzd2facadezd2(obj_t, obj_t, obj_t);
static obj_t BGl_pubkeyzd2decryptzd2zz__openpgpzd2facadezd2(BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2bigloozd2versionza2zd2zz__openpgpzd2facadezd2 = BUNSPEC;
extern obj_t BGl_keyzd2idzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2packetz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31613ze3ze5zz__openpgpzd2facadezd2(obj_t);
extern obj_t BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_pgpzd2decryptzd2zz__openpgpzd2facadezd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2s2kzd2zz__openpgpzd2s2kzd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2facadezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2algozd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2compositionzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2logiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_decryptzd2publiczd2keyzd2sessionzd2keyz00zz__openpgpzd2logiczd2(BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt, BgL_pgpzd2subkeyzd2_bglt, obj_t);
BGL_IMPORT obj_t bgl_nanoseconds_to_date(BGL_LONGLONG_T);
extern BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_symmetriczd2encryptzd2zz__openpgpzd2logiczd2(BgL_pgpzd2packetzd2_bglt, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pgpzd2writezd2portz00zz__openpgpzd2facadezd2(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_classzf3zf3zz__objectz00(obj_t);
extern obj_t BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_pgpzd2readzd2portz00zz__openpgpzd2facadezd2(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2;
BGL_EXPORTED_DECL bool_t BGl_pgpzd2compositionzf3z21zz__openpgpzd2facadezd2(obj_t);
extern obj_t BGl_makezd2randomzd2stringz00zz__openpgpzd2utilzd2(long, obj_t);
extern obj_t BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_simplezd2s2kzd2zz__openpgpzd2s2kzd2(obj_t, long, obj_t);
extern obj_t BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2facadezd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2facadezd2();
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2facadezd2();
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2facadezd2();
extern obj_t BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31286ze3ze5zz__openpgpzd2facadezd2(obj_t);
static obj_t BGl_z62pgpzd2readzd2filez62zz__openpgpzd2facadezd2(obj_t, obj_t);
extern long BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31910ze3ze5zz__openpgpzd2facadezd2(obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
extern BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_createzd2onezd2passzd2signaturezd2zz__openpgpzd2logiczd2(obj_t, BgL_pgpzd2subkeyzd2_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__openpgpzd2facadezd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pgpzd2signaturezd2messagez00zz__openpgpzd2facadezd2(obj_t);
static obj_t BGl__pgpzd2writezd2stringz00zz__openpgpzd2facadezd2(obj_t, obj_t);
extern obj_t BGl_createzd2publiczd2keyzd2sessionzd2keyzd2packetzd2zz__openpgpzd2logiczd2(BgL_pgpzd2subkeyzd2_bglt, obj_t, obj_t);
static obj_t BGl__pgpzd2signzd2zz__openpgpzd2facadezd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pgpzd2signzd2zz__openpgpzd2facadezd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_nanoseconds();
static obj_t BGl_z62pgpzd2compositionzf3z43zz__openpgpzd2facadezd2(obj_t, obj_t);
static obj_t BGl_extractzd2subkeyzd2zz__openpgpzd2facadezd2(obj_t, bool_t);
static obj_t BGl__pgpzd2writezd2filez00zz__openpgpzd2facadezd2(obj_t, obj_t);
static obj_t BGl_z62pgpzd2signaturezd2messagez62zz__openpgpzd2facadezd2(obj_t, obj_t);
static obj_t BGl_zc3z04exitza31893ze3ze70z60zz__openpgpzd2facadezd2(obj_t, BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31909ze3ze5zz__openpgpzd2facadezd2(obj_t, obj_t);
static obj_t BGl__pgpzd2passwordzd2encryptz00zz__openpgpzd2facadezd2(obj_t, obj_t);
static obj_t __cnst[ 35 ] ;


DEFINE_STRING( BGl_string2200z00zz__openpgpzd2facadezd2, BgL_bgl_string2200za700za7za7_2222za7, "Illegal key-manager", 19 );
DEFINE_STRING( BGl_string2201z00zz__openpgpzd2facadezd2, BgL_bgl_string2201za700za7za7_2223za7, "Illegal passkey-provider", 24 );
DEFINE_STRING( BGl_string2205z00zz__openpgpzd2facadezd2, BgL_bgl_string2205za700za7za7_2224za7, "_pgp-decrypt", 12 );
DEFINE_STRING( BGl_string2206z00zz__openpgpzd2facadezd2, BgL_bgl_string2206za700za7za7_2225za7, "wrong number of arguments: [1..7] expected, provided", 52 );
DEFINE_STRING( BGl_string2207z00zz__openpgpzd2facadezd2, BgL_bgl_string2207za700za7za7_2226za7, "pgp-decrypt", 11 );
DEFINE_STRING( BGl_string2208z00zz__openpgpzd2facadezd2, BgL_bgl_string2208za700za7za7_2227za7, "Expected PGP-composition.", 25 );
DEFINE_STRING( BGl_string2209z00zz__openpgpzd2facadezd2, BgL_bgl_string2209za700za7za7_2228za7, "No or bad encrypted data", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2202z00zz__openpgpzd2facadezd2, BgL_bgl_za762za7c3za704anonymo2229za7, BGl_z62zc3z04anonymousza31911ze3ze5zz__openpgpzd2facadezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2203z00zz__openpgpzd2facadezd2, BgL_bgl_za762za7c3za704anonymo2230za7, BGl_z62zc3z04anonymousza31910ze3ze5zz__openpgpzd2facadezd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2210z00zz__openpgpzd2facadezd2, BgL_bgl_string2210za700za7za7_2231za7, "ignoring trailing packet(s)", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2204z00zz__openpgpzd2facadezd2, BgL_bgl_za762za7c3za704anonymo2232za7, BGl_z62zc3z04anonymousza31909ze3ze5zz__openpgpzd2facadezd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2211z00zz__openpgpzd2facadezd2, BgL_bgl_string2211za700za7za7_2233za7, "Don't know what to do with decrypted data", 41 );
DEFINE_STRING( BGl_string2212z00zz__openpgpzd2facadezd2, BgL_bgl_string2212za700za7za7_2234za7, "_pgp-encrypt", 12 );
DEFINE_STRING( BGl_string2213z00zz__openpgpzd2facadezd2, BgL_bgl_string2213za700za7za7_2235za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string2214z00zz__openpgpzd2facadezd2, BgL_bgl_string2214za700za7za7_2236za7, "wrong number of arguments: [3..5] expected, provided", 52 );
DEFINE_STRING( BGl_string2215z00zz__openpgpzd2facadezd2, BgL_bgl_string2215za700za7za7_2237za7, "pgp-encrypt", 11 );
DEFINE_STRING( BGl_string2216z00zz__openpgpzd2facadezd2, BgL_bgl_string2216za700za7za7_2238za7, "Expected symbol as hash algorithm", 33 );
DEFINE_STRING( BGl_string2217z00zz__openpgpzd2facadezd2, BgL_bgl_string2217za700za7za7_2239za7, "Expected symbol as symmetric key algorithm", 42 );
DEFINE_STRING( BGl_string2218z00zz__openpgpzd2facadezd2, BgL_bgl_string2218za700za7za7_2240za7, "__openpgp-facade", 16 );
DEFINE_STRING( BGl_string2219z00zz__openpgpzd2facadezd2, BgL_bgl_string2219za700za7za7_2241za7, "iterated pgp-encrypt (:hash-algo :symmetric-algo) simple :password-provider :passkey-provider :key-manager :ignore-bad-packets pgp-decrypt (:hash-algo :ignore-bad-packets :key-manager :passkey-provider :password-provider :symmetric-algo) binary :symmetric-algo :mdc pgp-password-encrypt (:hash-algo :mdc :symmetric-algo) cast5 :msg (:msg) pgp-verify::pair-nil :one-pass? :hash-algo :detached-signature? pgp-sign (:detached-signature? :hash-algo :one-pass?) sha-1 (rsa-encrypt/sign rsa-sign dsa elgamal-encrypt/sign) (rsa-encrypt/sign rsa-encrypt elgamal-encrypt elgamal-encrypt/sign) pgp-write-file Version pgp-write-port :format (:format) armored pgp-write-string release-number ", 680 );
DEFINE_STRING( BGl_string2157z00zz__openpgpzd2facadezd2, BgL_bgl_string2157za700za7za7_2242za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/openpgp/src/Llib/pgp_facade.scm", 71 );
DEFINE_STRING( BGl_string2158z00zz__openpgpzd2facadezd2, BgL_bgl_string2158za700za7za7_2243za7, "&pgp-read-string", 16 );
DEFINE_STRING( BGl_string2159z00zz__openpgpzd2facadezd2, BgL_bgl_string2159za700za7za7_2244za7, "bstring", 7 );
DEFINE_STRING( BGl_string2160z00zz__openpgpzd2facadezd2, BgL_bgl_string2160za700za7za7_2245za7, "&pgp-read-port", 14 );
DEFINE_STRING( BGl_string2161z00zz__openpgpzd2facadezd2, BgL_bgl_string2161za700za7za7_2246za7, "input-port", 10 );
DEFINE_STRING( BGl_string2162z00zz__openpgpzd2facadezd2, BgL_bgl_string2162za700za7za7_2247za7, "pgp-read-file", 13 );
DEFINE_STRING( BGl_string2163z00zz__openpgpzd2facadezd2, BgL_bgl_string2163za700za7za7_2248za7, "Couldn't open file", 18 );
DEFINE_STRING( BGl_string2164z00zz__openpgpzd2facadezd2, BgL_bgl_string2164za700za7za7_2249za7, "&pgp-read-file", 14 );
DEFINE_STRING( BGl_string2165z00zz__openpgpzd2facadezd2, BgL_bgl_string2165za700za7za7_2250za7, "wrong number of arguments: [1..2] expected, provided", 52 );
DEFINE_STRING( BGl_string2166z00zz__openpgpzd2facadezd2, BgL_bgl_string2166za700za7za7_2251za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string2167z00zz__openpgpzd2facadezd2, BgL_bgl_string2167za700za7za7_2252za7, "_pgp-write-string", 17 );
DEFINE_STRING( BGl_string2168z00zz__openpgpzd2facadezd2, BgL_bgl_string2168za700za7za7_2253za7, "bint", 4 );
DEFINE_STRING( BGl_string2169z00zz__openpgpzd2facadezd2, BgL_bgl_string2169za700za7za7_2254za7, "wrong number of arguments: [2..3] expected, provided", 52 );
DEFINE_STRING( BGl_string2170z00zz__openpgpzd2facadezd2, BgL_bgl_string2170za700za7za7_2255za7, "_pgp-write-port", 15 );
DEFINE_STRING( BGl_string2171z00zz__openpgpzd2facadezd2, BgL_bgl_string2171za700za7za7_2256za7, "output-port", 11 );
DEFINE_STRING( BGl_string2172z00zz__openpgpzd2facadezd2, BgL_bgl_string2172za700za7za7_2257za7, "pgp-write-port", 14 );
DEFINE_STRING( BGl_string2173z00zz__openpgpzd2facadezd2, BgL_bgl_string2173za700za7za7_2258za7, "Expected PGP Composition", 24 );
DEFINE_STRING( BGl_string2174z00zz__openpgpzd2facadezd2, BgL_bgl_string2174za700za7za7_2259za7, "PGP SIGNATURE", 13 );
DEFINE_STRING( BGl_string2175z00zz__openpgpzd2facadezd2, BgL_bgl_string2175za700za7za7_2260za7, "PGP MESSAGE", 11 );
DEFINE_STRING( BGl_string2176z00zz__openpgpzd2facadezd2, BgL_bgl_string2176za700za7za7_2261za7, "Bigloo ~a", 9 );
DEFINE_STRING( BGl_string2177z00zz__openpgpzd2facadezd2, BgL_bgl_string2177za700za7za7_2262za7, "_pgp-write-file", 15 );
DEFINE_STRING( BGl_string2178z00zz__openpgpzd2facadezd2, BgL_bgl_string2178za700za7za7_2263za7, "pair", 4 );
DEFINE_STRING( BGl_string2179z00zz__openpgpzd2facadezd2, BgL_bgl_string2179za700za7za7_2264za7, "extract-subkey", 14 );
DEFINE_STRING( BGl_string2180z00zz__openpgpzd2facadezd2, BgL_bgl_string2180za700za7za7_2265za7, "Couldn't find subkey for encryption", 35 );
DEFINE_STRING( BGl_string2181z00zz__openpgpzd2facadezd2, BgL_bgl_string2181za700za7za7_2266za7, "Couldn't find suitable subkey", 29 );
DEFINE_STRING( BGl_string2182z00zz__openpgpzd2facadezd2, BgL_bgl_string2182za700za7za7_2267za7, "Found more than one suitable subkey.", 36 );
DEFINE_STRING( BGl_string2183z00zz__openpgpzd2facadezd2, BgL_bgl_string2183za700za7za7_2268za7, "PGP-key expected (got a ~a)", 27 );
DEFINE_STRING( BGl_string2184z00zz__openpgpzd2facadezd2, BgL_bgl_string2184za700za7za7_2269za7, "Couldn't find suitable key for signature.", 41 );
DEFINE_STRING( BGl_string2185z00zz__openpgpzd2facadezd2, BgL_bgl_string2185za700za7za7_2270za7, "_pgp-sign", 9 );
DEFINE_STRING( BGl_string2186z00zz__openpgpzd2facadezd2, BgL_bgl_string2186za700za7za7_2271za7, "wrong number of arguments: [3..6] expected, provided", 52 );
DEFINE_STRING( BGl_string2187z00zz__openpgpzd2facadezd2, BgL_bgl_string2187za700za7za7_2272za7, "pgp-sign", 8 );
DEFINE_STRING( BGl_string2188z00zz__openpgpzd2facadezd2, BgL_bgl_string2188za700za7za7_2273za7, "Bad Key", 7 );
DEFINE_STRING( BGl_string2189z00zz__openpgpzd2facadezd2, BgL_bgl_string2189za700za7za7_2274za7, "_pgp-verify", 11 );
extern obj_t BGl_sha1sumzd2binzd2envz00zz__openpgpzd2utilzd2;
DEFINE_STRING( BGl_string2190z00zz__openpgpzd2facadezd2, BgL_bgl_string2190za700za7za7_2275za7, "procedure", 9 );
DEFINE_STRING( BGl_string2191z00zz__openpgpzd2facadezd2, BgL_bgl_string2191za700za7za7_2276za7, "vector", 6 );
DEFINE_STRING( BGl_string2192z00zz__openpgpzd2facadezd2, BgL_bgl_string2192za700za7za7_2277za7, "class", 5 );
DEFINE_STRING( BGl_string2193z00zz__openpgpzd2facadezd2, BgL_bgl_string2193za700za7za7_2278za7, "pgp-verify", 10 );
DEFINE_STRING( BGl_string2194z00zz__openpgpzd2facadezd2, BgL_bgl_string2194za700za7za7_2279za7, "not a signature", 15 );
DEFINE_STRING( BGl_string2195z00zz__openpgpzd2facadezd2, BgL_bgl_string2195za700za7za7_2280za7, "PGP-Signature", 13 );
DEFINE_STRING( BGl_string2196z00zz__openpgpzd2facadezd2, BgL_bgl_string2196za700za7za7_2281za7, "_pgp-password-encrypt", 21 );
DEFINE_STRING( BGl_string2197z00zz__openpgpzd2facadezd2, BgL_bgl_string2197za700za7za7_2282za7, "wrong number of arguments: [2..5] expected, provided", 52 );
DEFINE_STRING( BGl_string2198z00zz__openpgpzd2facadezd2, BgL_bgl_string2198za700za7za7_2283za7, "", 0 );
DEFINE_STRING( BGl_string2199z00zz__openpgpzd2facadezd2, BgL_bgl_string2199za700za7za7_2284za7, "decrypt", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2encryptzd2envz00zz__openpgpzd2facadezd2, BgL_bgl__pgpza7d2encryptza7d2285z00, opt_generic_entry, BGl__pgpzd2encryptzd2zz__openpgpzd2facadezd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2writezd2stringzd2envzd2zz__openpgpzd2facadezd2, BgL_bgl__pgpza7d2writeza7d2s2286z00, opt_generic_entry, BGl__pgpzd2writezd2stringz00zz__openpgpzd2facadezd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2signzd2envz00zz__openpgpzd2facadezd2, BgL_bgl__pgpza7d2signza7d2za7za72287z00, opt_generic_entry, BGl__pgpzd2signzd2zz__openpgpzd2facadezd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2decryptzd2envz00zz__openpgpzd2facadezd2, BgL_bgl__pgpza7d2decryptza7d2288z00, opt_generic_entry, BGl__pgpzd2decryptzd2zz__openpgpzd2facadezd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2passwordzd2encryptzd2envzd2zz__openpgpzd2facadezd2, BgL_bgl__pgpza7d2passwordza72289z00, opt_generic_entry, BGl__pgpzd2passwordzd2encryptz00zz__openpgpzd2facadezd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2compositionzf3zd2envzf3zz__openpgpzd2facadezd2, BgL_bgl_za762pgpza7d2composi2290z00, BGl_z62pgpzd2compositionzf3z43zz__openpgpzd2facadezd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2writezd2filezd2envzd2zz__openpgpzd2facadezd2, BgL_bgl__pgpza7d2writeza7d2f2291z00, opt_generic_entry, BGl__pgpzd2writezd2filez00zz__openpgpzd2facadezd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2readzd2stringzd2envzd2zz__openpgpzd2facadezd2, BgL_bgl_za762pgpza7d2readza7d22292za7, BGl_z62pgpzd2readzd2stringz62zz__openpgpzd2facadezd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2verifyzd2envz00zz__openpgpzd2facadezd2, BgL_bgl__pgpza7d2verifyza7d22293z00, opt_generic_entry, BGl__pgpzd2verifyzd2zz__openpgpzd2facadezd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2readzd2filezd2envzd2zz__openpgpzd2facadezd2, BgL_bgl_za762pgpza7d2readza7d22294za7, BGl_z62pgpzd2readzd2filez62zz__openpgpzd2facadezd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2writezd2portzd2envzd2zz__openpgpzd2facadezd2, BgL_bgl__pgpza7d2writeza7d2p2295z00, opt_generic_entry, BGl__pgpzd2writezd2portz00zz__openpgpzd2facadezd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2signaturezd2messagezd2envzd2zz__openpgpzd2facadezd2, BgL_bgl_za762pgpza7d2signatu2296z00, BGl_z62pgpzd2signaturezd2messagez62zz__openpgpzd2facadezd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2readzd2portzd2envzd2zz__openpgpzd2facadezd2, BgL_bgl_za762pgpza7d2readza7d22297za7, BGl_z62pgpzd2readzd2portz62zz__openpgpzd2facadezd2, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2facadezd2) );
ADD_ROOT( (void *)(&BGl_za2bigloozd2versionza2zd2zz__openpgpzd2facadezd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2facadezd2(long BgL_checksumz00_1839, char * BgL_fromz00_1840)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2facadezd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2facadezd2 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__openpgpzd2facadezd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2facadezd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2facadezd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2facadezd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2facadezd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2facadezd2()
{
{ /* Llib/pgp_facade.scm 1 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__configurez00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__openpgp-facade"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-facade"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2facadezd2()
{
{ /* Llib/pgp_facade.scm 1 */
{ /* Llib/pgp_facade.scm 1 */
 obj_t BgL_cportz00_1827;
{ /* Llib/pgp_facade.scm 1 */
 obj_t BgL_stringz00_1835;
BgL_stringz00_1835 = BGl_string2219z00zz__openpgpzd2facadezd2; 
{ /* Llib/pgp_facade.scm 1 */
 obj_t BgL_startz00_1836;
BgL_startz00_1836 = 
BINT(((long)0)); 
{ /* Llib/pgp_facade.scm 1 */
 obj_t BgL_endz00_1837;
BgL_endz00_1837 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1835))); 
{ /* Llib/pgp_facade.scm 1 */

BgL_cportz00_1827 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1835, BgL_startz00_1836, BgL_endz00_1837); } } } } 
{ 
 long BgL_iz00_1828;
BgL_iz00_1828 = ((long)34); 
BgL_loopz00_1829:
if(
(BgL_iz00_1828==((long)-1)))
{ /* Llib/pgp_facade.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/pgp_facade.scm 1 */
{ /* Llib/pgp_facade.scm 1 */
 obj_t BgL_arg2221z00_1831;
{ /* Llib/pgp_facade.scm 1 */

{ /* Llib/pgp_facade.scm 1 */
 obj_t BgL_locationz00_1833;
BgL_locationz00_1833 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_facade.scm 1 */

BgL_arg2221z00_1831 = 
BGl_readz00zz__readerz00(BgL_cportz00_1827, BgL_locationz00_1833); } } } 
{ /* Llib/pgp_facade.scm 1 */
 int BgL_tmpz00_1877;
BgL_tmpz00_1877 = 
(int)(BgL_iz00_1828); 
CNST_TABLE_SET(BgL_tmpz00_1877, BgL_arg2221z00_1831); } } 
{ /* Llib/pgp_facade.scm 1 */
 int BgL_auxz00_1834;
BgL_auxz00_1834 = 
(int)(
(BgL_iz00_1828-((long)1))); 
{ 
 long BgL_iz00_1882;
BgL_iz00_1882 = 
(long)(BgL_auxz00_1834); 
BgL_iz00_1828 = BgL_iz00_1882; 
goto BgL_loopz00_1829;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2facadezd2()
{
{ /* Llib/pgp_facade.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2facadezd2()
{
{ /* Llib/pgp_facade.scm 1 */
return ( 
BGl_za2bigloozd2versionza2zd2zz__openpgpzd2facadezd2 = 
BGl_bigloozd2configzd2zz__configurez00(
CNST_TABLE_REF(((long)0))), BUNSPEC) ;} 

}



/* pgp-composition? */
BGL_EXPORTED_DEF bool_t BGl_pgpzd2compositionzf3z21zz__openpgpzd2facadezd2(obj_t BgL_objz00_3)
{
{ /* Llib/pgp_facade.scm 49 */
{ /* Llib/pgp_facade.scm 50 */
 obj_t BgL_classz00_778;
BgL_classz00_778 = BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_objz00_3))
{ /* Llib/pgp_facade.scm 50 */
 BgL_objectz00_bglt BgL_arg1797z00_780;
BgL_arg1797z00_780 = 
(BgL_objectz00_bglt)(BgL_objz00_3); 
{ /* Llib/pgp_facade.scm 50 */
 bool_t BgL_arg1794z00_783; bool_t BgL_arg1795z00_784;
{ /* Llib/pgp_facade.scm 50 */
 long BgL_idxz00_787;
BgL_idxz00_787 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_780); 
BgL_arg1794z00_783 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_787+((long)1)))==BgL_classz00_778); } 
{ /* Llib/pgp_facade.scm 50 */
 bool_t BgL_res2024z00_809;
{ /* Llib/pgp_facade.scm 50 */
 obj_t BgL_oclassz00_795;
{ /* Llib/pgp_facade.scm 50 */
 long BgL_arg1804z00_801;
{ /* Llib/pgp_facade.scm 50 */
 long BgL_arg1805z00_802;
BgL_arg1805z00_802 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_780); 
BgL_arg1804z00_801 = 
(BgL_arg1805z00_802-OBJECT_TYPE); } 
BgL_oclassz00_795 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_801); } 
{ /* Llib/pgp_facade.scm 50 */
 bool_t BgL__ortest_1111z00_796;
BgL__ortest_1111z00_796 = 
(BgL_classz00_778==BgL_oclassz00_795); 
if(BgL__ortest_1111z00_796)
{ /* Llib/pgp_facade.scm 50 */
BgL_res2024z00_809 = BgL__ortest_1111z00_796; }  else 
{ /* Llib/pgp_facade.scm 50 */
 long BgL_odepthz00_797;
BgL_odepthz00_797 = 
BGL_CLASS_DEPTH(BgL_oclassz00_795); 
if(
(((long)1)<BgL_odepthz00_797))
{ /* Llib/pgp_facade.scm 50 */
 obj_t BgL_arg1793z00_799;
BgL_arg1793z00_799 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_795, ((long)1)); 
BgL_res2024z00_809 = 
(BgL_arg1793z00_799==BgL_classz00_778); }  else 
{ /* Llib/pgp_facade.scm 50 */
BgL_res2024z00_809 = ((bool_t)0); } } } } 
BgL_arg1795z00_784 = BgL_res2024z00_809; } 
return 
BGL_ISA_C_BACKEND(BgL_arg1794z00_783, BgL_arg1795z00_784);} }  else 
{ /* Llib/pgp_facade.scm 50 */
return ((bool_t)0);} } } 

}



/* &pgp-composition? */
obj_t BGl_z62pgpzd2compositionzf3z43zz__openpgpzd2facadezd2(obj_t BgL_envz00_1670, obj_t BgL_objz00_1671)
{
{ /* Llib/pgp_facade.scm 49 */
return 
BBOOL(
BGl_pgpzd2compositionzf3z21zz__openpgpzd2facadezd2(BgL_objz00_1671));} 

}



/* pgp-read-string */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2readzd2stringz00zz__openpgpzd2facadezd2(obj_t BgL_strz00_4)
{
{ /* Llib/pgp_facade.scm 55 */
{ /* Llib/pgp_facade.scm 56 */
 obj_t BgL_arg1285z00_810;
{ /* Llib/pgp_facade.scm 56 */
 long BgL_endz00_813;
BgL_endz00_813 = 
STRING_LENGTH(BgL_strz00_4); 
{ /* Llib/pgp_facade.scm 56 */

BgL_arg1285z00_810 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_strz00_4, 
BINT(((long)0)), 
BINT(BgL_endz00_813)); } } 
return 
BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_arg1285z00_810, BFALSE);} } 

}



/* &pgp-read-string */
obj_t BGl_z62pgpzd2readzd2stringz62zz__openpgpzd2facadezd2(obj_t BgL_envz00_1672, obj_t BgL_strz00_1673)
{
{ /* Llib/pgp_facade.scm 55 */
{ /* Llib/pgp_facade.scm 56 */
 obj_t BgL_auxz00_1912;
if(
STRINGP(BgL_strz00_1673))
{ /* Llib/pgp_facade.scm 56 */
BgL_auxz00_1912 = BgL_strz00_1673
; }  else 
{ 
 obj_t BgL_auxz00_1915;
BgL_auxz00_1915 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)2246)), BGl_string2158z00zz__openpgpzd2facadezd2, BGl_string2159z00zz__openpgpzd2facadezd2, BgL_strz00_1673); 
FAILURE(BgL_auxz00_1915,BFALSE,BFALSE);} 
return 
BGl_pgpzd2readzd2stringz00zz__openpgpzd2facadezd2(BgL_auxz00_1912);} } 

}



/* pgp-read-port */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2readzd2portz00zz__openpgpzd2facadezd2(obj_t BgL_iportz00_5)
{
{ /* Llib/pgp_facade.scm 61 */
return 
BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_iportz00_5, BFALSE);} 

}



/* &pgp-read-port */
obj_t BGl_z62pgpzd2readzd2portz62zz__openpgpzd2facadezd2(obj_t BgL_envz00_1674, obj_t BgL_iportz00_1675)
{
{ /* Llib/pgp_facade.scm 61 */
{ /* Llib/pgp_facade.scm 62 */
 obj_t BgL_auxz00_1921;
if(
INPUT_PORTP(BgL_iportz00_1675))
{ /* Llib/pgp_facade.scm 62 */
BgL_auxz00_1921 = BgL_iportz00_1675
; }  else 
{ 
 obj_t BgL_auxz00_1924;
BgL_auxz00_1924 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)2521)), BGl_string2160z00zz__openpgpzd2facadezd2, BGl_string2161z00zz__openpgpzd2facadezd2, BgL_iportz00_1675); 
FAILURE(BgL_auxz00_1924,BFALSE,BFALSE);} 
return 
BGl_pgpzd2readzd2portz00zz__openpgpzd2facadezd2(BgL_auxz00_1921);} } 

}



/* pgp-read-file */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2readzd2filez00zz__openpgpzd2facadezd2(obj_t BgL_filez00_6)
{
{ /* Llib/pgp_facade.scm 67 */
{ /* Llib/pgp_facade.scm 70 */
 obj_t BgL_pz00_103;
{ /* Llib/pgp_facade.scm 70 */

BgL_pz00_103 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filez00_6, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_103))
{ /* Llib/pgp_facade.scm 71 */BFALSE; }  else 
{ /* Llib/pgp_facade.scm 71 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2162z00zz__openpgpzd2facadezd2, BGl_string2163z00zz__openpgpzd2facadezd2, BgL_filez00_6); } 
{ /* Llib/pgp_facade.scm 73 */
 obj_t BgL_exitd1104z00_104;
BgL_exitd1104z00_104 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/pgp_facade.scm 75 */
 obj_t BgL_zc3z04anonymousza31286ze3z87_1676;
BgL_zc3z04anonymousza31286ze3z87_1676 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31286ze3ze5zz__openpgpzd2facadezd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31286ze3z87_1676, 
(int)(((long)0)), BgL_pz00_103); 
{ /* Llib/pgp_facade.scm 73 */
 obj_t BgL_arg1818z00_819;
{ /* Llib/pgp_facade.scm 73 */
 obj_t BgL_arg1819z00_820;
BgL_arg1819z00_820 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_104); 
BgL_arg1818z00_819 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31286ze3z87_1676, BgL_arg1819z00_820); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1104z00_104, BgL_arg1818z00_819); BUNSPEC; } 
{ /* Llib/pgp_facade.scm 74 */
 obj_t BgL_tmp1106z00_106;
BgL_tmp1106z00_106 = 
BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pz00_103, BFALSE); 
{ /* Llib/pgp_facade.scm 73 */
 bool_t BgL_test2306z00_1944;
{ /* Llib/pgp_facade.scm 73 */
 obj_t BgL_arg1817z00_822;
BgL_arg1817z00_822 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_104); 
BgL_test2306z00_1944 = 
PAIRP(BgL_arg1817z00_822); } 
if(BgL_test2306z00_1944)
{ /* Llib/pgp_facade.scm 73 */
 obj_t BgL_arg1815z00_823;
{ /* Llib/pgp_facade.scm 73 */
 obj_t BgL_arg1816z00_824;
BgL_arg1816z00_824 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_104); 
BgL_arg1815z00_823 = 
CDR(
((obj_t)BgL_arg1816z00_824)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1104z00_104, BgL_arg1815z00_823); BUNSPEC; }  else 
{ /* Llib/pgp_facade.scm 73 */BFALSE; } } 
bgl_close_input_port(
((obj_t)BgL_pz00_103)); 
return BgL_tmp1106z00_106;} } } } } 

}



/* &pgp-read-file */
obj_t BGl_z62pgpzd2readzd2filez62zz__openpgpzd2facadezd2(obj_t BgL_envz00_1677, obj_t BgL_filez00_1678)
{
{ /* Llib/pgp_facade.scm 67 */
{ /* Llib/pgp_facade.scm 70 */
 obj_t BgL_auxz00_1953;
if(
STRINGP(BgL_filez00_1678))
{ /* Llib/pgp_facade.scm 70 */
BgL_auxz00_1953 = BgL_filez00_1678
; }  else 
{ 
 obj_t BgL_auxz00_1956;
BgL_auxz00_1956 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)2876)), BGl_string2164z00zz__openpgpzd2facadezd2, BGl_string2159z00zz__openpgpzd2facadezd2, BgL_filez00_1678); 
FAILURE(BgL_auxz00_1956,BFALSE,BFALSE);} 
return 
BGl_pgpzd2readzd2filez00zz__openpgpzd2facadezd2(BgL_auxz00_1953);} } 

}



/* &<@anonymous:1286> */
obj_t BGl_z62zc3z04anonymousza31286ze3ze5zz__openpgpzd2facadezd2(obj_t BgL_envz00_1679)
{
{ /* Llib/pgp_facade.scm 73 */
{ /* Llib/pgp_facade.scm 75 */
 obj_t BgL_pz00_1680;
BgL_pz00_1680 = 
PROCEDURE_REF(BgL_envz00_1679, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_1680));} } 

}



/* _pgp-write-string */
obj_t BGl__pgpzd2writezd2stringz00zz__openpgpzd2facadezd2(obj_t BgL_env1206z00_10, obj_t BgL_opt1205z00_9)
{
{ /* Llib/pgp_facade.scm 80 */
{ 
 obj_t BgL_k1z00_114; long BgL_iz00_115;
{ /* Llib/pgp_facade.scm 80 */
 obj_t BgL_compositionz00_117;
BgL_compositionz00_117 = 
VECTOR_REF(BgL_opt1205z00_9,((long)0)); 
{ /* Llib/pgp_facade.scm 80 */
 obj_t BgL_formatz00_118;
BgL_formatz00_118 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/pgp_facade.scm 80 */

{ 
 long BgL_iz00_119;
BgL_iz00_119 = ((long)1); 
BgL_check1209z00_120:
if(
(BgL_iz00_119==
VECTOR_LENGTH(BgL_opt1205z00_9)))
{ /* Llib/pgp_facade.scm 80 */BNIL; }  else 
{ /* Llib/pgp_facade.scm 80 */
 bool_t BgL_test2309z00_1970;
{ /* Llib/pgp_facade.scm 80 */
 obj_t BgL_arg1332z00_126;
BgL_arg1332z00_126 = 
VECTOR_REF(BgL_opt1205z00_9,BgL_iz00_119); 
BgL_test2309z00_1970 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1332z00_126, 
CNST_TABLE_REF(((long)3)))); } 
if(BgL_test2309z00_1970)
{ 
 long BgL_iz00_1975;
BgL_iz00_1975 = 
(BgL_iz00_119+((long)2)); 
BgL_iz00_119 = BgL_iz00_1975; 
goto BgL_check1209z00_120;}  else 
{ /* Llib/pgp_facade.scm 80 */
 obj_t BgL_arg1331z00_125;
BgL_arg1331z00_125 = 
VECTOR_REF(BgL_opt1205z00_9,BgL_iz00_119); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2166z00zz__openpgpzd2facadezd2, BgL_arg1331z00_125); } } } 
{ /* Llib/pgp_facade.scm 80 */
 obj_t BgL_index1211z00_127;
BgL_k1z00_114 = 
CNST_TABLE_REF(((long)4)); 
BgL_iz00_115 = ((long)1); 
BgL_search1208z00_116:
if(
(BgL_iz00_115==
VECTOR_LENGTH(BgL_opt1205z00_9)))
{ /* Llib/pgp_facade.scm 80 */
BgL_index1211z00_127 = 
BINT(((long)-1)); }  else 
{ /* Llib/pgp_facade.scm 80 */
if(
(BgL_iz00_115==
(
VECTOR_LENGTH(BgL_opt1205z00_9)-((long)1))))
{ /* Llib/pgp_facade.scm 80 */
BgL_index1211z00_127 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2165z00zz__openpgpzd2facadezd2, 
BINT(
VECTOR_LENGTH(BgL_opt1205z00_9))); }  else 
{ /* Llib/pgp_facade.scm 80 */
 obj_t BgL_vz00_135;
BgL_vz00_135 = 
VECTOR_REF(BgL_opt1205z00_9,BgL_iz00_115); 
if(
(BgL_vz00_135==BgL_k1z00_114))
{ /* Llib/pgp_facade.scm 80 */
BgL_index1211z00_127 = 
BINT(
(BgL_iz00_115+((long)1))); }  else 
{ 
 long BgL_iz00_1997;
BgL_iz00_1997 = 
(BgL_iz00_115+((long)2)); 
BgL_iz00_115 = BgL_iz00_1997; 
goto BgL_search1208z00_116;} } } 
{ /* Llib/pgp_facade.scm 80 */
 bool_t BgL_test2313z00_2000;
{ /* Llib/pgp_facade.scm 80 */
 long BgL_n1z00_842;
{ /* Llib/pgp_facade.scm 80 */
 obj_t BgL_tmpz00_2001;
if(
INTEGERP(BgL_index1211z00_127))
{ /* Llib/pgp_facade.scm 80 */
BgL_tmpz00_2001 = BgL_index1211z00_127
; }  else 
{ 
 obj_t BgL_auxz00_2004;
BgL_auxz00_2004 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)3281)), BGl_string2167z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1211z00_127); 
FAILURE(BgL_auxz00_2004,BFALSE,BFALSE);} 
BgL_n1z00_842 = 
(long)CINT(BgL_tmpz00_2001); } 
BgL_test2313z00_2000 = 
(BgL_n1z00_842>=((long)0)); } 
if(BgL_test2313z00_2000)
{ 
 long BgL_auxz00_2010;
{ /* Llib/pgp_facade.scm 80 */
 obj_t BgL_tmpz00_2011;
if(
INTEGERP(BgL_index1211z00_127))
{ /* Llib/pgp_facade.scm 80 */
BgL_tmpz00_2011 = BgL_index1211z00_127
; }  else 
{ 
 obj_t BgL_auxz00_2014;
BgL_auxz00_2014 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)3281)), BGl_string2167z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1211z00_127); 
FAILURE(BgL_auxz00_2014,BFALSE,BFALSE);} 
BgL_auxz00_2010 = 
(long)CINT(BgL_tmpz00_2011); } 
BgL_formatz00_118 = 
VECTOR_REF(BgL_opt1205z00_9,BgL_auxz00_2010); }  else 
{ /* Llib/pgp_facade.scm 80 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 80 */
 obj_t BgL_arg1338z00_129;
BgL_arg1338z00_129 = 
VECTOR_REF(BgL_opt1205z00_9,((long)0)); 
{ /* Llib/pgp_facade.scm 80 */
 obj_t BgL_formatz00_130;
BgL_formatz00_130 = BgL_formatz00_118; 
{ /* Llib/pgp_facade.scm 81 */
 obj_t BgL_pz00_843;
{ /* Llib/pgp_facade.scm 81 */

{ /* Llib/pgp_facade.scm 81 */

BgL_pz00_843 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BGl_pgpzd2writezd2portz00zz__openpgpzd2facadezd2(BgL_pz00_843, BgL_arg1338z00_129, BgL_formatz00_130); 
return 
bgl_close_output_port(BgL_pz00_843);} } } } } } } } 

}



/* pgp-write-string */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2writezd2stringz00zz__openpgpzd2facadezd2(obj_t BgL_compositionz00_7, obj_t BgL_formatz00_8)
{
{ /* Llib/pgp_facade.scm 80 */
{ /* Llib/pgp_facade.scm 81 */
 obj_t BgL_pz00_847;
{ /* Llib/pgp_facade.scm 81 */

{ /* Llib/pgp_facade.scm 81 */

BgL_pz00_847 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BGl_pgpzd2writezd2portz00zz__openpgpzd2facadezd2(BgL_pz00_847, BgL_compositionz00_7, BgL_formatz00_8); 
return 
bgl_close_output_port(BgL_pz00_847);} } 

}



/* _pgp-write-port */
obj_t BGl__pgpzd2writezd2portz00zz__openpgpzd2facadezd2(obj_t BgL_env1213z00_17, obj_t BgL_opt1212z00_16)
{
{ /* Llib/pgp_facade.scm 87 */
{ 
 obj_t BgL_k1z00_146; long BgL_iz00_147;
{ /* Llib/pgp_facade.scm 87 */
 obj_t BgL_oportz00_149; obj_t BgL_compositionz00_150;
BgL_oportz00_149 = 
VECTOR_REF(BgL_opt1212z00_16,((long)0)); 
BgL_compositionz00_150 = 
VECTOR_REF(BgL_opt1212z00_16,((long)1)); 
{ /* Llib/pgp_facade.scm 87 */
 obj_t BgL_formatz00_151;
BgL_formatz00_151 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/pgp_facade.scm 87 */

{ 
 long BgL_iz00_152;
BgL_iz00_152 = ((long)2); 
BgL_check1216z00_153:
if(
(BgL_iz00_152==
VECTOR_LENGTH(BgL_opt1212z00_16)))
{ /* Llib/pgp_facade.scm 87 */BNIL; }  else 
{ /* Llib/pgp_facade.scm 87 */
 bool_t BgL_test2317z00_2033;
{ /* Llib/pgp_facade.scm 87 */
 obj_t BgL_arg1360z00_159;
BgL_arg1360z00_159 = 
VECTOR_REF(BgL_opt1212z00_16,BgL_iz00_152); 
BgL_test2317z00_2033 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1360z00_159, 
CNST_TABLE_REF(((long)3)))); } 
if(BgL_test2317z00_2033)
{ 
 long BgL_iz00_2038;
BgL_iz00_2038 = 
(BgL_iz00_152+((long)2)); 
BgL_iz00_152 = BgL_iz00_2038; 
goto BgL_check1216z00_153;}  else 
{ /* Llib/pgp_facade.scm 87 */
 obj_t BgL_arg1358z00_158;
BgL_arg1358z00_158 = 
VECTOR_REF(BgL_opt1212z00_16,BgL_iz00_152); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)5)), BGl_string2166z00zz__openpgpzd2facadezd2, BgL_arg1358z00_158); } } } 
{ /* Llib/pgp_facade.scm 87 */
 obj_t BgL_index1218z00_160;
BgL_k1z00_146 = 
CNST_TABLE_REF(((long)4)); 
BgL_iz00_147 = ((long)2); 
BgL_search1215z00_148:
if(
(BgL_iz00_147==
VECTOR_LENGTH(BgL_opt1212z00_16)))
{ /* Llib/pgp_facade.scm 87 */
BgL_index1218z00_160 = 
BINT(((long)-1)); }  else 
{ /* Llib/pgp_facade.scm 87 */
if(
(BgL_iz00_147==
(
VECTOR_LENGTH(BgL_opt1212z00_16)-((long)1))))
{ /* Llib/pgp_facade.scm 87 */
BgL_index1218z00_160 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)5)), BGl_string2169z00zz__openpgpzd2facadezd2, 
BINT(
VECTOR_LENGTH(BgL_opt1212z00_16))); }  else 
{ /* Llib/pgp_facade.scm 87 */
 obj_t BgL_vz00_169;
BgL_vz00_169 = 
VECTOR_REF(BgL_opt1212z00_16,BgL_iz00_147); 
if(
(BgL_vz00_169==BgL_k1z00_146))
{ /* Llib/pgp_facade.scm 87 */
BgL_index1218z00_160 = 
BINT(
(BgL_iz00_147+((long)1))); }  else 
{ 
 long BgL_iz00_2060;
BgL_iz00_2060 = 
(BgL_iz00_147+((long)2)); 
BgL_iz00_147 = BgL_iz00_2060; 
goto BgL_search1215z00_148;} } } 
{ /* Llib/pgp_facade.scm 87 */
 bool_t BgL_test2321z00_2063;
{ /* Llib/pgp_facade.scm 87 */
 long BgL_n1z00_871;
{ /* Llib/pgp_facade.scm 87 */
 obj_t BgL_tmpz00_2064;
if(
INTEGERP(BgL_index1218z00_160))
{ /* Llib/pgp_facade.scm 87 */
BgL_tmpz00_2064 = BgL_index1218z00_160
; }  else 
{ 
 obj_t BgL_auxz00_2067;
BgL_auxz00_2067 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)3493)), BGl_string2170z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1218z00_160); 
FAILURE(BgL_auxz00_2067,BFALSE,BFALSE);} 
BgL_n1z00_871 = 
(long)CINT(BgL_tmpz00_2064); } 
BgL_test2321z00_2063 = 
(BgL_n1z00_871>=((long)0)); } 
if(BgL_test2321z00_2063)
{ 
 long BgL_auxz00_2073;
{ /* Llib/pgp_facade.scm 87 */
 obj_t BgL_tmpz00_2074;
if(
INTEGERP(BgL_index1218z00_160))
{ /* Llib/pgp_facade.scm 87 */
BgL_tmpz00_2074 = BgL_index1218z00_160
; }  else 
{ 
 obj_t BgL_auxz00_2077;
BgL_auxz00_2077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)3493)), BGl_string2170z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1218z00_160); 
FAILURE(BgL_auxz00_2077,BFALSE,BFALSE);} 
BgL_auxz00_2073 = 
(long)CINT(BgL_tmpz00_2074); } 
BgL_formatz00_151 = 
VECTOR_REF(BgL_opt1212z00_16,BgL_auxz00_2073); }  else 
{ /* Llib/pgp_facade.scm 87 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 87 */
 obj_t BgL_arg1363z00_162; obj_t BgL_arg1364z00_163;
BgL_arg1363z00_162 = 
VECTOR_REF(BgL_opt1212z00_16,((long)0)); 
BgL_arg1364z00_163 = 
VECTOR_REF(BgL_opt1212z00_16,((long)1)); 
{ /* Llib/pgp_facade.scm 87 */
 obj_t BgL_formatz00_164;
BgL_formatz00_164 = BgL_formatz00_151; 
{ /* Llib/pgp_facade.scm 87 */
 obj_t BgL_auxz00_2085;
if(
OUTPUT_PORTP(BgL_arg1363z00_162))
{ /* Llib/pgp_facade.scm 87 */
BgL_auxz00_2085 = BgL_arg1363z00_162
; }  else 
{ 
 obj_t BgL_auxz00_2088;
BgL_auxz00_2088 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)3493)), BGl_string2170z00zz__openpgpzd2facadezd2, BGl_string2171z00zz__openpgpzd2facadezd2, BgL_arg1363z00_162); 
FAILURE(BgL_auxz00_2088,BFALSE,BFALSE);} 
return 
BGl_pgpzd2writezd2portz00zz__openpgpzd2facadezd2(BgL_auxz00_2085, BgL_arg1364z00_163, BgL_formatz00_164);} } } } } } } } 

}



/* pgp-write-port */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2writezd2portz00zz__openpgpzd2facadezd2(obj_t BgL_oportz00_13, obj_t BgL_compositionz00_14, obj_t BgL_formatz00_15)
{
{ /* Llib/pgp_facade.scm 87 */
{ /* Llib/pgp_facade.scm 88 */
 bool_t BgL_test2325z00_2093;
{ /* Llib/pgp_facade.scm 88 */
 obj_t BgL_classz00_872;
BgL_classz00_872 = BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_compositionz00_14))
{ /* Llib/pgp_facade.scm 88 */
 BgL_objectz00_bglt BgL_arg1797z00_874;
BgL_arg1797z00_874 = 
(BgL_objectz00_bglt)(BgL_compositionz00_14); 
{ /* Llib/pgp_facade.scm 88 */
 bool_t BgL_arg1794z00_877; bool_t BgL_arg1795z00_878;
{ /* Llib/pgp_facade.scm 88 */
 long BgL_idxz00_881;
BgL_idxz00_881 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_874); 
BgL_arg1794z00_877 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_881+((long)1)))==BgL_classz00_872); } 
{ /* Llib/pgp_facade.scm 88 */
 bool_t BgL_res2025z00_903;
{ /* Llib/pgp_facade.scm 88 */
 obj_t BgL_oclassz00_889;
{ /* Llib/pgp_facade.scm 88 */
 long BgL_arg1804z00_895;
{ /* Llib/pgp_facade.scm 88 */
 long BgL_arg1805z00_896;
BgL_arg1805z00_896 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_874); 
BgL_arg1804z00_895 = 
(BgL_arg1805z00_896-OBJECT_TYPE); } 
BgL_oclassz00_889 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_895); } 
{ /* Llib/pgp_facade.scm 88 */
 bool_t BgL__ortest_1111z00_890;
BgL__ortest_1111z00_890 = 
(BgL_classz00_872==BgL_oclassz00_889); 
if(BgL__ortest_1111z00_890)
{ /* Llib/pgp_facade.scm 88 */
BgL_res2025z00_903 = BgL__ortest_1111z00_890; }  else 
{ /* Llib/pgp_facade.scm 88 */
 long BgL_odepthz00_891;
BgL_odepthz00_891 = 
BGL_CLASS_DEPTH(BgL_oclassz00_889); 
if(
(((long)1)<BgL_odepthz00_891))
{ /* Llib/pgp_facade.scm 88 */
 obj_t BgL_arg1793z00_893;
BgL_arg1793z00_893 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_889, ((long)1)); 
BgL_res2025z00_903 = 
(BgL_arg1793z00_893==BgL_classz00_872); }  else 
{ /* Llib/pgp_facade.scm 88 */
BgL_res2025z00_903 = ((bool_t)0); } } } } 
BgL_arg1795z00_878 = BgL_res2025z00_903; } 
BgL_test2325z00_2093 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_877, BgL_arg1795z00_878); } }  else 
{ /* Llib/pgp_facade.scm 88 */
BgL_test2325z00_2093 = ((bool_t)0)
; } } 
if(BgL_test2325z00_2093)
{ /* Llib/pgp_facade.scm 88 */BFALSE; }  else 
{ /* Llib/pgp_facade.scm 88 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2172z00zz__openpgpzd2facadezd2, BGl_string2173z00zz__openpgpzd2facadezd2, BgL_compositionz00_14); } } 
if(
(BgL_formatz00_15==
CNST_TABLE_REF(((long)2))))
{ /* Llib/pgp_facade.scm 93 */
 obj_t BgL_mainzd2headerzd2infoz00_175;
{ /* Llib/pgp_facade.scm 93 */
 bool_t BgL_test2330z00_2116;
{ /* Llib/pgp_facade.scm 93 */
 bool_t BgL_test2331z00_2117;
{ /* Llib/pgp_facade.scm 93 */
 obj_t BgL_classz00_904;
BgL_classz00_904 = BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_compositionz00_14))
{ /* Llib/pgp_facade.scm 93 */
 BgL_objectz00_bglt BgL_arg1797z00_906;
BgL_arg1797z00_906 = 
(BgL_objectz00_bglt)(BgL_compositionz00_14); 
{ /* Llib/pgp_facade.scm 93 */
 bool_t BgL_arg1794z00_909; bool_t BgL_arg1795z00_910;
{ /* Llib/pgp_facade.scm 93 */
 long BgL_idxz00_913;
BgL_idxz00_913 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_906); 
BgL_arg1794z00_909 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_913+((long)3)))==BgL_classz00_904); } 
{ /* Llib/pgp_facade.scm 93 */
 bool_t BgL_res2026z00_935;
{ /* Llib/pgp_facade.scm 93 */
 obj_t BgL_oclassz00_921;
{ /* Llib/pgp_facade.scm 93 */
 long BgL_arg1804z00_927;
{ /* Llib/pgp_facade.scm 93 */
 long BgL_arg1805z00_928;
BgL_arg1805z00_928 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_906); 
BgL_arg1804z00_927 = 
(BgL_arg1805z00_928-OBJECT_TYPE); } 
BgL_oclassz00_921 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_927); } 
{ /* Llib/pgp_facade.scm 93 */
 bool_t BgL__ortest_1111z00_922;
BgL__ortest_1111z00_922 = 
(BgL_classz00_904==BgL_oclassz00_921); 
if(BgL__ortest_1111z00_922)
{ /* Llib/pgp_facade.scm 93 */
BgL_res2026z00_935 = BgL__ortest_1111z00_922; }  else 
{ /* Llib/pgp_facade.scm 93 */
 long BgL_odepthz00_923;
BgL_odepthz00_923 = 
BGL_CLASS_DEPTH(BgL_oclassz00_921); 
if(
(((long)3)<BgL_odepthz00_923))
{ /* Llib/pgp_facade.scm 93 */
 obj_t BgL_arg1793z00_925;
BgL_arg1793z00_925 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_921, ((long)3)); 
BgL_res2026z00_935 = 
(BgL_arg1793z00_925==BgL_classz00_904); }  else 
{ /* Llib/pgp_facade.scm 93 */
BgL_res2026z00_935 = ((bool_t)0); } } } } 
BgL_arg1795z00_910 = BgL_res2026z00_935; } 
BgL_test2331z00_2117 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_909, BgL_arg1795z00_910); } }  else 
{ /* Llib/pgp_facade.scm 93 */
BgL_test2331z00_2117 = ((bool_t)0)
; } } 
if(BgL_test2331z00_2117)
{ /* Llib/pgp_facade.scm 93 */
if(
CBOOL(
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_compositionz00_14)))->BgL_msgz00)))
{ /* Llib/pgp_facade.scm 96 */
BgL_test2330z00_2116 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_facade.scm 96 */
BgL_test2330z00_2116 = ((bool_t)1)
; } }  else 
{ /* Llib/pgp_facade.scm 93 */
BgL_test2330z00_2116 = ((bool_t)0)
; } } 
if(BgL_test2330z00_2116)
{ /* Llib/pgp_facade.scm 93 */
BgL_mainzd2headerzd2infoz00_175 = BGl_string2174z00zz__openpgpzd2facadezd2; }  else 
{ /* Llib/pgp_facade.scm 93 */
BgL_mainzd2headerzd2infoz00_175 = BGl_string2175z00zz__openpgpzd2facadezd2; } } 
{ /* Llib/pgp_facade.scm 101 */
 obj_t BgL_arg1535z00_176;
{ /* Llib/pgp_facade.scm 101 */
 obj_t BgL_arg1536z00_177;
{ /* Llib/pgp_facade.scm 101 */
 obj_t BgL_arg1541z00_178;
{ /* Llib/pgp_facade.scm 101 */
 obj_t BgL_arg1554z00_179;
{ /* Llib/pgp_facade.scm 101 */
 obj_t BgL_list1555z00_180;
BgL_list1555z00_180 = 
MAKE_YOUNG_PAIR(BGl_za2bigloozd2versionza2zd2zz__openpgpzd2facadezd2, BNIL); 
{ /* Llib/pgp_facade.scm 85 */
 obj_t BgL_runner1352z00_936;
{ /* Llib/pgp_facade.scm 85 */
 obj_t BgL_list1350z00_937;
BgL_list1350z00_937 = 
MAKE_YOUNG_PAIR(BgL_list1555z00_180, BNIL); 
BgL_runner1352z00_936 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BGl_string2176z00zz__openpgpzd2facadezd2, BgL_list1350z00_937); } 
{ /* Llib/pgp_facade.scm 85 */
 obj_t BgL_aux1351z00_938;
BgL_aux1351z00_938 = 
CAR(BgL_runner1352z00_936); 
BgL_runner1352z00_936 = 
CDR(BgL_runner1352z00_936); 
BgL_arg1554z00_179 = 
BGl_formatz00zz__r4_output_6_10_3z00(BgL_aux1351z00_938, BgL_runner1352z00_936); } } } 
BgL_arg1541z00_178 = 
MAKE_YOUNG_PAIR(BgL_arg1554z00_179, BNIL); } 
BgL_arg1536z00_177 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)6)), BgL_arg1541z00_178); } 
BgL_arg1535z00_176 = 
MAKE_YOUNG_PAIR(BgL_arg1536z00_177, BNIL); } 
return 
BGl_encodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(
((BgL_pgpzd2compositionzd2_bglt)BgL_compositionz00_14), BgL_mainzd2headerzd2infoz00_175, BgL_arg1535z00_176, BgL_oportz00_13);} }  else 
{ /* Llib/pgp_facade.scm 92 */
return 
BGl_encodezd2nativezd2pgpz00zz__openpgpzd2compositionzd2(
((BgL_pgpzd2compositionzd2_bglt)BgL_compositionz00_14), BgL_oportz00_13);} } 

}



/* _pgp-write-file */
obj_t BGl__pgpzd2writezd2filez00zz__openpgpzd2facadezd2(obj_t BgL_env1220z00_22, obj_t BgL_opt1219z00_21)
{
{ /* Llib/pgp_facade.scm 106 */
{ 
 obj_t BgL_k1z00_189; long BgL_iz00_190;
{ /* Llib/pgp_facade.scm 106 */
 obj_t BgL_filez00_192; obj_t BgL_compositionz00_193;
BgL_filez00_192 = 
VECTOR_REF(BgL_opt1219z00_21,((long)0)); 
BgL_compositionz00_193 = 
VECTOR_REF(BgL_opt1219z00_21,((long)1)); 
{ /* Llib/pgp_facade.scm 106 */
 obj_t BgL_formatz00_194;
BgL_formatz00_194 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/pgp_facade.scm 106 */

{ 
 long BgL_iz00_195;
BgL_iz00_195 = ((long)2); 
BgL_check1223z00_196:
if(
(BgL_iz00_195==
VECTOR_LENGTH(BgL_opt1219z00_21)))
{ /* Llib/pgp_facade.scm 106 */BNIL; }  else 
{ /* Llib/pgp_facade.scm 106 */
 bool_t BgL_test2337z00_2160;
{ /* Llib/pgp_facade.scm 106 */
 obj_t BgL_arg1574z00_202;
BgL_arg1574z00_202 = 
VECTOR_REF(BgL_opt1219z00_21,BgL_iz00_195); 
BgL_test2337z00_2160 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1574z00_202, 
CNST_TABLE_REF(((long)3)))); } 
if(BgL_test2337z00_2160)
{ 
 long BgL_iz00_2165;
BgL_iz00_2165 = 
(BgL_iz00_195+((long)2)); 
BgL_iz00_195 = BgL_iz00_2165; 
goto BgL_check1223z00_196;}  else 
{ /* Llib/pgp_facade.scm 106 */
 obj_t BgL_arg1573z00_201;
BgL_arg1573z00_201 = 
VECTOR_REF(BgL_opt1219z00_21,BgL_iz00_195); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string2166z00zz__openpgpzd2facadezd2, BgL_arg1573z00_201); } } } 
{ /* Llib/pgp_facade.scm 106 */
 obj_t BgL_index1225z00_203;
BgL_k1z00_189 = 
CNST_TABLE_REF(((long)4)); 
BgL_iz00_190 = ((long)2); 
BgL_search1222z00_191:
if(
(BgL_iz00_190==
VECTOR_LENGTH(BgL_opt1219z00_21)))
{ /* Llib/pgp_facade.scm 106 */
BgL_index1225z00_203 = 
BINT(((long)-1)); }  else 
{ /* Llib/pgp_facade.scm 106 */
if(
(BgL_iz00_190==
(
VECTOR_LENGTH(BgL_opt1219z00_21)-((long)1))))
{ /* Llib/pgp_facade.scm 106 */
BgL_index1225z00_203 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string2169z00zz__openpgpzd2facadezd2, 
BINT(
VECTOR_LENGTH(BgL_opt1219z00_21))); }  else 
{ /* Llib/pgp_facade.scm 106 */
 obj_t BgL_vz00_212;
BgL_vz00_212 = 
VECTOR_REF(BgL_opt1219z00_21,BgL_iz00_190); 
if(
(BgL_vz00_212==BgL_k1z00_189))
{ /* Llib/pgp_facade.scm 106 */
BgL_index1225z00_203 = 
BINT(
(BgL_iz00_190+((long)1))); }  else 
{ 
 long BgL_iz00_2187;
BgL_iz00_2187 = 
(BgL_iz00_190+((long)2)); 
BgL_iz00_190 = BgL_iz00_2187; 
goto BgL_search1222z00_191;} } } 
{ /* Llib/pgp_facade.scm 106 */
 bool_t BgL_test2341z00_2190;
{ /* Llib/pgp_facade.scm 106 */
 long BgL_n1z00_956;
{ /* Llib/pgp_facade.scm 106 */
 obj_t BgL_tmpz00_2191;
if(
INTEGERP(BgL_index1225z00_203))
{ /* Llib/pgp_facade.scm 106 */
BgL_tmpz00_2191 = BgL_index1225z00_203
; }  else 
{ 
 obj_t BgL_auxz00_2194;
BgL_auxz00_2194 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)4147)), BGl_string2177z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1225z00_203); 
FAILURE(BgL_auxz00_2194,BFALSE,BFALSE);} 
BgL_n1z00_956 = 
(long)CINT(BgL_tmpz00_2191); } 
BgL_test2341z00_2190 = 
(BgL_n1z00_956>=((long)0)); } 
if(BgL_test2341z00_2190)
{ 
 long BgL_auxz00_2200;
{ /* Llib/pgp_facade.scm 106 */
 obj_t BgL_tmpz00_2201;
if(
INTEGERP(BgL_index1225z00_203))
{ /* Llib/pgp_facade.scm 106 */
BgL_tmpz00_2201 = BgL_index1225z00_203
; }  else 
{ 
 obj_t BgL_auxz00_2204;
BgL_auxz00_2204 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)4147)), BGl_string2177z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1225z00_203); 
FAILURE(BgL_auxz00_2204,BFALSE,BFALSE);} 
BgL_auxz00_2200 = 
(long)CINT(BgL_tmpz00_2201); } 
BgL_formatz00_194 = 
VECTOR_REF(BgL_opt1219z00_21,BgL_auxz00_2200); }  else 
{ /* Llib/pgp_facade.scm 106 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 106 */
 obj_t BgL_arg1576z00_205; obj_t BgL_arg1590z00_206;
BgL_arg1576z00_205 = 
VECTOR_REF(BgL_opt1219z00_21,((long)0)); 
BgL_arg1590z00_206 = 
VECTOR_REF(BgL_opt1219z00_21,((long)1)); 
{ /* Llib/pgp_facade.scm 106 */
 obj_t BgL_formatz00_207;
BgL_formatz00_207 = BgL_formatz00_194; 
{ /* Llib/pgp_facade.scm 106 */
 obj_t BgL_filez00_957;
if(
STRINGP(BgL_arg1576z00_205))
{ /* Llib/pgp_facade.scm 106 */
BgL_filez00_957 = BgL_arg1576z00_205; }  else 
{ 
 obj_t BgL_auxz00_2214;
BgL_auxz00_2214 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)4147)), BGl_string2177z00zz__openpgpzd2facadezd2, BGl_string2159z00zz__openpgpzd2facadezd2, BgL_arg1576z00_205); 
FAILURE(BgL_auxz00_2214,BFALSE,BFALSE);} 
{ /* Llib/pgp_facade.scm 107 */
 obj_t BgL_pz00_958;
{ /* Llib/pgp_facade.scm 107 */

BgL_pz00_958 = 
BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BgL_filez00_957, BTRUE); } 
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_exitd1112z00_961;
BgL_exitd1112z00_961 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/pgp_facade.scm 110 */
 obj_t BgL_zc3z04anonymousza31613ze3z87_1681;
BgL_zc3z04anonymousza31613ze3z87_1681 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31613ze3ze5zz__openpgpzd2facadezd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31613ze3z87_1681, 
(int)(((long)0)), BgL_pz00_958); 
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_arg1818z00_966;
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_arg1819z00_967;
BgL_arg1819z00_967 = 
BGL_EXITD_PROTECT(BgL_exitd1112z00_961); 
BgL_arg1818z00_966 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31613ze3z87_1681, BgL_arg1819z00_967); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1112z00_961, BgL_arg1818z00_966); BUNSPEC; } 
{ /* Llib/pgp_facade.scm 109 */
 obj_t BgL_tmp1114z00_963;
{ /* Llib/pgp_facade.scm 109 */
 obj_t BgL_auxz00_2228;
if(
OUTPUT_PORTP(BgL_pz00_958))
{ /* Llib/pgp_facade.scm 109 */
BgL_auxz00_2228 = BgL_pz00_958
; }  else 
{ 
 obj_t BgL_auxz00_2231;
BgL_auxz00_2231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)4300)), BGl_string2177z00zz__openpgpzd2facadezd2, BGl_string2171z00zz__openpgpzd2facadezd2, BgL_pz00_958); 
FAILURE(BgL_auxz00_2231,BFALSE,BFALSE);} 
BgL_tmp1114z00_963 = 
BGl_pgpzd2writezd2portz00zz__openpgpzd2facadezd2(BgL_auxz00_2228, BgL_arg1590z00_206, BgL_formatz00_207); } 
{ /* Llib/pgp_facade.scm 108 */
 bool_t BgL_test2346z00_2236;
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_arg1817z00_969;
BgL_arg1817z00_969 = 
BGL_EXITD_PROTECT(BgL_exitd1112z00_961); 
BgL_test2346z00_2236 = 
PAIRP(BgL_arg1817z00_969); } 
if(BgL_test2346z00_2236)
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_arg1815z00_970;
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_arg1816z00_971;
BgL_arg1816z00_971 = 
BGL_EXITD_PROTECT(BgL_exitd1112z00_961); 
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_pairz00_972;
if(
PAIRP(BgL_arg1816z00_971))
{ /* Llib/pgp_facade.scm 108 */
BgL_pairz00_972 = BgL_arg1816z00_971; }  else 
{ 
 obj_t BgL_auxz00_2242;
BgL_auxz00_2242 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)4266)), BGl_string2177z00zz__openpgpzd2facadezd2, BGl_string2178z00zz__openpgpzd2facadezd2, BgL_arg1816z00_971); 
FAILURE(BgL_auxz00_2242,BFALSE,BFALSE);} 
BgL_arg1815z00_970 = 
CDR(BgL_pairz00_972); } } 
BGL_EXITD_PROTECT_SET(BgL_exitd1112z00_961, BgL_arg1815z00_970); BUNSPEC; }  else 
{ /* Llib/pgp_facade.scm 108 */BFALSE; } } 
{ /* Llib/pgp_facade.scm 110 */
 obj_t BgL_portz00_973;
if(
OUTPUT_PORTP(BgL_pz00_958))
{ /* Llib/pgp_facade.scm 110 */
BgL_portz00_973 = BgL_pz00_958; }  else 
{ 
 obj_t BgL_auxz00_2250;
BgL_auxz00_2250 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)4351)), BGl_string2177z00zz__openpgpzd2facadezd2, BGl_string2171z00zz__openpgpzd2facadezd2, BgL_pz00_958); 
FAILURE(BgL_auxz00_2250,BFALSE,BFALSE);} 
bgl_close_output_port(BgL_portz00_973); } 
return BgL_tmp1114z00_963;} } } } } } } } } } } } 

}



/* &<@anonymous:1613> */
obj_t BGl_z62zc3z04anonymousza31613ze3ze5zz__openpgpzd2facadezd2(obj_t BgL_envz00_1682)
{
{ /* Llib/pgp_facade.scm 108 */
{ /* Llib/pgp_facade.scm 110 */
 obj_t BgL_pz00_1683;
BgL_pz00_1683 = 
PROCEDURE_REF(BgL_envz00_1682, 
(int)(((long)0))); 
return 
bgl_close_output_port(
((obj_t)BgL_pz00_1683));} } 

}



/* pgp-write-file */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2writezd2filez00zz__openpgpzd2facadezd2(obj_t BgL_filez00_18, obj_t BgL_compositionz00_19, obj_t BgL_formatz00_20)
{
{ /* Llib/pgp_facade.scm 106 */
{ /* Llib/pgp_facade.scm 107 */
 obj_t BgL_pz00_974;
{ /* Llib/pgp_facade.scm 107 */

BgL_pz00_974 = 
BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BgL_filez00_18, BTRUE); } 
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_exitd1112z00_977;
BgL_exitd1112z00_977 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/pgp_facade.scm 110 */
 obj_t BgL_zc3z04anonymousza31613ze3z87_1684;
BgL_zc3z04anonymousza31613ze3z87_1684 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31613ze32043ze5zz__openpgpzd2facadezd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31613ze3z87_1684, 
(int)(((long)0)), BgL_pz00_974); 
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_arg1818z00_982;
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_arg1819z00_983;
BgL_arg1819z00_983 = 
BGL_EXITD_PROTECT(BgL_exitd1112z00_977); 
BgL_arg1818z00_982 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31613ze3z87_1684, BgL_arg1819z00_983); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1112z00_977, BgL_arg1818z00_982); BUNSPEC; } 
{ /* Llib/pgp_facade.scm 109 */
 obj_t BgL_tmp1114z00_979;
BgL_tmp1114z00_979 = 
BGl_pgpzd2writezd2portz00zz__openpgpzd2facadezd2(BgL_pz00_974, BgL_compositionz00_19, BgL_formatz00_20); 
{ /* Llib/pgp_facade.scm 108 */
 bool_t BgL_test2349z00_2270;
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_arg1817z00_985;
BgL_arg1817z00_985 = 
BGL_EXITD_PROTECT(BgL_exitd1112z00_977); 
BgL_test2349z00_2270 = 
PAIRP(BgL_arg1817z00_985); } 
if(BgL_test2349z00_2270)
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_arg1815z00_986;
{ /* Llib/pgp_facade.scm 108 */
 obj_t BgL_arg1816z00_987;
BgL_arg1816z00_987 = 
BGL_EXITD_PROTECT(BgL_exitd1112z00_977); 
BgL_arg1815z00_986 = 
CDR(
((obj_t)BgL_arg1816z00_987)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1112z00_977, BgL_arg1815z00_986); BUNSPEC; }  else 
{ /* Llib/pgp_facade.scm 108 */BFALSE; } } 
bgl_close_output_port(
((obj_t)BgL_pz00_974)); 
return BgL_tmp1114z00_979;} } } } } 

}



/* &<@anonymous:1613>2043 */
obj_t BGl_z62zc3z04anonymousza31613ze32043ze5zz__openpgpzd2facadezd2(obj_t BgL_envz00_1685)
{
{ /* Llib/pgp_facade.scm 108 */
{ /* Llib/pgp_facade.scm 110 */
 obj_t BgL_pz00_1686;
BgL_pz00_1686 = 
PROCEDURE_REF(BgL_envz00_1685, 
(int)(((long)0))); 
return 
bgl_close_output_port(
((obj_t)BgL_pz00_1686));} } 

}



/* extract-subkey */
obj_t BGl_extractzd2subkeyzd2zz__openpgpzd2facadezd2(obj_t BgL_keyz00_23, bool_t BgL_encryptionzf3zf3_24)
{
{ /* Llib/pgp_facade.scm 112 */
{ /* Llib/pgp_facade.scm 125 */
 bool_t BgL_test2350z00_2283;
{ /* Llib/pgp_facade.scm 125 */
 obj_t BgL_classz00_996;
BgL_classz00_996 = BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_keyz00_23))
{ /* Llib/pgp_facade.scm 125 */
 BgL_objectz00_bglt BgL_arg1797z00_998;
BgL_arg1797z00_998 = 
(BgL_objectz00_bglt)(BgL_keyz00_23); 
{ /* Llib/pgp_facade.scm 125 */
 bool_t BgL_arg1794z00_1001; bool_t BgL_arg1795z00_1002;
{ /* Llib/pgp_facade.scm 125 */
 long BgL_idxz00_1005;
BgL_idxz00_1005 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_998); 
BgL_arg1794z00_1001 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1005+((long)1)))==BgL_classz00_996); } 
{ /* Llib/pgp_facade.scm 125 */
 bool_t BgL_res2027z00_1027;
{ /* Llib/pgp_facade.scm 125 */
 obj_t BgL_oclassz00_1013;
{ /* Llib/pgp_facade.scm 125 */
 long BgL_arg1804z00_1019;
{ /* Llib/pgp_facade.scm 125 */
 long BgL_arg1805z00_1020;
BgL_arg1805z00_1020 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_998); 
BgL_arg1804z00_1019 = 
(BgL_arg1805z00_1020-OBJECT_TYPE); } 
BgL_oclassz00_1013 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1019); } 
{ /* Llib/pgp_facade.scm 125 */
 bool_t BgL__ortest_1111z00_1014;
BgL__ortest_1111z00_1014 = 
(BgL_classz00_996==BgL_oclassz00_1013); 
if(BgL__ortest_1111z00_1014)
{ /* Llib/pgp_facade.scm 125 */
BgL_res2027z00_1027 = BgL__ortest_1111z00_1014; }  else 
{ /* Llib/pgp_facade.scm 125 */
 long BgL_odepthz00_1015;
BgL_odepthz00_1015 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1013); 
if(
(((long)1)<BgL_odepthz00_1015))
{ /* Llib/pgp_facade.scm 125 */
 obj_t BgL_arg1793z00_1017;
BgL_arg1793z00_1017 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1013, ((long)1)); 
BgL_res2027z00_1027 = 
(BgL_arg1793z00_1017==BgL_classz00_996); }  else 
{ /* Llib/pgp_facade.scm 125 */
BgL_res2027z00_1027 = ((bool_t)0); } } } } 
BgL_arg1795z00_1002 = BgL_res2027z00_1027; } 
BgL_test2350z00_2283 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1001, BgL_arg1795z00_1002); } }  else 
{ /* Llib/pgp_facade.scm 125 */
BgL_test2350z00_2283 = ((bool_t)0)
; } } 
if(BgL_test2350z00_2283)
{ /* Llib/pgp_facade.scm 125 */
return BgL_keyz00_23;}  else 
{ /* Llib/pgp_facade.scm 125 */
if(BgL_encryptionzf3zf3_24)
{ /* Llib/pgp_facade.scm 136 */
 bool_t BgL_test2355z00_2303;
{ /* Llib/pgp_facade.scm 136 */
 obj_t BgL_classz00_1028;
BgL_classz00_1028 = BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_keyz00_23))
{ /* Llib/pgp_facade.scm 136 */
 BgL_objectz00_bglt BgL_arg1797z00_1030;
BgL_arg1797z00_1030 = 
(BgL_objectz00_bglt)(BgL_keyz00_23); 
{ /* Llib/pgp_facade.scm 136 */
 bool_t BgL_arg1794z00_1033; bool_t BgL_arg1795z00_1034;
{ /* Llib/pgp_facade.scm 136 */
 long BgL_idxz00_1037;
BgL_idxz00_1037 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1030); 
BgL_arg1794z00_1033 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1037+((long)2)))==BgL_classz00_1028); } 
{ /* Llib/pgp_facade.scm 136 */
 bool_t BgL_res2028z00_1059;
{ /* Llib/pgp_facade.scm 136 */
 obj_t BgL_oclassz00_1045;
{ /* Llib/pgp_facade.scm 136 */
 long BgL_arg1804z00_1051;
{ /* Llib/pgp_facade.scm 136 */
 long BgL_arg1805z00_1052;
BgL_arg1805z00_1052 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1030); 
BgL_arg1804z00_1051 = 
(BgL_arg1805z00_1052-OBJECT_TYPE); } 
BgL_oclassz00_1045 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1051); } 
{ /* Llib/pgp_facade.scm 136 */
 bool_t BgL__ortest_1111z00_1046;
BgL__ortest_1111z00_1046 = 
(BgL_classz00_1028==BgL_oclassz00_1045); 
if(BgL__ortest_1111z00_1046)
{ /* Llib/pgp_facade.scm 136 */
BgL_res2028z00_1059 = BgL__ortest_1111z00_1046; }  else 
{ /* Llib/pgp_facade.scm 136 */
 long BgL_odepthz00_1047;
BgL_odepthz00_1047 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1045); 
if(
(((long)2)<BgL_odepthz00_1047))
{ /* Llib/pgp_facade.scm 136 */
 obj_t BgL_arg1793z00_1049;
BgL_arg1793z00_1049 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1045, ((long)2)); 
BgL_res2028z00_1059 = 
(BgL_arg1793z00_1049==BgL_classz00_1028); }  else 
{ /* Llib/pgp_facade.scm 136 */
BgL_res2028z00_1059 = ((bool_t)0); } } } } 
BgL_arg1795z00_1034 = BgL_res2028z00_1059; } 
BgL_test2355z00_2303 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1033, BgL_arg1795z00_1034); } }  else 
{ /* Llib/pgp_facade.scm 136 */
BgL_test2355z00_2303 = ((bool_t)0)
; } } 
if(BgL_test2355z00_2303)
{ /* Llib/pgp_facade.scm 136 */
if(
NULLP(
CDR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_keyz00_23)))->BgL_subkeysz00))))
{ /* Llib/pgp_facade.scm 148 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)
CAR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_keyz00_23)))->BgL_subkeysz00)))))->BgL_keyzd2packetzd2)))->BgL_algoz00), 
CNST_TABLE_REF(((long)8)))))
{ /* Llib/pgp_facade.scm 149 */BFALSE; }  else 
{ /* Llib/pgp_facade.scm 149 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2179z00zz__openpgpzd2facadezd2, BGl_string2180z00zz__openpgpzd2facadezd2, BFALSE); } 
return 
CAR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_keyz00_23)))->BgL_subkeysz00));}  else 
{ /* Llib/pgp_facade.scm 154 */
 bool_t BgL_test2361z00_2341;
{ /* Llib/pgp_facade.scm 154 */
 bool_t BgL_test2362z00_2342;
{ /* Llib/pgp_facade.scm 154 */
 obj_t BgL_tmpz00_2343;
{ /* Llib/pgp_facade.scm 154 */
 obj_t BgL_pairz00_1068;
BgL_pairz00_1068 = 
CDR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_keyz00_23)))->BgL_subkeysz00)); 
BgL_tmpz00_2343 = 
CDR(BgL_pairz00_1068); } 
BgL_test2362z00_2342 = 
NULLP(BgL_tmpz00_2343); } 
if(BgL_test2362z00_2342)
{ /* Llib/pgp_facade.scm 116 */
 obj_t BgL_tmpz00_2349;
{ /* Llib/pgp_facade.scm 116 */
 obj_t BgL_auxz00_2350;
{ 
 BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_2351;
{ 
 BgL_pgpzd2subkeyzd2_bglt BgL_auxz00_2352;
{ 
 obj_t BgL_auxz00_2353;
{ /* Llib/pgp_facade.scm 155 */
 obj_t BgL_pairz00_1072;
BgL_pairz00_1072 = 
CDR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_keyz00_23)))->BgL_subkeysz00)); 
BgL_auxz00_2353 = 
CAR(BgL_pairz00_1072); } 
BgL_auxz00_2352 = 
((BgL_pgpzd2subkeyzd2_bglt)BgL_auxz00_2353); } 
BgL_auxz00_2351 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_auxz00_2352))->BgL_keyzd2packetzd2); } 
BgL_auxz00_2350 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_auxz00_2351))->BgL_algoz00); } 
BgL_tmpz00_2349 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2350, 
CNST_TABLE_REF(((long)8))); } 
BgL_test2361z00_2341 = 
CBOOL(BgL_tmpz00_2349); }  else 
{ /* Llib/pgp_facade.scm 154 */
BgL_test2361z00_2341 = ((bool_t)0)
; } } 
if(BgL_test2361z00_2341)
{ /* Llib/pgp_facade.scm 157 */
 obj_t BgL_pairz00_1080;
BgL_pairz00_1080 = 
CDR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_keyz00_23)))->BgL_subkeysz00)); 
return 
CAR(BgL_pairz00_1080);}  else 
{ /* Llib/pgp_facade.scm 159 */
 obj_t BgL_possiblezd2subkeyszd2_252;
{ /* Llib/pgp_facade.scm 159 */
 obj_t BgL_hook1175z00_274;
BgL_hook1175z00_274 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ /* Llib/pgp_facade.scm 159 */
 obj_t BgL_g1176z00_275;
BgL_g1176z00_275 = 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_keyz00_23)))->BgL_subkeysz00); 
{ 
 obj_t BgL_l1172z00_277; obj_t BgL_h1173z00_278;
BgL_l1172z00_277 = BgL_g1176z00_275; 
BgL_h1173z00_278 = BgL_hook1175z00_274; 
BgL_zc3z04anonymousza31729ze3z87_279:
if(
NULLP(BgL_l1172z00_277))
{ /* Llib/pgp_facade.scm 159 */
BgL_possiblezd2subkeyszd2_252 = 
CDR(BgL_hook1175z00_274); }  else 
{ /* Llib/pgp_facade.scm 159 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)
CAR(
((obj_t)BgL_l1172z00_277)))))->BgL_keyzd2packetzd2)))->BgL_algoz00), 
CNST_TABLE_REF(((long)8)))))
{ /* Llib/pgp_facade.scm 159 */
 obj_t BgL_nh1174z00_283;
{ /* Llib/pgp_facade.scm 159 */
 obj_t BgL_arg1739z00_285;
BgL_arg1739z00_285 = 
CAR(
((obj_t)BgL_l1172z00_277)); 
BgL_nh1174z00_283 = 
MAKE_YOUNG_PAIR(BgL_arg1739z00_285, BNIL); } 
SET_CDR(BgL_h1173z00_278, BgL_nh1174z00_283); 
{ /* Llib/pgp_facade.scm 159 */
 obj_t BgL_arg1733z00_284;
BgL_arg1733z00_284 = 
CDR(
((obj_t)BgL_l1172z00_277)); 
{ 
 obj_t BgL_h1173z00_2390; obj_t BgL_l1172z00_2389;
BgL_l1172z00_2389 = BgL_arg1733z00_284; 
BgL_h1173z00_2390 = BgL_nh1174z00_283; 
BgL_h1173z00_278 = BgL_h1173z00_2390; 
BgL_l1172z00_277 = BgL_l1172z00_2389; 
goto BgL_zc3z04anonymousza31729ze3z87_279;} } }  else 
{ /* Llib/pgp_facade.scm 159 */
 obj_t BgL_arg1740z00_286;
BgL_arg1740z00_286 = 
CDR(
((obj_t)BgL_l1172z00_277)); 
{ 
 obj_t BgL_l1172z00_2393;
BgL_l1172z00_2393 = BgL_arg1740z00_286; 
BgL_l1172z00_277 = BgL_l1172z00_2393; 
goto BgL_zc3z04anonymousza31729ze3z87_279;} } } } } } 
if(
NULLP(BgL_possiblezd2subkeyszd2_252))
{ /* Llib/pgp_facade.scm 162 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2179z00zz__openpgpzd2facadezd2, BGl_string2181z00zz__openpgpzd2facadezd2, BgL_keyz00_23);}  else 
{ /* Llib/pgp_facade.scm 162 */
if(
NULLP(
CDR(
((obj_t)BgL_possiblezd2subkeyszd2_252))))
{ /* Llib/pgp_facade.scm 166 */
return 
CAR(
((obj_t)BgL_possiblezd2subkeyszd2_252));}  else 
{ /* Llib/pgp_facade.scm 169 */
 obj_t BgL_arg1706z00_256;
{ /* Llib/pgp_facade.scm 169 */
 obj_t BgL_head1179z00_259;
BgL_head1179z00_259 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1177z00_261; obj_t BgL_tail1180z00_262;
BgL_l1177z00_261 = BgL_possiblezd2subkeyszd2_252; 
BgL_tail1180z00_262 = BgL_head1179z00_259; 
BgL_zc3z04anonymousza31709ze3z87_263:
if(
NULLP(BgL_l1177z00_261))
{ /* Llib/pgp_facade.scm 169 */
BgL_arg1706z00_256 = 
CDR(BgL_head1179z00_259); }  else 
{ /* Llib/pgp_facade.scm 169 */
 obj_t BgL_newtail1181z00_265;
{ /* Llib/pgp_facade.scm 169 */
 obj_t BgL_arg1725z00_267;
{ /* Llib/pgp_facade.scm 169 */
 obj_t BgL_subkeyz00_268;
BgL_subkeyz00_268 = 
CAR(
((obj_t)BgL_l1177z00_261)); 
{ /* Llib/pgp_facade.scm 171 */
 obj_t BgL_arg1726z00_270;
{ /* Llib/pgp_facade.scm 171 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg1727z00_271;
BgL_arg1727z00_271 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_268)))->BgL_keyzd2packetzd2); 
BgL_arg1726z00_270 = 
BGl_keyzd2idzd2zz__openpgpzd2logiczd2(BgL_arg1727z00_271); } 
{ /* Llib/pgp_facade.scm 171 */
 long BgL_endz00_1098;
BgL_endz00_1098 = 
STRING_LENGTH(BgL_arg1726z00_270); 
{ /* Llib/pgp_facade.scm 171 */

BgL_arg1725z00_267 = 
BGl_stringzd2hexzd2externz00zz__r4_strings_6_7z00(BgL_arg1726z00_270, 
(int)(((long)0)), BgL_endz00_1098); } } } } 
BgL_newtail1181z00_265 = 
MAKE_YOUNG_PAIR(BgL_arg1725z00_267, BNIL); } 
SET_CDR(BgL_tail1180z00_262, BgL_newtail1181z00_265); 
{ /* Llib/pgp_facade.scm 169 */
 obj_t BgL_arg1712z00_266;
BgL_arg1712z00_266 = 
CDR(
((obj_t)BgL_l1177z00_261)); 
{ 
 obj_t BgL_tail1180z00_2420; obj_t BgL_l1177z00_2419;
BgL_l1177z00_2419 = BgL_arg1712z00_266; 
BgL_tail1180z00_2420 = BgL_newtail1181z00_265; 
BgL_tail1180z00_262 = BgL_tail1180z00_2420; 
BgL_l1177z00_261 = BgL_l1177z00_2419; 
goto BgL_zc3z04anonymousza31709ze3z87_263;} } } } } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2179z00zz__openpgpzd2facadezd2, BGl_string2182z00zz__openpgpzd2facadezd2, BgL_arg1706z00_256);} } } } }  else 
{ /* Llib/pgp_facade.scm 138 */
 obj_t BgL_arg1763z00_298;
{ /* Llib/pgp_facade.scm 138 */
 obj_t BgL_arg1766z00_299;
BgL_arg1766z00_299 = 
bgl_typeof(BgL_keyz00_23); 
{ /* Llib/pgp_facade.scm 138 */
 obj_t BgL_list1767z00_300;
BgL_list1767z00_300 = 
MAKE_YOUNG_PAIR(BgL_arg1766z00_299, BNIL); 
BgL_arg1763z00_298 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2183z00zz__openpgpzd2facadezd2, BgL_list1767z00_300); } } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2179z00zz__openpgpzd2facadezd2, BgL_arg1763z00_298, BgL_keyz00_23);} }  else 
{ /* Llib/pgp_facade.scm 130 */
 obj_t BgL_mainzd2keyzd2_302;
BgL_mainzd2keyzd2_302 = 
CAR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_keyz00_23)))->BgL_subkeysz00)); 
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_mainzd2keyzd2_302)))->BgL_keyzd2packetzd2)))->BgL_algoz00), 
CNST_TABLE_REF(((long)9)))))
{ /* Llib/pgp_facade.scm 131 */BFALSE; }  else 
{ /* Llib/pgp_facade.scm 131 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2179z00zz__openpgpzd2facadezd2, BGl_string2184z00zz__openpgpzd2facadezd2, BFALSE); } 
return BgL_mainzd2keyzd2_302;} } } } 

}



/* _pgp-sign */
obj_t BGl__pgpzd2signzd2zz__openpgpzd2facadezd2(obj_t BgL_env1227z00_32, obj_t BgL_opt1226z00_31)
{
{ /* Llib/pgp_facade.scm 180 */
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_msgz00_321; obj_t BgL_keyz00_322; obj_t BgL_passwordzd2providerzd2_323;
BgL_msgz00_321 = 
VECTOR_REF(BgL_opt1226z00_31,((long)0)); 
BgL_keyz00_322 = 
VECTOR_REF(BgL_opt1226z00_31,((long)1)); 
BgL_passwordzd2providerzd2_323 = 
VECTOR_REF(BgL_opt1226z00_31,((long)2)); 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_detachedzd2signaturezf3z21_324;
BgL_detachedzd2signaturezf3z21_324 = BTRUE; 
{ /* Llib/pgp_facade.scm 183 */
 obj_t BgL_hashzd2algozd2_325;
BgL_hashzd2algozd2_325 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_onezd2passzf3z21_326;
BgL_onezd2passzf3z21_326 = BTRUE; 
{ /* Llib/pgp_facade.scm 180 */

{ 
 long BgL_iz00_327;
BgL_iz00_327 = ((long)3); 
BgL_check1230z00_328:
if(
(BgL_iz00_327==
VECTOR_LENGTH(BgL_opt1226z00_31)))
{ /* Llib/pgp_facade.scm 180 */BNIL; }  else 
{ /* Llib/pgp_facade.scm 180 */
 bool_t BgL_test2370z00_2444;
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_arg1809z00_334;
BgL_arg1809z00_334 = 
VECTOR_REF(BgL_opt1226z00_31,BgL_iz00_327); 
BgL_test2370z00_2444 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1809z00_334, 
CNST_TABLE_REF(((long)11)))); } 
if(BgL_test2370z00_2444)
{ 
 long BgL_iz00_2449;
BgL_iz00_2449 = 
(BgL_iz00_327+((long)2)); 
BgL_iz00_327 = BgL_iz00_2449; 
goto BgL_check1230z00_328;}  else 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_arg1808z00_333;
BgL_arg1808z00_333 = 
VECTOR_REF(BgL_opt1226z00_31,BgL_iz00_327); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string2166z00zz__openpgpzd2facadezd2, BgL_arg1808z00_333); } } } 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_index1232z00_335;
BgL_index1232z00_335 = 
BGl_search1229ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1226z00_31), BgL_opt1226z00_31, 
CNST_TABLE_REF(((long)13)), ((long)3)); 
{ /* Llib/pgp_facade.scm 180 */
 bool_t BgL_test2371z00_2457;
{ /* Llib/pgp_facade.scm 180 */
 long BgL_n1z00_1122;
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_tmpz00_2458;
if(
INTEGERP(BgL_index1232z00_335))
{ /* Llib/pgp_facade.scm 180 */
BgL_tmpz00_2458 = BgL_index1232z00_335
; }  else 
{ 
 obj_t BgL_auxz00_2461;
BgL_auxz00_2461 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)6745)), BGl_string2185z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1232z00_335); 
FAILURE(BgL_auxz00_2461,BFALSE,BFALSE);} 
BgL_n1z00_1122 = 
(long)CINT(BgL_tmpz00_2458); } 
BgL_test2371z00_2457 = 
(BgL_n1z00_1122>=((long)0)); } 
if(BgL_test2371z00_2457)
{ 
 long BgL_auxz00_2467;
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_tmpz00_2468;
if(
INTEGERP(BgL_index1232z00_335))
{ /* Llib/pgp_facade.scm 180 */
BgL_tmpz00_2468 = BgL_index1232z00_335
; }  else 
{ 
 obj_t BgL_auxz00_2471;
BgL_auxz00_2471 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)6745)), BGl_string2185z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1232z00_335); 
FAILURE(BgL_auxz00_2471,BFALSE,BFALSE);} 
BgL_auxz00_2467 = 
(long)CINT(BgL_tmpz00_2468); } 
BgL_detachedzd2signaturezf3z21_324 = 
VECTOR_REF(BgL_opt1226z00_31,BgL_auxz00_2467); }  else 
{ /* Llib/pgp_facade.scm 180 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_index1233z00_337;
BgL_index1233z00_337 = 
BGl_search1229ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1226z00_31), BgL_opt1226z00_31, 
CNST_TABLE_REF(((long)14)), ((long)3)); 
{ /* Llib/pgp_facade.scm 180 */
 bool_t BgL_test2374z00_2480;
{ /* Llib/pgp_facade.scm 180 */
 long BgL_n1z00_1123;
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_tmpz00_2481;
if(
INTEGERP(BgL_index1233z00_337))
{ /* Llib/pgp_facade.scm 180 */
BgL_tmpz00_2481 = BgL_index1233z00_337
; }  else 
{ 
 obj_t BgL_auxz00_2484;
BgL_auxz00_2484 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)6745)), BGl_string2185z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1233z00_337); 
FAILURE(BgL_auxz00_2484,BFALSE,BFALSE);} 
BgL_n1z00_1123 = 
(long)CINT(BgL_tmpz00_2481); } 
BgL_test2374z00_2480 = 
(BgL_n1z00_1123>=((long)0)); } 
if(BgL_test2374z00_2480)
{ 
 long BgL_auxz00_2490;
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_tmpz00_2491;
if(
INTEGERP(BgL_index1233z00_337))
{ /* Llib/pgp_facade.scm 180 */
BgL_tmpz00_2491 = BgL_index1233z00_337
; }  else 
{ 
 obj_t BgL_auxz00_2494;
BgL_auxz00_2494 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)6745)), BGl_string2185z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1233z00_337); 
FAILURE(BgL_auxz00_2494,BFALSE,BFALSE);} 
BgL_auxz00_2490 = 
(long)CINT(BgL_tmpz00_2491); } 
BgL_hashzd2algozd2_325 = 
VECTOR_REF(BgL_opt1226z00_31,BgL_auxz00_2490); }  else 
{ /* Llib/pgp_facade.scm 180 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_index1234z00_339;
BgL_index1234z00_339 = 
BGl_search1229ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1226z00_31), BgL_opt1226z00_31, 
CNST_TABLE_REF(((long)15)), ((long)3)); 
{ /* Llib/pgp_facade.scm 180 */
 bool_t BgL_test2377z00_2503;
{ /* Llib/pgp_facade.scm 180 */
 long BgL_n1z00_1124;
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_tmpz00_2504;
if(
INTEGERP(BgL_index1234z00_339))
{ /* Llib/pgp_facade.scm 180 */
BgL_tmpz00_2504 = BgL_index1234z00_339
; }  else 
{ 
 obj_t BgL_auxz00_2507;
BgL_auxz00_2507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)6745)), BGl_string2185z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1234z00_339); 
FAILURE(BgL_auxz00_2507,BFALSE,BFALSE);} 
BgL_n1z00_1124 = 
(long)CINT(BgL_tmpz00_2504); } 
BgL_test2377z00_2503 = 
(BgL_n1z00_1124>=((long)0)); } 
if(BgL_test2377z00_2503)
{ 
 long BgL_auxz00_2513;
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_tmpz00_2514;
if(
INTEGERP(BgL_index1234z00_339))
{ /* Llib/pgp_facade.scm 180 */
BgL_tmpz00_2514 = BgL_index1234z00_339
; }  else 
{ 
 obj_t BgL_auxz00_2517;
BgL_auxz00_2517 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)6745)), BGl_string2185z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1234z00_339); 
FAILURE(BgL_auxz00_2517,BFALSE,BFALSE);} 
BgL_auxz00_2513 = 
(long)CINT(BgL_tmpz00_2514); } 
BgL_onezd2passzf3z21_326 = 
VECTOR_REF(BgL_opt1226z00_31,BgL_auxz00_2513); }  else 
{ /* Llib/pgp_facade.scm 180 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_arg1813z00_341; obj_t BgL_arg1820z00_342; obj_t BgL_arg1821z00_343;
BgL_arg1813z00_341 = 
VECTOR_REF(BgL_opt1226z00_31,((long)0)); 
BgL_arg1820z00_342 = 
VECTOR_REF(BgL_opt1226z00_31,((long)1)); 
BgL_arg1821z00_343 = 
VECTOR_REF(BgL_opt1226z00_31,((long)2)); 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_detachedzd2signaturezf3z21_344;
BgL_detachedzd2signaturezf3z21_344 = BgL_detachedzd2signaturezf3z21_324; 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_hashzd2algozd2_345;
BgL_hashzd2algozd2_345 = BgL_hashzd2algozd2_325; 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_onezd2passzf3z21_346;
BgL_onezd2passzf3z21_346 = BgL_onezd2passzf3z21_326; 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_auxz00_2526;
if(
STRINGP(BgL_arg1813z00_341))
{ /* Llib/pgp_facade.scm 180 */
BgL_auxz00_2526 = BgL_arg1813z00_341
; }  else 
{ 
 obj_t BgL_auxz00_2529;
BgL_auxz00_2529 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)6745)), BGl_string2185z00zz__openpgpzd2facadezd2, BGl_string2159z00zz__openpgpzd2facadezd2, BgL_arg1813z00_341); 
FAILURE(BgL_auxz00_2529,BFALSE,BFALSE);} 
return 
BGl_pgpzd2signzd2zz__openpgpzd2facadezd2(BgL_auxz00_2526, BgL_arg1820z00_342, BgL_arg1821z00_343, BgL_detachedzd2signaturezf3z21_344, BgL_hashzd2algozd2_345, BgL_onezd2passzf3z21_346);} } } } } } } } } } } 

}



/* search1229~0 */
obj_t BGl_search1229ze70ze7zz__openpgpzd2facadezd2(long BgL_l1228z00_1712, obj_t BgL_opt1226z00_1711, obj_t BgL_k1z00_318, long BgL_iz00_319)
{
{ /* Llib/pgp_facade.scm 180 */
BGl_search1229ze70ze7zz__openpgpzd2facadezd2:
if(
(BgL_iz00_319==BgL_l1228z00_1712))
{ /* Llib/pgp_facade.scm 180 */
return 
BINT(((long)-1));}  else 
{ /* Llib/pgp_facade.scm 180 */
if(
(BgL_iz00_319==
(BgL_l1228z00_1712-((long)1))))
{ /* Llib/pgp_facade.scm 180 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string2186z00zz__openpgpzd2facadezd2, 
BINT(
VECTOR_LENGTH(BgL_opt1226z00_1711)));}  else 
{ /* Llib/pgp_facade.scm 180 */
 obj_t BgL_vz00_351;
BgL_vz00_351 = 
VECTOR_REF(BgL_opt1226z00_1711,BgL_iz00_319); 
if(
(BgL_vz00_351==BgL_k1z00_318))
{ /* Llib/pgp_facade.scm 180 */
return 
BINT(
(BgL_iz00_319+((long)1)));}  else 
{ 
 long BgL_iz00_2549;
BgL_iz00_2549 = 
(BgL_iz00_319+((long)2)); 
BgL_iz00_319 = BgL_iz00_2549; 
goto BGl_search1229ze70ze7zz__openpgpzd2facadezd2;} } } } 

}



/* pgp-sign */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2signzd2zz__openpgpzd2facadezd2(obj_t BgL_msgz00_25, obj_t BgL_keyz00_26, obj_t BgL_passwordzd2providerzd2_27, obj_t BgL_detachedzd2signaturezf3z21_28, obj_t BgL_hashzd2algozd2_29, obj_t BgL_onezd2passzf3z21_30)
{
{ /* Llib/pgp_facade.scm 180 */
BGl_pgpzd2signzd2zz__openpgpzd2facadezd2:
{ /* Llib/pgp_facade.scm 187 */
 bool_t BgL_test2384z00_2551;
{ /* Llib/pgp_facade.scm 187 */
 obj_t BgL_classz00_1125;
BgL_classz00_1125 = BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_keyz00_26))
{ /* Llib/pgp_facade.scm 187 */
 BgL_objectz00_bglt BgL_arg1797z00_1127;
BgL_arg1797z00_1127 = 
(BgL_objectz00_bglt)(BgL_keyz00_26); 
{ /* Llib/pgp_facade.scm 187 */
 bool_t BgL_arg1794z00_1130; bool_t BgL_arg1795z00_1131;
{ /* Llib/pgp_facade.scm 187 */
 long BgL_idxz00_1134;
BgL_idxz00_1134 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1127); 
BgL_arg1794z00_1130 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1134+((long)2)))==BgL_classz00_1125); } 
{ /* Llib/pgp_facade.scm 187 */
 bool_t BgL_res2029z00_1156;
{ /* Llib/pgp_facade.scm 187 */
 obj_t BgL_oclassz00_1142;
{ /* Llib/pgp_facade.scm 187 */
 long BgL_arg1804z00_1148;
{ /* Llib/pgp_facade.scm 187 */
 long BgL_arg1805z00_1149;
BgL_arg1805z00_1149 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1127); 
BgL_arg1804z00_1148 = 
(BgL_arg1805z00_1149-OBJECT_TYPE); } 
BgL_oclassz00_1142 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1148); } 
{ /* Llib/pgp_facade.scm 187 */
 bool_t BgL__ortest_1111z00_1143;
BgL__ortest_1111z00_1143 = 
(BgL_classz00_1125==BgL_oclassz00_1142); 
if(BgL__ortest_1111z00_1143)
{ /* Llib/pgp_facade.scm 187 */
BgL_res2029z00_1156 = BgL__ortest_1111z00_1143; }  else 
{ /* Llib/pgp_facade.scm 187 */
 long BgL_odepthz00_1144;
BgL_odepthz00_1144 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1142); 
if(
(((long)2)<BgL_odepthz00_1144))
{ /* Llib/pgp_facade.scm 187 */
 obj_t BgL_arg1793z00_1146;
BgL_arg1793z00_1146 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1142, ((long)2)); 
BgL_res2029z00_1156 = 
(BgL_arg1793z00_1146==BgL_classz00_1125); }  else 
{ /* Llib/pgp_facade.scm 187 */
BgL_res2029z00_1156 = ((bool_t)0); } } } } 
BgL_arg1795z00_1131 = BgL_res2029z00_1156; } 
BgL_test2384z00_2551 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1130, BgL_arg1795z00_1131); } }  else 
{ /* Llib/pgp_facade.scm 187 */
BgL_test2384z00_2551 = ((bool_t)0)
; } } 
if(BgL_test2384z00_2551)
{ 
 obj_t BgL_keyz00_2570;
BgL_keyz00_2570 = 
BGl_extractzd2subkeyzd2zz__openpgpzd2facadezd2(BgL_keyz00_26, ((bool_t)0)); 
BgL_keyz00_26 = BgL_keyz00_2570; 
goto BGl_pgpzd2signzd2zz__openpgpzd2facadezd2;}  else 
{ /* Llib/pgp_facade.scm 194 */
 bool_t BgL_test2388z00_2572;
{ /* Llib/pgp_facade.scm 194 */
 obj_t BgL_classz00_1157;
BgL_classz00_1157 = BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_keyz00_26))
{ /* Llib/pgp_facade.scm 194 */
 BgL_objectz00_bglt BgL_arg1797z00_1159;
BgL_arg1797z00_1159 = 
(BgL_objectz00_bglt)(BgL_keyz00_26); 
{ /* Llib/pgp_facade.scm 194 */
 bool_t BgL_arg1794z00_1162; bool_t BgL_arg1795z00_1163;
{ /* Llib/pgp_facade.scm 194 */
 long BgL_idxz00_1166;
BgL_idxz00_1166 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1159); 
BgL_arg1794z00_1162 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1166+((long)1)))==BgL_classz00_1157); } 
{ /* Llib/pgp_facade.scm 194 */
 bool_t BgL_res2030z00_1188;
{ /* Llib/pgp_facade.scm 194 */
 obj_t BgL_oclassz00_1174;
{ /* Llib/pgp_facade.scm 194 */
 long BgL_arg1804z00_1180;
{ /* Llib/pgp_facade.scm 194 */
 long BgL_arg1805z00_1181;
BgL_arg1805z00_1181 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1159); 
BgL_arg1804z00_1180 = 
(BgL_arg1805z00_1181-OBJECT_TYPE); } 
BgL_oclassz00_1174 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1180); } 
{ /* Llib/pgp_facade.scm 194 */
 bool_t BgL__ortest_1111z00_1175;
BgL__ortest_1111z00_1175 = 
(BgL_classz00_1157==BgL_oclassz00_1174); 
if(BgL__ortest_1111z00_1175)
{ /* Llib/pgp_facade.scm 194 */
BgL_res2030z00_1188 = BgL__ortest_1111z00_1175; }  else 
{ /* Llib/pgp_facade.scm 194 */
 long BgL_odepthz00_1176;
BgL_odepthz00_1176 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1174); 
if(
(((long)1)<BgL_odepthz00_1176))
{ /* Llib/pgp_facade.scm 194 */
 obj_t BgL_arg1793z00_1178;
BgL_arg1793z00_1178 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1174, ((long)1)); 
BgL_res2030z00_1188 = 
(BgL_arg1793z00_1178==BgL_classz00_1157); }  else 
{ /* Llib/pgp_facade.scm 194 */
BgL_res2030z00_1188 = ((bool_t)0); } } } } 
BgL_arg1795z00_1163 = BgL_res2030z00_1188; } 
BgL_test2388z00_2572 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1162, BgL_arg1795z00_1163); } }  else 
{ /* Llib/pgp_facade.scm 194 */
BgL_test2388z00_2572 = ((bool_t)0)
; } } 
if(BgL_test2388z00_2572)
{ /* Llib/pgp_facade.scm 194 */
if(
CBOOL(BgL_detachedzd2signaturezf3z21_28))
{ /* Llib/pgp_facade.scm 196 */
return 
((obj_t)
BGl_createzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(BgL_msgz00_25, 
((BgL_pgpzd2subkeyzd2_bglt)BgL_keyz00_26), BFALSE, BTRUE, BFALSE, BgL_hashzd2algozd2_29, BgL_passwordzd2providerzd2_27));}  else 
{ /* Llib/pgp_facade.scm 196 */
if(
CBOOL(BgL_onezd2passzf3z21_30))
{ /* Llib/pgp_facade.scm 201 */
return 
((obj_t)
BGl_createzd2onezd2passzd2signaturezd2zz__openpgpzd2logiczd2(BgL_msgz00_25, 
((BgL_pgpzd2subkeyzd2_bglt)BgL_keyz00_26), BFALSE, BFALSE, BgL_hashzd2algozd2_29, BgL_passwordzd2providerzd2_27));}  else 
{ /* Llib/pgp_facade.scm 201 */
return 
((obj_t)
BGl_createzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(BgL_msgz00_25, 
((BgL_pgpzd2subkeyzd2_bglt)BgL_keyz00_26), BFALSE, BFALSE, BFALSE, BgL_hashzd2algozd2_29, BgL_passwordzd2providerzd2_27));} } }  else 
{ /* Llib/pgp_facade.scm 194 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2187z00zz__openpgpzd2facadezd2, BGl_string2188z00zz__openpgpzd2facadezd2, BgL_keyz00_26);} } } } 

}



/* _pgp-verify */
obj_t BGl__pgpzd2verifyzd2zz__openpgpzd2facadezd2(obj_t BgL_env1236z00_37, obj_t BgL_opt1235z00_36)
{
{ /* Llib/pgp_facade.scm 216 */
{ 
 obj_t BgL_k1z00_376; long BgL_iz00_377;
{ /* Llib/pgp_facade.scm 216 */
 obj_t BgL_signaturez00_379; obj_t BgL_keyzd2managerzd2_380;
BgL_signaturez00_379 = 
VECTOR_REF(BgL_opt1235z00_36,((long)0)); 
BgL_keyzd2managerzd2_380 = 
VECTOR_REF(BgL_opt1235z00_36,((long)1)); 
{ /* Llib/pgp_facade.scm 216 */
 obj_t BgL_msgz00_381;
BgL_msgz00_381 = BFALSE; 
{ /* Llib/pgp_facade.scm 216 */

{ 
 long BgL_iz00_382;
BgL_iz00_382 = ((long)2); 
BgL_check1239z00_383:
if(
(BgL_iz00_382==
VECTOR_LENGTH(BgL_opt1235z00_36)))
{ /* Llib/pgp_facade.scm 216 */BNIL; }  else 
{ /* Llib/pgp_facade.scm 216 */
 bool_t BgL_test2395z00_2610;
{ /* Llib/pgp_facade.scm 216 */
 obj_t BgL_arg1837z00_389;
BgL_arg1837z00_389 = 
VECTOR_REF(BgL_opt1235z00_36,BgL_iz00_382); 
BgL_test2395z00_2610 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1837z00_389, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test2395z00_2610)
{ 
 long BgL_iz00_2615;
BgL_iz00_2615 = 
(BgL_iz00_382+((long)2)); 
BgL_iz00_382 = BgL_iz00_2615; 
goto BgL_check1239z00_383;}  else 
{ /* Llib/pgp_facade.scm 216 */
 obj_t BgL_arg1836z00_388;
BgL_arg1836z00_388 = 
VECTOR_REF(BgL_opt1235z00_36,BgL_iz00_382); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)16)), BGl_string2166z00zz__openpgpzd2facadezd2, BgL_arg1836z00_388); } } } 
{ /* Llib/pgp_facade.scm 216 */
 obj_t BgL_index1241z00_390;
BgL_k1z00_376 = 
CNST_TABLE_REF(((long)18)); 
BgL_iz00_377 = ((long)2); 
BgL_search1238z00_378:
if(
(BgL_iz00_377==
VECTOR_LENGTH(BgL_opt1235z00_36)))
{ /* Llib/pgp_facade.scm 216 */
BgL_index1241z00_390 = 
BINT(((long)-1)); }  else 
{ /* Llib/pgp_facade.scm 216 */
if(
(BgL_iz00_377==
(
VECTOR_LENGTH(BgL_opt1235z00_36)-((long)1))))
{ /* Llib/pgp_facade.scm 216 */
BgL_index1241z00_390 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)16)), BGl_string2169z00zz__openpgpzd2facadezd2, 
BINT(
VECTOR_LENGTH(BgL_opt1235z00_36))); }  else 
{ /* Llib/pgp_facade.scm 216 */
 obj_t BgL_vz00_399;
BgL_vz00_399 = 
VECTOR_REF(BgL_opt1235z00_36,BgL_iz00_377); 
if(
(BgL_vz00_399==BgL_k1z00_376))
{ /* Llib/pgp_facade.scm 216 */
BgL_index1241z00_390 = 
BINT(
(BgL_iz00_377+((long)1))); }  else 
{ 
 long BgL_iz00_2637;
BgL_iz00_2637 = 
(BgL_iz00_377+((long)2)); 
BgL_iz00_377 = BgL_iz00_2637; 
goto BgL_search1238z00_378;} } } 
{ /* Llib/pgp_facade.scm 216 */
 bool_t BgL_test2399z00_2640;
{ /* Llib/pgp_facade.scm 216 */
 long BgL_n1z00_1204;
{ /* Llib/pgp_facade.scm 216 */
 obj_t BgL_tmpz00_2641;
if(
INTEGERP(BgL_index1241z00_390))
{ /* Llib/pgp_facade.scm 216 */
BgL_tmpz00_2641 = BgL_index1241z00_390
; }  else 
{ 
 obj_t BgL_auxz00_2644;
BgL_auxz00_2644 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)7970)), BGl_string2189z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1241z00_390); 
FAILURE(BgL_auxz00_2644,BFALSE,BFALSE);} 
BgL_n1z00_1204 = 
(long)CINT(BgL_tmpz00_2641); } 
BgL_test2399z00_2640 = 
(BgL_n1z00_1204>=((long)0)); } 
if(BgL_test2399z00_2640)
{ 
 long BgL_auxz00_2650;
{ /* Llib/pgp_facade.scm 216 */
 obj_t BgL_tmpz00_2651;
if(
INTEGERP(BgL_index1241z00_390))
{ /* Llib/pgp_facade.scm 216 */
BgL_tmpz00_2651 = BgL_index1241z00_390
; }  else 
{ 
 obj_t BgL_auxz00_2654;
BgL_auxz00_2654 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)7970)), BGl_string2189z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1241z00_390); 
FAILURE(BgL_auxz00_2654,BFALSE,BFALSE);} 
BgL_auxz00_2650 = 
(long)CINT(BgL_tmpz00_2651); } 
BgL_msgz00_381 = 
VECTOR_REF(BgL_opt1235z00_36,BgL_auxz00_2650); }  else 
{ /* Llib/pgp_facade.scm 216 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 216 */
 obj_t BgL_arg1839z00_392; obj_t BgL_arg1840z00_393;
BgL_arg1839z00_392 = 
VECTOR_REF(BgL_opt1235z00_36,((long)0)); 
BgL_arg1840z00_393 = 
VECTOR_REF(BgL_opt1235z00_36,((long)1)); 
{ /* Llib/pgp_facade.scm 216 */
 obj_t BgL_msgz00_394;
BgL_msgz00_394 = BgL_msgz00_381; 
{ /* Llib/pgp_facade.scm 216 */
 obj_t BgL_keyzd2managerzd2_1205;
if(
PROCEDUREP(BgL_arg1840z00_393))
{ /* Llib/pgp_facade.scm 216 */
BgL_keyzd2managerzd2_1205 = BgL_arg1840z00_393; }  else 
{ 
 obj_t BgL_auxz00_2664;
BgL_auxz00_2664 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)7970)), BGl_string2189z00zz__openpgpzd2facadezd2, BGl_string2190z00zz__openpgpzd2facadezd2, BgL_arg1840z00_393); 
FAILURE(BgL_auxz00_2664,BFALSE,BFALSE);} 
{ /* Llib/pgp_facade.scm 218 */
 bool_t BgL_test2403z00_2668;
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_classz00_1207;
BgL_classz00_1207 = BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_arg1839z00_392))
{ /* Llib/pgp_facade.scm 218 */
 BgL_objectz00_bglt BgL_arg1797z00_1209;
BgL_arg1797z00_1209 = 
(BgL_objectz00_bglt)(BgL_arg1839z00_392); 
{ /* Llib/pgp_facade.scm 218 */
 bool_t BgL_arg1794z00_1212; bool_t BgL_arg1795z00_1213;
{ /* Llib/pgp_facade.scm 218 */
 long BgL_idxz00_1216;
BgL_idxz00_1216 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1209); 
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_arg1791z00_1217;
{ /* Llib/pgp_facade.scm 218 */
 long BgL_arg1792z00_1218;
BgL_arg1792z00_1218 = 
(BgL_idxz00_1216+((long)3)); 
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_vectorz00_1220;
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_aux2093z00_1761;
BgL_aux2093z00_1761 = BGl_za2inheritancesza2z00zz__objectz00; 
if(
VECTORP(BgL_aux2093z00_1761))
{ /* Llib/pgp_facade.scm 218 */
BgL_vectorz00_1220 = BgL_aux2093z00_1761; }  else 
{ 
 obj_t BgL_auxz00_2676;
BgL_auxz00_2676 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8072)), BGl_string2189z00zz__openpgpzd2facadezd2, BGl_string2191z00zz__openpgpzd2facadezd2, BgL_aux2093z00_1761); 
FAILURE(BgL_auxz00_2676,BFALSE,BFALSE);} } 
BgL_arg1791z00_1217 = 
VECTOR_REF(BgL_vectorz00_1220,BgL_arg1792z00_1218); } } 
BgL_arg1794z00_1212 = 
(BgL_arg1791z00_1217==BgL_classz00_1207); } } 
{ /* Llib/pgp_facade.scm 218 */
 bool_t BgL_res2031z00_1238;
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_oclassz00_1224;
{ /* Llib/pgp_facade.scm 218 */
 long BgL_arg1804z00_1230;
{ /* Llib/pgp_facade.scm 218 */
 long BgL_arg1805z00_1231;
BgL_arg1805z00_1231 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1209); 
BgL_arg1804z00_1230 = 
(BgL_arg1805z00_1231-OBJECT_TYPE); } 
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_vectorz00_1235;
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_aux2095z00_1763;
BgL_aux2095z00_1763 = BGl_za2classesza2z00zz__objectz00; 
if(
VECTORP(BgL_aux2095z00_1763))
{ /* Llib/pgp_facade.scm 218 */
BgL_vectorz00_1235 = BgL_aux2095z00_1763; }  else 
{ 
 obj_t BgL_auxz00_2686;
BgL_auxz00_2686 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8072)), BGl_string2189z00zz__openpgpzd2facadezd2, BGl_string2191z00zz__openpgpzd2facadezd2, BgL_aux2095z00_1763); 
FAILURE(BgL_auxz00_2686,BFALSE,BFALSE);} } 
BgL_oclassz00_1224 = 
VECTOR_REF(BgL_vectorz00_1235,BgL_arg1804z00_1230); } } 
{ /* Llib/pgp_facade.scm 218 */
 bool_t BgL__ortest_1111z00_1225;
BgL__ortest_1111z00_1225 = 
(BgL_classz00_1207==BgL_oclassz00_1224); 
if(BgL__ortest_1111z00_1225)
{ /* Llib/pgp_facade.scm 218 */
BgL_res2031z00_1238 = BgL__ortest_1111z00_1225; }  else 
{ /* Llib/pgp_facade.scm 218 */
 long BgL_odepthz00_1226;
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_tmpz00_2693;
if(
BGl_classzf3zf3zz__objectz00(BgL_oclassz00_1224))
{ /* Llib/pgp_facade.scm 218 */
BgL_tmpz00_2693 = BgL_oclassz00_1224
; }  else 
{ 
 obj_t BgL_auxz00_2696;
BgL_auxz00_2696 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8072)), BGl_string2189z00zz__openpgpzd2facadezd2, BGl_string2192z00zz__openpgpzd2facadezd2, BgL_oclassz00_1224); 
FAILURE(BgL_auxz00_2696,BFALSE,BFALSE);} 
BgL_odepthz00_1226 = 
BGL_CLASS_DEPTH(BgL_tmpz00_2693); } 
if(
(((long)3)<BgL_odepthz00_1226))
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_arg1793z00_1228;
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_tmpz00_2703;
if(
BGl_classzf3zf3zz__objectz00(BgL_oclassz00_1224))
{ /* Llib/pgp_facade.scm 218 */
BgL_tmpz00_2703 = BgL_oclassz00_1224
; }  else 
{ 
 obj_t BgL_auxz00_2706;
BgL_auxz00_2706 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8072)), BGl_string2189z00zz__openpgpzd2facadezd2, BGl_string2192z00zz__openpgpzd2facadezd2, BgL_oclassz00_1224); 
FAILURE(BgL_auxz00_2706,BFALSE,BFALSE);} 
BgL_arg1793z00_1228 = 
BGL_CLASS_ANCESTORS_REF(BgL_tmpz00_2703, ((long)3)); } 
BgL_res2031z00_1238 = 
(BgL_arg1793z00_1228==BgL_classz00_1207); }  else 
{ /* Llib/pgp_facade.scm 218 */
BgL_res2031z00_1238 = ((bool_t)0); } } } } 
BgL_arg1795z00_1213 = BgL_res2031z00_1238; } 
BgL_test2403z00_2668 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1212, BgL_arg1795z00_1213); } }  else 
{ /* Llib/pgp_facade.scm 218 */
BgL_test2403z00_2668 = ((bool_t)0)
; } } 
if(BgL_test2403z00_2668)
{ /* Llib/pgp_facade.scm 218 */BFALSE; }  else 
{ /* Llib/pgp_facade.scm 218 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2193z00zz__openpgpzd2facadezd2, BGl_string2194z00zz__openpgpzd2facadezd2, BgL_arg1839z00_392); } } 
{ /* Llib/pgp_facade.scm 220 */
 BgL_pgpzd2signaturezd2_bglt BgL_auxz00_2714;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1839z00_392, BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_facade.scm 220 */
BgL_auxz00_2714 = 
((BgL_pgpzd2signaturezd2_bglt)BgL_arg1839z00_392)
; }  else 
{ 
 obj_t BgL_auxz00_2718;
BgL_auxz00_2718 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8193)), BGl_string2189z00zz__openpgpzd2facadezd2, BGl_string2195z00zz__openpgpzd2facadezd2, BgL_arg1839z00_392); 
FAILURE(BgL_auxz00_2718,BFALSE,BFALSE);} 
return 
BGl_verifyzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(BgL_auxz00_2714, BgL_keyzd2managerzd2_1205, BgL_msgz00_394);} } } } } } } } } 

}



/* pgp-verify */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2verifyzd2zz__openpgpzd2facadezd2(obj_t BgL_signaturez00_33, obj_t BgL_keyzd2managerzd2_34, obj_t BgL_msgz00_35)
{
{ /* Llib/pgp_facade.scm 216 */
{ /* Llib/pgp_facade.scm 218 */
 bool_t BgL_test2412z00_2723;
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_classz00_1240;
BgL_classz00_1240 = BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_signaturez00_33))
{ /* Llib/pgp_facade.scm 218 */
 BgL_objectz00_bglt BgL_arg1797z00_1242;
BgL_arg1797z00_1242 = 
(BgL_objectz00_bglt)(BgL_signaturez00_33); 
{ /* Llib/pgp_facade.scm 218 */
 bool_t BgL_arg1794z00_1245; bool_t BgL_arg1795z00_1246;
{ /* Llib/pgp_facade.scm 218 */
 long BgL_idxz00_1249;
BgL_idxz00_1249 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1242); 
BgL_arg1794z00_1245 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1249+((long)3)))==BgL_classz00_1240); } 
{ /* Llib/pgp_facade.scm 218 */
 bool_t BgL_res2032z00_1271;
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_oclassz00_1257;
{ /* Llib/pgp_facade.scm 218 */
 long BgL_arg1804z00_1263;
{ /* Llib/pgp_facade.scm 218 */
 long BgL_arg1805z00_1264;
BgL_arg1805z00_1264 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1242); 
BgL_arg1804z00_1263 = 
(BgL_arg1805z00_1264-OBJECT_TYPE); } 
BgL_oclassz00_1257 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1263); } 
{ /* Llib/pgp_facade.scm 218 */
 bool_t BgL__ortest_1111z00_1258;
BgL__ortest_1111z00_1258 = 
(BgL_classz00_1240==BgL_oclassz00_1257); 
if(BgL__ortest_1111z00_1258)
{ /* Llib/pgp_facade.scm 218 */
BgL_res2032z00_1271 = BgL__ortest_1111z00_1258; }  else 
{ /* Llib/pgp_facade.scm 218 */
 long BgL_odepthz00_1259;
BgL_odepthz00_1259 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1257); 
if(
(((long)3)<BgL_odepthz00_1259))
{ /* Llib/pgp_facade.scm 218 */
 obj_t BgL_arg1793z00_1261;
BgL_arg1793z00_1261 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1257, ((long)3)); 
BgL_res2032z00_1271 = 
(BgL_arg1793z00_1261==BgL_classz00_1240); }  else 
{ /* Llib/pgp_facade.scm 218 */
BgL_res2032z00_1271 = ((bool_t)0); } } } } 
BgL_arg1795z00_1246 = BgL_res2032z00_1271; } 
BgL_test2412z00_2723 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1245, BgL_arg1795z00_1246); } }  else 
{ /* Llib/pgp_facade.scm 218 */
BgL_test2412z00_2723 = ((bool_t)0)
; } } 
if(BgL_test2412z00_2723)
{ /* Llib/pgp_facade.scm 218 */BFALSE; }  else 
{ /* Llib/pgp_facade.scm 218 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2193z00zz__openpgpzd2facadezd2, BGl_string2194z00zz__openpgpzd2facadezd2, BgL_signaturez00_33); } } 
return 
BGl_verifyzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(
((BgL_pgpzd2signaturezd2_bglt)BgL_signaturez00_33), BgL_keyzd2managerzd2_34, BgL_msgz00_35);} 

}



/* pgp-signature-message */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2signaturezd2messagez00zz__openpgpzd2facadezd2(obj_t BgL_signaturez00_38)
{
{ /* Llib/pgp_facade.scm 224 */
{ /* Llib/pgp_facade.scm 225 */
 bool_t BgL_test2416z00_2745;
{ /* Llib/pgp_facade.scm 225 */
 obj_t BgL_classz00_1272;
BgL_classz00_1272 = BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_signaturez00_38))
{ /* Llib/pgp_facade.scm 225 */
 BgL_objectz00_bglt BgL_arg1797z00_1274;
BgL_arg1797z00_1274 = 
(BgL_objectz00_bglt)(BgL_signaturez00_38); 
{ /* Llib/pgp_facade.scm 225 */
 bool_t BgL_arg1794z00_1277; bool_t BgL_arg1795z00_1278;
{ /* Llib/pgp_facade.scm 225 */
 long BgL_idxz00_1281;
BgL_idxz00_1281 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1274); 
BgL_arg1794z00_1277 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1281+((long)3)))==BgL_classz00_1272); } 
{ /* Llib/pgp_facade.scm 225 */
 bool_t BgL_res2033z00_1303;
{ /* Llib/pgp_facade.scm 225 */
 obj_t BgL_oclassz00_1289;
{ /* Llib/pgp_facade.scm 225 */
 long BgL_arg1804z00_1295;
{ /* Llib/pgp_facade.scm 225 */
 long BgL_arg1805z00_1296;
BgL_arg1805z00_1296 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1274); 
BgL_arg1804z00_1295 = 
(BgL_arg1805z00_1296-OBJECT_TYPE); } 
BgL_oclassz00_1289 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1295); } 
{ /* Llib/pgp_facade.scm 225 */
 bool_t BgL__ortest_1111z00_1290;
BgL__ortest_1111z00_1290 = 
(BgL_classz00_1272==BgL_oclassz00_1289); 
if(BgL__ortest_1111z00_1290)
{ /* Llib/pgp_facade.scm 225 */
BgL_res2033z00_1303 = BgL__ortest_1111z00_1290; }  else 
{ /* Llib/pgp_facade.scm 225 */
 long BgL_odepthz00_1291;
BgL_odepthz00_1291 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1289); 
if(
(((long)3)<BgL_odepthz00_1291))
{ /* Llib/pgp_facade.scm 225 */
 obj_t BgL_arg1793z00_1293;
BgL_arg1793z00_1293 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1289, ((long)3)); 
BgL_res2033z00_1303 = 
(BgL_arg1793z00_1293==BgL_classz00_1272); }  else 
{ /* Llib/pgp_facade.scm 225 */
BgL_res2033z00_1303 = ((bool_t)0); } } } } 
BgL_arg1795z00_1278 = BgL_res2033z00_1303; } 
BgL_test2416z00_2745 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1277, BgL_arg1795z00_1278); } }  else 
{ /* Llib/pgp_facade.scm 225 */
BgL_test2416z00_2745 = ((bool_t)0)
; } } 
if(BgL_test2416z00_2745)
{ /* Llib/pgp_facade.scm 225 */BFALSE; }  else 
{ /* Llib/pgp_facade.scm 225 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2193z00zz__openpgpzd2facadezd2, BGl_string2194z00zz__openpgpzd2facadezd2, BgL_signaturez00_38); } } 
{ /* Llib/pgp_facade.scm 227 */
 obj_t BgL_sigzd2msgzd2_405;
BgL_sigzd2msgzd2_405 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_signaturez00_38)))->BgL_msgz00); 
if(
CBOOL(BgL_sigzd2msgzd2_405))
{ /* Llib/pgp_facade.scm 228 */
return 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_sigzd2msgzd2_405)))->BgL_dataz00);}  else 
{ /* Llib/pgp_facade.scm 228 */
return BFALSE;} } } 

}



/* &pgp-signature-message */
obj_t BGl_z62pgpzd2signaturezd2messagez62zz__openpgpzd2facadezd2(obj_t BgL_envz00_1687, obj_t BgL_signaturez00_1688)
{
{ /* Llib/pgp_facade.scm 224 */
return 
BGl_pgpzd2signaturezd2messagez00zz__openpgpzd2facadezd2(BgL_signaturez00_1688);} 

}



/* _pgp-password-encrypt */
obj_t BGl__pgpzd2passwordzd2encryptz00zz__openpgpzd2facadezd2(obj_t BgL_env1243z00_45, obj_t BgL_opt1242z00_44)
{
{ /* Llib/pgp_facade.scm 236 */
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_msgz00_413; obj_t BgL_passwordz00_414;
BgL_msgz00_413 = 
VECTOR_REF(BgL_opt1242z00_44,((long)0)); 
BgL_passwordz00_414 = 
VECTOR_REF(BgL_opt1242z00_44,((long)1)); 
{ /* Llib/pgp_facade.scm 238 */
 obj_t BgL_hashzd2algozd2_415;
BgL_hashzd2algozd2_415 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_mdcz00_416;
BgL_mdcz00_416 = BTRUE; 
{ /* Llib/pgp_facade.scm 239 */
 obj_t BgL_symmetriczd2algozd2_417;
BgL_symmetriczd2algozd2_417 = 
CNST_TABLE_REF(((long)19)); 
{ /* Llib/pgp_facade.scm 236 */

{ 
 long BgL_iz00_418;
BgL_iz00_418 = ((long)2); 
BgL_check1246z00_419:
if(
(BgL_iz00_418==
VECTOR_LENGTH(BgL_opt1242z00_44)))
{ /* Llib/pgp_facade.scm 236 */BNIL; }  else 
{ /* Llib/pgp_facade.scm 236 */
 bool_t BgL_test2422z00_2779;
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_arg1855z00_425;
BgL_arg1855z00_425 = 
VECTOR_REF(BgL_opt1242z00_44,BgL_iz00_418); 
BgL_test2422z00_2779 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1855z00_425, 
CNST_TABLE_REF(((long)20)))); } 
if(BgL_test2422z00_2779)
{ 
 long BgL_iz00_2784;
BgL_iz00_2784 = 
(BgL_iz00_418+((long)2)); 
BgL_iz00_418 = BgL_iz00_2784; 
goto BgL_check1246z00_419;}  else 
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_arg1854z00_424;
BgL_arg1854z00_424 = 
VECTOR_REF(BgL_opt1242z00_44,BgL_iz00_418); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)21)), BGl_string2166z00zz__openpgpzd2facadezd2, BgL_arg1854z00_424); } } } 
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_index1248z00_426;
BgL_index1248z00_426 = 
BGl_search1245ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1242z00_44), BgL_opt1242z00_44, 
CNST_TABLE_REF(((long)14)), ((long)2)); 
{ /* Llib/pgp_facade.scm 236 */
 bool_t BgL_test2423z00_2792;
{ /* Llib/pgp_facade.scm 236 */
 long BgL_n1z00_1319;
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_tmpz00_2793;
if(
INTEGERP(BgL_index1248z00_426))
{ /* Llib/pgp_facade.scm 236 */
BgL_tmpz00_2793 = BgL_index1248z00_426
; }  else 
{ 
 obj_t BgL_auxz00_2796;
BgL_auxz00_2796 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8868)), BGl_string2196z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1248z00_426); 
FAILURE(BgL_auxz00_2796,BFALSE,BFALSE);} 
BgL_n1z00_1319 = 
(long)CINT(BgL_tmpz00_2793); } 
BgL_test2423z00_2792 = 
(BgL_n1z00_1319>=((long)0)); } 
if(BgL_test2423z00_2792)
{ 
 long BgL_auxz00_2802;
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_tmpz00_2803;
if(
INTEGERP(BgL_index1248z00_426))
{ /* Llib/pgp_facade.scm 236 */
BgL_tmpz00_2803 = BgL_index1248z00_426
; }  else 
{ 
 obj_t BgL_auxz00_2806;
BgL_auxz00_2806 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8868)), BGl_string2196z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1248z00_426); 
FAILURE(BgL_auxz00_2806,BFALSE,BFALSE);} 
BgL_auxz00_2802 = 
(long)CINT(BgL_tmpz00_2803); } 
BgL_hashzd2algozd2_415 = 
VECTOR_REF(BgL_opt1242z00_44,BgL_auxz00_2802); }  else 
{ /* Llib/pgp_facade.scm 236 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_index1249z00_428;
BgL_index1249z00_428 = 
BGl_search1245ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1242z00_44), BgL_opt1242z00_44, 
CNST_TABLE_REF(((long)22)), ((long)2)); 
{ /* Llib/pgp_facade.scm 236 */
 bool_t BgL_test2426z00_2815;
{ /* Llib/pgp_facade.scm 236 */
 long BgL_n1z00_1320;
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_tmpz00_2816;
if(
INTEGERP(BgL_index1249z00_428))
{ /* Llib/pgp_facade.scm 236 */
BgL_tmpz00_2816 = BgL_index1249z00_428
; }  else 
{ 
 obj_t BgL_auxz00_2819;
BgL_auxz00_2819 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8868)), BGl_string2196z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1249z00_428); 
FAILURE(BgL_auxz00_2819,BFALSE,BFALSE);} 
BgL_n1z00_1320 = 
(long)CINT(BgL_tmpz00_2816); } 
BgL_test2426z00_2815 = 
(BgL_n1z00_1320>=((long)0)); } 
if(BgL_test2426z00_2815)
{ 
 long BgL_auxz00_2825;
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_tmpz00_2826;
if(
INTEGERP(BgL_index1249z00_428))
{ /* Llib/pgp_facade.scm 236 */
BgL_tmpz00_2826 = BgL_index1249z00_428
; }  else 
{ 
 obj_t BgL_auxz00_2829;
BgL_auxz00_2829 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8868)), BGl_string2196z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1249z00_428); 
FAILURE(BgL_auxz00_2829,BFALSE,BFALSE);} 
BgL_auxz00_2825 = 
(long)CINT(BgL_tmpz00_2826); } 
BgL_mdcz00_416 = 
VECTOR_REF(BgL_opt1242z00_44,BgL_auxz00_2825); }  else 
{ /* Llib/pgp_facade.scm 236 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_index1250z00_430;
BgL_index1250z00_430 = 
BGl_search1245ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1242z00_44), BgL_opt1242z00_44, 
CNST_TABLE_REF(((long)23)), ((long)2)); 
{ /* Llib/pgp_facade.scm 236 */
 bool_t BgL_test2429z00_2838;
{ /* Llib/pgp_facade.scm 236 */
 long BgL_n1z00_1321;
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_tmpz00_2839;
if(
INTEGERP(BgL_index1250z00_430))
{ /* Llib/pgp_facade.scm 236 */
BgL_tmpz00_2839 = BgL_index1250z00_430
; }  else 
{ 
 obj_t BgL_auxz00_2842;
BgL_auxz00_2842 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8868)), BGl_string2196z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1250z00_430); 
FAILURE(BgL_auxz00_2842,BFALSE,BFALSE);} 
BgL_n1z00_1321 = 
(long)CINT(BgL_tmpz00_2839); } 
BgL_test2429z00_2838 = 
(BgL_n1z00_1321>=((long)0)); } 
if(BgL_test2429z00_2838)
{ 
 long BgL_auxz00_2848;
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_tmpz00_2849;
if(
INTEGERP(BgL_index1250z00_430))
{ /* Llib/pgp_facade.scm 236 */
BgL_tmpz00_2849 = BgL_index1250z00_430
; }  else 
{ 
 obj_t BgL_auxz00_2852;
BgL_auxz00_2852 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8868)), BGl_string2196z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1250z00_430); 
FAILURE(BgL_auxz00_2852,BFALSE,BFALSE);} 
BgL_auxz00_2848 = 
(long)CINT(BgL_tmpz00_2849); } 
BgL_symmetriczd2algozd2_417 = 
VECTOR_REF(BgL_opt1242z00_44,BgL_auxz00_2848); }  else 
{ /* Llib/pgp_facade.scm 236 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_arg1859z00_432; obj_t BgL_arg1860z00_433;
BgL_arg1859z00_432 = 
VECTOR_REF(BgL_opt1242z00_44,((long)0)); 
BgL_arg1860z00_433 = 
VECTOR_REF(BgL_opt1242z00_44,((long)1)); 
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_hashzd2algozd2_434;
BgL_hashzd2algozd2_434 = BgL_hashzd2algozd2_415; 
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_mdcz00_435;
BgL_mdcz00_435 = BgL_mdcz00_416; 
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_symmetriczd2algozd2_436;
BgL_symmetriczd2algozd2_436 = BgL_symmetriczd2algozd2_417; 
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_auxz00_2867; obj_t BgL_auxz00_2860;
if(
STRINGP(BgL_arg1860z00_433))
{ /* Llib/pgp_facade.scm 236 */
BgL_auxz00_2867 = BgL_arg1860z00_433
; }  else 
{ 
 obj_t BgL_auxz00_2870;
BgL_auxz00_2870 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8868)), BGl_string2196z00zz__openpgpzd2facadezd2, BGl_string2159z00zz__openpgpzd2facadezd2, BgL_arg1860z00_433); 
FAILURE(BgL_auxz00_2870,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1859z00_432))
{ /* Llib/pgp_facade.scm 236 */
BgL_auxz00_2860 = BgL_arg1859z00_432
; }  else 
{ 
 obj_t BgL_auxz00_2863;
BgL_auxz00_2863 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)8868)), BGl_string2196z00zz__openpgpzd2facadezd2, BGl_string2159z00zz__openpgpzd2facadezd2, BgL_arg1859z00_432); 
FAILURE(BgL_auxz00_2863,BFALSE,BFALSE);} 
return 
BGl_pgpzd2passwordzd2encryptz00zz__openpgpzd2facadezd2(BgL_auxz00_2860, BgL_auxz00_2867, BgL_hashzd2algozd2_434, BgL_mdcz00_435, BgL_symmetriczd2algozd2_436);} } } } } } } } } } } 

}



/* search1245~0 */
obj_t BGl_search1245ze70ze7zz__openpgpzd2facadezd2(long BgL_l1244z00_1710, obj_t BgL_opt1242z00_1709, obj_t BgL_k1z00_410, long BgL_iz00_411)
{
{ /* Llib/pgp_facade.scm 236 */
BGl_search1245ze70ze7zz__openpgpzd2facadezd2:
if(
(BgL_iz00_411==BgL_l1244z00_1710))
{ /* Llib/pgp_facade.scm 236 */
return 
BINT(((long)-1));}  else 
{ /* Llib/pgp_facade.scm 236 */
if(
(BgL_iz00_411==
(BgL_l1244z00_1710-((long)1))))
{ /* Llib/pgp_facade.scm 236 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)21)), BGl_string2197z00zz__openpgpzd2facadezd2, 
BINT(
VECTOR_LENGTH(BgL_opt1242z00_1709)));}  else 
{ /* Llib/pgp_facade.scm 236 */
 obj_t BgL_vz00_441;
BgL_vz00_441 = 
VECTOR_REF(BgL_opt1242z00_1709,BgL_iz00_411); 
if(
(BgL_vz00_441==BgL_k1z00_410))
{ /* Llib/pgp_facade.scm 236 */
return 
BINT(
(BgL_iz00_411+((long)1)));}  else 
{ 
 long BgL_iz00_2890;
BgL_iz00_2890 = 
(BgL_iz00_411+((long)2)); 
BgL_iz00_411 = BgL_iz00_2890; 
goto BGl_search1245ze70ze7zz__openpgpzd2facadezd2;} } } } 

}



/* pgp-password-encrypt */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2passwordzd2encryptz00zz__openpgpzd2facadezd2(obj_t BgL_msgz00_39, obj_t BgL_passwordz00_40, obj_t BgL_hashzd2algozd2_41, obj_t BgL_mdcz00_42, obj_t BgL_symmetriczd2algozd2_43)
{
{ /* Llib/pgp_facade.scm 236 */
{ /* Llib/pgp_facade.scm 241 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_literalzd2packetzd2_445;
{ /* Llib/pgp_facade.scm 241 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1130z00_453;
{ /* Llib/pgp_facade.scm 242 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1129z00_454;
BgL_new1129z00_454 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2packetz00_bgl) ))); 
{ /* Llib/pgp_facade.scm 242 */
 long BgL_arg1872z00_455;
BgL_arg1872z00_455 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_454), BgL_arg1872z00_455); } 
{ /* Llib/pgp_facade.scm 242 */
 BgL_objectz00_bglt BgL_tmpz00_2896;
BgL_tmpz00_2896 = 
((BgL_objectz00_bglt)BgL_new1129z00_454); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2896, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1129z00_454); 
BgL_new1130z00_453 = BgL_new1129z00_454; } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1130z00_453))->BgL_formatz00)=((obj_t)
CNST_TABLE_REF(((long)24))),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1130z00_453))->BgL_forzd2yourzd2eyeszd2onlyzf3z21)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1130z00_453))->BgL_filezd2namezd2)=((obj_t)BGl_string2198z00zz__openpgpzd2facadezd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2904;
{ /* Llib/pgp_facade.scm 245 */
 BGL_LONGLONG_T BgL_arg1698z00_1326;
BgL_arg1698z00_1326 = 
bgl_current_nanoseconds(); 
BgL_auxz00_2904 = 
bgl_nanoseconds_to_date(BgL_arg1698z00_1326); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1130z00_453))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_2904),BUNSPEC); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1130z00_453))->BgL_dataz00)=((obj_t)BgL_msgz00_39),BUNSPEC); 
BgL_literalzd2packetzd2_445 = BgL_new1130z00_453; } 
{ /* Llib/pgp_facade.scm 241 */
 long BgL_algozd2keyzd2lenz00_446;
BgL_algozd2keyzd2lenz00_446 = 
BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_symmetriczd2algozd2_43); 
{ /* Llib/pgp_facade.scm 247 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_packetz00_447;
{ /* Llib/pgp_facade.scm 249 */
 obj_t BgL_arg1871z00_451;
BgL_arg1871z00_451 = 
BGl_simplezd2s2kzd2zz__openpgpzd2s2kzd2(BgL_passwordz00_40, BgL_algozd2keyzd2lenz00_446, BGl_sha1sumzd2binzd2envz00zz__openpgpzd2utilzd2); 
BgL_packetz00_447 = 
BGl_symmetriczd2encryptzd2zz__openpgpzd2logiczd2(
((BgL_pgpzd2packetzd2_bglt)BgL_literalzd2packetzd2_445), BgL_arg1871z00_451, BgL_symmetriczd2algozd2_43, BgL_mdcz00_42); } 
{ /* Llib/pgp_facade.scm 248 */

{ /* Llib/pgp_facade.scm 252 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1132z00_448;
{ /* Llib/pgp_facade.scm 253 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1131z00_449;
BgL_new1131z00_449 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_facade.scm 253 */
 long BgL_arg1870z00_450;
BgL_arg1870z00_450 = 
BGL_CLASS_NUM(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_449), BgL_arg1870z00_450); } 
{ /* Llib/pgp_facade.scm 253 */
 BgL_objectz00_bglt BgL_tmpz00_2917;
BgL_tmpz00_2917 = 
((BgL_objectz00_bglt)BgL_new1131z00_449); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2917, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1131z00_449); 
BgL_new1132z00_448 = BgL_new1131z00_449; } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1132z00_448))->BgL_sessionzd2keyszd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1132z00_448))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_packetz00_447),BUNSPEC); 
return 
((obj_t)BgL_new1132z00_448);} } } } } } 

}



/* pubkey-decrypt */
obj_t BGl_pubkeyzd2decryptzd2zz__openpgpzd2facadezd2(BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_encryptedz00_46, obj_t BgL_pubkeyzd2sessionzd2packetsz00_47, obj_t BgL_keyzd2managerzd2_48, obj_t BgL_passwordzd2providerzd2_49, obj_t BgL_ignorezd2badzd2packetsz00_50)
{
{ /* Llib/pgp_facade.scm 259 */
BGl_pubkeyzd2decryptzd2zz__openpgpzd2facadezd2:
{ /* Llib/pgp_facade.scm 272 */
 bool_t BgL_test2437z00_2924;
if(
PROCEDUREP(BgL_keyzd2managerzd2_48))
{ /* Llib/pgp_facade.scm 272 */
BgL_test2437z00_2924 = 
PROCEDURE_CORRECT_ARITYP(BgL_keyzd2managerzd2_48, 
(int)(((long)1)))
; }  else 
{ /* Llib/pgp_facade.scm 272 */
BgL_test2437z00_2924 = ((bool_t)0)
; } 
if(BgL_test2437z00_2924)
{ /* Llib/pgp_facade.scm 272 */
if(
NULLP(BgL_pubkeyzd2sessionzd2packetsz00_47))
{ /* Llib/pgp_facade.scm 273 */
return BFALSE;}  else 
{ /* Llib/pgp_facade.scm 274 */
 obj_t BgL_packz00_460;
BgL_packz00_460 = 
CAR(
((obj_t)BgL_pubkeyzd2sessionzd2packetsz00_47)); 
{ /* Llib/pgp_facade.scm 274 */
 obj_t BgL_keyzd2idzd2_461;
BgL_keyzd2idzd2_461 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packz00_460)))->BgL_idz00); 
{ /* Llib/pgp_facade.scm 275 */
 obj_t BgL_subkeysz00_462;
{ /* Llib/pgp_facade.scm 276 */
 obj_t BgL__ortest_1134z00_480;
BgL__ortest_1134z00_480 = 
PROCEDURE_ENTRY(BgL_keyzd2managerzd2_48)(BgL_keyzd2managerzd2_48, BgL_keyzd2idzd2_461, BEOA); 
if(
CBOOL(BgL__ortest_1134z00_480))
{ /* Llib/pgp_facade.scm 276 */
BgL_subkeysz00_462 = BgL__ortest_1134z00_480; }  else 
{ /* Llib/pgp_facade.scm 276 */
BgL_subkeysz00_462 = BNIL; } } 
{ /* Llib/pgp_facade.scm 276 */

{ /* Llib/pgp_facade.scm 280 */
 obj_t BgL__ortest_1135z00_470;
{ 
 obj_t BgL_l1187z00_473;
BgL_l1187z00_473 = BgL_subkeysz00_462; 
BgL_zc3z04anonymousza31880ze3z87_474:
if(
NULLP(BgL_l1187z00_473))
{ /* Llib/pgp_facade.scm 280 */
BgL__ortest_1135z00_470 = BFALSE; }  else 
{ /* Llib/pgp_facade.scm 280 */
 obj_t BgL__ortest_1189z00_476;
{ /* Llib/pgp_facade.scm 280 */
 obj_t BgL_subkeyz00_478;
BgL_subkeyz00_478 = 
CAR(
((obj_t)BgL_l1187z00_473)); 
{ /* Llib/pgp_facade.scm 264 */
 obj_t BgL_algoz00_1338;
BgL_algoz00_1338 = 
BGl_decryptzd2publiczd2keyzd2sessionzd2keyz00zz__openpgpzd2logiczd2(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packz00_460), 
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_478), BgL_passwordzd2providerzd2_49); 
{ /* Llib/pgp_facade.scm 269 */
 obj_t BgL_keyzd2stringzd2_1339;
{ /* Llib/pgp_facade.scm 269 */
 obj_t BgL_tmpz00_1340;
{ /* Llib/pgp_facade.scm 269 */
 int BgL_tmpz00_2948;
BgL_tmpz00_2948 = 
(int)(((long)1)); 
BgL_tmpz00_1340 = 
BGL_MVALUES_VAL(BgL_tmpz00_2948); } 
{ /* Llib/pgp_facade.scm 269 */
 int BgL_tmpz00_2951;
BgL_tmpz00_2951 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2951, BUNSPEC); } 
BgL_keyzd2stringzd2_1339 = BgL_tmpz00_1340; } 
BgL__ortest_1189z00_476 = 
BGl_symmetriczd2decryptzd2zz__openpgpzd2logiczd2(BgL_encryptedz00_46, BgL_keyzd2stringzd2_1339, BgL_algoz00_1338, 
CBOOL(BgL_ignorezd2badzd2packetsz00_50)); } } } 
if(
CBOOL(BgL__ortest_1189z00_476))
{ /* Llib/pgp_facade.scm 280 */
BgL__ortest_1135z00_470 = BgL__ortest_1189z00_476; }  else 
{ /* Llib/pgp_facade.scm 280 */
 obj_t BgL_arg1882z00_477;
BgL_arg1882z00_477 = 
CDR(
((obj_t)BgL_l1187z00_473)); 
{ 
 obj_t BgL_l1187z00_2960;
BgL_l1187z00_2960 = BgL_arg1882z00_477; 
BgL_l1187z00_473 = BgL_l1187z00_2960; 
goto BgL_zc3z04anonymousza31880ze3z87_474;} } } } 
if(
CBOOL(BgL__ortest_1135z00_470))
{ /* Llib/pgp_facade.scm 280 */
return BgL__ortest_1135z00_470;}  else 
{ /* Llib/pgp_facade.scm 281 */
 obj_t BgL_arg1879z00_471;
BgL_arg1879z00_471 = 
CDR(
((obj_t)BgL_pubkeyzd2sessionzd2packetsz00_47)); 
{ 
 obj_t BgL_pubkeyzd2sessionzd2packetsz00_2965;
BgL_pubkeyzd2sessionzd2packetsz00_2965 = BgL_arg1879z00_471; 
BgL_pubkeyzd2sessionzd2packetsz00_47 = BgL_pubkeyzd2sessionzd2packetsz00_2965; 
goto BGl_pubkeyzd2decryptzd2zz__openpgpzd2facadezd2;} } } } } } } }  else 
{ /* Llib/pgp_facade.scm 272 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2199z00zz__openpgpzd2facadezd2, BGl_string2200z00zz__openpgpzd2facadezd2, BgL_keyzd2managerzd2_48);} } } 

}



/* pwd-decrypt */
obj_t BGl_pwdzd2decryptzd2zz__openpgpzd2facadezd2(BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_encryptedz00_51, obj_t BgL_passwordzd2sessionzd2packetsz00_52, obj_t BgL_passkeyzd2providerzd2_53, obj_t BgL_ignorezd2badzd2packetsz00_54)
{
{ /* Llib/pgp_facade.scm 289 */
{ 
 obj_t BgL_sessionzd2packetzd2_503; obj_t BgL_passkeyz00_504;
{ /* Llib/pgp_facade.scm 303 */
 bool_t BgL_test2444z00_2967;
if(
PROCEDUREP(BgL_passkeyzd2providerzd2_53))
{ /* Llib/pgp_facade.scm 303 */
BgL_test2444z00_2967 = 
PROCEDURE_CORRECT_ARITYP(BgL_passkeyzd2providerzd2_53, 
(int)(((long)0)))
; }  else 
{ /* Llib/pgp_facade.scm 303 */
BgL_test2444z00_2967 = ((bool_t)0)
; } 
if(BgL_test2444z00_2967)
{ /* Llib/pgp_facade.scm 303 */
if(
NULLP(BgL_passwordzd2sessionzd2packetsz00_52))
{ /* Llib/pgp_facade.scm 304 */
return BFALSE;}  else 
{ /* Llib/pgp_facade.scm 305 */
 obj_t BgL_passkeyz00_493;
BgL_passkeyz00_493 = 
PROCEDURE_ENTRY(BgL_passkeyzd2providerzd2_53)(BgL_passkeyzd2providerzd2_53, BEOA); 
{ 
 obj_t BgL_l1190z00_495;
BgL_l1190z00_495 = BgL_passwordzd2sessionzd2packetsz00_52; 
BgL_zc3z04anonymousza31887ze3z87_496:
if(
NULLP(BgL_l1190z00_495))
{ /* Llib/pgp_facade.scm 306 */
return BFALSE;}  else 
{ /* Llib/pgp_facade.scm 306 */
 obj_t BgL__ortest_1192z00_498;
{ /* Llib/pgp_facade.scm 306 */
 obj_t BgL_packetz00_500;
BgL_packetz00_500 = 
CAR(
((obj_t)BgL_l1190z00_495)); 
BgL_sessionzd2packetzd2_503 = BgL_packetz00_500; 
BgL_passkeyz00_504 = BgL_passkeyz00_493; 
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_env1144z00_507;
BgL_env1144z00_507 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_cell1139z00_508;
BgL_cell1139z00_508 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_val1143z00_509;
BgL_val1143z00_509 = 
BGl_zc3z04exitza31893ze3ze70z60zz__openpgpzd2facadezd2(BgL_ignorezd2badzd2packetsz00_54, BgL_encryptedz00_51, BgL_passkeyz00_504, BgL_sessionzd2packetzd2_503, BgL_cell1139z00_508, BgL_env1144z00_507); 
if(
(BgL_val1143z00_509==BgL_cell1139z00_508))
{ /* Llib/pgp_facade.scm 293 */
{ /* Llib/pgp_facade.scm 293 */
 int BgL_tmpz00_2986;
BgL_tmpz00_2986 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_2986); } 
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_arg1892z00_511;
BgL_arg1892z00_511 = 
CELL_REF(
((obj_t)BgL_val1143z00_509)); 
BgL__ortest_1192z00_498 = BFALSE; } }  else 
{ /* Llib/pgp_facade.scm 293 */
BgL__ortest_1192z00_498 = BgL_val1143z00_509; } } } } } 
if(
CBOOL(BgL__ortest_1192z00_498))
{ /* Llib/pgp_facade.scm 306 */
return BgL__ortest_1192z00_498;}  else 
{ /* Llib/pgp_facade.scm 306 */
 obj_t BgL_arg1889z00_499;
BgL_arg1889z00_499 = 
CDR(
((obj_t)BgL_l1190z00_495)); 
{ 
 obj_t BgL_l1190z00_2995;
BgL_l1190z00_2995 = BgL_arg1889z00_499; 
BgL_l1190z00_495 = BgL_l1190z00_2995; 
goto BgL_zc3z04anonymousza31887ze3z87_496;} } } } } }  else 
{ /* Llib/pgp_facade.scm 303 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2199z00zz__openpgpzd2facadezd2, BGl_string2201z00zz__openpgpzd2facadezd2, BgL_passkeyzd2providerzd2_53);} } } } 

}



/* <@exit:1893>~0 */
obj_t BGl_zc3z04exitza31893ze3ze70z60zz__openpgpzd2facadezd2(obj_t BgL_ignorezd2badzd2packetsz00_1708, BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_encryptedz00_1707, obj_t BgL_passkeyz00_1706, obj_t BgL_sessionzd2packetzd2_1705, obj_t BgL_cell1139z00_1704, obj_t BgL_env1144z00_1703)
{
{ /* Llib/pgp_facade.scm 293 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1148z00_513;
if( SET_EXIT(BgL_an_exit1148z00_513 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1148z00_513 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1144z00_1703, BgL_an_exit1148z00_513, ((long)1)); 
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_escape1140z00_514;
BgL_escape1140z00_514 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1144z00_1703); 
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_res1151z00_515;
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_ohs1136z00_516;
BgL_ohs1136z00_516 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1144z00_1703); 
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_hds1137z00_517;
BgL_hds1137z00_517 = 
MAKE_STACK_PAIR(BgL_escape1140z00_514, BgL_cell1139z00_1704); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1144z00_1703, BgL_hds1137z00_517); BUNSPEC; 
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_exitd1145z00_518;
BgL_exitd1145z00_518 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1144z00_1703); 
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_tmp1147z00_519;
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_arg1894z00_523;
BgL_arg1894z00_523 = 
BGL_EXITD_PROTECT(BgL_exitd1145z00_518); 
BgL_tmp1147z00_519 = 
MAKE_YOUNG_PAIR(BgL_ohs1136z00_516, BgL_arg1894z00_523); } 
{ /* Llib/pgp_facade.scm 293 */

BGL_EXITD_PROTECT_SET(BgL_exitd1145z00_518, BgL_tmp1147z00_519); BUNSPEC; 
{ /* Llib/pgp_facade.scm 297 */
 obj_t BgL_tmp1146z00_520;
{ /* Llib/pgp_facade.scm 297 */
 obj_t BgL_algoz00_521;
BgL_algoz00_521 = 
BGl_decryptzd2symmetriczd2keyzd2sessionzd2keyz00zz__openpgpzd2logiczd2(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_sessionzd2packetzd2_1705), BgL_passkeyz00_1706); 
{ /* Llib/pgp_facade.scm 300 */
 obj_t BgL_keyzd2stringzd2_522;
{ /* Llib/pgp_facade.scm 300 */
 obj_t BgL_tmpz00_1343;
{ /* Llib/pgp_facade.scm 300 */
 int BgL_tmpz00_3010;
BgL_tmpz00_3010 = 
(int)(((long)1)); 
BgL_tmpz00_1343 = 
BGL_MVALUES_VAL(BgL_tmpz00_3010); } 
{ /* Llib/pgp_facade.scm 300 */
 int BgL_tmpz00_3013;
BgL_tmpz00_3013 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3013, BUNSPEC); } 
BgL_keyzd2stringzd2_522 = BgL_tmpz00_1343; } 
BgL_tmp1146z00_520 = 
BGl_symmetriczd2decryptzd2zz__openpgpzd2logiczd2(BgL_encryptedz00_1707, BgL_keyzd2stringzd2_522, BgL_algoz00_521, 
CBOOL(BgL_ignorezd2badzd2packetsz00_1708)); } } 
{ /* Llib/pgp_facade.scm 293 */
 bool_t BgL_test2450z00_3018;
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_arg1817z00_1345;
BgL_arg1817z00_1345 = 
BGL_EXITD_PROTECT(BgL_exitd1145z00_518); 
BgL_test2450z00_3018 = 
PAIRP(BgL_arg1817z00_1345); } 
if(BgL_test2450z00_3018)
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_arg1815z00_1346;
{ /* Llib/pgp_facade.scm 293 */
 obj_t BgL_arg1816z00_1347;
BgL_arg1816z00_1347 = 
BGL_EXITD_PROTECT(BgL_exitd1145z00_518); 
BgL_arg1815z00_1346 = 
CDR(
((obj_t)BgL_arg1816z00_1347)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1145z00_518, BgL_arg1815z00_1346); BUNSPEC; }  else 
{ /* Llib/pgp_facade.scm 293 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1144z00_1703, BgL_ohs1136z00_516); BUNSPEC; 
BgL_res1151z00_515 = BgL_tmp1146z00_520; } } } } } } 
POP_ENV_EXIT(BgL_env1144z00_1703); 
return BgL_res1151z00_515;} } 
}} 

}



/* _pgp-decrypt */
obj_t BGl__pgpzd2decryptzd2zz__openpgpzd2facadezd2(obj_t BgL_env1252z00_63, obj_t BgL_opt1251z00_62)
{
{ /* Llib/pgp_facade.scm 313 */
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_encryptedz00_532;
BgL_encryptedz00_532 = 
VECTOR_REF(BgL_opt1251z00_62,((long)0)); 
{ /* Llib/pgp_facade.scm 318 */
 obj_t BgL_hashzd2algozd2_533;
BgL_hashzd2algozd2_533 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_ignorezd2badzd2packetsz00_534;
BgL_ignorezd2badzd2packetsz00_534 = BFALSE; 
{ /* Llib/pgp_facade.scm 317 */
 obj_t BgL_keyzd2managerzd2_535;
BgL_keyzd2managerzd2_535 = BGl_proc2202z00zz__openpgpzd2facadezd2; 
{ /* Llib/pgp_facade.scm 315 */
 obj_t BgL_passkeyzd2providerzd2_536;
BgL_passkeyzd2providerzd2_536 = BGl_proc2203z00zz__openpgpzd2facadezd2; 
{ /* Llib/pgp_facade.scm 316 */
 obj_t BgL_passwordzd2providerzd2_537;
BgL_passwordzd2providerzd2_537 = BGl_proc2204z00zz__openpgpzd2facadezd2; 
{ /* Llib/pgp_facade.scm 319 */
 obj_t BgL_symmetriczd2algozd2_538;
BgL_symmetriczd2algozd2_538 = 
CNST_TABLE_REF(((long)19)); 
{ /* Llib/pgp_facade.scm 313 */

{ 
 long BgL_iz00_539;
BgL_iz00_539 = ((long)1); 
BgL_check1255z00_540:
if(
(BgL_iz00_539==
VECTOR_LENGTH(BgL_opt1251z00_62)))
{ /* Llib/pgp_facade.scm 313 */BNIL; }  else 
{ /* Llib/pgp_facade.scm 313 */
 bool_t BgL_test2452z00_3033;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_arg1901z00_546;
BgL_arg1901z00_546 = 
VECTOR_REF(BgL_opt1251z00_62,BgL_iz00_539); 
BgL_test2452z00_3033 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1901z00_546, 
CNST_TABLE_REF(((long)25)))); } 
if(BgL_test2452z00_3033)
{ 
 long BgL_iz00_3038;
BgL_iz00_3038 = 
(BgL_iz00_539+((long)2)); 
BgL_iz00_539 = BgL_iz00_3038; 
goto BgL_check1255z00_540;}  else 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_arg1900z00_545;
BgL_arg1900z00_545 = 
VECTOR_REF(BgL_opt1251z00_62,BgL_iz00_539); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)26)), BGl_string2166z00zz__openpgpzd2facadezd2, BgL_arg1900z00_545); } } } 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_index1257z00_547;
BgL_index1257z00_547 = 
BGl_search1254ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1251z00_62), BgL_opt1251z00_62, 
CNST_TABLE_REF(((long)14)), ((long)1)); 
{ /* Llib/pgp_facade.scm 313 */
 bool_t BgL_test2453z00_3046;
{ /* Llib/pgp_facade.scm 313 */
 long BgL_n1z00_1367;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3047;
if(
INTEGERP(BgL_index1257z00_547))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3047 = BgL_index1257z00_547
; }  else 
{ 
 obj_t BgL_auxz00_3050;
BgL_auxz00_3050 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1257z00_547); 
FAILURE(BgL_auxz00_3050,BFALSE,BFALSE);} 
BgL_n1z00_1367 = 
(long)CINT(BgL_tmpz00_3047); } 
BgL_test2453z00_3046 = 
(BgL_n1z00_1367>=((long)0)); } 
if(BgL_test2453z00_3046)
{ 
 long BgL_auxz00_3056;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3057;
if(
INTEGERP(BgL_index1257z00_547))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3057 = BgL_index1257z00_547
; }  else 
{ 
 obj_t BgL_auxz00_3060;
BgL_auxz00_3060 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1257z00_547); 
FAILURE(BgL_auxz00_3060,BFALSE,BFALSE);} 
BgL_auxz00_3056 = 
(long)CINT(BgL_tmpz00_3057); } 
BgL_hashzd2algozd2_533 = 
VECTOR_REF(BgL_opt1251z00_62,BgL_auxz00_3056); }  else 
{ /* Llib/pgp_facade.scm 313 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_index1258z00_549;
BgL_index1258z00_549 = 
BGl_search1254ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1251z00_62), BgL_opt1251z00_62, 
CNST_TABLE_REF(((long)27)), ((long)1)); 
{ /* Llib/pgp_facade.scm 313 */
 bool_t BgL_test2456z00_3069;
{ /* Llib/pgp_facade.scm 313 */
 long BgL_n1z00_1368;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3070;
if(
INTEGERP(BgL_index1258z00_549))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3070 = BgL_index1258z00_549
; }  else 
{ 
 obj_t BgL_auxz00_3073;
BgL_auxz00_3073 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1258z00_549); 
FAILURE(BgL_auxz00_3073,BFALSE,BFALSE);} 
BgL_n1z00_1368 = 
(long)CINT(BgL_tmpz00_3070); } 
BgL_test2456z00_3069 = 
(BgL_n1z00_1368>=((long)0)); } 
if(BgL_test2456z00_3069)
{ 
 long BgL_auxz00_3079;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3080;
if(
INTEGERP(BgL_index1258z00_549))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3080 = BgL_index1258z00_549
; }  else 
{ 
 obj_t BgL_auxz00_3083;
BgL_auxz00_3083 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1258z00_549); 
FAILURE(BgL_auxz00_3083,BFALSE,BFALSE);} 
BgL_auxz00_3079 = 
(long)CINT(BgL_tmpz00_3080); } 
BgL_ignorezd2badzd2packetsz00_534 = 
VECTOR_REF(BgL_opt1251z00_62,BgL_auxz00_3079); }  else 
{ /* Llib/pgp_facade.scm 313 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_index1259z00_551;
BgL_index1259z00_551 = 
BGl_search1254ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1251z00_62), BgL_opt1251z00_62, 
CNST_TABLE_REF(((long)28)), ((long)1)); 
{ /* Llib/pgp_facade.scm 313 */
 bool_t BgL_test2459z00_3092;
{ /* Llib/pgp_facade.scm 313 */
 long BgL_n1z00_1369;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3093;
if(
INTEGERP(BgL_index1259z00_551))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3093 = BgL_index1259z00_551
; }  else 
{ 
 obj_t BgL_auxz00_3096;
BgL_auxz00_3096 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1259z00_551); 
FAILURE(BgL_auxz00_3096,BFALSE,BFALSE);} 
BgL_n1z00_1369 = 
(long)CINT(BgL_tmpz00_3093); } 
BgL_test2459z00_3092 = 
(BgL_n1z00_1369>=((long)0)); } 
if(BgL_test2459z00_3092)
{ 
 long BgL_auxz00_3102;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3103;
if(
INTEGERP(BgL_index1259z00_551))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3103 = BgL_index1259z00_551
; }  else 
{ 
 obj_t BgL_auxz00_3106;
BgL_auxz00_3106 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1259z00_551); 
FAILURE(BgL_auxz00_3106,BFALSE,BFALSE);} 
BgL_auxz00_3102 = 
(long)CINT(BgL_tmpz00_3103); } 
BgL_keyzd2managerzd2_535 = 
VECTOR_REF(BgL_opt1251z00_62,BgL_auxz00_3102); }  else 
{ /* Llib/pgp_facade.scm 313 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_index1260z00_553;
BgL_index1260z00_553 = 
BGl_search1254ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1251z00_62), BgL_opt1251z00_62, 
CNST_TABLE_REF(((long)29)), ((long)1)); 
{ /* Llib/pgp_facade.scm 313 */
 bool_t BgL_test2462z00_3115;
{ /* Llib/pgp_facade.scm 313 */
 long BgL_n1z00_1370;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3116;
if(
INTEGERP(BgL_index1260z00_553))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3116 = BgL_index1260z00_553
; }  else 
{ 
 obj_t BgL_auxz00_3119;
BgL_auxz00_3119 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1260z00_553); 
FAILURE(BgL_auxz00_3119,BFALSE,BFALSE);} 
BgL_n1z00_1370 = 
(long)CINT(BgL_tmpz00_3116); } 
BgL_test2462z00_3115 = 
(BgL_n1z00_1370>=((long)0)); } 
if(BgL_test2462z00_3115)
{ 
 long BgL_auxz00_3125;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3126;
if(
INTEGERP(BgL_index1260z00_553))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3126 = BgL_index1260z00_553
; }  else 
{ 
 obj_t BgL_auxz00_3129;
BgL_auxz00_3129 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1260z00_553); 
FAILURE(BgL_auxz00_3129,BFALSE,BFALSE);} 
BgL_auxz00_3125 = 
(long)CINT(BgL_tmpz00_3126); } 
BgL_passkeyzd2providerzd2_536 = 
VECTOR_REF(BgL_opt1251z00_62,BgL_auxz00_3125); }  else 
{ /* Llib/pgp_facade.scm 313 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_index1261z00_555;
BgL_index1261z00_555 = 
BGl_search1254ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1251z00_62), BgL_opt1251z00_62, 
CNST_TABLE_REF(((long)30)), ((long)1)); 
{ /* Llib/pgp_facade.scm 313 */
 bool_t BgL_test2465z00_3138;
{ /* Llib/pgp_facade.scm 313 */
 long BgL_n1z00_1371;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3139;
if(
INTEGERP(BgL_index1261z00_555))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3139 = BgL_index1261z00_555
; }  else 
{ 
 obj_t BgL_auxz00_3142;
BgL_auxz00_3142 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1261z00_555); 
FAILURE(BgL_auxz00_3142,BFALSE,BFALSE);} 
BgL_n1z00_1371 = 
(long)CINT(BgL_tmpz00_3139); } 
BgL_test2465z00_3138 = 
(BgL_n1z00_1371>=((long)0)); } 
if(BgL_test2465z00_3138)
{ 
 long BgL_auxz00_3148;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3149;
if(
INTEGERP(BgL_index1261z00_555))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3149 = BgL_index1261z00_555
; }  else 
{ 
 obj_t BgL_auxz00_3152;
BgL_auxz00_3152 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1261z00_555); 
FAILURE(BgL_auxz00_3152,BFALSE,BFALSE);} 
BgL_auxz00_3148 = 
(long)CINT(BgL_tmpz00_3149); } 
BgL_passwordzd2providerzd2_537 = 
VECTOR_REF(BgL_opt1251z00_62,BgL_auxz00_3148); }  else 
{ /* Llib/pgp_facade.scm 313 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_index1262z00_557;
BgL_index1262z00_557 = 
BGl_search1254ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1251z00_62), BgL_opt1251z00_62, 
CNST_TABLE_REF(((long)23)), ((long)1)); 
{ /* Llib/pgp_facade.scm 313 */
 bool_t BgL_test2468z00_3161;
{ /* Llib/pgp_facade.scm 313 */
 long BgL_n1z00_1372;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3162;
if(
INTEGERP(BgL_index1262z00_557))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3162 = BgL_index1262z00_557
; }  else 
{ 
 obj_t BgL_auxz00_3165;
BgL_auxz00_3165 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1262z00_557); 
FAILURE(BgL_auxz00_3165,BFALSE,BFALSE);} 
BgL_n1z00_1372 = 
(long)CINT(BgL_tmpz00_3162); } 
BgL_test2468z00_3161 = 
(BgL_n1z00_1372>=((long)0)); } 
if(BgL_test2468z00_3161)
{ 
 long BgL_auxz00_3171;
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_tmpz00_3172;
if(
INTEGERP(BgL_index1262z00_557))
{ /* Llib/pgp_facade.scm 313 */
BgL_tmpz00_3172 = BgL_index1262z00_557
; }  else 
{ 
 obj_t BgL_auxz00_3175;
BgL_auxz00_3175 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)12350)), BGl_string2205z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1262z00_557); 
FAILURE(BgL_auxz00_3175,BFALSE,BFALSE);} 
BgL_auxz00_3171 = 
(long)CINT(BgL_tmpz00_3172); } 
BgL_symmetriczd2algozd2_538 = 
VECTOR_REF(BgL_opt1251z00_62,BgL_auxz00_3171); }  else 
{ /* Llib/pgp_facade.scm 313 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_arg1908z00_559;
BgL_arg1908z00_559 = 
VECTOR_REF(BgL_opt1251z00_62,((long)0)); 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_hashzd2algozd2_560;
BgL_hashzd2algozd2_560 = BgL_hashzd2algozd2_533; 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_ignorezd2badzd2packetsz00_561;
BgL_ignorezd2badzd2packetsz00_561 = BgL_ignorezd2badzd2packetsz00_534; 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_keyzd2managerzd2_562;
BgL_keyzd2managerzd2_562 = BgL_keyzd2managerzd2_535; 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_passkeyzd2providerzd2_563;
BgL_passkeyzd2providerzd2_563 = BgL_passkeyzd2providerzd2_536; 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_passwordzd2providerzd2_564;
BgL_passwordzd2providerzd2_564 = BgL_passwordzd2providerzd2_537; 
return 
BGl_pgpzd2decryptzd2zz__openpgpzd2facadezd2(BgL_arg1908z00_559, BgL_hashzd2algozd2_560, BgL_ignorezd2badzd2packetsz00_561, BgL_keyzd2managerzd2_562, BgL_passkeyzd2providerzd2_563, BgL_passwordzd2providerzd2_564, BgL_symmetriczd2algozd2_538);} } } } } } } } } } } } } } } 

}



/* search1254~0 */
obj_t BGl_search1254ze70ze7zz__openpgpzd2facadezd2(long BgL_l1253z00_1702, obj_t BgL_opt1251z00_1701, obj_t BgL_k1z00_529, long BgL_iz00_530)
{
{ /* Llib/pgp_facade.scm 313 */
BGl_search1254ze70ze7zz__openpgpzd2facadezd2:
if(
(BgL_iz00_530==BgL_l1253z00_1702))
{ /* Llib/pgp_facade.scm 313 */
return 
BINT(((long)-1));}  else 
{ /* Llib/pgp_facade.scm 313 */
if(
(BgL_iz00_530==
(BgL_l1253z00_1702-((long)1))))
{ /* Llib/pgp_facade.scm 313 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)26)), BGl_string2206z00zz__openpgpzd2facadezd2, 
BINT(
VECTOR_LENGTH(BgL_opt1251z00_1701)));}  else 
{ /* Llib/pgp_facade.scm 313 */
 obj_t BgL_vz00_575;
BgL_vz00_575 = 
VECTOR_REF(BgL_opt1251z00_1701,BgL_iz00_530); 
if(
(BgL_vz00_575==BgL_k1z00_529))
{ /* Llib/pgp_facade.scm 313 */
return 
BINT(
(BgL_iz00_530+((long)1)));}  else 
{ 
 long BgL_iz00_3198;
BgL_iz00_3198 = 
(BgL_iz00_530+((long)2)); 
BgL_iz00_530 = BgL_iz00_3198; 
goto BGl_search1254ze70ze7zz__openpgpzd2facadezd2;} } } } 

}



/* &<@anonymous:1909> */
obj_t BGl_z62zc3z04anonymousza31909ze3ze5zz__openpgpzd2facadezd2(obj_t BgL_envz00_1694, obj_t BgL_keyz00_1695)
{
{ /* Llib/pgp_facade.scm 316 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1910> */
obj_t BGl_z62zc3z04anonymousza31910ze3ze5zz__openpgpzd2facadezd2(obj_t BgL_envz00_1696)
{
{ /* Llib/pgp_facade.scm 315 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1911> */
obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__openpgpzd2facadezd2(obj_t BgL_envz00_1697, obj_t BgL_keyz00_1698)
{
{ /* Llib/pgp_facade.scm 317 */
return BNIL;} 

}



/* pgp-decrypt */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2decryptzd2zz__openpgpzd2facadezd2(obj_t BgL_encryptedz00_55, obj_t BgL_hashzd2algozd2_56, obj_t BgL_ignorezd2badzd2packetsz00_57, obj_t BgL_keyzd2managerzd2_58, obj_t BgL_passkeyzd2providerzd2_59, obj_t BgL_passwordzd2providerzd2_60, obj_t BgL_symmetriczd2algozd2_61)
{
{ /* Llib/pgp_facade.scm 313 */
{ /* Llib/pgp_facade.scm 322 */
 bool_t BgL_test2474z00_3202;
{ /* Llib/pgp_facade.scm 322 */
 obj_t BgL_classz00_1373;
BgL_classz00_1373 = BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2; 
if(
BGL_OBJECTP(BgL_encryptedz00_55))
{ /* Llib/pgp_facade.scm 322 */
 BgL_objectz00_bglt BgL_arg1797z00_1375;
BgL_arg1797z00_1375 = 
(BgL_objectz00_bglt)(BgL_encryptedz00_55); 
{ /* Llib/pgp_facade.scm 322 */
 bool_t BgL_arg1794z00_1378; bool_t BgL_arg1795z00_1379;
{ /* Llib/pgp_facade.scm 322 */
 long BgL_idxz00_1382;
BgL_idxz00_1382 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1375); 
BgL_arg1794z00_1378 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1382+((long)3)))==BgL_classz00_1373); } 
{ /* Llib/pgp_facade.scm 322 */
 bool_t BgL_res2034z00_1404;
{ /* Llib/pgp_facade.scm 322 */
 obj_t BgL_oclassz00_1390;
{ /* Llib/pgp_facade.scm 322 */
 long BgL_arg1804z00_1396;
{ /* Llib/pgp_facade.scm 322 */
 long BgL_arg1805z00_1397;
BgL_arg1805z00_1397 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1375); 
BgL_arg1804z00_1396 = 
(BgL_arg1805z00_1397-OBJECT_TYPE); } 
BgL_oclassz00_1390 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1396); } 
{ /* Llib/pgp_facade.scm 322 */
 bool_t BgL__ortest_1111z00_1391;
BgL__ortest_1111z00_1391 = 
(BgL_classz00_1373==BgL_oclassz00_1390); 
if(BgL__ortest_1111z00_1391)
{ /* Llib/pgp_facade.scm 322 */
BgL_res2034z00_1404 = BgL__ortest_1111z00_1391; }  else 
{ /* Llib/pgp_facade.scm 322 */
 long BgL_odepthz00_1392;
BgL_odepthz00_1392 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1390); 
if(
(((long)3)<BgL_odepthz00_1392))
{ /* Llib/pgp_facade.scm 322 */
 obj_t BgL_arg1793z00_1394;
BgL_arg1793z00_1394 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1390, ((long)3)); 
BgL_res2034z00_1404 = 
(BgL_arg1793z00_1394==BgL_classz00_1373); }  else 
{ /* Llib/pgp_facade.scm 322 */
BgL_res2034z00_1404 = ((bool_t)0); } } } } 
BgL_arg1795z00_1379 = BgL_res2034z00_1404; } 
BgL_test2474z00_3202 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1378, BgL_arg1795z00_1379); } }  else 
{ /* Llib/pgp_facade.scm 322 */
BgL_test2474z00_3202 = ((bool_t)0)
; } } 
if(BgL_test2474z00_3202)
{ /* Llib/pgp_facade.scm 322 */BFALSE; }  else 
{ /* Llib/pgp_facade.scm 322 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2207z00zz__openpgpzd2facadezd2, BGl_string2208z00zz__openpgpzd2facadezd2, BgL_encryptedz00_55); } } 
{ /* Llib/pgp_facade.scm 337 */
 obj_t BgL_skeysz00_585;
if(
NULLP(
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_encryptedz00_55)))->BgL_sessionzd2keyszd2)))
{ /* Llib/pgp_facade.scm 340 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_arg1964z00_655;
{ /* Llib/pgp_facade.scm 340 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1157z00_657;
{ /* Llib/pgp_facade.scm 341 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1156z00_658;
BgL_new1156z00_658 = 
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_facade.scm 341 */
 long BgL_arg1966z00_659;
BgL_arg1966z00_659 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_658), BgL_arg1966z00_659); } 
{ /* Llib/pgp_facade.scm 341 */
 BgL_objectz00_bglt BgL_tmpz00_3230;
BgL_tmpz00_3230 = 
((BgL_objectz00_bglt)BgL_new1156z00_658); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3230, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1156z00_658); 
BgL_new1157z00_657 = BgL_new1156z00_658; } 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1157z00_657))->BgL_versionz00)=((long)((long)4)),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1157z00_657))->BgL_algoz00)=((obj_t)BgL_symmetriczd2algozd2_61),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1157z00_657))->BgL_s2kz00)=((obj_t)
BGl_makezd2s2kzd2zz__openpgpzd2s2kzd2(
CNST_TABLE_REF(((long)31)), BgL_hashzd2algozd2_56, BFALSE, BFALSE)),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1157z00_657))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1964z00_655 = BgL_new1157z00_657; } 
{ /* Llib/pgp_facade.scm 339 */
 obj_t BgL_list1965z00_656;
BgL_list1965z00_656 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1964z00_655), BNIL); 
BgL_skeysz00_585 = BgL_list1965z00_656; } }  else 
{ /* Llib/pgp_facade.scm 337 */
BgL_skeysz00_585 = 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_encryptedz00_55)))->BgL_sessionzd2keyszd2); } 
{ /* Llib/pgp_facade.scm 337 */
 obj_t BgL_pubkeyzd2sessionzd2packetsz00_586;
{ /* Llib/pgp_facade.scm 348 */
 obj_t BgL_hook1198z00_639;
BgL_hook1198z00_639 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ 
 obj_t BgL_l1195z00_641; obj_t BgL_h1196z00_642;
BgL_l1195z00_641 = BgL_skeysz00_585; 
BgL_h1196z00_642 = BgL_hook1198z00_639; 
BgL_zc3z04anonymousza31956ze3z87_643:
if(
NULLP(BgL_l1195z00_641))
{ /* Llib/pgp_facade.scm 348 */
BgL_pubkeyzd2sessionzd2packetsz00_586 = 
CDR(BgL_hook1198z00_639); }  else 
{ /* Llib/pgp_facade.scm 348 */
 bool_t BgL_test2480z00_3248;
{ /* Llib/pgp_facade.scm 349 */
 obj_t BgL_xz00_651;
BgL_xz00_651 = 
CAR(
((obj_t)BgL_l1195z00_641)); 
{ /* Llib/pgp_facade.scm 349 */
 obj_t BgL_classz00_1412;
BgL_classz00_1412 = BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_xz00_651))
{ /* Llib/pgp_facade.scm 349 */
 BgL_objectz00_bglt BgL_arg1797z00_1414;
BgL_arg1797z00_1414 = 
(BgL_objectz00_bglt)(BgL_xz00_651); 
{ /* Llib/pgp_facade.scm 349 */
 bool_t BgL_arg1794z00_1417; bool_t BgL_arg1795z00_1418;
{ /* Llib/pgp_facade.scm 349 */
 long BgL_idxz00_1421;
BgL_idxz00_1421 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1414); 
BgL_arg1794z00_1417 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1421+((long)3)))==BgL_classz00_1412); } 
{ /* Llib/pgp_facade.scm 349 */
 bool_t BgL_res2036z00_1443;
{ /* Llib/pgp_facade.scm 349 */
 obj_t BgL_oclassz00_1429;
{ /* Llib/pgp_facade.scm 349 */
 long BgL_arg1804z00_1435;
{ /* Llib/pgp_facade.scm 349 */
 long BgL_arg1805z00_1436;
BgL_arg1805z00_1436 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1414); 
BgL_arg1804z00_1435 = 
(BgL_arg1805z00_1436-OBJECT_TYPE); } 
BgL_oclassz00_1429 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1435); } 
{ /* Llib/pgp_facade.scm 349 */
 bool_t BgL__ortest_1111z00_1430;
BgL__ortest_1111z00_1430 = 
(BgL_classz00_1412==BgL_oclassz00_1429); 
if(BgL__ortest_1111z00_1430)
{ /* Llib/pgp_facade.scm 349 */
BgL_res2036z00_1443 = BgL__ortest_1111z00_1430; }  else 
{ /* Llib/pgp_facade.scm 349 */
 long BgL_odepthz00_1431;
BgL_odepthz00_1431 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1429); 
if(
(((long)3)<BgL_odepthz00_1431))
{ /* Llib/pgp_facade.scm 349 */
 obj_t BgL_arg1793z00_1433;
BgL_arg1793z00_1433 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1429, ((long)3)); 
BgL_res2036z00_1443 = 
(BgL_arg1793z00_1433==BgL_classz00_1412); }  else 
{ /* Llib/pgp_facade.scm 349 */
BgL_res2036z00_1443 = ((bool_t)0); } } } } 
BgL_arg1795z00_1418 = BgL_res2036z00_1443; } 
BgL_test2480z00_3248 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1417, BgL_arg1795z00_1418); } }  else 
{ /* Llib/pgp_facade.scm 349 */
BgL_test2480z00_3248 = ((bool_t)0)
; } } } 
if(BgL_test2480z00_3248)
{ /* Llib/pgp_facade.scm 348 */
 obj_t BgL_nh1197z00_647;
{ /* Llib/pgp_facade.scm 348 */
 obj_t BgL_arg1960z00_649;
BgL_arg1960z00_649 = 
CAR(
((obj_t)BgL_l1195z00_641)); 
BgL_nh1197z00_647 = 
MAKE_YOUNG_PAIR(BgL_arg1960z00_649, BNIL); } 
SET_CDR(BgL_h1196z00_642, BgL_nh1197z00_647); 
{ /* Llib/pgp_facade.scm 348 */
 obj_t BgL_arg1959z00_648;
BgL_arg1959z00_648 = 
CDR(
((obj_t)BgL_l1195z00_641)); 
{ 
 obj_t BgL_h1196z00_3276; obj_t BgL_l1195z00_3275;
BgL_l1195z00_3275 = BgL_arg1959z00_648; 
BgL_h1196z00_3276 = BgL_nh1197z00_647; 
BgL_h1196z00_642 = BgL_h1196z00_3276; 
BgL_l1195z00_641 = BgL_l1195z00_3275; 
goto BgL_zc3z04anonymousza31956ze3z87_643;} } }  else 
{ /* Llib/pgp_facade.scm 348 */
 obj_t BgL_arg1961z00_650;
BgL_arg1961z00_650 = 
CDR(
((obj_t)BgL_l1195z00_641)); 
{ 
 obj_t BgL_l1195z00_3279;
BgL_l1195z00_3279 = BgL_arg1961z00_650; 
BgL_l1195z00_641 = BgL_l1195z00_3279; 
goto BgL_zc3z04anonymousza31956ze3z87_643;} } } } } 
{ /* Llib/pgp_facade.scm 347 */
 obj_t BgL_passwordzd2sessionzd2packetsz00_587;
{ /* Llib/pgp_facade.scm 352 */
 obj_t BgL_hook1203z00_625;
BgL_hook1203z00_625 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ 
 obj_t BgL_l1200z00_627; obj_t BgL_h1201z00_628;
BgL_l1200z00_627 = BgL_skeysz00_585; 
BgL_h1201z00_628 = BgL_hook1203z00_625; 
BgL_zc3z04anonymousza31950ze3z87_629:
if(
NULLP(BgL_l1200z00_627))
{ /* Llib/pgp_facade.scm 352 */
BgL_passwordzd2sessionzd2packetsz00_587 = 
CDR(BgL_hook1203z00_625); }  else 
{ /* Llib/pgp_facade.scm 352 */
 bool_t BgL_test2485z00_3284;
{ /* Llib/pgp_facade.scm 353 */
 obj_t BgL_xz00_637;
BgL_xz00_637 = 
CAR(
((obj_t)BgL_l1200z00_627)); 
{ /* Llib/pgp_facade.scm 353 */
 obj_t BgL_classz00_1450;
BgL_classz00_1450 = BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_xz00_637))
{ /* Llib/pgp_facade.scm 353 */
 BgL_objectz00_bglt BgL_arg1797z00_1452;
BgL_arg1797z00_1452 = 
(BgL_objectz00_bglt)(BgL_xz00_637); 
{ /* Llib/pgp_facade.scm 353 */
 bool_t BgL_arg1794z00_1455; bool_t BgL_arg1795z00_1456;
{ /* Llib/pgp_facade.scm 353 */
 long BgL_idxz00_1459;
BgL_idxz00_1459 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1452); 
BgL_arg1794z00_1455 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1459+((long)3)))==BgL_classz00_1450); } 
{ /* Llib/pgp_facade.scm 353 */
 bool_t BgL_res2037z00_1481;
{ /* Llib/pgp_facade.scm 353 */
 obj_t BgL_oclassz00_1467;
{ /* Llib/pgp_facade.scm 353 */
 long BgL_arg1804z00_1473;
{ /* Llib/pgp_facade.scm 353 */
 long BgL_arg1805z00_1474;
BgL_arg1805z00_1474 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1452); 
BgL_arg1804z00_1473 = 
(BgL_arg1805z00_1474-OBJECT_TYPE); } 
BgL_oclassz00_1467 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1473); } 
{ /* Llib/pgp_facade.scm 353 */
 bool_t BgL__ortest_1111z00_1468;
BgL__ortest_1111z00_1468 = 
(BgL_classz00_1450==BgL_oclassz00_1467); 
if(BgL__ortest_1111z00_1468)
{ /* Llib/pgp_facade.scm 353 */
BgL_res2037z00_1481 = BgL__ortest_1111z00_1468; }  else 
{ /* Llib/pgp_facade.scm 353 */
 long BgL_odepthz00_1469;
BgL_odepthz00_1469 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1467); 
if(
(((long)3)<BgL_odepthz00_1469))
{ /* Llib/pgp_facade.scm 353 */
 obj_t BgL_arg1793z00_1471;
BgL_arg1793z00_1471 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1467, ((long)3)); 
BgL_res2037z00_1481 = 
(BgL_arg1793z00_1471==BgL_classz00_1450); }  else 
{ /* Llib/pgp_facade.scm 353 */
BgL_res2037z00_1481 = ((bool_t)0); } } } } 
BgL_arg1795z00_1456 = BgL_res2037z00_1481; } 
BgL_test2485z00_3284 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1455, BgL_arg1795z00_1456); } }  else 
{ /* Llib/pgp_facade.scm 353 */
BgL_test2485z00_3284 = ((bool_t)0)
; } } } 
if(BgL_test2485z00_3284)
{ /* Llib/pgp_facade.scm 352 */
 obj_t BgL_nh1202z00_633;
{ /* Llib/pgp_facade.scm 352 */
 obj_t BgL_arg1954z00_635;
BgL_arg1954z00_635 = 
CAR(
((obj_t)BgL_l1200z00_627)); 
BgL_nh1202z00_633 = 
MAKE_YOUNG_PAIR(BgL_arg1954z00_635, BNIL); } 
SET_CDR(BgL_h1201z00_628, BgL_nh1202z00_633); 
{ /* Llib/pgp_facade.scm 352 */
 obj_t BgL_arg1953z00_634;
BgL_arg1953z00_634 = 
CDR(
((obj_t)BgL_l1200z00_627)); 
{ 
 obj_t BgL_h1201z00_3312; obj_t BgL_l1200z00_3311;
BgL_l1200z00_3311 = BgL_arg1953z00_634; 
BgL_h1201z00_3312 = BgL_nh1202z00_633; 
BgL_h1201z00_628 = BgL_h1201z00_3312; 
BgL_l1200z00_627 = BgL_l1200z00_3311; 
goto BgL_zc3z04anonymousza31950ze3z87_629;} } }  else 
{ /* Llib/pgp_facade.scm 352 */
 obj_t BgL_arg1955z00_636;
BgL_arg1955z00_636 = 
CDR(
((obj_t)BgL_l1200z00_627)); 
{ 
 obj_t BgL_l1200z00_3315;
BgL_l1200z00_3315 = BgL_arg1955z00_636; 
BgL_l1200z00_627 = BgL_l1200z00_3315; 
goto BgL_zc3z04anonymousza31950ze3z87_629;} } } } } 
{ /* Llib/pgp_facade.scm 351 */

{ /* Llib/pgp_facade.scm 356 */
 obj_t BgL_decryptedz00_588;
{ /* Llib/pgp_facade.scm 356 */
 obj_t BgL__ortest_1158z00_622;
{ /* Llib/pgp_facade.scm 356 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_arg1949z00_624;
BgL_arg1949z00_624 = 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_encryptedz00_55)))->BgL_encryptedzd2datazd2); 
BgL__ortest_1158z00_622 = 
BGl_pubkeyzd2decryptzd2zz__openpgpzd2facadezd2(BgL_arg1949z00_624, BgL_pubkeyzd2sessionzd2packetsz00_586, BgL_keyzd2managerzd2_58, BgL_passwordzd2providerzd2_60, BgL_ignorezd2badzd2packetsz00_57); } 
if(
CBOOL(BgL__ortest_1158z00_622))
{ /* Llib/pgp_facade.scm 356 */
BgL_decryptedz00_588 = BgL__ortest_1158z00_622; }  else 
{ /* Llib/pgp_facade.scm 361 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_arg1948z00_623;
BgL_arg1948z00_623 = 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_encryptedz00_55)))->BgL_encryptedzd2datazd2); 
BgL_decryptedz00_588 = 
BGl_pwdzd2decryptzd2zz__openpgpzd2facadezd2(BgL_arg1948z00_623, BgL_passwordzd2sessionzd2packetsz00_587, BgL_passkeyzd2providerzd2_59, BgL_ignorezd2badzd2packetsz00_57); } } 
{ /* Llib/pgp_facade.scm 356 */

{ /* Llib/pgp_facade.scm 365 */
 bool_t BgL_test2490z00_3324;
if(
PAIRP(BgL_decryptedz00_588))
{ /* Llib/pgp_facade.scm 366 */
 obj_t BgL_arg1926z00_594;
BgL_arg1926z00_594 = 
CAR(BgL_decryptedz00_588); 
{ /* Llib/pgp_facade.scm 366 */
 obj_t BgL_classz00_1488;
BgL_classz00_1488 = BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1926z00_594))
{ /* Llib/pgp_facade.scm 366 */
 BgL_objectz00_bglt BgL_arg1797z00_1490;
BgL_arg1797z00_1490 = 
(BgL_objectz00_bglt)(BgL_arg1926z00_594); 
{ /* Llib/pgp_facade.scm 366 */
 bool_t BgL_arg1794z00_1493; bool_t BgL_arg1795z00_1494;
{ /* Llib/pgp_facade.scm 366 */
 long BgL_idxz00_1497;
BgL_idxz00_1497 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1490); 
BgL_arg1794z00_1493 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1497+((long)2)))==BgL_classz00_1488); } 
{ /* Llib/pgp_facade.scm 366 */
 bool_t BgL_res2038z00_1519;
{ /* Llib/pgp_facade.scm 366 */
 obj_t BgL_oclassz00_1505;
{ /* Llib/pgp_facade.scm 366 */
 long BgL_arg1804z00_1511;
{ /* Llib/pgp_facade.scm 366 */
 long BgL_arg1805z00_1512;
BgL_arg1805z00_1512 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1490); 
BgL_arg1804z00_1511 = 
(BgL_arg1805z00_1512-OBJECT_TYPE); } 
BgL_oclassz00_1505 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1511); } 
{ /* Llib/pgp_facade.scm 366 */
 bool_t BgL__ortest_1111z00_1506;
BgL__ortest_1111z00_1506 = 
(BgL_classz00_1488==BgL_oclassz00_1505); 
if(BgL__ortest_1111z00_1506)
{ /* Llib/pgp_facade.scm 366 */
BgL_res2038z00_1519 = BgL__ortest_1111z00_1506; }  else 
{ /* Llib/pgp_facade.scm 366 */
 long BgL_odepthz00_1507;
BgL_odepthz00_1507 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1505); 
if(
(((long)2)<BgL_odepthz00_1507))
{ /* Llib/pgp_facade.scm 366 */
 obj_t BgL_arg1793z00_1509;
BgL_arg1793z00_1509 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1505, ((long)2)); 
BgL_res2038z00_1519 = 
(BgL_arg1793z00_1509==BgL_classz00_1488); }  else 
{ /* Llib/pgp_facade.scm 366 */
BgL_res2038z00_1519 = ((bool_t)0); } } } } 
BgL_arg1795z00_1494 = BgL_res2038z00_1519; } 
BgL_test2490z00_3324 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1493, BgL_arg1795z00_1494); } }  else 
{ /* Llib/pgp_facade.scm 366 */
BgL_test2490z00_3324 = ((bool_t)0)
; } } }  else 
{ /* Llib/pgp_facade.scm 365 */
BgL_test2490z00_3324 = ((bool_t)0)
; } 
if(BgL_test2490z00_3324)
{ /* Llib/pgp_facade.scm 367 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_i1159z00_592;
{ /* Llib/pgp_facade.scm 367 */
 obj_t BgL_pairz00_1520;
BgL_pairz00_1520 = BgL_decryptedz00_588; 
BgL_i1159z00_592 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)
CAR(BgL_pairz00_1520)); } 
BgL_decryptedz00_588 = 
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_i1159z00_592))->BgL_packetsz00); }  else 
{ /* Llib/pgp_facade.scm 365 */BFALSE; } } 
if(
CBOOL(BgL_decryptedz00_588))
{ /* Llib/pgp_facade.scm 371 */
if(
NULLP(BgL_decryptedz00_588))
{ /* Llib/pgp_facade.scm 374 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2207z00zz__openpgpzd2facadezd2, BGl_string2209z00zz__openpgpzd2facadezd2, BFALSE);}  else 
{ /* Llib/pgp_facade.scm 377 */
 bool_t BgL_test2497z00_3354;
{ /* Llib/pgp_facade.scm 377 */
 obj_t BgL_arg1947z00_619;
BgL_arg1947z00_619 = 
CAR(BgL_decryptedz00_588); 
{ /* Llib/pgp_facade.scm 377 */
 obj_t BgL_classz00_1524;
BgL_classz00_1524 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1947z00_619))
{ /* Llib/pgp_facade.scm 377 */
 BgL_objectz00_bglt BgL_arg1797z00_1526;
BgL_arg1797z00_1526 = 
(BgL_objectz00_bglt)(BgL_arg1947z00_619); 
{ /* Llib/pgp_facade.scm 377 */
 bool_t BgL_arg1794z00_1529; bool_t BgL_arg1795z00_1530;
{ /* Llib/pgp_facade.scm 377 */
 long BgL_idxz00_1533;
BgL_idxz00_1533 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1526); 
BgL_arg1794z00_1529 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1533+((long)2)))==BgL_classz00_1524); } 
{ /* Llib/pgp_facade.scm 377 */
 bool_t BgL_res2039z00_1555;
{ /* Llib/pgp_facade.scm 377 */
 obj_t BgL_oclassz00_1541;
{ /* Llib/pgp_facade.scm 377 */
 long BgL_arg1804z00_1547;
{ /* Llib/pgp_facade.scm 377 */
 long BgL_arg1805z00_1548;
BgL_arg1805z00_1548 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1526); 
BgL_arg1804z00_1547 = 
(BgL_arg1805z00_1548-OBJECT_TYPE); } 
BgL_oclassz00_1541 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1547); } 
{ /* Llib/pgp_facade.scm 377 */
 bool_t BgL__ortest_1111z00_1542;
BgL__ortest_1111z00_1542 = 
(BgL_classz00_1524==BgL_oclassz00_1541); 
if(BgL__ortest_1111z00_1542)
{ /* Llib/pgp_facade.scm 377 */
BgL_res2039z00_1555 = BgL__ortest_1111z00_1542; }  else 
{ /* Llib/pgp_facade.scm 377 */
 long BgL_odepthz00_1543;
BgL_odepthz00_1543 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1541); 
if(
(((long)2)<BgL_odepthz00_1543))
{ /* Llib/pgp_facade.scm 377 */
 obj_t BgL_arg1793z00_1545;
BgL_arg1793z00_1545 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1541, ((long)2)); 
BgL_res2039z00_1555 = 
(BgL_arg1793z00_1545==BgL_classz00_1524); }  else 
{ /* Llib/pgp_facade.scm 377 */
BgL_res2039z00_1555 = ((bool_t)0); } } } } 
BgL_arg1795z00_1530 = BgL_res2039z00_1555; } 
BgL_test2497z00_3354 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1529, BgL_arg1795z00_1530); } }  else 
{ /* Llib/pgp_facade.scm 377 */
BgL_test2497z00_3354 = ((bool_t)0)
; } } } 
if(BgL_test2497z00_3354)
{ /* Llib/pgp_facade.scm 377 */
if(
NULLP(
CDR(BgL_decryptedz00_588)))
{ /* Llib/pgp_facade.scm 378 */BFALSE; }  else 
{ /* Llib/pgp_facade.scm 379 */
 obj_t BgL_list1934z00_602;
BgL_list1934z00_602 = 
MAKE_YOUNG_PAIR(BGl_string2210z00zz__openpgpzd2facadezd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1934z00_602); } 
{ /* Llib/pgp_facade.scm 380 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_i1160z00_604;
{ /* Llib/pgp_facade.scm 380 */
 obj_t BgL_pairz00_1557;
BgL_pairz00_1557 = BgL_decryptedz00_588; 
BgL_i1160z00_604 = 
((BgL_pgpzd2literalzd2packetz00_bglt)
CAR(BgL_pairz00_1557)); } 
return 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_i1160z00_604))->BgL_dataz00);} }  else 
{ /* Llib/pgp_facade.scm 386 */
 bool_t BgL_test2502z00_3382;
{ /* Llib/pgp_facade.scm 386 */
 bool_t BgL_test2503z00_3383;
{ /* Llib/pgp_facade.scm 386 */
 obj_t BgL_arg1946z00_618;
BgL_arg1946z00_618 = 
CAR(BgL_decryptedz00_588); 
{ /* Llib/pgp_facade.scm 386 */
 obj_t BgL_classz00_1559;
BgL_classz00_1559 = BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1946z00_618))
{ /* Llib/pgp_facade.scm 386 */
 BgL_objectz00_bglt BgL_arg1797z00_1561;
BgL_arg1797z00_1561 = 
(BgL_objectz00_bglt)(BgL_arg1946z00_618); 
{ /* Llib/pgp_facade.scm 386 */
 bool_t BgL_arg1794z00_1564; bool_t BgL_arg1795z00_1565;
{ /* Llib/pgp_facade.scm 386 */
 long BgL_idxz00_1568;
BgL_idxz00_1568 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1561); 
BgL_arg1794z00_1564 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1568+((long)2)))==BgL_classz00_1559); } 
{ /* Llib/pgp_facade.scm 386 */
 bool_t BgL_res2040z00_1590;
{ /* Llib/pgp_facade.scm 386 */
 obj_t BgL_oclassz00_1576;
{ /* Llib/pgp_facade.scm 386 */
 long BgL_arg1804z00_1582;
{ /* Llib/pgp_facade.scm 386 */
 long BgL_arg1805z00_1583;
BgL_arg1805z00_1583 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1561); 
BgL_arg1804z00_1582 = 
(BgL_arg1805z00_1583-OBJECT_TYPE); } 
BgL_oclassz00_1576 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1582); } 
{ /* Llib/pgp_facade.scm 386 */
 bool_t BgL__ortest_1111z00_1577;
BgL__ortest_1111z00_1577 = 
(BgL_classz00_1559==BgL_oclassz00_1576); 
if(BgL__ortest_1111z00_1577)
{ /* Llib/pgp_facade.scm 386 */
BgL_res2040z00_1590 = BgL__ortest_1111z00_1577; }  else 
{ /* Llib/pgp_facade.scm 386 */
 long BgL_odepthz00_1578;
BgL_odepthz00_1578 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1576); 
if(
(((long)2)<BgL_odepthz00_1578))
{ /* Llib/pgp_facade.scm 386 */
 obj_t BgL_arg1793z00_1580;
BgL_arg1793z00_1580 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1576, ((long)2)); 
BgL_res2040z00_1590 = 
(BgL_arg1793z00_1580==BgL_classz00_1559); }  else 
{ /* Llib/pgp_facade.scm 386 */
BgL_res2040z00_1590 = ((bool_t)0); } } } } 
BgL_arg1795z00_1565 = BgL_res2040z00_1590; } 
BgL_test2503z00_3383 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1564, BgL_arg1795z00_1565); } }  else 
{ /* Llib/pgp_facade.scm 386 */
BgL_test2503z00_3383 = ((bool_t)0)
; } } } 
if(BgL_test2503z00_3383)
{ /* Llib/pgp_facade.scm 387 */
 bool_t BgL_test2507z00_3403;
{ /* Llib/pgp_facade.scm 387 */
 obj_t BgL_tmpz00_3404;
BgL_tmpz00_3404 = 
CDR(BgL_decryptedz00_588); 
BgL_test2507z00_3403 = 
PAIRP(BgL_tmpz00_3404); } 
if(BgL_test2507z00_3403)
{ /* Llib/pgp_facade.scm 388 */
 obj_t BgL_arg1944z00_616;
{ /* Llib/pgp_facade.scm 388 */
 obj_t BgL_pairz00_1592;
BgL_pairz00_1592 = BgL_decryptedz00_588; 
BgL_arg1944z00_616 = 
CAR(
CDR(BgL_pairz00_1592)); } 
{ /* Llib/pgp_facade.scm 388 */
 obj_t BgL_classz00_1596;
BgL_classz00_1596 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg1944z00_616))
{ /* Llib/pgp_facade.scm 388 */
 BgL_objectz00_bglt BgL_arg1797z00_1598;
BgL_arg1797z00_1598 = 
(BgL_objectz00_bglt)(BgL_arg1944z00_616); 
{ /* Llib/pgp_facade.scm 388 */
 bool_t BgL_arg1794z00_1601; bool_t BgL_arg1795z00_1602;
{ /* Llib/pgp_facade.scm 388 */
 long BgL_idxz00_1605;
BgL_idxz00_1605 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1598); 
BgL_arg1794z00_1601 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1605+((long)2)))==BgL_classz00_1596); } 
{ /* Llib/pgp_facade.scm 388 */
 bool_t BgL_res2041z00_1627;
{ /* Llib/pgp_facade.scm 388 */
 obj_t BgL_oclassz00_1613;
{ /* Llib/pgp_facade.scm 388 */
 long BgL_arg1804z00_1619;
{ /* Llib/pgp_facade.scm 388 */
 long BgL_arg1805z00_1620;
BgL_arg1805z00_1620 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1598); 
BgL_arg1804z00_1619 = 
(BgL_arg1805z00_1620-OBJECT_TYPE); } 
BgL_oclassz00_1613 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1619); } 
{ /* Llib/pgp_facade.scm 388 */
 bool_t BgL__ortest_1111z00_1614;
BgL__ortest_1111z00_1614 = 
(BgL_classz00_1596==BgL_oclassz00_1613); 
if(BgL__ortest_1111z00_1614)
{ /* Llib/pgp_facade.scm 388 */
BgL_res2041z00_1627 = BgL__ortest_1111z00_1614; }  else 
{ /* Llib/pgp_facade.scm 388 */
 long BgL_odepthz00_1615;
BgL_odepthz00_1615 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1613); 
if(
(((long)2)<BgL_odepthz00_1615))
{ /* Llib/pgp_facade.scm 388 */
 obj_t BgL_arg1793z00_1617;
BgL_arg1793z00_1617 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1613, ((long)2)); 
BgL_res2041z00_1627 = 
(BgL_arg1793z00_1617==BgL_classz00_1596); }  else 
{ /* Llib/pgp_facade.scm 388 */
BgL_res2041z00_1627 = ((bool_t)0); } } } } 
BgL_arg1795z00_1602 = BgL_res2041z00_1627; } 
BgL_test2502z00_3382 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1601, BgL_arg1795z00_1602); } }  else 
{ /* Llib/pgp_facade.scm 388 */
BgL_test2502z00_3382 = ((bool_t)0)
; } } }  else 
{ /* Llib/pgp_facade.scm 387 */
BgL_test2502z00_3382 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_facade.scm 386 */
BgL_test2502z00_3382 = ((bool_t)0)
; } } 
if(BgL_test2502z00_3382)
{ /* Llib/pgp_facade.scm 391 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_i1161z00_613;
{ /* Llib/pgp_facade.scm 391 */
 obj_t BgL_pairz00_1628;
BgL_pairz00_1628 = BgL_decryptedz00_588; 
{ /* Llib/pgp_facade.scm 391 */
 obj_t BgL_pairz00_1631;
BgL_pairz00_1631 = 
CDR(BgL_pairz00_1628); 
BgL_i1161z00_613 = 
((BgL_pgpzd2literalzd2packetz00_bglt)
CAR(BgL_pairz00_1631)); } } 
return 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_i1161z00_613))->BgL_dataz00);}  else 
{ /* Llib/pgp_facade.scm 386 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2207z00zz__openpgpzd2facadezd2, BGl_string2211z00zz__openpgpzd2facadezd2, BFALSE);} } } }  else 
{ /* Llib/pgp_facade.scm 371 */
return BFALSE;} } } } } } } } 

}



/* _pgp-encrypt */
obj_t BGl__pgpzd2encryptzd2zz__openpgpzd2facadezd2(obj_t BgL_env1264z00_70, obj_t BgL_opt1263z00_69)
{
{ /* Llib/pgp_facade.scm 404 */
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_msgz00_665; obj_t BgL_keysz00_666; obj_t BgL_passwordsz00_667;
BgL_msgz00_665 = 
VECTOR_REF(BgL_opt1263z00_69,((long)0)); 
BgL_keysz00_666 = 
VECTOR_REF(BgL_opt1263z00_69,((long)1)); 
BgL_passwordsz00_667 = 
VECTOR_REF(BgL_opt1263z00_69,((long)2)); 
{ /* Llib/pgp_facade.scm 405 */
 obj_t BgL_hashzd2algozd2_668;
BgL_hashzd2algozd2_668 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/pgp_facade.scm 406 */
 obj_t BgL_symmetriczd2algozd2_669;
BgL_symmetriczd2algozd2_669 = 
CNST_TABLE_REF(((long)19)); 
{ /* Llib/pgp_facade.scm 404 */

{ 
 long BgL_iz00_670;
BgL_iz00_670 = ((long)3); 
BgL_check1267z00_671:
if(
(BgL_iz00_670==
VECTOR_LENGTH(BgL_opt1263z00_69)))
{ /* Llib/pgp_facade.scm 404 */BNIL; }  else 
{ /* Llib/pgp_facade.scm 404 */
 bool_t BgL_test2512z00_3440;
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_arg1973z00_677;
BgL_arg1973z00_677 = 
VECTOR_REF(BgL_opt1263z00_69,BgL_iz00_670); 
BgL_test2512z00_3440 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1973z00_677, 
CNST_TABLE_REF(((long)32)))); } 
if(BgL_test2512z00_3440)
{ 
 long BgL_iz00_3445;
BgL_iz00_3445 = 
(BgL_iz00_670+((long)2)); 
BgL_iz00_670 = BgL_iz00_3445; 
goto BgL_check1267z00_671;}  else 
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_arg1972z00_676;
BgL_arg1972z00_676 = 
VECTOR_REF(BgL_opt1263z00_69,BgL_iz00_670); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)33)), BGl_string2166z00zz__openpgpzd2facadezd2, BgL_arg1972z00_676); } } } 
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_index1269z00_678;
BgL_index1269z00_678 = 
BGl_search1266ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1263z00_69), BgL_opt1263z00_69, 
CNST_TABLE_REF(((long)14)), ((long)3)); 
{ /* Llib/pgp_facade.scm 404 */
 bool_t BgL_test2513z00_3453;
{ /* Llib/pgp_facade.scm 404 */
 long BgL_n1z00_1647;
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_tmpz00_3454;
if(
INTEGERP(BgL_index1269z00_678))
{ /* Llib/pgp_facade.scm 404 */
BgL_tmpz00_3454 = BgL_index1269z00_678
; }  else 
{ 
 obj_t BgL_auxz00_3457;
BgL_auxz00_3457 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)15958)), BGl_string2212z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1269z00_678); 
FAILURE(BgL_auxz00_3457,BFALSE,BFALSE);} 
BgL_n1z00_1647 = 
(long)CINT(BgL_tmpz00_3454); } 
BgL_test2513z00_3453 = 
(BgL_n1z00_1647>=((long)0)); } 
if(BgL_test2513z00_3453)
{ 
 long BgL_auxz00_3463;
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_tmpz00_3464;
if(
INTEGERP(BgL_index1269z00_678))
{ /* Llib/pgp_facade.scm 404 */
BgL_tmpz00_3464 = BgL_index1269z00_678
; }  else 
{ 
 obj_t BgL_auxz00_3467;
BgL_auxz00_3467 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)15958)), BGl_string2212z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1269z00_678); 
FAILURE(BgL_auxz00_3467,BFALSE,BFALSE);} 
BgL_auxz00_3463 = 
(long)CINT(BgL_tmpz00_3464); } 
BgL_hashzd2algozd2_668 = 
VECTOR_REF(BgL_opt1263z00_69,BgL_auxz00_3463); }  else 
{ /* Llib/pgp_facade.scm 404 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_index1270z00_680;
BgL_index1270z00_680 = 
BGl_search1266ze70ze7zz__openpgpzd2facadezd2(
VECTOR_LENGTH(BgL_opt1263z00_69), BgL_opt1263z00_69, 
CNST_TABLE_REF(((long)23)), ((long)3)); 
{ /* Llib/pgp_facade.scm 404 */
 bool_t BgL_test2516z00_3476;
{ /* Llib/pgp_facade.scm 404 */
 long BgL_n1z00_1648;
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_tmpz00_3477;
if(
INTEGERP(BgL_index1270z00_680))
{ /* Llib/pgp_facade.scm 404 */
BgL_tmpz00_3477 = BgL_index1270z00_680
; }  else 
{ 
 obj_t BgL_auxz00_3480;
BgL_auxz00_3480 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)15958)), BGl_string2212z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1270z00_680); 
FAILURE(BgL_auxz00_3480,BFALSE,BFALSE);} 
BgL_n1z00_1648 = 
(long)CINT(BgL_tmpz00_3477); } 
BgL_test2516z00_3476 = 
(BgL_n1z00_1648>=((long)0)); } 
if(BgL_test2516z00_3476)
{ 
 long BgL_auxz00_3486;
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_tmpz00_3487;
if(
INTEGERP(BgL_index1270z00_680))
{ /* Llib/pgp_facade.scm 404 */
BgL_tmpz00_3487 = BgL_index1270z00_680
; }  else 
{ 
 obj_t BgL_auxz00_3490;
BgL_auxz00_3490 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)15958)), BGl_string2212z00zz__openpgpzd2facadezd2, BGl_string2168z00zz__openpgpzd2facadezd2, BgL_index1270z00_680); 
FAILURE(BgL_auxz00_3490,BFALSE,BFALSE);} 
BgL_auxz00_3486 = 
(long)CINT(BgL_tmpz00_3487); } 
BgL_symmetriczd2algozd2_669 = 
VECTOR_REF(BgL_opt1263z00_69,BgL_auxz00_3486); }  else 
{ /* Llib/pgp_facade.scm 404 */BFALSE; } } } 
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_arg1976z00_682; obj_t BgL_arg1977z00_683; obj_t BgL_arg1978z00_684;
BgL_arg1976z00_682 = 
VECTOR_REF(BgL_opt1263z00_69,((long)0)); 
BgL_arg1977z00_683 = 
VECTOR_REF(BgL_opt1263z00_69,((long)1)); 
BgL_arg1978z00_684 = 
VECTOR_REF(BgL_opt1263z00_69,((long)2)); 
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_hashzd2algozd2_685;
BgL_hashzd2algozd2_685 = BgL_hashzd2algozd2_668; 
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_symmetriczd2algozd2_686;
BgL_symmetriczd2algozd2_686 = BgL_symmetriczd2algozd2_669; 
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_auxz00_3513; obj_t BgL_auxz00_3506; obj_t BgL_auxz00_3499;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_arg1978z00_684))
{ /* Llib/pgp_facade.scm 404 */
BgL_auxz00_3513 = BgL_arg1978z00_684
; }  else 
{ 
 obj_t BgL_auxz00_3516;
BgL_auxz00_3516 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)15958)), BGl_string2212z00zz__openpgpzd2facadezd2, BGl_string2213z00zz__openpgpzd2facadezd2, BgL_arg1978z00_684); 
FAILURE(BgL_auxz00_3516,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_arg1977z00_683))
{ /* Llib/pgp_facade.scm 404 */
BgL_auxz00_3506 = BgL_arg1977z00_683
; }  else 
{ 
 obj_t BgL_auxz00_3509;
BgL_auxz00_3509 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)15958)), BGl_string2212z00zz__openpgpzd2facadezd2, BGl_string2213z00zz__openpgpzd2facadezd2, BgL_arg1977z00_683); 
FAILURE(BgL_auxz00_3509,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1976z00_682))
{ /* Llib/pgp_facade.scm 404 */
BgL_auxz00_3499 = BgL_arg1976z00_682
; }  else 
{ 
 obj_t BgL_auxz00_3502;
BgL_auxz00_3502 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2157z00zz__openpgpzd2facadezd2, 
BINT(((long)15958)), BGl_string2212z00zz__openpgpzd2facadezd2, BGl_string2159z00zz__openpgpzd2facadezd2, BgL_arg1976z00_682); 
FAILURE(BgL_auxz00_3502,BFALSE,BFALSE);} 
return 
BGl_pgpzd2encryptzd2zz__openpgpzd2facadezd2(BgL_auxz00_3499, BgL_auxz00_3506, BgL_auxz00_3513, BgL_hashzd2algozd2_685, BgL_symmetriczd2algozd2_686);} } } } } } } } } 

}



/* search1266~0 */
obj_t BGl_search1266ze70ze7zz__openpgpzd2facadezd2(long BgL_l1265z00_1700, obj_t BgL_opt1263z00_1699, obj_t BgL_k1z00_662, long BgL_iz00_663)
{
{ /* Llib/pgp_facade.scm 404 */
BGl_search1266ze70ze7zz__openpgpzd2facadezd2:
if(
(BgL_iz00_663==BgL_l1265z00_1700))
{ /* Llib/pgp_facade.scm 404 */
return 
BINT(((long)-1));}  else 
{ /* Llib/pgp_facade.scm 404 */
if(
(BgL_iz00_663==
(BgL_l1265z00_1700-((long)1))))
{ /* Llib/pgp_facade.scm 404 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)33)), BGl_string2214z00zz__openpgpzd2facadezd2, 
BINT(
VECTOR_LENGTH(BgL_opt1263z00_1699)));}  else 
{ /* Llib/pgp_facade.scm 404 */
 obj_t BgL_vz00_691;
BgL_vz00_691 = 
VECTOR_REF(BgL_opt1263z00_1699,BgL_iz00_663); 
if(
(BgL_vz00_691==BgL_k1z00_662))
{ /* Llib/pgp_facade.scm 404 */
return 
BINT(
(BgL_iz00_663+((long)1)));}  else 
{ 
 long BgL_iz00_3536;
BgL_iz00_3536 = 
(BgL_iz00_663+((long)2)); 
BgL_iz00_663 = BgL_iz00_3536; 
goto BGl_search1266ze70ze7zz__openpgpzd2facadezd2;} } } } 

}



/* pgp-encrypt */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2encryptzd2zz__openpgpzd2facadezd2(obj_t BgL_msgz00_64, obj_t BgL_keysz00_65, obj_t BgL_passwordsz00_66, obj_t BgL_hashzd2algozd2_67, obj_t BgL_symmetriczd2algozd2_68)
{
{ /* Llib/pgp_facade.scm 404 */
{ 
 obj_t BgL_sessionzd2keyzd2_740; obj_t BgL_sessionzd2keyzd2packetsz00_741;
if(
SYMBOLP(BgL_hashzd2algozd2_67))
{ /* Llib/pgp_facade.scm 424 */BFALSE; }  else 
{ /* Llib/pgp_facade.scm 424 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2215z00zz__openpgpzd2facadezd2, BGl_string2216z00zz__openpgpzd2facadezd2, BgL_hashzd2algozd2_67); } 
if(
SYMBOLP(BgL_symmetriczd2algozd2_68))
{ /* Llib/pgp_facade.scm 428 */BFALSE; }  else 
{ /* Llib/pgp_facade.scm 428 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2215z00zz__openpgpzd2facadezd2, BGl_string2217z00zz__openpgpzd2facadezd2, BgL_symmetriczd2algozd2_68); } 
{ /* Llib/pgp_facade.scm 433 */
 bool_t BgL_test2527z00_3544;
if(
NULLP(BgL_keysz00_65))
{ /* Llib/pgp_facade.scm 433 */
if(
NULLP(BgL_passwordsz00_66))
{ /* Llib/pgp_facade.scm 434 */
BgL_test2527z00_3544 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_facade.scm 434 */
BgL_test2527z00_3544 = 
NULLP(
CDR(BgL_passwordsz00_66))
; } }  else 
{ /* Llib/pgp_facade.scm 433 */
BgL_test2527z00_3544 = ((bool_t)0)
; } 
if(BgL_test2527z00_3544)
{ /* Llib/pgp_facade.scm 438 */
 obj_t BgL_sessionzd2keyzd2_703;
{ /* Llib/pgp_facade.scm 439 */
 obj_t BgL_arg1994z00_707;
BgL_arg1994z00_707 = 
CAR(
((obj_t)BgL_passwordsz00_66)); 
{ /* Llib/pgp_facade.scm 439 */
 obj_t BgL_s2kzd2algozd2_709;
BgL_s2kzd2algozd2_709 = 
CNST_TABLE_REF(((long)34)); 
{ /* Llib/pgp_facade.scm 439 */
 obj_t BgL_symmetriczd2algozd2_710;
BgL_symmetriczd2algozd2_710 = 
CNST_TABLE_REF(((long)19)); 
BgL_sessionzd2keyzd2_703 = 
BGl_createzd2passwordzd2sessionzd2keyzd2packetz00zz__openpgpzd2logiczd2(BgL_arg1994z00_707, BFALSE, BgL_symmetriczd2algozd2_68, BgL_hashzd2algozd2_67, BgL_s2kzd2algozd2_709, BgL_symmetriczd2algozd2_710); } } } 
{ /* Llib/pgp_facade.scm 444 */
 obj_t BgL_sessionzd2keyzd2packetz00_704;
{ /* Llib/pgp_facade.scm 444 */
 obj_t BgL_tmpz00_1660;
{ /* Llib/pgp_facade.scm 444 */
 int BgL_tmpz00_3556;
BgL_tmpz00_3556 = 
(int)(((long)1)); 
BgL_tmpz00_1660 = 
BGL_MVALUES_VAL(BgL_tmpz00_3556); } 
{ /* Llib/pgp_facade.scm 444 */
 int BgL_tmpz00_3559;
BgL_tmpz00_3559 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3559, BUNSPEC); } 
BgL_sessionzd2keyzd2packetz00_704 = BgL_tmpz00_1660; } 
{ /* Llib/pgp_facade.scm 444 */
 obj_t BgL_arg1992z00_705;
{ /* Llib/pgp_facade.scm 444 */
 obj_t BgL_list1993z00_706;
BgL_list1993z00_706 = 
MAKE_YOUNG_PAIR(BgL_sessionzd2keyzd2packetz00_704, BNIL); 
BgL_arg1992z00_705 = BgL_list1993z00_706; } 
{ 
 BgL_pgpzd2encryptedzd2_bglt BgL_auxz00_3563;
BgL_sessionzd2keyzd2_740 = BgL_sessionzd2keyzd2_703; 
BgL_sessionzd2keyzd2packetsz00_741 = BgL_arg1992z00_705; 
BgL_zc3z04anonymousza32004ze3z87_742:
{ /* Llib/pgp_facade.scm 410 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_literalzd2packetzd2_743;
{ /* Llib/pgp_facade.scm 410 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1164z00_749;
{ /* Llib/pgp_facade.scm 411 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1163z00_750;
BgL_new1163z00_750 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2packetz00_bgl) ))); 
{ /* Llib/pgp_facade.scm 411 */
 long BgL_arg2006z00_751;
BgL_arg2006z00_751 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1163z00_750), BgL_arg2006z00_751); } 
{ /* Llib/pgp_facade.scm 411 */
 BgL_objectz00_bglt BgL_tmpz00_3568;
BgL_tmpz00_3568 = 
((BgL_objectz00_bglt)BgL_new1163z00_750); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3568, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1163z00_750); 
BgL_new1164z00_749 = BgL_new1163z00_750; } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1164z00_749))->BgL_formatz00)=((obj_t)
CNST_TABLE_REF(((long)24))),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1164z00_749))->BgL_forzd2yourzd2eyeszd2onlyzf3z21)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1164z00_749))->BgL_filezd2namezd2)=((obj_t)BGl_string2198z00zz__openpgpzd2facadezd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3576;
{ /* Llib/pgp_facade.scm 414 */
 BGL_LONGLONG_T BgL_arg1698z00_1653;
BgL_arg1698z00_1653 = 
bgl_current_nanoseconds(); 
BgL_auxz00_3576 = 
bgl_nanoseconds_to_date(BgL_arg1698z00_1653); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1164z00_749))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_3576),BUNSPEC); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1164z00_749))->BgL_dataz00)=((obj_t)BgL_msgz00_64),BUNSPEC); 
BgL_literalzd2packetzd2_743 = BgL_new1164z00_749; } 
{ /* Llib/pgp_facade.scm 410 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_encryptedzd2packetzd2_744;
BgL_encryptedzd2packetzd2_744 = 
BGl_symmetriczd2encryptzd2zz__openpgpzd2logiczd2(
((BgL_pgpzd2packetzd2_bglt)BgL_literalzd2packetzd2_743), BgL_sessionzd2keyzd2_740, BgL_symmetriczd2algozd2_68, BTRUE); 
{ /* Llib/pgp_facade.scm 416 */

{ /* Llib/pgp_facade.scm 419 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1166z00_745;
{ /* Llib/pgp_facade.scm 420 */
 BgL_pgpzd2encryptedzd2_bglt BgL_new1165z00_746;
BgL_new1165z00_746 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_facade.scm 420 */
 long BgL_arg2005z00_747;
BgL_arg2005z00_747 = 
BGL_CLASS_NUM(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1165z00_746), BgL_arg2005z00_747); } 
{ /* Llib/pgp_facade.scm 420 */
 BgL_objectz00_bglt BgL_tmpz00_3587;
BgL_tmpz00_3587 = 
((BgL_objectz00_bglt)BgL_new1165z00_746); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3587, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1165z00_746); 
BgL_new1166z00_745 = BgL_new1165z00_746; } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1166z00_745))->BgL_sessionzd2keyszd2)=((obj_t)BgL_sessionzd2keyzd2packetsz00_741),BUNSPEC); 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1166z00_745))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_encryptedzd2packetzd2_744),BUNSPEC); 
BgL_auxz00_3563 = BgL_new1166z00_745; } } } } 
return 
((obj_t)BgL_auxz00_3563);} } } }  else 
{ /* Llib/pgp_facade.scm 445 */
 long BgL_sessionzd2keyzd2lenz00_711;
BgL_sessionzd2keyzd2lenz00_711 = 
BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_symmetriczd2algozd2_68); 
{ /* Llib/pgp_facade.scm 445 */
 obj_t BgL_sessionzd2keyzd2_712;
BgL_sessionzd2keyzd2_712 = 
BGl_makezd2randomzd2stringz00zz__openpgpzd2utilzd2(BgL_sessionzd2keyzd2lenz00_711, BFALSE); 
{ /* Llib/pgp_facade.scm 447 */

{ 
 obj_t BgL_keysz00_715; obj_t BgL_passwordsz00_716; obj_t BgL_sessionzd2keyzd2packetsz00_717;
{ 
 BgL_pgpzd2encryptedzd2_bglt BgL_auxz00_3596;
BgL_keysz00_715 = BgL_keysz00_65; 
BgL_passwordsz00_716 = BgL_passwordsz00_66; 
BgL_sessionzd2keyzd2packetsz00_717 = BNIL; 
BgL_zc3z04anonymousza31995ze3z87_718:
{ /* Llib/pgp_facade.scm 453 */
 bool_t BgL_test2530z00_3597;
if(
NULLP(BgL_keysz00_715))
{ /* Llib/pgp_facade.scm 453 */
BgL_test2530z00_3597 = 
NULLP(BgL_passwordsz00_716)
; }  else 
{ /* Llib/pgp_facade.scm 453 */
BgL_test2530z00_3597 = ((bool_t)0)
; } 
if(BgL_test2530z00_3597)
{ 
 obj_t BgL_sessionzd2keyzd2packetsz00_3602; obj_t BgL_sessionzd2keyzd2_3601;
BgL_sessionzd2keyzd2_3601 = BgL_sessionzd2keyzd2_712; 
BgL_sessionzd2keyzd2packetsz00_3602 = BgL_sessionzd2keyzd2packetsz00_717; 
BgL_sessionzd2keyzd2packetsz00_741 = BgL_sessionzd2keyzd2packetsz00_3602; 
BgL_sessionzd2keyzd2_740 = BgL_sessionzd2keyzd2_3601; 
goto BgL_zc3z04anonymousza32004ze3z87_742;}  else 
{ /* Llib/pgp_facade.scm 453 */
if(
PAIRP(BgL_keysz00_715))
{ /* Llib/pgp_facade.scm 457 */
 obj_t BgL_publiczd2keyzd2_722;
BgL_publiczd2keyzd2_722 = 
CAR(BgL_keysz00_715); 
{ /* Llib/pgp_facade.scm 457 */
 obj_t BgL_publiczd2subkeyzd2_723;
BgL_publiczd2subkeyzd2_723 = 
BGl_extractzd2subkeyzd2zz__openpgpzd2facadezd2(BgL_publiczd2keyzd2_722, ((bool_t)1)); 
{ /* Llib/pgp_facade.scm 458 */
 obj_t BgL_sessionzd2packetzd2_724;
BgL_sessionzd2packetzd2_724 = 
BGl_createzd2publiczd2keyzd2sessionzd2keyzd2packetzd2zz__openpgpzd2logiczd2(
((BgL_pgpzd2subkeyzd2_bglt)BgL_publiczd2subkeyzd2_723), BgL_sessionzd2keyzd2_712, BgL_symmetriczd2algozd2_68); 
{ /* Llib/pgp_facade.scm 459 */

{ /* Llib/pgp_facade.scm 463 */
 obj_t BgL_arg1999z00_725; obj_t BgL_arg2000z00_726;
BgL_arg1999z00_725 = 
CDR(BgL_keysz00_715); 
BgL_arg2000z00_726 = 
MAKE_YOUNG_PAIR(BgL_sessionzd2packetzd2_724, BgL_sessionzd2keyzd2packetsz00_717); 
{ 
 obj_t BgL_sessionzd2keyzd2packetsz00_3612; obj_t BgL_keysz00_3611;
BgL_keysz00_3611 = BgL_arg1999z00_725; 
BgL_sessionzd2keyzd2packetsz00_3612 = BgL_arg2000z00_726; 
BgL_sessionzd2keyzd2packetsz00_717 = BgL_sessionzd2keyzd2packetsz00_3612; 
BgL_keysz00_715 = BgL_keysz00_3611; 
goto BgL_zc3z04anonymousza31995ze3z87_718;} } } } } }  else 
{ /* Llib/pgp_facade.scm 467 */
 obj_t BgL_passwordz00_727;
BgL_passwordz00_727 = 
CAR(
((obj_t)BgL_passwordsz00_716)); 
{ /* Llib/pgp_facade.scm 467 */
 obj_t BgL_sessionzd2packetzd2_728;
{ /* Llib/pgp_facade.scm 468 */
 obj_t BgL_s2kzd2algozd2_732;
BgL_s2kzd2algozd2_732 = 
CNST_TABLE_REF(((long)34)); 
BgL_sessionzd2packetzd2_728 = 
BGl_createzd2passwordzd2sessionzd2keyzd2packetz00zz__openpgpzd2logiczd2(BgL_passwordz00_727, BgL_sessionzd2keyzd2_712, BgL_symmetriczd2algozd2_68, BgL_hashzd2algozd2_67, BgL_s2kzd2algozd2_732, BgL_symmetriczd2algozd2_68); } 
{ /* Llib/pgp_facade.scm 468 */

{ /* Llib/pgp_facade.scm 479 */
 obj_t BgL_arg2001z00_729; obj_t BgL_arg2002z00_730;
BgL_arg2001z00_729 = 
CDR(
((obj_t)BgL_passwordsz00_716)); 
BgL_arg2002z00_730 = 
MAKE_YOUNG_PAIR(BgL_sessionzd2packetzd2_728, BgL_sessionzd2keyzd2packetsz00_717); 
{ 
 obj_t BgL_sessionzd2keyzd2packetsz00_3621; obj_t BgL_passwordsz00_3620;
BgL_passwordsz00_3620 = BgL_arg2001z00_729; 
BgL_sessionzd2keyzd2packetsz00_3621 = BgL_arg2002z00_730; 
BgL_sessionzd2keyzd2packetsz00_717 = BgL_sessionzd2keyzd2packetsz00_3621; 
BgL_passwordsz00_716 = BgL_passwordsz00_3620; 
goto BgL_zc3z04anonymousza31995ze3z87_718;} } } } } } } 
return 
((obj_t)BgL_auxz00_3596);} } } } } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2facadezd2()
{
{ /* Llib/pgp_facade.scm 1 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2facadezd2()
{
{ /* Llib/pgp_facade.scm 1 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2facadezd2()
{
{ /* Llib/pgp_facade.scm 1 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2facadezd2()
{
{ /* Llib/pgp_facade.scm 1 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2logiczd2(((long)390598885), 
BSTRING_TO_STRING(BGl_string2218z00zz__openpgpzd2facadezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2compositionzd2(((long)106628399), 
BSTRING_TO_STRING(BGl_string2218z00zz__openpgpzd2facadezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(((long)485669724), 
BSTRING_TO_STRING(BGl_string2218z00zz__openpgpzd2facadezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(((long)520811633), 
BSTRING_TO_STRING(BGl_string2218z00zz__openpgpzd2facadezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(((long)486475050), 
BSTRING_TO_STRING(BGl_string2218z00zz__openpgpzd2facadezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(((long)249755061), 
BSTRING_TO_STRING(BGl_string2218z00zz__openpgpzd2facadezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2algozd2(((long)265258059), 
BSTRING_TO_STRING(BGl_string2218z00zz__openpgpzd2facadezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(((long)524611842), 
BSTRING_TO_STRING(BGl_string2218z00zz__openpgpzd2facadezd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(((long)364974745), 
BSTRING_TO_STRING(BGl_string2218z00zz__openpgpzd2facadezd2));} 

}

#ifdef __cplusplus
}
#endif
