/*===========================================================================*/
/*   (Llib/pgp_logic.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_logic.scm -o objs/pgp_logic.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_rsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_modulusz00;
   obj_t BgL_exponentz00;
} *BgL_rsazd2keyzd2_bglt;

typedef struct BgL_elgamalzd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
} *BgL_elgamalzd2keyzd2_bglt;

typedef struct BgL_completezd2dsazd2keyz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_qz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
   obj_t BgL_xz00;
} *BgL_completezd2dsazd2keyz00_bglt;

typedef struct BgL_completezd2elgamalzd2keyz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
   obj_t BgL_xz00;
} *BgL_completezd2elgamalzd2keyz00_bglt;

typedef struct BgL_dsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_qz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
} *BgL_dsazd2keyzd2_bglt;

typedef struct BgL_pgpzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2packetzd2_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_idz00;
   obj_t BgL_algoz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2sigzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
} *BgL_pgpzd2sigzd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
   obj_t BgL_securezd2subzd2packetsz00;
   obj_t BgL_insecurezd2subzd2packetsz00;
} *BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt;

typedef struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_algoz00;
   obj_t BgL_s2kz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   bool_t BgL_containszd2nestedzd2sigzf3zf3;
} *BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
   obj_t BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00;
} *BgL_pgpzd2secretzd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bgl {
   obj_t BgL_secretzd2keyzd2;
} *BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt;

typedef struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt;

typedef struct BgL_pgpzd2literalzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   bool_t BgL_forzd2yourzd2eyeszd2onlyzf3z21;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_dataz00;
} *BgL_pgpzd2literalzd2packetz00_bglt;

typedef struct BgL_pgpzd2idzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2idzd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
   long BgL_versionz00;
} *BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_hashz00;
} *BgL_pgpzd2mdczd2packetz00_bglt;

typedef struct BgL_signedzd2idzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2idzd2packetz00_bgl * BgL_idz00;
   obj_t BgL_sigsz00;
} *BgL_signedzd2idzd2_bglt;

typedef struct BgL_pgpzd2subkeyzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2keyzd2packetz00_bgl * BgL_keyzd2packetzd2;
   obj_t BgL_sigsz00;
   obj_t BgL_revocationzd2sigszd2;
   struct BgL_pgpzd2keyzd2_bgl * BgL_pgpzd2keyzd2;
} *BgL_pgpzd2subkeyzd2_bglt;

typedef struct BgL_pgpzd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_subkeysz00;
   obj_t BgL_userzd2idszd2;
} *BgL_pgpzd2keyzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_msgz00;
   obj_t BgL_sigsz00;
} *BgL_pgpzd2signaturezd2_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_msgz00;
   obj_t BgL_sigsz00;
   obj_t BgL_onezd2passzd2sigsz00;
} *BgL_pgpzd2onezd2passzd2signaturezd2_bglt;


BGL_EXPORTED_DECL obj_t BGl_symmetriczd2decryptzd2zz__openpgpzd2logiczd2(BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt, obj_t, obj_t, bool_t);
BGL_EXPORTED_DECL obj_t BGl_fingerprintz00zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2packetz00_bglt);
static obj_t BGl_zc3z04exitza31750ze3ze70z60zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_ElGamalzd2Keyzd2zz__cryptozd2elgamalzd2;
BGL_EXPORTED_DECL obj_t BGl_verifyzd2keyzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2_bglt, obj_t);
static obj_t BGl__createzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2logiczd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_dsazd2signzd2zz__cryptozd2dsazd2(BgL_completezd2dsazd2keyz00_bglt, obj_t);
extern obj_t BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2;
static obj_t BGl_mdczd2symmetriczd2decryptz00zz__openpgpzd2logiczd2(BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt, obj_t, obj_t, bool_t);
static obj_t BGl_z62verifyzd2keyzb0zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2keyzd2packetz00_bglt BGl_PGPzd2mainzd2keyzd2packetzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2_bglt);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31929ze3ze5zz__openpgpzd2logiczd2(obj_t, obj_t);
extern obj_t BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(long, long);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pgpzd2keyzd2ze3humanzd2readablez31zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2_bglt);
extern obj_t BGl_md5sumzd2binzd2zz__openpgpzd2utilzd2(obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
extern long BGl_roundzd2iteratedzd2saltedzd2s2kzd2countz00zz__openpgpzd2s2kzd2(long);
static BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_nonzd2mdczd2symmetriczd2encryptzd2zz__openpgpzd2logiczd2(BgL_pgpzd2packetzd2_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
BGL_IMPORT obj_t BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(obj_t, long, long);
extern int BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2();
BGL_EXPORTED_DECL obj_t BGl_decryptzd2secretzd2keyz12z12zz__openpgpzd2logiczd2(BgL_pgpzd2secretzd2keyzd2packetzd2_bglt, obj_t);
static obj_t BGl__verifyzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2logiczd2();
BGL_IMPORT long BGl_elgamalzd2keyzd2lengthz00zz__cryptozd2elgamalzd2(BgL_elgamalzd2keyzd2_bglt);
extern obj_t BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(obj_t, bool_t);
static bool_t BGl_z62zc3z04anonymousza31778ze3ze5zz__openpgpzd2logiczd2(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2logiczd2();
extern obj_t BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(obj_t);
static obj_t BGl_constructzd2subkeyzd2signaturezd2strzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2packetz00_bglt, BgL_pgpzd2keyzd2packetz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_keyzd2packetzd2ze3humanzd2readablez31zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2packetz00_bglt);
BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_verifyzd2signaturezd2zz__openpgpzd2logiczd2(obj_t, BgL_pgpzd2signaturezd2packetz00_bglt, obj_t);
static obj_t BGl_objectzd2initzd2zz__openpgpzd2logiczd2();
static obj_t BGl_z62zc3z04anonymousza31779ze3ze5zz__openpgpzd2logiczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_applyzd2s2kzd2zz__openpgpzd2s2kzd2(obj_t, obj_t, long);
static obj_t BGl__createzd2onezd2passzd2signaturezd2zz__openpgpzd2logiczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_signaturezd2typezd2ze3humanzd2readablez31zz__openpgpzd2humanzd2(obj_t);
BGL_IMPORT bool_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumze2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
extern obj_t BGl_sha1sumzd2binzd2zz__openpgpzd2utilzd2(obj_t);
static obj_t BGl_z62fingerprintz62zz__openpgpzd2logiczd2(obj_t, obj_t);
static obj_t BGl_z62keyzd2packetzd2ze3humanzd2readablez53zz__openpgpzd2logiczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32019ze3ze5zz__openpgpzd2logiczd2(obj_t, obj_t);
static obj_t BGl_z62needszd2passwordzd2forzd2decryptionzf3z43zz__openpgpzd2logiczd2(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62fingerprint1366z62zz__openpgpzd2logiczd2(obj_t, obj_t);
static obj_t BGl_z62localzd2resolvezb0zz__openpgpzd2logiczd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_decodedzd2keyzd2packetz00zz__openpgpzd2logiczd2(BgL_pgpzd2subkeyzd2_bglt, obj_t);
static obj_t BGl__symmetriczd2encryptzd2zz__openpgpzd2logiczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static bool_t BGl_z62zc3z04anonymousza31799ze3ze5zz__openpgpzd2logiczd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2logiczd2();
BGL_IMPORT obj_t BGl_readzd2charzd2zz__r4_input_6_10_2z00(obj_t);
extern long BGl_symmetriczd2keyzd2algozd2blockzd2bytezd2lenzd2zz__openpgpzd2algozd2(obj_t);
static obj_t BGl_z62symmetriczd2decryptzb0zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1419ze70ze7zz__openpgpzd2logiczd2(long, obj_t, obj_t, long);
extern obj_t BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(obj_t);
BGL_IMPORT obj_t BGl_rsazd2encryptzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2symmetriczd2keyzd2sessionzd2keyz00zz__openpgpzd2logiczd2(BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_EXPORTED_DECL BgL_pgpzd2signaturezd2_bglt BGl_createzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(obj_t, BgL_pgpzd2subkeyzd2_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62decryptzd2publiczd2keyzd2sessionzd2keyz62zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_binzd2strzd2ze3bignumze3zz__openpgpzd2utilzd2(obj_t);
static obj_t BGl_decryptzd2passwordzd2protectedz00zz__openpgpzd2logiczd2(obj_t, long, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
extern obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2;
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_canonicalzd2stringzd2zz__openpgpzd2logiczd2(obj_t);
BGL_IMPORT obj_t BGl_stringzd2hexzd2externz00zz__r4_strings_6_7z00(obj_t, int, long);
extern obj_t BGl_hashzd2algozd2ze3procedureze3zz__openpgpzd2algozd2(obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32308ze3ze5zz__openpgpzd2logiczd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_needszd2passwordzd2forzd2decryptionzf3z21zz__openpgpzd2logiczd2(BgL_pgpzd2secretzd2keyzd2packetzd2_bglt);
BGL_IMPORT obj_t BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2;
static obj_t BGl_nonzd2mdczd2symmetriczd2decryptzd2zz__openpgpzd2logiczd2(BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt, obj_t, obj_t, bool_t);
BGL_EXPORTED_DECL obj_t BGl_createzd2passwordzd2sessionzd2keyzd2packetz00zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2;
BGL_EXPORTED_DECL obj_t BGl_verifyzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(BgL_pgpzd2signaturezd2_bglt, obj_t, obj_t);
BGL_IMPORT long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_search1391ze70ze7zz__openpgpzd2logiczd2(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_keyzd2idzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2packetz00_bglt);
extern obj_t BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pgpzd2subkeyzd2ze3humanzd2readablez31zz__openpgpzd2logiczd2(BgL_pgpzd2subkeyzd2_bglt);
extern obj_t BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_search1383ze70ze7zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2s2kzd2zz__openpgpzd2s2kzd2(obj_t, obj_t, obj_t, obj_t);
static BgL_completezd2elgamalzd2keyz00_bglt BGl_createzd2secretzd2elgamalzd2keyzd2zz__openpgpzd2logiczd2(obj_t, obj_t);
static obj_t BGl_constructzd2keyzd2signaturezd2strzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2packetz00_bglt, obj_t);
extern obj_t BGl_s2kzd2algozd2ze3humanzd2readablez31zz__openpgpzd2humanzd2(obj_t);
BGL_IMPORT obj_t BGl_elgamalzd2encryptzd2zz__cryptozd2elgamalzd2(BgL_elgamalzd2keyzd2_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31800ze3ze5zz__openpgpzd2logiczd2(obj_t, obj_t);
extern obj_t BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32319ze3ze5zz__openpgpzd2logiczd2(obj_t);
static obj_t BGl_search1375ze70ze7zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_constructzd2certificationzd2signaturezd2strzd2zz__openpgpzd2logiczd2(obj_t, BgL_pgpzd2keyzd2packetz00_bglt, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2logiczd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2compositionzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2algozd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2decodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2portzd2utilz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2dsazd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2elgamalzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_constructzd2datazd2signaturezd2msgzd2zz__openpgpzd2logiczd2(obj_t, obj_t);
static obj_t BGl_z62pgpzd2keyzd2ze3humanzd2readablez53zz__openpgpzd2logiczd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2publiczd2keyzd2sessionzd2keyz00zz__openpgpzd2logiczd2(BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt, BgL_pgpzd2subkeyzd2_bglt, obj_t);
static obj_t BGl_signzd2msgzd2zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t, BgL_pgpzd2secretzd2keyzd2packetzd2_bglt);
BGL_IMPORT obj_t bgl_nanoseconds_to_date(BGL_LONGLONG_T);
extern obj_t BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62pgpzd2subkeyzd2ze3humanzd2readablez53zz__openpgpzd2logiczd2(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_symmetriczd2encryptzd2zz__openpgpzd2logiczd2(BgL_pgpzd2packetzd2_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2;
static long BGl_chksumzd216zd2bitz00zz__openpgpzd2logiczd2(obj_t);
extern obj_t BGl_makezd2randomzd2stringz00zz__openpgpzd2utilzd2(long, obj_t);
extern obj_t BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_Completezd2ElGamalzd2Keyz00zz__cryptozd2elgamalzd2;
static BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_mdczd2symmetriczd2encryptz00zz__openpgpzd2logiczd2(BgL_pgpzd2packetzd2_bglt, obj_t, obj_t);
extern obj_t BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_createzd2signedzd2packetzd2prefixzd2v4z00zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2logiczd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2logiczd2();
BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
static obj_t BGl__createzd2passwordzd2sessionzd2keyzd2packetz00zz__openpgpzd2logiczd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_createzd2sigzd2packetzd2v4zd2zz__openpgpzd2logiczd2(obj_t, BgL_pgpzd2secretzd2keyzd2packetzd2_bglt, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_verifyzd2checksumze70z35zz__openpgpzd2logiczd2(obj_t, long, long);
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2logiczd2();
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2logiczd2();
extern obj_t BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_bytezd2ze3symmetriczd2keyzd2algoz31zz__openpgpzd2enumszd2(char);
extern obj_t BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2;
extern long BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(obj_t);
static obj_t BGl_z62createzd2publiczd2keyzd2sessionzd2keyzd2packetzb0zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2keyzd2packetz00_bglt, obj_t);
extern obj_t BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(obj_t, bool_t);
BGL_EXPORTED_DECL BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_createzd2onezd2passzd2signaturezd2zz__openpgpzd2logiczd2(obj_t, BgL_pgpzd2subkeyzd2_bglt, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_rsazd2keyzd2lengthz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt);
static obj_t BGl_signaturezd2ze3issuerzd2idze3zz__openpgpzd2logiczd2(BgL_pgpzd2signaturezd2packetz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_Completezd2Dsazd2Keyz00zz__cryptozd2dsazd2;
extern obj_t BGl_decodezd2s2kzd2zz__openpgpzd2decodezd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_createzd2publiczd2keyzd2sessionzd2keyzd2packetzd2zz__openpgpzd2logiczd2(BgL_pgpzd2subkeyzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62decryptzd2symmetriczd2keyzd2sessionzd2keyz62zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t);
static obj_t BGl_search1401ze70ze7zz__openpgpzd2logiczd2(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_rsazd2decryptzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_nanoseconds();
extern obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_readzd2stringzd2zz__r4_input_6_10_2z00(obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
extern obj_t BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2;
extern long BGl_scalarzd2ze3fixnumz31zz__openpgpzd2conversionzd2(obj_t);
BGL_IMPORT obj_t BGl_dsazd2verifyzd2zz__cryptozd2dsazd2(BgL_dsazd2keyzd2_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
extern obj_t BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62keyzd2idzb0zz__openpgpzd2logiczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_Dsazd2Keyzd2zz__cryptozd2dsazd2;
static bool_t BGl_z62zc3z04anonymousza31825ze3ze5zz__openpgpzd2logiczd2(obj_t, obj_t);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static BgL_completezd2dsazd2keyz00_bglt BGl_createzd2secretzd2dsazd2keyzd2zz__openpgpzd2logiczd2(obj_t, obj_t);
static obj_t BGl_z62decryptzd2secretzd2keyz12z70zz__openpgpzd2logiczd2(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31826ze3ze5zz__openpgpzd2logiczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_elgamalzd2decryptzd2zz__cryptozd2elgamalzd2(BgL_completezd2elgamalzd2keyz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(obj_t, long);
extern char BGl_symmetriczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(obj_t);
static obj_t BGl_keyzd2strzd2representationz00zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2_bglt);
static obj_t __cnst[ 48 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_keyzd2packetzd2ze3humanzd2readablezd2envze3zz__openpgpzd2logiczd2, BgL_bgl_za762keyza7d2packetza72887za7, BGl_z62keyzd2packetzd2ze3humanzd2readablez53zz__openpgpzd2logiczd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2publiczd2keyzd2sessionzd2keyzd2envzd2zz__openpgpzd2logiczd2, BgL_bgl_za762decryptza7d2pub2888z00, BGl_z62decryptzd2publiczd2keyzd2sessionzd2keyz62zz__openpgpzd2logiczd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_createzd2pgpzd2signaturezd2envzd2zz__openpgpzd2logiczd2, BgL_bgl__createza7d2pgpza7d22889z00, opt_generic_entry, BGl__createzd2pgpzd2signaturez00zz__openpgpzd2logiczd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_verifyzd2keyzd2envz00zz__openpgpzd2logiczd2, BgL_bgl_za762verifyza7d2keyza72890za7, BGl_z62verifyzd2keyzb0zz__openpgpzd2logiczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2800z00zz__openpgpzd2logiczd2, BgL_bgl_string2800za700za7za7_2891za7, "&needs-password-for-decryption?", 31 );
DEFINE_STRING( BGl_string2801z00zz__openpgpzd2logiczd2, BgL_bgl_string2801za700za7za7_2892za7, "PGP-Secret-Key-Packet", 21 );
DEFINE_STRING( BGl_string2802z00zz__openpgpzd2logiczd2, BgL_bgl_string2802za700za7za7_2893za7, "decode-secret-key-password-protected", 36 );
DEFINE_STRING( BGl_string2803z00zz__openpgpzd2logiczd2, BgL_bgl_string2803za700za7za7_2894za7, "secret must not be empty", 24 );
DEFINE_STRING( BGl_string2804z00zz__openpgpzd2logiczd2, BgL_bgl_string2804za700za7za7_2895za7, "", 0 );
DEFINE_STRING( BGl_string2805z00zz__openpgpzd2logiczd2, BgL_bgl_string2805za700za7za7_2896za7, "verify checksum", 15 );
DEFINE_STRING( BGl_string2806z00zz__openpgpzd2logiczd2, BgL_bgl_string2806za700za7za7_2897za7, "Checksum verification failed on non-encrypted content", 53 );
DEFINE_STRING( BGl_string2807z00zz__openpgpzd2logiczd2, BgL_bgl_string2807za700za7za7_2898za7, "decode-secret-key-password", 26 );
DEFINE_STRING( BGl_string2808z00zz__openpgpzd2logiczd2, BgL_bgl_string2808za700za7za7_2899za7, "version 3 decoding is not yet implemented.", 42 );
DEFINE_STRING( BGl_string2809z00zz__openpgpzd2logiczd2, BgL_bgl_string2809za700za7za7_2900za7, "safe-read-char", 14 );
DEFINE_STRING( BGl_string2810z00zz__openpgpzd2logiczd2, BgL_bgl_string2810za700za7za7_2901za7, "unexpected end of file", 22 );
DEFINE_STRING( BGl_string2811z00zz__openpgpzd2logiczd2, BgL_bgl_string2811za700za7za7_2902za7, "safe-read-octets", 16 );
DEFINE_STRING( BGl_string2812z00zz__openpgpzd2logiczd2, BgL_bgl_string2812za700za7za7_2903za7, "decode password-protected secret key", 36 );
DEFINE_STRING( BGl_string2813z00zz__openpgpzd2logiczd2, BgL_bgl_string2813za700za7za7_2904za7, "not enough bytes for checksum", 29 );
DEFINE_STRING( BGl_string2814z00zz__openpgpzd2logiczd2, BgL_bgl_string2814za700za7za7_2905za7, "decode-password-protected-secret-key", 36 );
DEFINE_STRING( BGl_string2815z00zz__openpgpzd2logiczd2, BgL_bgl_string2815za700za7za7_2906za7, "bad magic byte", 14 );
DEFINE_STRING( BGl_string2816z00zz__openpgpzd2logiczd2, BgL_bgl_string2816za700za7za7_2907za7, "decrypt-secret-key", 18 );
DEFINE_STRING( BGl_string2817z00zz__openpgpzd2logiczd2, BgL_bgl_string2817za700za7za7_2908za7, "Algorithm not yet implemented", 29 );
DEFINE_STRING( BGl_string2818z00zz__openpgpzd2logiczd2, BgL_bgl_string2818za700za7za7_2909za7, "&decrypt-secret-key!", 20 );
DEFINE_STRING( BGl_string2819z00zz__openpgpzd2logiczd2, BgL_bgl_string2819za700za7za7_2910za7, "bstring", 7 );
DEFINE_STRING( BGl_string2820z00zz__openpgpzd2logiczd2, BgL_bgl_string2820za700za7za7_2911za7, "_verify-pgp-signature", 21 );
DEFINE_STRING( BGl_string2821z00zz__openpgpzd2logiczd2, BgL_bgl_string2821za700za7za7_2912za7, "PGP-Signature", 13 );
DEFINE_STRING( BGl_string2822z00zz__openpgpzd2logiczd2, BgL_bgl_string2822za700za7za7_2913za7, "procedure", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symmetriczd2encryptzd2envz00zz__openpgpzd2logiczd2, BgL_bgl__symmetricza7d2enc2914za7, opt_generic_entry, BGl__symmetriczd2encryptzd2zz__openpgpzd2logiczd2, BFALSE, -1 );
DEFINE_STRING( BGl_string2823z00zz__openpgpzd2logiczd2, BgL_bgl_string2823za700za7za7_2915za7, "verify-pgp-signature", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_needszd2passwordzd2forzd2decryptionzf3zd2envzf3zz__openpgpzd2logiczd2, BgL_bgl_za762needsza7d2passw2916z00, BGl_z62needszd2passwordzd2forzd2decryptionzf3z43zz__openpgpzd2logiczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2824z00zz__openpgpzd2logiczd2, BgL_bgl_string2824za700za7za7_2917za7, "Missing message", 15 );
DEFINE_STRING( BGl_string2825z00zz__openpgpzd2logiczd2, BgL_bgl_string2825za700za7za7_2918za7, "Given messages are not the same or not strings", 46 );
DEFINE_STRING( BGl_string2826z00zz__openpgpzd2logiczd2, BgL_bgl_string2826za700za7za7_2919za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string2827z00zz__openpgpzd2logiczd2, BgL_bgl_string2827za700za7za7_2920za7, "wrong number of arguments: [1..3] expected, provided", 52 );
DEFINE_STRING( BGl_string2828z00zz__openpgpzd2logiczd2, BgL_bgl_string2828za700za7za7_2921za7, "verify-key", 10 );
DEFINE_STRING( BGl_string2829z00zz__openpgpzd2logiczd2, BgL_bgl_string2829za700za7za7_2922za7, "Revocation signature is not of revocation-type", 46 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_createzd2passwordzd2sessionzd2keyzd2packetzd2envzd2zz__openpgpzd2logiczd2, BgL_bgl__createza7d2passwo2923za7, opt_generic_entry, BGl__createzd2passwordzd2sessionzd2keyzd2packetz00zz__openpgpzd2logiczd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_createzd2onezd2passzd2signaturezd2envz00zz__openpgpzd2logiczd2, BgL_bgl__createza7d2oneza7d22924z00, opt_generic_entry, BGl__createzd2onezd2passzd2signaturezd2zz__openpgpzd2logiczd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_verifyzd2pgpzd2signaturezd2envzd2zz__openpgpzd2logiczd2, BgL_bgl__verifyza7d2pgpza7d22925z00, opt_generic_entry, BGl__verifyzd2pgpzd2signaturez00zz__openpgpzd2logiczd2, BFALSE, -1 );
DEFINE_STRING( BGl_string2830z00zz__openpgpzd2logiczd2, BgL_bgl_string2830za700za7za7_2926za7, "verify-subkey-binding", 21 );
DEFINE_STRING( BGl_string2831z00zz__openpgpzd2logiczd2, BgL_bgl_string2831za700za7za7_2927za7, "Subkey-binding signature expected", 33 );
DEFINE_STRING( BGl_string2832z00zz__openpgpzd2logiczd2, BgL_bgl_string2832za700za7za7_2928za7, "&verify-key", 11 );
DEFINE_STRING( BGl_string2833z00zz__openpgpzd2logiczd2, BgL_bgl_string2833za700za7za7_2929za7, "PGP-Key", 7 );
DEFINE_STRING( BGl_string2834z00zz__openpgpzd2logiczd2, BgL_bgl_string2834za700za7za7_2930za7, "wrong number of arguments: [4..6] expected, provided", 52 );
DEFINE_STRING( BGl_string2835z00zz__openpgpzd2logiczd2, BgL_bgl_string2835za700za7za7_2931za7, "decode-key", 10 );
DEFINE_STRING( BGl_string2836z00zz__openpgpzd2logiczd2, BgL_bgl_string2836za700za7za7_2932za7, "no password attempt left", 24 );
DEFINE_STRING( BGl_string2837z00zz__openpgpzd2logiczd2, BgL_bgl_string2837za700za7za7_2933za7, "bad password (not a string)", 27 );
DEFINE_STRING( BGl_string2838z00zz__openpgpzd2logiczd2, BgL_bgl_string2838za700za7za7_2934za7, "Invalid key", 11 );
DEFINE_STRING( BGl_string2839z00zz__openpgpzd2logiczd2, BgL_bgl_string2839za700za7za7_2935za7, "Illegal password provider", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2subkeyzd2ze3humanzd2readablezd2envze3zz__openpgpzd2logiczd2, BgL_bgl_za762pgpza7d2subkeyza72936za7, BGl_z62pgpzd2subkeyzd2ze3humanzd2readablez53zz__openpgpzd2logiczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2840z00zz__openpgpzd2logiczd2, BgL_bgl_string2840za700za7za7_2937za7, "no password-provider has been given", 35 );
DEFINE_STRING( BGl_string2841z00zz__openpgpzd2logiczd2, BgL_bgl_string2841za700za7za7_2938za7, "_create-one-pass-signature", 26 );
DEFINE_STRING( BGl_string2842z00zz__openpgpzd2logiczd2, BgL_bgl_string2842za700za7za7_2939za7, "bint", 4 );
DEFINE_STRING( BGl_string2843z00zz__openpgpzd2logiczd2, BgL_bgl_string2843za700za7za7_2940za7, "PGP-Subkey", 10 );
DEFINE_STRING( BGl_string2844z00zz__openpgpzd2logiczd2, BgL_bgl_string2844za700za7za7_2941za7, "wrong number of arguments: [2..6] expected, provided", 52 );
DEFINE_STRING( BGl_string2845z00zz__openpgpzd2logiczd2, BgL_bgl_string2845za700za7za7_2942za7, "_create-pgp-signature", 21 );
DEFINE_STRING( BGl_string2846z00zz__openpgpzd2logiczd2, BgL_bgl_string2846za700za7za7_2943za7, "wrong number of arguments: [2..7] expected, provided", 52 );
DEFINE_STRING( BGl_string2847z00zz__openpgpzd2logiczd2, BgL_bgl_string2847za700za7za7_2944za7, "&key-packet->human-readable", 27 );
DEFINE_STRING( BGl_string2848z00zz__openpgpzd2logiczd2, BgL_bgl_string2848za700za7za7_2945za7, "&pgp-key->human-readable", 24 );
DEFINE_STRING( BGl_string2849z00zz__openpgpzd2logiczd2, BgL_bgl_string2849za700za7za7_2946za7, "&pgp-subkey->human-readable", 27 );
DEFINE_STRING( BGl_string2850z00zz__openpgpzd2logiczd2, BgL_bgl_string2850za700za7za7_2947za7, "wrong number of arguments: [3..4] expected, provided", 52 );
DEFINE_STRING( BGl_string2851z00zz__openpgpzd2logiczd2, BgL_bgl_string2851za700za7za7_2948za7, "_symmetric-encrypt", 18 );
DEFINE_STRING( BGl_string2852z00zz__openpgpzd2logiczd2, BgL_bgl_string2852za700za7za7_2949za7, "PGP-Packet", 10 );
DEFINE_STRING( BGl_string2853z00zz__openpgpzd2logiczd2, BgL_bgl_string2853za700za7za7_2950za7, "symbol", 6 );
DEFINE_STRING( BGl_string2854z00zz__openpgpzd2logiczd2, BgL_bgl_string2854za700za7za7_2951za7, "&symmetric-decrypt", 18 );
DEFINE_STRING( BGl_string2855z00zz__openpgpzd2logiczd2, BgL_bgl_string2855za700za7za7_2952za7, "PGP-Symmetrically-Encrypted-Packet", 34 );
DEFINE_STRING( BGl_string2856z00zz__openpgpzd2logiczd2, BgL_bgl_string2856za700za7za7_2953za7, "(but probably fail).", 20 );
DEFINE_STRING( BGl_string2775z00zz__openpgpzd2logiczd2, BgL_bgl_string2775za700za7za7_2954za7, "Llib/pgp_logic.scm", 18 );
DEFINE_STRING( BGl_string2857z00zz__openpgpzd2logiczd2, BgL_bgl_string2857za700za7za7_2955za7, "mdc-symmetric-decrypt: bad version. we will try ", 48 );
DEFINE_STRING( BGl_string2776z00zz__openpgpzd2logiczd2, BgL_bgl_string2776za700za7za7_2956za7, "construct-data-signature-msg", 28 );
DEFINE_STRING( BGl_string2858z00zz__openpgpzd2logiczd2, BgL_bgl_string2858za700za7za7_2957za7, "mdc-symmetric-decrypt", 21 );
DEFINE_STRING( BGl_string2777z00zz__openpgpzd2logiczd2, BgL_bgl_string2777za700za7za7_2958za7, "Standalone signatures must have empty strings as messages", 57 );
DEFINE_STRING( BGl_string2859z00zz__openpgpzd2logiczd2, BgL_bgl_string2859za700za7za7_2959za7, "No MDC packet found. (tampered data?)", 37 );
DEFINE_STRING( BGl_string2778z00zz__openpgpzd2logiczd2, BgL_bgl_string2778za700za7za7_2960za7, "Signature type not yet implemented (or not a string-signature)", 62 );
DEFINE_STRING( BGl_string2779z00zz__openpgpzd2logiczd2, BgL_bgl_string2779za700za7za7_2961za7, "construct-certification-signature-str", 37 );
DEFINE_STRING( BGl_string2860z00zz__openpgpzd2logiczd2, BgL_bgl_string2860za700za7za7_2962za7, "MDC packet found at bad position. (tampered data?)", 50 );
DEFINE_STRING( BGl_string2861z00zz__openpgpzd2logiczd2, BgL_bgl_string2861za700za7za7_2963za7, "Modification Detection detected invalid hash. (tampered data?)", 62 );
DEFINE_STRING( BGl_string2780z00zz__openpgpzd2logiczd2, BgL_bgl_string2780za700za7za7_2964za7, "Unsupported version", 19 );
DEFINE_STRING( BGl_string2862z00zz__openpgpzd2logiczd2, BgL_bgl_string2862za700za7za7_2965za7, "decrypt-symmetric-key-session-key", 33 );
DEFINE_STRING( BGl_string2781z00zz__openpgpzd2logiczd2, BgL_bgl_string2781za700za7za7_2966za7, "Signature type not yet implemented (or not a certification-signature)", 69 );
DEFINE_STRING( BGl_string2863z00zz__openpgpzd2logiczd2, BgL_bgl_string2863za700za7za7_2967za7, "bad decrypted session key (length <= 1)", 39 );
DEFINE_STRING( BGl_string2782z00zz__openpgpzd2logiczd2, BgL_bgl_string2782za700za7za7_2968za7, "construct-key-signature-msg", 27 );
DEFINE_STRING( BGl_string2864z00zz__openpgpzd2logiczd2, BgL_bgl_string2864za700za7za7_2969za7, "&decrypt-symmetric-key-session-key", 34 );
DEFINE_STRING( BGl_string2783z00zz__openpgpzd2logiczd2, BgL_bgl_string2783za700za7za7_2970za7, "Signature type not yet implemented (or not a key-signature)", 59 );
DEFINE_STRING( BGl_string2865z00zz__openpgpzd2logiczd2, BgL_bgl_string2865za700za7za7_2971za7, "PGP-Symmetric-Key-Encrypted-Session-Key-Packet", 46 );
DEFINE_STRING( BGl_string2784z00zz__openpgpzd2logiczd2, BgL_bgl_string2784za700za7za7_2972za7, "construct-subkey-signature-str", 30 );
DEFINE_STRING( BGl_string2866z00zz__openpgpzd2logiczd2, BgL_bgl_string2866za700za7za7_2973za7, "decrypt-public-key-session-key", 30 );
DEFINE_STRING( BGl_string2785z00zz__openpgpzd2logiczd2, BgL_bgl_string2785za700za7za7_2974za7, "Signature type not yet implemented (or not a subkey-signature)", 62 );
DEFINE_STRING( BGl_string2867z00zz__openpgpzd2logiczd2, BgL_bgl_string2867za700za7za7_2975za7, "Bad decrypted session-key", 25 );
DEFINE_STRING( BGl_string2868z00zz__openpgpzd2logiczd2, BgL_bgl_string2868za700za7za7_2976za7, "Bad checksum", 12 );
DEFINE_STRING( BGl_string2869z00zz__openpgpzd2logiczd2, BgL_bgl_string2869za700za7za7_2977za7, "Decryption algorithm not yet implemented ", 41 );
DEFINE_STRING( BGl_string2788z00zz__openpgpzd2logiczd2, BgL_bgl_string2788za700za7za7_2978za7, "ElGamal signing not yet implemented", 35 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symmetriczd2decryptzd2envz00zz__openpgpzd2logiczd2, BgL_bgl_za762symmetricza7d2d2979z00, BGl_z62symmetriczd2decryptzb0zz__openpgpzd2logiczd2, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2870z00zz__openpgpzd2logiczd2, BgL_bgl_string2870za700za7za7_2980za7, "&decrypt-public-key-session-key", 31 );
DEFINE_STRING( BGl_string2871z00zz__openpgpzd2logiczd2, BgL_bgl_string2871za700za7za7_2981za7, "PGP-Public-Key-Encrypted-Session-Key-Packet", 43 );
DEFINE_STRING( BGl_string2872z00zz__openpgpzd2logiczd2, BgL_bgl_string2872za700za7za7_2982za7, "_create-password-session-key-packet", 35 );
DEFINE_STRING( BGl_string2791z00zz__openpgpzd2logiczd2, BgL_bgl_string2791za700za7za7_2983za7, " ", 1 );
DEFINE_STRING( BGl_string2873z00zz__openpgpzd2logiczd2, BgL_bgl_string2873za700za7za7_2984za7, "wrong number of arguments: [3..6] expected, provided", 52 );
DEFINE_STRING( BGl_string2792z00zz__openpgpzd2logiczd2, BgL_bgl_string2792za700za7za7_2985za7, "Signature algorithm not yet implemented ", 40 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2786z00zz__openpgpzd2logiczd2, BgL_bgl_za762za7c3za704anonymo2986za7, BGl_z62zc3z04anonymousza31778ze3ze5zz__openpgpzd2logiczd2 );
DEFINE_STRING( BGl_string2874z00zz__openpgpzd2logiczd2, BgL_bgl_string2874za700za7za7_2987za7, "Without a session-key the S2k for a session-key must be salted.", 63 );
DEFINE_STRING( BGl_string2793z00zz__openpgpzd2logiczd2, BgL_bgl_string2793za700za7za7_2988za7, "#f due to exception", 19 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2787z00zz__openpgpzd2logiczd2, BgL_bgl_za762za7c3za704anonymo2989za7, BGl_z62zc3z04anonymousza31799ze3ze5zz__openpgpzd2logiczd2 );
DEFINE_STRING( BGl_string2875z00zz__openpgpzd2logiczd2, BgL_bgl_string2875za700za7za7_2990za7, "create-public-key-session-key-packet", 36 );
DEFINE_STRING( BGl_string2794z00zz__openpgpzd2logiczd2, BgL_bgl_string2794za700za7za7_2991za7, "key-id", 6 );
DEFINE_STRING( BGl_string2876z00zz__openpgpzd2logiczd2, BgL_bgl_string2876za700za7za7_2992za7, "Bad public key algo", 19 );
DEFINE_STRING( BGl_string2795z00zz__openpgpzd2logiczd2, BgL_bgl_string2795za700za7za7_2993za7, "v3 key must contain RSA key", 27 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2789z00zz__openpgpzd2logiczd2, BgL_bgl_za762za7c3za704anonymo2994za7, BGl_z62zc3z04anonymousza31826ze3ze5zz__openpgpzd2logiczd2 );
DEFINE_STRING( BGl_string2877z00zz__openpgpzd2logiczd2, BgL_bgl_string2877za700za7za7_2995za7, "&create-public-key-session-key-packet", 37 );
DEFINE_STRING( BGl_string2796z00zz__openpgpzd2logiczd2, BgL_bgl_string2796za700za7za7_2996za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/openpgp/src/Llib/pgp_logic.scm", 70 );
DEFINE_STRING( BGl_string2797z00zz__openpgpzd2logiczd2, BgL_bgl_string2797za700za7za7_2997za7, "&key-id", 7 );
DEFINE_STRING( BGl_string2879z00zz__openpgpzd2logiczd2, BgL_bgl_string2879za700za7za7_2998za7, "fingerprint1366", 15 );
DEFINE_STRING( BGl_string2798z00zz__openpgpzd2logiczd2, BgL_bgl_string2798za700za7za7_2999za7, "PGP-Key-Packet", 14 );
DEFINE_STRING( BGl_string2799z00zz__openpgpzd2logiczd2, BgL_bgl_string2799za700za7za7_3000za7, "Signing algorithm not yet implemented", 37 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2symmetriczd2keyzd2sessionzd2keyzd2envzd2zz__openpgpzd2logiczd2, BgL_bgl_za762decryptza7d2sym3001z00, BGl_z62decryptzd2symmetriczd2keyzd2sessionzd2keyz62zz__openpgpzd2logiczd2, 0L, BUNSPEC, 2 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2790z00zz__openpgpzd2logiczd2, BgL_bgl_za762za7c3za704anonymo3002za7, BGl_z62zc3z04anonymousza31825ze3ze5zz__openpgpzd2logiczd2 );
DEFINE_STRING( BGl_string2880z00zz__openpgpzd2logiczd2, BgL_bgl_string2880za700za7za7_3003za7, "fingerprint", 11 );
DEFINE_STRING( BGl_string2881z00zz__openpgpzd2logiczd2, BgL_bgl_string2881za700za7za7_3004za7, "&fingerprint", 12 );
DEFINE_STRING( BGl_string2882z00zz__openpgpzd2logiczd2, BgL_bgl_string2882za700za7za7_3005za7, "__openpgp-logic", 15 );
DEFINE_STRING( BGl_string2883z00zz__openpgpzd2logiczd2, BgL_bgl_string2883za700za7za7_3006za7, "simple :symmetric-algo :s2k-algo create-password-session-key-packet (:hash-algo :s2k-algo :symmetric-algo) cast5 iterated dummy :mdc (:mdc) symmetric-encrypt::PGP-Symmetrically-Encrypted-Packet :detached-signature? create-pgp-signature::PGP-Signature (:creation-date :detached-signature? :file-name :hash-algo :password-provider) :password-provider :file-name :creation-date create-one-pass-signature::PGP-One-Pass-Signature (:creation-date :file-name :hash-algo :password-provider) :signature-type :hash-algo create-sig-packet-v4::PGP-Signature-v4-Packet (:hash-algo :signature-type) :key-resolver :key signature->issuer-id (:key :key-resolver) elgamal-encrypt rsa-encrypt aes-256 aes-192 aes-128 sha-1 elgamal-encrypt/sign dsa rsa-sign rsa-encrypt/sign subkey-binding subkey-revocation key-revocation key positive-certif casual-certif persona-certif generic-certif standalone canonical binary ", 895 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2878z00zz__openpgpzd2logiczd2, BgL_bgl_za762fingerprint133007za7, BGl_z62fingerprint1366z62zz__openpgpzd2logiczd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2secretzd2keyz12zd2envzc0zz__openpgpzd2logiczd2, BgL_bgl_za762decryptza7d2sec3008z00, BGl_z62decryptzd2secretzd2keyz12z70zz__openpgpzd2logiczd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pgpzd2keyzd2ze3humanzd2readablezd2envze3zz__openpgpzd2logiczd2, BgL_bgl_za762pgpza7d2keyza7d2za73009z00, BGl_z62pgpzd2keyzd2ze3humanzd2readablez53zz__openpgpzd2logiczd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_keyzd2idzd2envz00zz__openpgpzd2logiczd2, BgL_bgl_za762keyza7d2idza7b0za7za73010za7, BGl_z62keyzd2idzb0zz__openpgpzd2logiczd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_fingerprintzd2envzd2zz__openpgpzd2logiczd2, BgL_bgl_za762fingerprintza763011z00, BGl_z62fingerprintz62zz__openpgpzd2logiczd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_createzd2publiczd2keyzd2sessionzd2keyzd2packetzd2envz00zz__openpgpzd2logiczd2, BgL_bgl_za762createza7d2publ3012z00, BGl_z62createzd2publiczd2keyzd2sessionzd2keyzd2packetzb0zz__openpgpzd2logiczd2, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2logiczd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2logiczd2(long BgL_checksumz00_3584, char * BgL_fromz00_3585)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2logiczd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2logiczd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2logiczd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2logiczd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2logiczd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2logiczd2(); 
BGl_genericzd2initzd2zz__openpgpzd2logiczd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2logiczd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2logiczd2()
{
{ /* Llib/pgp_logic.scm 15 */
BGl_modulezd2initializa7ationz75zz__cryptozd2elgamalzd2(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2dsazd2(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__openpgp-logic"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__openpgp-logic"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2logiczd2()
{
{ /* Llib/pgp_logic.scm 15 */
{ /* Llib/pgp_logic.scm 15 */
 obj_t BgL_cportz00_3412;
{ /* Llib/pgp_logic.scm 15 */
 obj_t BgL_stringz00_3420;
BgL_stringz00_3420 = BGl_string2883z00zz__openpgpzd2logiczd2; 
{ /* Llib/pgp_logic.scm 15 */
 obj_t BgL_startz00_3421;
BgL_startz00_3421 = 
BINT(((long)0)); 
{ /* Llib/pgp_logic.scm 15 */
 obj_t BgL_endz00_3422;
BgL_endz00_3422 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_3420))); 
{ /* Llib/pgp_logic.scm 15 */

BgL_cportz00_3412 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_3420, BgL_startz00_3421, BgL_endz00_3422); } } } } 
{ 
 long BgL_iz00_3413;
BgL_iz00_3413 = ((long)47); 
BgL_loopz00_3414:
if(
(BgL_iz00_3413==((long)-1)))
{ /* Llib/pgp_logic.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pgp_logic.scm 15 */
{ /* Llib/pgp_logic.scm 15 */
 obj_t BgL_arg2885z00_3416;
{ /* Llib/pgp_logic.scm 15 */

{ /* Llib/pgp_logic.scm 15 */
 obj_t BgL_locationz00_3418;
BgL_locationz00_3418 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_logic.scm 15 */

BgL_arg2885z00_3416 = 
BGl_readz00zz__readerz00(BgL_cportz00_3412, BgL_locationz00_3418); } } } 
{ /* Llib/pgp_logic.scm 15 */
 int BgL_tmpz00_3627;
BgL_tmpz00_3627 = 
(int)(BgL_iz00_3413); 
CNST_TABLE_SET(BgL_tmpz00_3627, BgL_arg2885z00_3416); } } 
{ /* Llib/pgp_logic.scm 15 */
 int BgL_auxz00_3419;
BgL_auxz00_3419 = 
(int)(
(BgL_iz00_3413-((long)1))); 
{ 
 long BgL_iz00_3632;
BgL_iz00_3632 = 
(long)(BgL_auxz00_3419); 
BgL_iz00_3413 = BgL_iz00_3632; 
goto BgL_loopz00_3414;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2logiczd2()
{
{ /* Llib/pgp_logic.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2logiczd2()
{
{ /* Llib/pgp_logic.scm 15 */
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(((long)0), 
BSTRING_TO_STRING(BGl_string2775z00zz__openpgpzd2logiczd2)); 
return BUNSPEC;} 

}



/* PGP-main-key-packet */
BgL_pgpzd2keyzd2packetz00_bglt BGl_PGPzd2mainzd2keyzd2packetzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2_bglt BgL_keyz00_4)
{
{ /* Llib/pgp_logic.scm 73 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)
CAR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_keyz00_4))->BgL_subkeysz00)))))->BgL_keyzd2packetzd2);} 

}



/* construct-data-signature-msg */
obj_t BGl_constructzd2datazd2signaturezd2msgzd2zz__openpgpzd2logiczd2(obj_t BgL_strz00_5, obj_t BgL_sigzd2typezd2_6)
{
{ /* Llib/pgp_logic.scm 80 */
if(
(BgL_sigzd2typezd2_6==
CNST_TABLE_REF(((long)0))))
{ /* Llib/pgp_logic.scm 81 */
return BgL_strz00_5;}  else 
{ /* Llib/pgp_logic.scm 81 */
if(
(BgL_sigzd2typezd2_6==
CNST_TABLE_REF(((long)1))))
{ /* Llib/pgp_logic.scm 81 */
return 
BGl_canonicalzd2stringzd2zz__openpgpzd2logiczd2(BgL_strz00_5);}  else 
{ /* Llib/pgp_logic.scm 81 */
if(
(BgL_sigzd2typezd2_6==
CNST_TABLE_REF(((long)2))))
{ /* Llib/pgp_logic.scm 81 */
if(
(
STRING_LENGTH(BgL_strz00_5)==((long)0)))
{ /* Llib/pgp_logic.scm 85 */
return BFALSE;}  else 
{ /* Llib/pgp_logic.scm 85 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2776z00zz__openpgpzd2logiczd2, BGl_string2777z00zz__openpgpzd2logiczd2, BgL_strz00_5);} }  else 
{ /* Llib/pgp_logic.scm 92 */
 obj_t BgL_arg1541z00_182;
BgL_arg1541z00_182 = 
MAKE_YOUNG_PAIR(BgL_sigzd2typezd2_6, 
BGl_signaturezd2typezd2ze3humanzd2readablez31zz__openpgpzd2humanzd2(BgL_sigzd2typezd2_6)); 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2776z00zz__openpgpzd2logiczd2, BGl_string2778z00zz__openpgpzd2logiczd2, BgL_arg1541z00_182);} } } } 

}



/* canonical-string */
obj_t BGl_canonicalzd2stringzd2zz__openpgpzd2logiczd2(obj_t BgL_strz00_7)
{
{ /* Llib/pgp_logic.scm 100 */
{ 
 obj_t BgL_strz00_217;
{ /* Llib/pgp_logic.scm 112 */
 obj_t BgL_nstrz00_185;
{ /* Llib/pgp_logic.scm 112 */
 long BgL_arg1623z00_212;
{ /* Llib/pgp_logic.scm 112 */
 long BgL_tmpz00_3658;
BgL_strz00_217 = BgL_strz00_7; 
{ /* Llib/pgp_logic.scm 103 */
 obj_t BgL_g1114z00_219;
{ /* Llib/pgp_logic.scm 103 */

BgL_g1114z00_219 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_strz00_217, 
BCHAR(((unsigned char)10)), 
BINT(((long)0))); } 
{ 
 obj_t BgL_iz00_221; long BgL_cz00_222;
BgL_iz00_221 = BgL_g1114z00_219; 
BgL_cz00_222 = ((long)0); 
BgL_zc3z04anonymousza31644ze3z87_223:
if(
CBOOL(BgL_iz00_221))
{ /* Llib/pgp_logic.scm 107 */
 bool_t BgL_test3020z00_3665;
if(
(
(long)CINT(BgL_iz00_221)>((long)0)))
{ /* Llib/pgp_logic.scm 107 */
BgL_test3020z00_3665 = 
(
STRING_REF(BgL_strz00_217, 
(
(long)CINT(BgL_iz00_221)-((long)1)))==((unsigned char)13))
; }  else 
{ /* Llib/pgp_logic.scm 107 */
BgL_test3020z00_3665 = ((bool_t)0)
; } 
if(BgL_test3020z00_3665)
{ /* Llib/pgp_logic.scm 108 */
 obj_t BgL_arg1657z00_228;
{ /* Llib/pgp_logic.scm 108 */
 long BgL_arg1664z00_229;
BgL_arg1664z00_229 = 
(
(long)CINT(BgL_iz00_221)+((long)1)); 
BgL_arg1657z00_228 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_strz00_217, 
BCHAR(((unsigned char)10)), 
BINT(BgL_arg1664z00_229)); } 
{ 
 obj_t BgL_iz00_3678;
BgL_iz00_3678 = BgL_arg1657z00_228; 
BgL_iz00_221 = BgL_iz00_3678; 
goto BgL_zc3z04anonymousza31644ze3z87_223;} }  else 
{ /* Llib/pgp_logic.scm 109 */
 obj_t BgL_arg1672z00_230; long BgL_arg1673z00_231;
{ /* Llib/pgp_logic.scm 109 */
 long BgL_arg1674z00_232;
BgL_arg1674z00_232 = 
(
(long)CINT(BgL_iz00_221)+((long)1)); 
BgL_arg1672z00_230 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_strz00_217, 
BCHAR(((unsigned char)10)), 
BINT(BgL_arg1674z00_232)); } 
BgL_arg1673z00_231 = 
(BgL_cz00_222+((long)1)); 
{ 
 long BgL_cz00_3686; obj_t BgL_iz00_3685;
BgL_iz00_3685 = BgL_arg1672z00_230; 
BgL_cz00_3686 = BgL_arg1673z00_231; 
BgL_cz00_222 = BgL_cz00_3686; 
BgL_iz00_221 = BgL_iz00_3685; 
goto BgL_zc3z04anonymousza31644ze3z87_223;} } }  else 
{ /* Llib/pgp_logic.scm 105 */
BgL_tmpz00_3658 = BgL_cz00_222
; } } } 
BgL_arg1623z00_212 = 
(
STRING_LENGTH(BgL_strz00_7)+BgL_tmpz00_3658); } 
{ /* Llib/pgp_logic.scm 112 */

BgL_nstrz00_185 = 
make_string(BgL_arg1623z00_212, ((unsigned char)' ')); } } 
{ 
 long BgL_rz00_187; long BgL_wz00_188;
BgL_rz00_187 = ((long)0); 
BgL_wz00_188 = ((long)0); 
BgL_zc3z04anonymousza31555ze3z87_189:
{ /* Llib/pgp_logic.scm 115 */
 obj_t BgL_iz00_190;
BgL_iz00_190 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_strz00_7, 
BCHAR(((unsigned char)10)), 
BINT(BgL_rz00_187)); 
if(
CBOOL(BgL_iz00_190))
{ /* Llib/pgp_logic.scm 121 */
 bool_t BgL_test3023z00_3694;
if(
(
(long)CINT(BgL_iz00_190)>((long)0)))
{ /* Llib/pgp_logic.scm 121 */
BgL_test3023z00_3694 = 
(
STRING_REF(BgL_strz00_7, 
(
(long)CINT(BgL_iz00_190)-((long)1)))==((unsigned char)13))
; }  else 
{ /* Llib/pgp_logic.scm 121 */
BgL_test3023z00_3694 = ((bool_t)0)
; } 
if(BgL_test3023z00_3694)
{ /* Llib/pgp_logic.scm 123 */
 long BgL_lz00_195;
BgL_lz00_195 = 
(((long)1)+
(
(long)CINT(BgL_iz00_190)-BgL_rz00_187)); 
blit_string(BgL_strz00_7, BgL_rz00_187, BgL_nstrz00_185, BgL_wz00_188, BgL_lz00_195); 
{ 
 long BgL_wz00_3709; long BgL_rz00_3706;
BgL_rz00_3706 = 
(
(long)CINT(BgL_iz00_190)+((long)1)); 
BgL_wz00_3709 = 
(BgL_wz00_188+BgL_lz00_195); 
BgL_wz00_188 = BgL_wz00_3709; 
BgL_rz00_187 = BgL_rz00_3706; 
goto BgL_zc3z04anonymousza31555ze3z87_189;} }  else 
{ /* Llib/pgp_logic.scm 128 */
 long BgL_lz00_199;
BgL_lz00_199 = 
(
(long)CINT(BgL_iz00_190)-BgL_rz00_187); 
blit_string(BgL_strz00_7, BgL_rz00_187, BgL_nstrz00_185, BgL_wz00_188, BgL_lz00_199); 
{ /* Llib/pgp_logic.scm 130 */
 long BgL_tmpz00_3714;
BgL_tmpz00_3714 = 
(BgL_wz00_188+BgL_lz00_199); 
STRING_SET(BgL_nstrz00_185, BgL_tmpz00_3714, ((unsigned char)13)); } 
{ /* Llib/pgp_logic.scm 131 */
 long BgL_tmpz00_3717;
BgL_tmpz00_3717 = 
(BgL_wz00_188+
(BgL_lz00_199+((long)1))); 
STRING_SET(BgL_nstrz00_185, BgL_tmpz00_3717, ((unsigned char)10)); } 
{ 
 long BgL_wz00_3724; long BgL_rz00_3721;
BgL_rz00_3721 = 
(
(long)CINT(BgL_iz00_190)+((long)1)); 
BgL_wz00_3724 = 
(BgL_wz00_188+
(BgL_lz00_199+((long)2))); 
BgL_wz00_188 = BgL_wz00_3724; 
BgL_rz00_187 = BgL_rz00_3721; 
goto BgL_zc3z04anonymousza31555ze3z87_189;} } }  else 
{ /* Llib/pgp_logic.scm 117 */
blit_string(BgL_strz00_7, BgL_rz00_187, BgL_nstrz00_185, BgL_wz00_188, 
(
STRING_LENGTH(BgL_strz00_7)-BgL_rz00_187)); 
return BgL_nstrz00_185;} } } } } } 

}



/* construct-certification-signature-str */
obj_t BGl_constructzd2certificationzd2signaturezd2strzd2zz__openpgpzd2logiczd2(obj_t BgL_idz00_8, BgL_pgpzd2keyzd2packetz00_bglt BgL_keyz00_9, obj_t BgL_sigzd2typezd2_10, long BgL_versionz00_11)
{
{ /* Llib/pgp_logic.scm 136 */
{ /* Llib/pgp_logic.scm 138 */
 bool_t BgL_test3025z00_3730;
{ /* Llib/pgp_logic.scm 138 */
 bool_t BgL__ortest_1115z00_261;
BgL__ortest_1115z00_261 = 
(BgL_sigzd2typezd2_10==
CNST_TABLE_REF(((long)3))); 
if(BgL__ortest_1115z00_261)
{ /* Llib/pgp_logic.scm 138 */
BgL_test3025z00_3730 = BgL__ortest_1115z00_261
; }  else 
{ /* Llib/pgp_logic.scm 138 */
 bool_t BgL__ortest_1116z00_262;
BgL__ortest_1116z00_262 = 
(BgL_sigzd2typezd2_10==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1116z00_262)
{ /* Llib/pgp_logic.scm 138 */
BgL_test3025z00_3730 = BgL__ortest_1116z00_262
; }  else 
{ /* Llib/pgp_logic.scm 138 */
 bool_t BgL__ortest_1117z00_263;
BgL__ortest_1117z00_263 = 
(BgL_sigzd2typezd2_10==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1117z00_263)
{ /* Llib/pgp_logic.scm 138 */
BgL_test3025z00_3730 = BgL__ortest_1117z00_263
; }  else 
{ /* Llib/pgp_logic.scm 138 */
BgL_test3025z00_3730 = 
(BgL_sigzd2typezd2_10==
CNST_TABLE_REF(((long)6)))
; } } } } 
if(BgL_test3025z00_3730)
{ /* Llib/pgp_logic.scm 140 */
 obj_t BgL_keyzd2strzd2_246;
BgL_keyzd2strzd2_246 = 
BGl_constructzd2keyzd2signaturezd2strzd2zz__openpgpzd2logiczd2(BgL_keyz00_9, 
CNST_TABLE_REF(((long)7))); 
switch( BgL_versionz00_11) { case ((long)3) : 

return 
string_append(BgL_keyzd2strzd2_246, BgL_idz00_8);break;case ((long)4) : 

{ /* Llib/pgp_logic.scm 146 */
 obj_t BgL_arg1688z00_250; obj_t BgL_arg1691z00_251;
{ /* Llib/pgp_logic.scm 146 */
 unsigned char BgL_arg1707z00_256;
BgL_arg1707z00_256 = 
(((long)180)); 
{ /* Llib/pgp_logic.scm 146 */
 obj_t BgL_list1708z00_257;
BgL_list1708z00_257 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1707z00_256), BNIL); 
BgL_arg1688z00_250 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1708z00_257); } } 
BgL_arg1691z00_251 = 
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(
STRING_LENGTH(BgL_idz00_8), ((long)4)); 
{ /* Llib/pgp_logic.scm 145 */
 obj_t BgL_list1692z00_252;
{ /* Llib/pgp_logic.scm 145 */
 obj_t BgL_arg1701z00_253;
{ /* Llib/pgp_logic.scm 145 */
 obj_t BgL_arg1704z00_254;
{ /* Llib/pgp_logic.scm 145 */
 obj_t BgL_arg1706z00_255;
BgL_arg1706z00_255 = 
MAKE_YOUNG_PAIR(BgL_idz00_8, BNIL); 
BgL_arg1704z00_254 = 
MAKE_YOUNG_PAIR(BgL_arg1691z00_251, BgL_arg1706z00_255); } 
BgL_arg1701z00_253 = 
MAKE_YOUNG_PAIR(BgL_arg1688z00_250, BgL_arg1704z00_254); } 
BgL_list1692z00_252 = 
MAKE_YOUNG_PAIR(BgL_keyzd2strzd2_246, BgL_arg1701z00_253); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1692z00_252);} } break;
default: 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2779z00zz__openpgpzd2logiczd2, BGl_string2780z00zz__openpgpzd2logiczd2, 
BINT(BgL_versionz00_11));} }  else 
{ /* Llib/pgp_logic.scm 155 */
 obj_t BgL_arg1710z00_259;
BgL_arg1710z00_259 = 
MAKE_YOUNG_PAIR(BgL_sigzd2typezd2_10, 
BGl_signaturezd2typezd2ze3humanzd2readablez31zz__openpgpzd2humanzd2(BgL_sigzd2typezd2_10)); 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2779z00zz__openpgpzd2logiczd2, BGl_string2781z00zz__openpgpzd2logiczd2, BgL_arg1710z00_259);} } } 

}



/* construct-key-signature-str */
obj_t BGl_constructzd2keyzd2signaturezd2strzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2packetz00_bglt BgL_keyz00_12, obj_t BgL_sigzd2typezd2_13)
{
{ /* Llib/pgp_logic.scm 159 */
{ /* Llib/pgp_logic.scm 160 */
 bool_t BgL_test3029z00_3762;
{ /* Llib/pgp_logic.scm 160 */
 bool_t BgL__ortest_1120z00_279;
BgL__ortest_1120z00_279 = 
(BgL_sigzd2typezd2_13==
CNST_TABLE_REF(((long)7))); 
if(BgL__ortest_1120z00_279)
{ /* Llib/pgp_logic.scm 160 */
BgL_test3029z00_3762 = BgL__ortest_1120z00_279
; }  else 
{ /* Llib/pgp_logic.scm 160 */
 bool_t BgL__ortest_1121z00_280;
BgL__ortest_1121z00_280 = 
(BgL_sigzd2typezd2_13==
CNST_TABLE_REF(((long)8))); 
if(BgL__ortest_1121z00_280)
{ /* Llib/pgp_logic.scm 160 */
BgL_test3029z00_3762 = BgL__ortest_1121z00_280
; }  else 
{ /* Llib/pgp_logic.scm 160 */
BgL_test3029z00_3762 = 
(BgL_sigzd2typezd2_13==
CNST_TABLE_REF(((long)9)))
; } } } 
if(BgL_test3029z00_3762)
{ /* Llib/pgp_logic.scm 162 */
 obj_t BgL_strzd2pzd2_268;
{ /* Llib/pgp_logic.scm 162 */

{ /* Llib/pgp_logic.scm 162 */

BgL_strzd2pzd2_268 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ /* Llib/pgp_logic.scm 162 */
 obj_t BgL_dummyz00_269;
BgL_dummyz00_269 = 
BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(BgL_keyz00_12, BgL_strzd2pzd2_268); 
{ /* Llib/pgp_logic.scm 163 */
 obj_t BgL_contentz00_270;
BgL_contentz00_270 = 
bgl_close_output_port(BgL_strzd2pzd2_268); 
{ /* Llib/pgp_logic.scm 164 */

{ /* Llib/pgp_logic.scm 165 */
 obj_t BgL_arg1725z00_271; obj_t BgL_arg1726z00_272;
{ /* Llib/pgp_logic.scm 165 */
 unsigned char BgL_arg1727z00_273;
BgL_arg1727z00_273 = 
(((long)153)); 
{ /* Llib/pgp_logic.scm 165 */
 obj_t BgL_list1728z00_274;
BgL_list1728z00_274 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1727z00_273), BNIL); 
BgL_arg1725z00_271 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1728z00_274); } } 
{ /* Llib/pgp_logic.scm 166 */
 long BgL_arg1729z00_275;
BgL_arg1729z00_275 = 
STRING_LENGTH(
((obj_t)BgL_contentz00_270)); 
BgL_arg1726z00_272 = 
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1729z00_275, ((long)2)); } 
return 
string_append_3(BgL_arg1725z00_271, BgL_arg1726z00_272, BgL_contentz00_270);} } } } }  else 
{ /* Llib/pgp_logic.scm 171 */
 obj_t BgL_arg1730z00_277;
BgL_arg1730z00_277 = 
MAKE_YOUNG_PAIR(BgL_sigzd2typezd2_13, 
BGl_signaturezd2typezd2ze3humanzd2readablez31zz__openpgpzd2humanzd2(BgL_sigzd2typezd2_13)); 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2782z00zz__openpgpzd2logiczd2, BGl_string2783z00zz__openpgpzd2logiczd2, BgL_arg1730z00_277);} } } 

}



/* construct-subkey-signature-str */
obj_t BGl_constructzd2subkeyzd2signaturezd2strzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2packetz00_bglt BgL_subkeyz00_14, BgL_pgpzd2keyzd2packetz00_bglt BgL_mainzd2keyzd2_15, obj_t BgL_sigzd2typezd2_16)
{
{ /* Llib/pgp_logic.scm 173 */
if(
(BgL_sigzd2typezd2_16==
CNST_TABLE_REF(((long)10))))
{ /* Llib/pgp_logic.scm 176 */
return 
string_append(
BGl_constructzd2keyzd2signaturezd2strzd2zz__openpgpzd2logiczd2(BgL_mainzd2keyzd2_15, 
CNST_TABLE_REF(((long)7))), 
BGl_constructzd2keyzd2signaturezd2strzd2zz__openpgpzd2logiczd2(BgL_subkeyz00_14, 
CNST_TABLE_REF(((long)7))));}  else 
{ /* Llib/pgp_logic.scm 183 */
 obj_t BgL_arg1740z00_285;
BgL_arg1740z00_285 = 
MAKE_YOUNG_PAIR(BgL_sigzd2typezd2_16, 
BGl_signaturezd2typezd2ze3humanzd2readablez31zz__openpgpzd2humanzd2(BgL_sigzd2typezd2_16)); 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2784z00zz__openpgpzd2logiczd2, BGl_string2785z00zz__openpgpzd2logiczd2, BgL_arg1740z00_285);} } 

}



/* verify-signature */
obj_t BGl_verifyzd2signaturezd2zz__openpgpzd2logiczd2(obj_t BgL_msgz00_17, BgL_pgpzd2signaturezd2packetz00_bglt BgL_sigz00_18, obj_t BgL_keyzd2resolverzd2_19)
{
{ /* Llib/pgp_logic.scm 186 */
{ 
 obj_t BgL_validzd2keyzf3z21_292; obj_t BgL_verifyz00_293; obj_t BgL_keysz00_294; obj_t BgL_msgz00_332; BgL_pgpzd2signaturezd2packetz00_bglt BgL_sigz00_333; obj_t BgL_keysz00_334;
{ /* Llib/pgp_logic.scm 252 */
 obj_t BgL_possiblezd2keyszd2_290;
{ /* Llib/pgp_logic.scm 252 */
 obj_t BgL_arg1742z00_291;
BgL_arg1742z00_291 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_sigz00_18)))->BgL_issuerz00); 
BgL_possiblezd2keyszd2_290 = 
PROCEDURE_ENTRY(BgL_keyzd2resolverzd2_19)(BgL_keyzd2resolverzd2_19, BgL_arg1742z00_291, BEOA); } 
BgL_msgz00_332 = BgL_msgz00_17; 
BgL_sigz00_333 = BgL_sigz00_18; 
BgL_keysz00_334 = BgL_possiblezd2keyszd2_290; 
{ /* Llib/pgp_logic.scm 209 */
 obj_t BgL_signedzd2mzd2_337;
BgL_signedzd2mzd2_337 = 
string_append_3(BgL_msgz00_332, 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_sigz00_333))->BgL_signedzd2packetzd2prefixz00), 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_sigz00_333))->BgL_hashzd2trailerzd2)); 
{ /* Llib/pgp_logic.scm 209 */
 obj_t BgL_hashzd2funzd2_338;
{ /* Llib/pgp_logic.scm 211 */
 obj_t BgL_arg1835z00_392;
BgL_arg1835z00_392 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_sigz00_333)))->BgL_hashzd2algozd2); 
BgL_hashzd2funzd2_338 = 
BGl_hashzd2algozd2ze3procedureze3zz__openpgpzd2algozd2(BgL_arg1835z00_392); } 
{ /* Llib/pgp_logic.scm 211 */
 obj_t BgL_hashz00_339;
BgL_hashz00_339 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_338)(BgL_hashzd2funzd2_338, BgL_signedzd2mzd2_337, BEOA); 
{ /* Llib/pgp_logic.scm 212 */
 bool_t BgL_hashzd2prefixzd2okzf3zf3_340;
{ /* Llib/pgp_logic.scm 213 */

BgL_hashzd2prefixzd2okzf3zf3_340 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_sigz00_333))->BgL_leftzd2hashzd2), BgL_hashz00_339, BFALSE, BFALSE, BFALSE, BFALSE); } 
{ /* Llib/pgp_logic.scm 213 */

if(BgL_hashzd2prefixzd2okzf3zf3_340)
{ /* Llib/pgp_logic.scm 222 */
 obj_t BgL_casezd2valuezd2_341;
BgL_casezd2valuezd2_341 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_sigz00_333)))->BgL_publiczd2keyzd2algoz00); 
{ /* Llib/pgp_logic.scm 222 */
 bool_t BgL_test3034z00_3817;
{ /* Llib/pgp_logic.scm 222 */
 bool_t BgL__ortest_1145z00_384;
BgL__ortest_1145z00_384 = 
(BgL_casezd2valuezd2_341==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1145z00_384)
{ /* Llib/pgp_logic.scm 222 */
BgL_test3034z00_3817 = BgL__ortest_1145z00_384
; }  else 
{ /* Llib/pgp_logic.scm 222 */
BgL_test3034z00_3817 = 
(BgL_casezd2valuezd2_341==
CNST_TABLE_REF(((long)12)))
; } } 
if(BgL_test3034z00_3817)
{ /* Llib/pgp_logic.scm 224 */
 obj_t BgL_zc3z04anonymousza31779ze3z87_3160;
{ 
 int BgL_tmpz00_3823;
BgL_tmpz00_3823 = 
(int)(((long)2)); 
BgL_zc3z04anonymousza31779ze3z87_3160 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza31779ze3ze5zz__openpgpzd2logiczd2, BgL_tmpz00_3823); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza31779ze3z87_3160, 
(int)(((long)0)), 
((obj_t)BgL_sigz00_333)); 
PROCEDURE_L_SET(BgL_zc3z04anonymousza31779ze3z87_3160, 
(int)(((long)1)), BgL_signedzd2mzd2_337); 
BgL_validzd2keyzf3z21_292 = BGl_proc2786z00zz__openpgpzd2logiczd2; 
BgL_verifyz00_293 = BgL_zc3z04anonymousza31779ze3z87_3160; 
BgL_keysz00_294 = BgL_keysz00_334; 
BgL_zc3z04anonymousza31743ze3z87_295:
{ 
 obj_t BgL_l1307z00_297;
BgL_l1307z00_297 = BgL_keysz00_294; 
BgL_zc3z04anonymousza31744ze3z87_298:
if(
NULLP(BgL_l1307z00_297))
{ /* Llib/pgp_logic.scm 190 */
return BFALSE;}  else 
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL__ortest_1309z00_300;
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_subkeyz00_302;
BgL_subkeyz00_302 = 
CAR(
((obj_t)BgL_l1307z00_297)); 
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_env1130z00_304;
BgL_env1130z00_304 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_326;
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_cell1125z00_305;
BgL_cell1125z00_305 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_val1129z00_306;
BgL_val1129z00_306 = 
BGl_zc3z04exitza31750ze3ze70z60zz__openpgpzd2logiczd2(BgL_verifyz00_293, BgL_validzd2keyzf3z21_292, BgL_subkeyz00_302, BgL_cell1125z00_305, BgL_env1130z00_304); 
if(
(BgL_val1129z00_306==BgL_cell1125z00_305))
{ /* Llib/pgp_logic.scm 191 */
{ /* Llib/pgp_logic.scm 191 */
 int BgL_tmpz00_3840;
BgL_tmpz00_3840 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3840); } 
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_arg1749z00_308;
BgL_arg1749z00_308 = 
CELL_REF(
((obj_t)BgL_val1129z00_306)); 
{ /* Llib/pgp_logic.scm 191 */
 bool_t BgL_tmpz00_3845;
BgL_ez00_326 = BgL_arg1749z00_308; 
{ /* Llib/pgp_logic.scm 193 */
 obj_t BgL_port1306z00_328;
{ /* Llib/pgp_logic.scm 193 */
 obj_t BgL_tmpz00_3846;
BgL_tmpz00_3846 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1306z00_328 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3846); } 
bgl_display_obj(BgL_ez00_326, BgL_port1306z00_328); 
bgl_display_char(((unsigned char)10), BgL_port1306z00_328); } 
{ /* Llib/pgp_logic.scm 194 */
 obj_t BgL_list1765z00_329;
BgL_list1765z00_329 = 
MAKE_YOUNG_PAIR(BGl_string2793z00zz__openpgpzd2logiczd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1765z00_329); } 
BgL_tmpz00_3845 = ((bool_t)0); 
BgL__ortest_1309z00_300 = 
BBOOL(BgL_tmpz00_3845); } } }  else 
{ /* Llib/pgp_logic.scm 191 */
BgL__ortest_1309z00_300 = BgL_val1129z00_306; } } } } } } 
if(
CBOOL(BgL__ortest_1309z00_300))
{ /* Llib/pgp_logic.scm 190 */
return BgL__ortest_1309z00_300;}  else 
{ /* Llib/pgp_logic.scm 190 */
 obj_t BgL_arg1747z00_301;
BgL_arg1747z00_301 = 
CDR(
((obj_t)BgL_l1307z00_297)); 
{ 
 obj_t BgL_l1307z00_3858;
BgL_l1307z00_3858 = BgL_arg1747z00_301; 
BgL_l1307z00_297 = BgL_l1307z00_3858; 
goto BgL_zc3z04anonymousza31744ze3z87_298;} } } } }  else 
{ /* Llib/pgp_logic.scm 222 */
if(
(BgL_casezd2valuezd2_341==
CNST_TABLE_REF(((long)13))))
{ /* Llib/pgp_logic.scm 231 */
 obj_t BgL_zc3z04anonymousza31800ze3z87_3162;
{ 
 int BgL_tmpz00_3862;
BgL_tmpz00_3862 = 
(int)(((long)2)); 
BgL_zc3z04anonymousza31800ze3z87_3162 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza31800ze3ze5zz__openpgpzd2logiczd2, BgL_tmpz00_3862); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza31800ze3z87_3162, 
(int)(((long)0)), BgL_hashz00_339); 
PROCEDURE_L_SET(BgL_zc3z04anonymousza31800ze3z87_3162, 
(int)(((long)1)), 
((obj_t)BgL_sigz00_333)); 
{ 
 obj_t BgL_keysz00_3872; obj_t BgL_verifyz00_3871; obj_t BgL_validzd2keyzf3z21_3870;
BgL_validzd2keyzf3z21_3870 = BGl_proc2787z00zz__openpgpzd2logiczd2; 
BgL_verifyz00_3871 = BgL_zc3z04anonymousza31800ze3z87_3162; 
BgL_keysz00_3872 = BgL_keysz00_334; 
BgL_keysz00_294 = BgL_keysz00_3872; 
BgL_verifyz00_293 = BgL_verifyz00_3871; 
BgL_validzd2keyzf3z21_292 = BgL_validzd2keyzf3z21_3870; 
goto BgL_zc3z04anonymousza31743ze3z87_295;} }  else 
{ /* Llib/pgp_logic.scm 222 */
if(
(BgL_casezd2valuezd2_341==
CNST_TABLE_REF(((long)14))))
{ /* Llib/pgp_logic.scm 222 */
{ /* Llib/pgp_logic.scm 239 */
 obj_t BgL_list1822z00_368;
BgL_list1822z00_368 = 
MAKE_YOUNG_PAIR(BGl_string2788z00zz__openpgpzd2logiczd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1822z00_368); } 
{ 
 obj_t BgL_keysz00_3880; obj_t BgL_verifyz00_3879; obj_t BgL_validzd2keyzf3z21_3878;
BgL_validzd2keyzf3z21_3878 = BGl_proc2790z00zz__openpgpzd2logiczd2; 
BgL_verifyz00_3879 = BGl_proc2789z00zz__openpgpzd2logiczd2; 
BgL_keysz00_3880 = BgL_keysz00_334; 
BgL_keysz00_294 = BgL_keysz00_3880; 
BgL_verifyz00_293 = BgL_verifyz00_3879; 
BgL_validzd2keyzf3z21_292 = BgL_validzd2keyzf3z21_3878; 
goto BgL_zc3z04anonymousza31743ze3z87_295;} }  else 
{ /* Llib/pgp_logic.scm 222 */
{ /* Llib/pgp_logic.scm 244 */
 obj_t BgL_arg1827z00_377; obj_t BgL_arg1828z00_378;
BgL_arg1827z00_377 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_sigz00_333)))->BgL_publiczd2keyzd2algoz00); 
{ /* Llib/pgp_logic.scm 246 */
 obj_t BgL_arg1833z00_383;
BgL_arg1833z00_383 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_sigz00_333)))->BgL_publiczd2keyzd2algoz00); 
BgL_arg1828z00_378 = 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_arg1833z00_383); } 
{ /* Llib/pgp_logic.scm 244 */
 obj_t BgL_list1829z00_379;
{ /* Llib/pgp_logic.scm 244 */
 obj_t BgL_arg1830z00_380;
{ /* Llib/pgp_logic.scm 244 */
 obj_t BgL_arg1831z00_381;
{ /* Llib/pgp_logic.scm 244 */
 obj_t BgL_arg1832z00_382;
BgL_arg1832z00_382 = 
MAKE_YOUNG_PAIR(BgL_arg1828z00_378, BNIL); 
BgL_arg1831z00_381 = 
MAKE_YOUNG_PAIR(BGl_string2791z00zz__openpgpzd2logiczd2, BgL_arg1832z00_382); } 
BgL_arg1830z00_380 = 
MAKE_YOUNG_PAIR(BgL_arg1827z00_377, BgL_arg1831z00_381); } 
BgL_list1829z00_379 = 
MAKE_YOUNG_PAIR(BGl_string2792z00zz__openpgpzd2logiczd2, BgL_arg1830z00_380); } 
BGl_warningz00zz__errorz00(BgL_list1829z00_379); } } 
return BFALSE;} } } } }  else 
{ /* Llib/pgp_logic.scm 218 */
return BFALSE;} } } } } } } } } 

}



/* <@exit:1750>~0 */
obj_t BGl_zc3z04exitza31750ze3ze70z60zz__openpgpzd2logiczd2(obj_t BgL_verifyz00_3257, obj_t BgL_validzd2keyzf3z21_3256, obj_t BgL_subkeyz00_3255, obj_t BgL_cell1125z00_3254, obj_t BgL_env1130z00_3253)
{
{ /* Llib/pgp_logic.scm 191 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1139z00_310;
if( SET_EXIT(BgL_an_exit1139z00_310 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1139z00_310 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1130z00_3253, BgL_an_exit1139z00_310, ((long)1)); 
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_escape1126z00_311;
BgL_escape1126z00_311 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1130z00_3253); 
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_res1142z00_312;
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_ohs1122z00_313;
BgL_ohs1122z00_313 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1130z00_3253); 
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_hds1123z00_314;
BgL_hds1123z00_314 = 
MAKE_STACK_PAIR(BgL_escape1126z00_311, BgL_cell1125z00_3254); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1130z00_3253, BgL_hds1123z00_314); BUNSPEC; 
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_exitd1131z00_315;
BgL_exitd1131z00_315 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1130z00_3253); 
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_tmp1133z00_316;
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_arg1763z00_325;
BgL_arg1763z00_325 = 
BGL_EXITD_PROTECT(BgL_exitd1131z00_315); 
BgL_tmp1133z00_316 = 
MAKE_YOUNG_PAIR(BgL_ohs1122z00_313, BgL_arg1763z00_325); } 
{ /* Llib/pgp_logic.scm 191 */

BGL_EXITD_PROTECT_SET(BgL_exitd1131z00_315, BgL_tmp1133z00_316); BUNSPEC; 
{ /* Llib/pgp_logic.scm 195 */
 obj_t BgL_tmp1132z00_317;
{ /* Llib/pgp_logic.scm 196 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_i1135z00_319;
BgL_i1135z00_319 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_3255)))->BgL_keyzd2packetzd2); 
{ /* Llib/pgp_logic.scm 197 */
 obj_t BgL__andtest_1136z00_320;
BgL__andtest_1136z00_320 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_i1135z00_319))->BgL_keyz00); 
if(
CBOOL(BgL__andtest_1136z00_320))
{ /* Llib/pgp_logic.scm 198 */
 bool_t BgL_test3042z00_3907;
{ /* Llib/pgp_logic.scm 198 */
 obj_t BgL_arg1756z00_324;
BgL_arg1756z00_324 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_i1135z00_319))->BgL_keyz00); 
BgL_test3042z00_3907 = 
((bool_t(*)())PROCEDURE_L_ENTRY(BgL_validzd2keyzf3z21_3256))(BgL_validzd2keyzf3z21_3256, BgL_arg1756z00_324); } 
if(BgL_test3042z00_3907)
{ /* Llib/pgp_logic.scm 199 */
 obj_t BgL__andtest_1138z00_322;
{ /* Llib/pgp_logic.scm 199 */
 obj_t BgL_arg1755z00_323;
BgL_arg1755z00_323 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_i1135z00_319))->BgL_keyz00); 
BgL__andtest_1138z00_322 = 
PROCEDURE_L_ENTRY(BgL_verifyz00_3257)(BgL_verifyz00_3257, BgL_arg1755z00_323); } 
if(
CBOOL(BgL__andtest_1138z00_322))
{ /* Llib/pgp_logic.scm 199 */
BgL_tmp1132z00_317 = BgL_subkeyz00_3255; }  else 
{ /* Llib/pgp_logic.scm 199 */
BgL_tmp1132z00_317 = BFALSE; } }  else 
{ /* Llib/pgp_logic.scm 198 */
BgL_tmp1132z00_317 = BFALSE; } }  else 
{ /* Llib/pgp_logic.scm 197 */
BgL_tmp1132z00_317 = BFALSE; } } } 
{ /* Llib/pgp_logic.scm 191 */
 bool_t BgL_test3044z00_3920;
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_arg1817z00_1961;
BgL_arg1817z00_1961 = 
BGL_EXITD_PROTECT(BgL_exitd1131z00_315); 
BgL_test3044z00_3920 = 
PAIRP(BgL_arg1817z00_1961); } 
if(BgL_test3044z00_3920)
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_arg1815z00_1962;
{ /* Llib/pgp_logic.scm 191 */
 obj_t BgL_arg1816z00_1963;
BgL_arg1816z00_1963 = 
BGL_EXITD_PROTECT(BgL_exitd1131z00_315); 
BgL_arg1815z00_1962 = 
CDR(
((obj_t)BgL_arg1816z00_1963)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1131z00_315, BgL_arg1815z00_1962); BUNSPEC; }  else 
{ /* Llib/pgp_logic.scm 191 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1130z00_3253, BgL_ohs1122z00_313); BUNSPEC; 
BgL_res1142z00_312 = BgL_tmp1132z00_317; } } } } } } 
POP_ENV_EXIT(BgL_env1130z00_3253); 
return BgL_res1142z00_312;} } 
}} 

}



/* &<@anonymous:1779> */
obj_t BGl_z62zc3z04anonymousza31779ze3ze5zz__openpgpzd2logiczd2(obj_t BgL_envz00_3166, obj_t BgL_keyz00_3169)
{
{ /* Llib/pgp_logic.scm 225 */
{ /* Llib/pgp_logic.scm 227 */
 BgL_pgpzd2signaturezd2packetz00_bglt BgL_i1144z00_3167; obj_t BgL_signedzd2mzd2_3168;
BgL_i1144z00_3167 = 
((BgL_pgpzd2signaturezd2packetz00_bglt)
PROCEDURE_L_REF(BgL_envz00_3166, 
(int)(((long)0)))); 
BgL_signedzd2mzd2_3168 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3166, 
(int)(((long)1)))); 
{ /* Llib/pgp_logic.scm 227 */
 bool_t BgL_tmpz00_3935;
{ /* Llib/pgp_logic.scm 227 */
 obj_t BgL_arg1789z00_3428;
BgL_arg1789z00_3428 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_i1144z00_3167))->BgL_signaturez00); 
BgL_tmpz00_3935 = 
BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumze2zz__cryptozd2rsazd2(
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_3169), BgL_signedzd2mzd2_3168, BgL_arg1789z00_3428); } 
return 
BBOOL(BgL_tmpz00_3935);} } } 

}



/* &<@anonymous:1778> */
bool_t BGl_z62zc3z04anonymousza31778ze3ze5zz__openpgpzd2logiczd2(obj_t BgL_envz00_3170, obj_t BgL_xz00_3171)
{
{ /* Llib/pgp_logic.scm 224 */
{ /* Llib/pgp_logic.scm 224 */
 obj_t BgL_classz00_3429;
BgL_classz00_3429 = BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2; 
if(
BGL_OBJECTP(BgL_xz00_3171))
{ /* Llib/pgp_logic.scm 224 */
 BgL_objectz00_bglt BgL_arg1797z00_3430;
BgL_arg1797z00_3430 = 
(BgL_objectz00_bglt)(BgL_xz00_3171); 
{ /* Llib/pgp_logic.scm 224 */
 bool_t BgL_arg1794z00_3431; bool_t BgL_arg1795z00_3432;
{ /* Llib/pgp_logic.scm 224 */
 long BgL_idxz00_3433;
BgL_idxz00_3433 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_3430); 
BgL_arg1794z00_3431 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3433+((long)1)))==BgL_classz00_3429); } 
{ /* Llib/pgp_logic.scm 224 */
 bool_t BgL_res2623z00_3436;
{ /* Llib/pgp_logic.scm 224 */
 obj_t BgL_oclassz00_3437;
{ /* Llib/pgp_logic.scm 224 */
 long BgL_arg1804z00_3438;
{ /* Llib/pgp_logic.scm 224 */
 long BgL_arg1805z00_3439;
BgL_arg1805z00_3439 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_3430); 
BgL_arg1804z00_3438 = 
(BgL_arg1805z00_3439-OBJECT_TYPE); } 
BgL_oclassz00_3437 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_3438); } 
{ /* Llib/pgp_logic.scm 224 */
 bool_t BgL__ortest_1111z00_3440;
BgL__ortest_1111z00_3440 = 
(BgL_classz00_3429==BgL_oclassz00_3437); 
if(BgL__ortest_1111z00_3440)
{ /* Llib/pgp_logic.scm 224 */
BgL_res2623z00_3436 = BgL__ortest_1111z00_3440; }  else 
{ /* Llib/pgp_logic.scm 224 */
 long BgL_odepthz00_3441;
BgL_odepthz00_3441 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3437); 
if(
(((long)1)<BgL_odepthz00_3441))
{ /* Llib/pgp_logic.scm 224 */
 obj_t BgL_arg1793z00_3442;
BgL_arg1793z00_3442 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3437, ((long)1)); 
BgL_res2623z00_3436 = 
(BgL_arg1793z00_3442==BgL_classz00_3429); }  else 
{ /* Llib/pgp_logic.scm 224 */
BgL_res2623z00_3436 = ((bool_t)0); } } } } 
BgL_arg1795z00_3432 = BgL_res2623z00_3436; } 
return 
BGL_ISA_C_BACKEND(BgL_arg1794z00_3431, BgL_arg1795z00_3432);} }  else 
{ /* Llib/pgp_logic.scm 224 */
return ((bool_t)0);} } } 

}



/* &<@anonymous:1800> */
obj_t BGl_z62zc3z04anonymousza31800ze3ze5zz__openpgpzd2logiczd2(obj_t BgL_envz00_3172, obj_t BgL_keyz00_3175)
{
{ /* Llib/pgp_logic.scm 232 */
{ /* Llib/pgp_logic.scm 234 */
 obj_t BgL_hashz00_3173; BgL_pgpzd2signaturezd2packetz00_bglt BgL_i1144z00_3174;
BgL_hashz00_3173 = 
PROCEDURE_L_REF(BgL_envz00_3172, 
(int)(((long)0))); 
BgL_i1144z00_3174 = 
((BgL_pgpzd2signaturezd2packetz00_bglt)
PROCEDURE_L_REF(BgL_envz00_3172, 
(int)(((long)1)))); 
{ /* Llib/pgp_logic.scm 234 */
 obj_t BgL_arg1808z00_3443; obj_t BgL_arg1809z00_3444; obj_t BgL_arg1812z00_3445;
BgL_arg1808z00_3443 = 
BGl_binzd2strzd2ze3bignumze3zz__openpgpzd2utilzd2(BgL_hashz00_3173); 
BgL_arg1809z00_3444 = 
CAR(
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_i1144z00_3174))->BgL_signaturez00)); 
BgL_arg1812z00_3445 = 
CDR(
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_i1144z00_3174))->BgL_signaturez00)); 
return 
BGl_dsazd2verifyzd2zz__cryptozd2dsazd2(
((BgL_dsazd2keyzd2_bglt)BgL_keyz00_3175), BgL_arg1808z00_3443, BgL_arg1809z00_3444, BgL_arg1812z00_3445);} } } 

}



/* &<@anonymous:1799> */
bool_t BGl_z62zc3z04anonymousza31799ze3ze5zz__openpgpzd2logiczd2(obj_t BgL_envz00_3176, obj_t BgL_xz00_3177)
{
{ /* Llib/pgp_logic.scm 231 */
{ /* Llib/pgp_logic.scm 231 */
 obj_t BgL_classz00_3446;
BgL_classz00_3446 = BGl_Dsazd2Keyzd2zz__cryptozd2dsazd2; 
if(
BGL_OBJECTP(BgL_xz00_3177))
{ /* Llib/pgp_logic.scm 231 */
 BgL_objectz00_bglt BgL_arg1797z00_3447;
BgL_arg1797z00_3447 = 
(BgL_objectz00_bglt)(BgL_xz00_3177); 
{ /* Llib/pgp_logic.scm 231 */
 bool_t BgL_arg1794z00_3448; bool_t BgL_arg1795z00_3449;
{ /* Llib/pgp_logic.scm 231 */
 long BgL_idxz00_3450;
BgL_idxz00_3450 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_3447); 
BgL_arg1794z00_3448 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3450+((long)1)))==BgL_classz00_3446); } 
{ /* Llib/pgp_logic.scm 231 */
 bool_t BgL_res2624z00_3453;
{ /* Llib/pgp_logic.scm 231 */
 obj_t BgL_oclassz00_3454;
{ /* Llib/pgp_logic.scm 231 */
 long BgL_arg1804z00_3455;
{ /* Llib/pgp_logic.scm 231 */
 long BgL_arg1805z00_3456;
BgL_arg1805z00_3456 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_3447); 
BgL_arg1804z00_3455 = 
(BgL_arg1805z00_3456-OBJECT_TYPE); } 
BgL_oclassz00_3454 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_3455); } 
{ /* Llib/pgp_logic.scm 231 */
 bool_t BgL__ortest_1111z00_3457;
BgL__ortest_1111z00_3457 = 
(BgL_classz00_3446==BgL_oclassz00_3454); 
if(BgL__ortest_1111z00_3457)
{ /* Llib/pgp_logic.scm 231 */
BgL_res2624z00_3453 = BgL__ortest_1111z00_3457; }  else 
{ /* Llib/pgp_logic.scm 231 */
 long BgL_odepthz00_3458;
BgL_odepthz00_3458 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3454); 
if(
(((long)1)<BgL_odepthz00_3458))
{ /* Llib/pgp_logic.scm 231 */
 obj_t BgL_arg1793z00_3459;
BgL_arg1793z00_3459 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3454, ((long)1)); 
BgL_res2624z00_3453 = 
(BgL_arg1793z00_3459==BgL_classz00_3446); }  else 
{ /* Llib/pgp_logic.scm 231 */
BgL_res2624z00_3453 = ((bool_t)0); } } } } 
BgL_arg1795z00_3449 = BgL_res2624z00_3453; } 
return 
BGL_ISA_C_BACKEND(BgL_arg1794z00_3448, BgL_arg1795z00_3449);} }  else 
{ /* Llib/pgp_logic.scm 231 */
return ((bool_t)0);} } } 

}



/* &<@anonymous:1826> */
obj_t BGl_z62zc3z04anonymousza31826ze3ze5zz__openpgpzd2logiczd2(obj_t BgL_envz00_3178, obj_t BgL_keyz00_3179)
{
{ /* Llib/pgp_logic.scm 241 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1825> */
bool_t BGl_z62zc3z04anonymousza31825ze3ze5zz__openpgpzd2logiczd2(obj_t BgL_envz00_3180, obj_t BgL_xz00_3181)
{
{ /* Llib/pgp_logic.scm 240 */
{ /* Llib/pgp_logic.scm 240 */
 obj_t BgL_classz00_3460;
BgL_classz00_3460 = BGl_ElGamalzd2Keyzd2zz__cryptozd2elgamalzd2; 
if(
BGL_OBJECTP(BgL_xz00_3181))
{ /* Llib/pgp_logic.scm 240 */
 BgL_objectz00_bglt BgL_arg1797z00_3461;
BgL_arg1797z00_3461 = 
(BgL_objectz00_bglt)(BgL_xz00_3181); 
{ /* Llib/pgp_logic.scm 240 */
 bool_t BgL_arg1794z00_3462; bool_t BgL_arg1795z00_3463;
{ /* Llib/pgp_logic.scm 240 */
 long BgL_idxz00_3464;
BgL_idxz00_3464 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_3461); 
BgL_arg1794z00_3462 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3464+((long)1)))==BgL_classz00_3460); } 
{ /* Llib/pgp_logic.scm 240 */
 bool_t BgL_res2625z00_3467;
{ /* Llib/pgp_logic.scm 240 */
 obj_t BgL_oclassz00_3468;
{ /* Llib/pgp_logic.scm 240 */
 long BgL_arg1804z00_3469;
{ /* Llib/pgp_logic.scm 240 */
 long BgL_arg1805z00_3470;
BgL_arg1805z00_3470 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_3461); 
BgL_arg1804z00_3469 = 
(BgL_arg1805z00_3470-OBJECT_TYPE); } 
BgL_oclassz00_3468 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_3469); } 
{ /* Llib/pgp_logic.scm 240 */
 bool_t BgL__ortest_1111z00_3471;
BgL__ortest_1111z00_3471 = 
(BgL_classz00_3460==BgL_oclassz00_3468); 
if(BgL__ortest_1111z00_3471)
{ /* Llib/pgp_logic.scm 240 */
BgL_res2625z00_3467 = BgL__ortest_1111z00_3471; }  else 
{ /* Llib/pgp_logic.scm 240 */
 long BgL_odepthz00_3472;
BgL_odepthz00_3472 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3468); 
if(
(((long)1)<BgL_odepthz00_3472))
{ /* Llib/pgp_logic.scm 240 */
 obj_t BgL_arg1793z00_3473;
BgL_arg1793z00_3473 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3468, ((long)1)); 
BgL_res2625z00_3467 = 
(BgL_arg1793z00_3473==BgL_classz00_3460); }  else 
{ /* Llib/pgp_logic.scm 240 */
BgL_res2625z00_3467 = ((bool_t)0); } } } } 
BgL_arg1795z00_3463 = BgL_res2625z00_3467; } 
return 
BGL_ISA_C_BACKEND(BgL_arg1794z00_3462, BgL_arg1795z00_3463);} }  else 
{ /* Llib/pgp_logic.scm 240 */
return ((bool_t)0);} } } 

}



/* key-id */
BGL_EXPORTED_DEF obj_t BGl_keyzd2idzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2packetz00_bglt BgL_kz00_20)
{
{ /* Llib/pgp_logic.scm 255 */
if(
CBOOL(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kz00_20))->BgL_idz00)))
{ /* Llib/pgp_logic.scm 257 */BFALSE; }  else 
{ 

{ /* Llib/pgp_logic.scm 258 */
 long BgL_aux1149z00_400;
BgL_aux1149z00_400 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kz00_20))->BgL_versionz00); 
switch( BgL_aux1149z00_400) { case ((long)3) : 

{ /* Llib/pgp_logic.scm 260 */
 bool_t BgL_test3055z00_4011;
{ /* Llib/pgp_logic.scm 260 */
 obj_t BgL_arg1843z00_405;
BgL_arg1843z00_405 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kz00_20))->BgL_keyz00); 
{ /* Llib/pgp_logic.scm 260 */
 obj_t BgL_classz00_2068;
BgL_classz00_2068 = BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2; 
if(
BGL_OBJECTP(BgL_arg1843z00_405))
{ /* Llib/pgp_logic.scm 260 */
 BgL_objectz00_bglt BgL_arg1797z00_2070;
BgL_arg1797z00_2070 = 
(BgL_objectz00_bglt)(BgL_arg1843z00_405); 
{ /* Llib/pgp_logic.scm 260 */
 bool_t BgL_arg1794z00_2073; bool_t BgL_arg1795z00_2074;
{ /* Llib/pgp_logic.scm 260 */
 long BgL_idxz00_2077;
BgL_idxz00_2077 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2070); 
BgL_arg1794z00_2073 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2077+((long)1)))==BgL_classz00_2068); } 
{ /* Llib/pgp_logic.scm 260 */
 bool_t BgL_res2626z00_2099;
{ /* Llib/pgp_logic.scm 260 */
 obj_t BgL_oclassz00_2085;
{ /* Llib/pgp_logic.scm 260 */
 long BgL_arg1804z00_2091;
{ /* Llib/pgp_logic.scm 260 */
 long BgL_arg1805z00_2092;
BgL_arg1805z00_2092 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2070); 
BgL_arg1804z00_2091 = 
(BgL_arg1805z00_2092-OBJECT_TYPE); } 
BgL_oclassz00_2085 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2091); } 
{ /* Llib/pgp_logic.scm 260 */
 bool_t BgL__ortest_1111z00_2086;
BgL__ortest_1111z00_2086 = 
(BgL_classz00_2068==BgL_oclassz00_2085); 
if(BgL__ortest_1111z00_2086)
{ /* Llib/pgp_logic.scm 260 */
BgL_res2626z00_2099 = BgL__ortest_1111z00_2086; }  else 
{ /* Llib/pgp_logic.scm 260 */
 long BgL_odepthz00_2087;
BgL_odepthz00_2087 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2085); 
if(
(((long)1)<BgL_odepthz00_2087))
{ /* Llib/pgp_logic.scm 260 */
 obj_t BgL_arg1793z00_2089;
BgL_arg1793z00_2089 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2085, ((long)1)); 
BgL_res2626z00_2099 = 
(BgL_arg1793z00_2089==BgL_classz00_2068); }  else 
{ /* Llib/pgp_logic.scm 260 */
BgL_res2626z00_2099 = ((bool_t)0); } } } } 
BgL_arg1795z00_2074 = BgL_res2626z00_2099; } 
BgL_test3055z00_4011 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2073, BgL_arg1795z00_2074); } }  else 
{ /* Llib/pgp_logic.scm 260 */
BgL_test3055z00_4011 = ((bool_t)0)
; } } } 
if(BgL_test3055z00_4011)
{ /* Llib/pgp_logic.scm 260 */BFALSE; }  else 
{ /* Llib/pgp_logic.scm 260 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2794z00zz__openpgpzd2logiczd2, BGl_string2795z00zz__openpgpzd2logiczd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kz00_20))->BgL_keyz00)); } } 
{ /* Llib/pgp_logic.scm 262 */
 BgL_rsazd2keyzd2_bglt BgL_i1150z00_406;
BgL_i1150z00_406 = 
((BgL_rsazd2keyzd2_bglt)
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kz00_20))->BgL_keyz00)); 
{ /* Llib/pgp_logic.scm 263 */
 obj_t BgL_strz00_407;
{ /* Llib/pgp_logic.scm 263 */
 obj_t BgL_arg1846z00_411;
BgL_arg1846z00_411 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_i1150z00_406))->BgL_modulusz00); 
{ /* Llib/util.scm 29 */

BgL_strz00_407 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1846z00_411, ((long)-1)); } } 
{ /* Llib/pgp_logic.scm 263 */
 long BgL_lenz00_408;
BgL_lenz00_408 = 
STRING_LENGTH(BgL_strz00_407); 
{ /* Llib/pgp_logic.scm 264 */

if(
(BgL_lenz00_408<((long)8)))
{ /* Llib/pgp_logic.scm 265 */
BINT(BgL_lenz00_408); }  else 
{ 
 obj_t BgL_auxz00_4041;
{ /* Llib/pgp_logic.scm 267 */
 long BgL_arg1845z00_410;
BgL_arg1845z00_410 = 
(BgL_lenz00_408-((long)8)); 
BgL_auxz00_4041 = 
c_substring(BgL_strz00_407, BgL_arg1845z00_410, BgL_lenz00_408); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kz00_20))->BgL_idz00)=((obj_t)BgL_auxz00_4041),BUNSPEC); } } } } } break;case ((long)4) : 

{ /* Llib/pgp_logic.scm 269 */
 obj_t BgL_fpz00_414;
BgL_fpz00_414 = 
BGl_fingerprintz00zz__openpgpzd2logiczd2(BgL_kz00_20); 
{ /* Llib/pgp_logic.scm 269 */
 long BgL_lenz00_415;
BgL_lenz00_415 = 
STRING_LENGTH(BgL_fpz00_414); 
{ /* Llib/pgp_logic.scm 270 */

{ 
 obj_t BgL_auxz00_4047;
{ /* Llib/pgp_logic.scm 271 */
 long BgL_arg1847z00_416;
BgL_arg1847z00_416 = 
(BgL_lenz00_415-((long)8)); 
BgL_auxz00_4047 = 
c_substring(BgL_fpz00_414, BgL_arg1847z00_416, BgL_lenz00_415); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kz00_20))->BgL_idz00)=((obj_t)BgL_auxz00_4047),BUNSPEC); } } } } break;
default: 
{ /* Llib/pgp_logic.scm 273 */
 long BgL_arg1848z00_417;
BgL_arg1848z00_417 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kz00_20))->BgL_versionz00); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2794z00zz__openpgpzd2logiczd2, BGl_string2780z00zz__openpgpzd2logiczd2, 
BINT(BgL_arg1848z00_417)); } } } } 
return 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kz00_20))->BgL_idz00);} 

}



/* &key-id */
obj_t BGl_z62keyzd2idzb0zz__openpgpzd2logiczd2(obj_t BgL_envz00_3182, obj_t BgL_kz00_3183)
{
{ /* Llib/pgp_logic.scm 255 */
{ /* Llib/pgp_logic.scm 256 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_4056;
if(
BGl_isazf3zf3zz__objectz00(BgL_kz00_3183, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2))
{ /* Llib/pgp_logic.scm 256 */
BgL_auxz00_4056 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kz00_3183)
; }  else 
{ 
 obj_t BgL_auxz00_4060;
BgL_auxz00_4060 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)10043)), BGl_string2797z00zz__openpgpzd2logiczd2, BGl_string2798z00zz__openpgpzd2logiczd2, BgL_kz00_3183); 
FAILURE(BgL_auxz00_4060,BFALSE,BFALSE);} 
return 
BGl_keyzd2idzd2zz__openpgpzd2logiczd2(BgL_auxz00_4056);} } 

}



/* sign-msg */
obj_t BGl_signzd2msgzd2zz__openpgpzd2logiczd2(obj_t BgL_msgz00_22, obj_t BgL_hashz00_23, obj_t BgL_hashzd2algozd2_24, BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_keyz00_25)
{
{ /* Llib/pgp_logic.scm 302 */
{ /* Llib/pgp_logic.scm 307 */
 obj_t BgL_casezd2valuezd2_419;
BgL_casezd2valuezd2_419 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_keyz00_25)))->BgL_algoz00); 
{ /* Llib/pgp_logic.scm 307 */
 bool_t BgL_test3061z00_4067;
{ /* Llib/pgp_logic.scm 307 */
 bool_t BgL__ortest_1156z00_434;
BgL__ortest_1156z00_434 = 
(BgL_casezd2valuezd2_419==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1156z00_434)
{ /* Llib/pgp_logic.scm 307 */
BgL_test3061z00_4067 = BgL__ortest_1156z00_434
; }  else 
{ /* Llib/pgp_logic.scm 307 */
BgL_test3061z00_4067 = 
(BgL_casezd2valuezd2_419==
CNST_TABLE_REF(((long)12)))
; } } 
if(BgL_test3061z00_4067)
{ /* Llib/pgp_logic.scm 311 */
 obj_t BgL_arg1850z00_422;
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_4073;
{ 
 obj_t BgL_auxz00_4074;
{ /* Llib/pgp_logic.scm 311 */
 BgL_objectz00_bglt BgL_tmpz00_4075;
BgL_tmpz00_4075 = 
((BgL_objectz00_bglt)BgL_keyz00_25); 
BgL_auxz00_4074 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_4075); } 
BgL_auxz00_4073 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_4074); } 
BgL_arg1850z00_422 = 
(((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_4073))->BgL_secretzd2keyzd2); } 
{ /* Llib/pgp_logic.scm 311 */
 obj_t BgL_hashzd2algozd2_423;
BgL_hashzd2algozd2_423 = 
CNST_TABLE_REF(((long)15)); 
return 
BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(
((BgL_rsazd2keyzd2_bglt)BgL_arg1850z00_422), BgL_msgz00_22, BgL_hashzd2algozd2_423);} }  else 
{ /* Llib/pgp_logic.scm 307 */
if(
(BgL_casezd2valuezd2_419==
CNST_TABLE_REF(((long)13))))
{ /* Llib/pgp_logic.scm 313 */
 obj_t BgL_rz00_425;
{ /* Llib/pgp_logic.scm 314 */
 obj_t BgL_arg1852z00_427; obj_t BgL_arg1853z00_428;
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_4086;
{ 
 obj_t BgL_auxz00_4087;
{ /* Llib/pgp_logic.scm 314 */
 BgL_objectz00_bglt BgL_tmpz00_4088;
BgL_tmpz00_4088 = 
((BgL_objectz00_bglt)BgL_keyz00_25); 
BgL_auxz00_4087 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_4088); } 
BgL_auxz00_4086 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_4087); } 
BgL_arg1852z00_427 = 
(((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_4086))->BgL_secretzd2keyzd2); } 
BgL_arg1853z00_428 = 
BGl_binzd2strzd2ze3bignumze3zz__openpgpzd2utilzd2(BgL_hashz00_23); 
BgL_rz00_425 = 
BGl_dsazd2signzd2zz__cryptozd2dsazd2(
((BgL_completezd2dsazd2keyz00_bglt)BgL_arg1852z00_427), BgL_arg1853z00_428); } 
{ /* Llib/pgp_logic.scm 315 */
 obj_t BgL_sz00_426;
{ /* Llib/pgp_logic.scm 315 */
 obj_t BgL_tmpz00_2114;
{ /* Llib/pgp_logic.scm 315 */
 int BgL_tmpz00_4096;
BgL_tmpz00_4096 = 
(int)(((long)1)); 
BgL_tmpz00_2114 = 
BGL_MVALUES_VAL(BgL_tmpz00_4096); } 
{ /* Llib/pgp_logic.scm 315 */
 int BgL_tmpz00_4099;
BgL_tmpz00_4099 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4099, BUNSPEC); } 
BgL_sz00_426 = BgL_tmpz00_2114; } 
return 
MAKE_YOUNG_PAIR(BgL_rz00_425, BgL_sz00_426);} }  else 
{ /* Llib/pgp_logic.scm 318 */
 obj_t BgL_arg1854z00_429; obj_t BgL_arg1855z00_430;
BgL_arg1854z00_429 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_keyz00_25)))->BgL_algoz00); 
{ /* Llib/pgp_logic.scm 320 */
 obj_t BgL_arg1856z00_431; obj_t BgL_arg1857z00_432;
BgL_arg1856z00_431 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_keyz00_25)))->BgL_algoz00); 
{ /* Llib/pgp_logic.scm 320 */
 obj_t BgL_arg1858z00_433;
BgL_arg1858z00_433 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_keyz00_25)))->BgL_algoz00); 
BgL_arg1857z00_432 = 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_arg1858z00_433); } 
BgL_arg1855z00_430 = 
MAKE_YOUNG_PAIR(BgL_arg1856z00_431, BgL_arg1857z00_432); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2799z00zz__openpgpzd2logiczd2, BgL_arg1854z00_429, BgL_arg1855z00_430);} } } } } 

}



/* needs-password-for-decryption? */
BGL_EXPORTED_DEF obj_t BGl_needszd2passwordzd2forzd2decryptionzf3z21zz__openpgpzd2logiczd2(BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_kpz00_26)
{
{ /* Llib/pgp_logic.scm 322 */
{ /* Llib/pgp_logic.scm 325 */

if(
(
(
STRING_REF(
(((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(BgL_kpz00_26))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00), ((long)0)))==((long)0)))
{ /* Llib/pgp_logic.scm 326 */
return BFALSE;}  else 
{ /* Llib/pgp_logic.scm 326 */
return BTRUE;} } } 

}



/* &needs-password-for-decryption? */
obj_t BGl_z62needszd2passwordzd2forzd2decryptionzf3z43zz__openpgpzd2logiczd2(obj_t BgL_envz00_3184, obj_t BgL_kpz00_3185)
{
{ /* Llib/pgp_logic.scm 322 */
{ /* Llib/pgp_logic.scm 324 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_auxz00_4117;
if(
BGl_isazf3zf3zz__objectz00(BgL_kpz00_3185, BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2))
{ /* Llib/pgp_logic.scm 324 */
BgL_auxz00_4117 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_kpz00_3185)
; }  else 
{ 
 obj_t BgL_auxz00_4121;
BgL_auxz00_4121 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)12523)), BGl_string2800z00zz__openpgpzd2logiczd2, BGl_string2801z00zz__openpgpzd2logiczd2, BgL_kpz00_3185); 
FAILURE(BgL_auxz00_4121,BFALSE,BFALSE);} 
return 
BGl_needszd2passwordzd2forzd2decryptionzf3z21zz__openpgpzd2logiczd2(BgL_auxz00_4117);} } 

}



/* decrypt-password-protected */
obj_t BGl_decryptzd2passwordzd2protectedz00zz__openpgpzd2logiczd2(obj_t BgL_secretz00_27, long BgL_versionz00_28, obj_t BgL_passwordz00_29)
{
{ /* Llib/pgp_logic.scm 328 */
{ 
 obj_t BgL_algoz00_513;
if(
(
STRING_LENGTH(BgL_secretz00_27)==((long)0)))
{ /* Llib/pgp_logic.scm 362 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2802z00zz__openpgpzd2logiczd2, BGl_string2803z00zz__openpgpzd2logiczd2, BGl_string2804z00zz__openpgpzd2logiczd2); }  else 
{ /* Llib/pgp_logic.scm 362 */BFALSE; } 
{ /* Llib/pgp_logic.scm 366 */
 long BgL_protectionz00_444;
BgL_protectionz00_444 = 
(
STRING_REF(BgL_secretz00_27, ((long)0))); 
switch( BgL_protectionz00_444) { case ((long)0) : 

{ /* Llib/pgp_logic.scm 370 */
 long BgL_sdatazd2lenzd2_448;
BgL_sdatazd2lenzd2_448 = 
STRING_LENGTH(BgL_secretz00_27); 
{ /* Llib/pgp_logic.scm 370 */
 long BgL_checksumz00_449;
BgL_checksumz00_449 = 
BGl_scalarzd2ze3fixnumz31zz__openpgpzd2conversionzd2(
c_substring(BgL_secretz00_27, 
(BgL_sdatazd2lenzd2_448-((long)2)), BgL_sdatazd2lenzd2_448)); 
{ /* Llib/pgp_logic.scm 371 */

if(
BGl_verifyzd2checksumze70z35zz__openpgpzd2logiczd2(BgL_secretz00_27, BgL_checksumz00_449, 
(BgL_sdatazd2lenzd2_448-((long)2))))
{ /* Llib/pgp_logic.scm 374 */BFALSE; }  else 
{ /* Llib/pgp_logic.scm 374 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2805z00zz__openpgpzd2logiczd2, BGl_string2806z00zz__openpgpzd2logiczd2, BFALSE); } 
return 
c_substring(BgL_secretz00_27, ((long)1), 
(BgL_sdatazd2lenzd2_448-((long)2)));} } } break;case ((long)254) : 
case ((long)255) : 

if(
(BgL_versionz00_28==((long)3)))
{ /* Llib/pgp_logic.scm 380 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2807z00zz__openpgpzd2logiczd2, BGl_string2808z00zz__openpgpzd2logiczd2, BFALSE); }  else 
{ /* Llib/pgp_logic.scm 380 */BFALSE; } 
{ /* Llib/pgp_logic.scm 387 */
 obj_t BgL_pz00_457;
{ /* Llib/pgp_logic.scm 387 */
 long BgL_endz00_484;
BgL_endz00_484 = 
STRING_LENGTH(BgL_secretz00_27); 
{ /* Llib/pgp_logic.scm 387 */

BgL_pz00_457 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_secretz00_27, 
BINT(((long)0)), 
BINT(BgL_endz00_484)); } } 
{ /* Llib/pgp_logic.scm 387 */
 long BgL_protectionz00_458;
{ /* Llib/pgp_logic.scm 388 */
 unsigned char BgL_arg2604z00_2165;
{ /* Llib/pgp_logic.scm 388 */
 unsigned char BgL_res2627z00_2168;
{ /* Llib/pgp_logic.scm 388 */
 obj_t BgL_tz00_2166;
BgL_tz00_2166 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_457); 
if(
EOF_OBJECTP(BgL_tz00_2166))
{ /* Llib/pgp_logic.scm 388 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2809z00zz__openpgpzd2logiczd2, BGl_string2810z00zz__openpgpzd2logiczd2, BFALSE); }  else 
{ /* Llib/pgp_logic.scm 388 */BFALSE; } 
BgL_res2627z00_2168 = 
CCHAR(BgL_tz00_2166); } 
BgL_arg2604z00_2165 = BgL_res2627z00_2168; } 
BgL_protectionz00_458 = 
(
(unsigned char)(BgL_arg2604z00_2165)); } 
{ /* Llib/pgp_logic.scm 388 */
 long BgL_symmetriczd2algozd2bytez00_459;
{ /* Llib/pgp_logic.scm 389 */
 unsigned char BgL_arg2604z00_2170;
{ /* Llib/pgp_logic.scm 389 */
 unsigned char BgL_res2628z00_2173;
{ /* Llib/pgp_logic.scm 389 */
 obj_t BgL_tz00_2171;
BgL_tz00_2171 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_457); 
if(
EOF_OBJECTP(BgL_tz00_2171))
{ /* Llib/pgp_logic.scm 389 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2809z00zz__openpgpzd2logiczd2, BGl_string2810z00zz__openpgpzd2logiczd2, BFALSE); }  else 
{ /* Llib/pgp_logic.scm 389 */BFALSE; } 
BgL_res2628z00_2173 = 
CCHAR(BgL_tz00_2171); } 
BgL_arg2604z00_2170 = BgL_res2628z00_2173; } 
BgL_symmetriczd2algozd2bytez00_459 = 
(
(unsigned char)(BgL_arg2604z00_2170)); } 
{ /* Llib/pgp_logic.scm 389 */
 obj_t BgL_symmetriczd2algozd2_460;
BgL_symmetriczd2algozd2_460 = 
BGl_bytezd2ze3symmetriczd2keyzd2algoz31zz__openpgpzd2enumszd2(
(signed char)(BgL_symmetriczd2algozd2bytez00_459)); 
{ /* Llib/pgp_logic.scm 390 */
 long BgL_keyzd2lenzd2_461;
BgL_keyzd2lenzd2_461 = 
BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_symmetriczd2algozd2_460); 
{ /* Llib/pgp_logic.scm 392 */
 obj_t BgL_s2kz00_462;
BgL_s2kz00_462 = 
BGl_decodezd2s2kzd2zz__openpgpzd2decodezd2(BgL_pz00_457); 
{ /* Llib/pgp_logic.scm 393 */
 obj_t BgL_symmetriczd2keyzd2_463;
BgL_symmetriczd2keyzd2_463 = 
BGl_applyzd2s2kzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_462, BgL_passwordz00_29, BgL_keyzd2lenzd2_461); 
{ /* Llib/pgp_logic.scm 394 */
 obj_t BgL_ivz00_464;
{ /* Llib/pgp_logic.scm 395 */
 long BgL_arg1878z00_481;
BgL_algoz00_513 = BgL_symmetriczd2algozd2_460; 
{ /* Llib/pgp_logic.scm 357 */
 bool_t BgL_test3071z00_4168;
{ /* Llib/pgp_logic.scm 357 */
 bool_t BgL__ortest_1158z00_519;
BgL__ortest_1158z00_519 = 
(BgL_algoz00_513==
CNST_TABLE_REF(((long)16))); 
if(BgL__ortest_1158z00_519)
{ /* Llib/pgp_logic.scm 357 */
BgL_test3071z00_4168 = BgL__ortest_1158z00_519
; }  else 
{ /* Llib/pgp_logic.scm 357 */
 bool_t BgL__ortest_1159z00_520;
BgL__ortest_1159z00_520 = 
(BgL_algoz00_513==
CNST_TABLE_REF(((long)17))); 
if(BgL__ortest_1159z00_520)
{ /* Llib/pgp_logic.scm 357 */
BgL_test3071z00_4168 = BgL__ortest_1159z00_520
; }  else 
{ /* Llib/pgp_logic.scm 357 */
BgL_test3071z00_4168 = 
(BgL_algoz00_513==
CNST_TABLE_REF(((long)18)))
; } } } 
if(BgL_test3071z00_4168)
{ /* Llib/pgp_logic.scm 357 */
BgL_arg1878z00_481 = ((long)16); }  else 
{ /* Llib/pgp_logic.scm 357 */
BgL_arg1878z00_481 = ((long)8); } } 
{ /* Llib/pgp_logic.scm 395 */
 obj_t BgL_res2629z00_2181;
{ /* Llib/pgp_logic.scm 395 */
 obj_t BgL_strz00_2175;
BgL_strz00_2175 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1878z00_481), BgL_pz00_457); 
if(
(
STRING_LENGTH(
((obj_t)BgL_strz00_2175))==BgL_arg1878z00_481))
{ /* Llib/pgp_logic.scm 395 */BFALSE; }  else 
{ /* Llib/pgp_logic.scm 395 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2811z00zz__openpgpzd2logiczd2, BGl_string2810z00zz__openpgpzd2logiczd2, BFALSE); } 
BgL_res2629z00_2181 = BgL_strz00_2175; } 
BgL_ivz00_464 = BgL_res2629z00_2181; } } 
{ /* Llib/pgp_logic.scm 395 */
 obj_t BgL_secretzd2datazd2_465;
BgL_secretzd2datazd2_465 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_pz00_457); 
{ /* Llib/pgp_logic.scm 396 */
 obj_t BgL_decrypterz00_466;
BgL_decrypterz00_466 = 
BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(BgL_symmetriczd2algozd2_460, ((bool_t)0)); 
{ /* Llib/pgp_logic.scm 397 */
 obj_t BgL_decodedz00_467;
BgL_decodedz00_467 = 
PROCEDURE_ENTRY(BgL_decrypterz00_466)(BgL_decrypterz00_466, BgL_secretzd2datazd2_465, BgL_ivz00_464, BgL_symmetriczd2keyzd2_463, BEOA); 
{ /* Llib/pgp_logic.scm 398 */
 long BgL_deczd2lenzd2_468;
BgL_deczd2lenzd2_468 = 
STRING_LENGTH(
((obj_t)BgL_decodedz00_467)); 
{ /* Llib/pgp_logic.scm 399 */
 long BgL_chksumzd2lenzd2_469;
if(
(BgL_protectionz00_458==((long)254)))
{ /* Llib/pgp_logic.scm 400 */
BgL_chksumzd2lenzd2_469 = ((long)20); }  else 
{ /* Llib/pgp_logic.scm 400 */
BgL_chksumzd2lenzd2_469 = ((long)2); } 
{ /* Llib/pgp_logic.scm 400 */
 obj_t BgL_dummyz00_470;
if(
(BgL_deczd2lenzd2_468>=BgL_chksumzd2lenzd2_469))
{ /* Llib/pgp_logic.scm 401 */
BgL_dummyz00_470 = BFALSE; }  else 
{ /* Llib/pgp_logic.scm 401 */
BgL_dummyz00_470 = 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2812z00zz__openpgpzd2logiczd2, BGl_string2813z00zz__openpgpzd2logiczd2, 
BINT(BgL_deczd2lenzd2_468)); } 
{ /* Llib/pgp_logic.scm 401 */
 obj_t BgL_chksumzd2strzd2_471;
{ /* Llib/pgp_logic.scm 405 */
 long BgL_arg1875z00_478;
BgL_arg1875z00_478 = 
(BgL_deczd2lenzd2_468-BgL_chksumzd2lenzd2_469); 
BgL_chksumzd2strzd2_471 = 
c_substring(
((obj_t)BgL_decodedz00_467), BgL_arg1875z00_478, BgL_deczd2lenzd2_468); } 
{ /* Llib/pgp_logic.scm 405 */

if(
(BgL_protectionz00_458==((long)254)))
{ /* Llib/pgp_logic.scm 418 */
 bool_t BgL_test3078z00_4205;
{ /* Llib/pgp_logic.scm 419 */
 long BgL_arg1872z00_474;
BgL_arg1872z00_474 = 
(BgL_deczd2lenzd2_468-BgL_chksumzd2lenzd2_469); 
{ /* Llib/pgp_logic.scm 347 */
 obj_t BgL_arg1894z00_2198;
{ /* Llib/pgp_logic.scm 347 */
 obj_t BgL_arg1895z00_2199;
BgL_arg1895z00_2199 = 
c_substring(
((obj_t)BgL_decodedz00_467), ((long)0), BgL_arg1872z00_474); 
BgL_arg1894z00_2198 = 
BGl_sha1sumzd2binzd2zz__openpgpzd2utilzd2(BgL_arg1895z00_2199); } 
{ /* Llib/pgp_logic.scm 347 */
 long BgL_l1z00_2204;
BgL_l1z00_2204 = 
STRING_LENGTH(BgL_chksumzd2strzd2_471); 
if(
(BgL_l1z00_2204==
STRING_LENGTH(BgL_arg1894z00_2198)))
{ /* Llib/pgp_logic.scm 347 */
 int BgL_arg1289z00_2207;
{ /* Llib/pgp_logic.scm 347 */
 char * BgL_auxz00_4216; char * BgL_tmpz00_4214;
BgL_auxz00_4216 = 
BSTRING_TO_STRING(BgL_arg1894z00_2198); 
BgL_tmpz00_4214 = 
BSTRING_TO_STRING(BgL_chksumzd2strzd2_471); 
BgL_arg1289z00_2207 = 
memcmp(BgL_tmpz00_4214, BgL_auxz00_4216, BgL_l1z00_2204); } 
BgL_test3078z00_4205 = 
(
(long)(BgL_arg1289z00_2207)==((long)0)); }  else 
{ /* Llib/pgp_logic.scm 347 */
BgL_test3078z00_4205 = ((bool_t)0)
; } } } } 
if(BgL_test3078z00_4205)
{ /* Llib/pgp_logic.scm 418 */
return BgL_decodedz00_467;}  else 
{ /* Llib/pgp_logic.scm 418 */
return BFALSE;} }  else 
{ /* Llib/pgp_logic.scm 417 */
if(
BGl_verifyzd2checksumze70z35zz__openpgpzd2logiczd2(BgL_decodedz00_467, 
BGl_scalarzd2ze3fixnumz31zz__openpgpzd2conversionzd2(BgL_chksumzd2strzd2_471), 
(BgL_deczd2lenzd2_468-BgL_chksumzd2lenzd2_469)))
{ /* Llib/pgp_logic.scm 421 */
return BgL_decodedz00_467;}  else 
{ /* Llib/pgp_logic.scm 421 */
return BFALSE;} } } } } } } } } } } } } } } } } } break;
default: 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2814z00zz__openpgpzd2logiczd2, BGl_string2815z00zz__openpgpzd2logiczd2, 
BINT(BgL_protectionz00_444));} } } } 

}



/* verify-checksum~0 */
bool_t BGl_verifyzd2checksumze70z35zz__openpgpzd2logiczd2(obj_t BgL_dataz00_486, long BgL_checksumz00_487, long BgL_lenz00_488)
{
{ /* Llib/pgp_logic.scm 345 */
{ 
 long BgL_iz00_491; long BgL_sumz00_492;
BgL_iz00_491 = ((long)0); 
BgL_sumz00_492 = ((long)0); 
BgL_zc3z04anonymousza31881ze3z87_493:
{ /* Llib/pgp_logic.scm 335 */
 bool_t BgL_test3081z00_4228;
if(
(BgL_iz00_491==BgL_lenz00_488))
{ /* Llib/pgp_logic.scm 335 */
BgL_test3081z00_4228 = 
(BgL_checksumz00_487==BgL_sumz00_492)
; }  else 
{ /* Llib/pgp_logic.scm 335 */
BgL_test3081z00_4228 = ((bool_t)0)
; } 
if(BgL_test3081z00_4228)
{ /* Llib/pgp_logic.scm 335 */
return ((bool_t)1);}  else 
{ /* Llib/pgp_logic.scm 335 */
if(
(BgL_iz00_491==BgL_lenz00_488))
{ /* Llib/pgp_logic.scm 339 */
return ((bool_t)0);}  else 
{ 
 long BgL_sumz00_4236; long BgL_iz00_4234;
BgL_iz00_4234 = 
(BgL_iz00_491+((long)1)); 
BgL_sumz00_4236 = 
(
(BgL_sumz00_492+
(
STRING_REF(BgL_dataz00_486, BgL_iz00_491))) & ((long)65535)); 
BgL_sumz00_492 = BgL_sumz00_4236; 
BgL_iz00_491 = BgL_iz00_4234; 
goto BgL_zc3z04anonymousza31881ze3z87_493;} } } } } 

}



/* create-secret-dsa-key */
BgL_completezd2dsazd2keyz00_bglt BGl_createzd2secretzd2dsazd2keyzd2zz__openpgpzd2logiczd2(obj_t BgL_publiczd2keyzd2_32, obj_t BgL_xz00_33)
{
{ /* Llib/pgp_logic.scm 434 */
{ /* Llib/pgp_logic.scm 436 */
 BgL_completezd2dsazd2keyz00_bglt BgL_new1169z00_529;
{ /* Llib/pgp_logic.scm 437 */
 BgL_completezd2dsazd2keyz00_bglt BgL_new1168z00_530;
BgL_new1168z00_530 = 
((BgL_completezd2dsazd2keyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_completezd2dsazd2keyz00_bgl) ))); 
{ /* Llib/pgp_logic.scm 437 */
 long BgL_arg1899z00_531;
BgL_arg1899z00_531 = 
BGL_CLASS_NUM(BGl_Completezd2Dsazd2Keyz00zz__cryptozd2dsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_530), BgL_arg1899z00_531); } 
BgL_new1169z00_529 = BgL_new1168z00_530; } 
((((BgL_dsazd2keyzd2_bglt)COBJECT(
((BgL_dsazd2keyzd2_bglt)BgL_new1169z00_529)))->BgL_pz00)=((obj_t)
(((BgL_dsazd2keyzd2_bglt)COBJECT(
((BgL_dsazd2keyzd2_bglt)BgL_publiczd2keyzd2_32)))->BgL_pz00)),BUNSPEC); 
((((BgL_dsazd2keyzd2_bglt)COBJECT(
((BgL_dsazd2keyzd2_bglt)BgL_new1169z00_529)))->BgL_qz00)=((obj_t)
(((BgL_dsazd2keyzd2_bglt)COBJECT(
((BgL_dsazd2keyzd2_bglt)BgL_publiczd2keyzd2_32)))->BgL_qz00)),BUNSPEC); 
((((BgL_dsazd2keyzd2_bglt)COBJECT(
((BgL_dsazd2keyzd2_bglt)BgL_new1169z00_529)))->BgL_gz00)=((obj_t)
(((BgL_dsazd2keyzd2_bglt)COBJECT(
((BgL_dsazd2keyzd2_bglt)BgL_publiczd2keyzd2_32)))->BgL_gz00)),BUNSPEC); 
((((BgL_dsazd2keyzd2_bglt)COBJECT(
((BgL_dsazd2keyzd2_bglt)BgL_new1169z00_529)))->BgL_yz00)=((obj_t)
(((BgL_dsazd2keyzd2_bglt)COBJECT(
((BgL_dsazd2keyzd2_bglt)BgL_publiczd2keyzd2_32)))->BgL_yz00)),BUNSPEC); 
((((BgL_completezd2dsazd2keyz00_bglt)COBJECT(BgL_new1169z00_529))->BgL_xz00)=((obj_t)BgL_xz00_33),BUNSPEC); 
return BgL_new1169z00_529;} } 

}



/* create-secret-elgamal-key */
BgL_completezd2elgamalzd2keyz00_bglt BGl_createzd2secretzd2elgamalzd2keyzd2zz__openpgpzd2logiczd2(obj_t BgL_publiczd2keyzd2_34, obj_t BgL_xz00_35)
{
{ /* Llib/pgp_logic.scm 442 */
{ /* Llib/pgp_logic.scm 444 */
 BgL_completezd2elgamalzd2keyz00_bglt BgL_new1172z00_533;
{ /* Llib/pgp_logic.scm 445 */
 BgL_completezd2elgamalzd2keyz00_bglt BgL_new1171z00_534;
BgL_new1171z00_534 = 
((BgL_completezd2elgamalzd2keyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_completezd2elgamalzd2keyz00_bgl) ))); 
{ /* Llib/pgp_logic.scm 445 */
 long BgL_arg1900z00_535;
BgL_arg1900z00_535 = 
BGL_CLASS_NUM(BGl_Completezd2ElGamalzd2Keyz00zz__cryptozd2elgamalzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_534), BgL_arg1900z00_535); } 
{ /* Llib/pgp_logic.scm 445 */
 BgL_objectz00_bglt BgL_tmpz00_4266;
BgL_tmpz00_4266 = 
((BgL_objectz00_bglt)BgL_new1171z00_534); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4266, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1171z00_534); 
BgL_new1172z00_533 = BgL_new1171z00_534; } 
((((BgL_elgamalzd2keyzd2_bglt)COBJECT(
((BgL_elgamalzd2keyzd2_bglt)BgL_new1172z00_533)))->BgL_pz00)=((obj_t)
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(
((BgL_elgamalzd2keyzd2_bglt)BgL_publiczd2keyzd2_34)))->BgL_pz00)),BUNSPEC); 
((((BgL_elgamalzd2keyzd2_bglt)COBJECT(
((BgL_elgamalzd2keyzd2_bglt)BgL_new1172z00_533)))->BgL_gz00)=((obj_t)
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(
((BgL_elgamalzd2keyzd2_bglt)BgL_publiczd2keyzd2_34)))->BgL_gz00)),BUNSPEC); 
((((BgL_elgamalzd2keyzd2_bglt)COBJECT(
((BgL_elgamalzd2keyzd2_bglt)BgL_new1172z00_533)))->BgL_yz00)=((obj_t)
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(
((BgL_elgamalzd2keyzd2_bglt)BgL_publiczd2keyzd2_34)))->BgL_yz00)),BUNSPEC); 
((((BgL_completezd2elgamalzd2keyz00_bglt)COBJECT(BgL_new1172z00_533))->BgL_xz00)=((obj_t)BgL_xz00_35),BUNSPEC); 
return BgL_new1172z00_533;} } 

}



/* decrypt-secret-key! */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2secretzd2keyz12z12zz__openpgpzd2logiczd2(BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_kpz00_36, obj_t BgL_passwordz00_37)
{
{ /* Llib/pgp_logic.scm 450 */
{ 
 obj_t BgL_algoz00_549; obj_t BgL_keyz00_550; obj_t BgL_decryptedz00_551;
{ /* Llib/pgp_logic.scm 467 */
 bool_t BgL_test3084z00_4283;
{ /* Llib/pgp_logic.scm 467 */
 obj_t BgL_classz00_2240;
BgL_classz00_2240 = BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_logic.scm 467 */
 BgL_objectz00_bglt BgL_arg1797z00_2242;
{ /* Llib/pgp_logic.scm 467 */
 obj_t BgL_tmpz00_4284;
BgL_tmpz00_4284 = 
((obj_t)BgL_kpz00_36); 
BgL_arg1797z00_2242 = 
(BgL_objectz00_bglt)(BgL_tmpz00_4284); } 
{ /* Llib/pgp_logic.scm 467 */
 bool_t BgL_arg1794z00_2245; bool_t BgL_arg1795z00_2246;
{ /* Llib/pgp_logic.scm 467 */
 long BgL_idxz00_2249;
BgL_idxz00_2249 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2242); 
BgL_arg1794z00_2245 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2249+((long)4)))==BgL_classz00_2240); } 
{ /* Llib/pgp_logic.scm 467 */
 bool_t BgL_res2630z00_2271;
{ /* Llib/pgp_logic.scm 467 */
 obj_t BgL_oclassz00_2257;
{ /* Llib/pgp_logic.scm 467 */
 long BgL_arg1804z00_2263;
{ /* Llib/pgp_logic.scm 467 */
 long BgL_arg1805z00_2264;
BgL_arg1805z00_2264 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2242); 
BgL_arg1804z00_2263 = 
(BgL_arg1805z00_2264-OBJECT_TYPE); } 
BgL_oclassz00_2257 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2263); } 
{ /* Llib/pgp_logic.scm 467 */
 bool_t BgL__ortest_1111z00_2258;
BgL__ortest_1111z00_2258 = 
(BgL_classz00_2240==BgL_oclassz00_2257); 
if(BgL__ortest_1111z00_2258)
{ /* Llib/pgp_logic.scm 467 */
BgL_res2630z00_2271 = BgL__ortest_1111z00_2258; }  else 
{ /* Llib/pgp_logic.scm 467 */
 long BgL_odepthz00_2259;
BgL_odepthz00_2259 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2257); 
if(
(((long)4)<BgL_odepthz00_2259))
{ /* Llib/pgp_logic.scm 467 */
 obj_t BgL_arg1793z00_2261;
BgL_arg1793z00_2261 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2257, ((long)4)); 
BgL_res2630z00_2271 = 
(BgL_arg1793z00_2261==BgL_classz00_2240); }  else 
{ /* Llib/pgp_logic.scm 467 */
BgL_res2630z00_2271 = ((bool_t)0); } } } } 
BgL_arg1795z00_2246 = BgL_res2630z00_2271; } 
BgL_test3084z00_4283 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2245, BgL_arg1795z00_2246); } } } 
if(BgL_test3084z00_4283)
{ /* Llib/pgp_logic.scm 467 */
return BFALSE;}  else 
{ /* Llib/pgp_logic.scm 470 */
 obj_t BgL_decryptedz00_539;
{ /* Llib/pgp_logic.scm 470 */
 obj_t BgL_arg1907z00_547; long BgL_arg1908z00_548;
BgL_arg1907z00_547 = 
(((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(BgL_kpz00_36))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00); 
BgL_arg1908z00_548 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kpz00_36)))->BgL_versionz00); 
BgL_decryptedz00_539 = 
BGl_decryptzd2passwordzd2protectedz00zz__openpgpzd2logiczd2(BgL_arg1907z00_547, BgL_arg1908z00_548, BgL_passwordz00_37); } 
if(
CBOOL(BgL_decryptedz00_539))
{ /* Llib/pgp_logic.scm 474 */
{ /* Llib/pgp_logic.scm 475 */
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_wide1179z00_542;
BgL_wide1179z00_542 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_logic.scm 475 */
 obj_t BgL_auxz00_4312; BgL_objectz00_bglt BgL_tmpz00_4309;
BgL_auxz00_4312 = 
((obj_t)BgL_wide1179z00_542); 
BgL_tmpz00_4309 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_kpz00_36)); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4309, BgL_auxz00_4312); } 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_kpz00_36)); 
{ /* Llib/pgp_logic.scm 475 */
 long BgL_arg1902z00_543;
BgL_arg1902z00_543 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_kpz00_36)), BgL_arg1902z00_543); } 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_kpz00_36)); } 
{ 
 obj_t BgL_auxz00_4330; BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_4323;
{ /* Llib/pgp_logic.scm 476 */
 obj_t BgL_arg1903z00_545; obj_t BgL_arg1904z00_546;
BgL_arg1903z00_545 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kpz00_36)))->BgL_algoz00); 
BgL_arg1904z00_546 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kpz00_36)))->BgL_keyz00); 
BgL_algoz00_549 = BgL_arg1903z00_545; 
BgL_keyz00_550 = BgL_arg1904z00_546; 
BgL_decryptedz00_551 = BgL_decryptedz00_539; 
{ /* Llib/pgp_logic.scm 452 */
 bool_t BgL_test3088z00_4335;
{ /* Llib/pgp_logic.scm 452 */
 bool_t BgL__ortest_1173z00_578;
BgL__ortest_1173z00_578 = 
(BgL_algoz00_549==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1173z00_578)
{ /* Llib/pgp_logic.scm 452 */
BgL_test3088z00_4335 = BgL__ortest_1173z00_578
; }  else 
{ /* Llib/pgp_logic.scm 452 */
 bool_t BgL__ortest_1174z00_579;
BgL__ortest_1174z00_579 = 
(BgL_algoz00_549==
CNST_TABLE_REF(((long)19))); 
if(BgL__ortest_1174z00_579)
{ /* Llib/pgp_logic.scm 452 */
BgL_test3088z00_4335 = BgL__ortest_1174z00_579
; }  else 
{ /* Llib/pgp_logic.scm 452 */
BgL_test3088z00_4335 = 
(BgL_algoz00_549==
CNST_TABLE_REF(((long)12)))
; } } } 
if(BgL_test3088z00_4335)
{ /* Llib/pgp_logic.scm 454 */
 obj_t BgL_dz00_557;
{ /* Llib/pgp_logic.scm 454 */
 obj_t BgL_arg1911z00_558;
{ /* Llib/pgp_logic.scm 454 */
 long BgL_endz00_561;
BgL_endz00_561 = 
STRING_LENGTH(
((obj_t)BgL_decryptedz00_551)); 
{ /* Llib/pgp_logic.scm 454 */

BgL_arg1911z00_558 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_decryptedz00_551, 
BINT(((long)0)), 
BINT(BgL_endz00_561)); } } 
BgL_dz00_557 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_arg1911z00_558); } 
{ /* Llib/pgp_logic.scm 431 */
 BgL_rsazd2keyzd2_bglt BgL_new1166z00_2231;
{ /* Llib/pgp_logic.scm 432 */
 BgL_rsazd2keyzd2_bglt BgL_new1165z00_2232;
BgL_new1165z00_2232 = 
((BgL_rsazd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_rsazd2keyzd2_bgl) ))); 
{ /* Llib/pgp_logic.scm 432 */
 long BgL_arg1898z00_2233;
BgL_arg1898z00_2233 = 
BGL_CLASS_NUM(BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1165z00_2232), BgL_arg1898z00_2233); } 
BgL_new1166z00_2231 = BgL_new1165z00_2232; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1166z00_2231))->BgL_modulusz00)=((obj_t)
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_550)))->BgL_modulusz00)),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1166z00_2231))->BgL_exponentz00)=((obj_t)BgL_dz00_557),BUNSPEC); 
BgL_auxz00_4330 = 
((obj_t)BgL_new1166z00_2231); } }  else 
{ /* Llib/pgp_logic.scm 452 */
 bool_t BgL_test3091z00_4359;
{ /* Llib/pgp_logic.scm 452 */
 bool_t BgL__ortest_1175z00_577;
BgL__ortest_1175z00_577 = 
(BgL_algoz00_549==
CNST_TABLE_REF(((long)20))); 
if(BgL__ortest_1175z00_577)
{ /* Llib/pgp_logic.scm 452 */
BgL_test3091z00_4359 = BgL__ortest_1175z00_577
; }  else 
{ /* Llib/pgp_logic.scm 452 */
BgL_test3091z00_4359 = 
(BgL_algoz00_549==
CNST_TABLE_REF(((long)14)))
; } } 
if(BgL_test3091z00_4359)
{ /* Llib/pgp_logic.scm 457 */
 obj_t BgL_xz00_564;
{ /* Llib/pgp_logic.scm 457 */
 obj_t BgL_arg1913z00_565;
{ /* Llib/pgp_logic.scm 457 */
 long BgL_endz00_568;
BgL_endz00_568 = 
STRING_LENGTH(
((obj_t)BgL_decryptedz00_551)); 
{ /* Llib/pgp_logic.scm 457 */

BgL_arg1913z00_565 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_decryptedz00_551, 
BINT(((long)0)), 
BINT(BgL_endz00_568)); } } 
BgL_xz00_564 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_arg1913z00_565); } 
BgL_auxz00_4330 = 
((obj_t)
BGl_createzd2secretzd2elgamalzd2keyzd2zz__openpgpzd2logiczd2(BgL_keyz00_550, BgL_xz00_564)); }  else 
{ /* Llib/pgp_logic.scm 452 */
if(
(BgL_algoz00_549==
CNST_TABLE_REF(((long)13))))
{ /* Llib/pgp_logic.scm 460 */
 obj_t BgL_xz00_570;
{ /* Llib/pgp_logic.scm 460 */
 obj_t BgL_arg1915z00_571;
{ /* Llib/pgp_logic.scm 460 */
 long BgL_endz00_574;
BgL_endz00_574 = 
STRING_LENGTH(
((obj_t)BgL_decryptedz00_551)); 
{ /* Llib/pgp_logic.scm 460 */

BgL_arg1915z00_571 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_decryptedz00_551, 
BINT(((long)0)), 
BINT(BgL_endz00_574)); } } 
BgL_xz00_570 = 
BGl_decodezd2mpizd2zz__openpgpzd2decodezd2(BgL_arg1915z00_571); } 
BgL_auxz00_4330 = 
((obj_t)
BGl_createzd2secretzd2dsazd2keyzd2zz__openpgpzd2logiczd2(BgL_keyz00_550, BgL_xz00_570)); }  else 
{ /* Llib/pgp_logic.scm 465 */
 obj_t BgL_arg1916z00_575;
BgL_arg1916z00_575 = 
MAKE_YOUNG_PAIR(BgL_algoz00_549, 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_algoz00_549)); 
BgL_auxz00_4330 = 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2816z00zz__openpgpzd2logiczd2, BGl_string2817z00zz__openpgpzd2logiczd2, BgL_arg1916z00_575); } } } } } 
{ 
 obj_t BgL_auxz00_4324;
{ /* Llib/pgp_logic.scm 476 */
 BgL_objectz00_bglt BgL_tmpz00_4325;
BgL_tmpz00_4325 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_kpz00_36)); 
BgL_auxz00_4324 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_4325); } 
BgL_auxz00_4323 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_4324); } 
((((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_4323))->BgL_secretzd2keyzd2)=((obj_t)BgL_auxz00_4330),BUNSPEC); } 
return 
((obj_t)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_kpz00_36));}  else 
{ /* Llib/pgp_logic.scm 474 */
return BFALSE;} } } } } 

}



/* &decrypt-secret-key! */
obj_t BGl_z62decryptzd2secretzd2keyz12z70zz__openpgpzd2logiczd2(obj_t BgL_envz00_3186, obj_t BgL_kpz00_3187, obj_t BgL_passwordz00_3188)
{
{ /* Llib/pgp_logic.scm 450 */
{ /* Llib/pgp_logic.scm 452 */
 obj_t BgL_auxz00_4398; BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_auxz00_4390;
if(
STRINGP(BgL_passwordz00_3188))
{ /* Llib/pgp_logic.scm 452 */
BgL_auxz00_4398 = BgL_passwordz00_3188
; }  else 
{ 
 obj_t BgL_auxz00_4401;
BgL_auxz00_4401 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)17085)), BGl_string2818z00zz__openpgpzd2logiczd2, BGl_string2819z00zz__openpgpzd2logiczd2, BgL_passwordz00_3188); 
FAILURE(BgL_auxz00_4401,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_kpz00_3187, BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2))
{ /* Llib/pgp_logic.scm 452 */
BgL_auxz00_4390 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_kpz00_3187)
; }  else 
{ 
 obj_t BgL_auxz00_4394;
BgL_auxz00_4394 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)17085)), BGl_string2818z00zz__openpgpzd2logiczd2, BGl_string2801z00zz__openpgpzd2logiczd2, BgL_kpz00_3187); 
FAILURE(BgL_auxz00_4394,BFALSE,BFALSE);} 
return 
BGl_decryptzd2secretzd2keyz12z12zz__openpgpzd2logiczd2(BgL_auxz00_4390, BgL_auxz00_4398);} } 

}



/* _verify-pgp-signature */
obj_t BGl__verifyzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(obj_t BgL_env1369z00_42, obj_t BgL_opt1368z00_41)
{
{ /* Llib/pgp_logic.scm 482 */
{ /* Llib/pgp_logic.scm 482 */
 obj_t BgL_sigz00_581; obj_t BgL_keyzd2resolverzd2_582;
BgL_sigz00_581 = 
VECTOR_REF(BgL_opt1368z00_41,((long)0)); 
BgL_keyzd2resolverzd2_582 = 
VECTOR_REF(BgL_opt1368z00_41,((long)1)); 
switch( 
VECTOR_LENGTH(BgL_opt1368z00_41)) { case ((long)2) : 

{ /* Llib/pgp_logic.scm 482 */

{ /* Llib/pgp_logic.scm 482 */
 obj_t BgL_auxz00_4416; BgL_pgpzd2signaturezd2_bglt BgL_auxz00_4408;
if(
PROCEDUREP(BgL_keyzd2resolverzd2_582))
{ /* Llib/pgp_logic.scm 482 */
BgL_auxz00_4416 = BgL_keyzd2resolverzd2_582
; }  else 
{ 
 obj_t BgL_auxz00_4419;
BgL_auxz00_4419 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)18259)), BGl_string2820z00zz__openpgpzd2logiczd2, BGl_string2822z00zz__openpgpzd2logiczd2, BgL_keyzd2resolverzd2_582); 
FAILURE(BgL_auxz00_4419,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sigz00_581, BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_logic.scm 482 */
BgL_auxz00_4408 = 
((BgL_pgpzd2signaturezd2_bglt)BgL_sigz00_581)
; }  else 
{ 
 obj_t BgL_auxz00_4412;
BgL_auxz00_4412 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)18259)), BGl_string2820z00zz__openpgpzd2logiczd2, BGl_string2821z00zz__openpgpzd2logiczd2, BgL_sigz00_581); 
FAILURE(BgL_auxz00_4412,BFALSE,BFALSE);} 
return 
BGl_verifyzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(BgL_auxz00_4408, BgL_auxz00_4416, BFALSE);} } break;case ((long)3) : 

{ /* Llib/pgp_logic.scm 482 */
 obj_t BgL_msgz00_587;
BgL_msgz00_587 = 
VECTOR_REF(BgL_opt1368z00_41,((long)2)); 
{ /* Llib/pgp_logic.scm 482 */

{ /* Llib/pgp_logic.scm 482 */
 obj_t BgL_auxz00_4433; BgL_pgpzd2signaturezd2_bglt BgL_auxz00_4425;
if(
PROCEDUREP(BgL_keyzd2resolverzd2_582))
{ /* Llib/pgp_logic.scm 482 */
BgL_auxz00_4433 = BgL_keyzd2resolverzd2_582
; }  else 
{ 
 obj_t BgL_auxz00_4436;
BgL_auxz00_4436 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)18259)), BGl_string2820z00zz__openpgpzd2logiczd2, BGl_string2822z00zz__openpgpzd2logiczd2, BgL_keyzd2resolverzd2_582); 
FAILURE(BgL_auxz00_4436,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sigz00_581, BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_logic.scm 482 */
BgL_auxz00_4425 = 
((BgL_pgpzd2signaturezd2_bglt)BgL_sigz00_581)
; }  else 
{ 
 obj_t BgL_auxz00_4429;
BgL_auxz00_4429 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)18259)), BGl_string2820z00zz__openpgpzd2logiczd2, BGl_string2821z00zz__openpgpzd2logiczd2, BgL_sigz00_581); 
FAILURE(BgL_auxz00_4429,BFALSE,BFALSE);} 
return 
BGl_verifyzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(BgL_auxz00_4425, BgL_auxz00_4433, BgL_msgz00_587);} } } break;
default: 
return BUNSPEC;} } } 

}



/* verify-pgp-signature */
BGL_EXPORTED_DEF obj_t BGl_verifyzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(BgL_pgpzd2signaturezd2_bglt BgL_sigz00_38, obj_t BgL_keyzd2resolverzd2_39, obj_t BgL_msgz00_40)
{
{ /* Llib/pgp_logic.scm 482 */
{ /* Llib/pgp_logic.scm 485 */
 bool_t BgL_test3100z00_4443;
if(
CBOOL(BgL_msgz00_40))
{ /* Llib/pgp_logic.scm 485 */
BgL_test3100z00_4443 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_logic.scm 485 */
if(
CBOOL(
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_sigz00_38))->BgL_msgz00)))
{ /* Llib/pgp_logic.scm 486 */
BgL_test3100z00_4443 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_logic.scm 486 */
BgL_test3100z00_4443 = ((bool_t)1)
; } } 
if(BgL_test3100z00_4443)
{ /* Llib/pgp_logic.scm 485 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2823z00zz__openpgpzd2logiczd2, BGl_string2824z00zz__openpgpzd2logiczd2, BFALSE); }  else 
{ /* Llib/pgp_logic.scm 485 */BFALSE; } } 
{ /* Llib/pgp_logic.scm 488 */
 obj_t BgL_sigzd2msgzd2_594;
BgL_sigzd2msgzd2_594 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_sigz00_38))->BgL_msgz00); 
{ /* Llib/pgp_logic.scm 489 */
 bool_t BgL_test3103z00_4451;
if(
CBOOL(BgL_msgz00_40))
{ /* Llib/pgp_logic.scm 489 */
BgL_test3103z00_4451 = 
CBOOL(BgL_sigzd2msgzd2_594)
; }  else 
{ /* Llib/pgp_logic.scm 489 */
BgL_test3103z00_4451 = ((bool_t)0)
; } 
if(BgL_test3103z00_4451)
{ /* Llib/pgp_logic.scm 490 */
 obj_t BgL_literalz00_596;
BgL_literalz00_596 = 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_sigzd2msgzd2_594)))->BgL_dataz00); 
{ /* Llib/pgp_logic.scm 491 */
 bool_t BgL_test3105z00_4457;
if(
STRINGP(BgL_msgz00_40))
{ /* Llib/pgp_logic.scm 492 */
 bool_t BgL_test3107z00_4460;
{ /* Llib/pgp_logic.scm 492 */
 long BgL_l1z00_2279;
BgL_l1z00_2279 = 
STRING_LENGTH(BgL_msgz00_40); 
if(
(BgL_l1z00_2279==
STRING_LENGTH(BgL_literalz00_596)))
{ /* Llib/pgp_logic.scm 492 */
 int BgL_arg1289z00_2282;
{ /* Llib/pgp_logic.scm 492 */
 char * BgL_auxz00_4467; char * BgL_tmpz00_4465;
BgL_auxz00_4467 = 
BSTRING_TO_STRING(BgL_literalz00_596); 
BgL_tmpz00_4465 = 
BSTRING_TO_STRING(BgL_msgz00_40); 
BgL_arg1289z00_2282 = 
memcmp(BgL_tmpz00_4465, BgL_auxz00_4467, BgL_l1z00_2279); } 
BgL_test3107z00_4460 = 
(
(long)(BgL_arg1289z00_2282)==((long)0)); }  else 
{ /* Llib/pgp_logic.scm 492 */
BgL_test3107z00_4460 = ((bool_t)0)
; } } 
if(BgL_test3107z00_4460)
{ /* Llib/pgp_logic.scm 492 */
BgL_test3105z00_4457 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_logic.scm 492 */
BgL_test3105z00_4457 = ((bool_t)1)
; } }  else 
{ /* Llib/pgp_logic.scm 491 */
BgL_test3105z00_4457 = ((bool_t)1)
; } 
if(BgL_test3105z00_4457)
{ /* Llib/pgp_logic.scm 495 */
 obj_t BgL_arg1925z00_600;
BgL_arg1925z00_600 = 
MAKE_YOUNG_PAIR(BgL_msgz00_40, BgL_literalz00_596); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2823z00zz__openpgpzd2logiczd2, BGl_string2825z00zz__openpgpzd2logiczd2, BgL_arg1925z00_600); }  else 
{ /* Llib/pgp_logic.scm 491 */BFALSE; } } }  else 
{ /* Llib/pgp_logic.scm 489 */BFALSE; } } 
{ /* Llib/pgp_logic.scm 496 */
 obj_t BgL_strz00_604;
if(
CBOOL(BgL_msgz00_40))
{ /* Llib/pgp_logic.scm 496 */
BgL_strz00_604 = BgL_msgz00_40; }  else 
{ /* Llib/pgp_logic.scm 496 */
BgL_strz00_604 = 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_sigzd2msgzd2_594)))->BgL_dataz00); } 
{ /* Llib/pgp_logic.scm 497 */
 obj_t BgL_arg1927z00_606;
BgL_arg1927z00_606 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_sigz00_38))->BgL_sigsz00); 
{ /* Llib/pgp_logic.scm 498 */
 obj_t BgL_zc3z04anonymousza31929ze3z87_3189;
BgL_zc3z04anonymousza31929ze3z87_3189 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31929ze3ze5zz__openpgpzd2logiczd2, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31929ze3z87_3189, 
(int)(((long)0)), BgL_strz00_604); 
PROCEDURE_SET(BgL_zc3z04anonymousza31929ze3z87_3189, 
(int)(((long)1)), BgL_keyzd2resolverzd2_39); 
{ /* Llib/pgp_logic.scm 497 */
 obj_t BgL_list1928z00_607;
BgL_list1928z00_607 = 
MAKE_YOUNG_PAIR(BgL_arg1927z00_606, BNIL); 
return 
BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(BgL_zc3z04anonymousza31929ze3z87_3189, BgL_list1928z00_607);} } } } } } 

}



/* &<@anonymous:1929> */
obj_t BGl_z62zc3z04anonymousza31929ze3ze5zz__openpgpzd2logiczd2(obj_t BgL_envz00_3190, obj_t BgL_sz00_3193)
{
{ /* Llib/pgp_logic.scm 497 */
{ /* Llib/pgp_logic.scm 498 */
 obj_t BgL_strz00_3191; obj_t BgL_keyzd2resolverzd2_3192;
BgL_strz00_3191 = 
PROCEDURE_REF(BgL_envz00_3190, 
(int)(((long)0))); 
BgL_keyzd2resolverzd2_3192 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3190, 
(int)(((long)1)))); 
{ /* Llib/pgp_logic.scm 500 */
 obj_t BgL_arg1930z00_3474;
{ /* Llib/pgp_logic.scm 500 */
 obj_t BgL_arg1931z00_3475;
BgL_arg1931z00_3475 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sz00_3193))))->BgL_signaturezd2typezd2); 
BgL_arg1930z00_3474 = 
BGl_constructzd2datazd2signaturezd2msgzd2zz__openpgpzd2logiczd2(BgL_strz00_3191, BgL_arg1931z00_3475); } 
return 
BGl_verifyzd2signaturezd2zz__openpgpzd2logiczd2(BgL_arg1930z00_3474, 
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sz00_3193), BgL_keyzd2resolverzd2_3192);} } } 

}



/* search1375~0 */
obj_t BGl_search1375ze70ze7zz__openpgpzd2logiczd2(obj_t BgL_l1374z00_3252, obj_t BgL_opt1372z00_3251, obj_t BgL_k1z00_619, obj_t BgL_iz00_620)
{
{ /* Llib/pgp_logic.scm 505 */
BGl_search1375ze70ze7zz__openpgpzd2logiczd2:
if(
(
(long)CINT(BgL_iz00_620)==
(long)CINT(BgL_l1374z00_3252)))
{ /* Llib/pgp_logic.scm 505 */
return 
BINT(((long)-1));}  else 
{ /* Llib/pgp_logic.scm 505 */
if(
(
(long)CINT(BgL_iz00_620)==
(long)CINT(
SUBFX(BgL_l1374z00_3252, 
BINT(((long)1))))))
{ /* Llib/pgp_logic.scm 505 */
 obj_t BgL_arg1944z00_643;
BgL_arg1944z00_643 = 
BINT(
VECTOR_LENGTH(BgL_opt1372z00_3251)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)22)), BGl_string2827z00zz__openpgpzd2logiczd2, BgL_arg1944z00_643);}  else 
{ /* Llib/pgp_logic.scm 505 */
 obj_t BgL_vz00_644;
BgL_vz00_644 = 
VECTOR_REF(BgL_opt1372z00_3251,
(long)CINT(BgL_iz00_620)); 
if(
(BgL_vz00_644==BgL_k1z00_619))
{ /* Llib/pgp_logic.scm 505 */
return 
ADDFX(BgL_iz00_620, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_4520;
BgL_iz00_4520 = 
ADDFX(BgL_iz00_620, 
BINT(((long)2))); 
BgL_iz00_620 = BgL_iz00_4520; 
goto BGl_search1375ze70ze7zz__openpgpzd2logiczd2;} } } } 

}



/* signature->issuer-id */
obj_t BGl_signaturezd2ze3issuerzd2idze3zz__openpgpzd2logiczd2(BgL_pgpzd2signaturezd2packetz00_bglt BgL_sigz00_43, obj_t BgL_keyz00_44, obj_t BgL_keyzd2resolverzd2_45)
{
{ /* Llib/pgp_logic.scm 505 */
BGl_signaturezd2ze3issuerzd2idze3zz__openpgpzd2logiczd2:
{ /* Llib/pgp_logic.scm 509 */
 bool_t BgL_test3113z00_4523;
if(
CBOOL(BgL_keyz00_44))
{ /* Llib/pgp_logic.scm 509 */
BgL_test3113z00_4523 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_logic.scm 509 */
if(
CBOOL(BgL_keyzd2resolverzd2_45))
{ /* Llib/pgp_logic.scm 509 */
BgL_test3113z00_4523 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_logic.scm 509 */
BgL_test3113z00_4523 = ((bool_t)1)
; } } 
if(BgL_test3113z00_4523)
{ /* Llib/pgp_logic.scm 510 */
 obj_t BgL_arg1949z00_650;
BgL_arg1949z00_650 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_sigz00_43)))->BgL_issuerz00); 
{ /* Llib/pgp_logic.scm 510 */
 obj_t BgL_strz00_2309;
BgL_strz00_2309 = 
((obj_t)BgL_arg1949z00_650); 
{ /* Llib/pgp_logic.scm 510 */
 long BgL_endz00_2311;
BgL_endz00_2311 = 
STRING_LENGTH(
((obj_t)BgL_strz00_2309)); 
{ /* Llib/pgp_logic.scm 510 */

return 
BGl_stringzd2hexzd2externz00zz__r4_strings_6_7z00(BgL_strz00_2309, 
(int)(((long)0)), BgL_endz00_2311);} } } }  else 
{ /* Llib/pgp_logic.scm 509 */
if(
CBOOL(BgL_keyz00_44))
{ /* Llib/pgp_logic.scm 511 */
return 
BGl_keyzd2strzd2representationz00zz__openpgpzd2logiczd2(
((BgL_pgpzd2keyzd2_bglt)BgL_keyz00_44));}  else 
{ /* Llib/pgp_logic.scm 514 */
 obj_t BgL_possiblezd2keyszd2_651;
{ /* Llib/pgp_logic.scm 514 */
 obj_t BgL_arg1955z00_664;
BgL_arg1955z00_664 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_sigz00_43)))->BgL_issuerz00); 
BgL_possiblezd2keyszd2_651 = 
PROCEDURE_ENTRY(BgL_keyzd2resolverzd2_45)(BgL_keyzd2resolverzd2_45, BgL_arg1955z00_664, BEOA); } 
if(
NULLP(BgL_possiblezd2keyszd2_651))
{ 
 obj_t BgL_keyzd2resolverzd2_4548; obj_t BgL_keyz00_4547;
BgL_keyz00_4547 = BFALSE; 
BgL_keyzd2resolverzd2_4548 = BFALSE; 
BgL_keyzd2resolverzd2_45 = BgL_keyzd2resolverzd2_4548; 
BgL_keyz00_44 = BgL_keyz00_4547; 
goto BGl_signaturezd2ze3issuerzd2idze3zz__openpgpzd2logiczd2;}  else 
{ /* Llib/pgp_logic.scm 516 */
if(
NULLP(
CDR(
((obj_t)BgL_possiblezd2keyszd2_651))))
{ /* Llib/pgp_logic.scm 521 */
 obj_t BgL_arg1953z00_657;
BgL_arg1953z00_657 = 
((obj_t)
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)
CAR(
((obj_t)BgL_possiblezd2keyszd2_651)))))->BgL_pgpzd2keyzd2)); 
{ 
 obj_t BgL_keyzd2resolverzd2_4559; obj_t BgL_keyz00_4558;
BgL_keyz00_4558 = BgL_arg1953z00_657; 
BgL_keyzd2resolverzd2_4559 = BFALSE; 
BgL_keyzd2resolverzd2_45 = BgL_keyzd2resolverzd2_4559; 
BgL_keyz00_44 = BgL_keyz00_4558; 
goto BGl_signaturezd2ze3issuerzd2idze3zz__openpgpzd2logiczd2;} }  else 
{ 
 obj_t BgL_keyzd2resolverzd2_4561; obj_t BgL_keyz00_4560;
BgL_keyz00_4560 = BFALSE; 
BgL_keyzd2resolverzd2_4561 = BFALSE; 
BgL_keyzd2resolverzd2_45 = BgL_keyzd2resolverzd2_4561; 
BgL_keyz00_44 = BgL_keyz00_4560; 
goto BGl_signaturezd2ze3issuerzd2idze3zz__openpgpzd2logiczd2;} } } } } } 

}



/* key-str-representation */
obj_t BGl_keyzd2strzd2representationz00zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2_bglt BgL_keyz00_48)
{
{ /* Llib/pgp_logic.scm 526 */
{ /* Llib/pgp_logic.scm 528 */
 obj_t BgL_mainzd2keyzd2pktz00_666;
BgL_mainzd2keyzd2pktz00_666 = 
((obj_t)
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)
CAR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_keyz00_48))->BgL_subkeysz00)))))->BgL_keyzd2packetzd2)); 
{ /* Llib/pgp_logic.scm 531 */
 obj_t BgL_zc3z04anonymousza31957ze3z87_3194;
{ 
 int BgL_tmpz00_4567;
BgL_tmpz00_4567 = 
(int)(((long)2)); 
BgL_zc3z04anonymousza31957ze3z87_3194 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_4567); } 
PROCEDURE_SET(BgL_zc3z04anonymousza31957ze3z87_3194, 
(int)(((long)0)), BgL_mainzd2keyzd2pktz00_666); 
PROCEDURE_SET(BgL_zc3z04anonymousza31957ze3z87_3194, 
(int)(((long)1)), 
((obj_t)BgL_keyz00_48)); 
return 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza31957ze3z87_3194);} } } 

}



/* verify-key */
BGL_EXPORTED_DEF obj_t BGl_verifyzd2keyzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2_bglt BgL_pgpzd2keyzd2_49, obj_t BgL_keyzd2resolverzd2_50)
{
{ /* Llib/pgp_logic.scm 539 */
{ /* Llib/pgp_logic.scm 546 */
 obj_t BgL_localzd2resolvezd2_3199;
BgL_localzd2resolvezd2_3199 = 
MAKE_FX_PROCEDURE(BGl_z62localzd2resolvezb0zz__openpgpzd2logiczd2, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_localzd2resolvezd2_3199, 
(int)(((long)0)), 
((obj_t)BgL_pgpzd2keyzd2_49)); 
PROCEDURE_SET(BgL_localzd2resolvezd2_3199, 
(int)(((long)1)), BgL_keyzd2resolverzd2_50); 
{ 
 obj_t BgL_subkeyz00_801; obj_t BgL_sigz00_779; BgL_pgpzd2keyzd2packetz00_bglt BgL_subkeyzd2pktzd2_780; obj_t BgL_revoczd2sigzd2_760; BgL_pgpzd2keyzd2packetz00_bglt BgL_keyzd2packetzd2_761; BgL_signedzd2idzd2_bglt BgL_idz00_731;
{ /* Llib/pgp_logic.scm 641 */
 obj_t BgL_g1332z00_693;
BgL_g1332z00_693 = 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_pgpzd2keyzd2_49))->BgL_userzd2idszd2); 
{ 
 obj_t BgL_l1330z00_695;
BgL_l1330z00_695 = BgL_g1332z00_693; 
BgL_zc3z04anonymousza31964ze3z87_696:
if(
PAIRP(BgL_l1330z00_695))
{ /* Llib/pgp_logic.scm 641 */
{ /* Llib/pgp_logic.scm 641 */
 obj_t BgL_userzd2idzd2_698;
BgL_userzd2idzd2_698 = 
CAR(BgL_l1330z00_695); 
BgL_idz00_731 = 
((BgL_signedzd2idzd2_bglt)BgL_userzd2idzd2_698); 
{ /* Llib/pgp_logic.scm 566 */
 obj_t BgL_g1323z00_737;
BgL_g1323z00_737 = 
(((BgL_signedzd2idzd2_bglt)COBJECT(BgL_idz00_731))->BgL_sigsz00); 
{ 
 obj_t BgL_l1321z00_739;
BgL_l1321z00_739 = BgL_g1323z00_737; 
BgL_zc3z04anonymousza31983ze3z87_740:
if(
PAIRP(BgL_l1321z00_739))
{ /* Llib/pgp_logic.scm 566 */
{ /* Llib/pgp_logic.scm 568 */
 obj_t BgL_sigz00_742;
BgL_sigz00_742 = 
CAR(BgL_l1321z00_739); 
{ /* Llib/pgp_logic.scm 570 */
 obj_t BgL_strz00_744;
{ /* Llib/pgp_logic.scm 571 */
 obj_t BgL_arg1990z00_753; BgL_pgpzd2keyzd2packetz00_bglt BgL_arg1991z00_754; obj_t BgL_arg1992z00_755; long BgL_arg1993z00_756;
BgL_arg1990z00_753 = 
(((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(
(((BgL_signedzd2idzd2_bglt)COBJECT(BgL_idz00_731))->BgL_idz00)))->BgL_dataz00); 
BgL_arg1991z00_754 = 
BGl_PGPzd2mainzd2keyzd2packetzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2_49); 
BgL_arg1992z00_755 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigz00_742))))->BgL_signaturezd2typezd2); 
BgL_arg1993z00_756 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigz00_742))))->BgL_versionz00); 
BgL_strz00_744 = 
BGl_constructzd2certificationzd2signaturezd2strzd2zz__openpgpzd2logiczd2(BgL_arg1990z00_753, BgL_arg1991z00_754, BgL_arg1992z00_755, BgL_arg1993z00_756); } 
{ /* Llib/pgp_logic.scm 570 */
 obj_t BgL_signerz00_745;
BgL_signerz00_745 = 
BGl_verifyzd2signaturezd2zz__openpgpzd2logiczd2(BgL_strz00_744, 
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigz00_742), BgL_localzd2resolvezd2_3199); 
{ /* Llib/pgp_logic.scm 574 */
BUNSPEC; } } } } 
{ 
 obj_t BgL_l1321z00_4604;
BgL_l1321z00_4604 = 
CDR(BgL_l1321z00_739); 
BgL_l1321z00_739 = BgL_l1321z00_4604; 
goto BgL_zc3z04anonymousza31983ze3z87_740;} }  else 
{ /* Llib/pgp_logic.scm 566 */((bool_t)1); } } } } 
{ 
 obj_t BgL_l1330z00_4607;
BgL_l1330z00_4607 = 
CDR(BgL_l1330z00_695); 
BgL_l1330z00_695 = BgL_l1330z00_4607; 
goto BgL_zc3z04anonymousza31964ze3z87_696;} }  else 
{ /* Llib/pgp_logic.scm 641 */((bool_t)1); } } } 
{ /* Llib/pgp_logic.scm 643 */
 obj_t BgL_g1335z00_701;
BgL_g1335z00_701 = 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_pgpzd2keyzd2_49))->BgL_subkeysz00); 
{ 
 obj_t BgL_l1333z00_703;
{ /* Llib/pgp_logic.scm 643 */
 bool_t BgL_tmpz00_4610;
BgL_l1333z00_703 = BgL_g1335z00_701; 
BgL_zc3z04anonymousza31967ze3z87_704:
if(
PAIRP(BgL_l1333z00_703))
{ /* Llib/pgp_logic.scm 643 */
BgL_subkeyz00_801 = 
CAR(BgL_l1333z00_703); 
{ /* Llib/pgp_logic.scm 629 */
 obj_t BgL_g1326z00_815;
BgL_g1326z00_815 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_801)))->BgL_sigsz00); 
{ 
 obj_t BgL_l1324z00_817;
BgL_l1324z00_817 = BgL_g1326z00_815; 
BgL_zc3z04anonymousza32032ze3z87_818:
if(
PAIRP(BgL_l1324z00_817))
{ /* Llib/pgp_logic.scm 629 */
{ /* Llib/pgp_logic.scm 630 */
 obj_t BgL_sigz00_820;
BgL_sigz00_820 = 
CAR(BgL_l1324z00_817); 
{ /* Llib/pgp_logic.scm 630 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2034z00_821;
BgL_arg2034z00_821 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_801)))->BgL_keyzd2packetzd2); 
BgL_sigz00_779 = BgL_sigz00_820; 
BgL_subkeyzd2pktzd2_780 = BgL_arg2034z00_821; 
if(
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigz00_779))))->BgL_signaturezd2typezd2)==
CNST_TABLE_REF(((long)10))))
{ /* Llib/pgp_logic.scm 610 */BFALSE; }  else 
{ /* Llib/pgp_logic.scm 613 */
 obj_t BgL_arg2010z00_785;
{ /* Llib/pgp_logic.scm 613 */
 obj_t BgL_arg2011z00_786; obj_t BgL_arg2012z00_787;
BgL_arg2011z00_786 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigz00_779))))->BgL_signaturezd2typezd2); 
{ /* Llib/pgp_logic.scm 614 */
 obj_t BgL_arg2013z00_788;
BgL_arg2013z00_788 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigz00_779))))->BgL_signaturezd2typezd2); 
BgL_arg2012z00_787 = 
BGl_signaturezd2typezd2ze3humanzd2readablez31zz__openpgpzd2humanzd2(BgL_arg2013z00_788); } 
BgL_arg2010z00_785 = 
MAKE_YOUNG_PAIR(BgL_arg2011z00_786, BgL_arg2012z00_787); } 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2830z00zz__openpgpzd2logiczd2, BGl_string2831z00zz__openpgpzd2logiczd2, BgL_arg2010z00_785); } 
{ /* Llib/pgp_logic.scm 615 */
 obj_t BgL_strz00_790;
{ /* Llib/pgp_logic.scm 616 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2020z00_799; obj_t BgL_arg2021z00_800;
BgL_arg2020z00_799 = 
BGl_PGPzd2mainzd2keyzd2packetzd2zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2_49); 
BgL_arg2021z00_800 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigz00_779))))->BgL_signaturezd2typezd2); 
BgL_strz00_790 = 
BGl_constructzd2subkeyzd2signaturezd2strzd2zz__openpgpzd2logiczd2(BgL_subkeyzd2pktzd2_780, BgL_arg2020z00_799, BgL_arg2021z00_800); } 
{ /* Llib/pgp_logic.scm 615 */
 obj_t BgL_signerz00_791;
{ /* Llib/pgp_logic.scm 619 */
 obj_t BgL_zc3z04anonymousza32019ze3z87_3198;
BgL_zc3z04anonymousza32019ze3z87_3198 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32019ze3ze5zz__openpgpzd2logiczd2, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32019ze3z87_3198, 
(int)(((long)0)), 
((obj_t)BgL_pgpzd2keyzd2_49)); 
BgL_signerz00_791 = 
BGl_verifyzd2signaturezd2zz__openpgpzd2logiczd2(BgL_strz00_790, 
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigz00_779), BgL_zc3z04anonymousza32019ze3z87_3198); } 
{ /* Llib/pgp_logic.scm 619 */
BUNSPEC; } } } } } 
{ 
 obj_t BgL_l1324z00_4648;
BgL_l1324z00_4648 = 
CDR(BgL_l1324z00_817); 
BgL_l1324z00_817 = BgL_l1324z00_4648; 
goto BgL_zc3z04anonymousza32032ze3z87_818;} }  else 
{ /* Llib/pgp_logic.scm 629 */((bool_t)1); } } } 
if(
NULLP(
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_801)))->BgL_revocationzd2sigszd2)))
{ /* Llib/pgp_logic.scm 632 */((bool_t)0); }  else 
{ /* Llib/pgp_logic.scm 634 */
 obj_t BgL_g1329z00_826;
BgL_g1329z00_826 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_801)))->BgL_revocationzd2sigszd2); 
{ 
 obj_t BgL_l1327z00_828;
BgL_l1327z00_828 = BgL_g1329z00_826; 
BgL_zc3z04anonymousza32038ze3z87_829:
if(
PAIRP(BgL_l1327z00_828))
{ /* Llib/pgp_logic.scm 634 */
{ /* Llib/pgp_logic.scm 635 */
 obj_t BgL_sigz00_831;
BgL_sigz00_831 = 
CAR(BgL_l1327z00_828); 
{ /* Llib/pgp_logic.scm 635 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2040z00_832;
BgL_arg2040z00_832 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_801)))->BgL_keyzd2packetzd2); 
BgL_revoczd2sigzd2_760 = BgL_sigz00_831; 
BgL_keyzd2packetzd2_761 = BgL_arg2040z00_832; 
if(
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_revoczd2sigzd2_760))))->BgL_signaturezd2typezd2)==
CNST_TABLE_REF(((long)8))))
{ /* Llib/pgp_logic.scm 589 */BFALSE; }  else 
{ /* Llib/pgp_logic.scm 592 */
 obj_t BgL_arg1998z00_766;
{ /* Llib/pgp_logic.scm 592 */
 obj_t BgL_arg1999z00_767; obj_t BgL_arg2000z00_768;
BgL_arg1999z00_767 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_revoczd2sigzd2_760))))->BgL_signaturezd2typezd2); 
{ /* Llib/pgp_logic.scm 593 */
 obj_t BgL_arg2001z00_769;
BgL_arg2001z00_769 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_revoczd2sigzd2_760))))->BgL_signaturezd2typezd2); 
BgL_arg2000z00_768 = 
BGl_signaturezd2typezd2ze3humanzd2readablez31zz__openpgpzd2humanzd2(BgL_arg2001z00_769); } 
BgL_arg1998z00_766 = 
MAKE_YOUNG_PAIR(BgL_arg1999z00_767, BgL_arg2000z00_768); } 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2828z00zz__openpgpzd2logiczd2, BGl_string2829z00zz__openpgpzd2logiczd2, BgL_arg1998z00_766); } 
{ /* Llib/pgp_logic.scm 594 */
 obj_t BgL_strz00_771;
{ /* Llib/pgp_logic.scm 594 */
 obj_t BgL_arg2006z00_778;
BgL_arg2006z00_778 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_revoczd2sigzd2_760))))->BgL_signaturezd2typezd2); 
BgL_strz00_771 = 
BGl_constructzd2keyzd2signaturezd2strzd2zz__openpgpzd2logiczd2(BgL_keyzd2packetzd2_761, BgL_arg2006z00_778); } 
{ /* Llib/pgp_logic.scm 594 */
 obj_t BgL_signerz00_772;
BgL_signerz00_772 = 
BGl_verifyzd2signaturezd2zz__openpgpzd2logiczd2(BgL_strz00_771, 
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_revoczd2sigzd2_760), BgL_localzd2resolvezd2_3199); 
{ /* Llib/pgp_logic.scm 595 */
BUNSPEC; } } } } } 
{ 
 obj_t BgL_l1327z00_4682;
BgL_l1327z00_4682 = 
CDR(BgL_l1327z00_828); 
BgL_l1327z00_828 = BgL_l1327z00_4682; 
goto BgL_zc3z04anonymousza32038ze3z87_829;} }  else 
{ /* Llib/pgp_logic.scm 634 */((bool_t)1); } } } 
{ 
 obj_t BgL_l1333z00_4685;
BgL_l1333z00_4685 = 
CDR(BgL_l1333z00_703); 
BgL_l1333z00_703 = BgL_l1333z00_4685; 
goto BgL_zc3z04anonymousza31967ze3z87_704;} }  else 
{ /* Llib/pgp_logic.scm 643 */
BgL_tmpz00_4610 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_4610);} } } } } } 

}



/* &verify-key */
obj_t BGl_z62verifyzd2keyzb0zz__openpgpzd2logiczd2(obj_t BgL_envz00_3200, obj_t BgL_pgpzd2keyzd2_3201, obj_t BgL_keyzd2resolverzd2_3202)
{
{ /* Llib/pgp_logic.scm 539 */
{ /* Llib/pgp_logic.scm 546 */
 obj_t BgL_auxz00_4696; BgL_pgpzd2keyzd2_bglt BgL_auxz00_4688;
if(
PROCEDUREP(BgL_keyzd2resolverzd2_3202))
{ /* Llib/pgp_logic.scm 546 */
BgL_auxz00_4696 = BgL_keyzd2resolverzd2_3202
; }  else 
{ 
 obj_t BgL_auxz00_4699;
BgL_auxz00_4699 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)20713)), BGl_string2832z00zz__openpgpzd2logiczd2, BGl_string2822z00zz__openpgpzd2logiczd2, BgL_keyzd2resolverzd2_3202); 
FAILURE(BgL_auxz00_4699,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_pgpzd2keyzd2_3201, BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_logic.scm 546 */
BgL_auxz00_4688 = 
((BgL_pgpzd2keyzd2_bglt)BgL_pgpzd2keyzd2_3201)
; }  else 
{ 
 obj_t BgL_auxz00_4692;
BgL_auxz00_4692 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)20713)), BGl_string2832z00zz__openpgpzd2logiczd2, BGl_string2833z00zz__openpgpzd2logiczd2, BgL_pgpzd2keyzd2_3201); 
FAILURE(BgL_auxz00_4692,BFALSE,BFALSE);} 
return 
BGl_verifyzd2keyzd2zz__openpgpzd2logiczd2(BgL_auxz00_4688, BgL_auxz00_4696);} } 

}



/* &<@anonymous:2019> */
obj_t BGl_z62zc3z04anonymousza32019ze3ze5zz__openpgpzd2logiczd2(obj_t BgL_envz00_3203, obj_t BgL_idz00_3205)
{
{ /* Llib/pgp_logic.scm 619 */
return 
((obj_t)
((BgL_pgpzd2subkeyzd2_bglt)
CAR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)
PROCEDURE_REF(BgL_envz00_3203, 
(int)(((long)0))))))->BgL_subkeysz00))));} 

}



/* &local-resolve */
obj_t BGl_z62localzd2resolvezb0zz__openpgpzd2logiczd2(obj_t BgL_envz00_3206, obj_t BgL_idz00_3209)
{
{ /* Llib/pgp_logic.scm 555 */
{ /* Llib/pgp_logic.scm 546 */
 BgL_pgpzd2keyzd2_bglt BgL_pgpzd2keyzd2_3207; obj_t BgL_keyzd2resolverzd2_3208;
BgL_pgpzd2keyzd2_3207 = 
((BgL_pgpzd2keyzd2_bglt)
PROCEDURE_REF(BgL_envz00_3206, 
(int)(((long)0)))); 
BgL_keyzd2resolverzd2_3208 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3206, 
(int)(((long)1)))); 
{ /* Llib/pgp_logic.scm 548 */
 obj_t BgL_g1198z00_3476;
{ /* Llib/pgp_logic.scm 548 */
 obj_t BgL_g1319z00_3477;
BgL_g1319z00_3477 = 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_pgpzd2keyzd2_3207))->BgL_subkeysz00); 
{ 
 obj_t BgL_l1317z00_3479;
BgL_l1317z00_3479 = BgL_g1319z00_3477; 
BgL_zc3z04anonymousza31972ze3z87_3478:
if(
NULLP(BgL_l1317z00_3479))
{ /* Llib/pgp_logic.scm 548 */
BgL_g1198z00_3476 = BFALSE; }  else 
{ /* Llib/pgp_logic.scm 549 */
 obj_t BgL__ortest_1320z00_3480;
{ /* Llib/pgp_logic.scm 549 */
 obj_t BgL_skz00_3481;
BgL_skz00_3481 = 
CAR(
((obj_t)BgL_l1317z00_3479)); 
{ /* Llib/pgp_logic.scm 550 */
 bool_t BgL_test3130z00_4722;
{ /* Llib/pgp_logic.scm 550 */
 obj_t BgL_arg1975z00_3482;
{ /* Llib/pgp_logic.scm 550 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg1976z00_3483;
BgL_arg1976z00_3483 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_skz00_3481)))->BgL_keyzd2packetzd2); 
BgL_arg1975z00_3482 = 
BGl_keyzd2idzd2zz__openpgpzd2logiczd2(BgL_arg1976z00_3483); } 
{ /* Llib/pgp_logic.scm 550 */
 long BgL_l1z00_3484;
BgL_l1z00_3484 = 
STRING_LENGTH(
((obj_t)BgL_idz00_3209)); 
if(
(BgL_l1z00_3484==
STRING_LENGTH(BgL_arg1975z00_3482)))
{ /* Llib/pgp_logic.scm 550 */
 int BgL_arg1289z00_3485;
{ /* Llib/pgp_logic.scm 550 */
 char * BgL_auxz00_4734; char * BgL_tmpz00_4731;
BgL_auxz00_4734 = 
BSTRING_TO_STRING(BgL_arg1975z00_3482); 
BgL_tmpz00_4731 = 
BSTRING_TO_STRING(
((obj_t)BgL_idz00_3209)); 
BgL_arg1289z00_3485 = 
memcmp(BgL_tmpz00_4731, BgL_auxz00_4734, BgL_l1z00_3484); } 
BgL_test3130z00_4722 = 
(
(long)(BgL_arg1289z00_3485)==((long)0)); }  else 
{ /* Llib/pgp_logic.scm 550 */
BgL_test3130z00_4722 = ((bool_t)0)
; } } } 
if(BgL_test3130z00_4722)
{ /* Llib/pgp_logic.scm 550 */
BgL__ortest_1320z00_3480 = BgL_skz00_3481; }  else 
{ /* Llib/pgp_logic.scm 550 */
BgL__ortest_1320z00_3480 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1320z00_3480))
{ /* Llib/pgp_logic.scm 548 */
BgL_g1198z00_3476 = BgL__ortest_1320z00_3480; }  else 
{ /* Llib/pgp_logic.scm 548 */
 obj_t BgL_arg1974z00_3486;
BgL_arg1974z00_3486 = 
CDR(
((obj_t)BgL_l1317z00_3479)); 
{ 
 obj_t BgL_l1317z00_4743;
BgL_l1317z00_4743 = BgL_arg1974z00_3486; 
BgL_l1317z00_3479 = BgL_l1317z00_4743; 
goto BgL_zc3z04anonymousza31972ze3z87_3478;} } } } } 
if(
CBOOL(BgL_g1198z00_3476))
{ /* Llib/pgp_logic.scm 554 */
 obj_t BgL_list1971z00_3487;
BgL_list1971z00_3487 = 
MAKE_YOUNG_PAIR(BgL_g1198z00_3476, BNIL); 
return BgL_list1971z00_3487;}  else 
{ /* Llib/pgp_logic.scm 548 */
return 
PROCEDURE_ENTRY(BgL_keyzd2resolverzd2_3208)(BgL_keyzd2resolverzd2_3208, BgL_idz00_3209, BEOA);} } } } 

}



/* search1383~0 */
obj_t BGl_search1383ze70ze7zz__openpgpzd2logiczd2(obj_t BgL_l1382z00_3250, obj_t BgL_opt1380z00_3249, obj_t BgL_k1z00_844, obj_t BgL_iz00_845)
{
{ /* Llib/pgp_logic.scm 651 */
BGl_search1383ze70ze7zz__openpgpzd2logiczd2:
if(
(
(long)CINT(BgL_iz00_845)==
(long)CINT(BgL_l1382z00_3250)))
{ /* Llib/pgp_logic.scm 651 */
return 
BINT(((long)-1));}  else 
{ /* Llib/pgp_logic.scm 651 */
if(
(
(long)CINT(BgL_iz00_845)==
(long)CINT(
SUBFX(BgL_l1382z00_3250, 
BINT(((long)1))))))
{ /* Llib/pgp_logic.scm 651 */
 obj_t BgL_arg2058z00_874;
BgL_arg2058z00_874 = 
BINT(
VECTOR_LENGTH(BgL_opt1380z00_3249)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)26)), BGl_string2834z00zz__openpgpzd2logiczd2, BgL_arg2058z00_874);}  else 
{ /* Llib/pgp_logic.scm 651 */
 obj_t BgL_vz00_875;
BgL_vz00_875 = 
VECTOR_REF(BgL_opt1380z00_3249,
(long)CINT(BgL_iz00_845)); 
if(
(BgL_vz00_875==BgL_k1z00_844))
{ /* Llib/pgp_logic.scm 651 */
return 
ADDFX(BgL_iz00_845, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_4772;
BgL_iz00_4772 = 
ADDFX(BgL_iz00_845, 
BINT(((long)2))); 
BgL_iz00_845 = BgL_iz00_4772; 
goto BGl_search1383ze70ze7zz__openpgpzd2logiczd2;} } } } 

}



/* create-sig-packet-v4 */
BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_createzd2sigzd2packetzd2v4zd2zz__openpgpzd2logiczd2(obj_t BgL_msgz00_51, BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_keyz00_52, obj_t BgL_signedzd2subzd2packetsz00_53, obj_t BgL_unsignedzd2subzd2packetsz00_54, obj_t BgL_hashzd2algozd2_55, obj_t BgL_signaturezd2typezd2_56)
{
{ /* Llib/pgp_logic.scm 651 */
{ /* Llib/pgp_logic.scm 659 */
 obj_t BgL_kzd2idzd2_879;
BgL_kzd2idzd2_879 = 
BGl_keyzd2idzd2zz__openpgpzd2logiczd2(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_keyz00_52)); 
{ /* Llib/pgp_logic.scm 659 */
 obj_t BgL_datez00_880;
BgL_datez00_880 = 
bgl_nanoseconds_to_date(
bgl_current_nanoseconds()); 
{ /* Llib/pgp_logic.scm 660 */
 obj_t BgL_algoz00_881;
BgL_algoz00_881 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_keyz00_52)))->BgL_algoz00); 
{ /* Llib/pgp_logic.scm 662 */
 obj_t BgL_prefixz00_883;
BgL_prefixz00_883 = 
BGl_createzd2signedzd2packetzd2prefixzd2v4z00zz__openpgpzd2encodezd2(BgL_signaturezd2typezd2_56, BgL_algoz00_881, BgL_hashzd2algozd2_55, BgL_datez00_880, BgL_signedzd2subzd2packetsz00_53); 
{ /* Llib/pgp_logic.scm 663 */
 obj_t BgL_trailerz00_884;
{ /* Llib/pgp_logic.scm 669 */

BgL_trailerz00_884 = 
make_string(((long)6), ((unsigned char)' ')); } 
{ /* Llib/pgp_logic.scm 669 */

{ /* Llib/pgp_logic.scm 671 */
 unsigned char BgL_tmpz00_4783;
BgL_tmpz00_4783 = 
(((long)4)); 
STRING_SET(BgL_trailerz00_884, ((long)0), BgL_tmpz00_4783); } 
{ /* Llib/pgp_logic.scm 672 */
 unsigned char BgL_tmpz00_4786;
BgL_tmpz00_4786 = 
(((long)255)); 
STRING_SET(BgL_trailerz00_884, ((long)1), BgL_tmpz00_4786); } 
{ /* Llib/pgp_logic.scm 673 */
 obj_t BgL_arg2064z00_887;
{ /* Llib/pgp_logic.scm 673 */
 long BgL_arg2065z00_888;
BgL_arg2065z00_888 = 
STRING_LENGTH(
((obj_t)BgL_prefixz00_883)); 
BgL_arg2064z00_887 = 
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg2065z00_888, ((long)4)); } 
blit_string(BgL_arg2064z00_887, ((long)0), BgL_trailerz00_884, ((long)2), ((long)4)); } 
{ /* Llib/pgp_logic.scm 676 */
 obj_t BgL_signedzd2mzd2_889;
BgL_signedzd2mzd2_889 = 
string_append_3(BgL_msgz00_51, BgL_prefixz00_883, BgL_trailerz00_884); 
{ /* Llib/pgp_logic.scm 676 */
 obj_t BgL_hashzd2funzd2_890;
BgL_hashzd2funzd2_890 = 
BGl_hashzd2algozd2ze3procedureze3zz__openpgpzd2algozd2(BgL_hashzd2algozd2_55); 
{ /* Llib/pgp_logic.scm 677 */
 obj_t BgL_hashz00_891;
BgL_hashz00_891 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_890)(BgL_hashzd2funzd2_890, BgL_signedzd2mzd2_889, BEOA); 
{ /* Llib/pgp_logic.scm 678 */
 obj_t BgL_leftzd2hashzd2_892;
BgL_leftzd2hashzd2_892 = 
c_substring(
((obj_t)BgL_hashz00_891), ((long)0), ((long)2)); 
{ /* Llib/pgp_logic.scm 679 */
 obj_t BgL_sigz00_893;
BgL_sigz00_893 = 
BGl_signzd2msgzd2zz__openpgpzd2logiczd2(BgL_signedzd2mzd2_889, BgL_hashz00_891, BgL_hashzd2algozd2_55, BgL_keyz00_52); 
{ /* Llib/pgp_logic.scm 680 */

{ /* Llib/pgp_logic.scm 681 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_new1217z00_894;
{ /* Llib/pgp_logic.scm 682 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_new1216z00_895;
BgL_new1216z00_895 = 
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl) ))); 
{ /* Llib/pgp_logic.scm 682 */
 long BgL_arg2066z00_896;
BgL_arg2066z00_896 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_895), BgL_arg2066z00_896); } 
{ /* Llib/pgp_logic.scm 682 */
 BgL_objectz00_bglt BgL_tmpz00_4806;
BgL_tmpz00_4806 = 
((BgL_objectz00_bglt)BgL_new1216z00_895); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4806, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1216z00_895); 
BgL_new1217z00_894 = BgL_new1216z00_895; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1217z00_894)))->BgL_versionz00)=((long)((long)4)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1217z00_894)))->BgL_signaturezd2typezd2)=((obj_t)BgL_signaturezd2typezd2_56),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1217z00_894)))->BgL_issuerz00)=((obj_t)BgL_kzd2idzd2_879),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1217z00_894)))->BgL_publiczd2keyzd2algoz00)=((obj_t)BgL_algoz00_881),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1217z00_894)))->BgL_hashzd2algozd2)=((obj_t)BgL_hashzd2algozd2_55),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1217z00_894)))->BgL_creationzd2datezd2)=((obj_t)BgL_datez00_880),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1217z00_894)))->BgL_signaturez00)=((obj_t)BgL_sigz00_893),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1217z00_894)))->BgL_signedzd2packetzd2prefixz00)=((obj_t)BgL_prefixz00_883),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1217z00_894)))->BgL_hashzd2trailerzd2)=((obj_t)BgL_trailerz00_884),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1217z00_894)))->BgL_leftzd2hashzd2)=((obj_t)BgL_leftzd2hashzd2_892),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(BgL_new1217z00_894))->BgL_securezd2subzd2packetsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(BgL_new1217z00_894))->BgL_insecurezd2subzd2packetsz00)=((obj_t)BNIL),BUNSPEC); 
return BgL_new1217z00_894;} } } } } } } } } } } } } } 

}



/* decoded-key-packet */
obj_t BGl_decodedzd2keyzd2packetz00zz__openpgpzd2logiczd2(BgL_pgpzd2subkeyzd2_bglt BgL_keyz00_59, obj_t BgL_passwordzd2providerzd2_60)
{
{ /* Llib/pgp_logic.scm 695 */
{ /* Llib/pgp_logic.scm 699 */
 bool_t BgL_test3137z00_4832;
{ /* Llib/pgp_logic.scm 699 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2083z00_922;
BgL_arg2083z00_922 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_keyz00_59))->BgL_keyzd2packetzd2); 
{ /* Llib/pgp_logic.scm 699 */
 obj_t BgL_classz00_2412;
BgL_classz00_2412 = BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_logic.scm 699 */
 BgL_objectz00_bglt BgL_arg1797z00_2414;
{ /* Llib/pgp_logic.scm 699 */
 obj_t BgL_tmpz00_4834;
BgL_tmpz00_4834 = 
((obj_t)
((BgL_objectz00_bglt)BgL_arg2083z00_922)); 
BgL_arg1797z00_2414 = 
(BgL_objectz00_bglt)(BgL_tmpz00_4834); } 
{ /* Llib/pgp_logic.scm 699 */
 bool_t BgL_arg1794z00_2417; bool_t BgL_arg1795z00_2418;
{ /* Llib/pgp_logic.scm 699 */
 long BgL_idxz00_2421;
BgL_idxz00_2421 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2414); 
BgL_arg1794z00_2417 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2421+((long)4)))==BgL_classz00_2412); } 
{ /* Llib/pgp_logic.scm 699 */
 bool_t BgL_res2636z00_2443;
{ /* Llib/pgp_logic.scm 699 */
 obj_t BgL_oclassz00_2429;
{ /* Llib/pgp_logic.scm 699 */
 long BgL_arg1804z00_2435;
{ /* Llib/pgp_logic.scm 699 */
 long BgL_arg1805z00_2436;
BgL_arg1805z00_2436 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2414); 
BgL_arg1804z00_2435 = 
(BgL_arg1805z00_2436-OBJECT_TYPE); } 
BgL_oclassz00_2429 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2435); } 
{ /* Llib/pgp_logic.scm 699 */
 bool_t BgL__ortest_1111z00_2430;
BgL__ortest_1111z00_2430 = 
(BgL_classz00_2412==BgL_oclassz00_2429); 
if(BgL__ortest_1111z00_2430)
{ /* Llib/pgp_logic.scm 699 */
BgL_res2636z00_2443 = BgL__ortest_1111z00_2430; }  else 
{ /* Llib/pgp_logic.scm 699 */
 long BgL_odepthz00_2431;
BgL_odepthz00_2431 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2429); 
if(
(((long)4)<BgL_odepthz00_2431))
{ /* Llib/pgp_logic.scm 699 */
 obj_t BgL_arg1793z00_2433;
BgL_arg1793z00_2433 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2429, ((long)4)); 
BgL_res2636z00_2443 = 
(BgL_arg1793z00_2433==BgL_classz00_2412); }  else 
{ /* Llib/pgp_logic.scm 699 */
BgL_res2636z00_2443 = ((bool_t)0); } } } } 
BgL_arg1795z00_2418 = BgL_res2636z00_2443; } 
BgL_test3137z00_4832 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2417, BgL_arg1795z00_2418); } } } } 
if(BgL_test3137z00_4832)
{ /* Llib/pgp_logic.scm 699 */
return 
((obj_t)
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_keyz00_59))->BgL_keyzd2packetzd2));}  else 
{ /* Llib/pgp_logic.scm 699 */
if(
CBOOL(BgL_passwordzd2providerzd2_60))
{ /* Llib/pgp_logic.scm 706 */
 bool_t BgL_test3141z00_4857;
if(
PROCEDUREP(BgL_passwordzd2providerzd2_60))
{ /* Llib/pgp_logic.scm 706 */
BgL_test3141z00_4857 = 
PROCEDURE_CORRECT_ARITYP(BgL_passwordzd2providerzd2_60, 
(int)(((long)1)))
; }  else 
{ /* Llib/pgp_logic.scm 706 */
BgL_test3141z00_4857 = ((bool_t)0)
; } 
if(BgL_test3141z00_4857)
{ /* Llib/pgp_logic.scm 712 */
 bool_t BgL_test3143z00_4862;
{ /* Llib/pgp_logic.scm 712 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2082z00_920;
BgL_arg2082z00_920 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_keyz00_59))->BgL_keyzd2packetzd2); 
{ /* Llib/pgp_logic.scm 712 */
 obj_t BgL_classz00_2444;
BgL_classz00_2444 = BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_logic.scm 712 */
 BgL_objectz00_bglt BgL_arg1797z00_2446;
{ /* Llib/pgp_logic.scm 712 */
 obj_t BgL_tmpz00_4864;
BgL_tmpz00_4864 = 
((obj_t)
((BgL_objectz00_bglt)BgL_arg2082z00_920)); 
BgL_arg1797z00_2446 = 
(BgL_objectz00_bglt)(BgL_tmpz00_4864); } 
{ /* Llib/pgp_logic.scm 712 */
 bool_t BgL_arg1794z00_2449; bool_t BgL_arg1795z00_2450;
{ /* Llib/pgp_logic.scm 712 */
 long BgL_idxz00_2453;
BgL_idxz00_2453 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2446); 
BgL_arg1794z00_2449 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2453+((long)2)))==BgL_classz00_2444); } 
{ /* Llib/pgp_logic.scm 712 */
 bool_t BgL_res2637z00_2475;
{ /* Llib/pgp_logic.scm 712 */
 obj_t BgL_oclassz00_2461;
{ /* Llib/pgp_logic.scm 712 */
 long BgL_arg1804z00_2467;
{ /* Llib/pgp_logic.scm 712 */
 long BgL_arg1805z00_2468;
BgL_arg1805z00_2468 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2446); 
BgL_arg1804z00_2467 = 
(BgL_arg1805z00_2468-OBJECT_TYPE); } 
BgL_oclassz00_2461 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2467); } 
{ /* Llib/pgp_logic.scm 712 */
 bool_t BgL__ortest_1111z00_2462;
BgL__ortest_1111z00_2462 = 
(BgL_classz00_2444==BgL_oclassz00_2461); 
if(BgL__ortest_1111z00_2462)
{ /* Llib/pgp_logic.scm 712 */
BgL_res2637z00_2475 = BgL__ortest_1111z00_2462; }  else 
{ /* Llib/pgp_logic.scm 712 */
 long BgL_odepthz00_2463;
BgL_odepthz00_2463 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2461); 
if(
(((long)2)<BgL_odepthz00_2463))
{ /* Llib/pgp_logic.scm 712 */
 obj_t BgL_arg1793z00_2465;
BgL_arg1793z00_2465 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2461, ((long)2)); 
BgL_res2637z00_2475 = 
(BgL_arg1793z00_2465==BgL_classz00_2444); }  else 
{ /* Llib/pgp_logic.scm 712 */
BgL_res2637z00_2475 = ((bool_t)0); } } } } 
BgL_arg1795z00_2450 = BgL_res2637z00_2475; } 
BgL_test3143z00_4862 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2449, BgL_arg1795z00_2450); } } } } 
if(BgL_test3143z00_4862)
{ /* Llib/pgp_logic.scm 712 */
{ 
 long BgL_countz00_908;
BgL_countz00_908 = ((long)3); 
BgL_zc3z04anonymousza32073ze3z87_909:
if(
(BgL_countz00_908==((long)0)))
{ /* Llib/pgp_logic.scm 714 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2835z00zz__openpgpzd2logiczd2, BGl_string2836z00zz__openpgpzd2logiczd2, BFALSE); }  else 
{ /* Llib/pgp_logic.scm 714 */BFALSE; } 
{ /* Llib/pgp_logic.scm 719 */
 obj_t BgL_passz00_911;
BgL_passz00_911 = 
PROCEDURE_ENTRY(BgL_passwordzd2providerzd2_60)(BgL_passwordzd2providerzd2_60, 
((obj_t)BgL_keyz00_59), BEOA); 
if(
CBOOL(BgL_passz00_911))
{ /* Llib/pgp_logic.scm 721 */
if(
STRINGP(BgL_passz00_911))
{ /* Llib/pgp_logic.scm 724 */
{ /* Llib/pgp_logic.scm 730 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2076z00_913;
BgL_arg2076z00_913 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_keyz00_59))->BgL_keyzd2packetzd2); 
BGl_decryptzd2secretzd2keyz12z12zz__openpgpzd2logiczd2(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_arg2076z00_913), BgL_passz00_911); } 
{ /* Llib/pgp_logic.scm 731 */
 bool_t BgL_test3149z00_4898;
{ /* Llib/pgp_logic.scm 731 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2080z00_917;
BgL_arg2080z00_917 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_keyz00_59))->BgL_keyzd2packetzd2); 
{ /* Llib/pgp_logic.scm 731 */
 obj_t BgL_classz00_2477;
BgL_classz00_2477 = BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_logic.scm 731 */
 BgL_objectz00_bglt BgL_arg1797z00_2479;
{ /* Llib/pgp_logic.scm 731 */
 obj_t BgL_tmpz00_4900;
BgL_tmpz00_4900 = 
((obj_t)
((BgL_objectz00_bglt)BgL_arg2080z00_917)); 
BgL_arg1797z00_2479 = 
(BgL_objectz00_bglt)(BgL_tmpz00_4900); } 
{ /* Llib/pgp_logic.scm 731 */
 bool_t BgL_arg1794z00_2482; bool_t BgL_arg1795z00_2483;
{ /* Llib/pgp_logic.scm 731 */
 long BgL_idxz00_2486;
BgL_idxz00_2486 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2479); 
BgL_arg1794z00_2482 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2486+((long)4)))==BgL_classz00_2477); } 
{ /* Llib/pgp_logic.scm 731 */
 bool_t BgL_res2638z00_2508;
{ /* Llib/pgp_logic.scm 731 */
 obj_t BgL_oclassz00_2494;
{ /* Llib/pgp_logic.scm 731 */
 long BgL_arg1804z00_2500;
{ /* Llib/pgp_logic.scm 731 */
 long BgL_arg1805z00_2501;
BgL_arg1805z00_2501 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2479); 
BgL_arg1804z00_2500 = 
(BgL_arg1805z00_2501-OBJECT_TYPE); } 
BgL_oclassz00_2494 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2500); } 
{ /* Llib/pgp_logic.scm 731 */
 bool_t BgL__ortest_1111z00_2495;
BgL__ortest_1111z00_2495 = 
(BgL_classz00_2477==BgL_oclassz00_2494); 
if(BgL__ortest_1111z00_2495)
{ /* Llib/pgp_logic.scm 731 */
BgL_res2638z00_2508 = BgL__ortest_1111z00_2495; }  else 
{ /* Llib/pgp_logic.scm 731 */
 long BgL_odepthz00_2496;
BgL_odepthz00_2496 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2494); 
if(
(((long)4)<BgL_odepthz00_2496))
{ /* Llib/pgp_logic.scm 731 */
 obj_t BgL_arg1793z00_2498;
BgL_arg1793z00_2498 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2494, ((long)4)); 
BgL_res2638z00_2508 = 
(BgL_arg1793z00_2498==BgL_classz00_2477); }  else 
{ /* Llib/pgp_logic.scm 731 */
BgL_res2638z00_2508 = ((bool_t)0); } } } } 
BgL_arg1795z00_2483 = BgL_res2638z00_2508; } 
BgL_test3149z00_4898 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2482, BgL_arg1795z00_2483); } } } } 
if(BgL_test3149z00_4898)
{ /* Llib/pgp_logic.scm 731 */BFALSE; }  else 
{ 
 long BgL_countz00_4919;
BgL_countz00_4919 = 
(BgL_countz00_908-((long)1)); 
BgL_countz00_908 = BgL_countz00_4919; 
goto BgL_zc3z04anonymousza32073ze3z87_909;} } }  else 
{ /* Llib/pgp_logic.scm 724 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2835z00zz__openpgpzd2logiczd2, BGl_string2837z00zz__openpgpzd2logiczd2, BgL_passz00_911); } }  else 
{ 
 long BgL_countz00_4922;
BgL_countz00_4922 = 
(BgL_countz00_908-((long)1)); 
BgL_countz00_908 = BgL_countz00_4922; 
goto BgL_zc3z04anonymousza32073ze3z87_909;} } } 
return 
((obj_t)
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_keyz00_59))->BgL_keyzd2packetzd2));}  else 
{ /* Llib/pgp_logic.scm 712 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2835z00zz__openpgpzd2logiczd2, BGl_string2838z00zz__openpgpzd2logiczd2, 
((obj_t)BgL_keyz00_59));} }  else 
{ /* Llib/pgp_logic.scm 706 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2835z00zz__openpgpzd2logiczd2, BGl_string2839z00zz__openpgpzd2logiczd2, BgL_passwordzd2providerzd2_60);} }  else 
{ /* Llib/pgp_logic.scm 701 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2835z00zz__openpgpzd2logiczd2, BGl_string2840z00zz__openpgpzd2logiczd2, BFALSE);} } } } 

}



/* _create-one-pass-signature */
obj_t BGl__createzd2onezd2passzd2signaturezd2zz__openpgpzd2logiczd2(obj_t BgL_env1389z00_68, obj_t BgL_opt1388z00_67)
{
{ /* Llib/pgp_logic.scm 740 */
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_msgz00_927; obj_t BgL_keyz00_928;
BgL_msgz00_927 = 
VECTOR_REF(BgL_opt1388z00_67,((long)0)); 
BgL_keyz00_928 = 
VECTOR_REF(BgL_opt1388z00_67,((long)1)); 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_creationzd2datezd2_929;
BgL_creationzd2datezd2_929 = BFALSE; 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_filezd2namezd2_930;
BgL_filezd2namezd2_930 = BFALSE; 
{ /* Llib/pgp_logic.scm 742 */
 obj_t BgL_hashzd2algozd2_931;
BgL_hashzd2algozd2_931 = 
CNST_TABLE_REF(((long)15)); 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_passwordzd2providerzd2_932;
BgL_passwordzd2providerzd2_932 = BFALSE; 
{ /* Llib/pgp_logic.scm 740 */

{ 
 long BgL_iz00_933;
BgL_iz00_933 = ((long)2); 
BgL_check1392z00_934:
if(
(BgL_iz00_933==
VECTOR_LENGTH(BgL_opt1388z00_67)))
{ /* Llib/pgp_logic.scm 740 */BNIL; }  else 
{ /* Llib/pgp_logic.scm 740 */
 bool_t BgL_test3153z00_4936;
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_arg2089z00_940;
BgL_arg2089z00_940 = 
VECTOR_REF(BgL_opt1388z00_67,BgL_iz00_933); 
BgL_test3153z00_4936 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2089z00_940, 
CNST_TABLE_REF(((long)29)))); } 
if(BgL_test3153z00_4936)
{ 
 long BgL_iz00_4941;
BgL_iz00_4941 = 
(BgL_iz00_933+((long)2)); 
BgL_iz00_933 = BgL_iz00_4941; 
goto BgL_check1392z00_934;}  else 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_arg2088z00_939;
BgL_arg2088z00_939 = 
VECTOR_REF(BgL_opt1388z00_67,BgL_iz00_933); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)30)), BGl_string2826z00zz__openpgpzd2logiczd2, BgL_arg2088z00_939); } } } 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_index1394z00_941;
BgL_index1394z00_941 = 
BGl_search1391ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1388z00_67), BgL_opt1388z00_67, 
CNST_TABLE_REF(((long)31)), ((long)2)); 
{ /* Llib/pgp_logic.scm 740 */
 bool_t BgL_test3154z00_4949;
{ /* Llib/pgp_logic.scm 740 */
 long BgL_n1z00_2526;
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_tmpz00_4950;
if(
INTEGERP(BgL_index1394z00_941))
{ /* Llib/pgp_logic.scm 740 */
BgL_tmpz00_4950 = BgL_index1394z00_941
; }  else 
{ 
 obj_t BgL_auxz00_4953;
BgL_auxz00_4953 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)27911)), BGl_string2841z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1394z00_941); 
FAILURE(BgL_auxz00_4953,BFALSE,BFALSE);} 
BgL_n1z00_2526 = 
(long)CINT(BgL_tmpz00_4950); } 
BgL_test3154z00_4949 = 
(BgL_n1z00_2526>=((long)0)); } 
if(BgL_test3154z00_4949)
{ 
 long BgL_auxz00_4959;
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_tmpz00_4960;
if(
INTEGERP(BgL_index1394z00_941))
{ /* Llib/pgp_logic.scm 740 */
BgL_tmpz00_4960 = BgL_index1394z00_941
; }  else 
{ 
 obj_t BgL_auxz00_4963;
BgL_auxz00_4963 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)27911)), BGl_string2841z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1394z00_941); 
FAILURE(BgL_auxz00_4963,BFALSE,BFALSE);} 
BgL_auxz00_4959 = 
(long)CINT(BgL_tmpz00_4960); } 
BgL_creationzd2datezd2_929 = 
VECTOR_REF(BgL_opt1388z00_67,BgL_auxz00_4959); }  else 
{ /* Llib/pgp_logic.scm 740 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_index1395z00_943;
BgL_index1395z00_943 = 
BGl_search1391ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1388z00_67), BgL_opt1388z00_67, 
CNST_TABLE_REF(((long)32)), ((long)2)); 
{ /* Llib/pgp_logic.scm 740 */
 bool_t BgL_test3157z00_4972;
{ /* Llib/pgp_logic.scm 740 */
 long BgL_n1z00_2527;
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_tmpz00_4973;
if(
INTEGERP(BgL_index1395z00_943))
{ /* Llib/pgp_logic.scm 740 */
BgL_tmpz00_4973 = BgL_index1395z00_943
; }  else 
{ 
 obj_t BgL_auxz00_4976;
BgL_auxz00_4976 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)27911)), BGl_string2841z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1395z00_943); 
FAILURE(BgL_auxz00_4976,BFALSE,BFALSE);} 
BgL_n1z00_2527 = 
(long)CINT(BgL_tmpz00_4973); } 
BgL_test3157z00_4972 = 
(BgL_n1z00_2527>=((long)0)); } 
if(BgL_test3157z00_4972)
{ 
 long BgL_auxz00_4982;
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_tmpz00_4983;
if(
INTEGERP(BgL_index1395z00_943))
{ /* Llib/pgp_logic.scm 740 */
BgL_tmpz00_4983 = BgL_index1395z00_943
; }  else 
{ 
 obj_t BgL_auxz00_4986;
BgL_auxz00_4986 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)27911)), BGl_string2841z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1395z00_943); 
FAILURE(BgL_auxz00_4986,BFALSE,BFALSE);} 
BgL_auxz00_4982 = 
(long)CINT(BgL_tmpz00_4983); } 
BgL_filezd2namezd2_930 = 
VECTOR_REF(BgL_opt1388z00_67,BgL_auxz00_4982); }  else 
{ /* Llib/pgp_logic.scm 740 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_index1396z00_945;
BgL_index1396z00_945 = 
BGl_search1391ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1388z00_67), BgL_opt1388z00_67, 
CNST_TABLE_REF(((long)27)), ((long)2)); 
{ /* Llib/pgp_logic.scm 740 */
 bool_t BgL_test3160z00_4995;
{ /* Llib/pgp_logic.scm 740 */
 long BgL_n1z00_2528;
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_tmpz00_4996;
if(
INTEGERP(BgL_index1396z00_945))
{ /* Llib/pgp_logic.scm 740 */
BgL_tmpz00_4996 = BgL_index1396z00_945
; }  else 
{ 
 obj_t BgL_auxz00_4999;
BgL_auxz00_4999 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)27911)), BGl_string2841z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1396z00_945); 
FAILURE(BgL_auxz00_4999,BFALSE,BFALSE);} 
BgL_n1z00_2528 = 
(long)CINT(BgL_tmpz00_4996); } 
BgL_test3160z00_4995 = 
(BgL_n1z00_2528>=((long)0)); } 
if(BgL_test3160z00_4995)
{ 
 long BgL_auxz00_5005;
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_tmpz00_5006;
if(
INTEGERP(BgL_index1396z00_945))
{ /* Llib/pgp_logic.scm 740 */
BgL_tmpz00_5006 = BgL_index1396z00_945
; }  else 
{ 
 obj_t BgL_auxz00_5009;
BgL_auxz00_5009 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)27911)), BGl_string2841z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1396z00_945); 
FAILURE(BgL_auxz00_5009,BFALSE,BFALSE);} 
BgL_auxz00_5005 = 
(long)CINT(BgL_tmpz00_5006); } 
BgL_hashzd2algozd2_931 = 
VECTOR_REF(BgL_opt1388z00_67,BgL_auxz00_5005); }  else 
{ /* Llib/pgp_logic.scm 740 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_index1397z00_947;
BgL_index1397z00_947 = 
BGl_search1391ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1388z00_67), BgL_opt1388z00_67, 
CNST_TABLE_REF(((long)33)), ((long)2)); 
{ /* Llib/pgp_logic.scm 740 */
 bool_t BgL_test3163z00_5018;
{ /* Llib/pgp_logic.scm 740 */
 long BgL_n1z00_2529;
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_tmpz00_5019;
if(
INTEGERP(BgL_index1397z00_947))
{ /* Llib/pgp_logic.scm 740 */
BgL_tmpz00_5019 = BgL_index1397z00_947
; }  else 
{ 
 obj_t BgL_auxz00_5022;
BgL_auxz00_5022 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)27911)), BGl_string2841z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1397z00_947); 
FAILURE(BgL_auxz00_5022,BFALSE,BFALSE);} 
BgL_n1z00_2529 = 
(long)CINT(BgL_tmpz00_5019); } 
BgL_test3163z00_5018 = 
(BgL_n1z00_2529>=((long)0)); } 
if(BgL_test3163z00_5018)
{ 
 long BgL_auxz00_5028;
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_tmpz00_5029;
if(
INTEGERP(BgL_index1397z00_947))
{ /* Llib/pgp_logic.scm 740 */
BgL_tmpz00_5029 = BgL_index1397z00_947
; }  else 
{ 
 obj_t BgL_auxz00_5032;
BgL_auxz00_5032 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)27911)), BGl_string2841z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1397z00_947); 
FAILURE(BgL_auxz00_5032,BFALSE,BFALSE);} 
BgL_auxz00_5028 = 
(long)CINT(BgL_tmpz00_5029); } 
BgL_passwordzd2providerzd2_932 = 
VECTOR_REF(BgL_opt1388z00_67,BgL_auxz00_5028); }  else 
{ /* Llib/pgp_logic.scm 740 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_arg2094z00_949; obj_t BgL_arg2095z00_950;
BgL_arg2094z00_949 = 
VECTOR_REF(BgL_opt1388z00_67,((long)0)); 
BgL_arg2095z00_950 = 
VECTOR_REF(BgL_opt1388z00_67,((long)1)); 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_creationzd2datezd2_951;
BgL_creationzd2datezd2_951 = BgL_creationzd2datezd2_929; 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_filezd2namezd2_952;
BgL_filezd2namezd2_952 = BgL_filezd2namezd2_930; 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_hashzd2algozd2_953;
BgL_hashzd2algozd2_953 = BgL_hashzd2algozd2_931; 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_passwordzd2providerzd2_954;
BgL_passwordzd2providerzd2_954 = BgL_passwordzd2providerzd2_932; 
{ 
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_auxz00_5040;
{ /* Llib/pgp_logic.scm 740 */
 BgL_pgpzd2subkeyzd2_bglt BgL_auxz00_5048; obj_t BgL_auxz00_5041;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg2095z00_950, BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_logic.scm 740 */
BgL_auxz00_5048 = 
((BgL_pgpzd2subkeyzd2_bglt)BgL_arg2095z00_950)
; }  else 
{ 
 obj_t BgL_auxz00_5052;
BgL_auxz00_5052 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)27911)), BGl_string2841z00zz__openpgpzd2logiczd2, BGl_string2843z00zz__openpgpzd2logiczd2, BgL_arg2095z00_950); 
FAILURE(BgL_auxz00_5052,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2094z00_949))
{ /* Llib/pgp_logic.scm 740 */
BgL_auxz00_5041 = BgL_arg2094z00_949
; }  else 
{ 
 obj_t BgL_auxz00_5044;
BgL_auxz00_5044 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)27911)), BGl_string2841z00zz__openpgpzd2logiczd2, BGl_string2819z00zz__openpgpzd2logiczd2, BgL_arg2094z00_949); 
FAILURE(BgL_auxz00_5044,BFALSE,BFALSE);} 
BgL_auxz00_5040 = 
BGl_createzd2onezd2passzd2signaturezd2zz__openpgpzd2logiczd2(BgL_auxz00_5041, BgL_auxz00_5048, BgL_creationzd2datezd2_951, BgL_filezd2namezd2_952, BgL_hashzd2algozd2_953, BgL_passwordzd2providerzd2_954); } 
return 
((obj_t)BgL_auxz00_5040);} } } } } } } } } } } } } 

}



/* search1391~0 */
obj_t BGl_search1391ze70ze7zz__openpgpzd2logiczd2(long BgL_l1390z00_3248, obj_t BgL_opt1388z00_3247, obj_t BgL_k1z00_924, long BgL_iz00_925)
{
{ /* Llib/pgp_logic.scm 740 */
BGl_search1391ze70ze7zz__openpgpzd2logiczd2:
if(
(BgL_iz00_925==BgL_l1390z00_3248))
{ /* Llib/pgp_logic.scm 740 */
return 
BINT(((long)-1));}  else 
{ /* Llib/pgp_logic.scm 740 */
if(
(BgL_iz00_925==
(BgL_l1390z00_3248-((long)1))))
{ /* Llib/pgp_logic.scm 740 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)30)), BGl_string2844z00zz__openpgpzd2logiczd2, 
BINT(
VECTOR_LENGTH(BgL_opt1388z00_3247)));}  else 
{ /* Llib/pgp_logic.scm 740 */
 obj_t BgL_vz00_959;
BgL_vz00_959 = 
VECTOR_REF(BgL_opt1388z00_3247,BgL_iz00_925); 
if(
(BgL_vz00_959==BgL_k1z00_924))
{ /* Llib/pgp_logic.scm 740 */
return 
BINT(
(BgL_iz00_925+((long)1)));}  else 
{ 
 long BgL_iz00_5073;
BgL_iz00_5073 = 
(BgL_iz00_925+((long)2)); 
BgL_iz00_925 = BgL_iz00_5073; 
goto BGl_search1391ze70ze7zz__openpgpzd2logiczd2;} } } } 

}



/* create-one-pass-signature */
BGL_EXPORTED_DEF BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_createzd2onezd2passzd2signaturezd2zz__openpgpzd2logiczd2(obj_t BgL_msgz00_61, BgL_pgpzd2subkeyzd2_bglt BgL_keyz00_62, obj_t BgL_creationzd2datezd2_63, obj_t BgL_filezd2namezd2_64, obj_t BgL_hashzd2algozd2_65, obj_t BgL_passwordzd2providerzd2_66)
{
{ /* Llib/pgp_logic.scm 740 */
{ /* Llib/pgp_logic.scm 744 */
 obj_t BgL_secretzd2keyzd2packetz00_963;
BgL_secretzd2keyzd2packetz00_963 = 
BGl_decodedzd2keyzd2packetz00zz__openpgpzd2logiczd2(BgL_keyz00_62, BgL_passwordzd2providerzd2_66); 
{ /* Llib/pgp_logic.scm 744 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_sigzd2pktzd2_964;
{ /* Llib/pgp_logic.scm 745 */
 obj_t BgL_signaturezd2typezd2_982;
BgL_signaturezd2typezd2_982 = 
CNST_TABLE_REF(((long)0)); 
BgL_sigzd2pktzd2_964 = 
BGl_createzd2sigzd2packetzd2v4zd2zz__openpgpzd2logiczd2(BgL_msgz00_61, 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_secretzd2keyzd2packetz00_963), BNIL, BNIL, BgL_hashzd2algozd2_65, BgL_signaturezd2typezd2_982); } 
{ /* Llib/pgp_logic.scm 745 */

{ /* Llib/pgp_logic.scm 749 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_onezd2passzd2pktz00_966; BgL_pgpzd2literalzd2packetz00_bglt BgL_literalz00_967;
{ /* Llib/pgp_logic.scm 749 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_new1222z00_973;
{ /* Llib/pgp_logic.scm 751 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_new1221z00_974;
BgL_new1221z00_974 = 
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl) ))); 
{ /* Llib/pgp_logic.scm 751 */
 long BgL_arg2106z00_975;
BgL_arg2106z00_975 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_974), BgL_arg2106z00_975); } 
{ /* Llib/pgp_logic.scm 751 */
 BgL_objectz00_bglt BgL_tmpz00_5083;
BgL_tmpz00_5083 = 
((BgL_objectz00_bglt)BgL_new1221z00_974); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5083, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1221z00_974); 
BgL_new1222z00_973 = BgL_new1221z00_974; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1222z00_973)))->BgL_versionz00)=((long)((long)3)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1222z00_973)))->BgL_signaturezd2typezd2)=((obj_t)
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigzd2pktzd2_964))))->BgL_signaturezd2typezd2)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1222z00_973)))->BgL_issuerz00)=((obj_t)
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigzd2pktzd2_964))))->BgL_issuerz00)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1222z00_973)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigzd2pktzd2_964))))->BgL_publiczd2keyzd2algoz00)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1222z00_973)))->BgL_hashzd2algozd2)=((obj_t)
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_sigzd2pktzd2_964))))->BgL_hashzd2algozd2)),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1222z00_973))->BgL_containszd2nestedzd2sigzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_onezd2passzd2pktz00_966 = BgL_new1222z00_973; } 
{ /* Llib/pgp_logic.scm 757 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1224z00_976;
{ /* Llib/pgp_logic.scm 758 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1223z00_979;
BgL_new1223z00_979 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2packetz00_bgl) ))); 
{ /* Llib/pgp_logic.scm 758 */
 long BgL_arg2107z00_980;
BgL_arg2107z00_980 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_979), BgL_arg2107z00_980); } 
{ /* Llib/pgp_logic.scm 758 */
 BgL_objectz00_bglt BgL_tmpz00_5114;
BgL_tmpz00_5114 = 
((BgL_objectz00_bglt)BgL_new1223z00_979); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5114, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1223z00_979); 
BgL_new1224z00_976 = BgL_new1223z00_979; } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1224z00_976))->BgL_formatz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1224z00_976))->BgL_forzd2yourzd2eyeszd2onlyzf3z21)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5121;
if(
CBOOL(BgL_filezd2namezd2_64))
{ /* Llib/pgp_logic.scm 760 */
BgL_auxz00_5121 = BgL_filezd2namezd2_64
; }  else 
{ /* Llib/pgp_logic.scm 760 */
BgL_auxz00_5121 = BGl_string2804z00zz__openpgpzd2logiczd2
; } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1224z00_976))->BgL_filezd2namezd2)=((obj_t)BgL_auxz00_5121),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5125;
if(
CBOOL(BgL_creationzd2datezd2_63))
{ /* Llib/pgp_logic.scm 761 */
BgL_auxz00_5125 = BgL_creationzd2datezd2_63
; }  else 
{ /* Llib/pgp_logic.scm 761 */
 BGL_LONGLONG_T BgL_arg1698z00_2538;
BgL_arg1698z00_2538 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5125 = 
bgl_nanoseconds_to_date(BgL_arg1698z00_2538); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1224z00_976))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5125),BUNSPEC); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1224z00_976))->BgL_dataz00)=((obj_t)BgL_msgz00_61),BUNSPEC); 
BgL_literalz00_967 = BgL_new1224z00_976; } 
{ /* Llib/pgp_logic.scm 763 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1228z00_968;
{ /* Llib/pgp_logic.scm 764 */
 BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1227z00_971;
BgL_new1227z00_971 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_logic.scm 764 */
 long BgL_arg2105z00_972;
BgL_arg2105z00_972 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_971), BgL_arg2105z00_972); } 
{ /* Llib/pgp_logic.scm 764 */
 BgL_objectz00_bglt BgL_tmpz00_5136;
BgL_tmpz00_5136 = 
((BgL_objectz00_bglt)BgL_new1227z00_971); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5136, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1227z00_971); 
BgL_new1228z00_968 = BgL_new1227z00_971; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1228z00_968)))->BgL_msgz00)=((obj_t)
((obj_t)BgL_literalz00_967)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5143;
{ /* Llib/pgp_logic.scm 765 */
 obj_t BgL_list2103z00_969;
BgL_list2103z00_969 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sigzd2pktzd2_964), BNIL); 
BgL_auxz00_5143 = BgL_list2103z00_969; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1228z00_968)))->BgL_sigsz00)=((obj_t)BgL_auxz00_5143),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5148;
{ /* Llib/pgp_logic.scm 766 */
 obj_t BgL_list2104z00_970;
BgL_list2104z00_970 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_onezd2passzd2pktz00_966), BNIL); 
BgL_auxz00_5148 = BgL_list2104z00_970; } 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(BgL_new1228z00_968))->BgL_onezd2passzd2sigsz00)=((obj_t)BgL_auxz00_5148),BUNSPEC); } 
return BgL_new1228z00_968;} } } } } } 

}



/* _create-pgp-signature */
obj_t BGl__createzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(obj_t BgL_env1399z00_77, obj_t BgL_opt1398z00_76)
{
{ /* Llib/pgp_logic.scm 768 */
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_msgz00_987; obj_t BgL_keyz00_988;
BgL_msgz00_987 = 
VECTOR_REF(BgL_opt1398z00_76,((long)0)); 
BgL_keyz00_988 = 
VECTOR_REF(BgL_opt1398z00_76,((long)1)); 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_creationzd2datezd2_989;
BgL_creationzd2datezd2_989 = BFALSE; 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_detachedzd2signaturezf3z21_990;
BgL_detachedzd2signaturezf3z21_990 = BFALSE; 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_filezd2namezd2_991;
BgL_filezd2namezd2_991 = BFALSE; 
{ /* Llib/pgp_logic.scm 771 */
 obj_t BgL_hashzd2algozd2_992;
BgL_hashzd2algozd2_992 = 
CNST_TABLE_REF(((long)15)); 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_passwordzd2providerzd2_993;
BgL_passwordzd2providerzd2_993 = BFALSE; 
{ /* Llib/pgp_logic.scm 768 */

{ 
 long BgL_iz00_994;
BgL_iz00_994 = ((long)2); 
BgL_check1402z00_995:
if(
(BgL_iz00_994==
VECTOR_LENGTH(BgL_opt1398z00_76)))
{ /* Llib/pgp_logic.scm 768 */BNIL; }  else 
{ /* Llib/pgp_logic.scm 768 */
 bool_t BgL_test3174z00_5158;
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_arg2113z00_1001;
BgL_arg2113z00_1001 = 
VECTOR_REF(BgL_opt1398z00_76,BgL_iz00_994); 
BgL_test3174z00_5158 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2113z00_1001, 
CNST_TABLE_REF(((long)34)))); } 
if(BgL_test3174z00_5158)
{ 
 long BgL_iz00_5163;
BgL_iz00_5163 = 
(BgL_iz00_994+((long)2)); 
BgL_iz00_994 = BgL_iz00_5163; 
goto BgL_check1402z00_995;}  else 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_arg2112z00_1000;
BgL_arg2112z00_1000 = 
VECTOR_REF(BgL_opt1398z00_76,BgL_iz00_994); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)35)), BGl_string2826z00zz__openpgpzd2logiczd2, BgL_arg2112z00_1000); } } } 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_index1404z00_1002;
BgL_index1404z00_1002 = 
BGl_search1401ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1398z00_76), BgL_opt1398z00_76, 
CNST_TABLE_REF(((long)31)), ((long)2)); 
{ /* Llib/pgp_logic.scm 768 */
 bool_t BgL_test3175z00_5171;
{ /* Llib/pgp_logic.scm 768 */
 long BgL_n1z00_2560;
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_tmpz00_5172;
if(
INTEGERP(BgL_index1404z00_1002))
{ /* Llib/pgp_logic.scm 768 */
BgL_tmpz00_5172 = BgL_index1404z00_1002
; }  else 
{ 
 obj_t BgL_auxz00_5175;
BgL_auxz00_5175 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1404z00_1002); 
FAILURE(BgL_auxz00_5175,BFALSE,BFALSE);} 
BgL_n1z00_2560 = 
(long)CINT(BgL_tmpz00_5172); } 
BgL_test3175z00_5171 = 
(BgL_n1z00_2560>=((long)0)); } 
if(BgL_test3175z00_5171)
{ 
 long BgL_auxz00_5181;
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_tmpz00_5182;
if(
INTEGERP(BgL_index1404z00_1002))
{ /* Llib/pgp_logic.scm 768 */
BgL_tmpz00_5182 = BgL_index1404z00_1002
; }  else 
{ 
 obj_t BgL_auxz00_5185;
BgL_auxz00_5185 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1404z00_1002); 
FAILURE(BgL_auxz00_5185,BFALSE,BFALSE);} 
BgL_auxz00_5181 = 
(long)CINT(BgL_tmpz00_5182); } 
BgL_creationzd2datezd2_989 = 
VECTOR_REF(BgL_opt1398z00_76,BgL_auxz00_5181); }  else 
{ /* Llib/pgp_logic.scm 768 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_index1405z00_1004;
BgL_index1405z00_1004 = 
BGl_search1401ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1398z00_76), BgL_opt1398z00_76, 
CNST_TABLE_REF(((long)36)), ((long)2)); 
{ /* Llib/pgp_logic.scm 768 */
 bool_t BgL_test3178z00_5194;
{ /* Llib/pgp_logic.scm 768 */
 long BgL_n1z00_2561;
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_tmpz00_5195;
if(
INTEGERP(BgL_index1405z00_1004))
{ /* Llib/pgp_logic.scm 768 */
BgL_tmpz00_5195 = BgL_index1405z00_1004
; }  else 
{ 
 obj_t BgL_auxz00_5198;
BgL_auxz00_5198 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1405z00_1004); 
FAILURE(BgL_auxz00_5198,BFALSE,BFALSE);} 
BgL_n1z00_2561 = 
(long)CINT(BgL_tmpz00_5195); } 
BgL_test3178z00_5194 = 
(BgL_n1z00_2561>=((long)0)); } 
if(BgL_test3178z00_5194)
{ 
 long BgL_auxz00_5204;
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_tmpz00_5205;
if(
INTEGERP(BgL_index1405z00_1004))
{ /* Llib/pgp_logic.scm 768 */
BgL_tmpz00_5205 = BgL_index1405z00_1004
; }  else 
{ 
 obj_t BgL_auxz00_5208;
BgL_auxz00_5208 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1405z00_1004); 
FAILURE(BgL_auxz00_5208,BFALSE,BFALSE);} 
BgL_auxz00_5204 = 
(long)CINT(BgL_tmpz00_5205); } 
BgL_detachedzd2signaturezf3z21_990 = 
VECTOR_REF(BgL_opt1398z00_76,BgL_auxz00_5204); }  else 
{ /* Llib/pgp_logic.scm 768 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_index1406z00_1006;
BgL_index1406z00_1006 = 
BGl_search1401ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1398z00_76), BgL_opt1398z00_76, 
CNST_TABLE_REF(((long)32)), ((long)2)); 
{ /* Llib/pgp_logic.scm 768 */
 bool_t BgL_test3181z00_5217;
{ /* Llib/pgp_logic.scm 768 */
 long BgL_n1z00_2562;
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_tmpz00_5218;
if(
INTEGERP(BgL_index1406z00_1006))
{ /* Llib/pgp_logic.scm 768 */
BgL_tmpz00_5218 = BgL_index1406z00_1006
; }  else 
{ 
 obj_t BgL_auxz00_5221;
BgL_auxz00_5221 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1406z00_1006); 
FAILURE(BgL_auxz00_5221,BFALSE,BFALSE);} 
BgL_n1z00_2562 = 
(long)CINT(BgL_tmpz00_5218); } 
BgL_test3181z00_5217 = 
(BgL_n1z00_2562>=((long)0)); } 
if(BgL_test3181z00_5217)
{ 
 long BgL_auxz00_5227;
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_tmpz00_5228;
if(
INTEGERP(BgL_index1406z00_1006))
{ /* Llib/pgp_logic.scm 768 */
BgL_tmpz00_5228 = BgL_index1406z00_1006
; }  else 
{ 
 obj_t BgL_auxz00_5231;
BgL_auxz00_5231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1406z00_1006); 
FAILURE(BgL_auxz00_5231,BFALSE,BFALSE);} 
BgL_auxz00_5227 = 
(long)CINT(BgL_tmpz00_5228); } 
BgL_filezd2namezd2_991 = 
VECTOR_REF(BgL_opt1398z00_76,BgL_auxz00_5227); }  else 
{ /* Llib/pgp_logic.scm 768 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_index1407z00_1008;
BgL_index1407z00_1008 = 
BGl_search1401ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1398z00_76), BgL_opt1398z00_76, 
CNST_TABLE_REF(((long)27)), ((long)2)); 
{ /* Llib/pgp_logic.scm 768 */
 bool_t BgL_test3184z00_5240;
{ /* Llib/pgp_logic.scm 768 */
 long BgL_n1z00_2563;
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_tmpz00_5241;
if(
INTEGERP(BgL_index1407z00_1008))
{ /* Llib/pgp_logic.scm 768 */
BgL_tmpz00_5241 = BgL_index1407z00_1008
; }  else 
{ 
 obj_t BgL_auxz00_5244;
BgL_auxz00_5244 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1407z00_1008); 
FAILURE(BgL_auxz00_5244,BFALSE,BFALSE);} 
BgL_n1z00_2563 = 
(long)CINT(BgL_tmpz00_5241); } 
BgL_test3184z00_5240 = 
(BgL_n1z00_2563>=((long)0)); } 
if(BgL_test3184z00_5240)
{ 
 long BgL_auxz00_5250;
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_tmpz00_5251;
if(
INTEGERP(BgL_index1407z00_1008))
{ /* Llib/pgp_logic.scm 768 */
BgL_tmpz00_5251 = BgL_index1407z00_1008
; }  else 
{ 
 obj_t BgL_auxz00_5254;
BgL_auxz00_5254 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1407z00_1008); 
FAILURE(BgL_auxz00_5254,BFALSE,BFALSE);} 
BgL_auxz00_5250 = 
(long)CINT(BgL_tmpz00_5251); } 
BgL_hashzd2algozd2_992 = 
VECTOR_REF(BgL_opt1398z00_76,BgL_auxz00_5250); }  else 
{ /* Llib/pgp_logic.scm 768 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_index1408z00_1010;
BgL_index1408z00_1010 = 
BGl_search1401ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1398z00_76), BgL_opt1398z00_76, 
CNST_TABLE_REF(((long)33)), ((long)2)); 
{ /* Llib/pgp_logic.scm 768 */
 bool_t BgL_test3187z00_5263;
{ /* Llib/pgp_logic.scm 768 */
 long BgL_n1z00_2564;
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_tmpz00_5264;
if(
INTEGERP(BgL_index1408z00_1010))
{ /* Llib/pgp_logic.scm 768 */
BgL_tmpz00_5264 = BgL_index1408z00_1010
; }  else 
{ 
 obj_t BgL_auxz00_5267;
BgL_auxz00_5267 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1408z00_1010); 
FAILURE(BgL_auxz00_5267,BFALSE,BFALSE);} 
BgL_n1z00_2564 = 
(long)CINT(BgL_tmpz00_5264); } 
BgL_test3187z00_5263 = 
(BgL_n1z00_2564>=((long)0)); } 
if(BgL_test3187z00_5263)
{ 
 long BgL_auxz00_5273;
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_tmpz00_5274;
if(
INTEGERP(BgL_index1408z00_1010))
{ /* Llib/pgp_logic.scm 768 */
BgL_tmpz00_5274 = BgL_index1408z00_1010
; }  else 
{ 
 obj_t BgL_auxz00_5277;
BgL_auxz00_5277 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1408z00_1010); 
FAILURE(BgL_auxz00_5277,BFALSE,BFALSE);} 
BgL_auxz00_5273 = 
(long)CINT(BgL_tmpz00_5274); } 
BgL_passwordzd2providerzd2_993 = 
VECTOR_REF(BgL_opt1398z00_76,BgL_auxz00_5273); }  else 
{ /* Llib/pgp_logic.scm 768 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_arg2119z00_1012; obj_t BgL_arg2120z00_1013;
BgL_arg2119z00_1012 = 
VECTOR_REF(BgL_opt1398z00_76,((long)0)); 
BgL_arg2120z00_1013 = 
VECTOR_REF(BgL_opt1398z00_76,((long)1)); 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_creationzd2datezd2_1014;
BgL_creationzd2datezd2_1014 = BgL_creationzd2datezd2_989; 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_detachedzd2signaturezf3z21_1015;
BgL_detachedzd2signaturezf3z21_1015 = BgL_detachedzd2signaturezf3z21_990; 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_filezd2namezd2_1016;
BgL_filezd2namezd2_1016 = BgL_filezd2namezd2_991; 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_hashzd2algozd2_1017;
BgL_hashzd2algozd2_1017 = BgL_hashzd2algozd2_992; 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_passwordzd2providerzd2_1018;
BgL_passwordzd2providerzd2_1018 = BgL_passwordzd2providerzd2_993; 
{ 
 BgL_pgpzd2signaturezd2_bglt BgL_auxz00_5285;
{ /* Llib/pgp_logic.scm 768 */
 BgL_pgpzd2subkeyzd2_bglt BgL_auxz00_5293; obj_t BgL_auxz00_5286;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg2120z00_1013, BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_logic.scm 768 */
BgL_auxz00_5293 = 
((BgL_pgpzd2subkeyzd2_bglt)BgL_arg2120z00_1013)
; }  else 
{ 
 obj_t BgL_auxz00_5297;
BgL_auxz00_5297 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2843z00zz__openpgpzd2logiczd2, BgL_arg2120z00_1013); 
FAILURE(BgL_auxz00_5297,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2119z00_1012))
{ /* Llib/pgp_logic.scm 768 */
BgL_auxz00_5286 = BgL_arg2119z00_1012
; }  else 
{ 
 obj_t BgL_auxz00_5289;
BgL_auxz00_5289 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)29008)), BGl_string2845z00zz__openpgpzd2logiczd2, BGl_string2819z00zz__openpgpzd2logiczd2, BgL_arg2119z00_1012); 
FAILURE(BgL_auxz00_5289,BFALSE,BFALSE);} 
BgL_auxz00_5285 = 
BGl_createzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(BgL_auxz00_5286, BgL_auxz00_5293, BgL_creationzd2datezd2_1014, BgL_detachedzd2signaturezf3z21_1015, BgL_filezd2namezd2_1016, BgL_hashzd2algozd2_1017, BgL_passwordzd2providerzd2_1018); } 
return 
((obj_t)BgL_auxz00_5285);} } } } } } } } } } } } } } } 

}



/* search1401~0 */
obj_t BGl_search1401ze70ze7zz__openpgpzd2logiczd2(long BgL_l1400z00_3246, obj_t BgL_opt1398z00_3245, obj_t BgL_k1z00_984, long BgL_iz00_985)
{
{ /* Llib/pgp_logic.scm 768 */
BGl_search1401ze70ze7zz__openpgpzd2logiczd2:
if(
(BgL_iz00_985==BgL_l1400z00_3246))
{ /* Llib/pgp_logic.scm 768 */
return 
BINT(((long)-1));}  else 
{ /* Llib/pgp_logic.scm 768 */
if(
(BgL_iz00_985==
(BgL_l1400z00_3246-((long)1))))
{ /* Llib/pgp_logic.scm 768 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)35)), BGl_string2846z00zz__openpgpzd2logiczd2, 
BINT(
VECTOR_LENGTH(BgL_opt1398z00_3245)));}  else 
{ /* Llib/pgp_logic.scm 768 */
 obj_t BgL_vz00_1023;
BgL_vz00_1023 = 
VECTOR_REF(BgL_opt1398z00_3245,BgL_iz00_985); 
if(
(BgL_vz00_1023==BgL_k1z00_984))
{ /* Llib/pgp_logic.scm 768 */
return 
BINT(
(BgL_iz00_985+((long)1)));}  else 
{ 
 long BgL_iz00_5318;
BgL_iz00_5318 = 
(BgL_iz00_985+((long)2)); 
BgL_iz00_985 = BgL_iz00_5318; 
goto BGl_search1401ze70ze7zz__openpgpzd2logiczd2;} } } } 

}



/* create-pgp-signature */
BGL_EXPORTED_DEF BgL_pgpzd2signaturezd2_bglt BGl_createzd2pgpzd2signaturez00zz__openpgpzd2logiczd2(obj_t BgL_msgz00_69, BgL_pgpzd2subkeyzd2_bglt BgL_keyz00_70, obj_t BgL_creationzd2datezd2_71, obj_t BgL_detachedzd2signaturezf3z21_72, obj_t BgL_filezd2namezd2_73, obj_t BgL_hashzd2algozd2_74, obj_t BgL_passwordzd2providerzd2_75)
{
{ /* Llib/pgp_logic.scm 768 */
{ /* Llib/pgp_logic.scm 773 */
 obj_t BgL_secretzd2keyzd2packetz00_1027;
BgL_secretzd2keyzd2packetz00_1027 = 
BGl_decodedzd2keyzd2packetz00zz__openpgpzd2logiczd2(BgL_keyz00_70, BgL_passwordzd2providerzd2_75); 
{ /* Llib/pgp_logic.scm 773 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_sigzd2pktzd2_1028;
{ /* Llib/pgp_logic.scm 774 */
 obj_t BgL_signaturezd2typezd2_1043;
BgL_signaturezd2typezd2_1043 = 
CNST_TABLE_REF(((long)0)); 
BgL_sigzd2pktzd2_1028 = 
BGl_createzd2sigzd2packetzd2v4zd2zz__openpgpzd2logiczd2(BgL_msgz00_69, 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_secretzd2keyzd2packetz00_1027), BNIL, BNIL, BgL_hashzd2algozd2_74, BgL_signaturezd2typezd2_1043); } 
{ /* Llib/pgp_logic.scm 774 */

if(
CBOOL(BgL_detachedzd2signaturezf3z21_72))
{ /* Llib/pgp_logic.scm 777 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1231z00_1029;
{ /* Llib/pgp_logic.scm 778 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1230z00_1031;
BgL_new1230z00_1031 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_logic.scm 778 */
 long BgL_arg2129z00_1032;
BgL_arg2129z00_1032 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1230z00_1031), BgL_arg2129z00_1032); } 
BgL_new1231z00_1029 = BgL_new1230z00_1031; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1231z00_1029))->BgL_msgz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5331;
{ /* Llib/pgp_logic.scm 779 */
 obj_t BgL_list2128z00_1030;
BgL_list2128z00_1030 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sigzd2pktzd2_1028), BNIL); 
BgL_auxz00_5331 = BgL_list2128z00_1030; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1231z00_1029))->BgL_sigsz00)=((obj_t)BgL_auxz00_5331),BUNSPEC); } 
return BgL_new1231z00_1029;}  else 
{ /* Llib/pgp_logic.scm 780 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1233z00_1033;
{ /* Llib/pgp_logic.scm 781 */
 BgL_pgpzd2signaturezd2_bglt BgL_new1232z00_1040;
BgL_new1232z00_1040 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_logic.scm 781 */
 long BgL_arg2132z00_1041;
BgL_arg2132z00_1041 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1232z00_1040), BgL_arg2132z00_1041); } 
BgL_new1233z00_1033 = BgL_new1232z00_1040; } 
{ 
 obj_t BgL_auxz00_5339;
{ /* Llib/pgp_logic.scm 781 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1235z00_1034;
{ /* Llib/pgp_logic.scm 782 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1234z00_1037;
BgL_new1234z00_1037 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2packetz00_bgl) ))); 
{ /* Llib/pgp_logic.scm 782 */
 long BgL_arg2130z00_1038;
{ /* Llib/pgp_logic.scm 782 */
 obj_t BgL_classz00_2572;
BgL_classz00_2572 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
BgL_arg2130z00_1038 = 
BGL_CLASS_NUM(BgL_classz00_2572); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1234z00_1037), BgL_arg2130z00_1038); } 
{ /* Llib/pgp_logic.scm 782 */
 BgL_objectz00_bglt BgL_tmpz00_5344;
BgL_tmpz00_5344 = 
((BgL_objectz00_bglt)BgL_new1234z00_1037); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5344, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1234z00_1037); 
BgL_new1235z00_1034 = BgL_new1234z00_1037; } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1235z00_1034))->BgL_formatz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1235z00_1034))->BgL_forzd2yourzd2eyeszd2onlyzf3z21)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5351;
if(
CBOOL(BgL_filezd2namezd2_73))
{ /* Llib/pgp_logic.scm 784 */
BgL_auxz00_5351 = BgL_filezd2namezd2_73
; }  else 
{ /* Llib/pgp_logic.scm 784 */
BgL_auxz00_5351 = BGl_string2804z00zz__openpgpzd2logiczd2
; } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1235z00_1034))->BgL_filezd2namezd2)=((obj_t)BgL_auxz00_5351),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5355;
if(
CBOOL(BgL_creationzd2datezd2_71))
{ /* Llib/pgp_logic.scm 785 */
BgL_auxz00_5355 = BgL_creationzd2datezd2_71
; }  else 
{ /* Llib/pgp_logic.scm 785 */
 BGL_LONGLONG_T BgL_arg1698z00_2576;
BgL_arg1698z00_2576 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5355 = 
bgl_nanoseconds_to_date(BgL_arg1698z00_2576); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1235z00_1034))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5355),BUNSPEC); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1235z00_1034))->BgL_dataz00)=((obj_t)BgL_msgz00_69),BUNSPEC); 
BgL_auxz00_5339 = 
((obj_t)BgL_new1235z00_1034); } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1233z00_1033))->BgL_msgz00)=((obj_t)BgL_auxz00_5339),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5364;
{ /* Llib/pgp_logic.scm 787 */
 obj_t BgL_list2131z00_1039;
BgL_list2131z00_1039 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sigzd2pktzd2_1028), BNIL); 
BgL_auxz00_5364 = BgL_list2131z00_1039; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1233z00_1033))->BgL_sigsz00)=((obj_t)BgL_auxz00_5364),BUNSPEC); } 
return BgL_new1233z00_1033;} } } } } 

}



/* key-packet->human-readable */
BGL_EXPORTED_DEF obj_t BGl_keyzd2packetzd2ze3humanzd2readablez31zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2packetz00_bglt BgL_kzd2pktzd2_96)
{
{ /* Llib/pgp_logic.scm 945 */
{ /* Llib/pgp_logic.scm 947 */
 obj_t BgL_arg2303z00_1278; obj_t BgL_arg2304z00_1279;
{ /* Llib/pgp_logic.scm 947 */
 obj_t BgL_arg2305z00_1280;
BgL_arg2305z00_1280 = 
BGl_keyzd2idzd2zz__openpgpzd2logiczd2(BgL_kzd2pktzd2_96); 
{ /* Llib/pgp_logic.scm 947 */
 long BgL_endz00_2581;
BgL_endz00_2581 = 
STRING_LENGTH(BgL_arg2305z00_1280); 
{ /* Llib/pgp_logic.scm 947 */

BgL_arg2303z00_1278 = 
BGl_stringzd2hexzd2externz00zz__r4_strings_6_7z00(BgL_arg2305z00_1280, 
(int)(((long)0)), BgL_endz00_2581); } } } 
BgL_arg2304z00_1279 = 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_kzd2pktzd2_96))->BgL_algoz00)); 
return 
string_append_3(BgL_arg2303z00_1278, BGl_string2791z00zz__openpgpzd2logiczd2, BgL_arg2304z00_1279);} } 

}



/* &key-packet->human-readable */
obj_t BGl_z62keyzd2packetzd2ze3humanzd2readablez53zz__openpgpzd2logiczd2(obj_t BgL_envz00_3210, obj_t BgL_kzd2pktzd2_3211)
{
{ /* Llib/pgp_logic.scm 945 */
{ /* Llib/pgp_logic.scm 946 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_5375;
if(
BGl_isazf3zf3zz__objectz00(BgL_kzd2pktzd2_3211, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2))
{ /* Llib/pgp_logic.scm 946 */
BgL_auxz00_5375 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kzd2pktzd2_3211)
; }  else 
{ 
 obj_t BgL_auxz00_5379;
BgL_auxz00_5379 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)34948)), BGl_string2847z00zz__openpgpzd2logiczd2, BGl_string2798z00zz__openpgpzd2logiczd2, BgL_kzd2pktzd2_3211); 
FAILURE(BgL_auxz00_5379,BFALSE,BFALSE);} 
return 
BGl_keyzd2packetzd2ze3humanzd2readablez31zz__openpgpzd2logiczd2(BgL_auxz00_5375);} } 

}



/* pgp-key->human-readable */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2keyzd2ze3humanzd2readablez31zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2_bglt BgL_keyz00_97)
{
{ /* Llib/pgp_logic.scm 950 */
{ /* Llib/pgp_logic.scm 953 */
 obj_t BgL_zc3z04anonymousza32308ze3z87_3212;
BgL_zc3z04anonymousza32308ze3z87_3212 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32308ze3ze5zz__openpgpzd2logiczd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32308ze3z87_3212, 
(int)(((long)0)), 
((obj_t)BgL_keyz00_97)); 
return 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza32308ze3z87_3212);} } 

}



/* &pgp-key->human-readable */
obj_t BGl_z62pgpzd2keyzd2ze3humanzd2readablez53zz__openpgpzd2logiczd2(obj_t BgL_envz00_3213, obj_t BgL_keyz00_3214)
{
{ /* Llib/pgp_logic.scm 950 */
{ /* Llib/pgp_logic.scm 953 */
 BgL_pgpzd2keyzd2_bglt BgL_auxz00_5391;
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_3214, BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_logic.scm 953 */
BgL_auxz00_5391 = 
((BgL_pgpzd2keyzd2_bglt)BgL_keyz00_3214)
; }  else 
{ 
 obj_t BgL_auxz00_5395;
BgL_auxz00_5395 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)35176)), BGl_string2848z00zz__openpgpzd2logiczd2, BGl_string2833z00zz__openpgpzd2logiczd2, BgL_keyz00_3214); 
FAILURE(BgL_auxz00_5395,BFALSE,BFALSE);} 
return 
BGl_pgpzd2keyzd2ze3humanzd2readablez31zz__openpgpzd2logiczd2(BgL_auxz00_5391);} } 

}



/* &<@anonymous:2308> */
obj_t BGl_z62zc3z04anonymousza32308ze3ze5zz__openpgpzd2logiczd2(obj_t BgL_envz00_3215)
{
{ /* Llib/pgp_logic.scm 952 */
{ /* Llib/pgp_logic.scm 953 */
 BgL_pgpzd2keyzd2_bglt BgL_keyz00_3216;
BgL_keyz00_3216 = 
((BgL_pgpzd2keyzd2_bglt)
PROCEDURE_REF(BgL_envz00_3215, 
(int)(((long)0)))); 
{ /* Llib/pgp_logic.scm 953 */
 bool_t BgL_tmpz00_5403;
{ /* Llib/pgp_logic.scm 954 */
 obj_t BgL_g1344z00_3488;
BgL_g1344z00_3488 = 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_keyz00_3216))->BgL_userzd2idszd2); 
{ 
 obj_t BgL_l1342z00_3490;
BgL_l1342z00_3490 = BgL_g1344z00_3488; 
BgL_zc3z04anonymousza32309ze3z87_3489:
if(
PAIRP(BgL_l1342z00_3490))
{ /* Llib/pgp_logic.scm 954 */
{ /* Llib/pgp_logic.scm 955 */
 obj_t BgL_userzd2idzd2_3491;
BgL_userzd2idzd2_3491 = 
CAR(BgL_l1342z00_3490); 
{ /* Llib/pgp_logic.scm 956 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_i1273z00_3492;
BgL_i1273z00_3492 = 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_userzd2idzd2_3491)))->BgL_idz00); 
{ /* Llib/pgp_logic.scm 957 */
 obj_t BgL_port1341z00_3493;
{ /* Llib/pgp_logic.scm 957 */
 obj_t BgL_tmpz00_5410;
BgL_tmpz00_5410 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1341z00_3493 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_5410); } 
bgl_display_obj(
(((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(BgL_i1273z00_3492))->BgL_dataz00), BgL_port1341z00_3493); 
bgl_display_char(((unsigned char)10), BgL_port1341z00_3493); } } } 
{ 
 obj_t BgL_l1342z00_5416;
BgL_l1342z00_5416 = 
CDR(BgL_l1342z00_3490); 
BgL_l1342z00_3490 = BgL_l1342z00_5416; 
goto BgL_zc3z04anonymousza32309ze3z87_3489;} }  else 
{ /* Llib/pgp_logic.scm 954 */((bool_t)1); } } } 
{ /* Llib/pgp_logic.scm 959 */
 obj_t BgL_g1348z00_3494;
BgL_g1348z00_3494 = 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_keyz00_3216))->BgL_subkeysz00); 
{ 
 obj_t BgL_l1346z00_3496;
BgL_l1346z00_3496 = BgL_g1348z00_3494; 
BgL_zc3z04anonymousza32313ze3z87_3495:
if(
PAIRP(BgL_l1346z00_3496))
{ /* Llib/pgp_logic.scm 959 */
{ /* Llib/pgp_logic.scm 960 */
 obj_t BgL_subkeyz00_3497;
BgL_subkeyz00_3497 = 
CAR(BgL_l1346z00_3496); 
{ /* Llib/pgp_logic.scm 961 */
 obj_t BgL_port1345z00_3498;
{ /* Llib/pgp_logic.scm 961 */
 obj_t BgL_tmpz00_5422;
BgL_tmpz00_5422 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1345z00_3498 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_5422); } 
{ /* Llib/pgp_logic.scm 961 */
 obj_t BgL_arg2315z00_3499;
{ /* Llib/pgp_logic.scm 961 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2316z00_3500;
BgL_arg2316z00_3500 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_3497)))->BgL_keyzd2packetzd2); 
BgL_arg2315z00_3499 = 
BGl_keyzd2packetzd2ze3humanzd2readablez31zz__openpgpzd2logiczd2(BgL_arg2316z00_3500); } 
bgl_display_obj(BgL_arg2315z00_3499, BgL_port1345z00_3498); } 
bgl_display_char(((unsigned char)10), BgL_port1345z00_3498); } } 
{ 
 obj_t BgL_l1346z00_5430;
BgL_l1346z00_5430 = 
CDR(BgL_l1346z00_3496); 
BgL_l1346z00_3496 = BgL_l1346z00_5430; 
goto BgL_zc3z04anonymousza32313ze3z87_3495;} }  else 
{ /* Llib/pgp_logic.scm 959 */
BgL_tmpz00_5403 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_5403);} } } 

}



/* pgp-subkey->human-readable */
BGL_EXPORTED_DEF obj_t BGl_pgpzd2subkeyzd2ze3humanzd2readablez31zz__openpgpzd2logiczd2(BgL_pgpzd2subkeyzd2_bglt BgL_pgpzd2subkeyzd2_98)
{
{ /* Llib/pgp_logic.scm 964 */
{ /* Llib/pgp_logic.scm 967 */
 obj_t BgL_zc3z04anonymousza32319ze3z87_3217;
BgL_zc3z04anonymousza32319ze3z87_3217 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32319ze3ze5zz__openpgpzd2logiczd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_3217, 
(int)(((long)0)), 
((obj_t)BgL_pgpzd2subkeyzd2_98)); 
return 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza32319ze3z87_3217);} } 

}



/* &pgp-subkey->human-readable */
obj_t BGl_z62pgpzd2subkeyzd2ze3humanzd2readablez53zz__openpgpzd2logiczd2(obj_t BgL_envz00_3218, obj_t BgL_pgpzd2subkeyzd2_3219)
{
{ /* Llib/pgp_logic.scm 964 */
{ /* Llib/pgp_logic.scm 967 */
 BgL_pgpzd2subkeyzd2_bglt BgL_auxz00_5440;
if(
BGl_isazf3zf3zz__objectz00(BgL_pgpzd2subkeyzd2_3219, BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_logic.scm 967 */
BgL_auxz00_5440 = 
((BgL_pgpzd2subkeyzd2_bglt)BgL_pgpzd2subkeyzd2_3219)
; }  else 
{ 
 obj_t BgL_auxz00_5444;
BgL_auxz00_5444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)35650)), BGl_string2849z00zz__openpgpzd2logiczd2, BGl_string2843z00zz__openpgpzd2logiczd2, BgL_pgpzd2subkeyzd2_3219); 
FAILURE(BgL_auxz00_5444,BFALSE,BFALSE);} 
return 
BGl_pgpzd2subkeyzd2ze3humanzd2readablez31zz__openpgpzd2logiczd2(BgL_auxz00_5440);} } 

}



/* &<@anonymous:2319> */
obj_t BGl_z62zc3z04anonymousza32319ze3ze5zz__openpgpzd2logiczd2(obj_t BgL_envz00_3220)
{
{ /* Llib/pgp_logic.scm 966 */
{ /* Llib/pgp_logic.scm 967 */
 BgL_pgpzd2subkeyzd2_bglt BgL_pgpzd2subkeyzd2_3221;
BgL_pgpzd2subkeyzd2_3221 = 
((BgL_pgpzd2subkeyzd2_bglt)
PROCEDURE_REF(BgL_envz00_3220, 
(int)(((long)0)))); 
{ /* Llib/pgp_logic.scm 968 */
 BgL_pgpzd2keyzd2_bglt BgL_i1276z00_3501;
BgL_i1276z00_3501 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_pgpzd2subkeyzd2_3221))->BgL_pgpzd2keyzd2); 
{ /* Llib/pgp_logic.scm 969 */
 obj_t BgL_g1351z00_3502;
BgL_g1351z00_3502 = 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_i1276z00_3501))->BgL_userzd2idszd2); 
{ 
 obj_t BgL_l1349z00_3504;
BgL_l1349z00_3504 = BgL_g1351z00_3502; 
BgL_zc3z04anonymousza32320ze3z87_3503:
if(
PAIRP(BgL_l1349z00_3504))
{ /* Llib/pgp_logic.scm 969 */
{ /* Llib/pgp_logic.scm 970 */
 obj_t BgL_userzd2idzd2_3505;
BgL_userzd2idzd2_3505 = 
CAR(BgL_l1349z00_3504); 
{ /* Llib/pgp_logic.scm 971 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_i1278z00_3506;
BgL_i1278z00_3506 = 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_userzd2idzd2_3505)))->BgL_idz00); 
{ /* Llib/pgp_logic.scm 972 */
 obj_t BgL_arg2322z00_3507; obj_t BgL_arg2323z00_3508;
BgL_arg2322z00_3507 = 
(((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(BgL_i1278z00_3506))->BgL_dataz00); 
{ /* Llib/pgp_logic.scm 972 */
 obj_t BgL_tmpz00_5460;
BgL_tmpz00_5460 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2323z00_3508 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_5460); } 
bgl_display_obj(BgL_arg2322z00_3507, BgL_arg2323z00_3508); } 
{ /* Llib/pgp_logic.scm 973 */
 obj_t BgL_arg2324z00_3509;
{ /* Llib/pgp_logic.scm 973 */
 obj_t BgL_tmpz00_5464;
BgL_tmpz00_5464 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2324z00_3509 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_5464); } 
bgl_display_string(BGl_string2791z00zz__openpgpzd2logiczd2, BgL_arg2324z00_3509); } } } 
{ 
 obj_t BgL_l1349z00_5468;
BgL_l1349z00_5468 = 
CDR(BgL_l1349z00_3504); 
BgL_l1349z00_3504 = BgL_l1349z00_5468; 
goto BgL_zc3z04anonymousza32320ze3z87_3503;} }  else 
{ /* Llib/pgp_logic.scm 969 */((bool_t)1); } } } 
{ /* Llib/pgp_logic.scm 975 */
 obj_t BgL_arg2326z00_3510; obj_t BgL_arg2327z00_3511;
BgL_arg2326z00_3510 = 
BGl_keyzd2packetzd2ze3humanzd2readablez31zz__openpgpzd2logiczd2(
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_pgpzd2subkeyzd2_3221))->BgL_keyzd2packetzd2)); 
{ /* Llib/pgp_logic.scm 975 */
 obj_t BgL_tmpz00_5472;
BgL_tmpz00_5472 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2327z00_3511 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_5472); } 
return 
bgl_display_obj(BgL_arg2326z00_3510, BgL_arg2327z00_3511);} } } } 

}



/* _symmetric-encrypt */
obj_t BGl__symmetriczd2encryptzd2zz__openpgpzd2logiczd2(obj_t BgL_env1410z00_105, obj_t BgL_opt1409z00_104)
{
{ /* Llib/pgp_logic.scm 979 */
{ 
 obj_t BgL_k1z00_1332; long BgL_iz00_1333;
{ /* Llib/pgp_logic.scm 979 */
 obj_t BgL_dataz00_1335; obj_t BgL_keyzd2stringzd2_1336; obj_t BgL_algoz00_1337;
BgL_dataz00_1335 = 
VECTOR_REF(BgL_opt1409z00_104,((long)0)); 
BgL_keyzd2stringzd2_1336 = 
VECTOR_REF(BgL_opt1409z00_104,((long)1)); 
BgL_algoz00_1337 = 
VECTOR_REF(BgL_opt1409z00_104,((long)2)); 
{ /* Llib/pgp_logic.scm 979 */
 obj_t BgL_mdcz00_1338;
BgL_mdcz00_1338 = BTRUE; 
{ /* Llib/pgp_logic.scm 979 */

{ 
 long BgL_iz00_1339;
BgL_iz00_1339 = ((long)3); 
BgL_check1413z00_1340:
if(
(BgL_iz00_1339==
VECTOR_LENGTH(BgL_opt1409z00_104)))
{ /* Llib/pgp_logic.scm 979 */BNIL; }  else 
{ /* Llib/pgp_logic.scm 979 */
 bool_t BgL_test3205z00_5482;
{ /* Llib/pgp_logic.scm 979 */
 obj_t BgL_arg2334z00_1346;
BgL_arg2334z00_1346 = 
VECTOR_REF(BgL_opt1409z00_104,BgL_iz00_1339); 
BgL_test3205z00_5482 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2334z00_1346, 
CNST_TABLE_REF(((long)38)))); } 
if(BgL_test3205z00_5482)
{ 
 long BgL_iz00_5487;
BgL_iz00_5487 = 
(BgL_iz00_1339+((long)2)); 
BgL_iz00_1339 = BgL_iz00_5487; 
goto BgL_check1413z00_1340;}  else 
{ /* Llib/pgp_logic.scm 979 */
 obj_t BgL_arg2333z00_1345;
BgL_arg2333z00_1345 = 
VECTOR_REF(BgL_opt1409z00_104,BgL_iz00_1339); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)37)), BGl_string2826z00zz__openpgpzd2logiczd2, BgL_arg2333z00_1345); } } } 
{ /* Llib/pgp_logic.scm 979 */
 obj_t BgL_index1415z00_1347;
BgL_k1z00_1332 = 
CNST_TABLE_REF(((long)39)); 
BgL_iz00_1333 = ((long)3); 
BgL_search1412z00_1334:
if(
(BgL_iz00_1333==
VECTOR_LENGTH(BgL_opt1409z00_104)))
{ /* Llib/pgp_logic.scm 979 */
BgL_index1415z00_1347 = 
BINT(((long)-1)); }  else 
{ /* Llib/pgp_logic.scm 979 */
if(
(BgL_iz00_1333==
(
VECTOR_LENGTH(BgL_opt1409z00_104)-((long)1))))
{ /* Llib/pgp_logic.scm 979 */
BgL_index1415z00_1347 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)37)), BGl_string2850z00zz__openpgpzd2logiczd2, 
BINT(
VECTOR_LENGTH(BgL_opt1409z00_104))); }  else 
{ /* Llib/pgp_logic.scm 979 */
 obj_t BgL_vz00_1357;
BgL_vz00_1357 = 
VECTOR_REF(BgL_opt1409z00_104,BgL_iz00_1333); 
if(
(BgL_vz00_1357==BgL_k1z00_1332))
{ /* Llib/pgp_logic.scm 979 */
BgL_index1415z00_1347 = 
BINT(
(BgL_iz00_1333+((long)1))); }  else 
{ 
 long BgL_iz00_5509;
BgL_iz00_5509 = 
(BgL_iz00_1333+((long)2)); 
BgL_iz00_1333 = BgL_iz00_5509; 
goto BgL_search1412z00_1334;} } } 
{ /* Llib/pgp_logic.scm 979 */
 bool_t BgL_test3209z00_5512;
{ /* Llib/pgp_logic.scm 979 */
 long BgL_n1z00_2614;
{ /* Llib/pgp_logic.scm 979 */
 obj_t BgL_tmpz00_5513;
if(
INTEGERP(BgL_index1415z00_1347))
{ /* Llib/pgp_logic.scm 979 */
BgL_tmpz00_5513 = BgL_index1415z00_1347
; }  else 
{ 
 obj_t BgL_auxz00_5516;
BgL_auxz00_5516 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)36067)), BGl_string2851z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1415z00_1347); 
FAILURE(BgL_auxz00_5516,BFALSE,BFALSE);} 
BgL_n1z00_2614 = 
(long)CINT(BgL_tmpz00_5513); } 
BgL_test3209z00_5512 = 
(BgL_n1z00_2614>=((long)0)); } 
if(BgL_test3209z00_5512)
{ 
 long BgL_auxz00_5522;
{ /* Llib/pgp_logic.scm 979 */
 obj_t BgL_tmpz00_5523;
if(
INTEGERP(BgL_index1415z00_1347))
{ /* Llib/pgp_logic.scm 979 */
BgL_tmpz00_5523 = BgL_index1415z00_1347
; }  else 
{ 
 obj_t BgL_auxz00_5526;
BgL_auxz00_5526 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)36067)), BGl_string2851z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1415z00_1347); 
FAILURE(BgL_auxz00_5526,BFALSE,BFALSE);} 
BgL_auxz00_5522 = 
(long)CINT(BgL_tmpz00_5523); } 
BgL_mdcz00_1338 = 
VECTOR_REF(BgL_opt1409z00_104,BgL_auxz00_5522); }  else 
{ /* Llib/pgp_logic.scm 979 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 979 */
 obj_t BgL_arg2336z00_1349; obj_t BgL_arg2337z00_1350; obj_t BgL_arg2338z00_1351;
BgL_arg2336z00_1349 = 
VECTOR_REF(BgL_opt1409z00_104,((long)0)); 
BgL_arg2337z00_1350 = 
VECTOR_REF(BgL_opt1409z00_104,((long)1)); 
BgL_arg2338z00_1351 = 
VECTOR_REF(BgL_opt1409z00_104,((long)2)); 
{ /* Llib/pgp_logic.scm 979 */
 obj_t BgL_mdcz00_1352;
BgL_mdcz00_1352 = BgL_mdcz00_1338; 
{ /* Llib/pgp_logic.scm 979 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_res2643z00_2618;
{ /* Llib/pgp_logic.scm 979 */
 BgL_pgpzd2packetzd2_bglt BgL_dataz00_2615; obj_t BgL_keyzd2stringzd2_2616; obj_t BgL_algoz00_2617;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg2336z00_1349, BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2))
{ /* Llib/pgp_logic.scm 979 */
BgL_dataz00_2615 = 
((BgL_pgpzd2packetzd2_bglt)BgL_arg2336z00_1349); }  else 
{ 
 obj_t BgL_auxz00_5538;
BgL_auxz00_5538 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)36067)), BGl_string2851z00zz__openpgpzd2logiczd2, BGl_string2852z00zz__openpgpzd2logiczd2, BgL_arg2336z00_1349); 
FAILURE(BgL_auxz00_5538,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2337z00_1350))
{ /* Llib/pgp_logic.scm 979 */
BgL_keyzd2stringzd2_2616 = BgL_arg2337z00_1350; }  else 
{ 
 obj_t BgL_auxz00_5544;
BgL_auxz00_5544 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)36067)), BGl_string2851z00zz__openpgpzd2logiczd2, BGl_string2819z00zz__openpgpzd2logiczd2, BgL_arg2337z00_1350); 
FAILURE(BgL_auxz00_5544,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_arg2338z00_1351))
{ /* Llib/pgp_logic.scm 979 */
BgL_algoz00_2617 = BgL_arg2338z00_1351; }  else 
{ 
 obj_t BgL_auxz00_5550;
BgL_auxz00_5550 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)36067)), BGl_string2851z00zz__openpgpzd2logiczd2, BGl_string2853z00zz__openpgpzd2logiczd2, BgL_arg2338z00_1351); 
FAILURE(BgL_auxz00_5550,BFALSE,BFALSE);} 
if(
CBOOL(BgL_mdcz00_1352))
{ /* Llib/pgp_logic.scm 986 */
BgL_res2643z00_2618 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
BGl_mdczd2symmetriczd2encryptz00zz__openpgpzd2logiczd2(BgL_dataz00_2615, BgL_keyzd2stringzd2_2616, BgL_algoz00_2617)); }  else 
{ /* Llib/pgp_logic.scm 986 */
BgL_res2643z00_2618 = 
BGl_nonzd2mdczd2symmetriczd2encryptzd2zz__openpgpzd2logiczd2(BgL_dataz00_2615, BgL_keyzd2stringzd2_2616, BgL_algoz00_2617); } } 
return 
((obj_t)BgL_res2643z00_2618);} } } } } } } } 

}



/* symmetric-encrypt */
BGL_EXPORTED_DEF BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_symmetriczd2encryptzd2zz__openpgpzd2logiczd2(BgL_pgpzd2packetzd2_bglt BgL_dataz00_100, obj_t BgL_keyzd2stringzd2_101, obj_t BgL_algoz00_102, obj_t BgL_mdcz00_103)
{
{ /* Llib/pgp_logic.scm 979 */
if(
CBOOL(BgL_mdcz00_103))
{ /* Llib/pgp_logic.scm 986 */
return 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
BGl_mdczd2symmetriczd2encryptz00zz__openpgpzd2logiczd2(BgL_dataz00_100, BgL_keyzd2stringzd2_101, BgL_algoz00_102));}  else 
{ /* Llib/pgp_logic.scm 986 */
return 
BGl_nonzd2mdczd2symmetriczd2encryptzd2zz__openpgpzd2logiczd2(BgL_dataz00_100, BgL_keyzd2stringzd2_101, BgL_algoz00_102);} } 

}



/* non-mdc-symmetric-encrypt */
BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_nonzd2mdczd2symmetriczd2encryptzd2zz__openpgpzd2logiczd2(BgL_pgpzd2packetzd2_bglt BgL_dataz00_106, obj_t BgL_keyzd2stringzd2_107, obj_t BgL_algoz00_108)
{
{ /* Llib/pgp_logic.scm 990 */
{ /* Llib/pgp_logic.scm 993 */
 long BgL_algozd2blockzd2lenz00_1361;
BgL_algozd2blockzd2lenz00_1361 = 
BGl_symmetriczd2keyzd2algozd2blockzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_algoz00_108); 
{ /* Llib/pgp_logic.scm 993 */
 obj_t BgL_encrypterz00_1362;
BgL_encrypterz00_1362 = 
BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(BgL_algoz00_108, ((bool_t)1)); 
{ /* Llib/pgp_logic.scm 994 */
 obj_t BgL_randomzd2headzd2_1363;
BgL_randomzd2headzd2_1363 = 
BGl_makezd2randomzd2stringz00zz__openpgpzd2utilzd2(((long)10), BFALSE); 
{ /* Llib/pgp_logic.scm 995 */
 obj_t BgL_packetzd2pzd2_1364;
{ /* Llib/pgp_logic.scm 996 */

{ /* Llib/pgp_logic.scm 996 */

BgL_packetzd2pzd2_1364 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ /* Llib/pgp_logic.scm 996 */
 obj_t BgL_encodedz00_1365;
{ /* Llib/pgp_logic.scm 997 */
 obj_t BgL_list2356z00_1385;
BgL_list2356z00_1385 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_dataz00_106), BNIL); 
BgL_encodedz00_1365 = 
BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(BgL_packetzd2pzd2_1364, BgL_list2356z00_1385); } 
{ /* Llib/pgp_logic.scm 997 */
 obj_t BgL_literalzd2datazd2_1366;
BgL_literalzd2datazd2_1366 = 
bgl_close_output_port(BgL_packetzd2pzd2_1364); 
{ /* Llib/pgp_logic.scm 998 */

{ /* Llib/pgp_logic.scm 999 */
 unsigned char BgL_arg2346z00_1367;
BgL_arg2346z00_1367 = 
STRING_REF(
((obj_t)BgL_randomzd2headzd2_1363), ((long)6)); 
{ /* Llib/pgp_logic.scm 999 */
 obj_t BgL_tmpz00_5575;
BgL_tmpz00_5575 = 
((obj_t)BgL_randomzd2headzd2_1363); 
STRING_SET(BgL_tmpz00_5575, ((long)8), BgL_arg2346z00_1367); } } 
{ /* Llib/pgp_logic.scm 1000 */
 unsigned char BgL_arg2347z00_1368;
BgL_arg2347z00_1368 = 
STRING_REF(
((obj_t)BgL_randomzd2headzd2_1363), ((long)7)); 
{ /* Llib/pgp_logic.scm 1000 */
 obj_t BgL_tmpz00_5580;
BgL_tmpz00_5580 = 
((obj_t)BgL_randomzd2headzd2_1363); 
STRING_SET(BgL_tmpz00_5580, ((long)9), BgL_arg2347z00_1368); } } 
if(
(BgL_algozd2blockzd2lenz00_1361<=((long)8)))
{ /* Llib/pgp_logic.scm 1011 */
 obj_t BgL_headz00_1371;
{ /* Llib/pgp_logic.scm 1012 */
 obj_t BgL_arg2352z00_1377;
BgL_arg2352z00_1377 = 
make_string(BgL_algozd2blockzd2lenz00_1361, ((unsigned char)'\000')); 
BgL_headz00_1371 = 
PROCEDURE_ENTRY(BgL_encrypterz00_1362)(BgL_encrypterz00_1362, BgL_randomzd2headzd2_1363, BgL_arg2352z00_1377, BgL_keyzd2stringzd2_107, BEOA); } 
{ /* Llib/pgp_logic.scm 1011 */
 obj_t BgL_encryptedzd2datazd2_1372;
{ /* Llib/pgp_logic.scm 1015 */
 obj_t BgL_arg2351z00_1376;
BgL_arg2351z00_1376 = 
c_substring(
((obj_t)BgL_headz00_1371), ((long)2), ((long)10)); 
BgL_encryptedzd2datazd2_1372 = 
PROCEDURE_ENTRY(BgL_encrypterz00_1362)(BgL_encrypterz00_1362, BgL_literalzd2datazd2_1366, BgL_arg2351z00_1376, BgL_keyzd2stringzd2_107, BEOA); } 
{ /* Llib/pgp_logic.scm 1014 */

{ /* Llib/pgp_logic.scm 1018 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1281z00_1373;
{ /* Llib/pgp_logic.scm 1019 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1280z00_1374;
BgL_new1280z00_1374 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_logic.scm 1019 */
 long BgL_arg2350z00_1375;
BgL_arg2350z00_1375 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1280z00_1374), BgL_arg2350z00_1375); } 
BgL_new1281z00_1373 = BgL_new1280z00_1374; } 
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_new1281z00_1373))->BgL_dataz00)=((obj_t)
string_append(BgL_headz00_1371, BgL_encryptedzd2datazd2_1372)),BUNSPEC); 
return BgL_new1281z00_1373;} } } }  else 
{ /* Llib/pgp_logic.scm 1020 */
 obj_t BgL_encryptedz00_1378;
{ /* Llib/pgp_logic.scm 1020 */
 obj_t BgL_arg2354z00_1382; obj_t BgL_arg2355z00_1383;
BgL_arg2354z00_1382 = 
string_append(BgL_randomzd2headzd2_1363, BgL_literalzd2datazd2_1366); 
BgL_arg2355z00_1383 = 
make_string(BgL_algozd2blockzd2lenz00_1361, ((unsigned char)'\000')); 
BgL_encryptedz00_1378 = 
PROCEDURE_ENTRY(BgL_encrypterz00_1362)(BgL_encrypterz00_1362, BgL_arg2354z00_1382, BgL_arg2355z00_1383, BgL_keyzd2stringzd2_107, BEOA); } 
{ /* Llib/pgp_logic.scm 1024 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1283z00_1379;
{ /* Llib/pgp_logic.scm 1025 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1282z00_1380;
BgL_new1282z00_1380 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_logic.scm 1025 */
 long BgL_arg2353z00_1381;
BgL_arg2353z00_1381 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1282z00_1380), BgL_arg2353z00_1381); } 
BgL_new1283z00_1379 = BgL_new1282z00_1380; } 
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_new1283z00_1379))->BgL_dataz00)=((obj_t)BgL_encryptedz00_1378),BUNSPEC); 
return BgL_new1283z00_1379;} } } } } } } } } } 

}



/* mdc-symmetric-encrypt */
BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_mdczd2symmetriczd2encryptz00zz__openpgpzd2logiczd2(BgL_pgpzd2packetzd2_bglt BgL_dataz00_109, obj_t BgL_keyzd2stringzd2_110, obj_t BgL_algoz00_111)
{
{ /* Llib/pgp_logic.scm 1027 */
{ /* Llib/pgp_logic.scm 1033 */
 long BgL_algozd2blockzd2lenz00_1388;
BgL_algozd2blockzd2lenz00_1388 = 
BGl_symmetriczd2keyzd2algozd2blockzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_algoz00_111); 
{ /* Llib/pgp_logic.scm 1033 */
 obj_t BgL_encrypterz00_1389;
BgL_encrypterz00_1389 = 
BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(BgL_algoz00_111, ((bool_t)1)); 
{ /* Llib/pgp_logic.scm 1034 */
 obj_t BgL_randomzd2headzd2_1390;
BgL_randomzd2headzd2_1390 = 
BGl_makezd2randomzd2stringz00zz__openpgpzd2utilzd2(
(BgL_algozd2blockzd2lenz00_1388+((long)2)), BFALSE); 
{ /* Llib/pgp_logic.scm 1036 */
 obj_t BgL_packetzd2pzd2_1391;
{ /* Llib/pgp_logic.scm 1037 */

{ /* Llib/pgp_logic.scm 1037 */

BgL_packetzd2pzd2_1391 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ /* Llib/pgp_logic.scm 1037 */

{ /* Llib/pgp_logic.scm 1039 */
 obj_t BgL_list2357z00_1392;
BgL_list2357z00_1392 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_dataz00_109), BNIL); 
BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(BgL_packetzd2pzd2_1391, BgL_list2357z00_1392); } 
{ /* Llib/pgp_logic.scm 1042 */
 unsigned char BgL_arg2358z00_1393;
BgL_arg2358z00_1393 = 
STRING_REF(
((obj_t)BgL_randomzd2headzd2_1390), 
(BgL_algozd2blockzd2lenz00_1388-((long)2))); 
{ /* Llib/pgp_logic.scm 1041 */
 obj_t BgL_tmpz00_5630;
BgL_tmpz00_5630 = 
((obj_t)BgL_randomzd2headzd2_1390); 
STRING_SET(BgL_tmpz00_5630, BgL_algozd2blockzd2lenz00_1388, BgL_arg2358z00_1393); } } 
{ /* Llib/pgp_logic.scm 1043 */
 long BgL_arg2360z00_1395; unsigned char BgL_arg2361z00_1396;
BgL_arg2360z00_1395 = 
(BgL_algozd2blockzd2lenz00_1388+((long)1)); 
BgL_arg2361z00_1396 = 
STRING_REF(
((obj_t)BgL_randomzd2headzd2_1390), 
(BgL_algozd2blockzd2lenz00_1388-((long)1))); 
{ /* Llib/pgp_logic.scm 1043 */
 obj_t BgL_tmpz00_5637;
BgL_tmpz00_5637 = 
((obj_t)BgL_randomzd2headzd2_1390); 
STRING_SET(BgL_tmpz00_5637, BgL_arg2360z00_1395, BgL_arg2361z00_1396); } } 
{ /* Llib/pgp_logic.scm 1047 */
 unsigned char BgL_arg2363z00_1398;
BgL_arg2363z00_1398 = 
(((long)211)); 
bgl_display_obj(
BCHAR(BgL_arg2363z00_1398), BgL_packetzd2pzd2_1391); } 
{ /* Llib/pgp_logic.scm 1048 */
 unsigned char BgL_arg2364z00_1399;
BgL_arg2364z00_1399 = 
(((long)20)); 
bgl_display_obj(
BCHAR(BgL_arg2364z00_1399), BgL_packetzd2pzd2_1391); } 
{ /* Llib/pgp_logic.scm 1049 */
 obj_t BgL_literalzd2datazd2_1400;
BgL_literalzd2datazd2_1400 = 
bgl_close_output_port(BgL_packetzd2pzd2_1391); 
{ /* Llib/pgp_logic.scm 1049 */
 obj_t BgL_hashzd2stringzd2_1401;
BgL_hashzd2stringzd2_1401 = 
string_append(BgL_randomzd2headzd2_1390, BgL_literalzd2datazd2_1400); 
{ /* Llib/pgp_logic.scm 1050 */
 obj_t BgL_hashz00_1402;
BgL_hashz00_1402 = 
BGl_sha1sumzd2binzd2zz__openpgpzd2utilzd2(BgL_hashzd2stringzd2_1401); 
{ /* Llib/pgp_logic.scm 1051 */
 obj_t BgL_payloadz00_1403;
BgL_payloadz00_1403 = 
string_append(BgL_hashzd2stringzd2_1401, BgL_hashz00_1402); 
{ /* Llib/pgp_logic.scm 1052 */

{ /* Llib/pgp_logic.scm 1059 */
 obj_t BgL_encryptedz00_1404;
{ /* Llib/pgp_logic.scm 1060 */
 obj_t BgL_arg2366z00_1408;
BgL_arg2366z00_1408 = 
make_string(BgL_algozd2blockzd2lenz00_1388, ((unsigned char)'\000')); 
BgL_encryptedz00_1404 = 
PROCEDURE_ENTRY(BgL_encrypterz00_1389)(BgL_encrypterz00_1389, BgL_payloadz00_1403, BgL_arg2366z00_1408, BgL_keyzd2stringzd2_110, BEOA); } 
{ /* Llib/pgp_logic.scm 1062 */
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_new1285z00_1405;
{ /* Llib/pgp_logic.scm 1064 */
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_new1284z00_1406;
BgL_new1284z00_1406 = 
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_logic.scm 1064 */
 long BgL_arg2365z00_1407;
BgL_arg2365z00_1407 = 
BGL_CLASS_NUM(BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1284z00_1406), BgL_arg2365z00_1407); } 
{ /* Llib/pgp_logic.scm 1064 */
 BgL_objectz00_bglt BgL_tmpz00_5661;
BgL_tmpz00_5661 = 
((BgL_objectz00_bglt)BgL_new1284z00_1406); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5661, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1284z00_1406); 
BgL_new1285z00_1405 = BgL_new1284z00_1406; } 
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_new1285z00_1405)))->BgL_dataz00)=((obj_t)BgL_encryptedz00_1404),BUNSPEC); 
((((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(BgL_new1285z00_1405))->BgL_versionz00)=((long)((long)1)),BUNSPEC); 
return BgL_new1285z00_1405;} } } } } } } } } } } } } 

}



/* symmetric-decrypt */
BGL_EXPORTED_DEF obj_t BGl_symmetriczd2decryptzd2zz__openpgpzd2logiczd2(BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_encryptedz00_112, obj_t BgL_keyzd2stringzd2_113, obj_t BgL_algoz00_114, bool_t BgL_ignorezd2badzd2packetsz00_115)
{
{ /* Llib/pgp_logic.scm 1069 */
{ /* Llib/pgp_logic.scm 1084 */
 bool_t BgL_test3218z00_5668;
{ /* Llib/pgp_logic.scm 1084 */
 obj_t BgL_classz00_2657;
BgL_classz00_2657 = BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_logic.scm 1084 */
 BgL_objectz00_bglt BgL_arg1797z00_2659;
{ /* Llib/pgp_logic.scm 1084 */
 obj_t BgL_tmpz00_5669;
BgL_tmpz00_5669 = 
((obj_t)BgL_encryptedz00_112); 
BgL_arg1797z00_2659 = 
(BgL_objectz00_bglt)(BgL_tmpz00_5669); } 
{ /* Llib/pgp_logic.scm 1084 */
 bool_t BgL_arg1794z00_2662; bool_t BgL_arg1795z00_2663;
{ /* Llib/pgp_logic.scm 1084 */
 long BgL_idxz00_2666;
BgL_idxz00_2666 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2659); 
BgL_arg1794z00_2662 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2666+((long)3)))==BgL_classz00_2657); } 
{ /* Llib/pgp_logic.scm 1084 */
 bool_t BgL_res2644z00_2688;
{ /* Llib/pgp_logic.scm 1084 */
 obj_t BgL_oclassz00_2674;
{ /* Llib/pgp_logic.scm 1084 */
 long BgL_arg1804z00_2680;
{ /* Llib/pgp_logic.scm 1084 */
 long BgL_arg1805z00_2681;
BgL_arg1805z00_2681 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2659); 
BgL_arg1804z00_2680 = 
(BgL_arg1805z00_2681-OBJECT_TYPE); } 
BgL_oclassz00_2674 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2680); } 
{ /* Llib/pgp_logic.scm 1084 */
 bool_t BgL__ortest_1111z00_2675;
BgL__ortest_1111z00_2675 = 
(BgL_classz00_2657==BgL_oclassz00_2674); 
if(BgL__ortest_1111z00_2675)
{ /* Llib/pgp_logic.scm 1084 */
BgL_res2644z00_2688 = BgL__ortest_1111z00_2675; }  else 
{ /* Llib/pgp_logic.scm 1084 */
 long BgL_odepthz00_2676;
BgL_odepthz00_2676 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2674); 
if(
(((long)3)<BgL_odepthz00_2676))
{ /* Llib/pgp_logic.scm 1084 */
 obj_t BgL_arg1793z00_2678;
BgL_arg1793z00_2678 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2674, ((long)3)); 
BgL_res2644z00_2688 = 
(BgL_arg1793z00_2678==BgL_classz00_2657); }  else 
{ /* Llib/pgp_logic.scm 1084 */
BgL_res2644z00_2688 = ((bool_t)0); } } } } 
BgL_arg1795z00_2663 = BgL_res2644z00_2688; } 
BgL_test3218z00_5668 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2662, BgL_arg1795z00_2663); } } } 
if(BgL_test3218z00_5668)
{ /* Llib/pgp_logic.scm 1084 */
return 
BGl_mdczd2symmetriczd2decryptz00zz__openpgpzd2logiczd2(
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_encryptedz00_112), BgL_keyzd2stringzd2_113, BgL_algoz00_114, BgL_ignorezd2badzd2packetsz00_115);}  else 
{ /* Llib/pgp_logic.scm 1084 */
return 
BGl_nonzd2mdczd2symmetriczd2decryptzd2zz__openpgpzd2logiczd2(BgL_encryptedz00_112, BgL_keyzd2stringzd2_113, BgL_algoz00_114, BgL_ignorezd2badzd2packetsz00_115);} } } 

}



/* &symmetric-decrypt */
obj_t BGl_z62symmetriczd2decryptzb0zz__openpgpzd2logiczd2(obj_t BgL_envz00_3222, obj_t BgL_encryptedz00_3223, obj_t BgL_keyzd2stringzd2_3224, obj_t BgL_algoz00_3225, obj_t BgL_ignorezd2badzd2packetsz00_3226)
{
{ /* Llib/pgp_logic.scm 1069 */
{ /* Llib/pgp_logic.scm 1084 */
 obj_t BgL_auxz00_5705; obj_t BgL_auxz00_5698; BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_auxz00_5690;
if(
SYMBOLP(BgL_algoz00_3225))
{ /* Llib/pgp_logic.scm 1084 */
BgL_auxz00_5705 = BgL_algoz00_3225
; }  else 
{ 
 obj_t BgL_auxz00_5708;
BgL_auxz00_5708 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)40712)), BGl_string2854z00zz__openpgpzd2logiczd2, BGl_string2853z00zz__openpgpzd2logiczd2, BgL_algoz00_3225); 
FAILURE(BgL_auxz00_5708,BFALSE,BFALSE);} 
if(
STRINGP(BgL_keyzd2stringzd2_3224))
{ /* Llib/pgp_logic.scm 1084 */
BgL_auxz00_5698 = BgL_keyzd2stringzd2_3224
; }  else 
{ 
 obj_t BgL_auxz00_5701;
BgL_auxz00_5701 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)40712)), BGl_string2854z00zz__openpgpzd2logiczd2, BGl_string2819z00zz__openpgpzd2logiczd2, BgL_keyzd2stringzd2_3224); 
FAILURE(BgL_auxz00_5701,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_encryptedz00_3223, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2))
{ /* Llib/pgp_logic.scm 1084 */
BgL_auxz00_5690 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_encryptedz00_3223)
; }  else 
{ 
 obj_t BgL_auxz00_5694;
BgL_auxz00_5694 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)40712)), BGl_string2854z00zz__openpgpzd2logiczd2, BGl_string2855z00zz__openpgpzd2logiczd2, BgL_encryptedz00_3223); 
FAILURE(BgL_auxz00_5694,BFALSE,BFALSE);} 
return 
BGl_symmetriczd2decryptzd2zz__openpgpzd2logiczd2(BgL_auxz00_5690, BgL_auxz00_5698, BgL_auxz00_5705, 
CBOOL(BgL_ignorezd2badzd2packetsz00_3226));} } 

}



/* non-mdc-symmetric-decrypt */
obj_t BGl_nonzd2mdczd2symmetriczd2decryptzd2zz__openpgpzd2logiczd2(BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_encryptedz00_116, obj_t BgL_keyzd2stringzd2_117, obj_t BgL_algoz00_118, bool_t BgL_ignorezd2badzd2packetsz00_119)
{
{ /* Llib/pgp_logic.scm 1091 */
{ /* Llib/pgp_logic.scm 1098 */
 long BgL_algozd2blockzd2lenz00_1414;
BgL_algozd2blockzd2lenz00_1414 = 
BGl_symmetriczd2keyzd2algozd2blockzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_algoz00_118); 
{ /* Llib/pgp_logic.scm 1098 */
 obj_t BgL_decrypterz00_1415;
BgL_decrypterz00_1415 = 
BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(BgL_algoz00_118, ((bool_t)0)); 
{ /* Llib/pgp_logic.scm 1099 */

if(
(
STRING_LENGTH(
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_encryptedz00_116))->BgL_dataz00))>=((long)10)))
{ /* Llib/pgp_logic.scm 1101 */
if(
(BgL_algozd2blockzd2lenz00_1414<=((long)8)))
{ /* Llib/pgp_logic.scm 1108 */
 obj_t BgL_czd2headzd2_1421;
BgL_czd2headzd2_1421 = 
c_substring(
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_encryptedz00_116))->BgL_dataz00), ((long)0), ((long)10)); 
{ /* Llib/pgp_logic.scm 1108 */
 obj_t BgL_dzd2headzd2_1422;
{ /* Llib/pgp_logic.scm 1110 */
 obj_t BgL_arg2390z00_1447;
BgL_arg2390z00_1447 = 
make_string(BgL_algozd2blockzd2lenz00_1414, ((unsigned char)'\000')); 
BgL_dzd2headzd2_1422 = 
PROCEDURE_ENTRY(BgL_decrypterz00_1415)(BgL_decrypterz00_1415, BgL_czd2headzd2_1421, BgL_arg2390z00_1447, BgL_keyzd2stringzd2_117, BEOA); } 
{ /* Llib/pgp_logic.scm 1109 */

{ /* Llib/pgp_logic.scm 1113 */
 bool_t BgL_test3226z00_5731;
if(
(
STRING_REF(
((obj_t)BgL_dzd2headzd2_1422), ((long)6))==
STRING_REF(
((obj_t)BgL_dzd2headzd2_1422), ((long)8))))
{ /* Llib/pgp_logic.scm 1113 */
BgL_test3226z00_5731 = 
(
STRING_REF(
((obj_t)BgL_dzd2headzd2_1422), ((long)7))==
STRING_REF(
((obj_t)BgL_dzd2headzd2_1422), ((long)9)))
; }  else 
{ /* Llib/pgp_logic.scm 1113 */
BgL_test3226z00_5731 = ((bool_t)0)
; } 
if(BgL_test3226z00_5731)
{ /* Llib/pgp_logic.scm 1116 */
 obj_t BgL_resynczd2ivzd2_1431;
BgL_resynczd2ivzd2_1431 = 
c_substring(
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_encryptedz00_116))->BgL_dataz00), ((long)2), ((long)10)); 
{ /* Llib/pgp_logic.scm 1116 */
 obj_t BgL_czd2restzd2_1432;
BgL_czd2restzd2_1432 = 
c_substring(
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_encryptedz00_116))->BgL_dataz00), ((long)10), 
STRING_LENGTH(
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_encryptedz00_116))->BgL_dataz00))); 
{ /* Llib/pgp_logic.scm 1117 */
 obj_t BgL_dzd2restzd2_1433;
BgL_dzd2restzd2_1433 = 
PROCEDURE_ENTRY(BgL_decrypterz00_1415)(BgL_decrypterz00_1415, BgL_czd2restzd2_1432, BgL_resynczd2ivzd2_1431, BgL_keyzd2stringzd2_117, BEOA); 
{ /* Llib/pgp_logic.scm 1118 */
 obj_t BgL_packetzd2pzd2_1434;
{ /* Llib/pgp_logic.scm 1119 */
 long BgL_endz00_1437;
BgL_endz00_1437 = 
STRING_LENGTH(
((obj_t)BgL_dzd2restzd2_1433)); 
{ /* Llib/pgp_logic.scm 1119 */

BgL_packetzd2pzd2_1434 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_dzd2restzd2_1433, 
BINT(((long)0)), 
BINT(BgL_endz00_1437)); } } 
{ /* Llib/pgp_logic.scm 1119 */

return 
BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(BgL_packetzd2pzd2_1434, BgL_ignorezd2badzd2packetsz00_119);} } } } }  else 
{ /* Llib/pgp_logic.scm 1113 */
return BFALSE;} } } } }  else 
{ /* Llib/pgp_logic.scm 1127 */
 obj_t BgL_czd2headzd2_1449;
BgL_czd2headzd2_1449 = 
c_substring(
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_encryptedz00_116))->BgL_dataz00), ((long)0), ((long)10)); 
{ /* Llib/pgp_logic.scm 1127 */
 obj_t BgL_dzd2headzd2_1450;
{ /* Llib/pgp_logic.scm 1129 */
 obj_t BgL_arg2407z00_1473;
BgL_arg2407z00_1473 = 
make_string(BgL_algozd2blockzd2lenz00_1414, ((unsigned char)'\000')); 
BgL_dzd2headzd2_1450 = 
PROCEDURE_ENTRY(BgL_decrypterz00_1415)(BgL_decrypterz00_1415, BgL_czd2headzd2_1449, BgL_arg2407z00_1473, BgL_keyzd2stringzd2_117, BEOA); } 
{ /* Llib/pgp_logic.scm 1128 */

{ /* Llib/pgp_logic.scm 1132 */
 bool_t BgL_test3228z00_5770;
if(
(
STRING_REF(
((obj_t)BgL_dzd2headzd2_1450), ((long)6))==
STRING_REF(
((obj_t)BgL_dzd2headzd2_1450), ((long)8))))
{ /* Llib/pgp_logic.scm 1132 */
BgL_test3228z00_5770 = 
(
STRING_REF(
((obj_t)BgL_dzd2headzd2_1450), ((long)7))==
STRING_REF(
((obj_t)BgL_dzd2headzd2_1450), ((long)9)))
; }  else 
{ /* Llib/pgp_logic.scm 1132 */
BgL_test3228z00_5770 = ((bool_t)0)
; } 
if(BgL_test3228z00_5770)
{ /* Llib/pgp_logic.scm 1135 */
 obj_t BgL_dzd2allzd2_1459;
{ /* Llib/pgp_logic.scm 1135 */
 obj_t BgL_arg2401z00_1466; obj_t BgL_arg2402z00_1467;
BgL_arg2401z00_1466 = 
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_encryptedz00_116))->BgL_dataz00); 
BgL_arg2402z00_1467 = 
make_string(BgL_algozd2blockzd2lenz00_1414, ((unsigned char)'\000')); 
BgL_dzd2allzd2_1459 = 
PROCEDURE_ENTRY(BgL_decrypterz00_1415)(BgL_decrypterz00_1415, BgL_arg2401z00_1466, BgL_arg2402z00_1467, BgL_keyzd2stringzd2_117, BEOA); } 
{ /* Llib/pgp_logic.scm 1135 */
 obj_t BgL_dzd2restzd2_1460;
{ /* Llib/pgp_logic.scm 1138 */
 long BgL_arg2400z00_1465;
BgL_arg2400z00_1465 = 
STRING_LENGTH(
((obj_t)BgL_dzd2allzd2_1459)); 
BgL_dzd2restzd2_1460 = 
c_substring(
((obj_t)BgL_dzd2allzd2_1459), ((long)10), BgL_arg2400z00_1465); } 
{ /* Llib/pgp_logic.scm 1138 */
 obj_t BgL_packetzd2pzd2_1461;
{ /* Llib/pgp_logic.scm 1139 */
 long BgL_endz00_1464;
BgL_endz00_1464 = 
STRING_LENGTH(BgL_dzd2restzd2_1460); 
{ /* Llib/pgp_logic.scm 1139 */

BgL_packetzd2pzd2_1461 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_dzd2restzd2_1460, 
BINT(((long)0)), 
BINT(BgL_endz00_1464)); } } 
{ /* Llib/pgp_logic.scm 1139 */

return 
BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(BgL_packetzd2pzd2_1461, BgL_ignorezd2badzd2packetsz00_119);} } } }  else 
{ /* Llib/pgp_logic.scm 1132 */
return BFALSE;} } } } } }  else 
{ /* Llib/pgp_logic.scm 1101 */
return BFALSE;} } } } } 

}



/* mdc-symmetric-decrypt */
obj_t BGl_mdczd2symmetriczd2decryptz00zz__openpgpzd2logiczd2(BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_encryptedz00_120, obj_t BgL_keyzd2stringzd2_121, obj_t BgL_algoz00_122, bool_t BgL_ignorezd2badzd2packetsz00_123)
{
{ /* Llib/pgp_logic.scm 1151 */
{ /* Llib/pgp_logic.scm 1159 */
 long BgL_algozd2keyzd2lenz00_1479;
BgL_algozd2keyzd2lenz00_1479 = 
BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_algoz00_122); 
{ /* Llib/pgp_logic.scm 1159 */
 long BgL_algozd2blockzd2lenz00_1480;
BgL_algozd2blockzd2lenz00_1480 = 
BGl_symmetriczd2keyzd2algozd2blockzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_algoz00_122); 
{ /* Llib/pgp_logic.scm 1160 */
 obj_t BgL_decrypterz00_1481;
BgL_decrypterz00_1481 = 
BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(BgL_algoz00_122, ((bool_t)0)); 
{ /* Llib/pgp_logic.scm 1161 */

if(
(
(((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(BgL_encryptedz00_120))->BgL_versionz00)==((long)1)))
{ /* Llib/pgp_logic.scm 1162 */BFALSE; }  else 
{ /* Llib/pgp_logic.scm 1163 */
 obj_t BgL_list2413z00_1484;
{ /* Llib/pgp_logic.scm 1163 */
 obj_t BgL_arg2414z00_1485;
BgL_arg2414z00_1485 = 
MAKE_YOUNG_PAIR(BGl_string2856z00zz__openpgpzd2logiczd2, BNIL); 
BgL_list2413z00_1484 = 
MAKE_YOUNG_PAIR(BGl_string2857z00zz__openpgpzd2logiczd2, BgL_arg2414z00_1485); } 
BGl_warningz00zz__errorz00(BgL_list2413z00_1484); } 
{ /* Llib/pgp_logic.scm 1165 */
 obj_t BgL_czd2headzd2_1487;
{ /* Llib/pgp_logic.scm 1165 */
 obj_t BgL_arg2471z00_1572; long BgL_arg2472z00_1573;
BgL_arg2471z00_1572 = 
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_encryptedz00_120)))->BgL_dataz00); 
BgL_arg2472z00_1573 = 
(BgL_algozd2blockzd2lenz00_1480+((long)2)); 
BgL_czd2headzd2_1487 = 
c_substring(BgL_arg2471z00_1572, ((long)0), BgL_arg2472z00_1573); } 
{ /* Llib/pgp_logic.scm 1165 */
 obj_t BgL_dzd2headzd2_1488;
{ /* Llib/pgp_logic.scm 1167 */
 obj_t BgL_arg2470z00_1571;
BgL_arg2470z00_1571 = 
make_string(BgL_algozd2blockzd2lenz00_1480, ((unsigned char)'\000')); 
BgL_dzd2headzd2_1488 = 
PROCEDURE_ENTRY(BgL_decrypterz00_1481)(BgL_decrypterz00_1481, BgL_czd2headzd2_1487, BgL_arg2470z00_1571, BgL_keyzd2stringzd2_121, BEOA); } 
{ /* Llib/pgp_logic.scm 1166 */

{ /* Llib/pgp_logic.scm 1170 */
 bool_t BgL_test3231z00_5819;
if(
(
STRING_REF(
((obj_t)BgL_dzd2headzd2_1488), 
(BgL_algozd2blockzd2lenz00_1480-((long)2)))==
STRING_REF(
((obj_t)BgL_dzd2headzd2_1488), BgL_algozd2blockzd2lenz00_1480)))
{ /* Llib/pgp_logic.scm 1170 */
BgL_test3231z00_5819 = 
(
STRING_REF(
((obj_t)BgL_dzd2headzd2_1488), 
(BgL_algozd2blockzd2lenz00_1480-((long)1)))==
STRING_REF(
((obj_t)BgL_dzd2headzd2_1488), 
(BgL_algozd2blockzd2lenz00_1480+((long)1))))
; }  else 
{ /* Llib/pgp_logic.scm 1170 */
BgL_test3231z00_5819 = ((bool_t)0)
; } 
if(BgL_test3231z00_5819)
{ /* Llib/pgp_logic.scm 1175 */
 obj_t BgL_dzd2allzd2_1502;
{ /* Llib/pgp_logic.scm 1177 */
 obj_t BgL_arg2461z00_1561; obj_t BgL_arg2462z00_1562;
BgL_arg2461z00_1561 = 
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_encryptedz00_120)))->BgL_dataz00); 
BgL_arg2462z00_1562 = 
make_string(BgL_algozd2blockzd2lenz00_1480, ((unsigned char)'\000')); 
BgL_dzd2allzd2_1502 = 
PROCEDURE_ENTRY(BgL_decrypterz00_1481)(BgL_decrypterz00_1481, BgL_arg2461z00_1561, BgL_arg2462z00_1562, BgL_keyzd2stringzd2_121, BEOA); } 
{ /* Llib/pgp_logic.scm 1177 */
 obj_t BgL_dzd2restzd2_1503;
{ /* Llib/pgp_logic.scm 1181 */
 long BgL_arg2459z00_1559; long BgL_arg2460z00_1560;
BgL_arg2459z00_1559 = 
(BgL_algozd2blockzd2lenz00_1480+((long)2)); 
BgL_arg2460z00_1560 = 
STRING_LENGTH(
((obj_t)BgL_dzd2allzd2_1502)); 
BgL_dzd2restzd2_1503 = 
c_substring(
((obj_t)BgL_dzd2allzd2_1502), BgL_arg2459z00_1559, BgL_arg2460z00_1560); } 
{ /* Llib/pgp_logic.scm 1183 */
 obj_t BgL_packetzd2pzd2_1505;
{ /* Llib/pgp_logic.scm 1186 */
 long BgL_endz00_1558;
BgL_endz00_1558 = 
STRING_LENGTH(BgL_dzd2restzd2_1503); 
{ /* Llib/pgp_logic.scm 1186 */

BgL_packetzd2pzd2_1505 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_dzd2restzd2_1503, 
BINT(((long)0)), 
BINT(BgL_endz00_1558)); } } 
{ /* Llib/pgp_logic.scm 1186 */
 obj_t BgL_packetsz00_1506;
BgL_packetsz00_1506 = 
BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(BgL_packetzd2pzd2_1505, BgL_ignorezd2badzd2packetsz00_123); 
{ /* Llib/pgp_logic.scm 1187 */
 obj_t BgL_dummyzd2lzd2_1507;
BgL_dummyzd2lzd2_1507 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)40)), BgL_packetsz00_1506); 
{ /* Llib/pgp_logic.scm 1188 */

{ 
 obj_t BgL_psz00_1509; obj_t BgL_previousz00_1510;
BgL_psz00_1509 = BgL_packetsz00_1506; 
BgL_previousz00_1510 = BgL_dummyzd2lzd2_1507; 
BgL_zc3z04anonymousza32428ze3z87_1511:
{ /* Llib/pgp_logic.scm 1192 */
 bool_t BgL_test3233z00_5855;
if(
NULLP(
CDR(
((obj_t)BgL_psz00_1509))))
{ /* Llib/pgp_logic.scm 1193 */
 bool_t BgL_test3235z00_5860;
{ /* Llib/pgp_logic.scm 1193 */
 obj_t BgL_arg2457z00_1553;
BgL_arg2457z00_1553 = 
CAR(
((obj_t)BgL_psz00_1509)); 
{ /* Llib/pgp_logic.scm 1193 */
 obj_t BgL_classz00_2750;
BgL_classz00_2750 = BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg2457z00_1553))
{ /* Llib/pgp_logic.scm 1193 */
 BgL_objectz00_bglt BgL_arg1797z00_2752;
BgL_arg1797z00_2752 = 
(BgL_objectz00_bglt)(BgL_arg2457z00_1553); 
{ /* Llib/pgp_logic.scm 1193 */
 bool_t BgL_arg1794z00_2755; bool_t BgL_arg1795z00_2756;
{ /* Llib/pgp_logic.scm 1193 */
 long BgL_idxz00_2759;
BgL_idxz00_2759 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2752); 
BgL_arg1794z00_2755 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2759+((long)2)))==BgL_classz00_2750); } 
{ /* Llib/pgp_logic.scm 1193 */
 bool_t BgL_res2645z00_2781;
{ /* Llib/pgp_logic.scm 1193 */
 obj_t BgL_oclassz00_2767;
{ /* Llib/pgp_logic.scm 1193 */
 long BgL_arg1804z00_2773;
{ /* Llib/pgp_logic.scm 1193 */
 long BgL_arg1805z00_2774;
BgL_arg1805z00_2774 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2752); 
BgL_arg1804z00_2773 = 
(BgL_arg1805z00_2774-OBJECT_TYPE); } 
BgL_oclassz00_2767 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2773); } 
{ /* Llib/pgp_logic.scm 1193 */
 bool_t BgL__ortest_1111z00_2768;
BgL__ortest_1111z00_2768 = 
(BgL_classz00_2750==BgL_oclassz00_2767); 
if(BgL__ortest_1111z00_2768)
{ /* Llib/pgp_logic.scm 1193 */
BgL_res2645z00_2781 = BgL__ortest_1111z00_2768; }  else 
{ /* Llib/pgp_logic.scm 1193 */
 long BgL_odepthz00_2769;
BgL_odepthz00_2769 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2767); 
if(
(((long)2)<BgL_odepthz00_2769))
{ /* Llib/pgp_logic.scm 1193 */
 obj_t BgL_arg1793z00_2771;
BgL_arg1793z00_2771 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2767, ((long)2)); 
BgL_res2645z00_2781 = 
(BgL_arg1793z00_2771==BgL_classz00_2750); }  else 
{ /* Llib/pgp_logic.scm 1193 */
BgL_res2645z00_2781 = ((bool_t)0); } } } } 
BgL_arg1795z00_2756 = BgL_res2645z00_2781; } 
BgL_test3235z00_5860 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2755, BgL_arg1795z00_2756); } }  else 
{ /* Llib/pgp_logic.scm 1193 */
BgL_test3235z00_5860 = ((bool_t)0)
; } } } 
if(BgL_test3235z00_5860)
{ /* Llib/pgp_logic.scm 1193 */
BgL_test3233z00_5855 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_logic.scm 1193 */
BgL_test3233z00_5855 = BgL_ignorezd2badzd2packetsz00_123
; } }  else 
{ /* Llib/pgp_logic.scm 1192 */
BgL_test3233z00_5855 = ((bool_t)0)
; } 
if(BgL_test3233z00_5855)
{ /* Llib/pgp_logic.scm 1192 */
return BgL_psz00_1509;}  else 
{ /* Llib/pgp_logic.scm 1196 */
 bool_t BgL_test3239z00_5881;
if(
NULLP(BgL_psz00_1509))
{ /* Llib/pgp_logic.scm 1196 */
BgL_test3239z00_5881 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_logic.scm 1196 */
if(
NULLP(
CDR(
((obj_t)BgL_psz00_1509))))
{ /* Llib/pgp_logic.scm 1198 */
 bool_t BgL_test3242z00_5888;
{ /* Llib/pgp_logic.scm 1198 */
 obj_t BgL_arg2455z00_1549;
BgL_arg2455z00_1549 = 
CAR(
((obj_t)BgL_psz00_1509)); 
{ /* Llib/pgp_logic.scm 1198 */
 obj_t BgL_classz00_2784;
BgL_classz00_2784 = BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg2455z00_1549))
{ /* Llib/pgp_logic.scm 1198 */
 BgL_objectz00_bglt BgL_arg1797z00_2786;
BgL_arg1797z00_2786 = 
(BgL_objectz00_bglt)(BgL_arg2455z00_1549); 
{ /* Llib/pgp_logic.scm 1198 */
 bool_t BgL_arg1794z00_2789; bool_t BgL_arg1795z00_2790;
{ /* Llib/pgp_logic.scm 1198 */
 long BgL_idxz00_2793;
BgL_idxz00_2793 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2786); 
BgL_arg1794z00_2789 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2793+((long)2)))==BgL_classz00_2784); } 
{ /* Llib/pgp_logic.scm 1198 */
 bool_t BgL_res2646z00_2815;
{ /* Llib/pgp_logic.scm 1198 */
 obj_t BgL_oclassz00_2801;
{ /* Llib/pgp_logic.scm 1198 */
 long BgL_arg1804z00_2807;
{ /* Llib/pgp_logic.scm 1198 */
 long BgL_arg1805z00_2808;
BgL_arg1805z00_2808 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2786); 
BgL_arg1804z00_2807 = 
(BgL_arg1805z00_2808-OBJECT_TYPE); } 
BgL_oclassz00_2801 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2807); } 
{ /* Llib/pgp_logic.scm 1198 */
 bool_t BgL__ortest_1111z00_2802;
BgL__ortest_1111z00_2802 = 
(BgL_classz00_2784==BgL_oclassz00_2801); 
if(BgL__ortest_1111z00_2802)
{ /* Llib/pgp_logic.scm 1198 */
BgL_res2646z00_2815 = BgL__ortest_1111z00_2802; }  else 
{ /* Llib/pgp_logic.scm 1198 */
 long BgL_odepthz00_2803;
BgL_odepthz00_2803 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2801); 
if(
(((long)2)<BgL_odepthz00_2803))
{ /* Llib/pgp_logic.scm 1198 */
 obj_t BgL_arg1793z00_2805;
BgL_arg1793z00_2805 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2801, ((long)2)); 
BgL_res2646z00_2815 = 
(BgL_arg1793z00_2805==BgL_classz00_2784); }  else 
{ /* Llib/pgp_logic.scm 1198 */
BgL_res2646z00_2815 = ((bool_t)0); } } } } 
BgL_arg1795z00_2790 = BgL_res2646z00_2815; } 
BgL_test3242z00_5888 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2789, BgL_arg1795z00_2790); } }  else 
{ /* Llib/pgp_logic.scm 1198 */
BgL_test3242z00_5888 = ((bool_t)0)
; } } } 
if(BgL_test3242z00_5888)
{ /* Llib/pgp_logic.scm 1198 */
BgL_test3239z00_5881 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_logic.scm 1198 */
BgL_test3239z00_5881 = ((bool_t)1)
; } }  else 
{ /* Llib/pgp_logic.scm 1197 */
BgL_test3239z00_5881 = ((bool_t)0)
; } } 
if(BgL_test3239z00_5881)
{ /* Llib/pgp_logic.scm 1196 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2858z00zz__openpgpzd2logiczd2, BGl_string2859z00zz__openpgpzd2logiczd2, BFALSE);}  else 
{ /* Llib/pgp_logic.scm 1202 */
 bool_t BgL_test3246z00_5910;
if(
NULLP(
CDR(
((obj_t)BgL_psz00_1509))))
{ /* Llib/pgp_logic.scm 1202 */
BgL_test3246z00_5910 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_logic.scm 1203 */
 obj_t BgL_arg2453z00_1544;
BgL_arg2453z00_1544 = 
CAR(
((obj_t)BgL_psz00_1509)); 
{ /* Llib/pgp_logic.scm 1203 */
 obj_t BgL_classz00_2818;
BgL_classz00_2818 = BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_arg2453z00_1544))
{ /* Llib/pgp_logic.scm 1203 */
 BgL_objectz00_bglt BgL_arg1797z00_2820;
BgL_arg1797z00_2820 = 
(BgL_objectz00_bglt)(BgL_arg2453z00_1544); 
{ /* Llib/pgp_logic.scm 1203 */
 bool_t BgL_arg1794z00_2823; bool_t BgL_arg1795z00_2824;
{ /* Llib/pgp_logic.scm 1203 */
 long BgL_idxz00_2827;
BgL_idxz00_2827 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2820); 
BgL_arg1794z00_2823 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2827+((long)2)))==BgL_classz00_2818); } 
{ /* Llib/pgp_logic.scm 1203 */
 bool_t BgL_res2647z00_2849;
{ /* Llib/pgp_logic.scm 1203 */
 obj_t BgL_oclassz00_2835;
{ /* Llib/pgp_logic.scm 1203 */
 long BgL_arg1804z00_2841;
{ /* Llib/pgp_logic.scm 1203 */
 long BgL_arg1805z00_2842;
BgL_arg1805z00_2842 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2820); 
BgL_arg1804z00_2841 = 
(BgL_arg1805z00_2842-OBJECT_TYPE); } 
BgL_oclassz00_2835 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2841); } 
{ /* Llib/pgp_logic.scm 1203 */
 bool_t BgL__ortest_1111z00_2836;
BgL__ortest_1111z00_2836 = 
(BgL_classz00_2818==BgL_oclassz00_2835); 
if(BgL__ortest_1111z00_2836)
{ /* Llib/pgp_logic.scm 1203 */
BgL_res2647z00_2849 = BgL__ortest_1111z00_2836; }  else 
{ /* Llib/pgp_logic.scm 1203 */
 long BgL_odepthz00_2837;
BgL_odepthz00_2837 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2835); 
if(
(((long)2)<BgL_odepthz00_2837))
{ /* Llib/pgp_logic.scm 1203 */
 obj_t BgL_arg1793z00_2839;
BgL_arg1793z00_2839 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2835, ((long)2)); 
BgL_res2647z00_2849 = 
(BgL_arg1793z00_2839==BgL_classz00_2818); }  else 
{ /* Llib/pgp_logic.scm 1203 */
BgL_res2647z00_2849 = ((bool_t)0); } } } } 
BgL_arg1795z00_2824 = BgL_res2647z00_2849; } 
BgL_test3246z00_5910 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2823, BgL_arg1795z00_2824); } }  else 
{ /* Llib/pgp_logic.scm 1203 */
BgL_test3246z00_5910 = ((bool_t)0)
; } } } 
if(BgL_test3246z00_5910)
{ /* Llib/pgp_logic.scm 1202 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2858z00zz__openpgpzd2logiczd2, BGl_string2860z00zz__openpgpzd2logiczd2, BFALSE);}  else 
{ /* Llib/pgp_logic.scm 1202 */
if(
NULLP(
CDR(
((obj_t)BgL_psz00_1509))))
{ /* Llib/pgp_logic.scm 1210 */
 obj_t BgL_mdcz00_1533;
BgL_mdcz00_1533 = 
CAR(
((obj_t)BgL_psz00_1509)); 
{ /* Llib/pgp_logic.scm 1210 */
 obj_t BgL_mdczd2hashzd2_1534;
BgL_mdczd2hashzd2_1534 = 
(((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_mdcz00_1533)))->BgL_hashz00); 
{ /* Llib/pgp_logic.scm 1211 */
 long BgL_hashedzd2lenzd2_1535;
BgL_hashedzd2lenzd2_1535 = 
(
STRING_LENGTH(
((obj_t)BgL_dzd2allzd2_1502))-((long)20)); 
{ /* Llib/pgp_logic.scm 1214 */
 obj_t BgL_hashedzd2strzd2_1536;
BgL_hashedzd2strzd2_1536 = 
c_substring(
((obj_t)BgL_dzd2allzd2_1502), ((long)0), BgL_hashedzd2lenzd2_1535); 
{ /* Llib/pgp_logic.scm 1215 */
 obj_t BgL_decryptedzd2hashzd2_1537;
BgL_decryptedzd2hashzd2_1537 = 
BGl_sha1sumzd2binzd2zz__openpgpzd2utilzd2(BgL_hashedzd2strzd2_1536); 
{ /* Llib/pgp_logic.scm 1216 */

{ /* Llib/pgp_logic.scm 1217 */
 bool_t BgL_test3252z00_5950;
{ /* Llib/pgp_logic.scm 1217 */
 long BgL_l1z00_2858;
BgL_l1z00_2858 = 
STRING_LENGTH(BgL_decryptedzd2hashzd2_1537); 
if(
(BgL_l1z00_2858==
STRING_LENGTH(BgL_mdczd2hashzd2_1534)))
{ /* Llib/pgp_logic.scm 1217 */
 int BgL_arg1289z00_2861;
{ /* Llib/pgp_logic.scm 1217 */
 char * BgL_auxz00_5957; char * BgL_tmpz00_5955;
BgL_auxz00_5957 = 
BSTRING_TO_STRING(BgL_mdczd2hashzd2_1534); 
BgL_tmpz00_5955 = 
BSTRING_TO_STRING(BgL_decryptedzd2hashzd2_1537); 
BgL_arg1289z00_2861 = 
memcmp(BgL_tmpz00_5955, BgL_auxz00_5957, BgL_l1z00_2858); } 
BgL_test3252z00_5950 = 
(
(long)(BgL_arg1289z00_2861)==((long)0)); }  else 
{ /* Llib/pgp_logic.scm 1217 */
BgL_test3252z00_5950 = ((bool_t)0)
; } } 
if(BgL_test3252z00_5950)
{ /* Llib/pgp_logic.scm 1217 */BFALSE; }  else 
{ /* Llib/pgp_logic.scm 1217 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2858z00zz__openpgpzd2logiczd2, BGl_string2861z00zz__openpgpzd2logiczd2, BFALSE); } } 
{ /* Llib/pgp_logic.scm 1221 */
 obj_t BgL_tmpz00_5963;
BgL_tmpz00_5963 = 
((obj_t)BgL_previousz00_1510); 
SET_CDR(BgL_tmpz00_5963, BNIL); } 
return 
CDR(BgL_dummyzd2lzd2_1507);} } } } } }  else 
{ /* Llib/pgp_logic.scm 1208 */
 obj_t BgL_arg2451z00_1541;
BgL_arg2451z00_1541 = 
CDR(
((obj_t)BgL_psz00_1509)); 
{ 
 obj_t BgL_previousz00_5970; obj_t BgL_psz00_5969;
BgL_psz00_5969 = BgL_arg2451z00_1541; 
BgL_previousz00_5970 = BgL_psz00_1509; 
BgL_previousz00_1510 = BgL_previousz00_5970; 
BgL_psz00_1509 = BgL_psz00_5969; 
goto BgL_zc3z04anonymousza32428ze3z87_1511;} } } } } } } } } } } } }  else 
{ /* Llib/pgp_logic.scm 1170 */
return BFALSE;} } } } } } } } } } 

}



/* decrypt-symmetric-key-session-key */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2symmetriczd2keyzd2sessionzd2keyz00zz__openpgpzd2logiczd2(BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_sessionzd2packetzd2_124, obj_t BgL_keyzd2stringzd2_125)
{
{ /* Llib/pgp_logic.scm 1227 */
{ /* Llib/pgp_logic.scm 1233 */
 long BgL_blockzd2lenzd2_1575;
BgL_blockzd2lenzd2_1575 = 
BGl_symmetriczd2keyzd2algozd2blockzd2bytezd2lenzd2zz__openpgpzd2algozd2(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_124))->BgL_algoz00)); 
{ /* Llib/pgp_logic.scm 1233 */
 long BgL_keyzd2lenzd2_1576;
BgL_keyzd2lenzd2_1576 = 
BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_124))->BgL_algoz00)); 
{ /* Llib/pgp_logic.scm 1234 */
 obj_t BgL_symmetriczd2keyzd2_1577;
BgL_symmetriczd2keyzd2_1577 = 
BGl_applyzd2s2kzd2zz__openpgpzd2s2kzd2(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_124))->BgL_s2kz00), BgL_keyzd2stringzd2_125, BgL_keyzd2lenzd2_1576); 
{ /* Llib/pgp_logic.scm 1235 */

if(
CBOOL(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_124))->BgL_encryptedzd2sessionzd2keyz00)))
{ /* Llib/pgp_logic.scm 1244 */
 obj_t BgL_decrypterz00_1579;
BgL_decrypterz00_1579 = 
BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_124))->BgL_algoz00), ((bool_t)0)); 
{ /* Llib/pgp_logic.scm 1244 */
 obj_t BgL_decryptedz00_1580;
{ /* Llib/pgp_logic.scm 1245 */
 obj_t BgL_arg2480z00_1592; obj_t BgL_arg2481z00_1593;
BgL_arg2480z00_1592 = 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_124))->BgL_encryptedzd2sessionzd2keyz00); 
BgL_arg2481z00_1593 = 
make_string(BgL_blockzd2lenzd2_1575, ((unsigned char)'\000')); 
BgL_decryptedz00_1580 = 
PROCEDURE_ENTRY(BgL_decrypterz00_1579)(BgL_decrypterz00_1579, BgL_arg2480z00_1592, BgL_arg2481z00_1593, BgL_symmetriczd2keyzd2_1577, BEOA); } 
{ /* Llib/pgp_logic.scm 1245 */

if(
(
STRING_LENGTH(
((obj_t)BgL_decryptedz00_1580))>((long)1)))
{ /* Llib/pgp_logic.scm 1249 */BFALSE; }  else 
{ /* Llib/pgp_logic.scm 1252 */
 obj_t BgL_arg2476z00_1583;
{ /* Llib/pgp_logic.scm 1252 */
 long BgL_endz00_2875;
BgL_endz00_2875 = 
STRING_LENGTH(
((obj_t)BgL_decryptedz00_1580)); 
{ /* Llib/pgp_logic.scm 1252 */

BgL_arg2476z00_1583 = 
BGl_stringzd2hexzd2externz00zz__r4_strings_6_7z00(
((obj_t)BgL_decryptedz00_1580), 
(int)(((long)0)), BgL_endz00_2875); } } 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2862z00zz__openpgpzd2logiczd2, BGl_string2863z00zz__openpgpzd2logiczd2, BgL_arg2476z00_1583); } 
{ /* Llib/pgp_logic.scm 1256 */
 long BgL_mainzd2algozd2bytez00_1585;
BgL_mainzd2algozd2bytez00_1585 = 
(
STRING_REF(
((obj_t)BgL_decryptedz00_1580), ((long)0))); 
{ /* Llib/pgp_logic.scm 1256 */
 obj_t BgL_mainzd2algozd2_1586;
BgL_mainzd2algozd2_1586 = 
BGl_bytezd2ze3symmetriczd2keyzd2algoz31zz__openpgpzd2enumszd2(
(signed char)(BgL_mainzd2algozd2bytez00_1585)); 
{ /* Llib/pgp_logic.scm 1257 */
 obj_t BgL_sessionzd2keyzd2_1587;
{ /* Llib/pgp_logic.scm 1258 */
 long BgL_arg2478z00_1590;
BgL_arg2478z00_1590 = 
STRING_LENGTH(
((obj_t)BgL_decryptedz00_1580)); 
BgL_sessionzd2keyzd2_1587 = 
c_substring(
((obj_t)BgL_decryptedz00_1580), ((long)1), BgL_arg2478z00_1590); } 
{ /* Llib/pgp_logic.scm 1258 */

{ /* Llib/pgp_logic.scm 1261 */
 int BgL_tmpz00_6009;
BgL_tmpz00_6009 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6009); } 
{ /* Llib/pgp_logic.scm 1261 */
 int BgL_tmpz00_6012;
BgL_tmpz00_6012 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6012, BgL_sessionzd2keyzd2_1587); } 
return BgL_mainzd2algozd2_1586;} } } } } } }  else 
{ /* Llib/pgp_logic.scm 1243 */
 obj_t BgL_val0_1353z00_1595;
BgL_val0_1353z00_1595 = 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_124))->BgL_algoz00); 
{ /* Llib/pgp_logic.scm 1243 */
 int BgL_tmpz00_6016;
BgL_tmpz00_6016 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6016); } 
{ /* Llib/pgp_logic.scm 1243 */
 int BgL_tmpz00_6019;
BgL_tmpz00_6019 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6019, BgL_symmetriczd2keyzd2_1577); } 
return BgL_val0_1353z00_1595;} } } } } } 

}



/* &decrypt-symmetric-key-session-key */
obj_t BGl_z62decryptzd2symmetriczd2keyzd2sessionzd2keyz62zz__openpgpzd2logiczd2(obj_t BgL_envz00_3227, obj_t BgL_sessionzd2packetzd2_3228, obj_t BgL_keyzd2stringzd2_3229)
{
{ /* Llib/pgp_logic.scm 1227 */
{ /* Llib/pgp_logic.scm 1231 */
 obj_t BgL_auxz00_6030; BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_auxz00_6022;
if(
STRINGP(BgL_keyzd2stringzd2_3229))
{ /* Llib/pgp_logic.scm 1231 */
BgL_auxz00_6030 = BgL_keyzd2stringzd2_3229
; }  else 
{ 
 obj_t BgL_auxz00_6033;
BgL_auxz00_6033 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)46841)), BGl_string2864z00zz__openpgpzd2logiczd2, BGl_string2819z00zz__openpgpzd2logiczd2, BgL_keyzd2stringzd2_3229); 
FAILURE(BgL_auxz00_6033,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sessionzd2packetzd2_3228, BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2))
{ /* Llib/pgp_logic.scm 1231 */
BgL_auxz00_6022 = 
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_sessionzd2packetzd2_3228)
; }  else 
{ 
 obj_t BgL_auxz00_6026;
BgL_auxz00_6026 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)46841)), BGl_string2864z00zz__openpgpzd2logiczd2, BGl_string2865z00zz__openpgpzd2logiczd2, BgL_sessionzd2packetzd2_3228); 
FAILURE(BgL_auxz00_6026,BFALSE,BFALSE);} 
return 
BGl_decryptzd2symmetriczd2keyzd2sessionzd2keyz00zz__openpgpzd2logiczd2(BgL_auxz00_6022, BgL_auxz00_6030);} } 

}



/* chksum-16-bit */
long BGl_chksumzd216zd2bitz00zz__openpgpzd2logiczd2(obj_t BgL_strz00_126)
{
{ /* Llib/pgp_logic.scm 1263 */
{ 
 long BgL_iz00_2897; long BgL_sumz00_2898;
BgL_iz00_2897 = ((long)0); 
BgL_sumz00_2898 = ((long)0); 
BgL_loopz00_2896:
if(
(BgL_iz00_2897==
STRING_LENGTH(BgL_strz00_126)))
{ /* Llib/pgp_logic.scm 1269 */
return BgL_sumz00_2898;}  else 
{ 
 long BgL_sumz00_6043; long BgL_iz00_6041;
BgL_iz00_6041 = 
(BgL_iz00_2897+((long)1)); 
BgL_sumz00_6043 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(BgL_sumz00_2898+
(
STRING_REF(BgL_strz00_126, BgL_iz00_2897))), ((long)65536)); 
BgL_sumz00_2898 = BgL_sumz00_6043; 
BgL_iz00_2897 = BgL_iz00_6041; 
goto BgL_loopz00_2896;} } } 

}



/* decrypt-public-key-session-key */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2publiczd2keyzd2sessionzd2keyz00zz__openpgpzd2logiczd2(BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_sessionzd2packetzd2_127, BgL_pgpzd2subkeyzd2_bglt BgL_subkeyz00_128, obj_t BgL_passwordzd2providerzd2_129)
{
{ /* Llib/pgp_logic.scm 1275 */
{ 
 obj_t BgL_decryptedz00_1662;
{ /* Llib/pgp_logic.scm 1319 */
 obj_t BgL_secretzd2keyzd2packetz00_1620;
BgL_secretzd2keyzd2packetz00_1620 = 
BGl_decodedzd2keyzd2packetz00zz__openpgpzd2logiczd2(BgL_subkeyz00_128, BgL_passwordzd2providerzd2_129); 
{ /* Llib/pgp_logic.scm 1325 */
 obj_t BgL_casezd2valuezd2_1623;
BgL_casezd2valuezd2_1623 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_127))->BgL_algoz00); 
{ /* Llib/pgp_logic.scm 1325 */
 bool_t BgL_test3259z00_6050;
{ /* Llib/pgp_logic.scm 1325 */
 bool_t BgL__ortest_1293z00_1657;
BgL__ortest_1293z00_1657 = 
(BgL_casezd2valuezd2_1623==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1293z00_1657)
{ /* Llib/pgp_logic.scm 1325 */
BgL_test3259z00_6050 = BgL__ortest_1293z00_1657
; }  else 
{ /* Llib/pgp_logic.scm 1325 */
BgL_test3259z00_6050 = 
(BgL_casezd2valuezd2_1623==
CNST_TABLE_REF(((long)19)))
; } } 
if(BgL_test3259z00_6050)
{ /* Llib/pgp_logic.scm 1327 */
 bool_t BgL_test3261z00_6056;
{ /* Llib/pgp_logic.scm 1327 */
 obj_t BgL_arg2501z00_1634;
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_6057;
{ 
 obj_t BgL_auxz00_6058;
{ /* Llib/pgp_logic.scm 1327 */
 BgL_objectz00_bglt BgL_tmpz00_6059;
BgL_tmpz00_6059 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_secretzd2keyzd2packetz00_1620)); 
BgL_auxz00_6058 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_6059); } 
BgL_auxz00_6057 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_6058); } 
BgL_arg2501z00_1634 = 
(((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_6057))->BgL_secretzd2keyzd2); } 
{ /* Llib/pgp_logic.scm 1327 */
 obj_t BgL_classz00_2951;
BgL_classz00_2951 = BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2; 
if(
BGL_OBJECTP(BgL_arg2501z00_1634))
{ /* Llib/pgp_logic.scm 1327 */
 BgL_objectz00_bglt BgL_arg1797z00_2953;
BgL_arg1797z00_2953 = 
(BgL_objectz00_bglt)(BgL_arg2501z00_1634); 
{ /* Llib/pgp_logic.scm 1327 */
 bool_t BgL_arg1794z00_2956; bool_t BgL_arg1795z00_2957;
{ /* Llib/pgp_logic.scm 1327 */
 long BgL_idxz00_2960;
BgL_idxz00_2960 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2953); 
BgL_arg1794z00_2956 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2960+((long)1)))==BgL_classz00_2951); } 
{ /* Llib/pgp_logic.scm 1327 */
 bool_t BgL_res2648z00_2982;
{ /* Llib/pgp_logic.scm 1327 */
 obj_t BgL_oclassz00_2968;
{ /* Llib/pgp_logic.scm 1327 */
 long BgL_arg1804z00_2974;
{ /* Llib/pgp_logic.scm 1327 */
 long BgL_arg1805z00_2975;
BgL_arg1805z00_2975 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2953); 
BgL_arg1804z00_2974 = 
(BgL_arg1805z00_2975-OBJECT_TYPE); } 
BgL_oclassz00_2968 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2974); } 
{ /* Llib/pgp_logic.scm 1327 */
 bool_t BgL__ortest_1111z00_2969;
BgL__ortest_1111z00_2969 = 
(BgL_classz00_2951==BgL_oclassz00_2968); 
if(BgL__ortest_1111z00_2969)
{ /* Llib/pgp_logic.scm 1327 */
BgL_res2648z00_2982 = BgL__ortest_1111z00_2969; }  else 
{ /* Llib/pgp_logic.scm 1327 */
 long BgL_odepthz00_2970;
BgL_odepthz00_2970 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2968); 
if(
(((long)1)<BgL_odepthz00_2970))
{ /* Llib/pgp_logic.scm 1327 */
 obj_t BgL_arg1793z00_2972;
BgL_arg1793z00_2972 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2968, ((long)1)); 
BgL_res2648z00_2982 = 
(BgL_arg1793z00_2972==BgL_classz00_2951); }  else 
{ /* Llib/pgp_logic.scm 1327 */
BgL_res2648z00_2982 = ((bool_t)0); } } } } 
BgL_arg1795z00_2957 = BgL_res2648z00_2982; } 
BgL_test3261z00_6056 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2956, BgL_arg1795z00_2957); } }  else 
{ /* Llib/pgp_logic.scm 1327 */
BgL_test3261z00_6056 = ((bool_t)0)
; } } } 
if(BgL_test3261z00_6056)
{ /* Llib/pgp_logic.scm 1331 */
 obj_t BgL_decryptedz00_1628;
{ /* Llib/pgp_logic.scm 1331 */
 obj_t BgL_arg2499z00_1632; obj_t BgL_arg2500z00_1633;
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_6083;
{ 
 obj_t BgL_auxz00_6084;
{ /* Llib/pgp_logic.scm 1331 */
 BgL_objectz00_bglt BgL_tmpz00_6085;
BgL_tmpz00_6085 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_secretzd2keyzd2packetz00_1620)); 
BgL_auxz00_6084 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_6085); } 
BgL_auxz00_6083 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_6084); } 
BgL_arg2499z00_1632 = 
(((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_6083))->BgL_secretzd2keyzd2); } 
BgL_arg2500z00_1633 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_127))->BgL_encryptedzd2sessionzd2keyz00); 
BgL_decryptedz00_1628 = 
BGl_rsazd2decryptzd2zz__cryptozd2rsazd2(
((BgL_rsazd2keyzd2_bglt)BgL_arg2499z00_1632), BgL_arg2500z00_1633); } 
{ /* Llib/pgp_logic.scm 1331 */
 obj_t BgL_decryptedzd2strzd2_1629;
{ /* Llib/util.scm 29 */

BgL_decryptedzd2strzd2_1629 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_decryptedz00_1628, ((long)-1)); } 
{ /* Llib/pgp_logic.scm 1333 */

BgL_decryptedz00_1662 = BgL_decryptedzd2strzd2_1629; 
BgL_zc3z04anonymousza32518ze3z87_1663:
if(
(((unsigned char)'\000')==
STRING_REF(BgL_decryptedz00_1662, ((long)0))))
{ /* Llib/pgp_logic.scm 1294 */
 obj_t BgL_unpaddedz00_1666;
BgL_unpaddedz00_1666 = 
BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(BgL_decryptedz00_1662, ((long)2)); 
{ /* Llib/pgp_logic.scm 1294 */
 long BgL_lenz00_1667;
BgL_lenz00_1667 = 
STRING_LENGTH(BgL_unpaddedz00_1666); 
{ /* Llib/pgp_logic.scm 1295 */

if(
(BgL_lenz00_1667>((long)3)))
{ /* Llib/pgp_logic.scm 1296 */BFALSE; }  else 
{ /* Llib/pgp_logic.scm 1299 */
 obj_t BgL_arg2523z00_1670;
{ /* Llib/pgp_logic.scm 1299 */

BgL_arg2523z00_1670 = 
BGl_stringzd2hexzd2externz00zz__r4_strings_6_7z00(BgL_unpaddedz00_1666, 
(int)(((long)0)), BgL_lenz00_1667); } 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2866z00zz__openpgpzd2logiczd2, BGl_string2867z00zz__openpgpzd2logiczd2, BgL_arg2523z00_1670); } 
{ /* Llib/pgp_logic.scm 1301 */
 long BgL_algozd2bytezd2_1672;
BgL_algozd2bytezd2_1672 = 
(
STRING_REF(BgL_unpaddedz00_1666, ((long)0))); 
{ /* Llib/pgp_logic.scm 1301 */
 obj_t BgL_algoz00_1673;
BgL_algoz00_1673 = 
BGl_bytezd2ze3symmetriczd2keyzd2algoz31zz__openpgpzd2enumszd2(
(signed char)(BgL_algozd2bytezd2_1672)); 
{ /* Llib/pgp_logic.scm 1302 */
 obj_t BgL_sessionzd2keyzd2strz00_1674;
BgL_sessionzd2keyzd2strz00_1674 = 
c_substring(BgL_unpaddedz00_1666, ((long)1), 
(BgL_lenz00_1667-((long)2))); 
{ /* Llib/pgp_logic.scm 1303 */
 long BgL_expectedzd2chksumzd2_1675;
BgL_expectedzd2chksumzd2_1675 = 
(
(((long)256)*
(
STRING_REF(BgL_unpaddedz00_1666, 
(BgL_lenz00_1667-((long)2)))))+
(
STRING_REF(BgL_unpaddedz00_1666, 
(BgL_lenz00_1667-((long)1))))); 
{ /* Llib/pgp_logic.scm 1304 */
 long BgL_actualzd2chksumzd2_1676;
BgL_actualzd2chksumzd2_1676 = 
BGl_chksumzd216zd2bitz00zz__openpgpzd2logiczd2(BgL_sessionzd2keyzd2strz00_1674); 
{ /* Llib/pgp_logic.scm 1307 */

if(
(BgL_actualzd2chksumzd2_1676==BgL_expectedzd2chksumzd2_1675))
{ /* Llib/pgp_logic.scm 1309 */BFALSE; }  else 
{ /* Llib/pgp_logic.scm 1309 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2866z00zz__openpgpzd2logiczd2, BGl_string2868z00zz__openpgpzd2logiczd2, 
BINT(BgL_actualzd2chksumzd2_1676)); } 
{ /* Llib/pgp_logic.scm 1316 */
 int BgL_tmpz00_6124;
BgL_tmpz00_6124 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6124); } 
{ /* Llib/pgp_logic.scm 1316 */
 int BgL_tmpz00_6127;
BgL_tmpz00_6127 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6127, BgL_sessionzd2keyzd2strz00_1674); } 
return BgL_algoz00_1673;} } } } } } } } }  else 
{ /* Llib/pgp_logic.scm 1293 */
 obj_t BgL_arg2531z00_1686;
{ /* Llib/pgp_logic.scm 1293 */
 obj_t BgL_arg2532z00_1687;
{ /* Llib/pgp_logic.scm 1293 */
 obj_t BgL_list2533z00_1688;
BgL_list2533z00_1688 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'\000')), BNIL); 
BgL_arg2532z00_1687 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2533z00_1688); } 
BgL_arg2531z00_1686 = 
string_append(BgL_arg2532z00_1687, BgL_decryptedz00_1662); } 
{ 
 obj_t BgL_decryptedz00_6134;
BgL_decryptedz00_6134 = BgL_arg2531z00_1686; 
BgL_decryptedz00_1662 = BgL_decryptedz00_6134; 
goto BgL_zc3z04anonymousza32518ze3z87_1663;} } } } }  else 
{ /* Llib/pgp_logic.scm 1327 */
return BFALSE;} }  else 
{ /* Llib/pgp_logic.scm 1325 */
 bool_t BgL_test3268z00_6135;
{ /* Llib/pgp_logic.scm 1325 */
 bool_t BgL__ortest_1294z00_1656;
BgL__ortest_1294z00_1656 = 
(BgL_casezd2valuezd2_1623==
CNST_TABLE_REF(((long)20))); 
if(BgL__ortest_1294z00_1656)
{ /* Llib/pgp_logic.scm 1325 */
BgL_test3268z00_6135 = BgL__ortest_1294z00_1656
; }  else 
{ /* Llib/pgp_logic.scm 1325 */
BgL_test3268z00_6135 = 
(BgL_casezd2valuezd2_1623==
CNST_TABLE_REF(((long)14)))
; } } 
if(BgL_test3268z00_6135)
{ /* Llib/pgp_logic.scm 1336 */
 bool_t BgL_test3270z00_6141;
{ /* Llib/pgp_logic.scm 1336 */
 obj_t BgL_arg2508z00_1648;
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_6142;
{ 
 obj_t BgL_auxz00_6143;
{ /* Llib/pgp_logic.scm 1336 */
 BgL_objectz00_bglt BgL_tmpz00_6144;
BgL_tmpz00_6144 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_secretzd2keyzd2packetz00_1620)); 
BgL_auxz00_6143 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_6144); } 
BgL_auxz00_6142 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_6143); } 
BgL_arg2508z00_1648 = 
(((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_6142))->BgL_secretzd2keyzd2); } 
{ /* Llib/pgp_logic.scm 1336 */
 obj_t BgL_classz00_2985;
BgL_classz00_2985 = BGl_ElGamalzd2Keyzd2zz__cryptozd2elgamalzd2; 
if(
BGL_OBJECTP(BgL_arg2508z00_1648))
{ /* Llib/pgp_logic.scm 1336 */
 BgL_objectz00_bglt BgL_arg1797z00_2987;
BgL_arg1797z00_2987 = 
(BgL_objectz00_bglt)(BgL_arg2508z00_1648); 
{ /* Llib/pgp_logic.scm 1336 */
 bool_t BgL_arg1794z00_2990; bool_t BgL_arg1795z00_2991;
{ /* Llib/pgp_logic.scm 1336 */
 long BgL_idxz00_2994;
BgL_idxz00_2994 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2987); 
BgL_arg1794z00_2990 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2994+((long)1)))==BgL_classz00_2985); } 
{ /* Llib/pgp_logic.scm 1336 */
 bool_t BgL_res2649z00_3016;
{ /* Llib/pgp_logic.scm 1336 */
 obj_t BgL_oclassz00_3002;
{ /* Llib/pgp_logic.scm 1336 */
 long BgL_arg1804z00_3008;
{ /* Llib/pgp_logic.scm 1336 */
 long BgL_arg1805z00_3009;
BgL_arg1805z00_3009 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2987); 
BgL_arg1804z00_3008 = 
(BgL_arg1805z00_3009-OBJECT_TYPE); } 
BgL_oclassz00_3002 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_3008); } 
{ /* Llib/pgp_logic.scm 1336 */
 bool_t BgL__ortest_1111z00_3003;
BgL__ortest_1111z00_3003 = 
(BgL_classz00_2985==BgL_oclassz00_3002); 
if(BgL__ortest_1111z00_3003)
{ /* Llib/pgp_logic.scm 1336 */
BgL_res2649z00_3016 = BgL__ortest_1111z00_3003; }  else 
{ /* Llib/pgp_logic.scm 1336 */
 long BgL_odepthz00_3004;
BgL_odepthz00_3004 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3002); 
if(
(((long)1)<BgL_odepthz00_3004))
{ /* Llib/pgp_logic.scm 1336 */
 obj_t BgL_arg1793z00_3006;
BgL_arg1793z00_3006 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3002, ((long)1)); 
BgL_res2649z00_3016 = 
(BgL_arg1793z00_3006==BgL_classz00_2985); }  else 
{ /* Llib/pgp_logic.scm 1336 */
BgL_res2649z00_3016 = ((bool_t)0); } } } } 
BgL_arg1795z00_2991 = BgL_res2649z00_3016; } 
BgL_test3270z00_6141 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2990, BgL_arg1795z00_2991); } }  else 
{ /* Llib/pgp_logic.scm 1336 */
BgL_test3270z00_6141 = ((bool_t)0)
; } } } 
if(BgL_test3270z00_6141)
{ /* Llib/pgp_logic.scm 1340 */
 obj_t BgL_rz00_1639;
BgL_rz00_1639 = 
CAR(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_127))->BgL_encryptedzd2sessionzd2keyz00)); 
{ /* Llib/pgp_logic.scm 1340 */
 obj_t BgL_sz00_1640;
BgL_sz00_1640 = 
CDR(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_127))->BgL_encryptedzd2sessionzd2keyz00)); 
{ /* Llib/pgp_logic.scm 1341 */
 obj_t BgL_decryptedz00_1641;
{ /* Llib/pgp_logic.scm 1342 */
 obj_t BgL_arg2505z00_1645;
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_6172;
{ 
 obj_t BgL_auxz00_6173;
{ /* Llib/pgp_logic.scm 1342 */
 BgL_objectz00_bglt BgL_tmpz00_6174;
BgL_tmpz00_6174 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_secretzd2keyzd2packetz00_1620)); 
BgL_auxz00_6173 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_6174); } 
BgL_auxz00_6172 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_6173); } 
BgL_arg2505z00_1645 = 
(((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_6172))->BgL_secretzd2keyzd2); } 
BgL_decryptedz00_1641 = 
BGl_elgamalzd2decryptzd2zz__cryptozd2elgamalzd2(
((BgL_completezd2elgamalzd2keyz00_bglt)BgL_arg2505z00_1645), BgL_rz00_1639, BgL_sz00_1640); } 
{ /* Llib/pgp_logic.scm 1342 */
 obj_t BgL_decryptedzd2strzd2_1642;
{ /* Llib/util.scm 29 */

BgL_decryptedzd2strzd2_1642 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_decryptedz00_1641, ((long)-1)); } 
{ /* Llib/pgp_logic.scm 1343 */

{ 
 obj_t BgL_decryptedz00_6183;
BgL_decryptedz00_6183 = BgL_decryptedzd2strzd2_1642; 
BgL_decryptedz00_1662 = BgL_decryptedz00_6183; 
goto BgL_zc3z04anonymousza32518ze3z87_1663;} } } } } }  else 
{ /* Llib/pgp_logic.scm 1336 */
return BFALSE;} }  else 
{ /* Llib/pgp_logic.scm 1325 */
{ /* Llib/pgp_logic.scm 1346 */
 obj_t BgL_arg2509z00_1649; obj_t BgL_arg2510z00_1650;
BgL_arg2509z00_1649 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_127))->BgL_algoz00); 
BgL_arg2510z00_1650 = 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_sessionzd2packetzd2_127))->BgL_algoz00)); 
{ /* Llib/pgp_logic.scm 1346 */
 obj_t BgL_list2511z00_1651;
{ /* Llib/pgp_logic.scm 1346 */
 obj_t BgL_arg2512z00_1652;
{ /* Llib/pgp_logic.scm 1346 */
 obj_t BgL_arg2513z00_1653;
{ /* Llib/pgp_logic.scm 1346 */
 obj_t BgL_arg2514z00_1654;
BgL_arg2514z00_1654 = 
MAKE_YOUNG_PAIR(BgL_arg2510z00_1650, BNIL); 
BgL_arg2513z00_1653 = 
MAKE_YOUNG_PAIR(BGl_string2791z00zz__openpgpzd2logiczd2, BgL_arg2514z00_1654); } 
BgL_arg2512z00_1652 = 
MAKE_YOUNG_PAIR(BgL_arg2509z00_1649, BgL_arg2513z00_1653); } 
BgL_list2511z00_1651 = 
MAKE_YOUNG_PAIR(BGl_string2869z00zz__openpgpzd2logiczd2, BgL_arg2512z00_1652); } 
BGl_warningz00zz__errorz00(BgL_list2511z00_1651); } } 
return BFALSE;} } } } } } } 

}



/* &decrypt-public-key-session-key */
obj_t BGl_z62decryptzd2publiczd2keyzd2sessionzd2keyz62zz__openpgpzd2logiczd2(obj_t BgL_envz00_3230, obj_t BgL_sessionzd2packetzd2_3231, obj_t BgL_subkeyz00_3232, obj_t BgL_passwordzd2providerzd2_3233)
{
{ /* Llib/pgp_logic.scm 1275 */
{ /* Llib/pgp_logic.scm 1282 */
 BgL_pgpzd2subkeyzd2_bglt BgL_auxz00_6200; BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_auxz00_6192;
if(
BGl_isazf3zf3zz__objectz00(BgL_subkeyz00_3232, BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_logic.scm 1282 */
BgL_auxz00_6200 = 
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_3232)
; }  else 
{ 
 obj_t BgL_auxz00_6204;
BgL_auxz00_6204 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)48891)), BGl_string2870z00zz__openpgpzd2logiczd2, BGl_string2843z00zz__openpgpzd2logiczd2, BgL_subkeyz00_3232); 
FAILURE(BgL_auxz00_6204,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sessionzd2packetzd2_3231, BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2))
{ /* Llib/pgp_logic.scm 1282 */
BgL_auxz00_6192 = 
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_sessionzd2packetzd2_3231)
; }  else 
{ 
 obj_t BgL_auxz00_6196;
BgL_auxz00_6196 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)48891)), BGl_string2870z00zz__openpgpzd2logiczd2, BGl_string2871z00zz__openpgpzd2logiczd2, BgL_sessionzd2packetzd2_3231); 
FAILURE(BgL_auxz00_6196,BFALSE,BFALSE);} 
return 
BGl_decryptzd2publiczd2keyzd2sessionzd2keyz00zz__openpgpzd2logiczd2(BgL_auxz00_6192, BgL_auxz00_6200, BgL_passwordzd2providerzd2_3233);} } 

}



/* _create-password-session-key-packet */
obj_t BGl__createzd2passwordzd2sessionzd2keyzd2packetz00zz__openpgpzd2logiczd2(obj_t BgL_env1417z00_137, obj_t BgL_opt1416z00_136)
{
{ /* Llib/pgp_logic.scm 1355 */
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_passwordz00_1696; obj_t BgL_sessionzd2keyzd2_1697; obj_t BgL_datazd2symmetriczd2algoz00_1698;
BgL_passwordz00_1696 = 
VECTOR_REF(BgL_opt1416z00_136,((long)0)); 
BgL_sessionzd2keyzd2_1697 = 
VECTOR_REF(BgL_opt1416z00_136,((long)1)); 
BgL_datazd2symmetriczd2algoz00_1698 = 
VECTOR_REF(BgL_opt1416z00_136,((long)2)); 
{ /* Llib/pgp_logic.scm 1360 */
 obj_t BgL_hashzd2algozd2_1699;
BgL_hashzd2algozd2_1699 = 
CNST_TABLE_REF(((long)15)); 
{ /* Llib/pgp_logic.scm 1363 */
 obj_t BgL_s2kzd2algozd2_1700;
BgL_s2kzd2algozd2_1700 = 
CNST_TABLE_REF(((long)41)); 
{ /* Llib/pgp_logic.scm 1362 */
 obj_t BgL_symmetriczd2algozd2_1701;
BgL_symmetriczd2algozd2_1701 = 
CNST_TABLE_REF(((long)42)); 
{ /* Llib/pgp_logic.scm 1355 */

{ 
 long BgL_iz00_1702;
BgL_iz00_1702 = ((long)3); 
BgL_check1420z00_1703:
if(
(BgL_iz00_1702==
VECTOR_LENGTH(BgL_opt1416z00_136)))
{ /* Llib/pgp_logic.scm 1355 */BNIL; }  else 
{ /* Llib/pgp_logic.scm 1355 */
 bool_t BgL_test3277z00_6218;
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_arg2540z00_1709;
BgL_arg2540z00_1709 = 
VECTOR_REF(BgL_opt1416z00_136,BgL_iz00_1702); 
BgL_test3277z00_6218 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2540z00_1709, 
CNST_TABLE_REF(((long)43)))); } 
if(BgL_test3277z00_6218)
{ 
 long BgL_iz00_6223;
BgL_iz00_6223 = 
(BgL_iz00_1702+((long)2)); 
BgL_iz00_1702 = BgL_iz00_6223; 
goto BgL_check1420z00_1703;}  else 
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_arg2539z00_1708;
BgL_arg2539z00_1708 = 
VECTOR_REF(BgL_opt1416z00_136,BgL_iz00_1702); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)44)), BGl_string2826z00zz__openpgpzd2logiczd2, BgL_arg2539z00_1708); } } } 
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_index1422z00_1710;
BgL_index1422z00_1710 = 
BGl_search1419ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1416z00_136), BgL_opt1416z00_136, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/pgp_logic.scm 1355 */
 bool_t BgL_test3278z00_6231;
{ /* Llib/pgp_logic.scm 1355 */
 long BgL_n1z00_3035;
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_tmpz00_6232;
if(
INTEGERP(BgL_index1422z00_1710))
{ /* Llib/pgp_logic.scm 1355 */
BgL_tmpz00_6232 = BgL_index1422z00_1710
; }  else 
{ 
 obj_t BgL_auxz00_6235;
BgL_auxz00_6235 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)52207)), BGl_string2872z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1422z00_1710); 
FAILURE(BgL_auxz00_6235,BFALSE,BFALSE);} 
BgL_n1z00_3035 = 
(long)CINT(BgL_tmpz00_6232); } 
BgL_test3278z00_6231 = 
(BgL_n1z00_3035>=((long)0)); } 
if(BgL_test3278z00_6231)
{ 
 long BgL_auxz00_6241;
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_tmpz00_6242;
if(
INTEGERP(BgL_index1422z00_1710))
{ /* Llib/pgp_logic.scm 1355 */
BgL_tmpz00_6242 = BgL_index1422z00_1710
; }  else 
{ 
 obj_t BgL_auxz00_6245;
BgL_auxz00_6245 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)52207)), BGl_string2872z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1422z00_1710); 
FAILURE(BgL_auxz00_6245,BFALSE,BFALSE);} 
BgL_auxz00_6241 = 
(long)CINT(BgL_tmpz00_6242); } 
BgL_hashzd2algozd2_1699 = 
VECTOR_REF(BgL_opt1416z00_136,BgL_auxz00_6241); }  else 
{ /* Llib/pgp_logic.scm 1355 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_index1423z00_1712;
BgL_index1423z00_1712 = 
BGl_search1419ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1416z00_136), BgL_opt1416z00_136, 
CNST_TABLE_REF(((long)45)), ((long)3)); 
{ /* Llib/pgp_logic.scm 1355 */
 bool_t BgL_test3281z00_6254;
{ /* Llib/pgp_logic.scm 1355 */
 long BgL_n1z00_3036;
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_tmpz00_6255;
if(
INTEGERP(BgL_index1423z00_1712))
{ /* Llib/pgp_logic.scm 1355 */
BgL_tmpz00_6255 = BgL_index1423z00_1712
; }  else 
{ 
 obj_t BgL_auxz00_6258;
BgL_auxz00_6258 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)52207)), BGl_string2872z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1423z00_1712); 
FAILURE(BgL_auxz00_6258,BFALSE,BFALSE);} 
BgL_n1z00_3036 = 
(long)CINT(BgL_tmpz00_6255); } 
BgL_test3281z00_6254 = 
(BgL_n1z00_3036>=((long)0)); } 
if(BgL_test3281z00_6254)
{ 
 long BgL_auxz00_6264;
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_tmpz00_6265;
if(
INTEGERP(BgL_index1423z00_1712))
{ /* Llib/pgp_logic.scm 1355 */
BgL_tmpz00_6265 = BgL_index1423z00_1712
; }  else 
{ 
 obj_t BgL_auxz00_6268;
BgL_auxz00_6268 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)52207)), BGl_string2872z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1423z00_1712); 
FAILURE(BgL_auxz00_6268,BFALSE,BFALSE);} 
BgL_auxz00_6264 = 
(long)CINT(BgL_tmpz00_6265); } 
BgL_s2kzd2algozd2_1700 = 
VECTOR_REF(BgL_opt1416z00_136,BgL_auxz00_6264); }  else 
{ /* Llib/pgp_logic.scm 1355 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_index1424z00_1714;
BgL_index1424z00_1714 = 
BGl_search1419ze70ze7zz__openpgpzd2logiczd2(
VECTOR_LENGTH(BgL_opt1416z00_136), BgL_opt1416z00_136, 
CNST_TABLE_REF(((long)46)), ((long)3)); 
{ /* Llib/pgp_logic.scm 1355 */
 bool_t BgL_test3284z00_6277;
{ /* Llib/pgp_logic.scm 1355 */
 long BgL_n1z00_3037;
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_tmpz00_6278;
if(
INTEGERP(BgL_index1424z00_1714))
{ /* Llib/pgp_logic.scm 1355 */
BgL_tmpz00_6278 = BgL_index1424z00_1714
; }  else 
{ 
 obj_t BgL_auxz00_6281;
BgL_auxz00_6281 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)52207)), BGl_string2872z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1424z00_1714); 
FAILURE(BgL_auxz00_6281,BFALSE,BFALSE);} 
BgL_n1z00_3037 = 
(long)CINT(BgL_tmpz00_6278); } 
BgL_test3284z00_6277 = 
(BgL_n1z00_3037>=((long)0)); } 
if(BgL_test3284z00_6277)
{ 
 long BgL_auxz00_6287;
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_tmpz00_6288;
if(
INTEGERP(BgL_index1424z00_1714))
{ /* Llib/pgp_logic.scm 1355 */
BgL_tmpz00_6288 = BgL_index1424z00_1714
; }  else 
{ 
 obj_t BgL_auxz00_6291;
BgL_auxz00_6291 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)52207)), BGl_string2872z00zz__openpgpzd2logiczd2, BGl_string2842z00zz__openpgpzd2logiczd2, BgL_index1424z00_1714); 
FAILURE(BgL_auxz00_6291,BFALSE,BFALSE);} 
BgL_auxz00_6287 = 
(long)CINT(BgL_tmpz00_6288); } 
BgL_symmetriczd2algozd2_1701 = 
VECTOR_REF(BgL_opt1416z00_136,BgL_auxz00_6287); }  else 
{ /* Llib/pgp_logic.scm 1355 */BFALSE; } } } 
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_arg2544z00_1716; obj_t BgL_arg2545z00_1717; obj_t BgL_arg2546z00_1718;
BgL_arg2544z00_1716 = 
VECTOR_REF(BgL_opt1416z00_136,((long)0)); 
BgL_arg2545z00_1717 = 
VECTOR_REF(BgL_opt1416z00_136,((long)1)); 
BgL_arg2546z00_1718 = 
VECTOR_REF(BgL_opt1416z00_136,((long)2)); 
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_hashzd2algozd2_1719;
BgL_hashzd2algozd2_1719 = BgL_hashzd2algozd2_1699; 
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_s2kzd2algozd2_1720;
BgL_s2kzd2algozd2_1720 = BgL_s2kzd2algozd2_1700; 
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_symmetriczd2algozd2_1721;
BgL_symmetriczd2algozd2_1721 = BgL_symmetriczd2algozd2_1701; 
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_auxz00_6307; obj_t BgL_auxz00_6300;
if(
SYMBOLP(BgL_arg2546z00_1718))
{ /* Llib/pgp_logic.scm 1355 */
BgL_auxz00_6307 = BgL_arg2546z00_1718
; }  else 
{ 
 obj_t BgL_auxz00_6310;
BgL_auxz00_6310 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)52207)), BGl_string2872z00zz__openpgpzd2logiczd2, BGl_string2853z00zz__openpgpzd2logiczd2, BgL_arg2546z00_1718); 
FAILURE(BgL_auxz00_6310,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2544z00_1716))
{ /* Llib/pgp_logic.scm 1355 */
BgL_auxz00_6300 = BgL_arg2544z00_1716
; }  else 
{ 
 obj_t BgL_auxz00_6303;
BgL_auxz00_6303 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)52207)), BGl_string2872z00zz__openpgpzd2logiczd2, BGl_string2819z00zz__openpgpzd2logiczd2, BgL_arg2544z00_1716); 
FAILURE(BgL_auxz00_6303,BFALSE,BFALSE);} 
return 
BGl_createzd2passwordzd2sessionzd2keyzd2packetz00zz__openpgpzd2logiczd2(BgL_auxz00_6300, BgL_arg2545z00_1717, BgL_auxz00_6307, BgL_hashzd2algozd2_1719, BgL_s2kzd2algozd2_1720, BgL_symmetriczd2algozd2_1721);} } } } } } } } } } } 

}



/* search1419~0 */
obj_t BGl_search1419ze70ze7zz__openpgpzd2logiczd2(long BgL_l1418z00_3244, obj_t BgL_opt1416z00_3243, obj_t BgL_k1z00_1693, long BgL_iz00_1694)
{
{ /* Llib/pgp_logic.scm 1355 */
BGl_search1419ze70ze7zz__openpgpzd2logiczd2:
if(
(BgL_iz00_1694==BgL_l1418z00_3244))
{ /* Llib/pgp_logic.scm 1355 */
return 
BINT(((long)-1));}  else 
{ /* Llib/pgp_logic.scm 1355 */
if(
(BgL_iz00_1694==
(BgL_l1418z00_3244-((long)1))))
{ /* Llib/pgp_logic.scm 1355 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)44)), BGl_string2873z00zz__openpgpzd2logiczd2, 
BINT(
VECTOR_LENGTH(BgL_opt1416z00_3243)));}  else 
{ /* Llib/pgp_logic.scm 1355 */
 obj_t BgL_vz00_1726;
BgL_vz00_1726 = 
VECTOR_REF(BgL_opt1416z00_3243,BgL_iz00_1694); 
if(
(BgL_vz00_1726==BgL_k1z00_1693))
{ /* Llib/pgp_logic.scm 1355 */
return 
BINT(
(BgL_iz00_1694+((long)1)));}  else 
{ 
 long BgL_iz00_6330;
BgL_iz00_6330 = 
(BgL_iz00_1694+((long)2)); 
BgL_iz00_1694 = BgL_iz00_6330; 
goto BGl_search1419ze70ze7zz__openpgpzd2logiczd2;} } } } 

}



/* create-password-session-key-packet */
BGL_EXPORTED_DEF obj_t BGl_createzd2passwordzd2sessionzd2keyzd2packetz00zz__openpgpzd2logiczd2(obj_t BgL_passwordz00_130, obj_t BgL_sessionzd2keyzd2_131, obj_t BgL_datazd2symmetriczd2algoz00_132, obj_t BgL_hashzd2algozd2_133, obj_t BgL_s2kzd2algozd2_134, obj_t BgL_symmetriczd2algozd2_135)
{
{ /* Llib/pgp_logic.scm 1355 */
{ /* Llib/pgp_logic.scm 1370 */
 obj_t BgL_saltz00_1730;
if(
(BgL_s2kzd2algozd2_134==
CNST_TABLE_REF(((long)47))))
{ /* Llib/pgp_logic.scm 1370 */
BgL_saltz00_1730 = BFALSE; }  else 
{ /* Llib/pgp_logic.scm 1372 */
 int BgL_arg2566z00_1761;
BgL_arg2566z00_1761 = 
BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2(); 
BgL_saltz00_1730 = 
BGl_makezd2randomzd2stringz00zz__openpgpzd2utilzd2(
(long)(BgL_arg2566z00_1761), BFALSE); } 
{ /* Llib/pgp_logic.scm 1370 */
 obj_t BgL_countz00_1731;
if(
(BgL_s2kzd2algozd2_134==
CNST_TABLE_REF(((long)41))))
{ /* Llib/pgp_logic.scm 1376 */
 long BgL_arg2563z00_1758;
{ /* Llib/pgp_logic.scm 1376 */
 long BgL_arg2564z00_1759;
{ /* Llib/pgp_logic.scm 1376 */
 int BgL_arg1347z00_3039;
BgL_arg1347z00_3039 = 
rand(); 
BgL_arg2564z00_1759 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1347z00_3039), ((long)6500000)); } 
BgL_arg2563z00_1758 = 
(((long)65000)+BgL_arg2564z00_1759); } 
BgL_countz00_1731 = 
BINT(
BGl_roundzd2iteratedzd2saltedzd2s2kzd2countz00zz__openpgpzd2s2kzd2(BgL_arg2563z00_1758)); }  else 
{ /* Llib/pgp_logic.scm 1374 */
BgL_countz00_1731 = BFALSE; } 
{ /* Llib/pgp_logic.scm 1374 */
 obj_t BgL_s2kz00_1732;
BgL_s2kz00_1732 = 
BGl_makezd2s2kzd2zz__openpgpzd2s2kzd2(BgL_s2kzd2algozd2_134, BgL_hashzd2algozd2_133, BgL_saltz00_1730, BgL_countz00_1731); 
{ /* Llib/pgp_logic.scm 1378 */

{ /* Llib/pgp_logic.scm 1381 */
 bool_t BgL_test3294z00_6348;
if(
CBOOL(BgL_sessionzd2keyzd2_131))
{ /* Llib/pgp_logic.scm 1381 */
BgL_test3294z00_6348 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_logic.scm 1381 */
BgL_test3294z00_6348 = 
(BgL_s2kzd2algozd2_134==
CNST_TABLE_REF(((long)47)))
; } 
if(BgL_test3294z00_6348)
{ /* Llib/pgp_logic.scm 1385 */
 obj_t BgL_arg2555z00_1734;
BgL_arg2555z00_1734 = 
BGl_s2kzd2algozd2ze3humanzd2readablez31zz__openpgpzd2humanzd2(BgL_s2kzd2algozd2_134); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(
CNST_TABLE_REF(((long)44)), BGl_string2874z00zz__openpgpzd2logiczd2, BgL_arg2555z00_1734); }  else 
{ /* Llib/pgp_logic.scm 1381 */BFALSE; } } 
if(
CBOOL(BgL_sessionzd2keyzd2_131))
{ /* Llib/pgp_logic.scm 1402 */
 long BgL_keyzd2lenzd2_1735;
BgL_keyzd2lenzd2_1735 = 
BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_symmetriczd2algozd2_135); 
{ /* Llib/pgp_logic.scm 1402 */
 long BgL_blockzd2lenzd2_1736;
BgL_blockzd2lenzd2_1736 = 
BGl_symmetriczd2keyzd2algozd2blockzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_symmetriczd2algozd2_135); 
{ /* Llib/pgp_logic.scm 1403 */
 obj_t BgL_encrypterz00_1737;
BgL_encrypterz00_1737 = 
BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(BgL_symmetriczd2algozd2_135, ((bool_t)1)); 
{ /* Llib/pgp_logic.scm 1404 */
 obj_t BgL_decrypterz00_1738;
BgL_decrypterz00_1738 = 
BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(BgL_symmetriczd2algozd2_135, ((bool_t)0)); 
{ /* Llib/pgp_logic.scm 1405 */
 obj_t BgL_keyzd2stringzd2_1739;
BgL_keyzd2stringzd2_1739 = 
BGl_applyzd2s2kzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_1732, BgL_passwordz00_130, BgL_keyzd2lenzd2_1735); 
{ /* Llib/pgp_logic.scm 1406 */
 obj_t BgL_datazd2symmetriczd2algozd2stringzd2_1740;
{ /* Llib/pgp_logic.scm 1408 */
 unsigned char BgL_arg2558z00_1747;
{ /* Llib/pgp_logic.scm 1408 */
 char BgL_arg2560z00_1749;
BgL_arg2560z00_1749 = 
BGl_symmetriczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(BgL_datazd2symmetriczd2algoz00_132); 
BgL_arg2558z00_1747 = 
(
(long)(BgL_arg2560z00_1749)); } 
{ /* Llib/pgp_logic.scm 1408 */
 obj_t BgL_list2559z00_1748;
BgL_list2559z00_1748 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg2558z00_1747), BNIL); 
BgL_datazd2symmetriczd2algozd2stringzd2_1740 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2559z00_1748); } } 
{ /* Llib/pgp_logic.scm 1407 */
 obj_t BgL_secretzd2datazd2_1741;
BgL_secretzd2datazd2_1741 = 
string_append(BgL_datazd2symmetriczd2algozd2stringzd2_1740, BgL_sessionzd2keyzd2_131); 
{ /* Llib/pgp_logic.scm 1411 */
 obj_t BgL_encryptedz00_1742;
{ /* Llib/pgp_logic.scm 1414 */
 obj_t BgL_arg2557z00_1746;
BgL_arg2557z00_1746 = 
make_string(BgL_blockzd2lenzd2_1736, ((unsigned char)'\000')); 
BgL_encryptedz00_1742 = 
PROCEDURE_ENTRY(BgL_encrypterz00_1737)(BgL_encrypterz00_1737, BgL_secretzd2datazd2_1741, BgL_arg2557z00_1746, BgL_keyzd2stringzd2_1739, BEOA); } 
{ /* Llib/pgp_logic.scm 1413 */

{ /* Llib/pgp_logic.scm 1423 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1299z00_1743;
{ /* Llib/pgp_logic.scm 1424 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1298z00_1744;
BgL_new1298z00_1744 = 
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_logic.scm 1424 */
 long BgL_arg2556z00_1745;
BgL_arg2556z00_1745 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1298z00_1744), BgL_arg2556z00_1745); } 
{ /* Llib/pgp_logic.scm 1424 */
 BgL_objectz00_bglt BgL_tmpz00_6381;
BgL_tmpz00_6381 = 
((BgL_objectz00_bglt)BgL_new1298z00_1744); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6381, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1298z00_1744); 
BgL_new1299z00_1743 = BgL_new1298z00_1744; } 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1299z00_1743))->BgL_versionz00)=((long)((long)4)),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1299z00_1743))->BgL_algoz00)=((obj_t)BgL_symmetriczd2algozd2_135),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1299z00_1743))->BgL_s2kz00)=((obj_t)BgL_s2kz00_1732),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1299z00_1743))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_encryptedz00_1742),BUNSPEC); 
return 
((obj_t)BgL_new1299z00_1743);} } } } } } } } } }  else 
{ /* Llib/pgp_logic.scm 1387 */
 long BgL_lenz00_1750;
BgL_lenz00_1750 = 
BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_datazd2symmetriczd2algoz00_132); 
{ /* Llib/pgp_logic.scm 1390 */
 obj_t BgL_generatedzd2sessionzd2keyz00_1751;
BgL_generatedzd2sessionzd2keyz00_1751 = 
BGl_applyzd2s2kzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_1732, BgL_passwordz00_130, BgL_lenz00_1750); 
{ /* Llib/pgp_logic.scm 1394 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_val1_1361z00_1753;
{ /* Llib/pgp_logic.scm 1396 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1297z00_1754;
{ /* Llib/pgp_logic.scm 1401 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1296z00_1755;
BgL_new1296z00_1755 = 
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_logic.scm 1401 */
 long BgL_arg2561z00_1756;
BgL_arg2561z00_1756 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1296z00_1755), BgL_arg2561z00_1756); } 
{ /* Llib/pgp_logic.scm 1401 */
 BgL_objectz00_bglt BgL_tmpz00_6396;
BgL_tmpz00_6396 = 
((BgL_objectz00_bglt)BgL_new1296z00_1755); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6396, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1296z00_1755); 
BgL_new1297z00_1754 = BgL_new1296z00_1755; } 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1297z00_1754))->BgL_versionz00)=((long)((long)4)),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1297z00_1754))->BgL_algoz00)=((obj_t)BgL_datazd2symmetriczd2algoz00_132),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1297z00_1754))->BgL_s2kz00)=((obj_t)BgL_s2kz00_1732),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1297z00_1754))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_val1_1361z00_1753 = BgL_new1297z00_1754; } 
{ /* Llib/pgp_logic.scm 1394 */
 int BgL_tmpz00_6404;
BgL_tmpz00_6404 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6404); } 
{ /* Llib/pgp_logic.scm 1394 */
 obj_t BgL_auxz00_6409; int BgL_tmpz00_6407;
BgL_auxz00_6409 = 
((obj_t)BgL_val1_1361z00_1753); 
BgL_tmpz00_6407 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6407, BgL_auxz00_6409); } 
return BgL_generatedzd2sessionzd2keyz00_1751;} } } } } } } } 

}



/* create-public-key-session-key-packet */
BGL_EXPORTED_DEF obj_t BGl_createzd2publiczd2keyzd2sessionzd2keyzd2packetzd2zz__openpgpzd2logiczd2(BgL_pgpzd2subkeyzd2_bglt BgL_publiczd2subkeyzd2_138, obj_t BgL_sessionzd2keyzd2_139, obj_t BgL_datazd2symmetriczd2algoz00_140)
{
{ /* Llib/pgp_logic.scm 1429 */
{ 
 obj_t BgL_unpaddedz00_1788; obj_t BgL_keyz00_1789; obj_t BgL_algoz00_1790;
{ /* Llib/pgp_logic.scm 1461 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_i1303z00_1765;
BgL_i1303z00_1765 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_publiczd2subkeyzd2_138))->BgL_keyzd2packetzd2); 
{ /* Llib/pgp_logic.scm 1462 */
 long BgL_chksumz00_1766;
BgL_chksumz00_1766 = 
BGl_chksumzd216zd2bitz00zz__openpgpzd2logiczd2(BgL_sessionzd2keyzd2_139); 
{ /* Llib/pgp_logic.scm 1462 */
 unsigned char BgL_char1z00_1767;
BgL_char1z00_1767 = 
(
(
(BgL_chksumz00_1766 & ((long)65280)) >> 
(int)(((long)8)))); 
{ /* Llib/pgp_logic.scm 1463 */
 unsigned char BgL_char2z00_1768;
BgL_char2z00_1768 = 
(
(BgL_chksumz00_1766 & ((long)255))); 
{ /* Llib/pgp_logic.scm 1464 */
 char BgL_algozd2bytezd2_1769;
BgL_algozd2bytezd2_1769 = 
BGl_symmetriczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(BgL_datazd2symmetriczd2algoz00_140); 
{ /* Llib/pgp_logic.scm 1465 */
 obj_t BgL_unpaddedz00_1770;
{ /* Llib/pgp_logic.scm 1467 */
 obj_t BgL_arg2571z00_1779; obj_t BgL_arg2572z00_1780;
{ /* Llib/pgp_logic.scm 1467 */
 unsigned char BgL_arg2573z00_1781;
BgL_arg2573z00_1781 = 
(
(long)(BgL_algozd2bytezd2_1769)); 
{ /* Llib/pgp_logic.scm 1467 */
 obj_t BgL_list2574z00_1782;
BgL_list2574z00_1782 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg2573z00_1781), BNIL); 
BgL_arg2571z00_1779 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2574z00_1782); } } 
{ /* Llib/pgp_logic.scm 1469 */
 obj_t BgL_list2575z00_1783;
{ /* Llib/pgp_logic.scm 1469 */
 obj_t BgL_arg2576z00_1784;
BgL_arg2576z00_1784 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_char2z00_1768), BNIL); 
BgL_list2575z00_1783 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_char1z00_1767), BgL_arg2576z00_1784); } 
BgL_arg2572z00_1780 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2575z00_1783); } 
BgL_unpaddedz00_1770 = 
string_append_3(BgL_arg2571z00_1779, BgL_sessionzd2keyzd2_139, BgL_arg2572z00_1780); } 
{ /* Llib/pgp_logic.scm 1466 */

{ /* Llib/pgp_logic.scm 1472 */
 obj_t BgL_usedzd2publiczd2algoz00_1771;
BgL_unpaddedz00_1788 = BgL_unpaddedz00_1770; 
BgL_keyz00_1789 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_i1303z00_1765))->BgL_keyz00); 
BgL_algoz00_1790 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_i1303z00_1765))->BgL_algoz00); 
{ /* Llib/pgp_logic.scm 1435 */
 bool_t BgL_test3297z00_6432;
{ /* Llib/pgp_logic.scm 1435 */
 bool_t BgL__ortest_1300z00_1811;
BgL__ortest_1300z00_1811 = 
(BgL_algoz00_1790==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1300z00_1811)
{ /* Llib/pgp_logic.scm 1435 */
BgL_test3297z00_6432 = BgL__ortest_1300z00_1811
; }  else 
{ /* Llib/pgp_logic.scm 1435 */
BgL_test3297z00_6432 = 
(BgL_algoz00_1790==
CNST_TABLE_REF(((long)19)))
; } } 
if(BgL_test3297z00_6432)
{ /* Llib/pgp_logic.scm 1438 */
 long BgL_keyzd2lenzd2_1795;
BgL_keyzd2lenzd2_1795 = 
BGl_rsazd2keyzd2lengthz00zz__cryptozd2rsazd2(
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_1789)); 
{ /* Llib/pgp_logic.scm 1438 */
 obj_t BgL_paddedz00_1796;
BgL_paddedz00_1796 = 
BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(BgL_unpaddedz00_1788, BgL_keyzd2lenzd2_1795, ((long)2)); 
{ /* Llib/pgp_logic.scm 1439 */

{ /* Llib/pgp_logic.scm 1442 */
 obj_t BgL_val0_1362z00_1797; obj_t BgL_val1_1363z00_1798;
BgL_val0_1362z00_1797 = 
CNST_TABLE_REF(((long)19)); 
{ /* Llib/pgp_logic.scm 1443 */
 obj_t BgL_arg2582z00_1799;
BgL_arg2582z00_1799 = 
BGl_binzd2strzd2ze3bignumze3zz__openpgpzd2utilzd2(BgL_paddedz00_1796); 
BgL_val1_1363z00_1798 = 
BGl_rsazd2encryptzd2zz__cryptozd2rsazd2(
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_1789), BgL_arg2582z00_1799); } 
{ /* Llib/pgp_logic.scm 1442 */
 int BgL_tmpz00_6445;
BgL_tmpz00_6445 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6445); } 
{ /* Llib/pgp_logic.scm 1442 */
 int BgL_tmpz00_6448;
BgL_tmpz00_6448 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6448, BgL_val1_1363z00_1798); } 
BgL_usedzd2publiczd2algoz00_1771 = BgL_val0_1362z00_1797; } } } }  else 
{ /* Llib/pgp_logic.scm 1435 */
 bool_t BgL_test3299z00_6451;
{ /* Llib/pgp_logic.scm 1435 */
 bool_t BgL__ortest_1301z00_1810;
BgL__ortest_1301z00_1810 = 
(BgL_algoz00_1790==
CNST_TABLE_REF(((long)20))); 
if(BgL__ortest_1301z00_1810)
{ /* Llib/pgp_logic.scm 1435 */
BgL_test3299z00_6451 = BgL__ortest_1301z00_1810
; }  else 
{ /* Llib/pgp_logic.scm 1435 */
BgL_test3299z00_6451 = 
(BgL_algoz00_1790==
CNST_TABLE_REF(((long)14)))
; } } 
if(BgL_test3299z00_6451)
{ /* Llib/pgp_logic.scm 1446 */
 long BgL_keyzd2lenzd2_1802;
BgL_keyzd2lenzd2_1802 = 
BGl_elgamalzd2keyzd2lengthz00zz__cryptozd2elgamalzd2(
((BgL_elgamalzd2keyzd2_bglt)BgL_keyz00_1789)); 
{ /* Llib/pgp_logic.scm 1446 */
 obj_t BgL_paddedz00_1803;
BgL_paddedz00_1803 = 
BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(BgL_unpaddedz00_1788, BgL_keyzd2lenzd2_1802, ((long)2)); 
{ /* Llib/pgp_logic.scm 1447 */

{ /* Llib/pgp_logic.scm 1450 */
 obj_t BgL_rz00_1804;
{ /* Llib/pgp_logic.scm 1451 */
 obj_t BgL_arg2584z00_1808;
BgL_arg2584z00_1808 = 
BGl_binzd2strzd2ze3bignumze3zz__openpgpzd2utilzd2(BgL_paddedz00_1803); 
BgL_rz00_1804 = 
BGl_elgamalzd2encryptzd2zz__cryptozd2elgamalzd2(
((BgL_elgamalzd2keyzd2_bglt)BgL_keyz00_1789), BgL_arg2584z00_1808); } 
{ /* Llib/pgp_logic.scm 1452 */
 obj_t BgL_sz00_1805;
{ /* Llib/pgp_logic.scm 1452 */
 obj_t BgL_tmpz00_3050;
{ /* Llib/pgp_logic.scm 1452 */
 int BgL_tmpz00_6463;
BgL_tmpz00_6463 = 
(int)(((long)1)); 
BgL_tmpz00_3050 = 
BGL_MVALUES_VAL(BgL_tmpz00_6463); } 
{ /* Llib/pgp_logic.scm 1452 */
 int BgL_tmpz00_6466;
BgL_tmpz00_6466 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6466, BUNSPEC); } 
BgL_sz00_1805 = BgL_tmpz00_3050; } 
{ /* Llib/pgp_logic.scm 1452 */
 obj_t BgL_val0_1364z00_1806; obj_t BgL_val1_1365z00_1807;
BgL_val0_1364z00_1806 = 
CNST_TABLE_REF(((long)20)); 
BgL_val1_1365z00_1807 = 
MAKE_YOUNG_PAIR(BgL_rz00_1804, BgL_sz00_1805); 
{ /* Llib/pgp_logic.scm 1452 */
 int BgL_tmpz00_6471;
BgL_tmpz00_6471 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6471); } 
{ /* Llib/pgp_logic.scm 1452 */
 int BgL_tmpz00_6474;
BgL_tmpz00_6474 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6474, BgL_val1_1365z00_1807); } 
BgL_usedzd2publiczd2algoz00_1771 = BgL_val0_1364z00_1806; } } } } } }  else 
{ /* Llib/pgp_logic.scm 1435 */
BgL_usedzd2publiczd2algoz00_1771 = 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2875z00zz__openpgpzd2logiczd2, BGl_string2876z00zz__openpgpzd2logiczd2, 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_algoz00_1790)); } } } 
{ /* Llib/pgp_logic.scm 1475 */
 obj_t BgL_encryptedz00_1772;
{ /* Llib/pgp_logic.scm 1475 */
 obj_t BgL_tmpz00_3057;
{ /* Llib/pgp_logic.scm 1475 */
 int BgL_tmpz00_6481;
BgL_tmpz00_6481 = 
(int)(((long)1)); 
BgL_tmpz00_3057 = 
BGL_MVALUES_VAL(BgL_tmpz00_6481); } 
{ /* Llib/pgp_logic.scm 1475 */
 int BgL_tmpz00_6484;
BgL_tmpz00_6484 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6484, BUNSPEC); } 
BgL_encryptedz00_1772 = BgL_tmpz00_3057; } 
{ /* Llib/pgp_logic.scm 1475 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1305z00_1773;
{ /* Llib/pgp_logic.scm 1476 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1304z00_1775;
BgL_new1304z00_1775 = 
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_logic.scm 1476 */
 long BgL_arg2568z00_1776;
BgL_arg2568z00_1776 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1304z00_1775), BgL_arg2568z00_1776); } 
{ /* Llib/pgp_logic.scm 1476 */
 BgL_objectz00_bglt BgL_tmpz00_6491;
BgL_tmpz00_6491 = 
((BgL_objectz00_bglt)BgL_new1304z00_1775); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6491, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1304z00_1775); 
BgL_new1305z00_1773 = BgL_new1304z00_1775; } 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1305z00_1773))->BgL_versionz00)=((long)((long)3)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6496;
{ /* Llib/pgp_logic.scm 1477 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2567z00_1774;
BgL_arg2567z00_1774 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_publiczd2subkeyzd2_138))->BgL_keyzd2packetzd2); 
BgL_auxz00_6496 = 
BGl_keyzd2idzd2zz__openpgpzd2logiczd2(BgL_arg2567z00_1774); } 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1305z00_1773))->BgL_idz00)=((obj_t)BgL_auxz00_6496),BUNSPEC); } 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1305z00_1773))->BgL_algoz00)=((obj_t)BgL_usedzd2publiczd2algoz00_1771),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1305z00_1773))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_encryptedz00_1772),BUNSPEC); 
return 
((obj_t)BgL_new1305z00_1773);} } } } } } } } } } } } 

}



/* &create-public-key-session-key-packet */
obj_t BGl_z62createzd2publiczd2keyzd2sessionzd2keyzd2packetzb0zz__openpgpzd2logiczd2(obj_t BgL_envz00_3234, obj_t BgL_publiczd2subkeyzd2_3235, obj_t BgL_sessionzd2keyzd2_3236, obj_t BgL_datazd2symmetriczd2algoz00_3237)
{
{ /* Llib/pgp_logic.scm 1429 */
{ /* Llib/pgp_logic.scm 1435 */
 obj_t BgL_auxz00_6518; obj_t BgL_auxz00_6511; BgL_pgpzd2subkeyzd2_bglt BgL_auxz00_6503;
if(
SYMBOLP(BgL_datazd2symmetriczd2algoz00_3237))
{ /* Llib/pgp_logic.scm 1435 */
BgL_auxz00_6518 = BgL_datazd2symmetriczd2algoz00_3237
; }  else 
{ 
 obj_t BgL_auxz00_6521;
BgL_auxz00_6521 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)55500)), BGl_string2877z00zz__openpgpzd2logiczd2, BGl_string2853z00zz__openpgpzd2logiczd2, BgL_datazd2symmetriczd2algoz00_3237); 
FAILURE(BgL_auxz00_6521,BFALSE,BFALSE);} 
if(
STRINGP(BgL_sessionzd2keyzd2_3236))
{ /* Llib/pgp_logic.scm 1435 */
BgL_auxz00_6511 = BgL_sessionzd2keyzd2_3236
; }  else 
{ 
 obj_t BgL_auxz00_6514;
BgL_auxz00_6514 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)55500)), BGl_string2877z00zz__openpgpzd2logiczd2, BGl_string2819z00zz__openpgpzd2logiczd2, BgL_sessionzd2keyzd2_3236); 
FAILURE(BgL_auxz00_6514,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_publiczd2subkeyzd2_3235, BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_logic.scm 1435 */
BgL_auxz00_6503 = 
((BgL_pgpzd2subkeyzd2_bglt)BgL_publiczd2subkeyzd2_3235)
; }  else 
{ 
 obj_t BgL_auxz00_6507;
BgL_auxz00_6507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)55500)), BGl_string2877z00zz__openpgpzd2logiczd2, BGl_string2843z00zz__openpgpzd2logiczd2, BgL_publiczd2subkeyzd2_3235); 
FAILURE(BgL_auxz00_6507,BFALSE,BFALSE);} 
return 
BGl_createzd2publiczd2keyzd2sessionzd2keyzd2packetzd2zz__openpgpzd2logiczd2(BgL_auxz00_6503, BgL_auxz00_6511, BgL_auxz00_6518);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2logiczd2()
{
{ /* Llib/pgp_logic.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2logiczd2()
{
{ /* Llib/pgp_logic.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_fingerprintzd2envzd2zz__openpgpzd2logiczd2, BGl_proc2878z00zz__openpgpzd2logiczd2, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_string2879z00zz__openpgpzd2logiczd2);} 

}



/* &fingerprint1366 */
obj_t BGl_z62fingerprint1366z62zz__openpgpzd2logiczd2(obj_t BgL_envz00_3239, obj_t BgL_kz00_3240)
{
{ /* Llib/pgp_logic.scm 276 */
{ 

{ /* Llib/pgp_logic.scm 278 */
 long BgL_aux1153z00_3518;
BgL_aux1153z00_3518 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kz00_3240)))->BgL_versionz00); 
switch( BgL_aux1153z00_3518) { case ((long)3) : 

{ /* Llib/pgp_logic.scm 280 */
 bool_t BgL_test3304z00_6529;
{ /* Llib/pgp_logic.scm 280 */
 obj_t BgL_arg2591z00_3519;
BgL_arg2591z00_3519 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kz00_3240)))->BgL_keyz00); 
{ /* Llib/pgp_logic.scm 280 */
 obj_t BgL_classz00_3520;
BgL_classz00_3520 = BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2; 
if(
BGL_OBJECTP(BgL_arg2591z00_3519))
{ /* Llib/pgp_logic.scm 280 */
 BgL_objectz00_bglt BgL_arg1797z00_3521;
BgL_arg1797z00_3521 = 
(BgL_objectz00_bglt)(BgL_arg2591z00_3519); 
{ /* Llib/pgp_logic.scm 280 */
 bool_t BgL_arg1794z00_3522; bool_t BgL_arg1795z00_3523;
{ /* Llib/pgp_logic.scm 280 */
 long BgL_idxz00_3524;
BgL_idxz00_3524 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_3521); 
BgL_arg1794z00_3522 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3524+((long)1)))==BgL_classz00_3520); } 
{ /* Llib/pgp_logic.scm 280 */
 bool_t BgL_res2650z00_3527;
{ /* Llib/pgp_logic.scm 280 */
 obj_t BgL_oclassz00_3528;
{ /* Llib/pgp_logic.scm 280 */
 long BgL_arg1804z00_3529;
{ /* Llib/pgp_logic.scm 280 */
 long BgL_arg1805z00_3530;
BgL_arg1805z00_3530 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_3521); 
BgL_arg1804z00_3529 = 
(BgL_arg1805z00_3530-OBJECT_TYPE); } 
BgL_oclassz00_3528 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_3529); } 
{ /* Llib/pgp_logic.scm 280 */
 bool_t BgL__ortest_1111z00_3531;
BgL__ortest_1111z00_3531 = 
(BgL_classz00_3520==BgL_oclassz00_3528); 
if(BgL__ortest_1111z00_3531)
{ /* Llib/pgp_logic.scm 280 */
BgL_res2650z00_3527 = BgL__ortest_1111z00_3531; }  else 
{ /* Llib/pgp_logic.scm 280 */
 long BgL_odepthz00_3532;
BgL_odepthz00_3532 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3528); 
if(
(((long)1)<BgL_odepthz00_3532))
{ /* Llib/pgp_logic.scm 280 */
 obj_t BgL_arg1793z00_3533;
BgL_arg1793z00_3533 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3528, ((long)1)); 
BgL_res2650z00_3527 = 
(BgL_arg1793z00_3533==BgL_classz00_3520); }  else 
{ /* Llib/pgp_logic.scm 280 */
BgL_res2650z00_3527 = ((bool_t)0); } } } } 
BgL_arg1795z00_3523 = BgL_res2650z00_3527; } 
BgL_test3304z00_6529 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_3522, BgL_arg1795z00_3523); } }  else 
{ /* Llib/pgp_logic.scm 280 */
BgL_test3304z00_6529 = ((bool_t)0)
; } } } 
if(BgL_test3304z00_6529)
{ /* Llib/pgp_logic.scm 280 */BFALSE; }  else 
{ /* Llib/pgp_logic.scm 280 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2794z00zz__openpgpzd2logiczd2, BGl_string2795z00zz__openpgpzd2logiczd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kz00_3240)))->BgL_keyz00)); } } 
{ /* Llib/pgp_logic.scm 282 */
 BgL_rsazd2keyzd2_bglt BgL_i1154z00_3534;
BgL_i1154z00_3534 = 
((BgL_rsazd2keyzd2_bglt)
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kz00_3240)))->BgL_keyz00)); 
{ /* Llib/pgp_logic.scm 283 */
 obj_t BgL_moduluszd2strzd2_3535; obj_t BgL_expzd2strzd2_3536;
{ /* Llib/pgp_logic.scm 283 */
 obj_t BgL_arg2593z00_3537;
BgL_arg2593z00_3537 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_i1154z00_3534))->BgL_modulusz00); 
{ /* Llib/pgp_logic.scm 283 */

BgL_moduluszd2strzd2_3535 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg2593z00_3537, ((long)-1)); } } 
{ /* Llib/pgp_logic.scm 284 */
 obj_t BgL_arg2594z00_3538;
BgL_arg2594z00_3538 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_i1154z00_3534))->BgL_exponentz00); 
{ /* Llib/pgp_logic.scm 284 */

BgL_expzd2strzd2_3536 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg2594z00_3538, ((long)-1)); } } 
return 
BGl_md5sumzd2binzd2zz__openpgpzd2utilzd2(
string_append(BgL_moduluszd2strzd2_3535, BgL_expzd2strzd2_3536));} } break;case ((long)4) : 

{ /* Llib/pgp_logic.scm 287 */
 obj_t BgL_strzd2pzd2_3539;
{ /* Llib/pgp_logic.scm 287 */

{ /* Llib/pgp_logic.scm 287 */

BgL_strzd2pzd2_3539 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kz00_3240), BgL_strzd2pzd2_3539); 
{ /* Llib/pgp_logic.scm 289 */
 obj_t BgL_strz00_3540;
BgL_strz00_3540 = 
bgl_close_output_port(BgL_strzd2pzd2_3539); 
{ /* Llib/pgp_logic.scm 289 */
 long BgL_lenz00_3541;
BgL_lenz00_3541 = 
STRING_LENGTH(
((obj_t)BgL_strz00_3540)); 
{ /* Llib/pgp_logic.scm 290 */
 long BgL_highz00_3542;
BgL_highz00_3542 = 
(((long)255) & 
(BgL_lenz00_3541 >> 
(int)(((long)8)))); 
{ /* Llib/pgp_logic.scm 291 */
 long BgL_lowz00_3543;
BgL_lowz00_3543 = 
(((long)255) & BgL_lenz00_3541); 
{ /* Llib/pgp_logic.scm 292 */
 obj_t BgL_hashedzd2strzd2_3544;
{ /* Llib/pgp_logic.scm 293 */
 long BgL_arg2598z00_3545;
BgL_arg2598z00_3545 = 
(BgL_lenz00_3541+((long)3)); 
{ /* Llib/pgp_logic.scm 293 */

BgL_hashedzd2strzd2_3544 = 
make_string(BgL_arg2598z00_3545, ((unsigned char)' ')); } } 
{ /* Llib/pgp_logic.scm 293 */

{ /* Llib/pgp_logic.scm 294 */
 unsigned char BgL_tmpz00_6574;
BgL_tmpz00_6574 = 
(((long)153)); 
STRING_SET(BgL_hashedzd2strzd2_3544, ((long)0), BgL_tmpz00_6574); } 
{ /* Llib/pgp_logic.scm 295 */
 unsigned char BgL_tmpz00_6577;
BgL_tmpz00_6577 = 
(BgL_highz00_3542); 
STRING_SET(BgL_hashedzd2strzd2_3544, ((long)1), BgL_tmpz00_6577); } 
{ /* Llib/pgp_logic.scm 296 */
 unsigned char BgL_tmpz00_6580;
BgL_tmpz00_6580 = 
(BgL_lowz00_3543); 
STRING_SET(BgL_hashedzd2strzd2_3544, ((long)2), BgL_tmpz00_6580); } 
blit_string(
((obj_t)BgL_strz00_3540), ((long)0), BgL_hashedzd2strzd2_3544, ((long)3), BgL_lenz00_3541); 
return 
BGl_sha1sumzd2binzd2zz__openpgpzd2utilzd2(BgL_hashedzd2strzd2_3544);} } } } } } } break;
default: 
{ /* Llib/pgp_logic.scm 300 */
 long BgL_arg2600z00_3517;
BgL_arg2600z00_3517 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kz00_3240)))->BgL_versionz00); 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2880z00zz__openpgpzd2logiczd2, BGl_string2780z00zz__openpgpzd2logiczd2, 
BINT(BgL_arg2600z00_3517));} } } } } 

}



/* fingerprint */
BGL_EXPORTED_DEF obj_t BGl_fingerprintz00zz__openpgpzd2logiczd2(BgL_pgpzd2keyzd2packetz00_bglt BgL_kz00_21)
{
{ /* Llib/pgp_logic.scm 276 */
{ /* Llib/pgp_logic.scm 276 */
 obj_t BgL_method1367z00_1850;
{ /* Llib/pgp_logic.scm 276 */
 obj_t BgL_res2655z00_3142;
{ /* Llib/pgp_logic.scm 276 */
 long BgL_objzd2classzd2numz00_3113;
BgL_objzd2classzd2numz00_3113 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_kz00_21)); 
{ /* Llib/pgp_logic.scm 276 */
 obj_t BgL_arg1801z00_3114;
BgL_arg1801z00_3114 = 
PROCEDURE_REF(BGl_fingerprintzd2envzd2zz__openpgpzd2logiczd2, 
(int)(((long)1))); 
{ /* Llib/pgp_logic.scm 276 */
 int BgL_offsetz00_3117;
BgL_offsetz00_3117 = 
(int)(BgL_objzd2classzd2numz00_3113); 
{ /* Llib/pgp_logic.scm 276 */
 long BgL_offsetz00_3118;
BgL_offsetz00_3118 = 
(
(long)(BgL_offsetz00_3117)-OBJECT_TYPE); 
{ /* Llib/pgp_logic.scm 276 */
 long BgL_modz00_3119;
BgL_modz00_3119 = 
(BgL_offsetz00_3118 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_logic.scm 276 */
 long BgL_restz00_3121;
BgL_restz00_3121 = 
(BgL_offsetz00_3118 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_logic.scm 276 */

{ /* Llib/pgp_logic.scm 276 */
 obj_t BgL_bucketz00_3123;
BgL_bucketz00_3123 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3114),BgL_modz00_3119); 
BgL_res2655z00_3142 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3123),BgL_restz00_3121); } } } } } } } } 
BgL_method1367z00_1850 = BgL_res2655z00_3142; } 
return 
PROCEDURE_ENTRY(BgL_method1367z00_1850)(BgL_method1367z00_1850, 
((obj_t)BgL_kz00_21), BEOA);} } 

}



/* &fingerprint */
obj_t BGl_z62fingerprintz62zz__openpgpzd2logiczd2(obj_t BgL_envz00_3241, obj_t BgL_kz00_3242)
{
{ /* Llib/pgp_logic.scm 276 */
{ /* Llib/pgp_logic.scm 276 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_6621;
{ /* Llib/pgp_logic.scm 276 */
 bool_t BgL_test3308z00_6622;
{ /* Llib/pgp_logic.scm 276 */
 obj_t BgL_classz00_3546;
BgL_classz00_3546 = BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_kz00_3242))
{ /* Llib/pgp_logic.scm 276 */
 BgL_objectz00_bglt BgL_arg1799z00_3548; long BgL_arg1800z00_3549;
BgL_arg1799z00_3548 = 
(BgL_objectz00_bglt)(BgL_kz00_3242); 
BgL_arg1800z00_3549 = 
BGL_CLASS_DEPTH(BgL_classz00_3546); 
{ /* Llib/pgp_logic.scm 276 */
 bool_t BgL_arg1794z00_3553; bool_t BgL_arg1795z00_3554;
{ /* Llib/pgp_logic.scm 276 */
 long BgL_idxz00_3558;
BgL_idxz00_3558 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_3548); 
{ /* Llib/pgp_logic.scm 276 */
 obj_t BgL_arg1791z00_3559;
{ /* Llib/pgp_logic.scm 276 */
 long BgL_arg1792z00_3560;
BgL_arg1792z00_3560 = 
(BgL_idxz00_3558+BgL_arg1800z00_3549); 
BgL_arg1791z00_3559 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_3560); } 
BgL_arg1794z00_3553 = 
(BgL_arg1791z00_3559==BgL_classz00_3546); } } 
{ /* Llib/pgp_logic.scm 276 */
 bool_t BgL_res2886z00_3583;
{ /* Llib/pgp_logic.scm 276 */
 obj_t BgL_oclassz00_3568;
{ /* Llib/pgp_logic.scm 276 */
 long BgL_arg1804z00_3574;
{ /* Llib/pgp_logic.scm 276 */
 long BgL_arg1805z00_3575;
BgL_arg1805z00_3575 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_3548); 
BgL_arg1804z00_3574 = 
(BgL_arg1805z00_3575-OBJECT_TYPE); } 
BgL_oclassz00_3568 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_3574); } 
{ /* Llib/pgp_logic.scm 276 */
 bool_t BgL__ortest_1111z00_3569;
BgL__ortest_1111z00_3569 = 
(BgL_classz00_3546==BgL_oclassz00_3568); 
if(BgL__ortest_1111z00_3569)
{ /* Llib/pgp_logic.scm 276 */
BgL_res2886z00_3583 = BgL__ortest_1111z00_3569; }  else 
{ /* Llib/pgp_logic.scm 276 */
 long BgL_odepthz00_3570;
BgL_odepthz00_3570 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3568); 
if(
(BgL_arg1800z00_3549<BgL_odepthz00_3570))
{ /* Llib/pgp_logic.scm 276 */
 obj_t BgL_arg1793z00_3572;
BgL_arg1793z00_3572 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3568, BgL_arg1800z00_3549); 
BgL_res2886z00_3583 = 
(BgL_arg1793z00_3572==BgL_classz00_3546); }  else 
{ /* Llib/pgp_logic.scm 276 */
BgL_res2886z00_3583 = ((bool_t)0); } } } } 
BgL_arg1795z00_3554 = BgL_res2886z00_3583; } 
BgL_test3308z00_6622 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_3553, BgL_arg1795z00_3554); } }  else 
{ /* Llib/pgp_logic.scm 276 */
BgL_test3308z00_6622 = ((bool_t)0)
; } } 
if(BgL_test3308z00_6622)
{ /* Llib/pgp_logic.scm 276 */
BgL_auxz00_6621 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_kz00_3242)
; }  else 
{ 
 obj_t BgL_auxz00_6643;
BgL_auxz00_6643 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2796z00zz__openpgpzd2logiczd2, 
BINT(((long)10677)), BGl_string2881z00zz__openpgpzd2logiczd2, BGl_string2798z00zz__openpgpzd2logiczd2, BgL_kz00_3242); 
FAILURE(BgL_auxz00_6643,BFALSE,BFALSE);} } 
return 
BGl_fingerprintz00zz__openpgpzd2logiczd2(BgL_auxz00_6621);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2logiczd2()
{
{ /* Llib/pgp_logic.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2logiczd2()
{
{ /* Llib/pgp_logic.scm 15 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(((long)486475050), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2portzd2utilz00(((long)98035382), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(((long)249755061), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2decodezd2(((long)275867649), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(((long)466864889), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(((long)103989188), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(((long)524611842), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2algozd2(((long)265258059), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(((long)485669724), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(((long)520811633), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2compositionzd2(((long)106628399), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(((long)364974745), 
BSTRING_TO_STRING(BGl_string2882z00zz__openpgpzd2logiczd2));} 

}

#ifdef __cplusplus
}
#endif
