/*===========================================================================*/
/*   (Llib/pdgaservo.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -srfi phidget -unsafe -safee -copt  -copt -fPIC -copt -IClib Llib/pdgaservo.scm -o objs/pdgaservo.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglphidget_config.h>
#include <bglphidget.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62phidgetzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62phidgetzd2errorzb0_bglt;

typedef struct BgL_phidgetz00_bgl {
   header_t header;
   obj_t widening;
   CPhidgetHandle BgL_z42builtinz42;
   int BgL_z52serialzd2numberz80;
} *BgL_phidgetz00_bglt;

typedef struct BgL_phidgetzd2advancedzd2servoz00_bgl {
   header_t header;
   obj_t widening;
   CPhidgetHandle BgL_z42builtinz42;
   int BgL_z52serialzd2numberz80;
} *BgL_phidgetzd2advancedzd2servoz00_bglt;


BGL_EXPORTED_DECL obj_t bgl_advanced_servo_new(CPhidgetAdvancedServoHandle);
extern double bgl_phidget_advanced_servo_get_velocity_min(CPhidgetAdvancedServoHandle, int, obj_t);
extern obj_t BGl_phidgetzd2strerrorzd2zz__phidgetz00(int);
BGL_EXPORTED_DECL double BGl_phidgetzd2advancedzd2servozd2positionzd2maxz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2positionzd2minz62zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__phidget_advancedzd2servozd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2advancedzd2servozd2parameterszd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int, double, double, double, double);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzb0zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
extern double bgl_phidget_advanced_servo_get_position_min(CPhidgetAdvancedServoHandle, int, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__phidget_advancedzd2servozd2();
static obj_t BGl_z62phidgetzd2advancedzd2servozd2stoppedzb0zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2advancedzd2servozd2typezd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int, obj_t);
BGL_EXPORTED_DECL double BGl_phidgetzd2advancedzd2servozd2velocityzd2minz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
static obj_t BGl_genericzd2initzd2zz__phidget_advancedzd2servozd2();
extern double bgl_phidget_advanced_servo_get_acceleration_max(CPhidgetAdvancedServoHandle, int, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__phidget_advancedzd2servozd2();
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int, bool_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2 = BUNSPEC;
BGL_EXPORTED_DECL double BGl_phidgetzd2advancedzd2servozd2positionzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2positionzb0zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_phidgetzd2advancedzd2servozd2accelerationzd2maxz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2accelerationzd2setz12z70zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t, obj_t);
extern double bgl_phidget_advanced_servo_get_velocity_limit(CPhidgetAdvancedServoHandle, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2advancedzd2servozd2velocityzd2limitzd2setz12zc0zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int, double);
extern int bgl_phidget_advanced_servo_get_stopped(CPhidgetAdvancedServoHandle, int, obj_t);
BGL_EXPORTED_DECL double BGl_phidgetzd2advancedzd2servozd2positionzd2minz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
extern obj_t BGl_servozd2typezd2ze3symbolze3zz__phidget_ctypesz00(CPhidget_ServoType);
extern int bgl_phidget_advanced_servo_get_servo_type(CPhidgetAdvancedServoHandle, int, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern bool_t BGl_pdgboolzd2ze3boolz31zz__phidget_ctypesz00(int);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2velocityzd2limitzd2setz12za2zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_phidgetzd2advancedzd2servozd2stoppedzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__phidget_advancedzd2servozd2();
static obj_t BGl_z62phidgetzd2advancedzd2servozd2typezd2setz12z70zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2parameterszd2setz12z70zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2engagedzd2setz12z70zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t, obj_t);
extern CPhidget_ServoType BGl_symbolzd2ze3servozd2typeze3zz__phidget_ctypesz00(obj_t);
extern obj_t BGl_phidgetz00zz__phidget_phidgetz00;
static obj_t BGl_z62z52phidgetzd2initzd2phidge1139z30zz__phidget_advancedzd2servozd2(obj_t, obj_t);
extern obj_t BGl_z62phidgetzd2errorzb0zz__phidget_typesz00;
extern double bgl_phidget_advanced_servo_get_acceleration_min(CPhidgetAdvancedServoHandle, int, obj_t);
extern obj_t BGl_phidgetzd2initz12zc0zz__phidgetz00();
static obj_t BGl_z62phidgetzd2advancedzd2servozd2currentzb0zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
extern int CPhidgetAdvancedServo_setAcceleration(CPhidgetAdvancedServoHandle, int, double);
BGL_EXPORTED_DECL double BGl_phidgetzd2advancedzd2servozd2accelerationzd2minz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2advancedzd2servozd2accelerationzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int, double);
extern int bgl_phidget_advanced_servo_get_speed_ramping_on(CPhidgetAdvancedServoHandle, int, obj_t);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2accelerationzb0zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2engagedzb0zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
extern double bgl_phidget_advanced_servo_get_current(CPhidgetAdvancedServoHandle, int, obj_t);
static obj_t BGl_z62phidgetzd2addzd2eventzd2li1141zb0zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t, obj_t);
extern double bgl_phidget_advanced_servo_get_velocity(CPhidgetAdvancedServoHandle, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__phidget_advancedzd2servozd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_eventz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidgetz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_ctypesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL bool_t BGl_phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2positionzd2setz12z70zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31713ze3ze5zz__phidget_advancedzd2servozd2(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_phidgetzd2advancedzd2servozd2currentzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
extern double bgl_phidget_advanced_servo_get_acceleration(CPhidgetAdvancedServoHandle, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2advancedzd2servozd2engagedzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int, bool_t);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzd2setz12z70zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31714ze3ze5zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2advancedzd2servozd2typezd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
extern int bgl_phidget_advanced_servo_get_engaged(CPhidgetAdvancedServoHandle, int, obj_t);
static obj_t BGl_cnstzd2initzd2zz__phidget_advancedzd2servozd2();
static obj_t BGl_z62phidgetzd2advancedzd2servozd2velocityzd2maxz62zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_advancedzd2servozd2();
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2advancedzd2servozd2positionzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int, double);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__phidget_advancedzd2servozd2();
static obj_t BGl_gczd2rootszd2initz00zz__phidget_advancedzd2servozd2();
static obj_t BGl_z62zc3z04anonymousza31707ze3ze5zz__phidget_advancedzd2servozd2(obj_t, obj_t);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2accelerationzd2maxz62zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_phidgetzd2advancedzd2servozd2engagedzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
extern int bgl_phidget_advanced_servo_add_event_listener(CPhidgetAdvancedServoHandle, char *, obj_t, obj_t);
extern double bgl_phidget_advanced_servo_get_velocity_max(CPhidgetAdvancedServoHandle, int, obj_t);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2positionzd2maxz62zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static BgL_phidgetzd2advancedzd2servoz00_bglt BGl_z62lambda1702z62zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
extern int bgl_phidget_advanced_servo_get_motor_count(CPhidgetAdvancedServoHandle, obj_t);
static BgL_phidgetzd2advancedzd2servoz00_bglt BGl_z62lambda1705z62zz__phidget_advancedzd2servozd2(obj_t);
BGL_EXPORTED_DECL double BGl_phidgetzd2advancedzd2servozd2accelerationzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_phidgetzd2advancedzd2servozd2velocityzd2limitz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
extern double bgl_phidget_advanced_servo_get_position_max(CPhidgetAdvancedServoHandle, int, obj_t);
static obj_t BGl_z62zc3z04anonymousza31728ze3ze5zz__phidget_advancedzd2servozd2(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_phidgetzd2advancedzd2servozd2velocityzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2velocityzb0zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_phidgetzd2advancedzd2servozd2velocityzd2maxz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt, int);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2velocityzd2minz62zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2typezb0zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
extern double bgl_phidget_advanced_servo_get_position(CPhidgetAdvancedServoHandle, int, obj_t);
static obj_t BGl_z62z42makezd2advancedzd2servoz20zz__phidget_advancedzd2servozd2(obj_t, obj_t);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2velocityzd2limitz62zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2advancedzd2servozd2accelerationzd2minz62zz__phidget_advancedzd2servozd2(obj_t, obj_t, obj_t);
static obj_t __cnst[ 4 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2typezd2envz00zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1970z00, BGl_z62phidgetzd2advancedzd2servozd2typezb0zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42makezd2advancedzd2servozd2envz90zz__phidget_advancedzd2servozd2, BgL_bgl_za762za742makeza7d2adv1971za7, BGl_z62z42makezd2advancedzd2servoz20zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2currentzd2envz00zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1972z00, BGl_z62phidgetzd2advancedzd2servozd2currentzb0zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2positionzd2minzd2envzd2zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1973z00, BGl_z62phidgetzd2advancedzd2servozd2positionzd2minz62zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2positionzd2maxzd2envzd2zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1974z00, BGl_z62phidgetzd2advancedzd2servozd2positionzd2maxz62zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2accelerationzd2setz12zd2envzc0zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1975z00, BGl_z62phidgetzd2advancedzd2servozd2accelerationzd2setz12z70zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2accelerationzd2envz00zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1976z00, BGl_z62phidgetzd2advancedzd2servozd2accelerationzb0zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2engagedzd2envz00zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1977z00, BGl_z62phidgetzd2advancedzd2servozd2engagedzb0zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2velocityzd2minzd2envzd2zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1978z00, BGl_z62phidgetzd2advancedzd2servozd2velocityzd2minz62zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2velocityzd2maxzd2envzd2zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1979z00, BGl_z62phidgetzd2advancedzd2servozd2velocityzd2maxz62zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2stoppedzd2envz00zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1980z00, BGl_z62phidgetzd2advancedzd2servozd2stoppedzb0zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzd2setz12zd2envzc0zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1981z00, BGl_z62phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzd2setz12z70zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2velocityzd2limitzd2envzd2zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1982z00, BGl_z62phidgetzd2advancedzd2servozd2velocityzd2limitz62zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2engagedzd2setz12zd2envzc0zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1983z00, BGl_z62phidgetzd2advancedzd2servozd2engagedzd2setz12z70zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1920z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1920za700za7za7_1984za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/phidget/src/Llib/pdgaservo.scm", 70 );
DEFINE_STRING( BGl_string1921z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1921za700za7za7_1985za7, "&$make-advanced-servo", 21 );
DEFINE_STRING( BGl_string1922z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1922za700za7za7_1986za7, "void*", 5 );
DEFINE_STRING( BGl_string1923z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1923za700za7za7_1987za7, "&phidget-advanced-servo-acceleration", 36 );
DEFINE_STRING( BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1924za700za7za7_1988za7, "phidget-advanced-servo", 22 );
DEFINE_STRING( BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1925za700za7za7_1989za7, "bint", 4 );
DEFINE_STRING( BGl_string1926z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1926za700za7za7_1990za7, "phidget-advanced-servo-acceleration-set!", 40 );
DEFINE_STRING( BGl_string1927z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1927za700za7za7_1991za7, "&phidget-advanced-servo-acceleration-set!", 41 );
DEFINE_STRING( BGl_string1928z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1928za700za7za7_1992za7, "real", 4 );
DEFINE_STRING( BGl_string1929z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1929za700za7za7_1993za7, "&phidget-advanced-servo-acceleration-max", 40 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzd2envz00zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv1994z00, BGl_z62phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzb0zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1930z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1930za700za7za7_1995za7, "&phidget-advanced-servo-acceleration-min", 40 );
DEFINE_STRING( BGl_string1931z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1931za700za7za7_1996za7, "&phidget-advanced-servo-velocity-limit", 38 );
DEFINE_STRING( BGl_string1932z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1932za700za7za7_1997za7, "phidget-advanced-servo-velocity-set!", 36 );
DEFINE_STRING( BGl_string1933z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1933za700za7za7_1998za7, "&phidget-advanced-servo-velocity-limit-set!", 43 );
DEFINE_STRING( BGl_string1934z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1934za700za7za7_1999za7, "&phidget-advanced-servo-velocity", 32 );
DEFINE_STRING( BGl_string1935z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1935za700za7za7_2000za7, "&phidget-advanced-servo-velocity-max", 36 );
DEFINE_STRING( BGl_string1936z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1936za700za7za7_2001za7, "&phidget-advanced-servo-velocity-min", 36 );
DEFINE_STRING( BGl_string1937z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1937za700za7za7_2002za7, "&phidget-advanced-servo-position", 32 );
DEFINE_STRING( BGl_string1938z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1938za700za7za7_2003za7, "phidget-advanced-servo-position-set!", 36 );
DEFINE_STRING( BGl_string1939z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1939za700za7za7_2004za7, "&phidget-advanced-servo-position-set!", 37 );
extern obj_t BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00;
DEFINE_STRING( BGl_string1940z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1940za700za7za7_2005za7, "&phidget-advanced-servo-position-max", 36 );
DEFINE_STRING( BGl_string1941z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1941za700za7za7_2006za7, "&phidget-advanced-servo-position-min", 36 );
DEFINE_STRING( BGl_string1942z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1942za700za7za7_2007za7, "&phidget-advanced-servo-engaged", 31 );
DEFINE_STRING( BGl_string1943z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1943za700za7za7_2008za7, "phidget-advanced-servo-engaged-set!", 35 );
DEFINE_STRING( BGl_string1944z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1944za700za7za7_2009za7, "&phidget-advanced-servo-engaged-set!", 36 );
DEFINE_STRING( BGl_string1945z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1945za700za7za7_2010za7, "&phidget-advanced-servo-speed-ramping-on", 40 );
DEFINE_STRING( BGl_string1946z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1946za700za7za7_2011za7, "phidget-advanced-servo-speed-ramping-on-set!", 44 );
DEFINE_STRING( BGl_string1947z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1947za700za7za7_2012za7, "&phidget-advanced-servo-speed-ramping-on-set!", 45 );
DEFINE_STRING( BGl_string1948z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1948za700za7za7_2013za7, "&phidget-advanced-servo-stopped", 31 );
DEFINE_STRING( BGl_string1949z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1949za700za7za7_2014za7, "&phidget-advanced-servo-current", 31 );
DEFINE_STRING( BGl_string1950z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1950za700za7za7_2015za7, "phidget-advanced-servo-parameters-set!", 38 );
DEFINE_STRING( BGl_string1951z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1951za700za7za7_2016za7, "&phidget-advanced-servo-parameters-set!", 39 );
DEFINE_STRING( BGl_string1952z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1952za700za7za7_2017za7, "&phidget-advanced-servo-type", 28 );
DEFINE_STRING( BGl_string1953z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1953za700za7za7_2018za7, "phidget-advanced-servo-type-set!", 32 );
DEFINE_STRING( BGl_string1954z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1954za700za7za7_2019za7, "&phidget-advanced-servo-type-set!", 33 );
DEFINE_STRING( BGl_string1955z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1955za700za7za7_2020za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1956z00zz__phidget_advancedzd2servozd2, BgL_bgl_za762za7c3za704anonymo2021za7, BGl_z62zc3z04anonymousza31714ze3ze5zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1963z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1963za700za7za7_2022za7, "%phidget-init", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1957z00zz__phidget_advancedzd2servozd2, BgL_bgl_za762za7c3za704anonymo2023za7, BGl_z62zc3z04anonymousza31713ze3ze5zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1958z00zz__phidget_advancedzd2servozd2, BgL_bgl_za762za7c3za704anonymo2024za7, BGl_z62zc3z04anonymousza31728ze3ze5zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1965z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1965za700za7za7_2025za7, "phidget-add-event-listener!", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1959z00zz__phidget_advancedzd2servozd2, BgL_bgl_za762za7c3za704anonymo2026za7, BGl_z62zc3z04anonymousza31707ze3ze5zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1966z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1966za700za7za7_2027za7, "__phidget_advanced-servo", 24 );
DEFINE_STRING( BGl_string1967z00zz__phidget_advancedzd2servozd2, BgL_bgl_string1967za700za7za7_2028za7, "__phidget_advanced-servo phidget-advanced-servo int motor-count ", 64 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1960z00zz__phidget_advancedzd2servozd2, BgL_bgl_za762lambda1705za7622029z00, BGl_z62lambda1705z62zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1961z00zz__phidget_advancedzd2servozd2, BgL_bgl_za762lambda1702za7622030z00, BGl_z62lambda1702z62zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1962z00zz__phidget_advancedzd2servozd2, BgL_bgl_za762za752phidgetza7d22031za7, BGl_z62z52phidgetzd2initzd2phidge1139z30zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1964z00zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2add2032z00, BGl_z62phidgetzd2addzd2eventzd2li1141zb0zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2positionzd2setz12zd2envzc0zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv2033z00, BGl_z62phidgetzd2advancedzd2servozd2positionzd2setz12z70zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2typezd2setz12zd2envzc0zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv2034z00, BGl_z62phidgetzd2advancedzd2servozd2typezd2setz12z70zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2velocityzd2envz00zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv2035z00, BGl_z62phidgetzd2advancedzd2servozd2velocityzb0zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2parameterszd2setz12zd2envzc0zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv2036z00, BGl_z62phidgetzd2advancedzd2servozd2parameterszd2setz12z70zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2positionzd2envz00zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv2037z00, BGl_z62phidgetzd2advancedzd2servozd2positionzb0zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2accelerationzd2minzd2envzd2zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv2038z00, BGl_z62phidgetzd2advancedzd2servozd2accelerationzd2minz62zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2accelerationzd2maxzd2envzd2zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv2039z00, BGl_z62phidgetzd2advancedzd2servozd2accelerationzd2maxz62zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2advancedzd2servozd2velocityzd2limitzd2setz12zd2envz12zz__phidget_advancedzd2servozd2, BgL_bgl_za762phidgetza7d2adv2040z00, BGl_z62phidgetzd2advancedzd2servozd2velocityzd2limitzd2setz12za2zz__phidget_advancedzd2servozd2, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__phidget_advancedzd2servozd2) );
ADD_ROOT( (void *)(&BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__phidget_advancedzd2servozd2(long BgL_checksumz00_777, char * BgL_fromz00_778)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__phidget_advancedzd2servozd2))
{ 
BGl_requirezd2initializa7ationz75zz__phidget_advancedzd2servozd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__phidget_advancedzd2servozd2(); 
BGl_libraryzd2moduleszd2initz00zz__phidget_advancedzd2servozd2(); 
BGl_cnstzd2initzd2zz__phidget_advancedzd2servozd2(); 
BGl_importedzd2moduleszd2initz00zz__phidget_advancedzd2servozd2(); 
BGl_objectzd2initzd2zz__phidget_advancedzd2servozd2(); 
BGl_methodzd2initzd2zz__phidget_advancedzd2servozd2(); 
return 
BGl_toplevelzd2initzd2zz__phidget_advancedzd2servozd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_advancedzd2servozd2()
{
{ /* Llib/pdgaservo.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__phidget_advanced-servo"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__phidget_advanced-servo"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__phidget_advanced-servo"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__phidget_advanced-servo"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__phidget_advanced-servo"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__phidget_advanced-servo"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__phidget_advanced-servo"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__phidget_advancedzd2servozd2()
{
{ /* Llib/pdgaservo.scm 15 */
{ /* Llib/pdgaservo.scm 15 */
 obj_t BgL_cportz00_728;
{ /* Llib/pdgaservo.scm 15 */
 obj_t BgL_stringz00_736;
BgL_stringz00_736 = BGl_string1967z00zz__phidget_advancedzd2servozd2; 
{ /* Llib/pdgaservo.scm 15 */
 obj_t BgL_startz00_737;
BgL_startz00_737 = 
BINT(((long)0)); 
{ /* Llib/pdgaservo.scm 15 */
 obj_t BgL_endz00_738;
BgL_endz00_738 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_736))); 
{ /* Llib/pdgaservo.scm 15 */

BgL_cportz00_728 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_736, BgL_startz00_737, BgL_endz00_738); } } } } 
{ 
 long BgL_iz00_729;
BgL_iz00_729 = ((long)3); 
BgL_loopz00_730:
if(
(BgL_iz00_729==((long)-1)))
{ /* Llib/pdgaservo.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pdgaservo.scm 15 */
{ /* Llib/pdgaservo.scm 15 */
 obj_t BgL_arg1969z00_732;
{ /* Llib/pdgaservo.scm 15 */

{ /* Llib/pdgaservo.scm 15 */
 obj_t BgL_locationz00_734;
BgL_locationz00_734 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pdgaservo.scm 15 */

BgL_arg1969z00_732 = 
BGl_readz00zz__readerz00(BgL_cportz00_728, BgL_locationz00_734); } } } 
{ /* Llib/pdgaservo.scm 15 */
 int BgL_tmpz00_805;
BgL_tmpz00_805 = 
(int)(BgL_iz00_729); 
CNST_TABLE_SET(BgL_tmpz00_805, BgL_arg1969z00_732); } } 
{ /* Llib/pdgaservo.scm 15 */
 int BgL_auxz00_735;
BgL_auxz00_735 = 
(int)(
(BgL_iz00_729-((long)1))); 
{ 
 long BgL_iz00_810;
BgL_iz00_810 = 
(long)(BgL_auxz00_735); 
BgL_iz00_729 = BgL_iz00_810; 
goto BgL_loopz00_730;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__phidget_advancedzd2servozd2()
{
{ /* Llib/pdgaservo.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__phidget_advancedzd2servozd2()
{
{ /* Llib/pdgaservo.scm 15 */
return BUNSPEC;} 

}



/* $make-advanced-servo */
BGL_EXPORTED_DEF obj_t bgl_advanced_servo_new(CPhidgetAdvancedServoHandle BgL_servoz00_3)
{
{ /* Llib/pdgaservo.scm 96 */
{ /* Llib/pdgaservo.scm 97 */
 BgL_phidgetzd2advancedzd2servoz00_bglt BgL_new1089z00_70;
{ /* Llib/pdgaservo.scm 98 */
 BgL_phidgetzd2advancedzd2servoz00_bglt BgL_new1088z00_72;
BgL_new1088z00_72 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2advancedzd2servoz00_bgl) ))); 
{ /* Llib/pdgaservo.scm 98 */
 long BgL_arg1147z00_73;
BgL_arg1147z00_73 = 
BGL_CLASS_NUM(BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_72), BgL_arg1147z00_73); } 
BgL_new1089z00_70 = BgL_new1088z00_72; } 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1089z00_70)))->BgL_z42builtinz42)=((CPhidgetHandle)
(CPhidgetHandle)(BgL_servoz00_3)),BUNSPEC); 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1089z00_70)))->BgL_z52serialzd2numberz80)=((int)
(int)(((long)-1))),BUNSPEC); 
{ /* Llib/pdgaservo.scm 97 */
 obj_t BgL_fun1145z00_71;
BgL_fun1145z00_71 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2); 
PROCEDURE_ENTRY(BgL_fun1145z00_71)(BgL_fun1145z00_71, 
((obj_t)BgL_new1089z00_70), BEOA); } 
return 
((obj_t)BgL_new1089z00_70);} } 

}



/* &$make-advanced-servo */
obj_t BGl_z62z42makezd2advancedzd2servoz20zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_466, obj_t BgL_servoz00_467)
{
{ /* Llib/pdgaservo.scm 96 */
{ /* Llib/pdgaservo.scm 97 */
 CPhidgetAdvancedServoHandle BgL_auxz00_830;
if(
FOREIGNP(BgL_servoz00_467))
{ /* Llib/pdgaservo.scm 97 */
BgL_auxz00_830 = 
FOREIGN_TO_COBJ(BgL_servoz00_467)
; }  else 
{ 
 obj_t BgL_auxz00_834;
BgL_auxz00_834 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)3890)), BGl_string1921z00zz__phidget_advancedzd2servozd2, BGl_string1922z00zz__phidget_advancedzd2servozd2, BgL_servoz00_467); 
FAILURE(BgL_auxz00_834,BFALSE,BFALSE);} 
return 
bgl_advanced_servo_new(BgL_auxz00_830);} } 

}



/* phidget-advanced-servo-acceleration */
BGL_EXPORTED_DEF double BGl_phidgetzd2advancedzd2servozd2accelerationzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_8, int BgL_iz00_9)
{
{ /* Llib/pdgaservo.scm 123 */
{ /* Llib/pdgaservo.scm 126 */
 CPhidgetAdvancedServoHandle BgL_arg1148z00_341;
{ /* Llib/pdgaservo.scm 126 */
 CPhidgetHandle BgL_arg1149z00_342;
BgL_arg1149z00_342 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_8)))->BgL_z42builtinz42); 
BgL_arg1148z00_341 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1149z00_342); } 
return 
bgl_phidget_advanced_servo_get_acceleration(BgL_arg1148z00_341, BgL_iz00_9, 
((obj_t)BgL_oz00_8));} } 

}



/* &phidget-advanced-servo-acceleration */
obj_t BGl_z62phidgetzd2advancedzd2servozd2accelerationzb0zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_468, obj_t BgL_oz00_469, obj_t BgL_iz00_470)
{
{ /* Llib/pdgaservo.scm 123 */
{ /* Llib/pdgaservo.scm 124 */
 double BgL_tmpz00_844;
{ /* Llib/pdgaservo.scm 124 */
 int BgL_auxz00_853; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_845;
{ /* Llib/pdgaservo.scm 124 */
 obj_t BgL_tmpz00_854;
if(
INTEGERP(BgL_iz00_470))
{ /* Llib/pdgaservo.scm 124 */
BgL_tmpz00_854 = BgL_iz00_470
; }  else 
{ 
 obj_t BgL_auxz00_857;
BgL_auxz00_857 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)5272)), BGl_string1923z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_470); 
FAILURE(BgL_auxz00_857,BFALSE,BFALSE);} 
BgL_auxz00_853 = 
CINT(BgL_tmpz00_854); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_469, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 124 */
BgL_auxz00_845 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_469)
; }  else 
{ 
 obj_t BgL_auxz00_849;
BgL_auxz00_849 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)5272)), BGl_string1923z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_469); 
FAILURE(BgL_auxz00_849,BFALSE,BFALSE);} 
BgL_tmpz00_844 = 
BGl_phidgetzd2advancedzd2servozd2accelerationzd2zz__phidget_advancedzd2servozd2(BgL_auxz00_845, BgL_auxz00_853); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_844);} } 

}



/* phidget-advanced-servo-acceleration-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2advancedzd2servozd2accelerationzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_10, int BgL_iz00_11, double BgL_dz00_12)
{
{ /* Llib/pdgaservo.scm 132 */
{ /* Llib/pdgaservo.scm 134 */
 bool_t BgL_test2046z00_864;
{ /* Llib/pdgaservo.scm 136 */
 int BgL_arg1175z00_91;
{ /* Llib/pdgaservo.scm 136 */
 CPhidgetAdvancedServoHandle BgL_arg1177z00_92;
{ /* Llib/pdgaservo.scm 136 */
 CPhidgetHandle BgL_arg1179z00_93;
BgL_arg1179z00_93 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_10)))->BgL_z42builtinz42); 
BgL_arg1177z00_92 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1179z00_93); } 
BgL_arg1175z00_91 = 
CPhidgetAdvancedServo_setAcceleration(BgL_arg1177z00_92, BgL_iz00_11, BgL_dz00_12); } 
BgL_test2046z00_864 = 
(
(long)(BgL_arg1175z00_91)==
(long)(EPHIDGET_OK)); } 
if(BgL_test2046z00_864)
{ /* Llib/pdgaservo.scm 134 */
return BFALSE;}  else 
{ /* Llib/pdgaservo.scm 134 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1158z00_82;
{ /* Llib/pdgaservo.scm 134 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1099z00_83;
{ /* Llib/pdgaservo.scm 134 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1098z00_89;
BgL_new1098z00_89 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgaservo.scm 134 */
 long BgL_arg1172z00_90;
BgL_arg1172z00_90 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_89), BgL_arg1172z00_90); } 
BgL_new1099z00_83 = BgL_new1098z00_89; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1099z00_83)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1099z00_83)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_880;
{ /* Llib/pdgaservo.scm 134 */
 obj_t BgL_arg1159z00_84;
{ /* Llib/pdgaservo.scm 134 */
 obj_t BgL_arg1162z00_85;
{ /* Llib/pdgaservo.scm 134 */
 obj_t BgL_classz00_348;
BgL_classz00_348 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1162z00_85 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_348); } 
BgL_arg1159z00_84 = 
VECTOR_REF(BgL_arg1162z00_85,((long)2)); } 
BgL_auxz00_880 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1159z00_84); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1099z00_83)))->BgL_stackz00)=((obj_t)BgL_auxz00_880),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1099z00_83)))->BgL_procz00)=((obj_t)BGl_string1926z00zz__phidget_advancedzd2servozd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_888;
{ /* Llib/pdgaservo.scm 136 */
 int BgL_arg1163z00_86;
{ /* Llib/pdgaservo.scm 136 */
 CPhidgetAdvancedServoHandle BgL_arg1167z00_87;
{ /* Llib/pdgaservo.scm 136 */
 CPhidgetHandle BgL_arg1171z00_88;
BgL_arg1171z00_88 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_10)))->BgL_z42builtinz42); 
BgL_arg1167z00_87 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1171z00_88); } 
BgL_arg1163z00_86 = 
CPhidgetAdvancedServo_setAcceleration(BgL_arg1167z00_87, BgL_iz00_11, BgL_dz00_12); } 
BgL_auxz00_888 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1163z00_86); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1099z00_83)))->BgL_msgz00)=((obj_t)BgL_auxz00_888),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1099z00_83)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_10)),BUNSPEC); 
BgL_arg1158z00_82 = BgL_new1099z00_83; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1158z00_82));} } } 

}



/* &phidget-advanced-servo-acceleration-set! */
obj_t BGl_z62phidgetzd2advancedzd2servozd2accelerationzd2setz12z70zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_471, obj_t BgL_oz00_472, obj_t BgL_iz00_473, obj_t BgL_dz00_474)
{
{ /* Llib/pdgaservo.scm 132 */
{ /* Llib/pdgaservo.scm 133 */
 double BgL_auxz00_918; int BgL_auxz00_909; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_901;
{ /* Llib/pdgaservo.scm 133 */
 obj_t BgL_tmpz00_919;
if(
REALP(BgL_dz00_474))
{ /* Llib/pdgaservo.scm 133 */
BgL_tmpz00_919 = BgL_dz00_474
; }  else 
{ 
 obj_t BgL_auxz00_922;
BgL_auxz00_922 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)5693)), BGl_string1927z00zz__phidget_advancedzd2servozd2, BGl_string1928z00zz__phidget_advancedzd2servozd2, BgL_dz00_474); 
FAILURE(BgL_auxz00_922,BFALSE,BFALSE);} 
BgL_auxz00_918 = 
REAL_TO_DOUBLE(BgL_tmpz00_919); } 
{ /* Llib/pdgaservo.scm 133 */
 obj_t BgL_tmpz00_910;
if(
INTEGERP(BgL_iz00_473))
{ /* Llib/pdgaservo.scm 133 */
BgL_tmpz00_910 = BgL_iz00_473
; }  else 
{ 
 obj_t BgL_auxz00_913;
BgL_auxz00_913 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)5693)), BGl_string1927z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_473); 
FAILURE(BgL_auxz00_913,BFALSE,BFALSE);} 
BgL_auxz00_909 = 
CINT(BgL_tmpz00_910); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_472, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 133 */
BgL_auxz00_901 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_472)
; }  else 
{ 
 obj_t BgL_auxz00_905;
BgL_auxz00_905 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)5693)), BGl_string1927z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_472); 
FAILURE(BgL_auxz00_905,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2advancedzd2servozd2accelerationzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_auxz00_901, BgL_auxz00_909, BgL_auxz00_918);} } 

}



/* phidget-advanced-servo-acceleration-max */
BGL_EXPORTED_DEF double BGl_phidgetzd2advancedzd2servozd2accelerationzd2maxz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_13, int BgL_iz00_14)
{
{ /* Llib/pdgaservo.scm 143 */
{ /* Llib/pdgaservo.scm 146 */
 CPhidgetAdvancedServoHandle BgL_arg1180z00_351;
{ /* Llib/pdgaservo.scm 146 */
 CPhidgetHandle BgL_arg1181z00_352;
BgL_arg1181z00_352 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_13)))->BgL_z42builtinz42); 
BgL_arg1180z00_351 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1181z00_352); } 
return 
bgl_phidget_advanced_servo_get_acceleration_max(BgL_arg1180z00_351, BgL_iz00_14, 
((obj_t)BgL_oz00_13));} } 

}



/* &phidget-advanced-servo-acceleration-max */
obj_t BGl_z62phidgetzd2advancedzd2servozd2accelerationzd2maxz62zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_475, obj_t BgL_oz00_476, obj_t BgL_iz00_477)
{
{ /* Llib/pdgaservo.scm 143 */
{ /* Llib/pdgaservo.scm 144 */
 double BgL_tmpz00_933;
{ /* Llib/pdgaservo.scm 144 */
 int BgL_auxz00_942; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_934;
{ /* Llib/pdgaservo.scm 144 */
 obj_t BgL_tmpz00_943;
if(
INTEGERP(BgL_iz00_477))
{ /* Llib/pdgaservo.scm 144 */
BgL_tmpz00_943 = BgL_iz00_477
; }  else 
{ 
 obj_t BgL_auxz00_946;
BgL_auxz00_946 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)6184)), BGl_string1929z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_477); 
FAILURE(BgL_auxz00_946,BFALSE,BFALSE);} 
BgL_auxz00_942 = 
CINT(BgL_tmpz00_943); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_476, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 144 */
BgL_auxz00_934 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_476)
; }  else 
{ 
 obj_t BgL_auxz00_938;
BgL_auxz00_938 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)6184)), BGl_string1929z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_476); 
FAILURE(BgL_auxz00_938,BFALSE,BFALSE);} 
BgL_tmpz00_933 = 
BGl_phidgetzd2advancedzd2servozd2accelerationzd2maxz00zz__phidget_advancedzd2servozd2(BgL_auxz00_934, BgL_auxz00_942); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_933);} } 

}



/* phidget-advanced-servo-acceleration-min */
BGL_EXPORTED_DEF double BGl_phidgetzd2advancedzd2servozd2accelerationzd2minz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_15, int BgL_iz00_16)
{
{ /* Llib/pdgaservo.scm 152 */
{ /* Llib/pdgaservo.scm 155 */
 CPhidgetAdvancedServoHandle BgL_arg1182z00_354;
{ /* Llib/pdgaservo.scm 155 */
 CPhidgetHandle BgL_arg1184z00_355;
BgL_arg1184z00_355 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_15)))->BgL_z42builtinz42); 
BgL_arg1182z00_354 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1184z00_355); } 
return 
bgl_phidget_advanced_servo_get_acceleration_min(BgL_arg1182z00_354, BgL_iz00_16, 
((obj_t)BgL_oz00_15));} } 

}



/* &phidget-advanced-servo-acceleration-min */
obj_t BGl_z62phidgetzd2advancedzd2servozd2accelerationzd2minz62zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_478, obj_t BgL_oz00_479, obj_t BgL_iz00_480)
{
{ /* Llib/pdgaservo.scm 152 */
{ /* Llib/pdgaservo.scm 153 */
 double BgL_tmpz00_958;
{ /* Llib/pdgaservo.scm 153 */
 int BgL_auxz00_967; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_959;
{ /* Llib/pdgaservo.scm 153 */
 obj_t BgL_tmpz00_968;
if(
INTEGERP(BgL_iz00_480))
{ /* Llib/pdgaservo.scm 153 */
BgL_tmpz00_968 = BgL_iz00_480
; }  else 
{ 
 obj_t BgL_auxz00_971;
BgL_auxz00_971 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)6606)), BGl_string1930z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_480); 
FAILURE(BgL_auxz00_971,BFALSE,BFALSE);} 
BgL_auxz00_967 = 
CINT(BgL_tmpz00_968); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_479, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 153 */
BgL_auxz00_959 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_479)
; }  else 
{ 
 obj_t BgL_auxz00_963;
BgL_auxz00_963 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)6606)), BGl_string1930z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_479); 
FAILURE(BgL_auxz00_963,BFALSE,BFALSE);} 
BgL_tmpz00_958 = 
BGl_phidgetzd2advancedzd2servozd2accelerationzd2minz00zz__phidget_advancedzd2servozd2(BgL_auxz00_959, BgL_auxz00_967); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_958);} } 

}



/* phidget-advanced-servo-velocity-limit */
BGL_EXPORTED_DEF double BGl_phidgetzd2advancedzd2servozd2velocityzd2limitz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_17, int BgL_iz00_18)
{
{ /* Llib/pdgaservo.scm 161 */
{ /* Llib/pdgaservo.scm 164 */
 CPhidgetAdvancedServoHandle BgL_arg1185z00_357;
{ /* Llib/pdgaservo.scm 164 */
 CPhidgetHandle BgL_arg1186z00_358;
BgL_arg1186z00_358 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_17)))->BgL_z42builtinz42); 
BgL_arg1185z00_357 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1186z00_358); } 
return 
bgl_phidget_advanced_servo_get_velocity_limit(BgL_arg1185z00_357, BgL_iz00_18, 
((obj_t)BgL_oz00_17));} } 

}



/* &phidget-advanced-servo-velocity-limit */
obj_t BGl_z62phidgetzd2advancedzd2servozd2velocityzd2limitz62zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_481, obj_t BgL_oz00_482, obj_t BgL_iz00_483)
{
{ /* Llib/pdgaservo.scm 161 */
{ /* Llib/pdgaservo.scm 162 */
 double BgL_tmpz00_983;
{ /* Llib/pdgaservo.scm 162 */
 int BgL_auxz00_992; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_984;
{ /* Llib/pdgaservo.scm 162 */
 obj_t BgL_tmpz00_993;
if(
INTEGERP(BgL_iz00_483))
{ /* Llib/pdgaservo.scm 162 */
BgL_tmpz00_993 = BgL_iz00_483
; }  else 
{ 
 obj_t BgL_auxz00_996;
BgL_auxz00_996 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)7026)), BGl_string1931z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_483); 
FAILURE(BgL_auxz00_996,BFALSE,BFALSE);} 
BgL_auxz00_992 = 
CINT(BgL_tmpz00_993); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_482, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 162 */
BgL_auxz00_984 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_482)
; }  else 
{ 
 obj_t BgL_auxz00_988;
BgL_auxz00_988 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)7026)), BGl_string1931z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_482); 
FAILURE(BgL_auxz00_988,BFALSE,BFALSE);} 
BgL_tmpz00_983 = 
BGl_phidgetzd2advancedzd2servozd2velocityzd2limitz00zz__phidget_advancedzd2servozd2(BgL_auxz00_984, BgL_auxz00_992); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_983);} } 

}



/* phidget-advanced-servo-velocity-limit-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2advancedzd2servozd2velocityzd2limitzd2setz12zc0zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_19, int BgL_iz00_20, double BgL_dz00_21)
{
{ /* Llib/pdgaservo.scm 170 */
{ /* Llib/pdgaservo.scm 172 */
 bool_t BgL_test2056z00_1003;
{ /* Llib/pdgaservo.scm 174 */
 int BgL_arg1207z00_117;
{ /* Llib/pdgaservo.scm 174 */
 CPhidgetAdvancedServoHandle BgL_arg1211z00_118;
{ /* Llib/pdgaservo.scm 174 */
 CPhidgetHandle BgL_arg1213z00_119;
BgL_arg1213z00_119 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_19)))->BgL_z42builtinz42); 
BgL_arg1211z00_118 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1213z00_119); } 
BgL_arg1207z00_117 = 
CPhidgetAdvancedServo_setVelocityLimit(BgL_arg1211z00_118, BgL_iz00_20, BgL_dz00_21); } 
BgL_test2056z00_1003 = 
(
(long)(BgL_arg1207z00_117)==
(long)(EPHIDGET_OK)); } 
if(BgL_test2056z00_1003)
{ /* Llib/pdgaservo.scm 172 */
return BFALSE;}  else 
{ /* Llib/pdgaservo.scm 172 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1197z00_108;
{ /* Llib/pdgaservo.scm 172 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1105z00_109;
{ /* Llib/pdgaservo.scm 172 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1104z00_115;
BgL_new1104z00_115 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgaservo.scm 172 */
 long BgL_arg1206z00_116;
BgL_arg1206z00_116 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_115), BgL_arg1206z00_116); } 
BgL_new1105z00_109 = BgL_new1104z00_115; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1105z00_109)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1105z00_109)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1019;
{ /* Llib/pdgaservo.scm 172 */
 obj_t BgL_arg1198z00_110;
{ /* Llib/pdgaservo.scm 172 */
 obj_t BgL_arg1200z00_111;
{ /* Llib/pdgaservo.scm 172 */
 obj_t BgL_classz00_364;
BgL_classz00_364 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1200z00_111 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_364); } 
BgL_arg1198z00_110 = 
VECTOR_REF(BgL_arg1200z00_111,((long)2)); } 
BgL_auxz00_1019 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1198z00_110); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1105z00_109)))->BgL_stackz00)=((obj_t)BgL_auxz00_1019),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1105z00_109)))->BgL_procz00)=((obj_t)BGl_string1932z00zz__phidget_advancedzd2servozd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1027;
{ /* Llib/pdgaservo.scm 174 */
 int BgL_arg1201z00_112;
{ /* Llib/pdgaservo.scm 174 */
 CPhidgetAdvancedServoHandle BgL_arg1202z00_113;
{ /* Llib/pdgaservo.scm 174 */
 CPhidgetHandle BgL_arg1205z00_114;
BgL_arg1205z00_114 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_19)))->BgL_z42builtinz42); 
BgL_arg1202z00_113 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1205z00_114); } 
BgL_arg1201z00_112 = 
CPhidgetAdvancedServo_setVelocityLimit(BgL_arg1202z00_113, BgL_iz00_20, BgL_dz00_21); } 
BgL_auxz00_1027 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1201z00_112); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1105z00_109)))->BgL_msgz00)=((obj_t)BgL_auxz00_1027),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1105z00_109)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_19)),BUNSPEC); 
BgL_arg1197z00_108 = BgL_new1105z00_109; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1197z00_108));} } } 

}



/* &phidget-advanced-servo-velocity-limit-set! */
obj_t BGl_z62phidgetzd2advancedzd2servozd2velocityzd2limitzd2setz12za2zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_484, obj_t BgL_oz00_485, obj_t BgL_iz00_486, obj_t BgL_dz00_487)
{
{ /* Llib/pdgaservo.scm 170 */
{ /* Llib/pdgaservo.scm 171 */
 double BgL_auxz00_1057; int BgL_auxz00_1048; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1040;
{ /* Llib/pdgaservo.scm 171 */
 obj_t BgL_tmpz00_1058;
if(
REALP(BgL_dz00_487))
{ /* Llib/pdgaservo.scm 171 */
BgL_tmpz00_1058 = BgL_dz00_487
; }  else 
{ 
 obj_t BgL_auxz00_1061;
BgL_auxz00_1061 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)7451)), BGl_string1933z00zz__phidget_advancedzd2servozd2, BGl_string1928z00zz__phidget_advancedzd2servozd2, BgL_dz00_487); 
FAILURE(BgL_auxz00_1061,BFALSE,BFALSE);} 
BgL_auxz00_1057 = 
REAL_TO_DOUBLE(BgL_tmpz00_1058); } 
{ /* Llib/pdgaservo.scm 171 */
 obj_t BgL_tmpz00_1049;
if(
INTEGERP(BgL_iz00_486))
{ /* Llib/pdgaservo.scm 171 */
BgL_tmpz00_1049 = BgL_iz00_486
; }  else 
{ 
 obj_t BgL_auxz00_1052;
BgL_auxz00_1052 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)7451)), BGl_string1933z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_486); 
FAILURE(BgL_auxz00_1052,BFALSE,BFALSE);} 
BgL_auxz00_1048 = 
CINT(BgL_tmpz00_1049); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_485, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 171 */
BgL_auxz00_1040 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_485)
; }  else 
{ 
 obj_t BgL_auxz00_1044;
BgL_auxz00_1044 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)7451)), BGl_string1933z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_485); 
FAILURE(BgL_auxz00_1044,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2advancedzd2servozd2velocityzd2limitzd2setz12zc0zz__phidget_advancedzd2servozd2(BgL_auxz00_1040, BgL_auxz00_1048, BgL_auxz00_1057);} } 

}



/* phidget-advanced-servo-velocity */
BGL_EXPORTED_DEF double BGl_phidgetzd2advancedzd2servozd2velocityzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_22, int BgL_iz00_23)
{
{ /* Llib/pdgaservo.scm 181 */
{ /* Llib/pdgaservo.scm 184 */
 CPhidgetAdvancedServoHandle BgL_arg1214z00_367;
{ /* Llib/pdgaservo.scm 184 */
 CPhidgetHandle BgL_arg1215z00_368;
BgL_arg1215z00_368 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_22)))->BgL_z42builtinz42); 
BgL_arg1214z00_367 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1215z00_368); } 
return 
bgl_phidget_advanced_servo_get_velocity(BgL_arg1214z00_367, BgL_iz00_23, 
((obj_t)BgL_oz00_22));} } 

}



/* &phidget-advanced-servo-velocity */
obj_t BGl_z62phidgetzd2advancedzd2servozd2velocityzb0zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_488, obj_t BgL_oz00_489, obj_t BgL_iz00_490)
{
{ /* Llib/pdgaservo.scm 181 */
{ /* Llib/pdgaservo.scm 182 */
 double BgL_tmpz00_1072;
{ /* Llib/pdgaservo.scm 182 */
 int BgL_auxz00_1081; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1073;
{ /* Llib/pdgaservo.scm 182 */
 obj_t BgL_tmpz00_1082;
if(
INTEGERP(BgL_iz00_490))
{ /* Llib/pdgaservo.scm 182 */
BgL_tmpz00_1082 = BgL_iz00_490
; }  else 
{ 
 obj_t BgL_auxz00_1085;
BgL_auxz00_1085 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)7932)), BGl_string1934z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_490); 
FAILURE(BgL_auxz00_1085,BFALSE,BFALSE);} 
BgL_auxz00_1081 = 
CINT(BgL_tmpz00_1082); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_489, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 182 */
BgL_auxz00_1073 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_489)
; }  else 
{ 
 obj_t BgL_auxz00_1077;
BgL_auxz00_1077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)7932)), BGl_string1934z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_489); 
FAILURE(BgL_auxz00_1077,BFALSE,BFALSE);} 
BgL_tmpz00_1072 = 
BGl_phidgetzd2advancedzd2servozd2velocityzd2zz__phidget_advancedzd2servozd2(BgL_auxz00_1073, BgL_auxz00_1081); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_1072);} } 

}



/* phidget-advanced-servo-velocity-max */
BGL_EXPORTED_DEF double BGl_phidgetzd2advancedzd2servozd2velocityzd2maxz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_24, int BgL_iz00_25)
{
{ /* Llib/pdgaservo.scm 190 */
{ /* Llib/pdgaservo.scm 193 */
 CPhidgetAdvancedServoHandle BgL_arg1218z00_370;
{ /* Llib/pdgaservo.scm 193 */
 CPhidgetHandle BgL_arg1219z00_371;
BgL_arg1219z00_371 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_24)))->BgL_z42builtinz42); 
BgL_arg1218z00_370 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1219z00_371); } 
return 
bgl_phidget_advanced_servo_get_velocity_max(BgL_arg1218z00_370, BgL_iz00_25, 
((obj_t)BgL_oz00_24));} } 

}



/* &phidget-advanced-servo-velocity-max */
obj_t BGl_z62phidgetzd2advancedzd2servozd2velocityzd2maxz62zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_491, obj_t BgL_oz00_492, obj_t BgL_iz00_493)
{
{ /* Llib/pdgaservo.scm 190 */
{ /* Llib/pdgaservo.scm 191 */
 double BgL_tmpz00_1097;
{ /* Llib/pdgaservo.scm 191 */
 int BgL_auxz00_1106; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1098;
{ /* Llib/pdgaservo.scm 191 */
 obj_t BgL_tmpz00_1107;
if(
INTEGERP(BgL_iz00_493))
{ /* Llib/pdgaservo.scm 191 */
BgL_tmpz00_1107 = BgL_iz00_493
; }  else 
{ 
 obj_t BgL_auxz00_1110;
BgL_auxz00_1110 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)8342)), BGl_string1935z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_493); 
FAILURE(BgL_auxz00_1110,BFALSE,BFALSE);} 
BgL_auxz00_1106 = 
CINT(BgL_tmpz00_1107); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_492, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 191 */
BgL_auxz00_1098 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_492)
; }  else 
{ 
 obj_t BgL_auxz00_1102;
BgL_auxz00_1102 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)8342)), BGl_string1935z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_492); 
FAILURE(BgL_auxz00_1102,BFALSE,BFALSE);} 
BgL_tmpz00_1097 = 
BGl_phidgetzd2advancedzd2servozd2velocityzd2maxz00zz__phidget_advancedzd2servozd2(BgL_auxz00_1098, BgL_auxz00_1106); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_1097);} } 

}



/* phidget-advanced-servo-velocity-min */
BGL_EXPORTED_DEF double BGl_phidgetzd2advancedzd2servozd2velocityzd2minz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_26, int BgL_iz00_27)
{
{ /* Llib/pdgaservo.scm 199 */
{ /* Llib/pdgaservo.scm 202 */
 CPhidgetAdvancedServoHandle BgL_arg1221z00_373;
{ /* Llib/pdgaservo.scm 202 */
 CPhidgetHandle BgL_arg1224z00_374;
BgL_arg1224z00_374 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_26)))->BgL_z42builtinz42); 
BgL_arg1221z00_373 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1224z00_374); } 
return 
bgl_phidget_advanced_servo_get_velocity_min(BgL_arg1221z00_373, BgL_iz00_27, 
((obj_t)BgL_oz00_26));} } 

}



/* &phidget-advanced-servo-velocity-min */
obj_t BGl_z62phidgetzd2advancedzd2servozd2velocityzd2minz62zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_494, obj_t BgL_oz00_495, obj_t BgL_iz00_496)
{
{ /* Llib/pdgaservo.scm 199 */
{ /* Llib/pdgaservo.scm 200 */
 double BgL_tmpz00_1122;
{ /* Llib/pdgaservo.scm 200 */
 int BgL_auxz00_1131; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1123;
{ /* Llib/pdgaservo.scm 200 */
 obj_t BgL_tmpz00_1132;
if(
INTEGERP(BgL_iz00_496))
{ /* Llib/pdgaservo.scm 200 */
BgL_tmpz00_1132 = BgL_iz00_496
; }  else 
{ 
 obj_t BgL_auxz00_1135;
BgL_auxz00_1135 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)8756)), BGl_string1936z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_496); 
FAILURE(BgL_auxz00_1135,BFALSE,BFALSE);} 
BgL_auxz00_1131 = 
CINT(BgL_tmpz00_1132); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_495, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 200 */
BgL_auxz00_1123 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_495)
; }  else 
{ 
 obj_t BgL_auxz00_1127;
BgL_auxz00_1127 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)8756)), BGl_string1936z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_495); 
FAILURE(BgL_auxz00_1127,BFALSE,BFALSE);} 
BgL_tmpz00_1122 = 
BGl_phidgetzd2advancedzd2servozd2velocityzd2minz00zz__phidget_advancedzd2servozd2(BgL_auxz00_1123, BgL_auxz00_1131); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_1122);} } 

}



/* phidget-advanced-servo-position */
BGL_EXPORTED_DEF double BGl_phidgetzd2advancedzd2servozd2positionzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_28, int BgL_iz00_29)
{
{ /* Llib/pdgaservo.scm 208 */
{ /* Llib/pdgaservo.scm 211 */
 CPhidgetAdvancedServoHandle BgL_arg1225z00_376;
{ /* Llib/pdgaservo.scm 211 */
 CPhidgetHandle BgL_arg1226z00_377;
BgL_arg1226z00_377 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_28)))->BgL_z42builtinz42); 
BgL_arg1225z00_376 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1226z00_377); } 
return 
bgl_phidget_advanced_servo_get_position(BgL_arg1225z00_376, BgL_iz00_29, 
((obj_t)BgL_oz00_28));} } 

}



/* &phidget-advanced-servo-position */
obj_t BGl_z62phidgetzd2advancedzd2servozd2positionzb0zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_497, obj_t BgL_oz00_498, obj_t BgL_iz00_499)
{
{ /* Llib/pdgaservo.scm 208 */
{ /* Llib/pdgaservo.scm 209 */
 double BgL_tmpz00_1147;
{ /* Llib/pdgaservo.scm 209 */
 int BgL_auxz00_1156; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1148;
{ /* Llib/pdgaservo.scm 209 */
 obj_t BgL_tmpz00_1157;
if(
INTEGERP(BgL_iz00_499))
{ /* Llib/pdgaservo.scm 209 */
BgL_tmpz00_1157 = BgL_iz00_499
; }  else 
{ 
 obj_t BgL_auxz00_1160;
BgL_auxz00_1160 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)9166)), BGl_string1937z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_499); 
FAILURE(BgL_auxz00_1160,BFALSE,BFALSE);} 
BgL_auxz00_1156 = 
CINT(BgL_tmpz00_1157); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_498, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 209 */
BgL_auxz00_1148 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_498)
; }  else 
{ 
 obj_t BgL_auxz00_1152;
BgL_auxz00_1152 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)9166)), BGl_string1937z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_498); 
FAILURE(BgL_auxz00_1152,BFALSE,BFALSE);} 
BgL_tmpz00_1147 = 
BGl_phidgetzd2advancedzd2servozd2positionzd2zz__phidget_advancedzd2servozd2(BgL_auxz00_1148, BgL_auxz00_1156); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_1147);} } 

}



/* phidget-advanced-servo-position-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2advancedzd2servozd2positionzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_30, int BgL_iz00_31, double BgL_dz00_32)
{
{ /* Llib/pdgaservo.scm 217 */
{ /* Llib/pdgaservo.scm 219 */
 bool_t BgL_test2068z00_1167;
{ /* Llib/pdgaservo.scm 221 */
 int BgL_arg1252z00_146;
{ /* Llib/pdgaservo.scm 221 */
 CPhidgetAdvancedServoHandle BgL_arg1262z00_147;
{ /* Llib/pdgaservo.scm 221 */
 CPhidgetHandle BgL_arg1263z00_148;
BgL_arg1263z00_148 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_30)))->BgL_z42builtinz42); 
BgL_arg1262z00_147 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1263z00_148); } 
BgL_arg1252z00_146 = 
CPhidgetAdvancedServo_setPosition(BgL_arg1262z00_147, BgL_iz00_31, BgL_dz00_32); } 
BgL_test2068z00_1167 = 
(
(long)(BgL_arg1252z00_146)==
(long)(EPHIDGET_OK)); } 
if(BgL_test2068z00_1167)
{ /* Llib/pdgaservo.scm 219 */
return BFALSE;}  else 
{ /* Llib/pdgaservo.scm 219 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1234z00_137;
{ /* Llib/pdgaservo.scm 219 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1113z00_138;
{ /* Llib/pdgaservo.scm 219 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1112z00_144;
BgL_new1112z00_144 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgaservo.scm 219 */
 long BgL_arg1251z00_145;
BgL_arg1251z00_145 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_144), BgL_arg1251z00_145); } 
BgL_new1113z00_138 = BgL_new1112z00_144; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_138)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_138)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1183;
{ /* Llib/pdgaservo.scm 219 */
 obj_t BgL_arg1235z00_139;
{ /* Llib/pdgaservo.scm 219 */
 obj_t BgL_arg1238z00_140;
{ /* Llib/pdgaservo.scm 219 */
 obj_t BgL_classz00_383;
BgL_classz00_383 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1238z00_140 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_383); } 
BgL_arg1235z00_139 = 
VECTOR_REF(BgL_arg1238z00_140,((long)2)); } 
BgL_auxz00_1183 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1235z00_139); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_138)))->BgL_stackz00)=((obj_t)BgL_auxz00_1183),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_138)))->BgL_procz00)=((obj_t)BGl_string1938z00zz__phidget_advancedzd2servozd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1191;
{ /* Llib/pdgaservo.scm 221 */
 int BgL_arg1239z00_141;
{ /* Llib/pdgaservo.scm 221 */
 CPhidgetAdvancedServoHandle BgL_arg1242z00_142;
{ /* Llib/pdgaservo.scm 221 */
 CPhidgetHandle BgL_arg1250z00_143;
BgL_arg1250z00_143 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_30)))->BgL_z42builtinz42); 
BgL_arg1242z00_142 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1250z00_143); } 
BgL_arg1239z00_141 = 
CPhidgetAdvancedServo_setPosition(BgL_arg1242z00_142, BgL_iz00_31, BgL_dz00_32); } 
BgL_auxz00_1191 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1239z00_141); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_138)))->BgL_msgz00)=((obj_t)BgL_auxz00_1191),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_138)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_30)),BUNSPEC); 
BgL_arg1234z00_137 = BgL_new1113z00_138; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1234z00_137));} } } 

}



/* &phidget-advanced-servo-position-set! */
obj_t BGl_z62phidgetzd2advancedzd2servozd2positionzd2setz12z70zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_500, obj_t BgL_oz00_501, obj_t BgL_iz00_502, obj_t BgL_dz00_503)
{
{ /* Llib/pdgaservo.scm 217 */
{ /* Llib/pdgaservo.scm 218 */
 double BgL_auxz00_1221; int BgL_auxz00_1212; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1204;
{ /* Llib/pdgaservo.scm 218 */
 obj_t BgL_tmpz00_1222;
if(
REALP(BgL_dz00_503))
{ /* Llib/pdgaservo.scm 218 */
BgL_tmpz00_1222 = BgL_dz00_503
; }  else 
{ 
 obj_t BgL_auxz00_1225;
BgL_auxz00_1225 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)9579)), BGl_string1939z00zz__phidget_advancedzd2servozd2, BGl_string1928z00zz__phidget_advancedzd2servozd2, BgL_dz00_503); 
FAILURE(BgL_auxz00_1225,BFALSE,BFALSE);} 
BgL_auxz00_1221 = 
REAL_TO_DOUBLE(BgL_tmpz00_1222); } 
{ /* Llib/pdgaservo.scm 218 */
 obj_t BgL_tmpz00_1213;
if(
INTEGERP(BgL_iz00_502))
{ /* Llib/pdgaservo.scm 218 */
BgL_tmpz00_1213 = BgL_iz00_502
; }  else 
{ 
 obj_t BgL_auxz00_1216;
BgL_auxz00_1216 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)9579)), BGl_string1939z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_502); 
FAILURE(BgL_auxz00_1216,BFALSE,BFALSE);} 
BgL_auxz00_1212 = 
CINT(BgL_tmpz00_1213); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_501, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 218 */
BgL_auxz00_1204 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_501)
; }  else 
{ 
 obj_t BgL_auxz00_1208;
BgL_auxz00_1208 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)9579)), BGl_string1939z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_501); 
FAILURE(BgL_auxz00_1208,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2advancedzd2servozd2positionzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_auxz00_1204, BgL_auxz00_1212, BgL_auxz00_1221);} } 

}



/* phidget-advanced-servo-position-max */
BGL_EXPORTED_DEF double BGl_phidgetzd2advancedzd2servozd2positionzd2maxz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_33, int BgL_iz00_34)
{
{ /* Llib/pdgaservo.scm 228 */
{ /* Llib/pdgaservo.scm 231 */
 CPhidgetAdvancedServoHandle BgL_arg1264z00_386;
{ /* Llib/pdgaservo.scm 231 */
 CPhidgetHandle BgL_arg1267z00_387;
BgL_arg1267z00_387 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_33)))->BgL_z42builtinz42); 
BgL_arg1264z00_386 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1267z00_387); } 
return 
bgl_phidget_advanced_servo_get_position_max(BgL_arg1264z00_386, BgL_iz00_34, 
((obj_t)BgL_oz00_33));} } 

}



/* &phidget-advanced-servo-position-max */
obj_t BGl_z62phidgetzd2advancedzd2servozd2positionzd2maxz62zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_504, obj_t BgL_oz00_505, obj_t BgL_iz00_506)
{
{ /* Llib/pdgaservo.scm 228 */
{ /* Llib/pdgaservo.scm 229 */
 double BgL_tmpz00_1236;
{ /* Llib/pdgaservo.scm 229 */
 int BgL_auxz00_1245; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1237;
{ /* Llib/pdgaservo.scm 229 */
 obj_t BgL_tmpz00_1246;
if(
INTEGERP(BgL_iz00_506))
{ /* Llib/pdgaservo.scm 229 */
BgL_tmpz00_1246 = BgL_iz00_506
; }  else 
{ 
 obj_t BgL_auxz00_1249;
BgL_auxz00_1249 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)10058)), BGl_string1940z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_506); 
FAILURE(BgL_auxz00_1249,BFALSE,BFALSE);} 
BgL_auxz00_1245 = 
CINT(BgL_tmpz00_1246); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_505, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 229 */
BgL_auxz00_1237 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_505)
; }  else 
{ 
 obj_t BgL_auxz00_1241;
BgL_auxz00_1241 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)10058)), BGl_string1940z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_505); 
FAILURE(BgL_auxz00_1241,BFALSE,BFALSE);} 
BgL_tmpz00_1236 = 
BGl_phidgetzd2advancedzd2servozd2positionzd2maxz00zz__phidget_advancedzd2servozd2(BgL_auxz00_1237, BgL_auxz00_1245); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_1236);} } 

}



/* phidget-advanced-servo-position-min */
BGL_EXPORTED_DEF double BGl_phidgetzd2advancedzd2servozd2positionzd2minz00zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_35, int BgL_iz00_36)
{
{ /* Llib/pdgaservo.scm 237 */
{ /* Llib/pdgaservo.scm 240 */
 CPhidgetAdvancedServoHandle BgL_arg1268z00_389;
{ /* Llib/pdgaservo.scm 240 */
 CPhidgetHandle BgL_arg1269z00_390;
BgL_arg1269z00_390 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_35)))->BgL_z42builtinz42); 
BgL_arg1268z00_389 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1269z00_390); } 
return 
bgl_phidget_advanced_servo_get_position_min(BgL_arg1268z00_389, BgL_iz00_36, 
((obj_t)BgL_oz00_35));} } 

}



/* &phidget-advanced-servo-position-min */
obj_t BGl_z62phidgetzd2advancedzd2servozd2positionzd2minz62zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_507, obj_t BgL_oz00_508, obj_t BgL_iz00_509)
{
{ /* Llib/pdgaservo.scm 237 */
{ /* Llib/pdgaservo.scm 238 */
 double BgL_tmpz00_1261;
{ /* Llib/pdgaservo.scm 238 */
 int BgL_auxz00_1270; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1262;
{ /* Llib/pdgaservo.scm 238 */
 obj_t BgL_tmpz00_1271;
if(
INTEGERP(BgL_iz00_509))
{ /* Llib/pdgaservo.scm 238 */
BgL_tmpz00_1271 = BgL_iz00_509
; }  else 
{ 
 obj_t BgL_auxz00_1274;
BgL_auxz00_1274 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)10472)), BGl_string1941z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_509); 
FAILURE(BgL_auxz00_1274,BFALSE,BFALSE);} 
BgL_auxz00_1270 = 
CINT(BgL_tmpz00_1271); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_508, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 238 */
BgL_auxz00_1262 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_508)
; }  else 
{ 
 obj_t BgL_auxz00_1266;
BgL_auxz00_1266 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)10472)), BGl_string1941z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_508); 
FAILURE(BgL_auxz00_1266,BFALSE,BFALSE);} 
BgL_tmpz00_1261 = 
BGl_phidgetzd2advancedzd2servozd2positionzd2minz00zz__phidget_advancedzd2servozd2(BgL_auxz00_1262, BgL_auxz00_1270); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_1261);} } 

}



/* phidget-advanced-servo-engaged */
BGL_EXPORTED_DEF bool_t BGl_phidgetzd2advancedzd2servozd2engagedzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_37, int BgL_iz00_38)
{
{ /* Llib/pdgaservo.scm 246 */
{ /* Llib/pdgaservo.scm 250 */
 int BgL_arg1270z00_392;
{ /* Llib/pdgaservo.scm 250 */
 CPhidgetAdvancedServoHandle BgL_arg1271z00_393;
{ /* Llib/pdgaservo.scm 250 */
 CPhidgetHandle BgL_arg1279z00_394;
BgL_arg1279z00_394 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_37)))->BgL_z42builtinz42); 
BgL_arg1271z00_393 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1279z00_394); } 
BgL_arg1270z00_392 = 
bgl_phidget_advanced_servo_get_engaged(BgL_arg1271z00_393, BgL_iz00_38, 
((obj_t)BgL_oz00_37)); } 
return 
BGl_pdgboolzd2ze3boolz31zz__phidget_ctypesz00(BgL_arg1270z00_392);} } 

}



/* &phidget-advanced-servo-engaged */
obj_t BGl_z62phidgetzd2advancedzd2servozd2engagedzb0zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_510, obj_t BgL_oz00_511, obj_t BgL_iz00_512)
{
{ /* Llib/pdgaservo.scm 246 */
{ /* Llib/pdgaservo.scm 247 */
 bool_t BgL_tmpz00_1287;
{ /* Llib/pdgaservo.scm 247 */
 int BgL_auxz00_1296; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1288;
{ /* Llib/pdgaservo.scm 247 */
 obj_t BgL_tmpz00_1297;
if(
INTEGERP(BgL_iz00_512))
{ /* Llib/pdgaservo.scm 247 */
BgL_tmpz00_1297 = BgL_iz00_512
; }  else 
{ 
 obj_t BgL_auxz00_1300;
BgL_auxz00_1300 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)10881)), BGl_string1942z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_512); 
FAILURE(BgL_auxz00_1300,BFALSE,BFALSE);} 
BgL_auxz00_1296 = 
CINT(BgL_tmpz00_1297); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_511, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 247 */
BgL_auxz00_1288 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_511)
; }  else 
{ 
 obj_t BgL_auxz00_1292;
BgL_auxz00_1292 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)10881)), BGl_string1942z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_511); 
FAILURE(BgL_auxz00_1292,BFALSE,BFALSE);} 
BgL_tmpz00_1287 = 
BGl_phidgetzd2advancedzd2servozd2engagedzd2zz__phidget_advancedzd2servozd2(BgL_auxz00_1288, BgL_auxz00_1296); } 
return 
BBOOL(BgL_tmpz00_1287);} } 

}



/* phidget-advanced-servo-engaged-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2advancedzd2servozd2engagedzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_39, int BgL_iz00_40, bool_t BgL_dz00_41)
{
{ /* Llib/pdgaservo.scm 256 */
{ /* Llib/pdgaservo.scm 258 */
 bool_t BgL_test2078z00_1307;
{ /* Llib/pdgaservo.scm 260 */
 int BgL_arg1342z00_175;
{ /* Llib/pdgaservo.scm 260 */
 CPhidgetAdvancedServoHandle BgL_arg1343z00_176;
{ /* Llib/pdgaservo.scm 260 */
 CPhidgetHandle BgL_arg1348z00_178;
BgL_arg1348z00_178 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_39)))->BgL_z42builtinz42); 
BgL_arg1343z00_176 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1348z00_178); } 
{ /* Llib/pdgaservo.scm 259 */
 int BgL_tmpz00_1311;
if(BgL_dz00_41)
{ /* Llib/pdgaservo.scm 261 */
BgL_tmpz00_1311 = PTRUE
; }  else 
{ /* Llib/pdgaservo.scm 261 */
BgL_tmpz00_1311 = PFALSE
; } 
BgL_arg1342z00_175 = 
CPhidgetAdvancedServo_setEngaged(BgL_arg1343z00_176, BgL_iz00_40, BgL_tmpz00_1311); } } 
BgL_test2078z00_1307 = 
(
(long)(BgL_arg1342z00_175)==
(long)(EPHIDGET_OK)); } 
if(BgL_test2078z00_1307)
{ /* Llib/pdgaservo.scm 258 */
return BFALSE;}  else 
{ /* Llib/pdgaservo.scm 258 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1291z00_165;
{ /* Llib/pdgaservo.scm 258 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1119z00_166;
{ /* Llib/pdgaservo.scm 258 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1118z00_173;
BgL_new1118z00_173 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgaservo.scm 258 */
 long BgL_arg1341z00_174;
BgL_arg1341z00_174 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_173), BgL_arg1341z00_174); } 
BgL_new1119z00_166 = BgL_new1118z00_173; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_166)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_166)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1325;
{ /* Llib/pdgaservo.scm 258 */
 obj_t BgL_arg1331z00_167;
{ /* Llib/pdgaservo.scm 258 */
 obj_t BgL_arg1332z00_168;
{ /* Llib/pdgaservo.scm 258 */
 obj_t BgL_classz00_400;
BgL_classz00_400 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1332z00_168 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_400); } 
BgL_arg1331z00_167 = 
VECTOR_REF(BgL_arg1332z00_168,((long)2)); } 
BgL_auxz00_1325 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1331z00_167); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_166)))->BgL_stackz00)=((obj_t)BgL_auxz00_1325),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1119z00_166)))->BgL_procz00)=((obj_t)BGl_string1943z00zz__phidget_advancedzd2servozd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1333;
{ /* Llib/pdgaservo.scm 260 */
 int BgL_arg1333z00_169;
{ /* Llib/pdgaservo.scm 260 */
 CPhidgetAdvancedServoHandle BgL_arg1338z00_170;
{ /* Llib/pdgaservo.scm 260 */
 CPhidgetHandle BgL_arg1340z00_172;
BgL_arg1340z00_172 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_39)))->BgL_z42builtinz42); 
BgL_arg1338z00_170 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1340z00_172); } 
{ /* Llib/pdgaservo.scm 259 */
 int BgL_tmpz00_1338;
if(BgL_dz00_41)
{ /* Llib/pdgaservo.scm 261 */
BgL_tmpz00_1338 = PTRUE
; }  else 
{ /* Llib/pdgaservo.scm 261 */
BgL_tmpz00_1338 = PFALSE
; } 
BgL_arg1333z00_169 = 
CPhidgetAdvancedServo_setEngaged(BgL_arg1338z00_170, BgL_iz00_40, BgL_tmpz00_1338); } } 
BgL_auxz00_1333 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1333z00_169); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1119z00_166)))->BgL_msgz00)=((obj_t)BgL_auxz00_1333),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1119z00_166)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_39)),BUNSPEC); 
BgL_arg1291z00_165 = BgL_new1119z00_166; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1291z00_165));} } } 

}



/* &phidget-advanced-servo-engaged-set! */
obj_t BGl_z62phidgetzd2advancedzd2servozd2engagedzd2setz12z70zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_513, obj_t BgL_oz00_514, obj_t BgL_iz00_515, obj_t BgL_dz00_516)
{
{ /* Llib/pdgaservo.scm 256 */
{ /* Llib/pdgaservo.scm 257 */
 int BgL_auxz00_1356; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1348;
{ /* Llib/pdgaservo.scm 257 */
 obj_t BgL_tmpz00_1357;
if(
INTEGERP(BgL_iz00_515))
{ /* Llib/pdgaservo.scm 257 */
BgL_tmpz00_1357 = BgL_iz00_515
; }  else 
{ 
 obj_t BgL_auxz00_1360;
BgL_auxz00_1360 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)11316)), BGl_string1944z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_515); 
FAILURE(BgL_auxz00_1360,BFALSE,BFALSE);} 
BgL_auxz00_1356 = 
CINT(BgL_tmpz00_1357); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_514, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 257 */
BgL_auxz00_1348 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_514)
; }  else 
{ 
 obj_t BgL_auxz00_1352;
BgL_auxz00_1352 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)11316)), BGl_string1944z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_514); 
FAILURE(BgL_auxz00_1352,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2advancedzd2servozd2engagedzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_auxz00_1348, BgL_auxz00_1356, 
CBOOL(BgL_dz00_516));} } 

}



/* phidget-advanced-servo-speed-ramping-on */
BGL_EXPORTED_DEF bool_t BGl_phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_42, int BgL_iz00_43)
{
{ /* Llib/pdgaservo.scm 267 */
{ /* Llib/pdgaservo.scm 271 */
 int BgL_arg1349z00_403;
{ /* Llib/pdgaservo.scm 271 */
 CPhidgetAdvancedServoHandle BgL_arg1354z00_404;
{ /* Llib/pdgaservo.scm 271 */
 CPhidgetHandle BgL_arg1355z00_405;
BgL_arg1355z00_405 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_42)))->BgL_z42builtinz42); 
BgL_arg1354z00_404 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1355z00_405); } 
BgL_arg1349z00_403 = 
bgl_phidget_advanced_servo_get_speed_ramping_on(BgL_arg1354z00_404, BgL_iz00_43, 
((obj_t)BgL_oz00_42)); } 
return 
BGl_pdgboolzd2ze3boolz31zz__phidget_ctypesz00(BgL_arg1349z00_403);} } 

}



/* &phidget-advanced-servo-speed-ramping-on */
obj_t BGl_z62phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzb0zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_517, obj_t BgL_oz00_518, obj_t BgL_iz00_519)
{
{ /* Llib/pdgaservo.scm 267 */
{ /* Llib/pdgaservo.scm 268 */
 bool_t BgL_tmpz00_1373;
{ /* Llib/pdgaservo.scm 268 */
 int BgL_auxz00_1382; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1374;
{ /* Llib/pdgaservo.scm 268 */
 obj_t BgL_tmpz00_1383;
if(
INTEGERP(BgL_iz00_519))
{ /* Llib/pdgaservo.scm 268 */
BgL_tmpz00_1383 = BgL_iz00_519
; }  else 
{ 
 obj_t BgL_auxz00_1386;
BgL_auxz00_1386 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)11822)), BGl_string1945z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_519); 
FAILURE(BgL_auxz00_1386,BFALSE,BFALSE);} 
BgL_auxz00_1382 = 
CINT(BgL_tmpz00_1383); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_518, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 268 */
BgL_auxz00_1374 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_518)
; }  else 
{ 
 obj_t BgL_auxz00_1378;
BgL_auxz00_1378 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)11822)), BGl_string1945z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_518); 
FAILURE(BgL_auxz00_1378,BFALSE,BFALSE);} 
BgL_tmpz00_1373 = 
BGl_phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzd2zz__phidget_advancedzd2servozd2(BgL_auxz00_1374, BgL_auxz00_1382); } 
return 
BBOOL(BgL_tmpz00_1373);} } 

}



/* phidget-advanced-servo-speed-ramping-on-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_44, int BgL_iz00_45, bool_t BgL_dz00_46)
{
{ /* Llib/pdgaservo.scm 277 */
{ /* Llib/pdgaservo.scm 279 */
 bool_t BgL_test2085z00_1393;
{ /* Llib/pdgaservo.scm 281 */
 int BgL_arg1380z00_199;
{ /* Llib/pdgaservo.scm 281 */
 CPhidgetAdvancedServoHandle BgL_arg1381z00_200;
{ /* Llib/pdgaservo.scm 281 */
 CPhidgetHandle BgL_arg1384z00_202;
BgL_arg1384z00_202 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_44)))->BgL_z42builtinz42); 
BgL_arg1381z00_200 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1384z00_202); } 
{ /* Llib/pdgaservo.scm 280 */
 int BgL_tmpz00_1397;
if(BgL_dz00_46)
{ /* Llib/pdgaservo.scm 282 */
BgL_tmpz00_1397 = PTRUE
; }  else 
{ /* Llib/pdgaservo.scm 282 */
BgL_tmpz00_1397 = PFALSE
; } 
BgL_arg1380z00_199 = 
CPhidgetAdvancedServo_setSpeedRampingOn(BgL_arg1381z00_200, BgL_iz00_45, BgL_tmpz00_1397); } } 
BgL_test2085z00_1393 = 
(
(long)(BgL_arg1380z00_199)==
(long)(EPHIDGET_OK)); } 
if(BgL_test2085z00_1393)
{ /* Llib/pdgaservo.scm 279 */
return BFALSE;}  else 
{ /* Llib/pdgaservo.scm 279 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1363z00_189;
{ /* Llib/pdgaservo.scm 279 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1123z00_190;
{ /* Llib/pdgaservo.scm 279 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1122z00_197;
BgL_new1122z00_197 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgaservo.scm 279 */
 long BgL_arg1379z00_198;
BgL_arg1379z00_198 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_197), BgL_arg1379z00_198); } 
BgL_new1123z00_190 = BgL_new1122z00_197; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1123z00_190)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1123z00_190)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1411;
{ /* Llib/pdgaservo.scm 279 */
 obj_t BgL_arg1364z00_191;
{ /* Llib/pdgaservo.scm 279 */
 obj_t BgL_arg1366z00_192;
{ /* Llib/pdgaservo.scm 279 */
 obj_t BgL_classz00_411;
BgL_classz00_411 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1366z00_192 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_411); } 
BgL_arg1364z00_191 = 
VECTOR_REF(BgL_arg1366z00_192,((long)2)); } 
BgL_auxz00_1411 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1364z00_191); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1123z00_190)))->BgL_stackz00)=((obj_t)BgL_auxz00_1411),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1123z00_190)))->BgL_procz00)=((obj_t)BGl_string1946z00zz__phidget_advancedzd2servozd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1419;
{ /* Llib/pdgaservo.scm 281 */
 int BgL_arg1367z00_193;
{ /* Llib/pdgaservo.scm 281 */
 CPhidgetAdvancedServoHandle BgL_arg1368z00_194;
{ /* Llib/pdgaservo.scm 281 */
 CPhidgetHandle BgL_arg1378z00_196;
BgL_arg1378z00_196 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_44)))->BgL_z42builtinz42); 
BgL_arg1368z00_194 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1378z00_196); } 
{ /* Llib/pdgaservo.scm 280 */
 int BgL_tmpz00_1424;
if(BgL_dz00_46)
{ /* Llib/pdgaservo.scm 282 */
BgL_tmpz00_1424 = PTRUE
; }  else 
{ /* Llib/pdgaservo.scm 282 */
BgL_tmpz00_1424 = PFALSE
; } 
BgL_arg1367z00_193 = 
CPhidgetAdvancedServo_setSpeedRampingOn(BgL_arg1368z00_194, BgL_iz00_45, BgL_tmpz00_1424); } } 
BgL_auxz00_1419 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1367z00_193); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1123z00_190)))->BgL_msgz00)=((obj_t)BgL_auxz00_1419),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1123z00_190)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_44)),BUNSPEC); 
BgL_arg1363z00_189 = BgL_new1123z00_190; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1363z00_189));} } } 

}



/* &phidget-advanced-servo-speed-ramping-on-set! */
obj_t BGl_z62phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzd2setz12z70zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_520, obj_t BgL_oz00_521, obj_t BgL_iz00_522, obj_t BgL_dz00_523)
{
{ /* Llib/pdgaservo.scm 277 */
{ /* Llib/pdgaservo.scm 278 */
 int BgL_auxz00_1442; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1434;
{ /* Llib/pdgaservo.scm 278 */
 obj_t BgL_tmpz00_1443;
if(
INTEGERP(BgL_iz00_522))
{ /* Llib/pdgaservo.scm 278 */
BgL_tmpz00_1443 = BgL_iz00_522
; }  else 
{ 
 obj_t BgL_auxz00_1446;
BgL_auxz00_1446 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)12275)), BGl_string1947z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_522); 
FAILURE(BgL_auxz00_1446,BFALSE,BFALSE);} 
BgL_auxz00_1442 = 
CINT(BgL_tmpz00_1443); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_521, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 278 */
BgL_auxz00_1434 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_521)
; }  else 
{ 
 obj_t BgL_auxz00_1438;
BgL_auxz00_1438 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)12275)), BGl_string1947z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_521); 
FAILURE(BgL_auxz00_1438,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2advancedzd2servozd2speedzd2rampingzd2onzd2setz12z12zz__phidget_advancedzd2servozd2(BgL_auxz00_1434, BgL_auxz00_1442, 
CBOOL(BgL_dz00_523));} } 

}



/* phidget-advanced-servo-stopped */
BGL_EXPORTED_DEF bool_t BGl_phidgetzd2advancedzd2servozd2stoppedzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_47, int BgL_iz00_48)
{
{ /* Llib/pdgaservo.scm 288 */
{ /* Llib/pdgaservo.scm 291 */
 int BgL_arg1414z00_414;
{ /* Llib/pdgaservo.scm 291 */
 CPhidgetAdvancedServoHandle BgL_arg1455z00_415;
{ /* Llib/pdgaservo.scm 291 */
 CPhidgetHandle BgL_arg1456z00_416;
BgL_arg1456z00_416 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_47)))->BgL_z42builtinz42); 
BgL_arg1455z00_415 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1456z00_416); } 
BgL_arg1414z00_414 = 
bgl_phidget_advanced_servo_get_stopped(BgL_arg1455z00_415, BgL_iz00_48, 
((obj_t)BgL_oz00_47)); } 
return ((bool_t)1);} } 

}



/* &phidget-advanced-servo-stopped */
obj_t BGl_z62phidgetzd2advancedzd2servozd2stoppedzb0zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_524, obj_t BgL_oz00_525, obj_t BgL_iz00_526)
{
{ /* Llib/pdgaservo.scm 288 */
{ /* Llib/pdgaservo.scm 289 */
 bool_t BgL_tmpz00_1458;
{ /* Llib/pdgaservo.scm 289 */
 int BgL_auxz00_1467; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1459;
{ /* Llib/pdgaservo.scm 289 */
 obj_t BgL_tmpz00_1468;
if(
INTEGERP(BgL_iz00_526))
{ /* Llib/pdgaservo.scm 289 */
BgL_tmpz00_1468 = BgL_iz00_526
; }  else 
{ 
 obj_t BgL_auxz00_1471;
BgL_auxz00_1471 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)12791)), BGl_string1948z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_526); 
FAILURE(BgL_auxz00_1471,BFALSE,BFALSE);} 
BgL_auxz00_1467 = 
CINT(BgL_tmpz00_1468); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_525, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 289 */
BgL_auxz00_1459 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_525)
; }  else 
{ 
 obj_t BgL_auxz00_1463;
BgL_auxz00_1463 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)12791)), BGl_string1948z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_525); 
FAILURE(BgL_auxz00_1463,BFALSE,BFALSE);} 
BgL_tmpz00_1458 = 
BGl_phidgetzd2advancedzd2servozd2stoppedzd2zz__phidget_advancedzd2servozd2(BgL_auxz00_1459, BgL_auxz00_1467); } 
return 
BBOOL(BgL_tmpz00_1458);} } 

}



/* phidget-advanced-servo-current */
BGL_EXPORTED_DEF double BGl_phidgetzd2advancedzd2servozd2currentzd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_49, int BgL_iz00_50)
{
{ /* Llib/pdgaservo.scm 297 */
{ /* Llib/pdgaservo.scm 300 */
 CPhidgetAdvancedServoHandle BgL_arg1535z00_420;
{ /* Llib/pdgaservo.scm 300 */
 CPhidgetHandle BgL_arg1536z00_421;
BgL_arg1536z00_421 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_49)))->BgL_z42builtinz42); 
BgL_arg1535z00_420 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1536z00_421); } 
return 
bgl_phidget_advanced_servo_get_current(BgL_arg1535z00_420, BgL_iz00_50, 
((obj_t)BgL_oz00_49));} } 

}



/* &phidget-advanced-servo-current */
obj_t BGl_z62phidgetzd2advancedzd2servozd2currentzb0zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_527, obj_t BgL_oz00_528, obj_t BgL_iz00_529)
{
{ /* Llib/pdgaservo.scm 297 */
{ /* Llib/pdgaservo.scm 298 */
 double BgL_tmpz00_1483;
{ /* Llib/pdgaservo.scm 298 */
 int BgL_auxz00_1492; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1484;
{ /* Llib/pdgaservo.scm 298 */
 obj_t BgL_tmpz00_1493;
if(
INTEGERP(BgL_iz00_529))
{ /* Llib/pdgaservo.scm 298 */
BgL_tmpz00_1493 = BgL_iz00_529
; }  else 
{ 
 obj_t BgL_auxz00_1496;
BgL_auxz00_1496 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)13213)), BGl_string1949z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_529); 
FAILURE(BgL_auxz00_1496,BFALSE,BFALSE);} 
BgL_auxz00_1492 = 
CINT(BgL_tmpz00_1493); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_528, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 298 */
BgL_auxz00_1484 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_528)
; }  else 
{ 
 obj_t BgL_auxz00_1488;
BgL_auxz00_1488 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)13213)), BGl_string1949z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_528); 
FAILURE(BgL_auxz00_1488,BFALSE,BFALSE);} 
BgL_tmpz00_1483 = 
BGl_phidgetzd2advancedzd2servozd2currentzd2zz__phidget_advancedzd2servozd2(BgL_auxz00_1484, BgL_auxz00_1492); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_1483);} } 

}



/* phidget-advanced-servo-parameters-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2advancedzd2servozd2parameterszd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_51, int BgL_iz00_52, double BgL_d0z00_53, double BgL_d1z00_54, double BgL_d2z00_55, double BgL_d3z00_56)
{
{ /* Llib/pdgaservo.scm 306 */
{ /* Llib/pdgaservo.scm 308 */
 bool_t BgL_test2094z00_1503;
{ /* Llib/pdgaservo.scm 310 */
 int BgL_arg1590z00_224;
{ /* Llib/pdgaservo.scm 310 */
 CPhidgetAdvancedServoHandle BgL_arg1591z00_225;
{ /* Llib/pdgaservo.scm 310 */
 CPhidgetHandle BgL_arg1594z00_226;
BgL_arg1594z00_226 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_51)))->BgL_z42builtinz42); 
BgL_arg1591z00_225 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1594z00_226); } 
BgL_arg1590z00_224 = 
CPhidgetAdvancedServo_setServoParameters(BgL_arg1591z00_225, BgL_iz00_52, BgL_d0z00_53, BgL_d1z00_54, BgL_d2z00_55, BgL_d3z00_56); } 
BgL_test2094z00_1503 = 
(
(long)(BgL_arg1590z00_224)==
(long)(EPHIDGET_OK)); } 
if(BgL_test2094z00_1503)
{ /* Llib/pdgaservo.scm 308 */
return BFALSE;}  else 
{ /* Llib/pdgaservo.scm 308 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1563z00_215;
{ /* Llib/pdgaservo.scm 308 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1128z00_216;
{ /* Llib/pdgaservo.scm 308 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1127z00_222;
BgL_new1127z00_222 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgaservo.scm 308 */
 long BgL_arg1576z00_223;
BgL_arg1576z00_223 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_222), BgL_arg1576z00_223); } 
BgL_new1128z00_216 = BgL_new1127z00_222; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1128z00_216)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1128z00_216)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1519;
{ /* Llib/pdgaservo.scm 308 */
 obj_t BgL_arg1564z00_217;
{ /* Llib/pdgaservo.scm 308 */
 obj_t BgL_arg1572z00_218;
{ /* Llib/pdgaservo.scm 308 */
 obj_t BgL_classz00_427;
BgL_classz00_427 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1572z00_218 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_427); } 
BgL_arg1564z00_217 = 
VECTOR_REF(BgL_arg1572z00_218,((long)2)); } 
BgL_auxz00_1519 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1564z00_217); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1128z00_216)))->BgL_stackz00)=((obj_t)BgL_auxz00_1519),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1128z00_216)))->BgL_procz00)=((obj_t)BGl_string1950z00zz__phidget_advancedzd2servozd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1527;
{ /* Llib/pdgaservo.scm 310 */
 int BgL_arg1573z00_219;
{ /* Llib/pdgaservo.scm 310 */
 CPhidgetAdvancedServoHandle BgL_arg1574z00_220;
{ /* Llib/pdgaservo.scm 310 */
 CPhidgetHandle BgL_arg1575z00_221;
BgL_arg1575z00_221 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_51)))->BgL_z42builtinz42); 
BgL_arg1574z00_220 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1575z00_221); } 
BgL_arg1573z00_219 = 
CPhidgetAdvancedServo_setServoParameters(BgL_arg1574z00_220, BgL_iz00_52, BgL_d0z00_53, BgL_d1z00_54, BgL_d2z00_55, BgL_d3z00_56); } 
BgL_auxz00_1527 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1573z00_219); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1128z00_216)))->BgL_msgz00)=((obj_t)BgL_auxz00_1527),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1128z00_216)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_51)),BUNSPEC); 
BgL_arg1563z00_215 = BgL_new1128z00_216; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1563z00_215));} } } 

}



/* &phidget-advanced-servo-parameters-set! */
obj_t BGl_z62phidgetzd2advancedzd2servozd2parameterszd2setz12z70zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_530, obj_t BgL_oz00_531, obj_t BgL_iz00_532, obj_t BgL_d0z00_533, obj_t BgL_d1z00_534, obj_t BgL_d2z00_535, obj_t BgL_d3z00_536)
{
{ /* Llib/pdgaservo.scm 306 */
{ /* Llib/pdgaservo.scm 307 */
 double BgL_auxz00_1584; double BgL_auxz00_1575; double BgL_auxz00_1566; double BgL_auxz00_1557; int BgL_auxz00_1548; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1540;
{ /* Llib/pdgaservo.scm 307 */
 obj_t BgL_tmpz00_1585;
if(
REALP(BgL_d3z00_536))
{ /* Llib/pdgaservo.scm 307 */
BgL_tmpz00_1585 = BgL_d3z00_536
; }  else 
{ 
 obj_t BgL_auxz00_1588;
BgL_auxz00_1588 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)13637)), BGl_string1951z00zz__phidget_advancedzd2servozd2, BGl_string1928z00zz__phidget_advancedzd2servozd2, BgL_d3z00_536); 
FAILURE(BgL_auxz00_1588,BFALSE,BFALSE);} 
BgL_auxz00_1584 = 
REAL_TO_DOUBLE(BgL_tmpz00_1585); } 
{ /* Llib/pdgaservo.scm 307 */
 obj_t BgL_tmpz00_1576;
if(
REALP(BgL_d2z00_535))
{ /* Llib/pdgaservo.scm 307 */
BgL_tmpz00_1576 = BgL_d2z00_535
; }  else 
{ 
 obj_t BgL_auxz00_1579;
BgL_auxz00_1579 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)13637)), BGl_string1951z00zz__phidget_advancedzd2servozd2, BGl_string1928z00zz__phidget_advancedzd2servozd2, BgL_d2z00_535); 
FAILURE(BgL_auxz00_1579,BFALSE,BFALSE);} 
BgL_auxz00_1575 = 
REAL_TO_DOUBLE(BgL_tmpz00_1576); } 
{ /* Llib/pdgaservo.scm 307 */
 obj_t BgL_tmpz00_1567;
if(
REALP(BgL_d1z00_534))
{ /* Llib/pdgaservo.scm 307 */
BgL_tmpz00_1567 = BgL_d1z00_534
; }  else 
{ 
 obj_t BgL_auxz00_1570;
BgL_auxz00_1570 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)13637)), BGl_string1951z00zz__phidget_advancedzd2servozd2, BGl_string1928z00zz__phidget_advancedzd2servozd2, BgL_d1z00_534); 
FAILURE(BgL_auxz00_1570,BFALSE,BFALSE);} 
BgL_auxz00_1566 = 
REAL_TO_DOUBLE(BgL_tmpz00_1567); } 
{ /* Llib/pdgaservo.scm 307 */
 obj_t BgL_tmpz00_1558;
if(
REALP(BgL_d0z00_533))
{ /* Llib/pdgaservo.scm 307 */
BgL_tmpz00_1558 = BgL_d0z00_533
; }  else 
{ 
 obj_t BgL_auxz00_1561;
BgL_auxz00_1561 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)13637)), BGl_string1951z00zz__phidget_advancedzd2servozd2, BGl_string1928z00zz__phidget_advancedzd2servozd2, BgL_d0z00_533); 
FAILURE(BgL_auxz00_1561,BFALSE,BFALSE);} 
BgL_auxz00_1557 = 
REAL_TO_DOUBLE(BgL_tmpz00_1558); } 
{ /* Llib/pdgaservo.scm 307 */
 obj_t BgL_tmpz00_1549;
if(
INTEGERP(BgL_iz00_532))
{ /* Llib/pdgaservo.scm 307 */
BgL_tmpz00_1549 = BgL_iz00_532
; }  else 
{ 
 obj_t BgL_auxz00_1552;
BgL_auxz00_1552 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)13637)), BGl_string1951z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_532); 
FAILURE(BgL_auxz00_1552,BFALSE,BFALSE);} 
BgL_auxz00_1548 = 
CINT(BgL_tmpz00_1549); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_531, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 307 */
BgL_auxz00_1540 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_531)
; }  else 
{ 
 obj_t BgL_auxz00_1544;
BgL_auxz00_1544 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)13637)), BGl_string1951z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_531); 
FAILURE(BgL_auxz00_1544,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2advancedzd2servozd2parameterszd2setz12z12zz__phidget_advancedzd2servozd2(BgL_auxz00_1540, BgL_auxz00_1548, BgL_auxz00_1557, BgL_auxz00_1566, BgL_auxz00_1575, BgL_auxz00_1584);} } 

}



/* phidget-advanced-servo-type */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2advancedzd2servozd2typezd2zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_57, int BgL_iz00_58)
{
{ /* Llib/pdgaservo.scm 317 */
{ /* Llib/pdgaservo.scm 321 */
 int BgL_arg1595z00_430;
{ /* Llib/pdgaservo.scm 321 */
 CPhidgetAdvancedServoHandle BgL_arg1609z00_431;
{ /* Llib/pdgaservo.scm 321 */
 CPhidgetHandle BgL_arg1611z00_432;
BgL_arg1611z00_432 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_57)))->BgL_z42builtinz42); 
BgL_arg1609z00_431 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1611z00_432); } 
BgL_arg1595z00_430 = 
bgl_phidget_advanced_servo_get_servo_type(BgL_arg1609z00_431, BgL_iz00_58, 
((obj_t)BgL_oz00_57)); } 
return 
BGl_servozd2typezd2ze3symbolze3zz__phidget_ctypesz00(
(long)(BgL_arg1595z00_430));} } 

}



/* &phidget-advanced-servo-type */
obj_t BGl_z62phidgetzd2advancedzd2servozd2typezb0zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_537, obj_t BgL_oz00_538, obj_t BgL_iz00_539)
{
{ /* Llib/pdgaservo.scm 317 */
{ /* Llib/pdgaservo.scm 318 */
 int BgL_auxz00_1609; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1601;
{ /* Llib/pdgaservo.scm 318 */
 obj_t BgL_tmpz00_1610;
if(
INTEGERP(BgL_iz00_539))
{ /* Llib/pdgaservo.scm 318 */
BgL_tmpz00_1610 = BgL_iz00_539
; }  else 
{ 
 obj_t BgL_auxz00_1613;
BgL_auxz00_1613 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)14122)), BGl_string1952z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_539); 
FAILURE(BgL_auxz00_1613,BFALSE,BFALSE);} 
BgL_auxz00_1609 = 
CINT(BgL_tmpz00_1610); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_538, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 318 */
BgL_auxz00_1601 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_538)
; }  else 
{ 
 obj_t BgL_auxz00_1605;
BgL_auxz00_1605 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)14122)), BGl_string1952z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_538); 
FAILURE(BgL_auxz00_1605,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2advancedzd2servozd2typezd2zz__phidget_advancedzd2servozd2(BgL_auxz00_1601, BgL_auxz00_1609);} } 

}



/* phidget-advanced-servo-type-set! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2advancedzd2servozd2typezd2setz12z12zz__phidget_advancedzd2servozd2(BgL_phidgetzd2advancedzd2servoz00_bglt BgL_oz00_59, int BgL_iz00_60, obj_t BgL_tz00_61)
{
{ /* Llib/pdgaservo.scm 327 */
{ /* Llib/pdgaservo.scm 329 */
 bool_t BgL_test2103z00_1619;
{ /* Llib/pdgaservo.scm 331 */
 int BgL_arg1673z00_247;
{ /* Llib/pdgaservo.scm 331 */
 CPhidgetAdvancedServoHandle BgL_arg1674z00_248; CPhidget_ServoType BgL_arg1677z00_249;
{ /* Llib/pdgaservo.scm 331 */
 CPhidgetHandle BgL_arg1684z00_250;
BgL_arg1684z00_250 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_59)))->BgL_z42builtinz42); 
BgL_arg1674z00_248 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1684z00_250); } 
BgL_arg1677z00_249 = 
BGl_symbolzd2ze3servozd2typeze3zz__phidget_ctypesz00(BgL_tz00_61); 
BgL_arg1673z00_247 = 
CPhidgetAdvancedServo_setServoType(BgL_arg1674z00_248, BgL_iz00_60, BgL_arg1677z00_249); } 
BgL_test2103z00_1619 = 
(
(long)(BgL_arg1673z00_247)==
(long)(EPHIDGET_OK)); } 
if(BgL_test2103z00_1619)
{ /* Llib/pdgaservo.scm 329 */
return BFALSE;}  else 
{ /* Llib/pdgaservo.scm 329 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1642z00_237;
{ /* Llib/pdgaservo.scm 329 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1132z00_238;
{ /* Llib/pdgaservo.scm 329 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1131z00_245;
BgL_new1131z00_245 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgaservo.scm 329 */
 long BgL_arg1672z00_246;
BgL_arg1672z00_246 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_245), BgL_arg1672z00_246); } 
BgL_new1132z00_238 = BgL_new1131z00_245; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1132z00_238)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1132z00_238)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1636;
{ /* Llib/pdgaservo.scm 329 */
 obj_t BgL_arg1643z00_239;
{ /* Llib/pdgaservo.scm 329 */
 obj_t BgL_arg1651z00_240;
{ /* Llib/pdgaservo.scm 329 */
 obj_t BgL_classz00_438;
BgL_classz00_438 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1651z00_240 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_438); } 
BgL_arg1643z00_239 = 
VECTOR_REF(BgL_arg1651z00_240,((long)2)); } 
BgL_auxz00_1636 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1643z00_239); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1132z00_238)))->BgL_stackz00)=((obj_t)BgL_auxz00_1636),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1132z00_238)))->BgL_procz00)=((obj_t)BGl_string1953z00zz__phidget_advancedzd2servozd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1644;
{ /* Llib/pdgaservo.scm 331 */
 int BgL_arg1653z00_241;
{ /* Llib/pdgaservo.scm 331 */
 CPhidgetAdvancedServoHandle BgL_arg1654z00_242; CPhidget_ServoType BgL_arg1657z00_243;
{ /* Llib/pdgaservo.scm 331 */
 CPhidgetHandle BgL_arg1664z00_244;
BgL_arg1664z00_244 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_59)))->BgL_z42builtinz42); 
BgL_arg1654z00_242 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1664z00_244); } 
BgL_arg1657z00_243 = 
BGl_symbolzd2ze3servozd2typeze3zz__phidget_ctypesz00(BgL_tz00_61); 
BgL_arg1653z00_241 = 
CPhidgetAdvancedServo_setServoType(BgL_arg1654z00_242, BgL_iz00_60, BgL_arg1657z00_243); } 
BgL_auxz00_1644 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1653z00_241); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1132z00_238)))->BgL_msgz00)=((obj_t)BgL_auxz00_1644),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1132z00_238)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_59)),BUNSPEC); 
BgL_arg1642z00_237 = BgL_new1132z00_238; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1642z00_237));} } } 

}



/* &phidget-advanced-servo-type-set! */
obj_t BGl_z62phidgetzd2advancedzd2servozd2typezd2setz12z70zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_540, obj_t BgL_oz00_541, obj_t BgL_iz00_542, obj_t BgL_tz00_543)
{
{ /* Llib/pdgaservo.scm 327 */
{ /* Llib/pdgaservo.scm 328 */
 obj_t BgL_auxz00_1675; int BgL_auxz00_1666; BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1658;
if(
SYMBOLP(BgL_tz00_543))
{ /* Llib/pdgaservo.scm 328 */
BgL_auxz00_1675 = BgL_tz00_543
; }  else 
{ 
 obj_t BgL_auxz00_1678;
BgL_auxz00_1678 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)14562)), BGl_string1954z00zz__phidget_advancedzd2servozd2, BGl_string1955z00zz__phidget_advancedzd2servozd2, BgL_tz00_543); 
FAILURE(BgL_auxz00_1678,BFALSE,BFALSE);} 
{ /* Llib/pdgaservo.scm 328 */
 obj_t BgL_tmpz00_1667;
if(
INTEGERP(BgL_iz00_542))
{ /* Llib/pdgaservo.scm 328 */
BgL_tmpz00_1667 = BgL_iz00_542
; }  else 
{ 
 obj_t BgL_auxz00_1670;
BgL_auxz00_1670 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)14562)), BGl_string1954z00zz__phidget_advancedzd2servozd2, BGl_string1925z00zz__phidget_advancedzd2servozd2, BgL_iz00_542); 
FAILURE(BgL_auxz00_1670,BFALSE,BFALSE);} 
BgL_auxz00_1666 = 
CINT(BgL_tmpz00_1667); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_541, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2))
{ /* Llib/pdgaservo.scm 328 */
BgL_auxz00_1658 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_541)
; }  else 
{ 
 obj_t BgL_auxz00_1662;
BgL_auxz00_1662 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1920z00zz__phidget_advancedzd2servozd2, 
BINT(((long)14562)), BGl_string1954z00zz__phidget_advancedzd2servozd2, BGl_string1924z00zz__phidget_advancedzd2servozd2, BgL_oz00_541); 
FAILURE(BgL_auxz00_1662,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2advancedzd2servozd2typezd2setz12z12zz__phidget_advancedzd2servozd2(BgL_auxz00_1658, BgL_auxz00_1666, BgL_auxz00_1675);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__phidget_advancedzd2servozd2()
{
{ /* Llib/pdgaservo.scm 15 */
{ /* Llib/pdgaservo.scm 30 */
 obj_t BgL_arg1692z00_254; obj_t BgL_arg1701z00_255;
{ /* Llib/pdgaservo.scm 30 */
 obj_t BgL_v1136z00_268;
BgL_v1136z00_268 = 
create_vector(((long)1)); 
{ /* Llib/pdgaservo.scm 30 */
 obj_t BgL_arg1709z00_269;
BgL_arg1709z00_269 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1957z00zz__phidget_advancedzd2servozd2, BGl_proc1956z00zz__phidget_advancedzd2servozd2, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1136z00_268,((long)0),BgL_arg1709z00_269); } 
BgL_arg1692z00_254 = BgL_v1136z00_268; } 
{ /* Llib/pdgaservo.scm 30 */
 obj_t BgL_v1137z00_279;
BgL_v1137z00_279 = 
create_vector(((long)1)); 
{ /* Llib/pdgaservo.scm 34 */
 obj_t BgL_arg1725z00_280;
{ /* Llib/pdgaservo.scm 34 */
 obj_t BgL_arg1726z00_281;
BgL_arg1726z00_281 = 
MAKE_YOUNG_PAIR(BGl_proc1958z00zz__phidget_advancedzd2servozd2, BFALSE); 
BgL_arg1725z00_280 = 
MAKE_YOUNG_PAIR(
BINT(((long)6)), BgL_arg1726z00_281); } 
VECTOR_SET(BgL_v1137z00_279,((long)0),BgL_arg1725z00_280); } 
BgL_arg1701z00_255 = BgL_v1137z00_279; } 
return ( 
BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)3)), BGl_phidgetz00zz__phidget_phidgetz00, ((long)9574), BGl_proc1961z00zz__phidget_advancedzd2servozd2, BGl_proc1960z00zz__phidget_advancedzd2servozd2, BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00, BGl_proc1959z00zz__phidget_advancedzd2servozd2, BFALSE, BgL_arg1692z00_254, BgL_arg1701z00_255), BUNSPEC) ;} } 

}



/* &<@anonymous:1707> */
obj_t BGl_z62zc3z04anonymousza31707ze3ze5zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_550, obj_t BgL_new1079z00_551)
{
{ /* Llib/pdgaservo.scm 30 */
{ 
 BgL_phidgetzd2advancedzd2servoz00_bglt BgL_auxz00_1696;
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_new1079z00_551))))->BgL_z42builtinz42)=((CPhidgetHandle)
0L),BUNSPEC); 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_new1079z00_551))))->BgL_z52serialzd2numberz80)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_1696 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_new1079z00_551); 
return 
((obj_t)BgL_auxz00_1696);} } 

}



/* &lambda1705 */
BgL_phidgetzd2advancedzd2servoz00_bglt BGl_z62lambda1705z62zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_552)
{
{ /* Llib/pdgaservo.scm 30 */
{ /* Llib/pdgaservo.scm 30 */
 BgL_phidgetzd2advancedzd2servoz00_bglt BgL_new1078z00_741;
BgL_new1078z00_741 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2advancedzd2servoz00_bgl) ))); 
{ /* Llib/pdgaservo.scm 30 */
 long BgL_arg1706z00_742;
BgL_arg1706z00_742 = 
BGL_CLASS_NUM(BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_741), BgL_arg1706z00_742); } 
return BgL_new1078z00_741;} } 

}



/* &lambda1702 */
BgL_phidgetzd2advancedzd2servoz00_bglt BGl_z62lambda1702z62zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_553, obj_t BgL_z42builtin1076z42_554, obj_t BgL_z52serialzd2number1077z80_555)
{
{ /* Llib/pdgaservo.scm 30 */
{ /* Llib/pdgaservo.scm 30 */
 CPhidgetHandle BgL_z42builtin1076z42_743; int BgL_z52serialzd2number1077z80_744;
BgL_z42builtin1076z42_743 = 
FOREIGN_TO_COBJ(BgL_z42builtin1076z42_554); 
BgL_z52serialzd2number1077z80_744 = 
CINT(BgL_z52serialzd2number1077z80_555); 
{ /* Llib/pdgaservo.scm 30 */
 BgL_phidgetzd2advancedzd2servoz00_bglt BgL_new1134z00_745;
{ /* Llib/pdgaservo.scm 30 */
 BgL_phidgetzd2advancedzd2servoz00_bglt BgL_new1133z00_746;
BgL_new1133z00_746 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2advancedzd2servoz00_bgl) ))); 
{ /* Llib/pdgaservo.scm 30 */
 long BgL_arg1704z00_747;
BgL_arg1704z00_747 = 
BGL_CLASS_NUM(BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_746), BgL_arg1704z00_747); } 
BgL_new1134z00_745 = BgL_new1133z00_746; } 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1134z00_745)))->BgL_z42builtinz42)=((CPhidgetHandle)BgL_z42builtin1076z42_743),BUNSPEC); 
((((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_new1134z00_745)))->BgL_z52serialzd2numberz80)=((int)BgL_z52serialzd2number1077z80_744),BUNSPEC); 
{ /* Llib/pdgaservo.scm 30 */
 obj_t BgL_fun1703z00_748;
BgL_fun1703z00_748 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2); 
PROCEDURE_ENTRY(BgL_fun1703z00_748)(BgL_fun1703z00_748, 
((obj_t)BgL_new1134z00_745), BEOA); } 
return BgL_new1134z00_745;} } } 

}



/* &<@anonymous:1728> */
obj_t BGl_z62zc3z04anonymousza31728ze3ze5zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_556, obj_t BgL_oz00_557)
{
{ /* Llib/pdgaservo.scm 31 */
{ /* Llib/pdgaservo.scm 34 */
 int BgL_tmpz00_1727;
{ /* Llib/pdgaservo.scm 36 */
 CPhidgetAdvancedServoHandle BgL_arg1729z00_749;
{ /* Llib/pdgaservo.scm 36 */
 CPhidgetHandle BgL_arg1730z00_750;
BgL_arg1730z00_750 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)BgL_oz00_557)))->BgL_z42builtinz42); 
BgL_arg1729z00_749 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1730z00_750); } 
BgL_tmpz00_1727 = 
bgl_phidget_advanced_servo_get_motor_count(BgL_arg1729z00_749, BgL_oz00_557); } 
return 
BINT(BgL_tmpz00_1727);} } 

}



/* &<@anonymous:1714> */
obj_t BGl_z62zc3z04anonymousza31714ze3ze5zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_558, obj_t BgL_oz00_559, obj_t BgL_vz00_560)
{
{ /* Llib/pdgaservo.scm 30 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_559), 
(int)(((long)6)), BgL_vz00_560);} 

}



/* &<@anonymous:1713> */
obj_t BGl_z62zc3z04anonymousza31713ze3ze5zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_561, obj_t BgL_oz00_562)
{
{ /* Llib/pdgaservo.scm 30 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_562), 
(int)(((long)6)));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__phidget_advancedzd2servozd2()
{
{ /* Llib/pdgaservo.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__phidget_advancedzd2servozd2()
{
{ /* Llib/pdgaservo.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2, BGl_proc1962z00zz__phidget_advancedzd2servozd2, BGl_string1963z00zz__phidget_advancedzd2servozd2); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, BGl_phidgetzd2advancedzd2servoz00zz__phidget_advancedzd2servozd2, BGl_proc1964z00zz__phidget_advancedzd2servozd2, BGl_string1965z00zz__phidget_advancedzd2servozd2);} 

}



/* &phidget-add-event-li1141 */
obj_t BGl_z62phidgetzd2addzd2eventzd2li1141zb0zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_567, obj_t BgL_oz00_568, obj_t BgL_eventz00_569, obj_t BgL_procz00_570)
{
{ /* Llib/pdgaservo.scm 113 */
{ /* Llib/pdgaservo.scm 115 */
 bool_t BgL_test2107z00_1741;
{ /* Llib/pdgaservo.scm 117 */
 int BgL_arg1796z00_752;
{ /* Llib/pdgaservo.scm 117 */
 CPhidgetAdvancedServoHandle BgL_arg1798z00_753;
{ /* Llib/pdgaservo.scm 117 */
 CPhidgetHandle BgL_arg1808z00_754;
BgL_arg1808z00_754 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_568))))->BgL_z42builtinz42); 
BgL_arg1798z00_753 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1808z00_754); } 
BgL_arg1796z00_752 = 
bgl_phidget_advanced_servo_add_event_listener(BgL_arg1798z00_753, 
BSTRING_TO_STRING(BgL_eventz00_569), 
((obj_t)
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_568)), BgL_procz00_570); } 
BgL_test2107z00_1741 = 
(
(long)(BgL_arg1796z00_752)==
(long)(EPHIDGET_OK)); } 
if(BgL_test2107z00_1741)
{ /* Llib/pdgaservo.scm 115 */
return BFALSE;}  else 
{ /* Llib/pdgaservo.scm 115 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1763z00_755;
{ /* Llib/pdgaservo.scm 115 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1095z00_756;
{ /* Llib/pdgaservo.scm 115 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1094z00_757;
BgL_new1094z00_757 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgaservo.scm 115 */
 long BgL_arg1790z00_758;
BgL_arg1790z00_758 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1094z00_757), BgL_arg1790z00_758); } 
BgL_new1095z00_756 = BgL_new1094z00_757; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1095z00_756)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1095z00_756)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1761;
{ /* Llib/pdgaservo.scm 115 */
 obj_t BgL_arg1766z00_759;
{ /* Llib/pdgaservo.scm 115 */
 obj_t BgL_arg1767z00_760;
{ /* Llib/pdgaservo.scm 115 */
 obj_t BgL_classz00_761;
BgL_classz00_761 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1767z00_760 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_761); } 
BgL_arg1766z00_759 = 
VECTOR_REF(BgL_arg1767z00_760,((long)2)); } 
BgL_auxz00_1761 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1766z00_759); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1095z00_756)))->BgL_stackz00)=((obj_t)BgL_auxz00_1761),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1095z00_756)))->BgL_procz00)=((obj_t)BGl_string1965z00zz__phidget_advancedzd2servozd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1769;
{ /* Llib/pdgaservo.scm 117 */
 int BgL_arg1770z00_762;
{ /* Llib/pdgaservo.scm 117 */
 CPhidgetAdvancedServoHandle BgL_arg1777z00_763;
{ /* Llib/pdgaservo.scm 117 */
 CPhidgetHandle BgL_arg1789z00_764;
BgL_arg1789z00_764 = 
(((BgL_phidgetz00_bglt)COBJECT(
((BgL_phidgetz00_bglt)
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_568))))->BgL_z42builtinz42); 
BgL_arg1777z00_763 = 
(CPhidgetAdvancedServoHandle)(BgL_arg1789z00_764); } 
BgL_arg1770z00_762 = 
bgl_phidget_advanced_servo_add_event_listener(BgL_arg1777z00_763, 
BSTRING_TO_STRING(BgL_eventz00_569), 
((obj_t)
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_568)), BgL_procz00_570); } 
BgL_auxz00_1769 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1770z00_762); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1095z00_756)))->BgL_msgz00)=((obj_t)BgL_auxz00_1769),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1095z00_756)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_568))),BUNSPEC); 
BgL_arg1763z00_755 = BgL_new1095z00_756; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1763z00_755));} } } 

}



/* &%phidget-init-phidge1139 */
obj_t BGl_z62z52phidgetzd2initzd2phidge1139z30zz__phidget_advancedzd2servozd2(obj_t BgL_envz00_571, obj_t BgL_oz00_572)
{
{ /* Llib/pdgaservo.scm 103 */
BGl_phidgetzd2initz12zc0zz__phidgetz00(); 
{ /* Llib/pdgaservo.scm 106 */
 bool_t BgL_test2108z00_1788;
{ /* Llib/pdgaservo.scm 107 */
 int BgL_arg1747z00_766;
{ /* Llib/pdgaservo.scm 107 */
 CPhidgetAdvancedServoHandle * BgL_arg1748z00_767;
{ /* Llib/pdgaservo.scm 107 */
 BgL_phidgetzd2advancedzd2servoz00_bglt BgL_tmpz00_1789;
BgL_tmpz00_1789 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_572); 
BgL_arg1748z00_767 = 
BGL_PHIDGET_ADVANCED_SERVO_BUILTIN(BgL_tmpz00_1789); } 
BgL_arg1747z00_766 = 
CPhidgetAdvancedServo_create(BgL_arg1748z00_767); } 
BgL_test2108z00_1788 = 
(
(long)(BgL_arg1747z00_766)==
(long)(EPHIDGET_OK)); } 
if(BgL_test2108z00_1788)
{ /* Llib/pdgaservo.scm 106 */
return BFALSE;}  else 
{ /* Llib/pdgaservo.scm 106 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_arg1739z00_768;
{ /* Llib/pdgaservo.scm 106 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1092z00_769;
{ /* Llib/pdgaservo.scm 106 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1091z00_770;
BgL_new1091z00_770 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgaservo.scm 106 */
 long BgL_arg1745z00_771;
BgL_arg1745z00_771 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_770), BgL_arg1745z00_771); } 
BgL_new1092z00_769 = BgL_new1091z00_770; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_769)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_769)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1804;
{ /* Llib/pdgaservo.scm 106 */
 obj_t BgL_arg1740z00_772;
{ /* Llib/pdgaservo.scm 106 */
 obj_t BgL_arg1741z00_773;
{ /* Llib/pdgaservo.scm 106 */
 obj_t BgL_classz00_774;
BgL_classz00_774 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_arg1741z00_773 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_774); } 
BgL_arg1740z00_772 = 
VECTOR_REF(BgL_arg1741z00_773,((long)2)); } 
BgL_auxz00_1804 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1740z00_772); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_769)))->BgL_stackz00)=((obj_t)BgL_auxz00_1804),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1092z00_769)))->BgL_procz00)=((obj_t)BGl_string1924z00zz__phidget_advancedzd2servozd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1812;
{ /* Llib/pdgaservo.scm 107 */
 int BgL_arg1742z00_775;
{ /* Llib/pdgaservo.scm 107 */
 CPhidgetAdvancedServoHandle * BgL_arg1744z00_776;
{ /* Llib/pdgaservo.scm 107 */
 BgL_phidgetzd2advancedzd2servoz00_bglt BgL_tmpz00_1814;
BgL_tmpz00_1814 = 
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_572); 
BgL_arg1744z00_776 = 
BGL_PHIDGET_ADVANCED_SERVO_BUILTIN(BgL_tmpz00_1814); } 
BgL_arg1742z00_775 = 
CPhidgetAdvancedServo_create(BgL_arg1744z00_776); } 
BgL_auxz00_1812 = 
BGl_phidgetzd2strerrorzd2zz__phidgetz00(BgL_arg1742z00_775); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1092z00_769)))->BgL_msgz00)=((obj_t)BgL_auxz00_1812),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1092z00_769)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_phidgetzd2advancedzd2servoz00_bglt)BgL_oz00_572))),BUNSPEC); 
BgL_arg1739z00_768 = BgL_new1092z00_769; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1739z00_768));} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__phidget_advancedzd2servozd2()
{
{ /* Llib/pdgaservo.scm 15 */
BGl_modulezd2initializa7ationz75zz__phidget_typesz00(((long)253269866), 
BSTRING_TO_STRING(BGl_string1966z00zz__phidget_advancedzd2servozd2)); 
BGl_modulezd2initializa7ationz75zz__phidget_ctypesz00(((long)348195563), 
BSTRING_TO_STRING(BGl_string1966z00zz__phidget_advancedzd2servozd2)); 
BGl_modulezd2initializa7ationz75zz__phidgetz00(((long)10161971), 
BSTRING_TO_STRING(BGl_string1966z00zz__phidget_advancedzd2servozd2)); 
BGl_modulezd2initializa7ationz75zz__phidget_eventz00(((long)347168848), 
BSTRING_TO_STRING(BGl_string1966z00zz__phidget_advancedzd2servozd2)); 
return 
BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(((long)489304720), 
BSTRING_TO_STRING(BGl_string1966z00zz__phidget_advancedzd2servozd2));} 

}

#ifdef __cplusplus
}
#endif
