/*===========================================================================*/
/*   (Llib/pdgtypes.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -srfi phidget -unsafe -safee -copt  -copt -fPIC -copt -IClib Llib/pdgtypes.scm -o objs/pdgtypes.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62phidgetzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62phidgetzd2errorzb0_bglt;

typedef struct BgL_z62phidgetzd2logzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62phidgetzd2logzd2errorz62_bglt;

typedef struct BgL_z52phidgetz52_bgl {
   header_t header;
   obj_t widening;
} *BgL_z52phidgetz52_bglt;

typedef struct BgL_z52phidgetzd2eventz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
} *BgL_z52phidgetzd2eventz80_bglt;

typedef struct BgL_phidgetzd2eventzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2eventzd2_bglt;

typedef struct BgL_phidgetzd2errorzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_codez00;
   char * BgL_messagez00;
} *BgL_phidgetzd2errorzd2eventz00_bglt;

typedef struct BgL_phidgetzd2attachzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2attachzd2eventz00_bglt;

typedef struct BgL_phidgetzd2detachzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2detachzd2eventz00_bglt;

typedef struct BgL_phidgetzd2changezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
} *BgL_phidgetzd2changezd2eventz00_bglt;

typedef struct BgL_phidgetzd2inputchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2inputchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2outputchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2outputchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2sensorchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_statez00;
} *BgL_phidgetzd2sensorchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2serverconnectzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2serverconnectzd2eventz00_bglt;

typedef struct BgL_phidgetzd2serverdisconnectzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2serverdisconnectzd2eventz00_bglt;

typedef struct BgL_phidgetzd2spatialdatazd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_secondsz00;
   int BgL_microsecondsz00;
   double BgL_acxz00;
   double BgL_acyz00;
   double BgL_acza7za7;
   double BgL_anxz00;
   double BgL_anyz00;
   double BgL_anza7za7;
   double BgL_mfxz00;
   double BgL_mfyz00;
   double BgL_mfza7za7;
} *BgL_phidgetzd2spatialdatazd2eventz00_bglt;

typedef struct BgL_phidgetzd2servopositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_positionz00;
} *BgL_phidgetzd2servopositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2servovelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2servovelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2servocurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2servocurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2stepperinputzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2stepperinputzd2eventz00_bglt;

typedef struct BgL_phidgetzd2steppervelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2steppervelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2stepperpositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   BGL_LONGLONG_T BgL_positionz00;
} *BgL_phidgetzd2stepperpositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2steppercurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2steppercurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderinputzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2encoderinputzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderpositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_timez00;
   int BgL_positionz00;
} *BgL_phidgetzd2encoderpositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderindexzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_positionz00;
} *BgL_phidgetzd2encoderindexzd2eventz00_bglt;


static BgL_phidgetzd2serverconnectzd2eventz00_bglt BGl_z62lambda1847z62zz__phidget_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2detachzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static BgL_phidgetzd2servopositionzd2eventz00_bglt BGl_z62lambda1932z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1771z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1772z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2servopositionzd2eventz00_bglt BGl_z62lambda1934z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62z52phidgetzd2init1314ze2zz__phidget_typesz00(obj_t, obj_t);
static BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BGl_z62lambda1855z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BGl_z62lambda1857z62zz__phidget_typesz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2errorzd2eventz00zz__phidget_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_z62phidgetzd2logzd2errorz62zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31871ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1940z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1941z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31936ze3ze5zz__phidget_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2encoderpositionzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31685ze3ze5zz__phidget_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2stepperpositionzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1945z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1946z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2spatialdatazd2eventz00_bglt BGl_z62lambda1866z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2spatialdatazd2eventz00_bglt BGl_z62lambda1869z62zz__phidget_typesz00(obj_t);
static BgL_phidgetzd2servovelocityzd2eventz00_bglt BGl_z62lambda1952z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2servovelocityzd2eventz00_bglt BGl_z62lambda1954z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62lambda1875z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1876z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2outputchangezd2eventz00_bglt BGl_z62lambda1799z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2sensorchangezd2eventz00zz__phidget_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1960z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1880z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1961z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31849ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1881z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1965z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1885z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1966z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1886z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2spatialdatazd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__phidget_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52phidgetzd2initz80zz__phidget_typesz00(BgL_z52phidgetz52_bglt);
static obj_t BGl_toplevelzd2initzd2zz__phidget_typesz00();
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2stepperinputzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1890z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1891z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2servocurrentzd2eventz00_bglt BGl_z62lambda1972z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2servocurrentzd2eventz00_bglt BGl_z62lambda1974z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62lambda1895z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1896z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1980z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31859ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1981z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1985z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__phidget_typesz00();
static obj_t BGl_z62lambda1986z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__phidget_typesz00();
static BgL_phidgetzd2stepperinputzd2eventz00_bglt BGl_z62lambda1992z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2stepperinputzd2eventz00_bglt BGl_z62lambda1994z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32106ze3ze5zz__phidget_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2serverconnectzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32026ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__phidget_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2eventzd2zz__phidget_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__phidget_typesz00();
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2servopositionzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32126ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32046ze3ze5zz__phidget_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2serverdisconnectzd2eventz00zz__phidget_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2encoderinputzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31996ze3ze5zz__phidget_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62phidgetzd2errorzb0zz__phidget_typesz00 = BUNSPEC;
static BgL_phidgetzd2steppervelocityzd2eventz00_bglt BGl_z62lambda2002z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2steppervelocityzd2eventz00_bglt BGl_z62lambda2004z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62lambda2010z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2011z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2015z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2016z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2encoderinputzd2eventz00_bglt BGl_z62lambda2102z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2stepperpositionzd2eventz00_bglt BGl_z62lambda2022z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2encoderinputzd2eventz00_bglt BGl_z62lambda2104z62zz__phidget_typesz00(obj_t);
static BgL_phidgetzd2stepperpositionzd2eventz00_bglt BGl_z62lambda2024z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2110z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31710ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2030z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2111z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2031z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2115z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31346ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2035z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2116z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2036z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52phidgetzd2eventz80zz__phidget_typesz00 = BUNSPEC;
static BgL_phidgetzd2encoderpositionzd2eventz00_bglt BGl_z62lambda2122z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2steppercurrentzd2eventz00_bglt BGl_z62lambda2042z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2encoderpositionzd2eventz00_bglt BGl_z62lambda2124z62zz__phidget_typesz00(obj_t);
static BgL_phidgetzd2steppercurrentzd2eventz00_bglt BGl_z62lambda2044z62zz__phidget_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2steppervelocityzd2eventz00zz__phidget_typesz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__phidget_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62lambda2130z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2050z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2131z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31380ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31623ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2051z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31364ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2135z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2055z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2136z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2056z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2140z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2141z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BGl_z62lambda2062z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_z52phidgetzd2eventz80_bglt BGl_z62lambda1415z62zz__phidget_typesz00(obj_t);
static BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BGl_z62lambda2064z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32086ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static BgL_phidgetzd2encoderindexzd2eventz00_bglt BGl_z62lambda2147z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2encoderindexzd2eventz00_bglt BGl_z62lambda2149z62zz__phidget_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2encoderindexzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda2070z62zz__phidget_typesz00(obj_t, obj_t);
static BgL_z62phidgetzd2errorzb0_bglt BGl_z62lambda1342z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2071z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_z62phidgetzd2errorzb0_bglt BGl_z62lambda1344z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62lambda2155z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2075z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2156z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2076z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2attachzd2eventz00zz__phidget_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2outputchangezd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__phidget_typesz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_typesz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52phidgetz52zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_gczd2rootszd2initz00zz__phidget_typesz00();
static obj_t BGl_z62lambda2160z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2161z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31456ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BGl_z62lambda2082z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BGl_z62lambda2084z62zz__phidget_typesz00(obj_t);
BGL_IMPORT obj_t BGl_z62iozd2errorzb0zz__objectz00;
static BgL_z62phidgetzd2logzd2errorz62_bglt BGl_z62lambda1358z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31813ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static BgL_z62phidgetzd2logzd2errorz62_bglt BGl_z62lambda1361z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62lambda2090z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2091z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2095z62zz__phidget_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2096z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2errorzd2eventz00_bglt BGl_z62lambda1610z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52phidgetzd2initze2zz__phidget_typesz00(obj_t, obj_t);
static BgL_phidgetzd2errorzd2eventz00_bglt BGl_z62lambda1612z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31733ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static BgL_z52phidgetz52_bglt BGl_z62lambda1378z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62lambda1542z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1543z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2detachzd2eventz00_bglt BGl_z62lambda1705z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2detachzd2eventz00_bglt BGl_z62lambda1707z62zz__phidget_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2changezd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31573ze3ze5zz__phidget_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2motorcontrolcurrentzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1644z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1645z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2eventzd2_bglt BGl_z62lambda1565z62zz__phidget_typesz00(obj_t);
static BgL_phidgetzd2outputchangezd2eventz00_bglt BGl_z62lambda1809z62zz__phidget_typesz00(obj_t);
static BgL_phidgetzd2changezd2eventz00_bglt BGl_z62lambda1729z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT BGL_LONGLONG_T BGl_stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00(obj_t, long);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2servovelocityzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static BgL_phidgetzd2changezd2eventz00_bglt BGl_z62lambda1731z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31834ze3ze5zz__phidget_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2servocurrentzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1655z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1656z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_z52phidgetz52_bglt BGl_z62lambda1577z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1578z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2motorcontrolvelocityzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1900z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1901z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1742z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1823z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1743z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1824z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1905z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1906z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1910z62zz__phidget_typesz00(obj_t, obj_t);
static BgL_phidgetzd2sensorchangezd2eventz00_bglt BGl_z62lambda1830z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1911z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2inputchangezd2eventz00_bglt BGl_z62lambda1750z62zz__phidget_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_phidgetzd2sensorchangezd2eventz00_bglt BGl_z62lambda1832z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62lambda1915z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1916z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2attachzd2eventz00_bglt BGl_z62lambda1675z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2inputchangezd2eventz00_bglt BGl_z62lambda1756z62zz__phidget_typesz00(obj_t);
static obj_t BGl_z62lambda1838z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1839z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static BgL_phidgetzd2attachzd2eventz00_bglt BGl_z62lambda1678z62zz__phidget_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2steppercurrentzd2eventz00zz__phidget_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1920z62zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1921z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31764ze3ze5zz__phidget_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1925z62zz__phidget_typesz00(obj_t, obj_t);
static BgL_phidgetzd2serverconnectzd2eventz00_bglt BGl_z62lambda1845z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1926z62zz__phidget_typesz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 55 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2200z00zz__phidget_typesz00, BgL_bgl_za762lambda1742za7622343z00, BGl_z62lambda1742z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2201z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2344za7, BGl_z62zc3z04anonymousza31733ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2202z00zz__phidget_typesz00, BgL_bgl_za762lambda1731za7622345z00, BGl_z62lambda1731z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2203z00zz__phidget_typesz00, BgL_bgl_za762lambda1729za7622346z00, BGl_z62lambda1729z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2204z00zz__phidget_typesz00, BgL_bgl_za762lambda1772za7622347z00, BGl_z62lambda1772z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2205z00zz__phidget_typesz00, BgL_bgl_za762lambda1771za7622348z00, BGl_z62lambda1771z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2206z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2349za7, BGl_z62zc3z04anonymousza31764ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2207z00zz__phidget_typesz00, BgL_bgl_za762lambda1756za7622350z00, BGl_z62lambda1756z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2208z00zz__phidget_typesz00, BgL_bgl_za762lambda1750za7622351z00, BGl_z62lambda1750z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2209z00zz__phidget_typesz00, BgL_bgl_za762lambda1824za7622352z00, BGl_z62lambda1824z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2210z00zz__phidget_typesz00, BgL_bgl_za762lambda1823za7622353z00, BGl_z62lambda1823z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2211z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2354za7, BGl_z62zc3z04anonymousza31813ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2212z00zz__phidget_typesz00, BgL_bgl_za762lambda1809za7622355z00, BGl_z62lambda1809z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2213z00zz__phidget_typesz00, BgL_bgl_za762lambda1799za7622356z00, BGl_z62lambda1799z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2214z00zz__phidget_typesz00, BgL_bgl_za762lambda1839za7622357z00, BGl_z62lambda1839z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2215z00zz__phidget_typesz00, BgL_bgl_za762lambda1838za7622358z00, BGl_z62lambda1838z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2216z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2359za7, BGl_z62zc3z04anonymousza31834ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2217z00zz__phidget_typesz00, BgL_bgl_za762lambda1832za7622360z00, BGl_z62lambda1832z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2218z00zz__phidget_typesz00, BgL_bgl_za762lambda1830za7622361z00, BGl_z62lambda1830z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2219z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2362za7, BGl_z62zc3z04anonymousza31849ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__phidget_typesz00, BgL_bgl_za762lambda2064za7622363z00, BGl_z62lambda2064z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2301z00zz__phidget_typesz00, BgL_bgl_za762lambda2062za7622364z00, BGl_z62lambda2062z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2220z00zz__phidget_typesz00, BgL_bgl_za762lambda1847za7622365z00, BGl_z62lambda1847z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__phidget_typesz00, BgL_bgl_za762lambda2091za7622366z00, BGl_z62lambda2091z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2221z00zz__phidget_typesz00, BgL_bgl_za762lambda1845za7622367z00, BGl_z62lambda1845z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2303z00zz__phidget_typesz00, BgL_bgl_za762lambda2090za7622368z00, BGl_z62lambda2090z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2222z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2369za7, BGl_z62zc3z04anonymousza31859ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__phidget_typesz00, BgL_bgl_za762lambda2096za7622370z00, BGl_z62lambda2096z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2223z00zz__phidget_typesz00, BgL_bgl_za762lambda1857za7622371z00, BGl_z62lambda1857z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__phidget_typesz00, BgL_bgl_za762lambda2095za7622372z00, BGl_z62lambda2095z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2224z00zz__phidget_typesz00, BgL_bgl_za762lambda1855za7622373z00, BGl_z62lambda1855z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2374za7, BGl_z62zc3z04anonymousza32086ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2225z00zz__phidget_typesz00, BgL_bgl_za762lambda1876za7622375z00, BGl_z62lambda1876z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2307z00zz__phidget_typesz00, BgL_bgl_za762lambda2084za7622376z00, BGl_z62lambda2084z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2226z00zz__phidget_typesz00, BgL_bgl_za762lambda1875za7622377z00, BGl_z62lambda1875z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2308z00zz__phidget_typesz00, BgL_bgl_za762lambda2082za7622378z00, BGl_z62lambda2082z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2227z00zz__phidget_typesz00, BgL_bgl_za762lambda1881za7622379z00, BGl_z62lambda1881z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__phidget_typesz00, BgL_bgl_za762lambda2111za7622380z00, BGl_z62lambda2111z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2228z00zz__phidget_typesz00, BgL_bgl_za762lambda1880za7622381z00, BGl_z62lambda1880z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2229z00zz__phidget_typesz00, BgL_bgl_za762lambda1886za7622382z00, BGl_z62lambda1886z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2310z00zz__phidget_typesz00, BgL_bgl_za762lambda2110za7622383z00, BGl_z62lambda2110z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__phidget_typesz00, BgL_bgl_za762lambda2116za7622384z00, BGl_z62lambda2116z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2230z00zz__phidget_typesz00, BgL_bgl_za762lambda1885za7622385z00, BGl_z62lambda1885z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2312z00zz__phidget_typesz00, BgL_bgl_za762lambda2115za7622386z00, BGl_z62lambda2115z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2231z00zz__phidget_typesz00, BgL_bgl_za762lambda1891za7622387z00, BGl_z62lambda1891z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2388za7, BGl_z62zc3z04anonymousza32106ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2232z00zz__phidget_typesz00, BgL_bgl_za762lambda1890za7622389z00, BGl_z62lambda1890z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2314z00zz__phidget_typesz00, BgL_bgl_za762lambda2104za7622390z00, BGl_z62lambda2104z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2233z00zz__phidget_typesz00, BgL_bgl_za762lambda1896za7622391z00, BGl_z62lambda1896z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2315z00zz__phidget_typesz00, BgL_bgl_za762lambda2102za7622392z00, BGl_z62lambda2102z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2234z00zz__phidget_typesz00, BgL_bgl_za762lambda1895za7622393z00, BGl_z62lambda1895z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__phidget_typesz00, BgL_bgl_za762lambda2131za7622394z00, BGl_z62lambda2131z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2235z00zz__phidget_typesz00, BgL_bgl_za762lambda1901za7622395z00, BGl_z62lambda1901z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2317z00zz__phidget_typesz00, BgL_bgl_za762lambda2130za7622396z00, BGl_z62lambda2130z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2236z00zz__phidget_typesz00, BgL_bgl_za762lambda1900za7622397z00, BGl_z62lambda1900z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__phidget_typesz00, BgL_bgl_za762lambda2136za7622398z00, BGl_z62lambda2136z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2237z00zz__phidget_typesz00, BgL_bgl_za762lambda1906za7622399z00, BGl_z62lambda1906z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2319z00zz__phidget_typesz00, BgL_bgl_za762lambda2135za7622400z00, BGl_z62lambda2135z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2238z00zz__phidget_typesz00, BgL_bgl_za762lambda1905za7622401z00, BGl_z62lambda1905z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2239z00zz__phidget_typesz00, BgL_bgl_za762lambda1911za7622402z00, BGl_z62lambda1911z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2320z00zz__phidget_typesz00, BgL_bgl_za762lambda2141za7622403z00, BGl_z62lambda2141z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2321z00zz__phidget_typesz00, BgL_bgl_za762lambda2140za7622404z00, BGl_z62lambda2140z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2240z00zz__phidget_typesz00, BgL_bgl_za762lambda1910za7622405z00, BGl_z62lambda1910z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2406za7, BGl_z62zc3z04anonymousza32126ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2241z00zz__phidget_typesz00, BgL_bgl_za762lambda1916za7622407z00, BGl_z62lambda1916z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__phidget_typesz00, BgL_bgl_za762lambda2124za7622408z00, BGl_z62lambda2124z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2242z00zz__phidget_typesz00, BgL_bgl_za762lambda1915za7622409z00, BGl_z62lambda1915z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__phidget_typesz00, BgL_bgl_za762lambda2122za7622410z00, BGl_z62lambda2122z62zz__phidget_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2243z00zz__phidget_typesz00, BgL_bgl_za762lambda1921za7622411z00, BGl_z62lambda1921z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2325z00zz__phidget_typesz00, BgL_bgl_za762lambda2156za7622412z00, BGl_z62lambda2156z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2244z00zz__phidget_typesz00, BgL_bgl_za762lambda1920za7622413z00, BGl_z62lambda1920z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2332z00zz__phidget_typesz00, BgL_bgl_string2332za700za7za7_2414za7, "0", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2326z00zz__phidget_typesz00, BgL_bgl_za762lambda2155za7622415z00, BGl_z62lambda2155z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2245z00zz__phidget_typesz00, BgL_bgl_za762lambda1926za7622416z00, BGl_z62lambda1926z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2333z00zz__phidget_typesz00, BgL_bgl_string2333za700za7za7_2417za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2327z00zz__phidget_typesz00, BgL_bgl_za762lambda2161za7622418z00, BGl_z62lambda2161z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2246z00zz__phidget_typesz00, BgL_bgl_za762lambda1925za7622419z00, BGl_z62lambda1925z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__phidget_typesz00, BgL_bgl_za762lambda2160za7622420z00, BGl_z62lambda2160z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2247z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2421za7, BGl_z62zc3z04anonymousza31871ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2335z00zz__phidget_typesz00, BgL_bgl_string2335za700za7za7_2422za7, "%phidget-init1314", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2423za7, BGl_z62zc3z04anonymousza32151ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2248z00zz__phidget_typesz00, BgL_bgl_za762lambda1869za7622424z00, BGl_z62lambda1869z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2336z00zz__phidget_typesz00, BgL_bgl_string2336za700za7za7_2425za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/phidget/src/Llib/pdgtypes.scm", 69 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2249z00zz__phidget_typesz00, BgL_bgl_za762lambda1866za7622426z00, BGl_z62lambda1866z62zz__phidget_typesz00, 0L, BUNSPEC, 12 );
DEFINE_STRING( BGl_string2337z00zz__phidget_typesz00, BgL_bgl_string2337za700za7za7_2427za7, "&%phidget-init", 14 );
DEFINE_STRING( BGl_string2338z00zz__phidget_typesz00, BgL_bgl_string2338za700za7za7_2428za7, "%phidget", 8 );
DEFINE_STRING( BGl_string2339z00zz__phidget_typesz00, BgL_bgl_string2339za700za7za7_2429za7, "phidget-encoderindex-event phidget-encoderposition-event time phidget-encoderinput-event phidget-motorcontrolcurrent-event phidget-motorcontrolvelocity-event phidget-steppercurrent-event phidget-stepperposition-event llong phidget-steppervelocity-event phidget-stepperinput-event phidget-servocurrent-event current phidget-servovelocity-event velocity phidget-servoposition-event position phidget-spatialdata-event mfz mfy mfx anz any anx acz acy double acx microseconds seconds phidget-serverdisconnect-event phidget-serverconnect-event phidget-sensorchange-event phidget-outputchange-event phidget-inputchange-event bool state phidget-change-event index phidget-detach-event phidget-attach-event phidget-error-event string message int code phidget-event phidget %phidget-event obj target %phidget &phidget-log-error __phidget_types &phidget-error ", 849 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__phidget_typesz00, BgL_bgl_za762lambda2149za7622430z00, BGl_z62lambda2149z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__phidget_typesz00, BgL_bgl_za762lambda2147za7622431z00, BGl_z62lambda2147z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2250z00zz__phidget_typesz00, BgL_bgl_za762lambda1941za7622432z00, BGl_z62lambda1941z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2251z00zz__phidget_typesz00, BgL_bgl_za762lambda1940za7622433z00, BGl_z62lambda1940z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2170z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2434za7, BGl_z62zc3z04anonymousza31346ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2252z00zz__phidget_typesz00, BgL_bgl_za762lambda1946za7622435z00, BGl_z62lambda1946z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2171z00zz__phidget_typesz00, BgL_bgl_za762lambda1344za7622436z00, BGl_z62lambda1344z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__phidget_typesz00, BgL_bgl_za762za752phidgetza7d22437za7, BGl_z62z52phidgetzd2init1314ze2zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2253z00zz__phidget_typesz00, BgL_bgl_za762lambda1945za7622438z00, BGl_z62lambda1945z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2172z00zz__phidget_typesz00, BgL_bgl_za762lambda1342za7622439z00, BGl_z62lambda1342z62zz__phidget_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2254z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2440za7, BGl_z62zc3z04anonymousza31936ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2173z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2441za7, BGl_z62zc3z04anonymousza31364ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2255z00zz__phidget_typesz00, BgL_bgl_za762lambda1934za7622442z00, BGl_z62lambda1934z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2174z00zz__phidget_typesz00, BgL_bgl_za762lambda1361za7622443z00, BGl_z62lambda1361z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2256z00zz__phidget_typesz00, BgL_bgl_za762lambda1932za7622444z00, BGl_z62lambda1932z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2175z00zz__phidget_typesz00, BgL_bgl_za762lambda1358za7622445z00, BGl_z62lambda1358z62zz__phidget_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2257z00zz__phidget_typesz00, BgL_bgl_za762lambda1961za7622446z00, BGl_z62lambda1961z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2176z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2447za7, BGl_z62zc3z04anonymousza31380ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2258z00zz__phidget_typesz00, BgL_bgl_za762lambda1960za7622448z00, BGl_z62lambda1960z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2177z00zz__phidget_typesz00, BgL_bgl_za762lambda1378za7622449z00, BGl_z62lambda1378z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2259z00zz__phidget_typesz00, BgL_bgl_za762lambda1966za7622450z00, BGl_z62lambda1966z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2178z00zz__phidget_typesz00, BgL_bgl_za762lambda1543za7622451z00, BGl_z62lambda1543z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2179z00zz__phidget_typesz00, BgL_bgl_za762lambda1542za7622452z00, BGl_z62lambda1542z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2260z00zz__phidget_typesz00, BgL_bgl_za762lambda1965za7622453z00, BGl_z62lambda1965z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2261z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2454za7, BGl_z62zc3z04anonymousza31956ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2180z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2455za7, BGl_z62zc3z04anonymousza31456ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2262z00zz__phidget_typesz00, BgL_bgl_za762lambda1954za7622456z00, BGl_z62lambda1954z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2181z00zz__phidget_typesz00, BgL_bgl_za762lambda1415za7622457z00, BGl_z62lambda1415z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2263z00zz__phidget_typesz00, BgL_bgl_za762lambda1952za7622458z00, BGl_z62lambda1952z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2182z00zz__phidget_typesz00, BgL_bgl_za762lambda1578za7622459z00, BGl_z62lambda1578z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2264z00zz__phidget_typesz00, BgL_bgl_za762lambda1981za7622460z00, BGl_z62lambda1981z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2183z00zz__phidget_typesz00, BgL_bgl_za762lambda1577za7622461z00, BGl_z62lambda1577z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2265z00zz__phidget_typesz00, BgL_bgl_za762lambda1980za7622462z00, BGl_z62lambda1980z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2184z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2463za7, BGl_z62zc3z04anonymousza31573ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2266z00zz__phidget_typesz00, BgL_bgl_za762lambda1986za7622464z00, BGl_z62lambda1986z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2185z00zz__phidget_typesz00, BgL_bgl_za762lambda1565za7622465z00, BGl_z62lambda1565z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2267z00zz__phidget_typesz00, BgL_bgl_za762lambda1985za7622466z00, BGl_z62lambda1985z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2186z00zz__phidget_typesz00, BgL_bgl_za762lambda1645za7622467z00, BGl_z62lambda1645z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2268z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2468za7, BGl_z62zc3z04anonymousza31976ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2187z00zz__phidget_typesz00, BgL_bgl_za762lambda1644za7622469z00, BGl_z62lambda1644z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2269z00zz__phidget_typesz00, BgL_bgl_za762lambda1974za7622470z00, BGl_z62lambda1974z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2188z00zz__phidget_typesz00, BgL_bgl_za762lambda1656za7622471z00, BGl_z62lambda1656z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2189z00zz__phidget_typesz00, BgL_bgl_za762lambda1655za7622472z00, BGl_z62lambda1655z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2270z00zz__phidget_typesz00, BgL_bgl_za762lambda1972za7622473z00, BGl_z62lambda1972z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2271z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2474za7, BGl_z62zc3z04anonymousza31996ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2190z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2475za7, BGl_z62zc3z04anonymousza31623ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2272z00zz__phidget_typesz00, BgL_bgl_za762lambda1994za7622476z00, BGl_z62lambda1994z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2191z00zz__phidget_typesz00, BgL_bgl_za762lambda1612za7622477z00, BGl_z62lambda1612z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2273z00zz__phidget_typesz00, BgL_bgl_za762lambda1992za7622478z00, BGl_z62lambda1992z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2192z00zz__phidget_typesz00, BgL_bgl_za762lambda1610za7622479z00, BGl_z62lambda1610z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2274z00zz__phidget_typesz00, BgL_bgl_za762lambda2011za7622480z00, BGl_z62lambda2011z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2193z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2481za7, BGl_z62zc3z04anonymousza31685ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2275z00zz__phidget_typesz00, BgL_bgl_za762lambda2010za7622482z00, BGl_z62lambda2010z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2194z00zz__phidget_typesz00, BgL_bgl_za762lambda1678za7622483z00, BGl_z62lambda1678z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2276z00zz__phidget_typesz00, BgL_bgl_za762lambda2016za7622484z00, BGl_z62lambda2016z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2195z00zz__phidget_typesz00, BgL_bgl_za762lambda1675za7622485z00, BGl_z62lambda1675z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2277z00zz__phidget_typesz00, BgL_bgl_za762lambda2015za7622486z00, BGl_z62lambda2015z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2196z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2487za7, BGl_z62zc3z04anonymousza31710ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2278z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2488za7, BGl_z62zc3z04anonymousza32006ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2197z00zz__phidget_typesz00, BgL_bgl_za762lambda1707za7622489z00, BGl_z62lambda1707z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2279z00zz__phidget_typesz00, BgL_bgl_za762lambda2004za7622490z00, BGl_z62lambda2004z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2198z00zz__phidget_typesz00, BgL_bgl_za762lambda1705za7622491z00, BGl_z62lambda1705z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2199z00zz__phidget_typesz00, BgL_bgl_za762lambda1743za7622492z00, BGl_z62lambda1743z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2280z00zz__phidget_typesz00, BgL_bgl_za762lambda2002za7622493z00, BGl_z62lambda2002z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2281z00zz__phidget_typesz00, BgL_bgl_za762lambda2031za7622494z00, BGl_z62lambda2031z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2282z00zz__phidget_typesz00, BgL_bgl_za762lambda2030za7622495z00, BGl_z62lambda2030z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2283z00zz__phidget_typesz00, BgL_bgl_za762lambda2036za7622496z00, BGl_z62lambda2036z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2284z00zz__phidget_typesz00, BgL_bgl_za762lambda2035za7622497z00, BGl_z62lambda2035z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2285z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2498za7, BGl_z62zc3z04anonymousza32026ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2286z00zz__phidget_typesz00, BgL_bgl_za762lambda2024za7622499z00, BGl_z62lambda2024z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2287z00zz__phidget_typesz00, BgL_bgl_za762lambda2022za7622500z00, BGl_z62lambda2022z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2288z00zz__phidget_typesz00, BgL_bgl_za762lambda2051za7622501z00, BGl_z62lambda2051z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2289z00zz__phidget_typesz00, BgL_bgl_za762lambda2050za7622502z00, BGl_z62lambda2050z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2290z00zz__phidget_typesz00, BgL_bgl_za762lambda2056za7622503z00, BGl_z62lambda2056z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2291z00zz__phidget_typesz00, BgL_bgl_za762lambda2055za7622504z00, BGl_z62lambda2055z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2292z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2505za7, BGl_z62zc3z04anonymousza32046ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2293z00zz__phidget_typesz00, BgL_bgl_za762lambda2044za7622506z00, BGl_z62lambda2044z62zz__phidget_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2294z00zz__phidget_typesz00, BgL_bgl_za762lambda2042za7622507z00, BGl_z62lambda2042z62zz__phidget_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2295z00zz__phidget_typesz00, BgL_bgl_za762lambda2071za7622508z00, BGl_z62lambda2071z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2296z00zz__phidget_typesz00, BgL_bgl_za762lambda2070za7622509z00, BGl_z62lambda2070z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2297z00zz__phidget_typesz00, BgL_bgl_za762lambda2076za7622510z00, BGl_z62lambda2076z62zz__phidget_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__phidget_typesz00, BgL_bgl_za762lambda2075za7622511z00, BGl_z62lambda2075z62zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__phidget_typesz00, BgL_bgl_za762za7c3za704anonymo2512za7, BGl_z62zc3z04anonymousza32066ze3ze5zz__phidget_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00, BgL_bgl_za762za752phidgetza7d22513za7, BGl_z62z52phidgetzd2initze2zz__phidget_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_phidgetzd2detachzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2errorzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_z62phidgetzd2logzd2errorz62zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2encoderpositionzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2stepperpositionzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2sensorchangezd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2spatialdatazd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2stepperinputzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2serverconnectzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2eventzd2zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2servopositionzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2serverdisconnectzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2encoderinputzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_z62phidgetzd2errorzb0zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_z52phidgetzd2eventz80zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2steppervelocityzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2encoderindexzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2attachzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2outputchangezd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_z52phidgetz52zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2changezd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2motorcontrolcurrentzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2servovelocityzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2servocurrentzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2motorcontrolvelocityzd2eventz00zz__phidget_typesz00) );
ADD_ROOT( (void *)(&BGl_phidgetzd2steppercurrentzd2eventz00zz__phidget_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__phidget_typesz00(long BgL_checksumz00_2282, char * BgL_fromz00_2283)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__phidget_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__phidget_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__phidget_typesz00(); 
BGl_libraryzd2moduleszd2initz00zz__phidget_typesz00(); 
BGl_cnstzd2initzd2zz__phidget_typesz00(); 
BGl_objectzd2initzd2zz__phidget_typesz00(); 
BGl_genericzd2initzd2zz__phidget_typesz00(); 
return 
BGl_toplevelzd2initzd2zz__phidget_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_typesz00()
{
{ /* Llib/pdgtypes.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__phidget_types"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__phidget_types"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__phidget_types"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__phidget_types"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__phidget_types"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__phidget_types"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__phidget_types"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__phidget_types"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__phidget_types"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__phidget_typesz00()
{
{ /* Llib/pdgtypes.scm 15 */
{ /* Llib/pdgtypes.scm 15 */
 obj_t BgL_cportz00_1894;
{ /* Llib/pdgtypes.scm 15 */
 obj_t BgL_stringz00_1902;
BgL_stringz00_1902 = BGl_string2339z00zz__phidget_typesz00; 
{ /* Llib/pdgtypes.scm 15 */
 obj_t BgL_startz00_1903;
BgL_startz00_1903 = 
BINT(((long)0)); 
{ /* Llib/pdgtypes.scm 15 */
 obj_t BgL_endz00_1904;
BgL_endz00_1904 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1902))); 
{ /* Llib/pdgtypes.scm 15 */

BgL_cportz00_1894 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1902, BgL_startz00_1903, BgL_endz00_1904); } } } } 
{ 
 long BgL_iz00_1895;
BgL_iz00_1895 = ((long)54); 
BgL_loopz00_1896:
if(
(BgL_iz00_1895==((long)-1)))
{ /* Llib/pdgtypes.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pdgtypes.scm 15 */
{ /* Llib/pdgtypes.scm 15 */
 obj_t BgL_arg2341z00_1898;
{ /* Llib/pdgtypes.scm 15 */

{ /* Llib/pdgtypes.scm 15 */
 obj_t BgL_locationz00_1900;
BgL_locationz00_1900 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pdgtypes.scm 15 */

BgL_arg2341z00_1898 = 
BGl_readz00zz__readerz00(BgL_cportz00_1894, BgL_locationz00_1900); } } } 
{ /* Llib/pdgtypes.scm 15 */
 int BgL_tmpz00_2311;
BgL_tmpz00_2311 = 
(int)(BgL_iz00_1895); 
CNST_TABLE_SET(BgL_tmpz00_2311, BgL_arg2341z00_1898); } } 
{ /* Llib/pdgtypes.scm 15 */
 int BgL_auxz00_1901;
BgL_auxz00_1901 = 
(int)(
(BgL_iz00_1895-((long)1))); 
{ 
 long BgL_iz00_2316;
BgL_iz00_2316 = 
(long)(BgL_auxz00_1901); 
BgL_iz00_1895 = BgL_iz00_2316; 
goto BgL_loopz00_1896;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__phidget_typesz00()
{
{ /* Llib/pdgtypes.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__phidget_typesz00()
{
{ /* Llib/pdgtypes.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__phidget_typesz00()
{
{ /* Llib/pdgtypes.scm 15 */
{ /* Llib/pdgtypes.scm 17 */
 obj_t BgL_arg1340z00_15; obj_t BgL_arg1341z00_16;
{ /* Llib/pdgtypes.scm 17 */
 obj_t BgL_v1260z00_32;
BgL_v1260z00_32 = 
create_vector(((long)0)); 
BgL_arg1340z00_15 = BgL_v1260z00_32; } 
{ /* Llib/pdgtypes.scm 17 */
 obj_t BgL_v1261z00_33;
BgL_v1261z00_33 = 
create_vector(((long)0)); 
BgL_arg1341z00_16 = BgL_v1261z00_33; } 
BGl_z62phidgetzd2errorzb0zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_z62errorz62zz__objectz00, ((long)45401), BGl_proc2172z00zz__phidget_typesz00, BGl_proc2171z00zz__phidget_typesz00, BFALSE, BGl_proc2170z00zz__phidget_typesz00, BFALSE, BgL_arg1340z00_15, BgL_arg1341z00_16); } 
{ /* Llib/pdgtypes.scm 18 */
 obj_t BgL_arg1355z00_40; obj_t BgL_arg1357z00_41;
{ /* Llib/pdgtypes.scm 18 */
 obj_t BgL_v1262z00_57;
BgL_v1262z00_57 = 
create_vector(((long)0)); 
BgL_arg1355z00_40 = BgL_v1262z00_57; } 
{ /* Llib/pdgtypes.scm 18 */
 obj_t BgL_v1263z00_58;
BgL_v1263z00_58 = 
create_vector(((long)0)); 
BgL_arg1357z00_41 = BgL_v1263z00_58; } 
BGl_z62phidgetzd2logzd2errorz62zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)1)), BGl_z62iozd2errorzb0zz__objectz00, ((long)53397), BGl_proc2175z00zz__phidget_typesz00, BGl_proc2174z00zz__phidget_typesz00, BFALSE, BGl_proc2173z00zz__phidget_typesz00, BFALSE, BgL_arg1355z00_40, BgL_arg1357z00_41); } 
{ /* Llib/pdgtypes.scm 20 */
 obj_t BgL_arg1368z00_64; obj_t BgL_arg1377z00_65;
{ /* Llib/pdgtypes.scm 20 */
 obj_t BgL_v1264z00_71;
BgL_v1264z00_71 = 
create_vector(((long)0)); 
BgL_arg1368z00_64 = BgL_v1264z00_71; } 
{ /* Llib/pdgtypes.scm 20 */
 obj_t BgL_v1265z00_72;
BgL_v1265z00_72 = 
create_vector(((long)0)); 
BgL_arg1377z00_65 = BgL_v1265z00_72; } 
BGl_z52phidgetz52zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)3)), 
CNST_TABLE_REF(((long)1)), BGl_objectz00zz__objectz00, ((long)12885), BFALSE, BGl_proc2177z00zz__phidget_typesz00, BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00, BGl_proc2176z00zz__phidget_typesz00, BFALSE, BgL_arg1368z00_64, BgL_arg1377z00_65); } 
{ /* Llib/pdgtypes.scm 23 */
 obj_t BgL_arg1384z00_77; obj_t BgL_arg1414z00_78;
{ /* Llib/pdgtypes.scm 23 */
 obj_t BgL_v1266z00_84;
BgL_v1266z00_84 = 
create_vector(((long)1)); 
{ /* Llib/pdgtypes.scm 23 */
 obj_t BgL_arg1535z00_85;
BgL_arg1535z00_85 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc2179z00zz__phidget_typesz00, BGl_proc2178z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1266z00_84,((long)0),BgL_arg1535z00_85); } 
BgL_arg1384z00_77 = BgL_v1266z00_84; } 
{ /* Llib/pdgtypes.scm 23 */
 obj_t BgL_v1267z00_95;
BgL_v1267z00_95 = 
create_vector(((long)0)); 
BgL_arg1414z00_78 = BgL_v1267z00_95; } 
BGl_z52phidgetzd2eventz80zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)6)), 
CNST_TABLE_REF(((long)1)), BGl_objectz00zz__objectz00, ((long)45096), BFALSE, BGl_proc2181z00zz__phidget_typesz00, BFALSE, BGl_proc2180z00zz__phidget_typesz00, BFALSE, BgL_arg1384z00_77, BgL_arg1414z00_78); } 
{ /* Llib/pdgtypes.scm 26 */
 obj_t BgL_arg1563z00_100; obj_t BgL_arg1564z00_101;
{ /* Llib/pdgtypes.scm 26 */
 obj_t BgL_v1268z00_107;
BgL_v1268z00_107 = 
create_vector(((long)1)); 
{ /* Llib/pdgtypes.scm 26 */
 obj_t BgL_arg1574z00_108;
BgL_arg1574z00_108 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2183z00zz__phidget_typesz00, BGl_proc2182z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_z52phidgetz52zz__phidget_typesz00); 
VECTOR_SET(BgL_v1268z00_107,((long)0),BgL_arg1574z00_108); } 
BgL_arg1563z00_100 = BgL_v1268z00_107; } 
{ /* Llib/pdgtypes.scm 26 */
 obj_t BgL_v1269z00_118;
BgL_v1269z00_118 = 
create_vector(((long)0)); 
BgL_arg1564z00_101 = BgL_v1269z00_118; } 
BGl_phidgetzd2eventzd2zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)8)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)3941), BFALSE, BGl_proc2185z00zz__phidget_typesz00, BFALSE, BGl_proc2184z00zz__phidget_typesz00, BFALSE, BgL_arg1563z00_100, BgL_arg1564z00_101); } 
{ /* Llib/pdgtypes.scm 29 */
 obj_t BgL_arg1595z00_124; obj_t BgL_arg1609z00_125;
{ /* Llib/pdgtypes.scm 29 */
 obj_t BgL_v1270z00_138;
BgL_v1270z00_138 = 
create_vector(((long)2)); 
{ /* Llib/pdgtypes.scm 29 */
 obj_t BgL_arg1624z00_139;
BgL_arg1624z00_139 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2187z00zz__phidget_typesz00, BGl_proc2186z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1270z00_138,((long)0),BgL_arg1624z00_139); } 
{ /* Llib/pdgtypes.scm 29 */
 obj_t BgL_arg1651z00_149;
BgL_arg1651z00_149 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2189z00zz__phidget_typesz00, BGl_proc2188z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1270z00_138,((long)1),BgL_arg1651z00_149); } 
BgL_arg1595z00_124 = BgL_v1270z00_138; } 
{ /* Llib/pdgtypes.scm 29 */
 obj_t BgL_v1271z00_159;
BgL_v1271z00_159 = 
create_vector(((long)0)); 
BgL_arg1609z00_125 = BgL_v1271z00_159; } 
BGl_phidgetzd2errorzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)13)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)15101), BGl_proc2192z00zz__phidget_typesz00, BGl_proc2191z00zz__phidget_typesz00, BFALSE, BGl_proc2190z00zz__phidget_typesz00, BFALSE, BgL_arg1595z00_124, BgL_arg1609z00_125); } 
{ /* Llib/pdgtypes.scm 33 */
 obj_t BgL_arg1673z00_166; obj_t BgL_arg1674z00_167;
{ /* Llib/pdgtypes.scm 33 */
 obj_t BgL_v1272z00_179;
BgL_v1272z00_179 = 
create_vector(((long)0)); 
BgL_arg1673z00_166 = BgL_v1272z00_179; } 
{ /* Llib/pdgtypes.scm 33 */
 obj_t BgL_v1273z00_180;
BgL_v1273z00_180 = 
create_vector(((long)0)); 
BgL_arg1674z00_167 = BgL_v1273z00_180; } 
BGl_phidgetzd2attachzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)14)), 
CNST_TABLE_REF(((long)1)), BGl_phidgetzd2eventzd2zz__phidget_typesz00, ((long)44465), BGl_proc2195z00zz__phidget_typesz00, BGl_proc2194z00zz__phidget_typesz00, BFALSE, BGl_proc2193z00zz__phidget_typesz00, BFALSE, BgL_arg1673z00_166, BgL_arg1674z00_167); } 
{ /* Llib/pdgtypes.scm 34 */
 obj_t BgL_arg1701z00_187; obj_t BgL_arg1704z00_188;
{ /* Llib/pdgtypes.scm 34 */
 obj_t BgL_v1274z00_200;
BgL_v1274z00_200 = 
create_vector(((long)0)); 
BgL_arg1701z00_187 = BgL_v1274z00_200; } 
{ /* Llib/pdgtypes.scm 34 */
 obj_t BgL_v1275z00_201;
BgL_v1275z00_201 = 
create_vector(((long)0)); 
BgL_arg1704z00_188 = BgL_v1275z00_201; } 
BGl_phidgetzd2detachzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)15)), 
CNST_TABLE_REF(((long)1)), BGl_phidgetzd2eventzd2zz__phidget_typesz00, ((long)58605), BGl_proc2198z00zz__phidget_typesz00, BGl_proc2197z00zz__phidget_typesz00, BFALSE, BGl_proc2196z00zz__phidget_typesz00, BFALSE, BgL_arg1701z00_187, BgL_arg1704z00_188); } 
{ /* Llib/pdgtypes.scm 36 */
 obj_t BgL_arg1727z00_208; obj_t BgL_arg1728z00_209;
{ /* Llib/pdgtypes.scm 36 */
 obj_t BgL_v1276z00_221;
BgL_v1276z00_221 = 
create_vector(((long)1)); 
{ /* Llib/pdgtypes.scm 36 */
 obj_t BgL_arg1739z00_222;
BgL_arg1739z00_222 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2200z00zz__phidget_typesz00, BGl_proc2199z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1276z00_221,((long)0),BgL_arg1739z00_222); } 
BgL_arg1727z00_208 = BgL_v1276z00_221; } 
{ /* Llib/pdgtypes.scm 36 */
 obj_t BgL_v1277z00_232;
BgL_v1277z00_232 = 
create_vector(((long)0)); 
BgL_arg1728z00_209 = BgL_v1277z00_232; } 
BGl_phidgetzd2changezd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)17)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)38253), BGl_proc2203z00zz__phidget_typesz00, BGl_proc2202z00zz__phidget_typesz00, BFALSE, BGl_proc2201z00zz__phidget_typesz00, BFALSE, BgL_arg1727z00_208, BgL_arg1728z00_209); } 
{ /* Llib/pdgtypes.scm 39 */
 obj_t BgL_arg1748z00_239; obj_t BgL_arg1749z00_240;
{ /* Llib/pdgtypes.scm 39 */
 obj_t BgL_v1278z00_253;
BgL_v1278z00_253 = 
create_vector(((long)1)); 
{ /* Llib/pdgtypes.scm 39 */
 obj_t BgL_arg1766z00_254;
BgL_arg1766z00_254 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc2205z00zz__phidget_typesz00, BGl_proc2204z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1278z00_253,((long)0),BgL_arg1766z00_254); } 
BgL_arg1748z00_239 = BgL_v1278z00_253; } 
{ /* Llib/pdgtypes.scm 39 */
 obj_t BgL_v1279z00_264;
BgL_v1279z00_264 = 
create_vector(((long)0)); 
BgL_arg1749z00_240 = BgL_v1279z00_264; } 
BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)20)), 
CNST_TABLE_REF(((long)1)), BGl_phidgetzd2changezd2eventz00zz__phidget_typesz00, ((long)52181), BGl_proc2208z00zz__phidget_typesz00, BGl_proc2207z00zz__phidget_typesz00, BFALSE, BGl_proc2206z00zz__phidget_typesz00, BFALSE, BgL_arg1748z00_239, BgL_arg1749z00_240); } 
{ /* Llib/pdgtypes.scm 41 */
 obj_t BgL_arg1796z00_271; obj_t BgL_arg1798z00_272;
{ /* Llib/pdgtypes.scm 41 */
 obj_t BgL_v1280z00_285;
BgL_v1280z00_285 = 
create_vector(((long)1)); 
{ /* Llib/pdgtypes.scm 41 */
 obj_t BgL_arg1820z00_286;
BgL_arg1820z00_286 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc2210z00zz__phidget_typesz00, BGl_proc2209z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1280z00_285,((long)0),BgL_arg1820z00_286); } 
BgL_arg1796z00_271 = BgL_v1280z00_285; } 
{ /* Llib/pdgtypes.scm 41 */
 obj_t BgL_v1281z00_296;
BgL_v1281z00_296 = 
create_vector(((long)0)); 
BgL_arg1798z00_272 = BgL_v1281z00_296; } 
BGl_phidgetzd2outputchangezd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)21)), 
CNST_TABLE_REF(((long)1)), BGl_phidgetzd2changezd2eventz00zz__phidget_typesz00, ((long)34452), BGl_proc2213z00zz__phidget_typesz00, BGl_proc2212z00zz__phidget_typesz00, BFALSE, BGl_proc2211z00zz__phidget_typesz00, BFALSE, BgL_arg1796z00_271, BgL_arg1798z00_272); } 
{ /* Llib/pdgtypes.scm 43 */
 obj_t BgL_arg1828z00_303; obj_t BgL_arg1829z00_304;
{ /* Llib/pdgtypes.scm 43 */
 obj_t BgL_v1282z00_317;
BgL_v1282z00_317 = 
create_vector(((long)1)); 
{ /* Llib/pdgtypes.scm 43 */
 obj_t BgL_arg1835z00_318;
BgL_arg1835z00_318 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc2215z00zz__phidget_typesz00, BGl_proc2214z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1282z00_317,((long)0),BgL_arg1835z00_318); } 
BgL_arg1828z00_303 = BgL_v1282z00_317; } 
{ /* Llib/pdgtypes.scm 43 */
 obj_t BgL_v1283z00_328;
BgL_v1283z00_328 = 
create_vector(((long)0)); 
BgL_arg1829z00_304 = BgL_v1283z00_328; } 
BGl_phidgetzd2sensorchangezd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)22)), 
CNST_TABLE_REF(((long)1)), BGl_phidgetzd2changezd2eventz00zz__phidget_typesz00, ((long)19726), BGl_proc2218z00zz__phidget_typesz00, BGl_proc2217z00zz__phidget_typesz00, BFALSE, BGl_proc2216z00zz__phidget_typesz00, BFALSE, BgL_arg1828z00_303, BgL_arg1829z00_304); } 
{ /* Llib/pdgtypes.scm 46 */
 obj_t BgL_arg1843z00_335; obj_t BgL_arg1844z00_336;
{ /* Llib/pdgtypes.scm 46 */
 obj_t BgL_v1284z00_348;
BgL_v1284z00_348 = 
create_vector(((long)0)); 
BgL_arg1843z00_335 = BgL_v1284z00_348; } 
{ /* Llib/pdgtypes.scm 46 */
 obj_t BgL_v1285z00_349;
BgL_v1285z00_349 = 
create_vector(((long)0)); 
BgL_arg1844z00_336 = BgL_v1285z00_349; } 
BGl_phidgetzd2serverconnectzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)23)), 
CNST_TABLE_REF(((long)1)), BGl_phidgetzd2eventzd2zz__phidget_typesz00, ((long)17125), BGl_proc2221z00zz__phidget_typesz00, BGl_proc2220z00zz__phidget_typesz00, BFALSE, BGl_proc2219z00zz__phidget_typesz00, BFALSE, BgL_arg1843z00_335, BgL_arg1844z00_336); } 
{ /* Llib/pdgtypes.scm 47 */
 obj_t BgL_arg1853z00_356; obj_t BgL_arg1854z00_357;
{ /* Llib/pdgtypes.scm 47 */
 obj_t BgL_v1286z00_369;
BgL_v1286z00_369 = 
create_vector(((long)0)); 
BgL_arg1853z00_356 = BgL_v1286z00_369; } 
{ /* Llib/pdgtypes.scm 47 */
 obj_t BgL_v1287z00_370;
BgL_v1287z00_370 = 
create_vector(((long)0)); 
BgL_arg1854z00_357 = BgL_v1287z00_370; } 
BGl_phidgetzd2serverdisconnectzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)24)), 
CNST_TABLE_REF(((long)1)), BGl_phidgetzd2eventzd2zz__phidget_typesz00, ((long)9029), BGl_proc2224z00zz__phidget_typesz00, BGl_proc2223z00zz__phidget_typesz00, BFALSE, BGl_proc2222z00zz__phidget_typesz00, BFALSE, BgL_arg1853z00_356, BgL_arg1854z00_357); } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1864z00_377; obj_t BgL_arg1865z00_378;
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_v1288z00_400;
BgL_v1288z00_400 = 
create_vector(((long)11)); 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1872z00_401;
BgL_arg1872z00_401 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc2226z00zz__phidget_typesz00, BGl_proc2225z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1288z00_400,((long)0),BgL_arg1872z00_401); } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1877z00_411;
BgL_arg1877z00_411 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc2228z00zz__phidget_typesz00, BGl_proc2227z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1288z00_400,((long)1),BgL_arg1877z00_411); } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1882z00_421;
BgL_arg1882z00_421 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc2230z00zz__phidget_typesz00, BGl_proc2229z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1288z00_400,((long)2),BgL_arg1882z00_421); } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1887z00_431;
BgL_arg1887z00_431 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc2232z00zz__phidget_typesz00, BGl_proc2231z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1288z00_400,((long)3),BgL_arg1887z00_431); } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1892z00_441;
BgL_arg1892z00_441 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc2234z00zz__phidget_typesz00, BGl_proc2233z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1288z00_400,((long)4),BgL_arg1892z00_441); } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1897z00_451;
BgL_arg1897z00_451 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)31)), BGl_proc2236z00zz__phidget_typesz00, BGl_proc2235z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1288z00_400,((long)5),BgL_arg1897z00_451); } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1902z00_461;
BgL_arg1902z00_461 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)32)), BGl_proc2238z00zz__phidget_typesz00, BGl_proc2237z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1288z00_400,((long)6),BgL_arg1902z00_461); } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1907z00_471;
BgL_arg1907z00_471 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc2240z00zz__phidget_typesz00, BGl_proc2239z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1288z00_400,((long)7),BgL_arg1907z00_471); } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1912z00_481;
BgL_arg1912z00_481 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_proc2242z00zz__phidget_typesz00, BGl_proc2241z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1288z00_400,((long)8),BgL_arg1912z00_481); } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1917z00_491;
BgL_arg1917z00_491 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc2244z00zz__phidget_typesz00, BGl_proc2243z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1288z00_400,((long)9),BgL_arg1917z00_491); } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_arg1922z00_501;
BgL_arg1922z00_501 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_proc2246z00zz__phidget_typesz00, BGl_proc2245z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1288z00_400,((long)10),BgL_arg1922z00_501); } 
BgL_arg1864z00_377 = BgL_v1288z00_400; } 
{ /* Llib/pdgtypes.scm 49 */
 obj_t BgL_v1289z00_511;
BgL_v1289z00_511 = 
create_vector(((long)0)); 
BgL_arg1865z00_378 = BgL_v1289z00_511; } 
BGl_phidgetzd2spatialdatazd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)37)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)45056), BGl_proc2249z00zz__phidget_typesz00, BGl_proc2248z00zz__phidget_typesz00, BFALSE, BGl_proc2247z00zz__phidget_typesz00, BFALSE, BgL_arg1864z00_377, BgL_arg1865z00_378); } 
{ /* Llib/pdgtypes.scm 62 */
 obj_t BgL_arg1930z00_518; obj_t BgL_arg1931z00_519;
{ /* Llib/pdgtypes.scm 62 */
 obj_t BgL_v1290z00_532;
BgL_v1290z00_532 = 
create_vector(((long)2)); 
{ /* Llib/pdgtypes.scm 62 */
 obj_t BgL_arg1937z00_533;
BgL_arg1937z00_533 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2251z00zz__phidget_typesz00, BGl_proc2250z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1290z00_532,((long)0),BgL_arg1937z00_533); } 
{ /* Llib/pdgtypes.scm 62 */
 obj_t BgL_arg1942z00_543;
BgL_arg1942z00_543 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_proc2253z00zz__phidget_typesz00, BGl_proc2252z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1290z00_532,((long)1),BgL_arg1942z00_543); } 
BgL_arg1930z00_518 = BgL_v1290z00_532; } 
{ /* Llib/pdgtypes.scm 62 */
 obj_t BgL_v1291z00_553;
BgL_v1291z00_553 = 
create_vector(((long)0)); 
BgL_arg1931z00_519 = BgL_v1291z00_553; } 
BGl_phidgetzd2servopositionzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)29978), BGl_proc2256z00zz__phidget_typesz00, BGl_proc2255z00zz__phidget_typesz00, BFALSE, BGl_proc2254z00zz__phidget_typesz00, BFALSE, BgL_arg1930z00_518, BgL_arg1931z00_519); } 
{ /* Llib/pdgtypes.scm 66 */
 obj_t BgL_arg1950z00_560; obj_t BgL_arg1951z00_561;
{ /* Llib/pdgtypes.scm 66 */
 obj_t BgL_v1292z00_574;
BgL_v1292z00_574 = 
create_vector(((long)2)); 
{ /* Llib/pdgtypes.scm 66 */
 obj_t BgL_arg1957z00_575;
BgL_arg1957z00_575 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2258z00zz__phidget_typesz00, BGl_proc2257z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1292z00_574,((long)0),BgL_arg1957z00_575); } 
{ /* Llib/pdgtypes.scm 66 */
 obj_t BgL_arg1962z00_585;
BgL_arg1962z00_585 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc2260z00zz__phidget_typesz00, BGl_proc2259z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1292z00_574,((long)1),BgL_arg1962z00_585); } 
BgL_arg1950z00_560 = BgL_v1292z00_574; } 
{ /* Llib/pdgtypes.scm 66 */
 obj_t BgL_v1293z00_595;
BgL_v1293z00_595 = 
create_vector(((long)0)); 
BgL_arg1951z00_561 = BgL_v1293z00_595; } 
BGl_phidgetzd2servovelocityzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)41)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)63646), BGl_proc2263z00zz__phidget_typesz00, BGl_proc2262z00zz__phidget_typesz00, BFALSE, BGl_proc2261z00zz__phidget_typesz00, BFALSE, BgL_arg1950z00_560, BgL_arg1951z00_561); } 
{ /* Llib/pdgtypes.scm 70 */
 obj_t BgL_arg1970z00_602; obj_t BgL_arg1971z00_603;
{ /* Llib/pdgtypes.scm 70 */
 obj_t BgL_v1294z00_616;
BgL_v1294z00_616 = 
create_vector(((long)2)); 
{ /* Llib/pdgtypes.scm 70 */
 obj_t BgL_arg1977z00_617;
BgL_arg1977z00_617 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2265z00zz__phidget_typesz00, BGl_proc2264z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1294z00_616,((long)0),BgL_arg1977z00_617); } 
{ /* Llib/pdgtypes.scm 70 */
 obj_t BgL_arg1982z00_627;
BgL_arg1982z00_627 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc2267z00zz__phidget_typesz00, BGl_proc2266z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1294z00_616,((long)1),BgL_arg1982z00_627); } 
BgL_arg1970z00_602 = BgL_v1294z00_616; } 
{ /* Llib/pdgtypes.scm 70 */
 obj_t BgL_v1295z00_637;
BgL_v1295z00_637 = 
create_vector(((long)0)); 
BgL_arg1971z00_603 = BgL_v1295z00_637; } 
BGl_phidgetzd2servocurrentzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)43)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)26902), BGl_proc2270z00zz__phidget_typesz00, BGl_proc2269z00zz__phidget_typesz00, BFALSE, BGl_proc2268z00zz__phidget_typesz00, BFALSE, BgL_arg1970z00_602, BgL_arg1971z00_603); } 
{ /* Llib/pdgtypes.scm 74 */
 obj_t BgL_arg1990z00_644; obj_t BgL_arg1991z00_645;
{ /* Llib/pdgtypes.scm 74 */
 obj_t BgL_v1296z00_658;
BgL_v1296z00_658 = 
create_vector(((long)0)); 
BgL_arg1990z00_644 = BgL_v1296z00_658; } 
{ /* Llib/pdgtypes.scm 74 */
 obj_t BgL_v1297z00_659;
BgL_v1297z00_659 = 
create_vector(((long)0)); 
BgL_arg1991z00_645 = BgL_v1297z00_659; } 
BGl_phidgetzd2stepperinputzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)44)), 
CNST_TABLE_REF(((long)1)), BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00, ((long)24240), BGl_proc2273z00zz__phidget_typesz00, BGl_proc2272z00zz__phidget_typesz00, BFALSE, BGl_proc2271z00zz__phidget_typesz00, BFALSE, BgL_arg1990z00_644, BgL_arg1991z00_645); } 
{ /* Llib/pdgtypes.scm 75 */
 obj_t BgL_arg2000z00_666; obj_t BgL_arg2001z00_667;
{ /* Llib/pdgtypes.scm 75 */
 obj_t BgL_v1298z00_680;
BgL_v1298z00_680 = 
create_vector(((long)2)); 
{ /* Llib/pdgtypes.scm 75 */
 obj_t BgL_arg2007z00_681;
BgL_arg2007z00_681 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2275z00zz__phidget_typesz00, BGl_proc2274z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1298z00_680,((long)0),BgL_arg2007z00_681); } 
{ /* Llib/pdgtypes.scm 75 */
 obj_t BgL_arg2012z00_691;
BgL_arg2012z00_691 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc2277z00zz__phidget_typesz00, BGl_proc2276z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1298z00_680,((long)1),BgL_arg2012z00_691); } 
BgL_arg2000z00_666 = BgL_v1298z00_680; } 
{ /* Llib/pdgtypes.scm 75 */
 obj_t BgL_v1299z00_701;
BgL_v1299z00_701 = 
create_vector(((long)0)); 
BgL_arg2001z00_667 = BgL_v1299z00_701; } 
BGl_phidgetzd2steppervelocityzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)45)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)39850), BGl_proc2280z00zz__phidget_typesz00, BGl_proc2279z00zz__phidget_typesz00, BFALSE, BGl_proc2278z00zz__phidget_typesz00, BFALSE, BgL_arg2000z00_666, BgL_arg2001z00_667); } 
{ /* Llib/pdgtypes.scm 78 */
 obj_t BgL_arg2020z00_708; obj_t BgL_arg2021z00_709;
{ /* Llib/pdgtypes.scm 78 */
 obj_t BgL_v1300z00_724;
BgL_v1300z00_724 = 
create_vector(((long)2)); 
{ /* Llib/pdgtypes.scm 78 */
 obj_t BgL_arg2027z00_725;
BgL_arg2027z00_725 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2282z00zz__phidget_typesz00, BGl_proc2281z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1300z00_724,((long)0),BgL_arg2027z00_725); } 
{ /* Llib/pdgtypes.scm 78 */
 obj_t BgL_arg2032z00_735;
BgL_arg2032z00_735 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_proc2284z00zz__phidget_typesz00, BGl_proc2283z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1300z00_724,((long)1),BgL_arg2032z00_735); } 
BgL_arg2020z00_708 = BgL_v1300z00_724; } 
{ /* Llib/pdgtypes.scm 78 */
 obj_t BgL_v1301z00_745;
BgL_v1301z00_745 = 
create_vector(((long)0)); 
BgL_arg2021z00_709 = BgL_v1301z00_745; } 
BGl_phidgetzd2stepperpositionzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)47)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)10479), BGl_proc2287z00zz__phidget_typesz00, BGl_proc2286z00zz__phidget_typesz00, BFALSE, BGl_proc2285z00zz__phidget_typesz00, BFALSE, BgL_arg2020z00_708, BgL_arg2021z00_709); } 
{ /* Llib/pdgtypes.scm 81 */
 obj_t BgL_arg2040z00_752; obj_t BgL_arg2041z00_753;
{ /* Llib/pdgtypes.scm 81 */
 obj_t BgL_v1302z00_766;
BgL_v1302z00_766 = 
create_vector(((long)2)); 
{ /* Llib/pdgtypes.scm 81 */
 obj_t BgL_arg2047z00_767;
BgL_arg2047z00_767 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2289z00zz__phidget_typesz00, BGl_proc2288z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1302z00_766,((long)0),BgL_arg2047z00_767); } 
{ /* Llib/pdgtypes.scm 81 */
 obj_t BgL_arg2052z00_777;
BgL_arg2052z00_777 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc2291z00zz__phidget_typesz00, BGl_proc2290z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1302z00_766,((long)1),BgL_arg2052z00_777); } 
BgL_arg2040z00_752 = BgL_v1302z00_766; } 
{ /* Llib/pdgtypes.scm 81 */
 obj_t BgL_v1303z00_787;
BgL_v1303z00_787 = 
create_vector(((long)0)); 
BgL_arg2041z00_753 = BgL_v1303z00_787; } 
BGl_phidgetzd2steppercurrentzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)48)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)48330), BGl_proc2294z00zz__phidget_typesz00, BGl_proc2293z00zz__phidget_typesz00, BFALSE, BGl_proc2292z00zz__phidget_typesz00, BFALSE, BgL_arg2040z00_752, BgL_arg2041z00_753); } 
{ /* Llib/pdgtypes.scm 85 */
 obj_t BgL_arg2060z00_794; obj_t BgL_arg2061z00_795;
{ /* Llib/pdgtypes.scm 85 */
 obj_t BgL_v1304z00_808;
BgL_v1304z00_808 = 
create_vector(((long)2)); 
{ /* Llib/pdgtypes.scm 85 */
 obj_t BgL_arg2067z00_809;
BgL_arg2067z00_809 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2296z00zz__phidget_typesz00, BGl_proc2295z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1304z00_808,((long)0),BgL_arg2067z00_809); } 
{ /* Llib/pdgtypes.scm 85 */
 obj_t BgL_arg2072z00_819;
BgL_arg2072z00_819 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc2298z00zz__phidget_typesz00, BGl_proc2297z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1304z00_808,((long)1),BgL_arg2072z00_819); } 
BgL_arg2060z00_794 = BgL_v1304z00_808; } 
{ /* Llib/pdgtypes.scm 85 */
 obj_t BgL_v1305z00_829;
BgL_v1305z00_829 = 
create_vector(((long)0)); 
BgL_arg2061z00_795 = BgL_v1305z00_829; } 
BGl_phidgetzd2motorcontrolvelocityzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)49)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)43769), BGl_proc2301z00zz__phidget_typesz00, BGl_proc2300z00zz__phidget_typesz00, BFALSE, BGl_proc2299z00zz__phidget_typesz00, BFALSE, BgL_arg2060z00_794, BgL_arg2061z00_795); } 
{ /* Llib/pdgtypes.scm 89 */
 obj_t BgL_arg2080z00_836; obj_t BgL_arg2081z00_837;
{ /* Llib/pdgtypes.scm 89 */
 obj_t BgL_v1306z00_850;
BgL_v1306z00_850 = 
create_vector(((long)2)); 
{ /* Llib/pdgtypes.scm 89 */
 obj_t BgL_arg2087z00_851;
BgL_arg2087z00_851 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2303z00zz__phidget_typesz00, BGl_proc2302z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1306z00_850,((long)0),BgL_arg2087z00_851); } 
{ /* Llib/pdgtypes.scm 89 */
 obj_t BgL_arg2092z00_861;
BgL_arg2092z00_861 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc2305z00zz__phidget_typesz00, BGl_proc2304z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1306z00_850,((long)1),BgL_arg2092z00_861); } 
BgL_arg2080z00_836 = BgL_v1306z00_850; } 
{ /* Llib/pdgtypes.scm 89 */
 obj_t BgL_v1307z00_871;
BgL_v1307z00_871 = 
create_vector(((long)0)); 
BgL_arg2081z00_837 = BgL_v1307z00_871; } 
BGl_phidgetzd2motorcontrolcurrentzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)50)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)17241), BGl_proc2308z00zz__phidget_typesz00, BGl_proc2307z00zz__phidget_typesz00, BFALSE, BGl_proc2306z00zz__phidget_typesz00, BFALSE, BgL_arg2080z00_836, BgL_arg2081z00_837); } 
{ /* Llib/pdgtypes.scm 93 */
 obj_t BgL_arg2100z00_878; obj_t BgL_arg2101z00_879;
{ /* Llib/pdgtypes.scm 93 */
 obj_t BgL_v1308z00_892;
BgL_v1308z00_892 = 
create_vector(((long)2)); 
{ /* Llib/pdgtypes.scm 93 */
 obj_t BgL_arg2107z00_893;
BgL_arg2107z00_893 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2310z00zz__phidget_typesz00, BGl_proc2309z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1308z00_892,((long)0),BgL_arg2107z00_893); } 
{ /* Llib/pdgtypes.scm 93 */
 obj_t BgL_arg2112z00_903;
BgL_arg2112z00_903 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc2312z00zz__phidget_typesz00, BGl_proc2311z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1308z00_892,((long)1),BgL_arg2112z00_903); } 
BgL_arg2100z00_878 = BgL_v1308z00_892; } 
{ /* Llib/pdgtypes.scm 93 */
 obj_t BgL_v1309z00_913;
BgL_v1309z00_913 = 
create_vector(((long)0)); 
BgL_arg2101z00_879 = BgL_v1309z00_913; } 
BGl_phidgetzd2encoderinputzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)51)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)41195), BGl_proc2315z00zz__phidget_typesz00, BGl_proc2314z00zz__phidget_typesz00, BFALSE, BGl_proc2313z00zz__phidget_typesz00, BFALSE, BgL_arg2100z00_878, BgL_arg2101z00_879); } 
{ /* Llib/pdgtypes.scm 97 */
 obj_t BgL_arg2120z00_920; obj_t BgL_arg2121z00_921;
{ /* Llib/pdgtypes.scm 97 */
 obj_t BgL_v1310z00_935;
BgL_v1310z00_935 = 
create_vector(((long)3)); 
{ /* Llib/pdgtypes.scm 97 */
 obj_t BgL_arg2127z00_936;
BgL_arg2127z00_936 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2317z00zz__phidget_typesz00, BGl_proc2316z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1310z00_935,((long)0),BgL_arg2127z00_936); } 
{ /* Llib/pdgtypes.scm 97 */
 obj_t BgL_arg2132z00_946;
BgL_arg2132z00_946 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc2319z00zz__phidget_typesz00, BGl_proc2318z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1310z00_935,((long)1),BgL_arg2132z00_946); } 
{ /* Llib/pdgtypes.scm 97 */
 obj_t BgL_arg2137z00_956;
BgL_arg2137z00_956 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_proc2321z00zz__phidget_typesz00, BGl_proc2320z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1310z00_935,((long)2),BgL_arg2137z00_956); } 
BgL_arg2120z00_920 = BgL_v1310z00_935; } 
{ /* Llib/pdgtypes.scm 97 */
 obj_t BgL_v1311z00_966;
BgL_v1311z00_966 = 
create_vector(((long)0)); 
BgL_arg2121z00_921 = BgL_v1311z00_966; } 
BGl_phidgetzd2encoderpositionzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)54416), BGl_proc2324z00zz__phidget_typesz00, BGl_proc2323z00zz__phidget_typesz00, BFALSE, BGl_proc2322z00zz__phidget_typesz00, BFALSE, BgL_arg2120z00_920, BgL_arg2121z00_921); } 
{ /* Llib/pdgtypes.scm 102 */
 obj_t BgL_arg2145z00_973; obj_t BgL_arg2146z00_974;
{ /* Llib/pdgtypes.scm 102 */
 obj_t BgL_v1312z00_987;
BgL_v1312z00_987 = 
create_vector(((long)2)); 
{ /* Llib/pdgtypes.scm 102 */
 obj_t BgL_arg2152z00_988;
BgL_arg2152z00_988 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2326z00zz__phidget_typesz00, BGl_proc2325z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1312z00_987,((long)0),BgL_arg2152z00_988); } 
{ /* Llib/pdgtypes.scm 102 */
 obj_t BgL_arg2157z00_998;
BgL_arg2157z00_998 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_proc2328z00zz__phidget_typesz00, BGl_proc2327z00zz__phidget_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1312z00_987,((long)1),BgL_arg2157z00_998); } 
BgL_arg2145z00_973 = BgL_v1312z00_987; } 
{ /* Llib/pdgtypes.scm 102 */
 obj_t BgL_v1313z00_1008;
BgL_v1313z00_1008 = 
create_vector(((long)0)); 
BgL_arg2146z00_974 = BgL_v1313z00_1008; } 
return ( 
BGl_phidgetzd2encoderindexzd2eventz00zz__phidget_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)54)), 
CNST_TABLE_REF(((long)1)), BGl_z52phidgetzd2eventz80zz__phidget_typesz00, ((long)8958), BGl_proc2331z00zz__phidget_typesz00, BGl_proc2330z00zz__phidget_typesz00, BFALSE, BGl_proc2329z00zz__phidget_typesz00, BFALSE, BgL_arg2145z00_973, BgL_arg2146z00_974), BUNSPEC) ;} } 

}



/* &<@anonymous:2151> */
obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1487, obj_t BgL_new1211z00_1488)
{
{ /* Llib/pdgtypes.scm 102 */
{ 
 BgL_phidgetzd2encoderindexzd2eventz00_bglt BgL_auxz00_2621;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BgL_new1211z00_1488))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BgL_new1211z00_1488)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BgL_new1211z00_1488)))->BgL_positionz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_2621 = 
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BgL_new1211z00_1488); 
return 
((obj_t)BgL_auxz00_2621);} } 

}



/* &lambda2149 */
BgL_phidgetzd2encoderindexzd2eventz00_bglt BGl_z62lambda2149z62zz__phidget_typesz00(obj_t BgL_envz00_1489)
{
{ /* Llib/pdgtypes.scm 102 */
{ /* Llib/pdgtypes.scm 102 */
 BgL_phidgetzd2encoderindexzd2eventz00_bglt BgL_new1210z00_1907;
BgL_new1210z00_1907 = 
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderindexzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 102 */
 long BgL_arg2150z00_1908;
BgL_arg2150z00_1908 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderindexzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1210z00_1907), BgL_arg2150z00_1908); } 
return BgL_new1210z00_1907;} } 

}



/* &lambda2147 */
BgL_phidgetzd2encoderindexzd2eventz00_bglt BGl_z62lambda2147z62zz__phidget_typesz00(obj_t BgL_envz00_1490, obj_t BgL_target1207z00_1491, obj_t BgL_index1208z00_1492, obj_t BgL_position1209z00_1493)
{
{ /* Llib/pdgtypes.scm 102 */
{ /* Llib/pdgtypes.scm 102 */
 int BgL_index1208z00_1909; int BgL_position1209z00_1910;
BgL_index1208z00_1909 = 
CINT(BgL_index1208z00_1492); 
BgL_position1209z00_1910 = 
CINT(BgL_position1209z00_1493); 
{ /* Llib/pdgtypes.scm 102 */
 BgL_phidgetzd2encoderindexzd2eventz00_bglt BgL_new1259z00_1911;
{ /* Llib/pdgtypes.scm 102 */
 BgL_phidgetzd2encoderindexzd2eventz00_bglt BgL_new1258z00_1912;
BgL_new1258z00_1912 = 
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderindexzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 102 */
 long BgL_arg2148z00_1913;
BgL_arg2148z00_1913 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderindexzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1258z00_1912), BgL_arg2148z00_1913); } 
BgL_new1259z00_1911 = BgL_new1258z00_1912; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1259z00_1911)))->BgL_targetz00)=((obj_t)BgL_target1207z00_1491),BUNSPEC); 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(BgL_new1259z00_1911))->BgL_indexz00)=((int)BgL_index1208z00_1909),BUNSPEC); 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(BgL_new1259z00_1911))->BgL_positionz00)=((int)BgL_position1209z00_1910),BUNSPEC); 
return BgL_new1259z00_1911;} } } 

}



/* &lambda2161 */
obj_t BGl_z62lambda2161z62zz__phidget_typesz00(obj_t BgL_envz00_1494, obj_t BgL_oz00_1495, obj_t BgL_vz00_1496)
{
{ /* Llib/pdgtypes.scm 102 */
{ /* Llib/pdgtypes.scm 102 */
 int BgL_vz00_1915;
BgL_vz00_1915 = 
CINT(BgL_vz00_1496); 
return 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BgL_oz00_1495)))->BgL_positionz00)=((int)BgL_vz00_1915),BUNSPEC);} } 

}



/* &lambda2160 */
obj_t BGl_z62lambda2160z62zz__phidget_typesz00(obj_t BgL_envz00_1497, obj_t BgL_oz00_1498)
{
{ /* Llib/pdgtypes.scm 102 */
return 
BINT(
(((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BgL_oz00_1498)))->BgL_positionz00));} 

}



/* &lambda2156 */
obj_t BGl_z62lambda2156z62zz__phidget_typesz00(obj_t BgL_envz00_1499, obj_t BgL_oz00_1500, obj_t BgL_vz00_1501)
{
{ /* Llib/pdgtypes.scm 102 */
{ /* Llib/pdgtypes.scm 102 */
 int BgL_vz00_1918;
BgL_vz00_1918 = 
CINT(BgL_vz00_1501); 
return 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BgL_oz00_1500)))->BgL_indexz00)=((int)BgL_vz00_1918),BUNSPEC);} } 

}



/* &lambda2155 */
obj_t BGl_z62lambda2155z62zz__phidget_typesz00(obj_t BgL_envz00_1502, obj_t BgL_oz00_1503)
{
{ /* Llib/pdgtypes.scm 102 */
return 
BINT(
(((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BgL_oz00_1503)))->BgL_indexz00));} 

}



/* &<@anonymous:2126> */
obj_t BGl_z62zc3z04anonymousza32126ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1504, obj_t BgL_new1205z00_1505)
{
{ /* Llib/pdgtypes.scm 97 */
{ 
 BgL_phidgetzd2encoderpositionzd2eventz00_bglt BgL_auxz00_2659;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BgL_new1205z00_1505))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BgL_new1205z00_1505)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BgL_new1205z00_1505)))->BgL_timez00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BgL_new1205z00_1505)))->BgL_positionz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_2659 = 
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BgL_new1205z00_1505); 
return 
((obj_t)BgL_auxz00_2659);} } 

}



/* &lambda2124 */
BgL_phidgetzd2encoderpositionzd2eventz00_bglt BGl_z62lambda2124z62zz__phidget_typesz00(obj_t BgL_envz00_1506)
{
{ /* Llib/pdgtypes.scm 97 */
{ /* Llib/pdgtypes.scm 97 */
 BgL_phidgetzd2encoderpositionzd2eventz00_bglt BgL_new1204z00_1921;
BgL_new1204z00_1921 = 
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderpositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 97 */
 long BgL_arg2125z00_1922;
BgL_arg2125z00_1922 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderpositionzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1204z00_1921), BgL_arg2125z00_1922); } 
return BgL_new1204z00_1921;} } 

}



/* &lambda2122 */
BgL_phidgetzd2encoderpositionzd2eventz00_bglt BGl_z62lambda2122z62zz__phidget_typesz00(obj_t BgL_envz00_1507, obj_t BgL_target1200z00_1508, obj_t BgL_index1201z00_1509, obj_t BgL_time1202z00_1510, obj_t BgL_position1203z00_1511)
{
{ /* Llib/pdgtypes.scm 97 */
{ /* Llib/pdgtypes.scm 97 */
 int BgL_index1201z00_1923; int BgL_time1202z00_1924; int BgL_position1203z00_1925;
BgL_index1201z00_1923 = 
CINT(BgL_index1201z00_1509); 
BgL_time1202z00_1924 = 
CINT(BgL_time1202z00_1510); 
BgL_position1203z00_1925 = 
CINT(BgL_position1203z00_1511); 
{ /* Llib/pdgtypes.scm 97 */
 BgL_phidgetzd2encoderpositionzd2eventz00_bglt BgL_new1257z00_1926;
{ /* Llib/pdgtypes.scm 97 */
 BgL_phidgetzd2encoderpositionzd2eventz00_bglt BgL_new1256z00_1927;
BgL_new1256z00_1927 = 
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderpositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 97 */
 long BgL_arg2123z00_1928;
BgL_arg2123z00_1928 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderpositionzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1256z00_1927), BgL_arg2123z00_1928); } 
BgL_new1257z00_1926 = BgL_new1256z00_1927; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1257z00_1926)))->BgL_targetz00)=((obj_t)BgL_target1200z00_1508),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1257z00_1926))->BgL_indexz00)=((int)BgL_index1201z00_1923),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1257z00_1926))->BgL_timez00)=((int)BgL_time1202z00_1924),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1257z00_1926))->BgL_positionz00)=((int)BgL_position1203z00_1925),BUNSPEC); 
return BgL_new1257z00_1926;} } } 

}



/* &lambda2141 */
obj_t BGl_z62lambda2141z62zz__phidget_typesz00(obj_t BgL_envz00_1512, obj_t BgL_oz00_1513, obj_t BgL_vz00_1514)
{
{ /* Llib/pdgtypes.scm 97 */
{ /* Llib/pdgtypes.scm 97 */
 int BgL_vz00_1930;
BgL_vz00_1930 = 
CINT(BgL_vz00_1514); 
return 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BgL_oz00_1513)))->BgL_positionz00)=((int)BgL_vz00_1930),BUNSPEC);} } 

}



/* &lambda2140 */
obj_t BGl_z62lambda2140z62zz__phidget_typesz00(obj_t BgL_envz00_1515, obj_t BgL_oz00_1516)
{
{ /* Llib/pdgtypes.scm 97 */
return 
BINT(
(((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BgL_oz00_1516)))->BgL_positionz00));} 

}



/* &lambda2136 */
obj_t BGl_z62lambda2136z62zz__phidget_typesz00(obj_t BgL_envz00_1517, obj_t BgL_oz00_1518, obj_t BgL_vz00_1519)
{
{ /* Llib/pdgtypes.scm 97 */
{ /* Llib/pdgtypes.scm 97 */
 int BgL_vz00_1933;
BgL_vz00_1933 = 
CINT(BgL_vz00_1519); 
return 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BgL_oz00_1518)))->BgL_timez00)=((int)BgL_vz00_1933),BUNSPEC);} } 

}



/* &lambda2135 */
obj_t BGl_z62lambda2135z62zz__phidget_typesz00(obj_t BgL_envz00_1520, obj_t BgL_oz00_1521)
{
{ /* Llib/pdgtypes.scm 97 */
return 
BINT(
(((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BgL_oz00_1521)))->BgL_timez00));} 

}



/* &lambda2131 */
obj_t BGl_z62lambda2131z62zz__phidget_typesz00(obj_t BgL_envz00_1522, obj_t BgL_oz00_1523, obj_t BgL_vz00_1524)
{
{ /* Llib/pdgtypes.scm 97 */
{ /* Llib/pdgtypes.scm 97 */
 int BgL_vz00_1936;
BgL_vz00_1936 = 
CINT(BgL_vz00_1524); 
return 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BgL_oz00_1523)))->BgL_indexz00)=((int)BgL_vz00_1936),BUNSPEC);} } 

}



/* &lambda2130 */
obj_t BGl_z62lambda2130z62zz__phidget_typesz00(obj_t BgL_envz00_1525, obj_t BgL_oz00_1526)
{
{ /* Llib/pdgtypes.scm 97 */
return 
BINT(
(((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BgL_oz00_1526)))->BgL_indexz00));} 

}



/* &<@anonymous:2106> */
obj_t BGl_z62zc3z04anonymousza32106ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1527, obj_t BgL_new1198z00_1528)
{
{ /* Llib/pdgtypes.scm 93 */
{ 
 BgL_phidgetzd2encoderinputzd2eventz00_bglt BgL_auxz00_2708;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BgL_new1198z00_1528))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BgL_new1198z00_1528)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BgL_new1198z00_1528)))->BgL_statez00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_2708 = 
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BgL_new1198z00_1528); 
return 
((obj_t)BgL_auxz00_2708);} } 

}



/* &lambda2104 */
BgL_phidgetzd2encoderinputzd2eventz00_bglt BGl_z62lambda2104z62zz__phidget_typesz00(obj_t BgL_envz00_1529)
{
{ /* Llib/pdgtypes.scm 93 */
{ /* Llib/pdgtypes.scm 93 */
 BgL_phidgetzd2encoderinputzd2eventz00_bglt BgL_new1197z00_1939;
BgL_new1197z00_1939 = 
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderinputzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 93 */
 long BgL_arg2105z00_1940;
BgL_arg2105z00_1940 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderinputzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_1939), BgL_arg2105z00_1940); } 
return BgL_new1197z00_1939;} } 

}



/* &lambda2102 */
BgL_phidgetzd2encoderinputzd2eventz00_bglt BGl_z62lambda2102z62zz__phidget_typesz00(obj_t BgL_envz00_1530, obj_t BgL_target1194z00_1531, obj_t BgL_index1195z00_1532, obj_t BgL_state1196z00_1533)
{
{ /* Llib/pdgtypes.scm 93 */
{ /* Llib/pdgtypes.scm 93 */
 int BgL_index1195z00_1941; bool_t BgL_state1196z00_1942;
BgL_index1195z00_1941 = 
CINT(BgL_index1195z00_1532); 
BgL_state1196z00_1942 = 
CBOOL(BgL_state1196z00_1533); 
{ /* Llib/pdgtypes.scm 93 */
 BgL_phidgetzd2encoderinputzd2eventz00_bglt BgL_new1255z00_1943;
{ /* Llib/pdgtypes.scm 93 */
 BgL_phidgetzd2encoderinputzd2eventz00_bglt BgL_new1254z00_1944;
BgL_new1254z00_1944 = 
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderinputzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 93 */
 long BgL_arg2103z00_1945;
BgL_arg2103z00_1945 = 
BGL_CLASS_NUM(BGl_phidgetzd2encoderinputzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1254z00_1944), BgL_arg2103z00_1945); } 
BgL_new1255z00_1943 = BgL_new1254z00_1944; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1255z00_1943)))->BgL_targetz00)=((obj_t)BgL_target1194z00_1531),BUNSPEC); 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(BgL_new1255z00_1943))->BgL_indexz00)=((int)BgL_index1195z00_1941),BUNSPEC); 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(BgL_new1255z00_1943))->BgL_statez00)=((bool_t)BgL_state1196z00_1942),BUNSPEC); 
return BgL_new1255z00_1943;} } } 

}



/* &lambda2116 */
obj_t BGl_z62lambda2116z62zz__phidget_typesz00(obj_t BgL_envz00_1534, obj_t BgL_oz00_1535, obj_t BgL_vz00_1536)
{
{ /* Llib/pdgtypes.scm 93 */
{ /* Llib/pdgtypes.scm 93 */
 bool_t BgL_vz00_1947;
BgL_vz00_1947 = 
CBOOL(BgL_vz00_1536); 
return 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BgL_oz00_1535)))->BgL_statez00)=((bool_t)BgL_vz00_1947),BUNSPEC);} } 

}



/* &lambda2115 */
obj_t BGl_z62lambda2115z62zz__phidget_typesz00(obj_t BgL_envz00_1537, obj_t BgL_oz00_1538)
{
{ /* Llib/pdgtypes.scm 93 */
return 
BBOOL(
(((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BgL_oz00_1538)))->BgL_statez00));} 

}



/* &lambda2111 */
obj_t BGl_z62lambda2111z62zz__phidget_typesz00(obj_t BgL_envz00_1539, obj_t BgL_oz00_1540, obj_t BgL_vz00_1541)
{
{ /* Llib/pdgtypes.scm 93 */
{ /* Llib/pdgtypes.scm 93 */
 int BgL_vz00_1950;
BgL_vz00_1950 = 
CINT(BgL_vz00_1541); 
return 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BgL_oz00_1540)))->BgL_indexz00)=((int)BgL_vz00_1950),BUNSPEC);} } 

}



/* &lambda2110 */
obj_t BGl_z62lambda2110z62zz__phidget_typesz00(obj_t BgL_envz00_1542, obj_t BgL_oz00_1543)
{
{ /* Llib/pdgtypes.scm 93 */
return 
BINT(
(((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BgL_oz00_1543)))->BgL_indexz00));} 

}



/* &<@anonymous:2086> */
obj_t BGl_z62zc3z04anonymousza32086ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1544, obj_t BgL_new1192z00_1545)
{
{ /* Llib/pdgtypes.scm 89 */
{ 
 BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BgL_auxz00_2745;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BgL_new1192z00_1545))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BgL_new1192z00_1545)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BgL_new1192z00_1545)))->BgL_currentz00)=((double)((double)0.0)),BUNSPEC); 
BgL_auxz00_2745 = 
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BgL_new1192z00_1545); 
return 
((obj_t)BgL_auxz00_2745);} } 

}



/* &lambda2084 */
BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BGl_z62lambda2084z62zz__phidget_typesz00(obj_t BgL_envz00_1546)
{
{ /* Llib/pdgtypes.scm 89 */
{ /* Llib/pdgtypes.scm 89 */
 BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BgL_new1191z00_1953;
BgL_new1191z00_1953 = 
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 89 */
 long BgL_arg2085z00_1954;
BgL_arg2085z00_1954 = 
BGL_CLASS_NUM(BGl_phidgetzd2motorcontrolcurrentzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1191z00_1953), BgL_arg2085z00_1954); } 
return BgL_new1191z00_1953;} } 

}



/* &lambda2082 */
BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BGl_z62lambda2082z62zz__phidget_typesz00(obj_t BgL_envz00_1547, obj_t BgL_target1188z00_1548, obj_t BgL_index1189z00_1549, obj_t BgL_current1190z00_1550)
{
{ /* Llib/pdgtypes.scm 89 */
{ /* Llib/pdgtypes.scm 89 */
 int BgL_index1189z00_1955; double BgL_current1190z00_1956;
BgL_index1189z00_1955 = 
CINT(BgL_index1189z00_1549); 
BgL_current1190z00_1956 = 
REAL_TO_DOUBLE(BgL_current1190z00_1550); 
{ /* Llib/pdgtypes.scm 89 */
 BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BgL_new1253z00_1957;
{ /* Llib/pdgtypes.scm 89 */
 BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BgL_new1252z00_1958;
BgL_new1252z00_1958 = 
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 89 */
 long BgL_arg2083z00_1959;
BgL_arg2083z00_1959 = 
BGL_CLASS_NUM(BGl_phidgetzd2motorcontrolcurrentzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1252z00_1958), BgL_arg2083z00_1959); } 
BgL_new1253z00_1957 = BgL_new1252z00_1958; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1253z00_1957)))->BgL_targetz00)=((obj_t)BgL_target1188z00_1548),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(BgL_new1253z00_1957))->BgL_indexz00)=((int)BgL_index1189z00_1955),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(BgL_new1253z00_1957))->BgL_currentz00)=((double)BgL_current1190z00_1956),BUNSPEC); 
return BgL_new1253z00_1957;} } } 

}



/* &lambda2096 */
obj_t BGl_z62lambda2096z62zz__phidget_typesz00(obj_t BgL_envz00_1551, obj_t BgL_oz00_1552, obj_t BgL_vz00_1553)
{
{ /* Llib/pdgtypes.scm 89 */
{ /* Llib/pdgtypes.scm 89 */
 double BgL_vz00_1961;
BgL_vz00_1961 = 
REAL_TO_DOUBLE(BgL_vz00_1553); 
return 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BgL_oz00_1552)))->BgL_currentz00)=((double)BgL_vz00_1961),BUNSPEC);} } 

}



/* &lambda2095 */
obj_t BGl_z62lambda2095z62zz__phidget_typesz00(obj_t BgL_envz00_1554, obj_t BgL_oz00_1555)
{
{ /* Llib/pdgtypes.scm 89 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BgL_oz00_1555)))->BgL_currentz00));} 

}



/* &lambda2091 */
obj_t BGl_z62lambda2091z62zz__phidget_typesz00(obj_t BgL_envz00_1556, obj_t BgL_oz00_1557, obj_t BgL_vz00_1558)
{
{ /* Llib/pdgtypes.scm 89 */
{ /* Llib/pdgtypes.scm 89 */
 int BgL_vz00_1964;
BgL_vz00_1964 = 
CINT(BgL_vz00_1558); 
return 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BgL_oz00_1557)))->BgL_indexz00)=((int)BgL_vz00_1964),BUNSPEC);} } 

}



/* &lambda2090 */
obj_t BGl_z62lambda2090z62zz__phidget_typesz00(obj_t BgL_envz00_1559, obj_t BgL_oz00_1560)
{
{ /* Llib/pdgtypes.scm 89 */
return 
BINT(
(((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BgL_oz00_1560)))->BgL_indexz00));} 

}



/* &<@anonymous:2066> */
obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1561, obj_t BgL_new1186z00_1562)
{
{ /* Llib/pdgtypes.scm 85 */
{ 
 BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BgL_auxz00_2782;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BgL_new1186z00_1562))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BgL_new1186z00_1562)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BgL_new1186z00_1562)))->BgL_velocityz00)=((double)((double)0.0)),BUNSPEC); 
BgL_auxz00_2782 = 
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BgL_new1186z00_1562); 
return 
((obj_t)BgL_auxz00_2782);} } 

}



/* &lambda2064 */
BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BGl_z62lambda2064z62zz__phidget_typesz00(obj_t BgL_envz00_1563)
{
{ /* Llib/pdgtypes.scm 85 */
{ /* Llib/pdgtypes.scm 85 */
 BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BgL_new1185z00_1967;
BgL_new1185z00_1967 = 
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 85 */
 long BgL_arg2065z00_1968;
BgL_arg2065z00_1968 = 
BGL_CLASS_NUM(BGl_phidgetzd2motorcontrolvelocityzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1185z00_1967), BgL_arg2065z00_1968); } 
return BgL_new1185z00_1967;} } 

}



/* &lambda2062 */
BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BGl_z62lambda2062z62zz__phidget_typesz00(obj_t BgL_envz00_1564, obj_t BgL_target1182z00_1565, obj_t BgL_index1183z00_1566, obj_t BgL_velocity1184z00_1567)
{
{ /* Llib/pdgtypes.scm 85 */
{ /* Llib/pdgtypes.scm 85 */
 int BgL_index1183z00_1969; double BgL_velocity1184z00_1970;
BgL_index1183z00_1969 = 
CINT(BgL_index1183z00_1566); 
BgL_velocity1184z00_1970 = 
REAL_TO_DOUBLE(BgL_velocity1184z00_1567); 
{ /* Llib/pdgtypes.scm 85 */
 BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BgL_new1251z00_1971;
{ /* Llib/pdgtypes.scm 85 */
 BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BgL_new1250z00_1972;
BgL_new1250z00_1972 = 
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 85 */
 long BgL_arg2063z00_1973;
BgL_arg2063z00_1973 = 
BGL_CLASS_NUM(BGl_phidgetzd2motorcontrolvelocityzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1250z00_1972), BgL_arg2063z00_1973); } 
BgL_new1251z00_1971 = BgL_new1250z00_1972; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1251z00_1971)))->BgL_targetz00)=((obj_t)BgL_target1182z00_1565),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(BgL_new1251z00_1971))->BgL_indexz00)=((int)BgL_index1183z00_1969),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(BgL_new1251z00_1971))->BgL_velocityz00)=((double)BgL_velocity1184z00_1970),BUNSPEC); 
return BgL_new1251z00_1971;} } } 

}



/* &lambda2076 */
obj_t BGl_z62lambda2076z62zz__phidget_typesz00(obj_t BgL_envz00_1568, obj_t BgL_oz00_1569, obj_t BgL_vz00_1570)
{
{ /* Llib/pdgtypes.scm 85 */
{ /* Llib/pdgtypes.scm 85 */
 double BgL_vz00_1975;
BgL_vz00_1975 = 
REAL_TO_DOUBLE(BgL_vz00_1570); 
return 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BgL_oz00_1569)))->BgL_velocityz00)=((double)BgL_vz00_1975),BUNSPEC);} } 

}



/* &lambda2075 */
obj_t BGl_z62lambda2075z62zz__phidget_typesz00(obj_t BgL_envz00_1571, obj_t BgL_oz00_1572)
{
{ /* Llib/pdgtypes.scm 85 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BgL_oz00_1572)))->BgL_velocityz00));} 

}



/* &lambda2071 */
obj_t BGl_z62lambda2071z62zz__phidget_typesz00(obj_t BgL_envz00_1573, obj_t BgL_oz00_1574, obj_t BgL_vz00_1575)
{
{ /* Llib/pdgtypes.scm 85 */
{ /* Llib/pdgtypes.scm 85 */
 int BgL_vz00_1978;
BgL_vz00_1978 = 
CINT(BgL_vz00_1575); 
return 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BgL_oz00_1574)))->BgL_indexz00)=((int)BgL_vz00_1978),BUNSPEC);} } 

}



/* &lambda2070 */
obj_t BGl_z62lambda2070z62zz__phidget_typesz00(obj_t BgL_envz00_1576, obj_t BgL_oz00_1577)
{
{ /* Llib/pdgtypes.scm 85 */
return 
BINT(
(((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BgL_oz00_1577)))->BgL_indexz00));} 

}



/* &<@anonymous:2046> */
obj_t BGl_z62zc3z04anonymousza32046ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1578, obj_t BgL_new1180z00_1579)
{
{ /* Llib/pdgtypes.scm 81 */
{ 
 BgL_phidgetzd2steppercurrentzd2eventz00_bglt BgL_auxz00_2819;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BgL_new1180z00_1579))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BgL_new1180z00_1579)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BgL_new1180z00_1579)))->BgL_currentz00)=((double)((double)0.0)),BUNSPEC); 
BgL_auxz00_2819 = 
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BgL_new1180z00_1579); 
return 
((obj_t)BgL_auxz00_2819);} } 

}



/* &lambda2044 */
BgL_phidgetzd2steppercurrentzd2eventz00_bglt BGl_z62lambda2044z62zz__phidget_typesz00(obj_t BgL_envz00_1580)
{
{ /* Llib/pdgtypes.scm 81 */
{ /* Llib/pdgtypes.scm 81 */
 BgL_phidgetzd2steppercurrentzd2eventz00_bglt BgL_new1179z00_1981;
BgL_new1179z00_1981 = 
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2steppercurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 81 */
 long BgL_arg2045z00_1982;
BgL_arg2045z00_1982 = 
BGL_CLASS_NUM(BGl_phidgetzd2steppercurrentzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1179z00_1981), BgL_arg2045z00_1982); } 
return BgL_new1179z00_1981;} } 

}



/* &lambda2042 */
BgL_phidgetzd2steppercurrentzd2eventz00_bglt BGl_z62lambda2042z62zz__phidget_typesz00(obj_t BgL_envz00_1581, obj_t BgL_target1176z00_1582, obj_t BgL_index1177z00_1583, obj_t BgL_current1178z00_1584)
{
{ /* Llib/pdgtypes.scm 81 */
{ /* Llib/pdgtypes.scm 81 */
 int BgL_index1177z00_1983; double BgL_current1178z00_1984;
BgL_index1177z00_1983 = 
CINT(BgL_index1177z00_1583); 
BgL_current1178z00_1984 = 
REAL_TO_DOUBLE(BgL_current1178z00_1584); 
{ /* Llib/pdgtypes.scm 81 */
 BgL_phidgetzd2steppercurrentzd2eventz00_bglt BgL_new1249z00_1985;
{ /* Llib/pdgtypes.scm 81 */
 BgL_phidgetzd2steppercurrentzd2eventz00_bglt BgL_new1248z00_1986;
BgL_new1248z00_1986 = 
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2steppercurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 81 */
 long BgL_arg2043z00_1987;
BgL_arg2043z00_1987 = 
BGL_CLASS_NUM(BGl_phidgetzd2steppercurrentzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1248z00_1986), BgL_arg2043z00_1987); } 
BgL_new1249z00_1985 = BgL_new1248z00_1986; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1249z00_1985)))->BgL_targetz00)=((obj_t)BgL_target1176z00_1582),BUNSPEC); 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(BgL_new1249z00_1985))->BgL_indexz00)=((int)BgL_index1177z00_1983),BUNSPEC); 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(BgL_new1249z00_1985))->BgL_currentz00)=((double)BgL_current1178z00_1984),BUNSPEC); 
return BgL_new1249z00_1985;} } } 

}



/* &lambda2056 */
obj_t BGl_z62lambda2056z62zz__phidget_typesz00(obj_t BgL_envz00_1585, obj_t BgL_oz00_1586, obj_t BgL_vz00_1587)
{
{ /* Llib/pdgtypes.scm 81 */
{ /* Llib/pdgtypes.scm 81 */
 double BgL_vz00_1989;
BgL_vz00_1989 = 
REAL_TO_DOUBLE(BgL_vz00_1587); 
return 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BgL_oz00_1586)))->BgL_currentz00)=((double)BgL_vz00_1989),BUNSPEC);} } 

}



/* &lambda2055 */
obj_t BGl_z62lambda2055z62zz__phidget_typesz00(obj_t BgL_envz00_1588, obj_t BgL_oz00_1589)
{
{ /* Llib/pdgtypes.scm 81 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BgL_oz00_1589)))->BgL_currentz00));} 

}



/* &lambda2051 */
obj_t BGl_z62lambda2051z62zz__phidget_typesz00(obj_t BgL_envz00_1590, obj_t BgL_oz00_1591, obj_t BgL_vz00_1592)
{
{ /* Llib/pdgtypes.scm 81 */
{ /* Llib/pdgtypes.scm 81 */
 int BgL_vz00_1992;
BgL_vz00_1992 = 
CINT(BgL_vz00_1592); 
return 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BgL_oz00_1591)))->BgL_indexz00)=((int)BgL_vz00_1992),BUNSPEC);} } 

}



/* &lambda2050 */
obj_t BGl_z62lambda2050z62zz__phidget_typesz00(obj_t BgL_envz00_1593, obj_t BgL_oz00_1594)
{
{ /* Llib/pdgtypes.scm 81 */
return 
BINT(
(((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BgL_oz00_1594)))->BgL_indexz00));} 

}



/* &<@anonymous:2026> */
obj_t BGl_z62zc3z04anonymousza32026ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1595, obj_t BgL_new1174z00_1596)
{
{ /* Llib/pdgtypes.scm 78 */
{ 
 BgL_phidgetzd2stepperpositionzd2eventz00_bglt BgL_auxz00_2856;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BgL_new1174z00_1596))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BgL_new1174z00_1596)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
{ 
 BGL_LONGLONG_T BgL_auxz00_2863;
{ /* Llib/pdgtypes.scm 78 */

BgL_auxz00_2863 = 
BGl_stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00(BGl_string2332z00zz__phidget_typesz00, ((long)10)); } 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BgL_new1174z00_1596)))->BgL_positionz00)=((BGL_LONGLONG_T)BgL_auxz00_2863),BUNSPEC); } 
BgL_auxz00_2856 = 
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BgL_new1174z00_1596); 
return 
((obj_t)BgL_auxz00_2856);} } 

}



/* &lambda2024 */
BgL_phidgetzd2stepperpositionzd2eventz00_bglt BGl_z62lambda2024z62zz__phidget_typesz00(obj_t BgL_envz00_1597)
{
{ /* Llib/pdgtypes.scm 78 */
{ /* Llib/pdgtypes.scm 78 */
 BgL_phidgetzd2stepperpositionzd2eventz00_bglt BgL_new1173z00_1995;
BgL_new1173z00_1995 = 
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2stepperpositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 78 */
 long BgL_arg2025z00_1996;
BgL_arg2025z00_1996 = 
BGL_CLASS_NUM(BGl_phidgetzd2stepperpositionzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1173z00_1995), BgL_arg2025z00_1996); } 
return BgL_new1173z00_1995;} } 

}



/* &lambda2022 */
BgL_phidgetzd2stepperpositionzd2eventz00_bglt BGl_z62lambda2022z62zz__phidget_typesz00(obj_t BgL_envz00_1598, obj_t BgL_target1170z00_1599, obj_t BgL_index1171z00_1600, obj_t BgL_position1172z00_1601)
{
{ /* Llib/pdgtypes.scm 78 */
{ /* Llib/pdgtypes.scm 78 */
 int BgL_index1171z00_1997; BGL_LONGLONG_T BgL_position1172z00_1998;
BgL_index1171z00_1997 = 
CINT(BgL_index1171z00_1600); 
BgL_position1172z00_1998 = 
BLLONG_TO_LLONG(BgL_position1172z00_1601); 
{ /* Llib/pdgtypes.scm 78 */
 BgL_phidgetzd2stepperpositionzd2eventz00_bglt BgL_new1247z00_1999;
{ /* Llib/pdgtypes.scm 78 */
 BgL_phidgetzd2stepperpositionzd2eventz00_bglt BgL_new1246z00_2000;
BgL_new1246z00_2000 = 
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2stepperpositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 78 */
 long BgL_arg2023z00_2001;
BgL_arg2023z00_2001 = 
BGL_CLASS_NUM(BGl_phidgetzd2stepperpositionzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1246z00_2000), BgL_arg2023z00_2001); } 
BgL_new1247z00_1999 = BgL_new1246z00_2000; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1247z00_1999)))->BgL_targetz00)=((obj_t)BgL_target1170z00_1599),BUNSPEC); 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(BgL_new1247z00_1999))->BgL_indexz00)=((int)BgL_index1171z00_1997),BUNSPEC); 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(BgL_new1247z00_1999))->BgL_positionz00)=((BGL_LONGLONG_T)BgL_position1172z00_1998),BUNSPEC); 
return BgL_new1247z00_1999;} } } 

}



/* &lambda2036 */
obj_t BGl_z62lambda2036z62zz__phidget_typesz00(obj_t BgL_envz00_1602, obj_t BgL_oz00_1603, obj_t BgL_vz00_1604)
{
{ /* Llib/pdgtypes.scm 78 */
{ /* Llib/pdgtypes.scm 78 */
 BGL_LONGLONG_T BgL_vz00_2003;
BgL_vz00_2003 = 
BLLONG_TO_LLONG(BgL_vz00_1604); 
return 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BgL_oz00_1603)))->BgL_positionz00)=((BGL_LONGLONG_T)BgL_vz00_2003),BUNSPEC);} } 

}



/* &lambda2035 */
obj_t BGl_z62lambda2035z62zz__phidget_typesz00(obj_t BgL_envz00_1605, obj_t BgL_oz00_1606)
{
{ /* Llib/pdgtypes.scm 78 */
return 
make_bllong(
(((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BgL_oz00_1606)))->BgL_positionz00));} 

}



/* &lambda2031 */
obj_t BGl_z62lambda2031z62zz__phidget_typesz00(obj_t BgL_envz00_1607, obj_t BgL_oz00_1608, obj_t BgL_vz00_1609)
{
{ /* Llib/pdgtypes.scm 78 */
{ /* Llib/pdgtypes.scm 78 */
 int BgL_vz00_2006;
BgL_vz00_2006 = 
CINT(BgL_vz00_1609); 
return 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BgL_oz00_1608)))->BgL_indexz00)=((int)BgL_vz00_2006),BUNSPEC);} } 

}



/* &lambda2030 */
obj_t BGl_z62lambda2030z62zz__phidget_typesz00(obj_t BgL_envz00_1610, obj_t BgL_oz00_1611)
{
{ /* Llib/pdgtypes.scm 78 */
return 
BINT(
(((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BgL_oz00_1611)))->BgL_indexz00));} 

}



/* &<@anonymous:2006> */
obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1612, obj_t BgL_new1168z00_1613)
{
{ /* Llib/pdgtypes.scm 75 */
{ 
 BgL_phidgetzd2steppervelocityzd2eventz00_bglt BgL_auxz00_2895;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BgL_new1168z00_1613))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BgL_new1168z00_1613)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BgL_new1168z00_1613)))->BgL_velocityz00)=((double)((double)0.0)),BUNSPEC); 
BgL_auxz00_2895 = 
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BgL_new1168z00_1613); 
return 
((obj_t)BgL_auxz00_2895);} } 

}



/* &lambda2004 */
BgL_phidgetzd2steppervelocityzd2eventz00_bglt BGl_z62lambda2004z62zz__phidget_typesz00(obj_t BgL_envz00_1614)
{
{ /* Llib/pdgtypes.scm 75 */
{ /* Llib/pdgtypes.scm 75 */
 BgL_phidgetzd2steppervelocityzd2eventz00_bglt BgL_new1167z00_2009;
BgL_new1167z00_2009 = 
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2steppervelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 75 */
 long BgL_arg2005z00_2010;
BgL_arg2005z00_2010 = 
BGL_CLASS_NUM(BGl_phidgetzd2steppervelocityzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1167z00_2009), BgL_arg2005z00_2010); } 
return BgL_new1167z00_2009;} } 

}



/* &lambda2002 */
BgL_phidgetzd2steppervelocityzd2eventz00_bglt BGl_z62lambda2002z62zz__phidget_typesz00(obj_t BgL_envz00_1615, obj_t BgL_target1164z00_1616, obj_t BgL_index1165z00_1617, obj_t BgL_velocity1166z00_1618)
{
{ /* Llib/pdgtypes.scm 75 */
{ /* Llib/pdgtypes.scm 75 */
 int BgL_index1165z00_2011; double BgL_velocity1166z00_2012;
BgL_index1165z00_2011 = 
CINT(BgL_index1165z00_1617); 
BgL_velocity1166z00_2012 = 
REAL_TO_DOUBLE(BgL_velocity1166z00_1618); 
{ /* Llib/pdgtypes.scm 75 */
 BgL_phidgetzd2steppervelocityzd2eventz00_bglt BgL_new1245z00_2013;
{ /* Llib/pdgtypes.scm 75 */
 BgL_phidgetzd2steppervelocityzd2eventz00_bglt BgL_new1244z00_2014;
BgL_new1244z00_2014 = 
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2steppervelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 75 */
 long BgL_arg2003z00_2015;
BgL_arg2003z00_2015 = 
BGL_CLASS_NUM(BGl_phidgetzd2steppervelocityzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1244z00_2014), BgL_arg2003z00_2015); } 
BgL_new1245z00_2013 = BgL_new1244z00_2014; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1245z00_2013)))->BgL_targetz00)=((obj_t)BgL_target1164z00_1616),BUNSPEC); 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(BgL_new1245z00_2013))->BgL_indexz00)=((int)BgL_index1165z00_2011),BUNSPEC); 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(BgL_new1245z00_2013))->BgL_velocityz00)=((double)BgL_velocity1166z00_2012),BUNSPEC); 
return BgL_new1245z00_2013;} } } 

}



/* &lambda2016 */
obj_t BGl_z62lambda2016z62zz__phidget_typesz00(obj_t BgL_envz00_1619, obj_t BgL_oz00_1620, obj_t BgL_vz00_1621)
{
{ /* Llib/pdgtypes.scm 75 */
{ /* Llib/pdgtypes.scm 75 */
 double BgL_vz00_2017;
BgL_vz00_2017 = 
REAL_TO_DOUBLE(BgL_vz00_1621); 
return 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BgL_oz00_1620)))->BgL_velocityz00)=((double)BgL_vz00_2017),BUNSPEC);} } 

}



/* &lambda2015 */
obj_t BGl_z62lambda2015z62zz__phidget_typesz00(obj_t BgL_envz00_1622, obj_t BgL_oz00_1623)
{
{ /* Llib/pdgtypes.scm 75 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BgL_oz00_1623)))->BgL_velocityz00));} 

}



/* &lambda2011 */
obj_t BGl_z62lambda2011z62zz__phidget_typesz00(obj_t BgL_envz00_1624, obj_t BgL_oz00_1625, obj_t BgL_vz00_1626)
{
{ /* Llib/pdgtypes.scm 75 */
{ /* Llib/pdgtypes.scm 75 */
 int BgL_vz00_2020;
BgL_vz00_2020 = 
CINT(BgL_vz00_1626); 
return 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BgL_oz00_1625)))->BgL_indexz00)=((int)BgL_vz00_2020),BUNSPEC);} } 

}



/* &lambda2010 */
obj_t BGl_z62lambda2010z62zz__phidget_typesz00(obj_t BgL_envz00_1627, obj_t BgL_oz00_1628)
{
{ /* Llib/pdgtypes.scm 75 */
return 
BINT(
(((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BgL_oz00_1628)))->BgL_indexz00));} 

}



/* &<@anonymous:1996> */
obj_t BGl_z62zc3z04anonymousza31996ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1629, obj_t BgL_new1162z00_1630)
{
{ /* Llib/pdgtypes.scm 74 */
{ 
 BgL_phidgetzd2stepperinputzd2eventz00_bglt BgL_auxz00_2932;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2stepperinputzd2eventz00_bglt)BgL_new1162z00_1630))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)
((BgL_phidgetzd2stepperinputzd2eventz00_bglt)BgL_new1162z00_1630))))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2inputchangezd2eventz00_bglt)
((BgL_phidgetzd2stepperinputzd2eventz00_bglt)BgL_new1162z00_1630))))->BgL_statez00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_2932 = 
((BgL_phidgetzd2stepperinputzd2eventz00_bglt)BgL_new1162z00_1630); 
return 
((obj_t)BgL_auxz00_2932);} } 

}



/* &lambda1994 */
BgL_phidgetzd2stepperinputzd2eventz00_bglt BGl_z62lambda1994z62zz__phidget_typesz00(obj_t BgL_envz00_1631)
{
{ /* Llib/pdgtypes.scm 74 */
{ /* Llib/pdgtypes.scm 74 */
 BgL_phidgetzd2stepperinputzd2eventz00_bglt BgL_new1161z00_2023;
BgL_new1161z00_2023 = 
((BgL_phidgetzd2stepperinputzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2stepperinputzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 74 */
 long BgL_arg1995z00_2024;
BgL_arg1995z00_2024 = 
BGL_CLASS_NUM(BGl_phidgetzd2stepperinputzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1161z00_2023), BgL_arg1995z00_2024); } 
return BgL_new1161z00_2023;} } 

}



/* &lambda1992 */
BgL_phidgetzd2stepperinputzd2eventz00_bglt BGl_z62lambda1992z62zz__phidget_typesz00(obj_t BgL_envz00_1632, obj_t BgL_target1158z00_1633, obj_t BgL_index1159z00_1634, obj_t BgL_state1160z00_1635)
{
{ /* Llib/pdgtypes.scm 74 */
{ /* Llib/pdgtypes.scm 74 */
 int BgL_index1159z00_2025; bool_t BgL_state1160z00_2026;
BgL_index1159z00_2025 = 
CINT(BgL_index1159z00_1634); 
BgL_state1160z00_2026 = 
CBOOL(BgL_state1160z00_1635); 
{ /* Llib/pdgtypes.scm 74 */
 BgL_phidgetzd2stepperinputzd2eventz00_bglt BgL_new1243z00_2027;
{ /* Llib/pdgtypes.scm 74 */
 BgL_phidgetzd2stepperinputzd2eventz00_bglt BgL_new1242z00_2028;
BgL_new1242z00_2028 = 
((BgL_phidgetzd2stepperinputzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2stepperinputzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 74 */
 long BgL_arg1993z00_2029;
BgL_arg1993z00_2029 = 
BGL_CLASS_NUM(BGl_phidgetzd2stepperinputzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1242z00_2028), BgL_arg1993z00_2029); } 
BgL_new1243z00_2027 = BgL_new1242z00_2028; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1243z00_2027)))->BgL_targetz00)=((obj_t)BgL_target1158z00_1633),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1243z00_2027)))->BgL_indexz00)=((int)BgL_index1159z00_2025),BUNSPEC); 
((((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BgL_new1243z00_2027)))->BgL_statez00)=((bool_t)BgL_state1160z00_2026),BUNSPEC); 
return BgL_new1243z00_2027;} } } 

}



/* &<@anonymous:1976> */
obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1636, obj_t BgL_new1156z00_1637)
{
{ /* Llib/pdgtypes.scm 70 */
{ 
 BgL_phidgetzd2servocurrentzd2eventz00_bglt BgL_auxz00_2961;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BgL_new1156z00_1637))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BgL_new1156z00_1637)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BgL_new1156z00_1637)))->BgL_currentz00)=((double)((double)0.0)),BUNSPEC); 
BgL_auxz00_2961 = 
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BgL_new1156z00_1637); 
return 
((obj_t)BgL_auxz00_2961);} } 

}



/* &lambda1974 */
BgL_phidgetzd2servocurrentzd2eventz00_bglt BGl_z62lambda1974z62zz__phidget_typesz00(obj_t BgL_envz00_1638)
{
{ /* Llib/pdgtypes.scm 70 */
{ /* Llib/pdgtypes.scm 70 */
 BgL_phidgetzd2servocurrentzd2eventz00_bglt BgL_new1155z00_2031;
BgL_new1155z00_2031 = 
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servocurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 70 */
 long BgL_arg1975z00_2032;
BgL_arg1975z00_2032 = 
BGL_CLASS_NUM(BGl_phidgetzd2servocurrentzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1155z00_2031), BgL_arg1975z00_2032); } 
return BgL_new1155z00_2031;} } 

}



/* &lambda1972 */
BgL_phidgetzd2servocurrentzd2eventz00_bglt BGl_z62lambda1972z62zz__phidget_typesz00(obj_t BgL_envz00_1639, obj_t BgL_target1152z00_1640, obj_t BgL_index1153z00_1641, obj_t BgL_current1154z00_1642)
{
{ /* Llib/pdgtypes.scm 70 */
{ /* Llib/pdgtypes.scm 70 */
 int BgL_index1153z00_2033; double BgL_current1154z00_2034;
BgL_index1153z00_2033 = 
CINT(BgL_index1153z00_1641); 
BgL_current1154z00_2034 = 
REAL_TO_DOUBLE(BgL_current1154z00_1642); 
{ /* Llib/pdgtypes.scm 70 */
 BgL_phidgetzd2servocurrentzd2eventz00_bglt BgL_new1241z00_2035;
{ /* Llib/pdgtypes.scm 70 */
 BgL_phidgetzd2servocurrentzd2eventz00_bglt BgL_new1240z00_2036;
BgL_new1240z00_2036 = 
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servocurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 70 */
 long BgL_arg1973z00_2037;
BgL_arg1973z00_2037 = 
BGL_CLASS_NUM(BGl_phidgetzd2servocurrentzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1240z00_2036), BgL_arg1973z00_2037); } 
BgL_new1241z00_2035 = BgL_new1240z00_2036; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1241z00_2035)))->BgL_targetz00)=((obj_t)BgL_target1152z00_1640),BUNSPEC); 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(BgL_new1241z00_2035))->BgL_indexz00)=((int)BgL_index1153z00_2033),BUNSPEC); 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(BgL_new1241z00_2035))->BgL_currentz00)=((double)BgL_current1154z00_2034),BUNSPEC); 
return BgL_new1241z00_2035;} } } 

}



/* &lambda1986 */
obj_t BGl_z62lambda1986z62zz__phidget_typesz00(obj_t BgL_envz00_1643, obj_t BgL_oz00_1644, obj_t BgL_vz00_1645)
{
{ /* Llib/pdgtypes.scm 70 */
{ /* Llib/pdgtypes.scm 70 */
 double BgL_vz00_2039;
BgL_vz00_2039 = 
REAL_TO_DOUBLE(BgL_vz00_1645); 
return 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BgL_oz00_1644)))->BgL_currentz00)=((double)BgL_vz00_2039),BUNSPEC);} } 

}



/* &lambda1985 */
obj_t BGl_z62lambda1985z62zz__phidget_typesz00(obj_t BgL_envz00_1646, obj_t BgL_oz00_1647)
{
{ /* Llib/pdgtypes.scm 70 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BgL_oz00_1647)))->BgL_currentz00));} 

}



/* &lambda1981 */
obj_t BGl_z62lambda1981z62zz__phidget_typesz00(obj_t BgL_envz00_1648, obj_t BgL_oz00_1649, obj_t BgL_vz00_1650)
{
{ /* Llib/pdgtypes.scm 70 */
{ /* Llib/pdgtypes.scm 70 */
 int BgL_vz00_2042;
BgL_vz00_2042 = 
CINT(BgL_vz00_1650); 
return 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BgL_oz00_1649)))->BgL_indexz00)=((int)BgL_vz00_2042),BUNSPEC);} } 

}



/* &lambda1980 */
obj_t BGl_z62lambda1980z62zz__phidget_typesz00(obj_t BgL_envz00_1651, obj_t BgL_oz00_1652)
{
{ /* Llib/pdgtypes.scm 70 */
return 
BINT(
(((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BgL_oz00_1652)))->BgL_indexz00));} 

}



/* &<@anonymous:1956> */
obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1653, obj_t BgL_new1150z00_1654)
{
{ /* Llib/pdgtypes.scm 66 */
{ 
 BgL_phidgetzd2servovelocityzd2eventz00_bglt BgL_auxz00_2998;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BgL_new1150z00_1654))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BgL_new1150z00_1654)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BgL_new1150z00_1654)))->BgL_velocityz00)=((double)((double)0.0)),BUNSPEC); 
BgL_auxz00_2998 = 
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BgL_new1150z00_1654); 
return 
((obj_t)BgL_auxz00_2998);} } 

}



/* &lambda1954 */
BgL_phidgetzd2servovelocityzd2eventz00_bglt BGl_z62lambda1954z62zz__phidget_typesz00(obj_t BgL_envz00_1655)
{
{ /* Llib/pdgtypes.scm 66 */
{ /* Llib/pdgtypes.scm 66 */
 BgL_phidgetzd2servovelocityzd2eventz00_bglt BgL_new1149z00_2045;
BgL_new1149z00_2045 = 
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servovelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 66 */
 long BgL_arg1955z00_2046;
BgL_arg1955z00_2046 = 
BGL_CLASS_NUM(BGl_phidgetzd2servovelocityzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1149z00_2045), BgL_arg1955z00_2046); } 
return BgL_new1149z00_2045;} } 

}



/* &lambda1952 */
BgL_phidgetzd2servovelocityzd2eventz00_bglt BGl_z62lambda1952z62zz__phidget_typesz00(obj_t BgL_envz00_1656, obj_t BgL_target1146z00_1657, obj_t BgL_index1147z00_1658, obj_t BgL_velocity1148z00_1659)
{
{ /* Llib/pdgtypes.scm 66 */
{ /* Llib/pdgtypes.scm 66 */
 int BgL_index1147z00_2047; double BgL_velocity1148z00_2048;
BgL_index1147z00_2047 = 
CINT(BgL_index1147z00_1658); 
BgL_velocity1148z00_2048 = 
REAL_TO_DOUBLE(BgL_velocity1148z00_1659); 
{ /* Llib/pdgtypes.scm 66 */
 BgL_phidgetzd2servovelocityzd2eventz00_bglt BgL_new1239z00_2049;
{ /* Llib/pdgtypes.scm 66 */
 BgL_phidgetzd2servovelocityzd2eventz00_bglt BgL_new1238z00_2050;
BgL_new1238z00_2050 = 
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servovelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 66 */
 long BgL_arg1953z00_2051;
BgL_arg1953z00_2051 = 
BGL_CLASS_NUM(BGl_phidgetzd2servovelocityzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1238z00_2050), BgL_arg1953z00_2051); } 
BgL_new1239z00_2049 = BgL_new1238z00_2050; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1239z00_2049)))->BgL_targetz00)=((obj_t)BgL_target1146z00_1657),BUNSPEC); 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(BgL_new1239z00_2049))->BgL_indexz00)=((int)BgL_index1147z00_2047),BUNSPEC); 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(BgL_new1239z00_2049))->BgL_velocityz00)=((double)BgL_velocity1148z00_2048),BUNSPEC); 
return BgL_new1239z00_2049;} } } 

}



/* &lambda1966 */
obj_t BGl_z62lambda1966z62zz__phidget_typesz00(obj_t BgL_envz00_1660, obj_t BgL_oz00_1661, obj_t BgL_vz00_1662)
{
{ /* Llib/pdgtypes.scm 66 */
{ /* Llib/pdgtypes.scm 66 */
 double BgL_vz00_2053;
BgL_vz00_2053 = 
REAL_TO_DOUBLE(BgL_vz00_1662); 
return 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BgL_oz00_1661)))->BgL_velocityz00)=((double)BgL_vz00_2053),BUNSPEC);} } 

}



/* &lambda1965 */
obj_t BGl_z62lambda1965z62zz__phidget_typesz00(obj_t BgL_envz00_1663, obj_t BgL_oz00_1664)
{
{ /* Llib/pdgtypes.scm 66 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BgL_oz00_1664)))->BgL_velocityz00));} 

}



/* &lambda1961 */
obj_t BGl_z62lambda1961z62zz__phidget_typesz00(obj_t BgL_envz00_1665, obj_t BgL_oz00_1666, obj_t BgL_vz00_1667)
{
{ /* Llib/pdgtypes.scm 66 */
{ /* Llib/pdgtypes.scm 66 */
 int BgL_vz00_2056;
BgL_vz00_2056 = 
CINT(BgL_vz00_1667); 
return 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BgL_oz00_1666)))->BgL_indexz00)=((int)BgL_vz00_2056),BUNSPEC);} } 

}



/* &lambda1960 */
obj_t BGl_z62lambda1960z62zz__phidget_typesz00(obj_t BgL_envz00_1668, obj_t BgL_oz00_1669)
{
{ /* Llib/pdgtypes.scm 66 */
return 
BINT(
(((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BgL_oz00_1669)))->BgL_indexz00));} 

}



/* &<@anonymous:1936> */
obj_t BGl_z62zc3z04anonymousza31936ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1670, obj_t BgL_new1144z00_1671)
{
{ /* Llib/pdgtypes.scm 62 */
{ 
 BgL_phidgetzd2servopositionzd2eventz00_bglt BgL_auxz00_3035;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BgL_new1144z00_1671))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BgL_new1144z00_1671)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BgL_new1144z00_1671)))->BgL_positionz00)=((double)((double)0.0)),BUNSPEC); 
BgL_auxz00_3035 = 
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BgL_new1144z00_1671); 
return 
((obj_t)BgL_auxz00_3035);} } 

}



/* &lambda1934 */
BgL_phidgetzd2servopositionzd2eventz00_bglt BGl_z62lambda1934z62zz__phidget_typesz00(obj_t BgL_envz00_1672)
{
{ /* Llib/pdgtypes.scm 62 */
{ /* Llib/pdgtypes.scm 62 */
 BgL_phidgetzd2servopositionzd2eventz00_bglt BgL_new1143z00_2059;
BgL_new1143z00_2059 = 
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servopositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 62 */
 long BgL_arg1935z00_2060;
BgL_arg1935z00_2060 = 
BGL_CLASS_NUM(BGl_phidgetzd2servopositionzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1143z00_2059), BgL_arg1935z00_2060); } 
return BgL_new1143z00_2059;} } 

}



/* &lambda1932 */
BgL_phidgetzd2servopositionzd2eventz00_bglt BGl_z62lambda1932z62zz__phidget_typesz00(obj_t BgL_envz00_1673, obj_t BgL_target1140z00_1674, obj_t BgL_index1141z00_1675, obj_t BgL_position1142z00_1676)
{
{ /* Llib/pdgtypes.scm 62 */
{ /* Llib/pdgtypes.scm 62 */
 int BgL_index1141z00_2061; double BgL_position1142z00_2062;
BgL_index1141z00_2061 = 
CINT(BgL_index1141z00_1675); 
BgL_position1142z00_2062 = 
REAL_TO_DOUBLE(BgL_position1142z00_1676); 
{ /* Llib/pdgtypes.scm 62 */
 BgL_phidgetzd2servopositionzd2eventz00_bglt BgL_new1237z00_2063;
{ /* Llib/pdgtypes.scm 62 */
 BgL_phidgetzd2servopositionzd2eventz00_bglt BgL_new1236z00_2064;
BgL_new1236z00_2064 = 
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servopositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 62 */
 long BgL_arg1933z00_2065;
BgL_arg1933z00_2065 = 
BGL_CLASS_NUM(BGl_phidgetzd2servopositionzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1236z00_2064), BgL_arg1933z00_2065); } 
BgL_new1237z00_2063 = BgL_new1236z00_2064; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1237z00_2063)))->BgL_targetz00)=((obj_t)BgL_target1140z00_1674),BUNSPEC); 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(BgL_new1237z00_2063))->BgL_indexz00)=((int)BgL_index1141z00_2061),BUNSPEC); 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(BgL_new1237z00_2063))->BgL_positionz00)=((double)BgL_position1142z00_2062),BUNSPEC); 
return BgL_new1237z00_2063;} } } 

}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__phidget_typesz00(obj_t BgL_envz00_1677, obj_t BgL_oz00_1678, obj_t BgL_vz00_1679)
{
{ /* Llib/pdgtypes.scm 62 */
{ /* Llib/pdgtypes.scm 62 */
 double BgL_vz00_2067;
BgL_vz00_2067 = 
REAL_TO_DOUBLE(BgL_vz00_1679); 
return 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BgL_oz00_1678)))->BgL_positionz00)=((double)BgL_vz00_2067),BUNSPEC);} } 

}



/* &lambda1945 */
obj_t BGl_z62lambda1945z62zz__phidget_typesz00(obj_t BgL_envz00_1680, obj_t BgL_oz00_1681)
{
{ /* Llib/pdgtypes.scm 62 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BgL_oz00_1681)))->BgL_positionz00));} 

}



/* &lambda1941 */
obj_t BGl_z62lambda1941z62zz__phidget_typesz00(obj_t BgL_envz00_1682, obj_t BgL_oz00_1683, obj_t BgL_vz00_1684)
{
{ /* Llib/pdgtypes.scm 62 */
{ /* Llib/pdgtypes.scm 62 */
 int BgL_vz00_2070;
BgL_vz00_2070 = 
CINT(BgL_vz00_1684); 
return 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BgL_oz00_1683)))->BgL_indexz00)=((int)BgL_vz00_2070),BUNSPEC);} } 

}



/* &lambda1940 */
obj_t BGl_z62lambda1940z62zz__phidget_typesz00(obj_t BgL_envz00_1685, obj_t BgL_oz00_1686)
{
{ /* Llib/pdgtypes.scm 62 */
return 
BINT(
(((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BgL_oz00_1686)))->BgL_indexz00));} 

}



/* &<@anonymous:1871> */
obj_t BGl_z62zc3z04anonymousza31871ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1687, obj_t BgL_new1138z00_1688)
{
{ /* Llib/pdgtypes.scm 49 */
{ 
 BgL_phidgetzd2spatialdatazd2eventz00_bglt BgL_auxz00_3072;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688)))->BgL_secondsz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688)))->BgL_microsecondsz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688)))->BgL_acxz00)=((double)((double)0.0)),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688)))->BgL_acyz00)=((double)((double)0.0)),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688)))->BgL_acza7za7)=((double)((double)0.0)),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688)))->BgL_anxz00)=((double)((double)0.0)),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688)))->BgL_anyz00)=((double)((double)0.0)),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688)))->BgL_anza7za7)=((double)((double)0.0)),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688)))->BgL_mfxz00)=((double)((double)0.0)),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688)))->BgL_mfyz00)=((double)((double)0.0)),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688)))->BgL_mfza7za7)=((double)((double)0.0)),BUNSPEC); 
BgL_auxz00_3072 = 
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_new1138z00_1688); 
return 
((obj_t)BgL_auxz00_3072);} } 

}



/* &lambda1869 */
BgL_phidgetzd2spatialdatazd2eventz00_bglt BGl_z62lambda1869z62zz__phidget_typesz00(obj_t BgL_envz00_1689)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 BgL_phidgetzd2spatialdatazd2eventz00_bglt BgL_new1137z00_2073;
BgL_new1137z00_2073 = 
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2spatialdatazd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 49 */
 long BgL_arg1870z00_2074;
BgL_arg1870z00_2074 = 
BGL_CLASS_NUM(BGl_phidgetzd2spatialdatazd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1137z00_2073), BgL_arg1870z00_2074); } 
return BgL_new1137z00_2073;} } 

}



/* &lambda1866 */
BgL_phidgetzd2spatialdatazd2eventz00_bglt BGl_z62lambda1866z62zz__phidget_typesz00(obj_t BgL_envz00_1690, obj_t BgL_target1125z00_1691, obj_t BgL_seconds1126z00_1692, obj_t BgL_microseconds1127z00_1693, obj_t BgL_acx1128z00_1694, obj_t BgL_acy1129z00_1695, obj_t BgL_acza71130za7_1696, obj_t BgL_anx1131z00_1697, obj_t BgL_any1132z00_1698, obj_t BgL_anza71133za7_1699, obj_t BgL_mfx1134z00_1700, obj_t BgL_mfy1135z00_1701, obj_t BgL_mfza71136za7_1702)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 int BgL_seconds1126z00_2075; int BgL_microseconds1127z00_2076; double BgL_acx1128z00_2077; double BgL_acy1129z00_2078; double BgL_acza71130za7_2079; double BgL_anx1131z00_2080; double BgL_any1132z00_2081; double BgL_anza71133za7_2082; double BgL_mfx1134z00_2083; double BgL_mfy1135z00_2084; double BgL_mfza71136za7_2085;
BgL_seconds1126z00_2075 = 
CINT(BgL_seconds1126z00_1692); 
BgL_microseconds1127z00_2076 = 
CINT(BgL_microseconds1127z00_1693); 
BgL_acx1128z00_2077 = 
REAL_TO_DOUBLE(BgL_acx1128z00_1694); 
BgL_acy1129z00_2078 = 
REAL_TO_DOUBLE(BgL_acy1129z00_1695); 
BgL_acza71130za7_2079 = 
REAL_TO_DOUBLE(BgL_acza71130za7_1696); 
BgL_anx1131z00_2080 = 
REAL_TO_DOUBLE(BgL_anx1131z00_1697); 
BgL_any1132z00_2081 = 
REAL_TO_DOUBLE(BgL_any1132z00_1698); 
BgL_anza71133za7_2082 = 
REAL_TO_DOUBLE(BgL_anza71133za7_1699); 
BgL_mfx1134z00_2083 = 
REAL_TO_DOUBLE(BgL_mfx1134z00_1700); 
BgL_mfy1135z00_2084 = 
REAL_TO_DOUBLE(BgL_mfy1135z00_1701); 
BgL_mfza71136za7_2085 = 
REAL_TO_DOUBLE(BgL_mfza71136za7_1702); 
{ /* Llib/pdgtypes.scm 49 */
 BgL_phidgetzd2spatialdatazd2eventz00_bglt BgL_new1235z00_2086;
{ /* Llib/pdgtypes.scm 49 */
 BgL_phidgetzd2spatialdatazd2eventz00_bglt BgL_new1234z00_2087;
BgL_new1234z00_2087 = 
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2spatialdatazd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 49 */
 long BgL_arg1868z00_2088;
BgL_arg1868z00_2088 = 
BGL_CLASS_NUM(BGl_phidgetzd2spatialdatazd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1234z00_2087), BgL_arg1868z00_2088); } 
BgL_new1235z00_2086 = BgL_new1234z00_2087; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1235z00_2086)))->BgL_targetz00)=((obj_t)BgL_target1125z00_1691),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1235z00_2086))->BgL_secondsz00)=((int)BgL_seconds1126z00_2075),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1235z00_2086))->BgL_microsecondsz00)=((int)BgL_microseconds1127z00_2076),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1235z00_2086))->BgL_acxz00)=((double)BgL_acx1128z00_2077),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1235z00_2086))->BgL_acyz00)=((double)BgL_acy1129z00_2078),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1235z00_2086))->BgL_acza7za7)=((double)BgL_acza71130za7_2079),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1235z00_2086))->BgL_anxz00)=((double)BgL_anx1131z00_2080),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1235z00_2086))->BgL_anyz00)=((double)BgL_any1132z00_2081),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1235z00_2086))->BgL_anza7za7)=((double)BgL_anza71133za7_2082),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1235z00_2086))->BgL_mfxz00)=((double)BgL_mfx1134z00_2083),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1235z00_2086))->BgL_mfyz00)=((double)BgL_mfy1135z00_2084),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1235z00_2086))->BgL_mfza7za7)=((double)BgL_mfza71136za7_2085),BUNSPEC); 
return BgL_new1235z00_2086;} } } 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__phidget_typesz00(obj_t BgL_envz00_1703, obj_t BgL_oz00_1704, obj_t BgL_vz00_1705)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 double BgL_vz00_2090;
BgL_vz00_2090 = 
REAL_TO_DOUBLE(BgL_vz00_1705); 
return 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1704)))->BgL_mfza7za7)=((double)BgL_vz00_2090),BUNSPEC);} } 

}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__phidget_typesz00(obj_t BgL_envz00_1706, obj_t BgL_oz00_1707)
{
{ /* Llib/pdgtypes.scm 49 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1707)))->BgL_mfza7za7));} 

}



/* &lambda1921 */
obj_t BGl_z62lambda1921z62zz__phidget_typesz00(obj_t BgL_envz00_1708, obj_t BgL_oz00_1709, obj_t BgL_vz00_1710)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 double BgL_vz00_2093;
BgL_vz00_2093 = 
REAL_TO_DOUBLE(BgL_vz00_1710); 
return 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1709)))->BgL_mfyz00)=((double)BgL_vz00_2093),BUNSPEC);} } 

}



/* &lambda1920 */
obj_t BGl_z62lambda1920z62zz__phidget_typesz00(obj_t BgL_envz00_1711, obj_t BgL_oz00_1712)
{
{ /* Llib/pdgtypes.scm 49 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1712)))->BgL_mfyz00));} 

}



/* &lambda1916 */
obj_t BGl_z62lambda1916z62zz__phidget_typesz00(obj_t BgL_envz00_1713, obj_t BgL_oz00_1714, obj_t BgL_vz00_1715)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 double BgL_vz00_2096;
BgL_vz00_2096 = 
REAL_TO_DOUBLE(BgL_vz00_1715); 
return 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1714)))->BgL_mfxz00)=((double)BgL_vz00_2096),BUNSPEC);} } 

}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zz__phidget_typesz00(obj_t BgL_envz00_1716, obj_t BgL_oz00_1717)
{
{ /* Llib/pdgtypes.scm 49 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1717)))->BgL_mfxz00));} 

}



/* &lambda1911 */
obj_t BGl_z62lambda1911z62zz__phidget_typesz00(obj_t BgL_envz00_1718, obj_t BgL_oz00_1719, obj_t BgL_vz00_1720)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 double BgL_vz00_2099;
BgL_vz00_2099 = 
REAL_TO_DOUBLE(BgL_vz00_1720); 
return 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1719)))->BgL_anza7za7)=((double)BgL_vz00_2099),BUNSPEC);} } 

}



/* &lambda1910 */
obj_t BGl_z62lambda1910z62zz__phidget_typesz00(obj_t BgL_envz00_1721, obj_t BgL_oz00_1722)
{
{ /* Llib/pdgtypes.scm 49 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1722)))->BgL_anza7za7));} 

}



/* &lambda1906 */
obj_t BGl_z62lambda1906z62zz__phidget_typesz00(obj_t BgL_envz00_1723, obj_t BgL_oz00_1724, obj_t BgL_vz00_1725)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 double BgL_vz00_2102;
BgL_vz00_2102 = 
REAL_TO_DOUBLE(BgL_vz00_1725); 
return 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1724)))->BgL_anyz00)=((double)BgL_vz00_2102),BUNSPEC);} } 

}



/* &lambda1905 */
obj_t BGl_z62lambda1905z62zz__phidget_typesz00(obj_t BgL_envz00_1726, obj_t BgL_oz00_1727)
{
{ /* Llib/pdgtypes.scm 49 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1727)))->BgL_anyz00));} 

}



/* &lambda1901 */
obj_t BGl_z62lambda1901z62zz__phidget_typesz00(obj_t BgL_envz00_1728, obj_t BgL_oz00_1729, obj_t BgL_vz00_1730)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 double BgL_vz00_2105;
BgL_vz00_2105 = 
REAL_TO_DOUBLE(BgL_vz00_1730); 
return 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1729)))->BgL_anxz00)=((double)BgL_vz00_2105),BUNSPEC);} } 

}



/* &lambda1900 */
obj_t BGl_z62lambda1900z62zz__phidget_typesz00(obj_t BgL_envz00_1731, obj_t BgL_oz00_1732)
{
{ /* Llib/pdgtypes.scm 49 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1732)))->BgL_anxz00));} 

}



/* &lambda1896 */
obj_t BGl_z62lambda1896z62zz__phidget_typesz00(obj_t BgL_envz00_1733, obj_t BgL_oz00_1734, obj_t BgL_vz00_1735)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 double BgL_vz00_2108;
BgL_vz00_2108 = 
REAL_TO_DOUBLE(BgL_vz00_1735); 
return 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1734)))->BgL_acza7za7)=((double)BgL_vz00_2108),BUNSPEC);} } 

}



/* &lambda1895 */
obj_t BGl_z62lambda1895z62zz__phidget_typesz00(obj_t BgL_envz00_1736, obj_t BgL_oz00_1737)
{
{ /* Llib/pdgtypes.scm 49 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1737)))->BgL_acza7za7));} 

}



/* &lambda1891 */
obj_t BGl_z62lambda1891z62zz__phidget_typesz00(obj_t BgL_envz00_1738, obj_t BgL_oz00_1739, obj_t BgL_vz00_1740)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 double BgL_vz00_2111;
BgL_vz00_2111 = 
REAL_TO_DOUBLE(BgL_vz00_1740); 
return 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1739)))->BgL_acyz00)=((double)BgL_vz00_2111),BUNSPEC);} } 

}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__phidget_typesz00(obj_t BgL_envz00_1741, obj_t BgL_oz00_1742)
{
{ /* Llib/pdgtypes.scm 49 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1742)))->BgL_acyz00));} 

}



/* &lambda1886 */
obj_t BGl_z62lambda1886z62zz__phidget_typesz00(obj_t BgL_envz00_1743, obj_t BgL_oz00_1744, obj_t BgL_vz00_1745)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 double BgL_vz00_2114;
BgL_vz00_2114 = 
REAL_TO_DOUBLE(BgL_vz00_1745); 
return 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1744)))->BgL_acxz00)=((double)BgL_vz00_2114),BUNSPEC);} } 

}



/* &lambda1885 */
obj_t BGl_z62lambda1885z62zz__phidget_typesz00(obj_t BgL_envz00_1746, obj_t BgL_oz00_1747)
{
{ /* Llib/pdgtypes.scm 49 */
return 
DOUBLE_TO_REAL(
(((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1747)))->BgL_acxz00));} 

}



/* &lambda1881 */
obj_t BGl_z62lambda1881z62zz__phidget_typesz00(obj_t BgL_envz00_1748, obj_t BgL_oz00_1749, obj_t BgL_vz00_1750)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 int BgL_vz00_2117;
BgL_vz00_2117 = 
CINT(BgL_vz00_1750); 
return 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1749)))->BgL_microsecondsz00)=((int)BgL_vz00_2117),BUNSPEC);} } 

}



/* &lambda1880 */
obj_t BGl_z62lambda1880z62zz__phidget_typesz00(obj_t BgL_envz00_1751, obj_t BgL_oz00_1752)
{
{ /* Llib/pdgtypes.scm 49 */
return 
BINT(
(((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1752)))->BgL_microsecondsz00));} 

}



/* &lambda1876 */
obj_t BGl_z62lambda1876z62zz__phidget_typesz00(obj_t BgL_envz00_1753, obj_t BgL_oz00_1754, obj_t BgL_vz00_1755)
{
{ /* Llib/pdgtypes.scm 49 */
{ /* Llib/pdgtypes.scm 49 */
 int BgL_vz00_2120;
BgL_vz00_2120 = 
CINT(BgL_vz00_1755); 
return 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1754)))->BgL_secondsz00)=((int)BgL_vz00_2120),BUNSPEC);} } 

}



/* &lambda1875 */
obj_t BGl_z62lambda1875z62zz__phidget_typesz00(obj_t BgL_envz00_1756, obj_t BgL_oz00_1757)
{
{ /* Llib/pdgtypes.scm 49 */
return 
BINT(
(((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BgL_oz00_1757)))->BgL_secondsz00));} 

}



/* &<@anonymous:1859> */
obj_t BGl_z62zc3z04anonymousza31859ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1758, obj_t BgL_new1123z00_1759)
{
{ /* Llib/pdgtypes.scm 47 */
{ 
 BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BgL_auxz00_3200;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2serverdisconnectzd2eventz00_bglt)BgL_new1123z00_1759))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_z52phidgetz52_bglt BgL_auxz00_3204;
{ /* Llib/pdgtypes.scm 47 */
 obj_t BgL_classz00_2123;
BgL_classz00_2123 = BGl_z52phidgetz52zz__phidget_typesz00; 
{ /* Llib/pdgtypes.scm 47 */
 obj_t BgL__ortest_1113z00_2124;
BgL__ortest_1113z00_2124 = 
BGL_CLASS_NIL(BgL_classz00_2123); 
if(
CBOOL(BgL__ortest_1113z00_2124))
{ /* Llib/pdgtypes.scm 47 */
BgL_auxz00_3204 = 
((BgL_z52phidgetz52_bglt)BgL__ortest_1113z00_2124)
; }  else 
{ /* Llib/pdgtypes.scm 47 */
BgL_auxz00_3204 = 
((BgL_z52phidgetz52_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2123))
; } } } 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)
((BgL_phidgetzd2serverdisconnectzd2eventz00_bglt)BgL_new1123z00_1759))))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)BgL_auxz00_3204),BUNSPEC); } 
BgL_auxz00_3200 = 
((BgL_phidgetzd2serverdisconnectzd2eventz00_bglt)BgL_new1123z00_1759); 
return 
((obj_t)BgL_auxz00_3200);} } 

}



/* &lambda1857 */
BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BGl_z62lambda1857z62zz__phidget_typesz00(obj_t BgL_envz00_1760)
{
{ /* Llib/pdgtypes.scm 47 */
{ /* Llib/pdgtypes.scm 47 */
 BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BgL_new1122z00_2125;
BgL_new1122z00_2125 = 
((BgL_phidgetzd2serverdisconnectzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2serverdisconnectzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 47 */
 long BgL_arg1858z00_2126;
BgL_arg1858z00_2126 = 
BGL_CLASS_NUM(BGl_phidgetzd2serverdisconnectzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_2125), BgL_arg1858z00_2126); } 
return BgL_new1122z00_2125;} } 

}



/* &lambda1855 */
BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BGl_z62lambda1855z62zz__phidget_typesz00(obj_t BgL_envz00_1761, obj_t BgL_target1120z00_1762, obj_t BgL_phidget1121z00_1763)
{
{ /* Llib/pdgtypes.scm 47 */
{ /* Llib/pdgtypes.scm 47 */
 BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BgL_new1233z00_2128;
{ /* Llib/pdgtypes.scm 47 */
 BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BgL_new1232z00_2129;
BgL_new1232z00_2129 = 
((BgL_phidgetzd2serverdisconnectzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2serverdisconnectzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 47 */
 long BgL_arg1856z00_2130;
BgL_arg1856z00_2130 = 
BGL_CLASS_NUM(BGl_phidgetzd2serverdisconnectzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1232z00_2129), BgL_arg1856z00_2130); } 
BgL_new1233z00_2128 = BgL_new1232z00_2129; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1233z00_2128)))->BgL_targetz00)=((obj_t)BgL_target1120z00_1762),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1233z00_2128)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)BgL_phidget1121z00_1763)),BUNSPEC); 
return BgL_new1233z00_2128;} } 

}



/* &<@anonymous:1849> */
obj_t BGl_z62zc3z04anonymousza31849ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1764, obj_t BgL_new1118z00_1765)
{
{ /* Llib/pdgtypes.scm 46 */
{ 
 BgL_phidgetzd2serverconnectzd2eventz00_bglt BgL_auxz00_3229;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2serverconnectzd2eventz00_bglt)BgL_new1118z00_1765))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_z52phidgetz52_bglt BgL_auxz00_3233;
{ /* Llib/pdgtypes.scm 46 */
 obj_t BgL_classz00_2132;
BgL_classz00_2132 = BGl_z52phidgetz52zz__phidget_typesz00; 
{ /* Llib/pdgtypes.scm 46 */
 obj_t BgL__ortest_1113z00_2133;
BgL__ortest_1113z00_2133 = 
BGL_CLASS_NIL(BgL_classz00_2132); 
if(
CBOOL(BgL__ortest_1113z00_2133))
{ /* Llib/pdgtypes.scm 46 */
BgL_auxz00_3233 = 
((BgL_z52phidgetz52_bglt)BgL__ortest_1113z00_2133)
; }  else 
{ /* Llib/pdgtypes.scm 46 */
BgL_auxz00_3233 = 
((BgL_z52phidgetz52_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2132))
; } } } 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)
((BgL_phidgetzd2serverconnectzd2eventz00_bglt)BgL_new1118z00_1765))))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)BgL_auxz00_3233),BUNSPEC); } 
BgL_auxz00_3229 = 
((BgL_phidgetzd2serverconnectzd2eventz00_bglt)BgL_new1118z00_1765); 
return 
((obj_t)BgL_auxz00_3229);} } 

}



/* &lambda1847 */
BgL_phidgetzd2serverconnectzd2eventz00_bglt BGl_z62lambda1847z62zz__phidget_typesz00(obj_t BgL_envz00_1766)
{
{ /* Llib/pdgtypes.scm 46 */
{ /* Llib/pdgtypes.scm 46 */
 BgL_phidgetzd2serverconnectzd2eventz00_bglt BgL_new1117z00_2134;
BgL_new1117z00_2134 = 
((BgL_phidgetzd2serverconnectzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2serverconnectzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 46 */
 long BgL_arg1848z00_2135;
BgL_arg1848z00_2135 = 
BGL_CLASS_NUM(BGl_phidgetzd2serverconnectzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_2134), BgL_arg1848z00_2135); } 
return BgL_new1117z00_2134;} } 

}



/* &lambda1845 */
BgL_phidgetzd2serverconnectzd2eventz00_bglt BGl_z62lambda1845z62zz__phidget_typesz00(obj_t BgL_envz00_1767, obj_t BgL_target1115z00_1768, obj_t BgL_phidget1116z00_1769)
{
{ /* Llib/pdgtypes.scm 46 */
{ /* Llib/pdgtypes.scm 46 */
 BgL_phidgetzd2serverconnectzd2eventz00_bglt BgL_new1231z00_2137;
{ /* Llib/pdgtypes.scm 46 */
 BgL_phidgetzd2serverconnectzd2eventz00_bglt BgL_new1230z00_2138;
BgL_new1230z00_2138 = 
((BgL_phidgetzd2serverconnectzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2serverconnectzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 46 */
 long BgL_arg1846z00_2139;
BgL_arg1846z00_2139 = 
BGL_CLASS_NUM(BGl_phidgetzd2serverconnectzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1230z00_2138), BgL_arg1846z00_2139); } 
BgL_new1231z00_2137 = BgL_new1230z00_2138; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1231z00_2137)))->BgL_targetz00)=((obj_t)BgL_target1115z00_1768),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1231z00_2137)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)BgL_phidget1116z00_1769)),BUNSPEC); 
return BgL_new1231z00_2137;} } 

}



/* &<@anonymous:1834> */
obj_t BGl_z62zc3z04anonymousza31834ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1770, obj_t BgL_new1113z00_1771)
{
{ /* Llib/pdgtypes.scm 43 */
{ 
 BgL_phidgetzd2sensorchangezd2eventz00_bglt BgL_auxz00_3258;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2sensorchangezd2eventz00_bglt)BgL_new1113z00_1771))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)
((BgL_phidgetzd2sensorchangezd2eventz00_bglt)BgL_new1113z00_1771))))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2sensorchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2sensorchangezd2eventz00_bglt)BgL_new1113z00_1771)))->BgL_statez00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_3258 = 
((BgL_phidgetzd2sensorchangezd2eventz00_bglt)BgL_new1113z00_1771); 
return 
((obj_t)BgL_auxz00_3258);} } 

}



/* &lambda1832 */
BgL_phidgetzd2sensorchangezd2eventz00_bglt BGl_z62lambda1832z62zz__phidget_typesz00(obj_t BgL_envz00_1772)
{
{ /* Llib/pdgtypes.scm 43 */
{ /* Llib/pdgtypes.scm 43 */
 BgL_phidgetzd2sensorchangezd2eventz00_bglt BgL_new1112z00_2141;
BgL_new1112z00_2141 = 
((BgL_phidgetzd2sensorchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2sensorchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 43 */
 long BgL_arg1833z00_2142;
BgL_arg1833z00_2142 = 
BGL_CLASS_NUM(BGl_phidgetzd2sensorchangezd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_2141), BgL_arg1833z00_2142); } 
return BgL_new1112z00_2141;} } 

}



/* &lambda1830 */
BgL_phidgetzd2sensorchangezd2eventz00_bglt BGl_z62lambda1830z62zz__phidget_typesz00(obj_t BgL_envz00_1773, obj_t BgL_target1108z00_1774, obj_t BgL_index1109z00_1775, obj_t BgL_state1110z00_1776)
{
{ /* Llib/pdgtypes.scm 43 */
{ /* Llib/pdgtypes.scm 43 */
 int BgL_index1109z00_2143; int BgL_state1110z00_2144;
BgL_index1109z00_2143 = 
CINT(BgL_index1109z00_1775); 
BgL_state1110z00_2144 = 
CINT(BgL_state1110z00_1776); 
{ /* Llib/pdgtypes.scm 43 */
 BgL_phidgetzd2sensorchangezd2eventz00_bglt BgL_new1229z00_2145;
{ /* Llib/pdgtypes.scm 43 */
 BgL_phidgetzd2sensorchangezd2eventz00_bglt BgL_new1228z00_2146;
BgL_new1228z00_2146 = 
((BgL_phidgetzd2sensorchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2sensorchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 43 */
 long BgL_arg1831z00_2147;
BgL_arg1831z00_2147 = 
BGL_CLASS_NUM(BGl_phidgetzd2sensorchangezd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1228z00_2146), BgL_arg1831z00_2147); } 
BgL_new1229z00_2145 = BgL_new1228z00_2146; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1229z00_2145)))->BgL_targetz00)=((obj_t)BgL_target1108z00_1774),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1229z00_2145)))->BgL_indexz00)=((int)BgL_index1109z00_2143),BUNSPEC); 
((((BgL_phidgetzd2sensorchangezd2eventz00_bglt)COBJECT(BgL_new1229z00_2145))->BgL_statez00)=((int)BgL_state1110z00_2144),BUNSPEC); 
return BgL_new1229z00_2145;} } } 

}



/* &lambda1839 */
obj_t BGl_z62lambda1839z62zz__phidget_typesz00(obj_t BgL_envz00_1777, obj_t BgL_oz00_1778, obj_t BgL_vz00_1779)
{
{ /* Llib/pdgtypes.scm 43 */
{ /* Llib/pdgtypes.scm 43 */
 int BgL_vz00_2149;
BgL_vz00_2149 = 
CINT(BgL_vz00_1779); 
return 
((((BgL_phidgetzd2sensorchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2sensorchangezd2eventz00_bglt)BgL_oz00_1778)))->BgL_statez00)=((int)BgL_vz00_2149),BUNSPEC);} } 

}



/* &lambda1838 */
obj_t BGl_z62lambda1838z62zz__phidget_typesz00(obj_t BgL_envz00_1780, obj_t BgL_oz00_1781)
{
{ /* Llib/pdgtypes.scm 43 */
return 
BINT(
(((BgL_phidgetzd2sensorchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2sensorchangezd2eventz00_bglt)BgL_oz00_1781)))->BgL_statez00));} 

}



/* &<@anonymous:1813> */
obj_t BGl_z62zc3z04anonymousza31813ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1782, obj_t BgL_new1106z00_1783)
{
{ /* Llib/pdgtypes.scm 41 */
{ 
 BgL_phidgetzd2outputchangezd2eventz00_bglt BgL_auxz00_3292;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2outputchangezd2eventz00_bglt)BgL_new1106z00_1783))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)
((BgL_phidgetzd2outputchangezd2eventz00_bglt)BgL_new1106z00_1783))))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2outputchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2outputchangezd2eventz00_bglt)BgL_new1106z00_1783)))->BgL_statez00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_3292 = 
((BgL_phidgetzd2outputchangezd2eventz00_bglt)BgL_new1106z00_1783); 
return 
((obj_t)BgL_auxz00_3292);} } 

}



/* &lambda1809 */
BgL_phidgetzd2outputchangezd2eventz00_bglt BGl_z62lambda1809z62zz__phidget_typesz00(obj_t BgL_envz00_1784)
{
{ /* Llib/pdgtypes.scm 41 */
{ /* Llib/pdgtypes.scm 41 */
 BgL_phidgetzd2outputchangezd2eventz00_bglt BgL_new1105z00_2152;
BgL_new1105z00_2152 = 
((BgL_phidgetzd2outputchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2outputchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 41 */
 long BgL_arg1812z00_2153;
BgL_arg1812z00_2153 = 
BGL_CLASS_NUM(BGl_phidgetzd2outputchangezd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_2152), BgL_arg1812z00_2153); } 
return BgL_new1105z00_2152;} } 

}



/* &lambda1799 */
BgL_phidgetzd2outputchangezd2eventz00_bglt BGl_z62lambda1799z62zz__phidget_typesz00(obj_t BgL_envz00_1785, obj_t BgL_target1102z00_1786, obj_t BgL_index1103z00_1787, obj_t BgL_state1104z00_1788)
{
{ /* Llib/pdgtypes.scm 41 */
{ /* Llib/pdgtypes.scm 41 */
 int BgL_index1103z00_2154; bool_t BgL_state1104z00_2155;
BgL_index1103z00_2154 = 
CINT(BgL_index1103z00_1787); 
BgL_state1104z00_2155 = 
CBOOL(BgL_state1104z00_1788); 
{ /* Llib/pdgtypes.scm 41 */
 BgL_phidgetzd2outputchangezd2eventz00_bglt BgL_new1227z00_2156;
{ /* Llib/pdgtypes.scm 41 */
 BgL_phidgetzd2outputchangezd2eventz00_bglt BgL_new1226z00_2157;
BgL_new1226z00_2157 = 
((BgL_phidgetzd2outputchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2outputchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 41 */
 long BgL_arg1808z00_2158;
BgL_arg1808z00_2158 = 
BGL_CLASS_NUM(BGl_phidgetzd2outputchangezd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1226z00_2157), BgL_arg1808z00_2158); } 
BgL_new1227z00_2156 = BgL_new1226z00_2157; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1227z00_2156)))->BgL_targetz00)=((obj_t)BgL_target1102z00_1786),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1227z00_2156)))->BgL_indexz00)=((int)BgL_index1103z00_2154),BUNSPEC); 
((((BgL_phidgetzd2outputchangezd2eventz00_bglt)COBJECT(BgL_new1227z00_2156))->BgL_statez00)=((bool_t)BgL_state1104z00_2155),BUNSPEC); 
return BgL_new1227z00_2156;} } } 

}



/* &lambda1824 */
obj_t BGl_z62lambda1824z62zz__phidget_typesz00(obj_t BgL_envz00_1789, obj_t BgL_oz00_1790, obj_t BgL_vz00_1791)
{
{ /* Llib/pdgtypes.scm 41 */
{ /* Llib/pdgtypes.scm 41 */
 bool_t BgL_vz00_2160;
BgL_vz00_2160 = 
CBOOL(BgL_vz00_1791); 
return 
((((BgL_phidgetzd2outputchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2outputchangezd2eventz00_bglt)BgL_oz00_1790)))->BgL_statez00)=((bool_t)BgL_vz00_2160),BUNSPEC);} } 

}



/* &lambda1823 */
obj_t BGl_z62lambda1823z62zz__phidget_typesz00(obj_t BgL_envz00_1792, obj_t BgL_oz00_1793)
{
{ /* Llib/pdgtypes.scm 41 */
return 
BBOOL(
(((BgL_phidgetzd2outputchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2outputchangezd2eventz00_bglt)BgL_oz00_1793)))->BgL_statez00));} 

}



/* &<@anonymous:1764> */
obj_t BGl_z62zc3z04anonymousza31764ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1794, obj_t BgL_new1100z00_1795)
{
{ /* Llib/pdgtypes.scm 39 */
{ 
 BgL_phidgetzd2inputchangezd2eventz00_bglt BgL_auxz00_3325;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BgL_new1100z00_1795))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BgL_new1100z00_1795))))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BgL_new1100z00_1795)))->BgL_statez00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_3325 = 
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BgL_new1100z00_1795); 
return 
((obj_t)BgL_auxz00_3325);} } 

}



/* &lambda1756 */
BgL_phidgetzd2inputchangezd2eventz00_bglt BGl_z62lambda1756z62zz__phidget_typesz00(obj_t BgL_envz00_1796)
{
{ /* Llib/pdgtypes.scm 39 */
{ /* Llib/pdgtypes.scm 39 */
 BgL_phidgetzd2inputchangezd2eventz00_bglt BgL_new1099z00_2163;
BgL_new1099z00_2163 = 
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2inputchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 39 */
 long BgL_arg1763z00_2164;
BgL_arg1763z00_2164 = 
BGL_CLASS_NUM(BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_2163), BgL_arg1763z00_2164); } 
return BgL_new1099z00_2163;} } 

}



/* &lambda1750 */
BgL_phidgetzd2inputchangezd2eventz00_bglt BGl_z62lambda1750z62zz__phidget_typesz00(obj_t BgL_envz00_1797, obj_t BgL_target1096z00_1798, obj_t BgL_index1097z00_1799, obj_t BgL_state1098z00_1800)
{
{ /* Llib/pdgtypes.scm 39 */
{ /* Llib/pdgtypes.scm 39 */
 int BgL_index1097z00_2165; bool_t BgL_state1098z00_2166;
BgL_index1097z00_2165 = 
CINT(BgL_index1097z00_1799); 
BgL_state1098z00_2166 = 
CBOOL(BgL_state1098z00_1800); 
{ /* Llib/pdgtypes.scm 39 */
 BgL_phidgetzd2inputchangezd2eventz00_bglt BgL_new1225z00_2167;
{ /* Llib/pdgtypes.scm 39 */
 BgL_phidgetzd2inputchangezd2eventz00_bglt BgL_new1224z00_2168;
BgL_new1224z00_2168 = 
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2inputchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 39 */
 long BgL_arg1755z00_2169;
BgL_arg1755z00_2169 = 
BGL_CLASS_NUM(BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1224z00_2168), BgL_arg1755z00_2169); } 
BgL_new1225z00_2167 = BgL_new1224z00_2168; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1225z00_2167)))->BgL_targetz00)=((obj_t)BgL_target1096z00_1798),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1225z00_2167)))->BgL_indexz00)=((int)BgL_index1097z00_2165),BUNSPEC); 
((((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(BgL_new1225z00_2167))->BgL_statez00)=((bool_t)BgL_state1098z00_2166),BUNSPEC); 
return BgL_new1225z00_2167;} } } 

}



/* &lambda1772 */
obj_t BGl_z62lambda1772z62zz__phidget_typesz00(obj_t BgL_envz00_1801, obj_t BgL_oz00_1802, obj_t BgL_vz00_1803)
{
{ /* Llib/pdgtypes.scm 39 */
{ /* Llib/pdgtypes.scm 39 */
 bool_t BgL_vz00_2171;
BgL_vz00_2171 = 
CBOOL(BgL_vz00_1803); 
return 
((((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BgL_oz00_1802)))->BgL_statez00)=((bool_t)BgL_vz00_2171),BUNSPEC);} } 

}



/* &lambda1771 */
obj_t BGl_z62lambda1771z62zz__phidget_typesz00(obj_t BgL_envz00_1804, obj_t BgL_oz00_1805)
{
{ /* Llib/pdgtypes.scm 39 */
return 
BBOOL(
(((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BgL_oz00_1805)))->BgL_statez00));} 

}



/* &<@anonymous:1733> */
obj_t BGl_z62zc3z04anonymousza31733ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1806, obj_t BgL_new1094z00_1807)
{
{ /* Llib/pdgtypes.scm 36 */
{ 
 BgL_phidgetzd2changezd2eventz00_bglt BgL_auxz00_3358;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1094z00_1807))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1094z00_1807)))->BgL_indexz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_3358 = 
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1094z00_1807); 
return 
((obj_t)BgL_auxz00_3358);} } 

}



/* &lambda1731 */
BgL_phidgetzd2changezd2eventz00_bglt BGl_z62lambda1731z62zz__phidget_typesz00(obj_t BgL_envz00_1808)
{
{ /* Llib/pdgtypes.scm 36 */
{ /* Llib/pdgtypes.scm 36 */
 BgL_phidgetzd2changezd2eventz00_bglt BgL_new1093z00_2174;
BgL_new1093z00_2174 = 
((BgL_phidgetzd2changezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2changezd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 36 */
 long BgL_arg1732z00_2175;
BgL_arg1732z00_2175 = 
BGL_CLASS_NUM(BGl_phidgetzd2changezd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_2174), BgL_arg1732z00_2175); } 
return BgL_new1093z00_2174;} } 

}



/* &lambda1729 */
BgL_phidgetzd2changezd2eventz00_bglt BGl_z62lambda1729z62zz__phidget_typesz00(obj_t BgL_envz00_1809, obj_t BgL_target1091z00_1810, obj_t BgL_index1092z00_1811)
{
{ /* Llib/pdgtypes.scm 36 */
{ /* Llib/pdgtypes.scm 36 */
 int BgL_index1092z00_2176;
BgL_index1092z00_2176 = 
CINT(BgL_index1092z00_1811); 
{ /* Llib/pdgtypes.scm 36 */
 BgL_phidgetzd2changezd2eventz00_bglt BgL_new1223z00_2177;
{ /* Llib/pdgtypes.scm 36 */
 BgL_phidgetzd2changezd2eventz00_bglt BgL_new1222z00_2178;
BgL_new1222z00_2178 = 
((BgL_phidgetzd2changezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2changezd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 36 */
 long BgL_arg1730z00_2179;
BgL_arg1730z00_2179 = 
BGL_CLASS_NUM(BGl_phidgetzd2changezd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_2178), BgL_arg1730z00_2179); } 
BgL_new1223z00_2177 = BgL_new1222z00_2178; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1223z00_2177)))->BgL_targetz00)=((obj_t)BgL_target1091z00_1810),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(BgL_new1223z00_2177))->BgL_indexz00)=((int)BgL_index1092z00_2176),BUNSPEC); 
return BgL_new1223z00_2177;} } } 

}



/* &lambda1743 */
obj_t BGl_z62lambda1743z62zz__phidget_typesz00(obj_t BgL_envz00_1812, obj_t BgL_oz00_1813, obj_t BgL_vz00_1814)
{
{ /* Llib/pdgtypes.scm 36 */
{ /* Llib/pdgtypes.scm 36 */
 int BgL_vz00_2181;
BgL_vz00_2181 = 
CINT(BgL_vz00_1814); 
return 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_oz00_1813)))->BgL_indexz00)=((int)BgL_vz00_2181),BUNSPEC);} } 

}



/* &lambda1742 */
obj_t BGl_z62lambda1742z62zz__phidget_typesz00(obj_t BgL_envz00_1815, obj_t BgL_oz00_1816)
{
{ /* Llib/pdgtypes.scm 36 */
return 
BINT(
(((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_oz00_1816)))->BgL_indexz00));} 

}



/* &<@anonymous:1710> */
obj_t BGl_z62zc3z04anonymousza31710ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1817, obj_t BgL_new1089z00_1818)
{
{ /* Llib/pdgtypes.scm 34 */
{ 
 BgL_phidgetzd2detachzd2eventz00_bglt BgL_auxz00_3385;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2detachzd2eventz00_bglt)BgL_new1089z00_1818))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_z52phidgetz52_bglt BgL_auxz00_3389;
{ /* Llib/pdgtypes.scm 34 */
 obj_t BgL_classz00_2184;
BgL_classz00_2184 = BGl_z52phidgetz52zz__phidget_typesz00; 
{ /* Llib/pdgtypes.scm 34 */
 obj_t BgL__ortest_1113z00_2185;
BgL__ortest_1113z00_2185 = 
BGL_CLASS_NIL(BgL_classz00_2184); 
if(
CBOOL(BgL__ortest_1113z00_2185))
{ /* Llib/pdgtypes.scm 34 */
BgL_auxz00_3389 = 
((BgL_z52phidgetz52_bglt)BgL__ortest_1113z00_2185)
; }  else 
{ /* Llib/pdgtypes.scm 34 */
BgL_auxz00_3389 = 
((BgL_z52phidgetz52_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2184))
; } } } 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)
((BgL_phidgetzd2detachzd2eventz00_bglt)BgL_new1089z00_1818))))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)BgL_auxz00_3389),BUNSPEC); } 
BgL_auxz00_3385 = 
((BgL_phidgetzd2detachzd2eventz00_bglt)BgL_new1089z00_1818); 
return 
((obj_t)BgL_auxz00_3385);} } 

}



/* &lambda1707 */
BgL_phidgetzd2detachzd2eventz00_bglt BGl_z62lambda1707z62zz__phidget_typesz00(obj_t BgL_envz00_1819)
{
{ /* Llib/pdgtypes.scm 34 */
{ /* Llib/pdgtypes.scm 34 */
 BgL_phidgetzd2detachzd2eventz00_bglt BgL_new1088z00_2186;
BgL_new1088z00_2186 = 
((BgL_phidgetzd2detachzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2detachzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 34 */
 long BgL_arg1709z00_2187;
BgL_arg1709z00_2187 = 
BGL_CLASS_NUM(BGl_phidgetzd2detachzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_2186), BgL_arg1709z00_2187); } 
return BgL_new1088z00_2186;} } 

}



/* &lambda1705 */
BgL_phidgetzd2detachzd2eventz00_bglt BGl_z62lambda1705z62zz__phidget_typesz00(obj_t BgL_envz00_1820, obj_t BgL_target1086z00_1821, obj_t BgL_phidget1087z00_1822)
{
{ /* Llib/pdgtypes.scm 34 */
{ /* Llib/pdgtypes.scm 34 */
 BgL_phidgetzd2detachzd2eventz00_bglt BgL_new1221z00_2189;
{ /* Llib/pdgtypes.scm 34 */
 BgL_phidgetzd2detachzd2eventz00_bglt BgL_new1220z00_2190;
BgL_new1220z00_2190 = 
((BgL_phidgetzd2detachzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2detachzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 34 */
 long BgL_arg1706z00_2191;
BgL_arg1706z00_2191 = 
BGL_CLASS_NUM(BGl_phidgetzd2detachzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_2190), BgL_arg1706z00_2191); } 
BgL_new1221z00_2189 = BgL_new1220z00_2190; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1221z00_2189)))->BgL_targetz00)=((obj_t)BgL_target1086z00_1821),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1221z00_2189)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)BgL_phidget1087z00_1822)),BUNSPEC); 
return BgL_new1221z00_2189;} } 

}



/* &<@anonymous:1685> */
obj_t BGl_z62zc3z04anonymousza31685ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1823, obj_t BgL_new1084z00_1824)
{
{ /* Llib/pdgtypes.scm 33 */
{ 
 BgL_phidgetzd2attachzd2eventz00_bglt BgL_auxz00_3414;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2attachzd2eventz00_bglt)BgL_new1084z00_1824))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_z52phidgetz52_bglt BgL_auxz00_3418;
{ /* Llib/pdgtypes.scm 33 */
 obj_t BgL_classz00_2193;
BgL_classz00_2193 = BGl_z52phidgetz52zz__phidget_typesz00; 
{ /* Llib/pdgtypes.scm 33 */
 obj_t BgL__ortest_1113z00_2194;
BgL__ortest_1113z00_2194 = 
BGL_CLASS_NIL(BgL_classz00_2193); 
if(
CBOOL(BgL__ortest_1113z00_2194))
{ /* Llib/pdgtypes.scm 33 */
BgL_auxz00_3418 = 
((BgL_z52phidgetz52_bglt)BgL__ortest_1113z00_2194)
; }  else 
{ /* Llib/pdgtypes.scm 33 */
BgL_auxz00_3418 = 
((BgL_z52phidgetz52_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2193))
; } } } 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)
((BgL_phidgetzd2attachzd2eventz00_bglt)BgL_new1084z00_1824))))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)BgL_auxz00_3418),BUNSPEC); } 
BgL_auxz00_3414 = 
((BgL_phidgetzd2attachzd2eventz00_bglt)BgL_new1084z00_1824); 
return 
((obj_t)BgL_auxz00_3414);} } 

}



/* &lambda1678 */
BgL_phidgetzd2attachzd2eventz00_bglt BGl_z62lambda1678z62zz__phidget_typesz00(obj_t BgL_envz00_1825)
{
{ /* Llib/pdgtypes.scm 33 */
{ /* Llib/pdgtypes.scm 33 */
 BgL_phidgetzd2attachzd2eventz00_bglt BgL_new1083z00_2195;
BgL_new1083z00_2195 = 
((BgL_phidgetzd2attachzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2attachzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 33 */
 long BgL_arg1684z00_2196;
BgL_arg1684z00_2196 = 
BGL_CLASS_NUM(BGl_phidgetzd2attachzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1083z00_2195), BgL_arg1684z00_2196); } 
return BgL_new1083z00_2195;} } 

}



/* &lambda1675 */
BgL_phidgetzd2attachzd2eventz00_bglt BGl_z62lambda1675z62zz__phidget_typesz00(obj_t BgL_envz00_1826, obj_t BgL_target1081z00_1827, obj_t BgL_phidget1082z00_1828)
{
{ /* Llib/pdgtypes.scm 33 */
{ /* Llib/pdgtypes.scm 33 */
 BgL_phidgetzd2attachzd2eventz00_bglt BgL_new1219z00_2198;
{ /* Llib/pdgtypes.scm 33 */
 BgL_phidgetzd2attachzd2eventz00_bglt BgL_new1218z00_2199;
BgL_new1218z00_2199 = 
((BgL_phidgetzd2attachzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2attachzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 33 */
 long BgL_arg1677z00_2200;
BgL_arg1677z00_2200 = 
BGL_CLASS_NUM(BGl_phidgetzd2attachzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1218z00_2199), BgL_arg1677z00_2200); } 
BgL_new1219z00_2198 = BgL_new1218z00_2199; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1219z00_2198)))->BgL_targetz00)=((obj_t)BgL_target1081z00_1827),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1219z00_2198)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)BgL_phidget1082z00_1828)),BUNSPEC); 
return BgL_new1219z00_2198;} } 

}



/* &<@anonymous:1623> */
obj_t BGl_z62zc3z04anonymousza31623ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1829, obj_t BgL_new1079z00_1830)
{
{ /* Llib/pdgtypes.scm 29 */
{ 
 BgL_phidgetzd2errorzd2eventz00_bglt BgL_auxz00_3443;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2errorzd2eventz00_bglt)BgL_new1079z00_1830))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2errorzd2eventz00_bglt)BgL_new1079z00_1830)))->BgL_codez00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2errorzd2eventz00_bglt)BgL_new1079z00_1830)))->BgL_messagez00)=((char *)
BSTRING_TO_STRING(BGl_string2333z00zz__phidget_typesz00)),BUNSPEC); 
BgL_auxz00_3443 = 
((BgL_phidgetzd2errorzd2eventz00_bglt)BgL_new1079z00_1830); 
return 
((obj_t)BgL_auxz00_3443);} } 

}



/* &lambda1612 */
BgL_phidgetzd2errorzd2eventz00_bglt BGl_z62lambda1612z62zz__phidget_typesz00(obj_t BgL_envz00_1831)
{
{ /* Llib/pdgtypes.scm 29 */
{ /* Llib/pdgtypes.scm 29 */
 BgL_phidgetzd2errorzd2eventz00_bglt BgL_new1078z00_2202;
BgL_new1078z00_2202 = 
((BgL_phidgetzd2errorzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2errorzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 29 */
 long BgL_arg1622z00_2203;
BgL_arg1622z00_2203 = 
BGL_CLASS_NUM(BGl_phidgetzd2errorzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_2202), BgL_arg1622z00_2203); } 
return BgL_new1078z00_2202;} } 

}



/* &lambda1610 */
BgL_phidgetzd2errorzd2eventz00_bglt BGl_z62lambda1610z62zz__phidget_typesz00(obj_t BgL_envz00_1832, obj_t BgL_target1075z00_1833, obj_t BgL_code1076z00_1834, obj_t BgL_message1077z00_1835)
{
{ /* Llib/pdgtypes.scm 29 */
{ /* Llib/pdgtypes.scm 29 */
 int BgL_code1076z00_2204; char * BgL_message1077z00_2205;
BgL_code1076z00_2204 = 
CINT(BgL_code1076z00_1834); 
BgL_message1077z00_2205 = 
BSTRING_TO_STRING(BgL_message1077z00_1835); 
{ /* Llib/pdgtypes.scm 29 */
 BgL_phidgetzd2errorzd2eventz00_bglt BgL_new1217z00_2206;
{ /* Llib/pdgtypes.scm 29 */
 BgL_phidgetzd2errorzd2eventz00_bglt BgL_new1216z00_2207;
BgL_new1216z00_2207 = 
((BgL_phidgetzd2errorzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2errorzd2eventz00_bgl) ))); 
{ /* Llib/pdgtypes.scm 29 */
 long BgL_arg1611z00_2208;
BgL_arg1611z00_2208 = 
BGL_CLASS_NUM(BGl_phidgetzd2errorzd2eventz00zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_2207), BgL_arg1611z00_2208); } 
BgL_new1217z00_2206 = BgL_new1216z00_2207; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1217z00_2206)))->BgL_targetz00)=((obj_t)BgL_target1075z00_1833),BUNSPEC); 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(BgL_new1217z00_2206))->BgL_codez00)=((int)BgL_code1076z00_2204),BUNSPEC); 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(BgL_new1217z00_2206))->BgL_messagez00)=((char *)BgL_message1077z00_2205),BUNSPEC); 
return BgL_new1217z00_2206;} } } 

}



/* &lambda1656 */
obj_t BGl_z62lambda1656z62zz__phidget_typesz00(obj_t BgL_envz00_1836, obj_t BgL_oz00_1837, obj_t BgL_vz00_1838)
{
{ /* Llib/pdgtypes.scm 29 */
{ /* Llib/pdgtypes.scm 29 */
 char * BgL_vz00_2210;
BgL_vz00_2210 = 
BSTRING_TO_STRING(BgL_vz00_1838); 
return 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2errorzd2eventz00_bglt)BgL_oz00_1837)))->BgL_messagez00)=((char *)BgL_vz00_2210),BUNSPEC);} } 

}



/* &lambda1655 */
obj_t BGl_z62lambda1655z62zz__phidget_typesz00(obj_t BgL_envz00_1839, obj_t BgL_oz00_1840)
{
{ /* Llib/pdgtypes.scm 29 */
return 
string_to_bstring(
(((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2errorzd2eventz00_bglt)BgL_oz00_1840)))->BgL_messagez00));} 

}



/* &lambda1645 */
obj_t BGl_z62lambda1645z62zz__phidget_typesz00(obj_t BgL_envz00_1841, obj_t BgL_oz00_1842, obj_t BgL_vz00_1843)
{
{ /* Llib/pdgtypes.scm 29 */
{ /* Llib/pdgtypes.scm 29 */
 int BgL_vz00_2213;
BgL_vz00_2213 = 
CINT(BgL_vz00_1843); 
return 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2errorzd2eventz00_bglt)BgL_oz00_1842)))->BgL_codez00)=((int)BgL_vz00_2213),BUNSPEC);} } 

}



/* &lambda1644 */
obj_t BGl_z62lambda1644z62zz__phidget_typesz00(obj_t BgL_envz00_1844, obj_t BgL_oz00_1845)
{
{ /* Llib/pdgtypes.scm 29 */
return 
BINT(
(((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2errorzd2eventz00_bglt)BgL_oz00_1845)))->BgL_codez00));} 

}



/* &<@anonymous:1573> */
obj_t BGl_z62zc3z04anonymousza31573ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1846, obj_t BgL_new1073z00_1847)
{
{ /* Llib/pdgtypes.scm 26 */
{ 
 BgL_phidgetzd2eventzd2_bglt BgL_auxz00_3481;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)
((BgL_phidgetzd2eventzd2_bglt)BgL_new1073z00_1847))))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_z52phidgetz52_bglt BgL_auxz00_3485;
{ /* Llib/pdgtypes.scm 26 */
 obj_t BgL_classz00_2216;
BgL_classz00_2216 = BGl_z52phidgetz52zz__phidget_typesz00; 
{ /* Llib/pdgtypes.scm 26 */
 obj_t BgL__ortest_1113z00_2217;
BgL__ortest_1113z00_2217 = 
BGL_CLASS_NIL(BgL_classz00_2216); 
if(
CBOOL(BgL__ortest_1113z00_2217))
{ /* Llib/pdgtypes.scm 26 */
BgL_auxz00_3485 = 
((BgL_z52phidgetz52_bglt)BgL__ortest_1113z00_2217)
; }  else 
{ /* Llib/pdgtypes.scm 26 */
BgL_auxz00_3485 = 
((BgL_z52phidgetz52_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2216))
; } } } 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1073z00_1847)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)BgL_auxz00_3485),BUNSPEC); } 
BgL_auxz00_3481 = 
((BgL_phidgetzd2eventzd2_bglt)BgL_new1073z00_1847); 
return 
((obj_t)BgL_auxz00_3481);} } 

}



/* &lambda1565 */
BgL_phidgetzd2eventzd2_bglt BGl_z62lambda1565z62zz__phidget_typesz00(obj_t BgL_envz00_1848)
{
{ /* Llib/pdgtypes.scm 26 */
{ /* Llib/pdgtypes.scm 26 */
 BgL_phidgetzd2eventzd2_bglt BgL_new1072z00_2218;
BgL_new1072z00_2218 = 
((BgL_phidgetzd2eventzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2eventzd2_bgl) ))); 
{ /* Llib/pdgtypes.scm 26 */
 long BgL_arg1572z00_2219;
BgL_arg1572z00_2219 = 
BGL_CLASS_NUM(BGl_phidgetzd2eventzd2zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_2218), BgL_arg1572z00_2219); } 
return BgL_new1072z00_2218;} } 

}



/* &lambda1578 */
obj_t BGl_z62lambda1578z62zz__phidget_typesz00(obj_t BgL_envz00_1849, obj_t BgL_oz00_1850, obj_t BgL_vz00_1851)
{
{ /* Llib/pdgtypes.scm 26 */
return 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_oz00_1850)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)BgL_vz00_1851)),BUNSPEC);} 

}



/* &lambda1577 */
BgL_z52phidgetz52_bglt BGl_z62lambda1577z62zz__phidget_typesz00(obj_t BgL_envz00_1852, obj_t BgL_oz00_1853)
{
{ /* Llib/pdgtypes.scm 26 */
return 
(((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_oz00_1853)))->BgL_phidgetz00);} 

}



/* &<@anonymous:1456> */
obj_t BGl_z62zc3z04anonymousza31456ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1854, obj_t BgL_new1070z00_1855)
{
{ /* Llib/pdgtypes.scm 23 */
{ 
 BgL_z52phidgetzd2eventz80_bglt BgL_auxz00_3505;
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1070z00_1855)))->BgL_targetz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_3505 = 
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1070z00_1855); 
return 
((obj_t)BgL_auxz00_3505);} } 

}



/* &lambda1415 */
BgL_z52phidgetzd2eventz80_bglt BGl_z62lambda1415z62zz__phidget_typesz00(obj_t BgL_envz00_1856)
{
{ /* Llib/pdgtypes.scm 23 */
{ /* Llib/pdgtypes.scm 23 */
 BgL_z52phidgetzd2eventz80_bglt BgL_new1069z00_2224;
BgL_new1069z00_2224 = 
((BgL_z52phidgetzd2eventz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52phidgetzd2eventz80_bgl) ))); 
{ /* Llib/pdgtypes.scm 23 */
 long BgL_arg1455z00_2225;
BgL_arg1455z00_2225 = 
BGL_CLASS_NUM(BGl_z52phidgetzd2eventz80zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_2224), BgL_arg1455z00_2225); } 
return BgL_new1069z00_2224;} } 

}



/* &lambda1543 */
obj_t BGl_z62lambda1543z62zz__phidget_typesz00(obj_t BgL_envz00_1857, obj_t BgL_oz00_1858, obj_t BgL_vz00_1859)
{
{ /* Llib/pdgtypes.scm 23 */
return 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_oz00_1858)))->BgL_targetz00)=((obj_t)BgL_vz00_1859),BUNSPEC);} 

}



/* &lambda1542 */
obj_t BGl_z62lambda1542z62zz__phidget_typesz00(obj_t BgL_envz00_1860, obj_t BgL_oz00_1861)
{
{ /* Llib/pdgtypes.scm 23 */
return 
(((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_oz00_1861)))->BgL_targetz00);} 

}



/* &<@anonymous:1380> */
obj_t BGl_z62zc3z04anonymousza31380ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1862, obj_t BgL_new1067z00_1863)
{
{ /* Llib/pdgtypes.scm 20 */
return 
((obj_t)
((BgL_z52phidgetz52_bglt)BgL_new1067z00_1863));} 

}



/* &lambda1378 */
BgL_z52phidgetz52_bglt BGl_z62lambda1378z62zz__phidget_typesz00(obj_t BgL_envz00_1864)
{
{ /* Llib/pdgtypes.scm 20 */
{ /* Llib/pdgtypes.scm 20 */
 BgL_z52phidgetz52_bglt BgL_new1066z00_2229;
BgL_new1066z00_2229 = 
((BgL_z52phidgetz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52phidgetz52_bgl) ))); 
{ /* Llib/pdgtypes.scm 20 */
 long BgL_arg1379z00_2230;
BgL_arg1379z00_2230 = 
BGL_CLASS_NUM(BGl_z52phidgetz52zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1066z00_2229), BgL_arg1379z00_2230); } 
return BgL_new1066z00_2229;} } 

}



/* &<@anonymous:1364> */
obj_t BGl_z62zc3z04anonymousza31364ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1865, obj_t BgL_new1064z00_1866)
{
{ /* Llib/pdgtypes.scm 18 */
{ 
 BgL_z62phidgetzd2logzd2errorz62_bglt BgL_auxz00_3524;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62phidgetzd2logzd2errorz62_bglt)BgL_new1064z00_1866))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62phidgetzd2logzd2errorz62_bglt)BgL_new1064z00_1866))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62phidgetzd2logzd2errorz62_bglt)BgL_new1064z00_1866))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62phidgetzd2logzd2errorz62_bglt)BgL_new1064z00_1866))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62phidgetzd2logzd2errorz62_bglt)BgL_new1064z00_1866))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62phidgetzd2logzd2errorz62_bglt)BgL_new1064z00_1866))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_3524 = 
((BgL_z62phidgetzd2logzd2errorz62_bglt)BgL_new1064z00_1866); 
return 
((obj_t)BgL_auxz00_3524);} } 

}



/* &lambda1361 */
BgL_z62phidgetzd2logzd2errorz62_bglt BGl_z62lambda1361z62zz__phidget_typesz00(obj_t BgL_envz00_1867)
{
{ /* Llib/pdgtypes.scm 18 */
{ /* Llib/pdgtypes.scm 18 */
 BgL_z62phidgetzd2logzd2errorz62_bglt BgL_new1063z00_2232;
BgL_new1063z00_2232 = 
((BgL_z62phidgetzd2logzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2logzd2errorz62_bgl) ))); 
{ /* Llib/pdgtypes.scm 18 */
 long BgL_arg1363z00_2233;
BgL_arg1363z00_2233 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2logzd2errorz62zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_2232), BgL_arg1363z00_2233); } 
return BgL_new1063z00_2232;} } 

}



/* &lambda1358 */
BgL_z62phidgetzd2logzd2errorz62_bglt BGl_z62lambda1358z62zz__phidget_typesz00(obj_t BgL_envz00_1868, obj_t BgL_fname1057z00_1869, obj_t BgL_location1058z00_1870, obj_t BgL_stack1059z00_1871, obj_t BgL_proc1060z00_1872, obj_t BgL_msg1061z00_1873, obj_t BgL_obj1062z00_1874)
{
{ /* Llib/pdgtypes.scm 18 */
{ /* Llib/pdgtypes.scm 18 */
 BgL_z62phidgetzd2logzd2errorz62_bglt BgL_new1215z00_2234;
{ /* Llib/pdgtypes.scm 18 */
 BgL_z62phidgetzd2logzd2errorz62_bglt BgL_new1214z00_2235;
BgL_new1214z00_2235 = 
((BgL_z62phidgetzd2logzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2logzd2errorz62_bgl) ))); 
{ /* Llib/pdgtypes.scm 18 */
 long BgL_arg1360z00_2236;
BgL_arg1360z00_2236 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2logzd2errorz62zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_2235), BgL_arg1360z00_2236); } 
BgL_new1215z00_2234 = BgL_new1214z00_2235; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1215z00_2234)))->BgL_fnamez00)=((obj_t)BgL_fname1057z00_1869),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1215z00_2234)))->BgL_locationz00)=((obj_t)BgL_location1058z00_1870),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1215z00_2234)))->BgL_stackz00)=((obj_t)BgL_stack1059z00_1871),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1215z00_2234)))->BgL_procz00)=((obj_t)BgL_proc1060z00_1872),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1215z00_2234)))->BgL_msgz00)=((obj_t)BgL_msg1061z00_1873),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1215z00_2234)))->BgL_objz00)=((obj_t)BgL_obj1062z00_1874),BUNSPEC); 
return BgL_new1215z00_2234;} } 

}



/* &<@anonymous:1346> */
obj_t BGl_z62zc3z04anonymousza31346ze3ze5zz__phidget_typesz00(obj_t BgL_envz00_1875, obj_t BgL_new1055z00_1876)
{
{ /* Llib/pdgtypes.scm 17 */
{ 
 BgL_z62phidgetzd2errorzb0_bglt BgL_auxz00_3565;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62phidgetzd2errorzb0_bglt)BgL_new1055z00_1876))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62phidgetzd2errorzb0_bglt)BgL_new1055z00_1876))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62phidgetzd2errorzb0_bglt)BgL_new1055z00_1876))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62phidgetzd2errorzb0_bglt)BgL_new1055z00_1876))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62phidgetzd2errorzb0_bglt)BgL_new1055z00_1876))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62phidgetzd2errorzb0_bglt)BgL_new1055z00_1876))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_3565 = 
((BgL_z62phidgetzd2errorzb0_bglt)BgL_new1055z00_1876); 
return 
((obj_t)BgL_auxz00_3565);} } 

}



/* &lambda1344 */
BgL_z62phidgetzd2errorzb0_bglt BGl_z62lambda1344z62zz__phidget_typesz00(obj_t BgL_envz00_1877)
{
{ /* Llib/pdgtypes.scm 17 */
{ /* Llib/pdgtypes.scm 17 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1054z00_2238;
BgL_new1054z00_2238 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgtypes.scm 17 */
 long BgL_arg1345z00_2239;
BgL_arg1345z00_2239 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_2238), BgL_arg1345z00_2239); } 
return BgL_new1054z00_2238;} } 

}



/* &lambda1342 */
BgL_z62phidgetzd2errorzb0_bglt BGl_z62lambda1342z62zz__phidget_typesz00(obj_t BgL_envz00_1878, obj_t BgL_fname1048z00_1879, obj_t BgL_location1049z00_1880, obj_t BgL_stack1050z00_1881, obj_t BgL_proc1051z00_1882, obj_t BgL_msg1052z00_1883, obj_t BgL_obj1053z00_1884)
{
{ /* Llib/pdgtypes.scm 17 */
{ /* Llib/pdgtypes.scm 17 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1213z00_2240;
{ /* Llib/pdgtypes.scm 17 */
 BgL_z62phidgetzd2errorzb0_bglt BgL_new1212z00_2241;
BgL_new1212z00_2241 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgtypes.scm 17 */
 long BgL_arg1343z00_2242;
BgL_arg1343z00_2242 = 
BGL_CLASS_NUM(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1212z00_2241), BgL_arg1343z00_2242); } 
BgL_new1213z00_2240 = BgL_new1212z00_2241; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1213z00_2240)))->BgL_fnamez00)=((obj_t)BgL_fname1048z00_1879),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1213z00_2240)))->BgL_locationz00)=((obj_t)BgL_location1049z00_1880),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1213z00_2240)))->BgL_stackz00)=((obj_t)BgL_stack1050z00_1881),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1213z00_2240)))->BgL_procz00)=((obj_t)BgL_proc1051z00_1882),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1213z00_2240)))->BgL_msgz00)=((obj_t)BgL_msg1052z00_1883),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1213z00_2240)))->BgL_objz00)=((obj_t)BgL_obj1053z00_1884),BUNSPEC); 
return BgL_new1213z00_2240;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__phidget_typesz00()
{
{ /* Llib/pdgtypes.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00, BGl_proc2334z00zz__phidget_typesz00, BGl_z52phidgetz52zz__phidget_typesz00, BGl_string2335z00zz__phidget_typesz00);} 

}



/* &%phidget-init1314 */
obj_t BGl_z62z52phidgetzd2init1314ze2zz__phidget_typesz00(obj_t BgL_envz00_1888, obj_t BgL_oz00_1889)
{
{ /* Llib/pdgtypes.scm 111 */
return 
((obj_t)
((BgL_z52phidgetz52_bglt)BgL_oz00_1889));} 

}



/* %phidget-init */
BGL_EXPORTED_DEF obj_t BGl_z52phidgetzd2initz80zz__phidget_typesz00(BgL_z52phidgetz52_bglt BgL_oz00_3)
{
{ /* Llib/pdgtypes.scm 111 */
{ /* Llib/pdgtypes.scm 111 */
 obj_t BgL_method1315z00_1016;
{ /* Llib/pdgtypes.scm 111 */
 obj_t BgL_res2167z00_1324;
{ /* Llib/pdgtypes.scm 111 */
 long BgL_objzd2classzd2numz00_1295;
BgL_objzd2classzd2numz00_1295 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_3)); 
{ /* Llib/pdgtypes.scm 111 */
 obj_t BgL_arg1801z00_1296;
BgL_arg1801z00_1296 = 
PROCEDURE_REF(BGl_z52phidgetzd2initzd2envz52zz__phidget_typesz00, 
(int)(((long)1))); 
{ /* Llib/pdgtypes.scm 111 */
 int BgL_offsetz00_1299;
BgL_offsetz00_1299 = 
(int)(BgL_objzd2classzd2numz00_1295); 
{ /* Llib/pdgtypes.scm 111 */
 long BgL_offsetz00_1300;
BgL_offsetz00_1300 = 
(
(long)(BgL_offsetz00_1299)-OBJECT_TYPE); 
{ /* Llib/pdgtypes.scm 111 */
 long BgL_modz00_1301;
BgL_modz00_1301 = 
(BgL_offsetz00_1300 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pdgtypes.scm 111 */
 long BgL_restz00_1303;
BgL_restz00_1303 = 
(BgL_offsetz00_1300 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pdgtypes.scm 111 */

{ /* Llib/pdgtypes.scm 111 */
 obj_t BgL_bucketz00_1305;
BgL_bucketz00_1305 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_1296),BgL_modz00_1301); 
BgL_res2167z00_1324 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1305),BgL_restz00_1303); } } } } } } } } 
BgL_method1315z00_1016 = BgL_res2167z00_1324; } 
return 
PROCEDURE_ENTRY(BgL_method1315z00_1016)(BgL_method1315z00_1016, 
((obj_t)BgL_oz00_3), BEOA);} } 

}



/* &%phidget-init */
obj_t BGl_z62z52phidgetzd2initze2zz__phidget_typesz00(obj_t BgL_envz00_1885, obj_t BgL_oz00_1886)
{
{ /* Llib/pdgtypes.scm 111 */
{ /* Llib/pdgtypes.scm 111 */
 BgL_z52phidgetz52_bglt BgL_auxz00_3639;
{ /* Llib/pdgtypes.scm 111 */
 bool_t BgL_test2521z00_3640;
{ /* Llib/pdgtypes.scm 111 */
 obj_t BgL_classz00_2244;
BgL_classz00_2244 = BGl_z52phidgetz52zz__phidget_typesz00; 
if(
BGL_OBJECTP(BgL_oz00_1886))
{ /* Llib/pdgtypes.scm 111 */
 BgL_objectz00_bglt BgL_arg1799z00_2246; long BgL_arg1800z00_2247;
BgL_arg1799z00_2246 = 
(BgL_objectz00_bglt)(BgL_oz00_1886); 
BgL_arg1800z00_2247 = 
BGL_CLASS_DEPTH(BgL_classz00_2244); 
{ /* Llib/pdgtypes.scm 111 */
 bool_t BgL_arg1794z00_2251; bool_t BgL_arg1795z00_2252;
{ /* Llib/pdgtypes.scm 111 */
 long BgL_idxz00_2256;
BgL_idxz00_2256 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2246); 
{ /* Llib/pdgtypes.scm 111 */
 obj_t BgL_arg1791z00_2257;
{ /* Llib/pdgtypes.scm 111 */
 long BgL_arg1792z00_2258;
BgL_arg1792z00_2258 = 
(BgL_idxz00_2256+BgL_arg1800z00_2247); 
BgL_arg1791z00_2257 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2258); } 
BgL_arg1794z00_2251 = 
(BgL_arg1791z00_2257==BgL_classz00_2244); } } 
{ /* Llib/pdgtypes.scm 111 */
 bool_t BgL_res2342z00_2281;
{ /* Llib/pdgtypes.scm 111 */
 obj_t BgL_oclassz00_2266;
{ /* Llib/pdgtypes.scm 111 */
 long BgL_arg1804z00_2272;
{ /* Llib/pdgtypes.scm 111 */
 long BgL_arg1805z00_2273;
BgL_arg1805z00_2273 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2246); 
BgL_arg1804z00_2272 = 
(BgL_arg1805z00_2273-OBJECT_TYPE); } 
BgL_oclassz00_2266 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2272); } 
{ /* Llib/pdgtypes.scm 111 */
 bool_t BgL__ortest_1111z00_2267;
BgL__ortest_1111z00_2267 = 
(BgL_classz00_2244==BgL_oclassz00_2266); 
if(BgL__ortest_1111z00_2267)
{ /* Llib/pdgtypes.scm 111 */
BgL_res2342z00_2281 = BgL__ortest_1111z00_2267; }  else 
{ /* Llib/pdgtypes.scm 111 */
 long BgL_odepthz00_2268;
BgL_odepthz00_2268 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2266); 
if(
(BgL_arg1800z00_2247<BgL_odepthz00_2268))
{ /* Llib/pdgtypes.scm 111 */
 obj_t BgL_arg1793z00_2270;
BgL_arg1793z00_2270 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2266, BgL_arg1800z00_2247); 
BgL_res2342z00_2281 = 
(BgL_arg1793z00_2270==BgL_classz00_2244); }  else 
{ /* Llib/pdgtypes.scm 111 */
BgL_res2342z00_2281 = ((bool_t)0); } } } } 
BgL_arg1795z00_2252 = BgL_res2342z00_2281; } 
BgL_test2521z00_3640 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2251, BgL_arg1795z00_2252); } }  else 
{ /* Llib/pdgtypes.scm 111 */
BgL_test2521z00_3640 = ((bool_t)0)
; } } 
if(BgL_test2521z00_3640)
{ /* Llib/pdgtypes.scm 111 */
BgL_auxz00_3639 = 
((BgL_z52phidgetz52_bglt)BgL_oz00_1886)
; }  else 
{ 
 obj_t BgL_auxz00_3661;
BgL_auxz00_3661 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2336z00zz__phidget_typesz00, 
BINT(((long)4259)), BGl_string2337z00zz__phidget_typesz00, BGl_string2338z00zz__phidget_typesz00, BgL_oz00_1886); 
FAILURE(BgL_auxz00_3661,BFALSE,BFALSE);} } 
return 
BGl_z52phidgetzd2initz80zz__phidget_typesz00(BgL_auxz00_3639);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__phidget_typesz00()
{
{ /* Llib/pdgtypes.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
