/*===========================================================================*/
/*   (Llib/pthread.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -copt -fPIC -copt -IPosix Llib/pthread.scm -o objs/objs_s/pthread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglpthread.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62threadzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62threadzd2errorzb0_bglt;

typedef struct BgL_uncaughtzd2exceptionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_reasonz00;
} *BgL_uncaughtzd2exceptionzd2_bglt;

typedef struct BgL_terminatedzd2threadzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_terminatedzd2threadzd2exceptionz00_bglt;


BGL_IMPORT bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_IMPORT long BGl_bitzd2andzd2zz__bitz00(long, long);
extern void * bglpth_thread_new(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
extern bool_t bglpth_thread_terminate(void *);
static obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__pth_threadz00();
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL void * BGl_z42pthreadzd2nilz90zz__pth_threadz00();
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2displayzd2zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__pth_threadz00();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_z62threadzd2terminatez12zd2pt1154z70zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__pth_threadz00();
BGL_IMPORT obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t);
BGL_EXPORTED_DEF obj_t BGl_pthreadz00zz__pth_threadz00 = BUNSPEC;
static obj_t BGl_z62threadzd2specificzd2pthr1156z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_IMPORT obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_z62threadzd2joinz12zd2pthread1152z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__pth_threadz00();
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62threadzd2errorzb0zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_typeof(obj_t);
BGL_IMPORT obj_t BGl_modulezd2initzd2errorz00zz__errorz00(char *, char *);
extern void bglpth_thread_start(void *, obj_t, bool_t);
static obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2uncaugh1142z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_signalz00zz__osz00(int, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1202z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza31415ze3ze70z60zz__pth_threadz00(obj_t, obj_t, BgL_pthreadz00_bglt);
static obj_t BGl_z62lambda1212z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1213z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31280ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda1222z62zz__pth_threadz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = BUNSPEC;
static obj_t BGl_z62lambda1223z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1229z62zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
extern int sched_yield();
static obj_t BGl_z62threadzd2initializa7ez12zd2p1146zd7zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1230z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pth_backendz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t);
static obj_t BGl_zc3z04exitza31416ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1243z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_classzf3zf3zz__objectz00(obj_t);
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1251z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31187ze3ze5zz__pth_threadz00(obj_t, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1339z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
extern void bglpth_thread_join(void *, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1341z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31536ze3ze5zz__pth_threadz00(obj_t, obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1181z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1185z62zz__pth_threadz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__pth_threadz00();
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1269z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00();
BGL_IMPORT bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00();
static obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00();
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1271z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31456ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1191z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1192z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2startz12zd2pthrea1148z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1287z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2writezd2uncaugh1138z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2setz121158z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1288z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62zc3z04anonymousza31378ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2cleanupzd2setz12zd21162za2zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t, int, int);
static obj_t BGl_z62bz62zz__pth_threadz00(obj_t);
static obj_t BGl_z62threadzd2cleanupzd2pthre1160z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2uncau1140z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21144zf0zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static obj_t BGl_z62threadzd2startzd2joinabl1150z62zz__pth_threadz00(obj_t, obj_t);
static obj_t __cnst[ 20 ] ;


BGL_IMPORT obj_t BGl_threadzd2cleanupzd2envz00zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2startz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
BGL_IMPORT obj_t BGl_threadzd2joinz12zd2envz12zz__threadz00;
DEFINE_STRING( BGl_string1901z00zz__pth_threadz00, BgL_bgl_string1901za700za7za7_1991za7, "thread-start-joinable!", 22 );
DEFINE_STRING( BGl_string1903z00zz__pth_threadz00, BgL_bgl_string1903za700za7za7_1992za7, "thread-join!", 12 );
DEFINE_STRING( BGl_string1905z00zz__pth_threadz00, BgL_bgl_string1905za700za7za7_1993za7, "thread-terminate!", 17 );
DEFINE_STRING( BGl_string1907z00zz__pth_threadz00, BgL_bgl_string1907za700za7za7_1994za7, "thread-specific", 15 );
DEFINE_STRING( BGl_string1909z00zz__pth_threadz00, BgL_bgl_string1909za700za7za7_1995za7, "thread-specific-set!", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1900z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star1996z00, BGl_z62threadzd2startzd2joinabl1150z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1902z00zz__pth_threadz00, BgL_bgl_za762threadza7d2join1997z00, va_generic_entry, BGl_z62threadzd2joinz12zd2pthread1152z70zz__pth_threadz00, BUNSPEC, -2 );
BGL_IMPORT obj_t BGl_threadzd2specificzd2envz00zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1904z00zz__pth_threadz00, BgL_bgl_za762threadza7d2term1998z00, BGl_z62threadzd2terminatez12zd2pt1154z70zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1911z00zz__pth_threadz00, BgL_bgl_string1911za700za7za7_1999za7, "thread-cleanup", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1906z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec2000z00, BGl_z62threadzd2specificzd2pthr1156z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1913z00zz__pth_threadz00, BgL_bgl_string1913za700za7za7_2001za7, "thread-cleanup-set!", 19 );
DEFINE_STRING( BGl_string1914z00zz__pth_threadz00, BgL_bgl_string1914za700za7za7_2002za7, "thread-cleanup-set!-1162", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1908z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec2003z00, BGl_z62threadzd2specificzd2setz121158z70zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1915z00zz__pth_threadz00, BgL_bgl_string1915za700za7za7_2004za7, "Illegal procedure arity", 23 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STRING( BGl_string1916z00zz__pth_threadz00, BgL_bgl_string1916za700za7za7_2005za7, "&thread-cleanup-set!-1162", 25 );
DEFINE_STRING( BGl_string1917z00zz__pth_threadz00, BgL_bgl_string1917za700za7za7_2006za7, "&thread-cleanup-pthre1160", 25 );
DEFINE_STRING( BGl_string1918z00zz__pth_threadz00, BgL_bgl_string1918za700za7za7_2007za7, "&thread-specific-set!1158", 25 );
DEFINE_STRING( BGl_string1919z00zz__pth_threadz00, BgL_bgl_string1919za700za7za7_2008za7, "&thread-specific-pthr1156", 25 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1910z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea2009z00, BGl_z62threadzd2cleanupzd2pthre1160z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1912z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea2010z00, BGl_z62threadzd2cleanupzd2setz12zd21162za2zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1920z00zz__pth_threadz00, BgL_bgl_string1920za700za7za7_2011za7, "thread-terminate!-pt1154", 24 );
DEFINE_STRING( BGl_string1921z00zz__pth_threadz00, BgL_bgl_string1921za700za7za7_2012za7, "class-field", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1834z00zz__pth_threadz00, BgL_bgl_za762lambda1192za7622013z00, BGl_z62lambda1192z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1922z00zz__pth_threadz00, BgL_bgl_string1922za700za7za7_2014za7, "&thread-terminate!-pt1154", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1835z00zz__pth_threadz00, BgL_bgl_za762lambda1191za7622015z00, BGl_z62lambda1191z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1923z00zz__pth_threadz00, BgL_bgl_string1923za700za7za7_2016za7, "thread-join!-pthread1152", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1836z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2017za7, BGl_z62zc3z04anonymousza31204ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1924z00zz__pth_threadz00, BgL_bgl_string1924za700za7za7_2018za7, "detached thread", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1837z00zz__pth_threadz00, BgL_bgl_za762lambda1203za7622019z00, BGl_z62lambda1203z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1925z00zz__pth_threadz00, BgL_bgl_string1925za700za7za7_2020za7, "vector", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1838z00zz__pth_threadz00, BgL_bgl_za762lambda1202za7622021z00, BGl_z62lambda1202z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1926z00zz__pth_threadz00, BgL_bgl_string1926za700za7za7_2022za7, "vector-ref", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1839z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2023za7, BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1927z00zz__pth_threadz00, BgL_bgl_string1927za700za7za7_2024za7, "class", 5 );
DEFINE_STRING( BGl_string1928z00zz__pth_threadz00, BgL_bgl_string1928za700za7za7_2025za7, "&thread-join!-pthread1152", 25 );
DEFINE_STRING( BGl_string1929z00zz__pth_threadz00, BgL_bgl_string1929za700za7za7_2026za7, "&thread-start-joinabl1150", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1840z00zz__pth_threadz00, BgL_bgl_za762lambda1213za7622027z00, BGl_z62lambda1213z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1841z00zz__pth_threadz00, BgL_bgl_za762lambda1212za7622028z00, BGl_z62lambda1212z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1842z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2029za7, BGl_z62zc3z04anonymousza31224ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1930z00zz__pth_threadz00, BgL_bgl_string1930za700za7za7_2030za7, "&thread-start!-pthrea1148", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1843z00zz__pth_threadz00, BgL_bgl_za762lambda1223za7622031z00, BGl_z62lambda1223z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1931z00zz__pth_threadz00, BgL_bgl_string1931za700za7za7_2032za7, "Thread created before module initialization completed -- ", 57 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1844z00zz__pth_threadz00, BgL_bgl_za762lambda1222za7622033z00, BGl_z62lambda1222z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1932z00zz__pth_threadz00, BgL_bgl_string1932za700za7za7_2034za7, "make-thread", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1845z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2035za7, BGl_z62zc3z04anonymousza31231ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1933z00zz__pth_threadz00, BgL_bgl_string1933za700za7za7_2036za7, "&thread-initialize!-p1146", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1846z00zz__pth_threadz00, BgL_bgl_za762lambda1230za7622037z00, BGl_z62lambda1230z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1934z00zz__pth_threadz00, BgL_bgl_string1934za700za7za7_2038za7, "b", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1847z00zz__pth_threadz00, BgL_bgl_za762lambda1229za7622039z00, BGl_z62lambda1229z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1935z00zz__pth_threadz00, BgL_bgl_string1935za700za7za7_2040za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1848z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2041za7, BGl_z62zc3z04anonymousza31187ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1936z00zz__pth_threadz00, BgL_bgl_string1936za700za7za7_2042za7, "handler1088", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1849z00zz__pth_threadz00, BgL_bgl_za762lambda1185za7622043z00, BGl_z62lambda1185z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1937z00zz__pth_threadz00, BgL_bgl_string1937za700za7za7_2044za7, "<@exit:1416>~0:Wrong number of arguments", 40 );
DEFINE_STRING( BGl_string1938z00zz__pth_threadz00, BgL_bgl_string1938za700za7za7_2045za7, "<@exit:1415>~0", 14 );
DEFINE_STRING( BGl_string1939z00zz__pth_threadz00, BgL_bgl_string1939za700za7za7_2046za7, "pair", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1850z00zz__pth_threadz00, BgL_bgl_za762lambda1181za7622047z00, BGl_z62lambda1181z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1851z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2048za7, BGl_z62zc3z04anonymousza31253ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1852z00zz__pth_threadz00, BgL_bgl_za762lambda1251za7622049z00, BGl_z62lambda1251z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1853z00zz__pth_threadz00, BgL_bgl_za762lambda1243za7622050z00, BGl_z62lambda1243z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string1941z00zz__pth_threadz00, BgL_bgl_string1941za700za7za7_2051za7, "unwind-until!, ~a", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1854z00zz__pth_threadz00, BgL_bgl_za762lambda1288za7622052z00, BGl_z62lambda1288z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1942z00zz__pth_threadz00, BgL_bgl_string1942za700za7za7_2053za7, "exit out of thread dynamic scope", 32 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1855z00zz__pth_threadz00, BgL_bgl_za762lambda1287za7622054z00, BGl_z62lambda1287z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1943z00zz__pth_threadz00, BgL_bgl_string1943za700za7za7_2055za7, "&%user-thread-yield!-1144", 25 );
DEFINE_STRING( BGl_string1862z00zz__pth_threadz00, BgL_bgl_string1862za700za7za7_2056za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/pthread/src/Llib/pthread.scm", 68 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1856z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2057za7, BGl_z62zc3z04anonymousza31280ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1944z00zz__pth_threadz00, BgL_bgl_string1944za700za7za7_2058za7, "object-print-uncaugh1142", 24 );
DEFINE_STRING( BGl_string1863z00zz__pth_threadz00, BgL_bgl_string1863za700za7za7_2059za7, "&<@anonymous:1343>", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1857z00zz__pth_threadz00, BgL_bgl_za762lambda1271za7622060z00, BGl_z62lambda1271z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1945z00zz__pth_threadz00, BgL_bgl_string1945za700za7za7_2061za7, "object", 6 );
DEFINE_STRING( BGl_string1864z00zz__pth_threadz00, BgL_bgl_string1864za700za7za7_2062za7, "terminated-thread-exception", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1858z00zz__pth_threadz00, BgL_bgl_za762lambda1269za7622063z00, BGl_z62lambda1269z62zz__pth_threadz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1946z00zz__pth_threadz00, BgL_bgl_string1946za700za7za7_2064za7, "output-port", 11 );
DEFINE_STRING( BGl_string1865z00zz__pth_threadz00, BgL_bgl_string1865za700za7za7_2065za7, "&<@anonymous:1280>", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1859z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2066za7, BGl_z62zc3z04anonymousza31343ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1947z00zz__pth_threadz00, BgL_bgl_string1947za700za7za7_2067za7, "&object-print-uncaugh1142", 25 );
DEFINE_STRING( BGl_string1866z00zz__pth_threadz00, BgL_bgl_string1866za700za7za7_2068za7, "uncaught-exception", 18 );
DEFINE_STRING( BGl_string1948z00zz__pth_threadz00, BgL_bgl_string1948za700za7za7_2069za7, "object-display-uncau1140", 24 );
DEFINE_STRING( BGl_string1867z00zz__pth_threadz00, BgL_bgl_string1867za700za7za7_2070za7, "&lambda1288", 11 );
DEFINE_STRING( BGl_string1949z00zz__pth_threadz00, BgL_bgl_string1949za700za7za7_2071za7, "&object-display-uncau1140", 25 );
DEFINE_STRING( BGl_string1868z00zz__pth_threadz00, BgL_bgl_string1868za700za7za7_2072za7, "&lambda1287", 11 );
DEFINE_STRING( BGl_string1869z00zz__pth_threadz00, BgL_bgl_string1869za700za7za7_2073za7, "&<@anonymous:1253>", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1940z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2074za7, BGl_z62zc3z04anonymousza31536ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1860z00zz__pth_threadz00, BgL_bgl_za762lambda1341za7622075z00, BGl_z62lambda1341z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1861z00zz__pth_threadz00, BgL_bgl_za762lambda1339za7622076z00, BGl_z62lambda1339z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1950z00zz__pth_threadz00, BgL_bgl_string1950za700za7za7_2077za7, "object-write-uncaugh1138", 24 );
DEFINE_STRING( BGl_string1951z00zz__pth_threadz00, BgL_bgl_string1951za700za7za7_2078za7, "&object-write-uncaugh1138", 25 );
DEFINE_STRING( BGl_string1870z00zz__pth_threadz00, BgL_bgl_string1870za700za7za7_2079za7, "&thread-error", 13 );
DEFINE_STRING( BGl_string1952z00zz__pth_threadz00, BgL_bgl_string1952za700za7za7_2080za7, "__pth_thread", 12 );
DEFINE_STRING( BGl_string1871z00zz__pth_threadz00, BgL_bgl_string1871za700za7za7_2081za7, "&<@anonymous:1187>", 18 );
DEFINE_STRING( BGl_string1953z00zz__pth_threadz00, BgL_bgl_string1953za700za7za7_2082za7, "(funcall fun1537 fun1537) &pthread- & thread-join! (funcall fun1182 fun1182 new1122) terminated-thread-exception uncaught-exception reason &thread-error __pth_thread pthread $pthread $builtin end-exception obj end-result bool detachedp procedure body ", 251 );
DEFINE_STRING( BGl_string1872z00zz__pth_threadz00, BgL_bgl_string1872za700za7za7_2083za7, "pthread", 7 );
DEFINE_STRING( BGl_string1873z00zz__pth_threadz00, BgL_bgl_string1873za700za7za7_2084za7, "lambda1181", 10 );
DEFINE_STRING( BGl_string1874z00zz__pth_threadz00, BgL_bgl_string1874za700za7za7_2085za7, "procedure", 9 );
DEFINE_STRING( BGl_string1875z00zz__pth_threadz00, BgL_bgl_string1875za700za7za7_2086za7, "lambda1181:Wrong number of arguments", 36 );
DEFINE_STRING( BGl_string1876z00zz__pth_threadz00, BgL_bgl_string1876za700za7za7_2087za7, "&lambda1181", 11 );
DEFINE_STRING( BGl_string1877z00zz__pth_threadz00, BgL_bgl_string1877za700za7za7_2088za7, "void*", 5 );
DEFINE_STRING( BGl_string1878z00zz__pth_threadz00, BgL_bgl_string1878za700za7za7_2089za7, "&lambda1230", 11 );
DEFINE_STRING( BGl_string1879z00zz__pth_threadz00, BgL_bgl_string1879za700za7za7_2090za7, "&lambda1229", 11 );
DEFINE_STRING( BGl_string1880z00zz__pth_threadz00, BgL_bgl_string1880za700za7za7_2091za7, "&lambda1223", 11 );
DEFINE_STRING( BGl_string1881z00zz__pth_threadz00, BgL_bgl_string1881za700za7za7_2092za7, "&lambda1222", 11 );
DEFINE_STRING( BGl_string1882z00zz__pth_threadz00, BgL_bgl_string1882za700za7za7_2093za7, "&lambda1213", 11 );
DEFINE_STRING( BGl_string1883z00zz__pth_threadz00, BgL_bgl_string1883za700za7za7_2094za7, "&lambda1212", 11 );
DEFINE_STRING( BGl_string1884z00zz__pth_threadz00, BgL_bgl_string1884za700za7za7_2095za7, "&lambda1203", 11 );
DEFINE_STRING( BGl_string1885z00zz__pth_threadz00, BgL_bgl_string1885za700za7za7_2096za7, "&lambda1202", 11 );
DEFINE_STRING( BGl_string1886z00zz__pth_threadz00, BgL_bgl_string1886za700za7za7_2097za7, "&lambda1192", 11 );
DEFINE_STRING( BGl_string1887z00zz__pth_threadz00, BgL_bgl_string1887za700za7za7_2098za7, "&lambda1191", 11 );
DEFINE_STRING( BGl_string1889z00zz__pth_threadz00, BgL_bgl_string1889za700za7za7_2099za7, "object-write", 12 );
DEFINE_STRING( BGl_string1891z00zz__pth_threadz00, BgL_bgl_string1891za700za7za7_2100za7, "object-display", 14 );
DEFINE_STRING( BGl_string1893z00zz__pth_threadz00, BgL_bgl_string1893za700za7za7_2101za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1888z00zz__pth_threadz00, BgL_bgl_za762objectza7d2writ2102z00, va_generic_entry, BGl_z62objectzd2writezd2uncaugh1138z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1895z00zz__pth_threadz00, BgL_bgl_string1895za700za7za7_2103za7, "%user-thread-yield!", 19 );
DEFINE_STRING( BGl_string1897z00zz__pth_threadz00, BgL_bgl_string1897za700za7za7_2104za7, "thread-initialize!", 18 );
DEFINE_STRING( BGl_string1899z00zz__pth_threadz00, BgL_bgl_string1899za700za7za7_2105za7, "thread-start!", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1890z00zz__pth_threadz00, BgL_bgl_za762objectza7d2disp2106z00, va_generic_entry, BGl_z62objectzd2displayzd2uncau1140z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1892z00zz__pth_threadz00, BgL_bgl_za762objectza7d2prin2107z00, BGl_z62objectzd2printzd2uncaugh1142z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1894z00zz__pth_threadz00, BgL_bgl_za762za752userza7d2thr2108za7, BGl_z62z52userzd2threadzd2yieldz12zd21144zf0zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1896z00zz__pth_threadz00, BgL_bgl_za762threadza7d2init2109z00, BGl_z62threadzd2initializa7ez12zd2p1146zd7zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1898z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star2110z00, va_generic_entry, BGl_z62threadzd2startz12zd2pthrea1148z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42pthreadzd2nilzd2envz42zz__pth_threadz00, BgL_bgl_za762za742pthreadza7d22111za7, BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2terminatez12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_pthreadz00zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_z62threadzd2errorzb0zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_uncaughtzd2exceptionzd2zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long BgL_checksumz00_2369, char * BgL_fromz00_2370)
{
{ 
if(
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(
(long)CINT(
BINT(
BGl_bitzd2andzd2zz__bitz00(BgL_checksumz00_2369, ((long)83184781)))), BgL_checksumz00_2369))
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pth_threadz00))
{ 
BGl_requirezd2initializa7ationz75zz__pth_threadz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__pth_threadz00(); 
BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_cnstzd2initzd2zz__pth_threadz00(); 
BGl_importedzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_objectzd2initzd2zz__pth_threadz00(); 
BGl_methodzd2initzd2zz__pth_threadz00(); 
return 
BGl_toplevelzd2initzd2zz__pth_threadz00();}  else 
{ 
return BUNSPEC;} }  else 
{ 
 char * BgL_sz00_2373;
BgL_sz00_2373 = 
"__pth_thread"; 
return 
BGl_modulezd2initzd2errorz00zz__errorz00(BgL_sz00_2373, BgL_fromz00_2370);} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__libraryz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__pth_thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_cportz00_881;
{ /* Llib/pthread.scm 15 */
 obj_t BgL_stringz00_889;
BgL_stringz00_889 = BGl_string1953z00zz__pth_threadz00; 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_startz00_890;
BgL_startz00_890 = 
BINT(((long)0)); 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_endz00_891;
BgL_endz00_891 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_889))); 
{ /* Llib/pthread.scm 15 */

BgL_cportz00_881 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_889, BgL_startz00_890, BgL_endz00_891); } } } } 
{ 
 long BgL_iz00_882;
BgL_iz00_882 = ((long)19); 
BgL_loopz00_883:
if(
(BgL_iz00_882==((long)-1)))
{ /* Llib/pthread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_arg1955z00_885;
{ /* Llib/pthread.scm 15 */

{ /* Llib/pthread.scm 15 */
 obj_t BgL_locationz00_887;
BgL_locationz00_887 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pthread.scm 15 */

BgL_arg1955z00_885 = 
BGl_readz00zz__readerz00(BgL_cportz00_881, BgL_locationz00_887); } } } 
{ /* Llib/pthread.scm 15 */
 int BgL_tmpz00_2419;
BgL_tmpz00_2419 = 
(int)(BgL_iz00_882); 
CNST_TABLE_SET(BgL_tmpz00_2419, BgL_arg1955z00_885); } } 
{ /* Llib/pthread.scm 15 */
 int BgL_auxz00_888;
BgL_auxz00_888 = 
(int)(
(BgL_iz00_882-((long)1))); 
{ 
 long BgL_iz00_2424;
BgL_iz00_2424 = 
(long)(BgL_auxz00_888); 
BgL_iz00_882 = BgL_iz00_2424; 
goto BgL_loopz00_883;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(((bool_t)1)); 
return 
BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();} 

}



/* $pthread-nil */
BGL_EXPORTED_DEF void * BGl_z42pthreadzd2nilz90zz__pth_threadz00()
{
{ /* Llib/pthread.scm 205 */
return 
(0L);} 

}



/* &$pthread-nil */
obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t BgL_envz00_500)
{
{ /* Llib/pthread.scm 205 */
return 
void_star_to_obj(
BGl_z42pthreadzd2nilz90zz__pth_threadz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1179z00_35; obj_t BgL_arg1180z00_36;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1129z00_53;
BgL_v1129z00_53 = 
create_vector(((long)5)); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1188z00_54;
BgL_arg1188z00_54 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1835z00zz__pth_threadz00, BGl_proc1834z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1129z00_53,((long)0),BgL_arg1188z00_54); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1197z00_64;
BgL_arg1197z00_64 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1838z00zz__pth_threadz00, BGl_proc1837z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1836z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1129z00_53,((long)1),BgL_arg1197z00_64); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1205z00_77;
BgL_arg1205z00_77 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1841z00zz__pth_threadz00, BGl_proc1840z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1839z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1129z00_53,((long)2),BgL_arg1205z00_77); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1215z00_90;
BgL_arg1215z00_90 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1844z00zz__pth_threadz00, BGl_proc1843z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1842z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1129z00_53,((long)3),BgL_arg1215z00_90); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1225z00_103;
BgL_arg1225z00_103 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc1847z00zz__pth_threadz00, BGl_proc1846z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1845z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1129z00_53,((long)4),BgL_arg1225z00_103); } 
BgL_arg1179z00_35 = BgL_v1129z00_53; } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1130z00_116;
BgL_v1130z00_116 = 
create_vector(((long)0)); 
BgL_arg1180z00_36 = BgL_v1130z00_116; } 
BGl_pthreadz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)10)), BGl_threadz00zz__threadz00, ((long)35369), BGl_proc1850z00zz__pth_threadz00, BGl_proc1849z00zz__pth_threadz00, BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_proc1848z00zz__pth_threadz00, BFALSE, BgL_arg1179z00_35, BgL_arg1180z00_36); } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_arg1239z00_123; obj_t BgL_arg1242z00_124;
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1131z00_140;
BgL_v1131z00_140 = 
create_vector(((long)0)); 
BgL_arg1239z00_123 = BgL_v1131z00_140; } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1132z00_141;
BgL_v1132z00_141 = 
create_vector(((long)0)); 
BgL_arg1242z00_124 = BgL_v1132z00_141; } 
BGl_z62threadzd2errorzb0zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)10)), BGl_z62errorz62zz__objectz00, ((long)52138), BGl_proc1853z00zz__pth_threadz00, BGl_proc1852z00zz__pth_threadz00, BFALSE, BGl_proc1851z00zz__pth_threadz00, BFALSE, BgL_arg1239z00_123, BgL_arg1242z00_124); } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1267z00_148; obj_t BgL_arg1268z00_149;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1133z00_163;
BgL_v1133z00_163 = 
create_vector(((long)1)); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1283z00_164;
BgL_arg1283z00_164 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc1855z00zz__pth_threadz00, BGl_proc1854z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1133z00_163,((long)0),BgL_arg1283z00_164); } 
BgL_arg1267z00_148 = BgL_v1133z00_163; } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1134z00_174;
BgL_v1134z00_174 = 
create_vector(((long)0)); 
BgL_arg1268z00_149 = BgL_v1134z00_174; } 
BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)13)), 
CNST_TABLE_REF(((long)10)), BGl_z62exceptionz62zz__objectz00, ((long)30717), BGl_proc1858z00zz__pth_threadz00, BGl_proc1857z00zz__pth_threadz00, BFALSE, BGl_proc1856z00zz__pth_threadz00, BFALSE, BgL_arg1267z00_148, BgL_arg1268z00_149); } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_arg1333z00_181; obj_t BgL_arg1338z00_182;
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1135z00_195;
BgL_v1135z00_195 = 
create_vector(((long)0)); 
BgL_arg1333z00_181 = BgL_v1135z00_195; } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1136z00_196;
BgL_v1136z00_196 = 
create_vector(((long)0)); 
BgL_arg1338z00_182 = BgL_v1136z00_196; } 
return ( 
BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)14)), 
CNST_TABLE_REF(((long)10)), BGl_z62exceptionz62zz__objectz00, ((long)35176), BGl_proc1861z00zz__pth_threadz00, BGl_proc1860z00zz__pth_threadz00, BFALSE, BGl_proc1859z00zz__pth_threadz00, BFALSE, BgL_arg1333z00_181, BgL_arg1338z00_182), BUNSPEC) ;} } 

}



/* &<@anonymous:1343> */
obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__pth_threadz00(obj_t BgL_envz00_532, obj_t BgL_new1078z00_533)
{
{ /* Llib/pthread.scm 42 */
{ 
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_auxz00_2476;
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1078z00_931;
{ /* Llib/pthread.scm 42 */
 bool_t BgL_test2115z00_2477;
{ /* Llib/pthread.scm 42 */
 obj_t BgL_classz00_893;
BgL_classz00_893 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_new1078z00_533))
{ /* Llib/pthread.scm 42 */
 BgL_objectz00_bglt BgL_arg1799z00_895; long BgL_arg1800z00_896;
BgL_arg1799z00_895 = 
(BgL_objectz00_bglt)(BgL_new1078z00_533); 
BgL_arg1800z00_896 = 
BGL_CLASS_DEPTH(BgL_classz00_893); 
{ /* Llib/pthread.scm 42 */
 bool_t BgL_arg1794z00_900; bool_t BgL_arg1795z00_901;
{ /* Llib/pthread.scm 42 */
 long BgL_idxz00_905;
BgL_idxz00_905 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_895); 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_arg1791z00_906;
{ /* Llib/pthread.scm 42 */
 long BgL_arg1792z00_907;
BgL_arg1792z00_907 = 
(BgL_idxz00_905+BgL_arg1800z00_896); 
BgL_arg1791z00_906 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_907); } 
BgL_arg1794z00_900 = 
(BgL_arg1791z00_906==BgL_classz00_893); } } 
{ /* Llib/pthread.scm 42 */
 bool_t BgL_res1956z00_930;
{ /* Llib/pthread.scm 42 */
 obj_t BgL_oclassz00_915;
{ /* Llib/pthread.scm 42 */
 long BgL_arg1804z00_921;
{ /* Llib/pthread.scm 42 */
 long BgL_arg1805z00_922;
BgL_arg1805z00_922 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_895); 
BgL_arg1804z00_921 = 
(BgL_arg1805z00_922-OBJECT_TYPE); } 
BgL_oclassz00_915 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_921); } 
{ /* Llib/pthread.scm 42 */
 bool_t BgL__ortest_1111z00_916;
BgL__ortest_1111z00_916 = 
(BgL_classz00_893==BgL_oclassz00_915); 
if(BgL__ortest_1111z00_916)
{ /* Llib/pthread.scm 42 */
BgL_res1956z00_930 = BgL__ortest_1111z00_916; }  else 
{ /* Llib/pthread.scm 42 */
 long BgL_odepthz00_917;
BgL_odepthz00_917 = 
BGL_CLASS_DEPTH(BgL_oclassz00_915); 
if(
(BgL_arg1800z00_896<BgL_odepthz00_917))
{ /* Llib/pthread.scm 42 */
 obj_t BgL_arg1793z00_919;
BgL_arg1793z00_919 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_915, BgL_arg1800z00_896); 
BgL_res1956z00_930 = 
(BgL_arg1793z00_919==BgL_classz00_893); }  else 
{ /* Llib/pthread.scm 42 */
BgL_res1956z00_930 = ((bool_t)0); } } } } 
BgL_arg1795z00_901 = BgL_res1956z00_930; } 
BgL_test2115z00_2477 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_900, BgL_arg1795z00_901); } }  else 
{ /* Llib/pthread.scm 42 */
BgL_test2115z00_2477 = ((bool_t)0)
; } } 
if(BgL_test2115z00_2477)
{ /* Llib/pthread.scm 42 */
BgL_new1078z00_931 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1078z00_533); }  else 
{ 
 obj_t BgL_auxz00_2498;
BgL_auxz00_2498 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1701)), BGl_string1863z00zz__pth_threadz00, BGl_string1864z00zz__pth_threadz00, BgL_new1078z00_533); 
FAILURE(BgL_auxz00_2498,BFALSE,BFALSE);} } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_931)))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_931)))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_931)))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2476 = BgL_new1078z00_931; } 
return 
((obj_t)BgL_auxz00_2476);} } 

}



/* &lambda1341 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1341z62zz__pth_threadz00(obj_t BgL_envz00_534)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1077z00_932;
BgL_new1077z00_932 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1342z00_933;
BgL_arg1342z00_933 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_932), BgL_arg1342z00_933); } 
return BgL_new1077z00_932;} } 

}



/* &lambda1339 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1339z62zz__pth_threadz00(obj_t BgL_envz00_535, obj_t BgL_fname1074z00_536, obj_t BgL_location1075z00_537, obj_t BgL_stack1076z00_538)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1128z00_934;
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1127z00_935;
BgL_new1127z00_935 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1340z00_936;
BgL_arg1340z00_936 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_935), BgL_arg1340z00_936); } 
BgL_new1128z00_934 = BgL_new1127z00_935; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1128z00_934)))->BgL_fnamez00)=((obj_t)BgL_fname1074z00_536),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1128z00_934)))->BgL_locationz00)=((obj_t)BgL_location1075z00_537),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1128z00_934)))->BgL_stackz00)=((obj_t)BgL_stack1076z00_538),BUNSPEC); 
return BgL_new1128z00_934;} } 

}



/* &<@anonymous:1280> */
obj_t BGl_z62zc3z04anonymousza31280ze3ze5zz__pth_threadz00(obj_t BgL_envz00_539, obj_t BgL_new1072z00_540)
{
{ /* Llib/pthread.scm 39 */
{ 
 BgL_uncaughtzd2exceptionzd2_bglt BgL_auxz00_2523;
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1072z00_975;
{ /* Llib/pthread.scm 39 */
 bool_t BgL_test2119z00_2524;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_classz00_937;
BgL_classz00_937 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_new1072z00_540))
{ /* Llib/pthread.scm 39 */
 BgL_objectz00_bglt BgL_arg1799z00_939; long BgL_arg1800z00_940;
BgL_arg1799z00_939 = 
(BgL_objectz00_bglt)(BgL_new1072z00_540); 
BgL_arg1800z00_940 = 
BGL_CLASS_DEPTH(BgL_classz00_937); 
{ /* Llib/pthread.scm 39 */
 bool_t BgL_arg1794z00_944; bool_t BgL_arg1795z00_945;
{ /* Llib/pthread.scm 39 */
 long BgL_idxz00_949;
BgL_idxz00_949 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_939); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1791z00_950;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1792z00_951;
BgL_arg1792z00_951 = 
(BgL_idxz00_949+BgL_arg1800z00_940); 
BgL_arg1791z00_950 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_951); } 
BgL_arg1794z00_944 = 
(BgL_arg1791z00_950==BgL_classz00_937); } } 
{ /* Llib/pthread.scm 39 */
 bool_t BgL_res1957z00_974;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_oclassz00_959;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1804z00_965;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1805z00_966;
BgL_arg1805z00_966 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_939); 
BgL_arg1804z00_965 = 
(BgL_arg1805z00_966-OBJECT_TYPE); } 
BgL_oclassz00_959 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_965); } 
{ /* Llib/pthread.scm 39 */
 bool_t BgL__ortest_1111z00_960;
BgL__ortest_1111z00_960 = 
(BgL_classz00_937==BgL_oclassz00_959); 
if(BgL__ortest_1111z00_960)
{ /* Llib/pthread.scm 39 */
BgL_res1957z00_974 = BgL__ortest_1111z00_960; }  else 
{ /* Llib/pthread.scm 39 */
 long BgL_odepthz00_961;
BgL_odepthz00_961 = 
BGL_CLASS_DEPTH(BgL_oclassz00_959); 
if(
(BgL_arg1800z00_940<BgL_odepthz00_961))
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1793z00_963;
BgL_arg1793z00_963 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_959, BgL_arg1800z00_940); 
BgL_res1957z00_974 = 
(BgL_arg1793z00_963==BgL_classz00_937); }  else 
{ /* Llib/pthread.scm 39 */
BgL_res1957z00_974 = ((bool_t)0); } } } } 
BgL_arg1795z00_945 = BgL_res1957z00_974; } 
BgL_test2119z00_2524 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_944, BgL_arg1795z00_945); } }  else 
{ /* Llib/pthread.scm 39 */
BgL_test2119z00_2524 = ((bool_t)0)
; } } 
if(BgL_test2119z00_2524)
{ /* Llib/pthread.scm 39 */
BgL_new1072z00_975 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1072z00_540); }  else 
{ 
 obj_t BgL_auxz00_2545;
BgL_auxz00_2545 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1626)), BGl_string1865z00zz__pth_threadz00, BGl_string1866z00zz__pth_threadz00, BgL_new1072z00_540); 
FAILURE(BgL_auxz00_2545,BFALSE,BFALSE);} } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_975)))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_975)))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_975)))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1072z00_975))->BgL_reasonz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2523 = BgL_new1072z00_975; } 
return 
((obj_t)BgL_auxz00_2523);} } 

}



/* &lambda1271 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1271z62zz__pth_threadz00(obj_t BgL_envz00_541)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1071z00_976;
BgL_new1071z00_976 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1279z00_977;
BgL_arg1279z00_977 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_976), BgL_arg1279z00_977); } 
return BgL_new1071z00_976;} } 

}



/* &lambda1269 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1269z62zz__pth_threadz00(obj_t BgL_envz00_542, obj_t BgL_fname1067z00_543, obj_t BgL_location1068z00_544, obj_t BgL_stack1069z00_545, obj_t BgL_reason1070z00_546)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1126z00_978;
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1125z00_979;
BgL_new1125z00_979 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1270z00_980;
BgL_arg1270z00_980 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_979), BgL_arg1270z00_980); } 
BgL_new1126z00_978 = BgL_new1125z00_979; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1126z00_978)))->BgL_fnamez00)=((obj_t)BgL_fname1067z00_543),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1126z00_978)))->BgL_locationz00)=((obj_t)BgL_location1068z00_544),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1126z00_978)))->BgL_stackz00)=((obj_t)BgL_stack1069z00_545),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1126z00_978))->BgL_reasonz00)=((obj_t)BgL_reason1070z00_546),BUNSPEC); 
return BgL_new1126z00_978;} } 

}



/* &lambda1288 */
obj_t BGl_z62lambda1288z62zz__pth_threadz00(obj_t BgL_envz00_547, obj_t BgL_oz00_548, obj_t BgL_vz00_549)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_1019;
{ /* Llib/pthread.scm 39 */
 bool_t BgL_test2123z00_2572;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_classz00_981;
BgL_classz00_981 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_548))
{ /* Llib/pthread.scm 39 */
 BgL_objectz00_bglt BgL_arg1799z00_983; long BgL_arg1800z00_984;
BgL_arg1799z00_983 = 
(BgL_objectz00_bglt)(BgL_oz00_548); 
BgL_arg1800z00_984 = 
BGL_CLASS_DEPTH(BgL_classz00_981); 
{ /* Llib/pthread.scm 39 */
 bool_t BgL_arg1794z00_988; bool_t BgL_arg1795z00_989;
{ /* Llib/pthread.scm 39 */
 long BgL_idxz00_993;
BgL_idxz00_993 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_983); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1791z00_994;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1792z00_995;
BgL_arg1792z00_995 = 
(BgL_idxz00_993+BgL_arg1800z00_984); 
BgL_arg1791z00_994 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_995); } 
BgL_arg1794z00_988 = 
(BgL_arg1791z00_994==BgL_classz00_981); } } 
{ /* Llib/pthread.scm 39 */
 bool_t BgL_res1958z00_1018;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_oclassz00_1003;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1804z00_1009;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1805z00_1010;
BgL_arg1805z00_1010 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_983); 
BgL_arg1804z00_1009 = 
(BgL_arg1805z00_1010-OBJECT_TYPE); } 
BgL_oclassz00_1003 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1009); } 
{ /* Llib/pthread.scm 39 */
 bool_t BgL__ortest_1111z00_1004;
BgL__ortest_1111z00_1004 = 
(BgL_classz00_981==BgL_oclassz00_1003); 
if(BgL__ortest_1111z00_1004)
{ /* Llib/pthread.scm 39 */
BgL_res1958z00_1018 = BgL__ortest_1111z00_1004; }  else 
{ /* Llib/pthread.scm 39 */
 long BgL_odepthz00_1005;
BgL_odepthz00_1005 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1003); 
if(
(BgL_arg1800z00_984<BgL_odepthz00_1005))
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1793z00_1007;
BgL_arg1793z00_1007 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1003, BgL_arg1800z00_984); 
BgL_res1958z00_1018 = 
(BgL_arg1793z00_1007==BgL_classz00_981); }  else 
{ /* Llib/pthread.scm 39 */
BgL_res1958z00_1018 = ((bool_t)0); } } } } 
BgL_arg1795z00_989 = BgL_res1958z00_1018; } 
BgL_test2123z00_2572 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_988, BgL_arg1795z00_989); } }  else 
{ /* Llib/pthread.scm 39 */
BgL_test2123z00_2572 = ((bool_t)0)
; } } 
if(BgL_test2123z00_2572)
{ /* Llib/pthread.scm 39 */
BgL_oz00_1019 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_548); }  else 
{ 
 obj_t BgL_auxz00_2593;
BgL_auxz00_2593 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1626)), BGl_string1867z00zz__pth_threadz00, BGl_string1866z00zz__pth_threadz00, BgL_oz00_548); 
FAILURE(BgL_auxz00_2593,BFALSE,BFALSE);} } 
return 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_1019))->BgL_reasonz00)=((obj_t)BgL_vz00_549),BUNSPEC);} } 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__pth_threadz00(obj_t BgL_envz00_550, obj_t BgL_oz00_551)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_1058;
{ /* Llib/pthread.scm 39 */
 bool_t BgL_test2127z00_2598;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_classz00_1020;
BgL_classz00_1020 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_551))
{ /* Llib/pthread.scm 39 */
 BgL_objectz00_bglt BgL_arg1799z00_1022; long BgL_arg1800z00_1023;
BgL_arg1799z00_1022 = 
(BgL_objectz00_bglt)(BgL_oz00_551); 
BgL_arg1800z00_1023 = 
BGL_CLASS_DEPTH(BgL_classz00_1020); 
{ /* Llib/pthread.scm 39 */
 bool_t BgL_arg1794z00_1027; bool_t BgL_arg1795z00_1028;
{ /* Llib/pthread.scm 39 */
 long BgL_idxz00_1032;
BgL_idxz00_1032 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1022); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1791z00_1033;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1792z00_1034;
BgL_arg1792z00_1034 = 
(BgL_idxz00_1032+BgL_arg1800z00_1023); 
BgL_arg1791z00_1033 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1034); } 
BgL_arg1794z00_1027 = 
(BgL_arg1791z00_1033==BgL_classz00_1020); } } 
{ /* Llib/pthread.scm 39 */
 bool_t BgL_res1959z00_1057;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_oclassz00_1042;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1804z00_1048;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1805z00_1049;
BgL_arg1805z00_1049 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1022); 
BgL_arg1804z00_1048 = 
(BgL_arg1805z00_1049-OBJECT_TYPE); } 
BgL_oclassz00_1042 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1048); } 
{ /* Llib/pthread.scm 39 */
 bool_t BgL__ortest_1111z00_1043;
BgL__ortest_1111z00_1043 = 
(BgL_classz00_1020==BgL_oclassz00_1042); 
if(BgL__ortest_1111z00_1043)
{ /* Llib/pthread.scm 39 */
BgL_res1959z00_1057 = BgL__ortest_1111z00_1043; }  else 
{ /* Llib/pthread.scm 39 */
 long BgL_odepthz00_1044;
BgL_odepthz00_1044 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1042); 
if(
(BgL_arg1800z00_1023<BgL_odepthz00_1044))
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1793z00_1046;
BgL_arg1793z00_1046 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1042, BgL_arg1800z00_1023); 
BgL_res1959z00_1057 = 
(BgL_arg1793z00_1046==BgL_classz00_1020); }  else 
{ /* Llib/pthread.scm 39 */
BgL_res1959z00_1057 = ((bool_t)0); } } } } 
BgL_arg1795z00_1028 = BgL_res1959z00_1057; } 
BgL_test2127z00_2598 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1027, BgL_arg1795z00_1028); } }  else 
{ /* Llib/pthread.scm 39 */
BgL_test2127z00_2598 = ((bool_t)0)
; } } 
if(BgL_test2127z00_2598)
{ /* Llib/pthread.scm 39 */
BgL_oz00_1058 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_551); }  else 
{ 
 obj_t BgL_auxz00_2619;
BgL_auxz00_2619 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1626)), BGl_string1868z00zz__pth_threadz00, BGl_string1866z00zz__pth_threadz00, BgL_oz00_551); 
FAILURE(BgL_auxz00_2619,BFALSE,BFALSE);} } 
return 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_1058))->BgL_reasonz00);} } 

}



/* &<@anonymous:1253> */
obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__pth_threadz00(obj_t BgL_envz00_552, obj_t BgL_new1065z00_553)
{
{ /* Llib/pthread.scm 37 */
{ 
 BgL_z62threadzd2errorzb0_bglt BgL_auxz00_2624;
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1065z00_1097;
{ /* Llib/pthread.scm 37 */
 bool_t BgL_test2131z00_2625;
{ /* Llib/pthread.scm 37 */
 obj_t BgL_classz00_1059;
BgL_classz00_1059 = BGl_z62threadzd2errorzb0zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_new1065z00_553))
{ /* Llib/pthread.scm 37 */
 BgL_objectz00_bglt BgL_arg1799z00_1061; long BgL_arg1800z00_1062;
BgL_arg1799z00_1061 = 
(BgL_objectz00_bglt)(BgL_new1065z00_553); 
BgL_arg1800z00_1062 = 
BGL_CLASS_DEPTH(BgL_classz00_1059); 
{ /* Llib/pthread.scm 37 */
 bool_t BgL_arg1794z00_1066; bool_t BgL_arg1795z00_1067;
{ /* Llib/pthread.scm 37 */
 long BgL_idxz00_1071;
BgL_idxz00_1071 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1061); 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_arg1791z00_1072;
{ /* Llib/pthread.scm 37 */
 long BgL_arg1792z00_1073;
BgL_arg1792z00_1073 = 
(BgL_idxz00_1071+BgL_arg1800z00_1062); 
BgL_arg1791z00_1072 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1073); } 
BgL_arg1794z00_1066 = 
(BgL_arg1791z00_1072==BgL_classz00_1059); } } 
{ /* Llib/pthread.scm 37 */
 bool_t BgL_res1960z00_1096;
{ /* Llib/pthread.scm 37 */
 obj_t BgL_oclassz00_1081;
{ /* Llib/pthread.scm 37 */
 long BgL_arg1804z00_1087;
{ /* Llib/pthread.scm 37 */
 long BgL_arg1805z00_1088;
BgL_arg1805z00_1088 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1061); 
BgL_arg1804z00_1087 = 
(BgL_arg1805z00_1088-OBJECT_TYPE); } 
BgL_oclassz00_1081 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1087); } 
{ /* Llib/pthread.scm 37 */
 bool_t BgL__ortest_1111z00_1082;
BgL__ortest_1111z00_1082 = 
(BgL_classz00_1059==BgL_oclassz00_1081); 
if(BgL__ortest_1111z00_1082)
{ /* Llib/pthread.scm 37 */
BgL_res1960z00_1096 = BgL__ortest_1111z00_1082; }  else 
{ /* Llib/pthread.scm 37 */
 long BgL_odepthz00_1083;
BgL_odepthz00_1083 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1081); 
if(
(BgL_arg1800z00_1062<BgL_odepthz00_1083))
{ /* Llib/pthread.scm 37 */
 obj_t BgL_arg1793z00_1085;
BgL_arg1793z00_1085 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1081, BgL_arg1800z00_1062); 
BgL_res1960z00_1096 = 
(BgL_arg1793z00_1085==BgL_classz00_1059); }  else 
{ /* Llib/pthread.scm 37 */
BgL_res1960z00_1096 = ((bool_t)0); } } } } 
BgL_arg1795z00_1067 = BgL_res1960z00_1096; } 
BgL_test2131z00_2625 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1066, BgL_arg1795z00_1067); } }  else 
{ /* Llib/pthread.scm 37 */
BgL_test2131z00_2625 = ((bool_t)0)
; } } 
if(BgL_test2131z00_2625)
{ /* Llib/pthread.scm 37 */
BgL_new1065z00_1097 = 
((BgL_z62threadzd2errorzb0_bglt)BgL_new1065z00_553); }  else 
{ 
 obj_t BgL_auxz00_2646;
BgL_auxz00_2646 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1587)), BGl_string1869z00zz__pth_threadz00, BGl_string1870z00zz__pth_threadz00, BgL_new1065z00_553); 
FAILURE(BgL_auxz00_2646,BFALSE,BFALSE);} } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_1097)))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_1097)))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_1097)))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_1097)))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_1097)))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_1097)))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2624 = BgL_new1065z00_1097; } 
return 
((obj_t)BgL_auxz00_2624);} } 

}



/* &lambda1251 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1251z62zz__pth_threadz00(obj_t BgL_envz00_554)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1064z00_1098;
BgL_new1064z00_1098 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1252z00_1099;
BgL_arg1252z00_1099 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_1098), BgL_arg1252z00_1099); } 
return BgL_new1064z00_1098;} } 

}



/* &lambda1243 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1243z62zz__pth_threadz00(obj_t BgL_envz00_555, obj_t BgL_fname1058z00_556, obj_t BgL_location1059z00_557, obj_t BgL_stack1060z00_558, obj_t BgL_proc1061z00_559, obj_t BgL_msg1062z00_560, obj_t BgL_obj1063z00_561)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1124z00_1100;
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1123z00_1101;
BgL_new1123z00_1101 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1250z00_1102;
BgL_arg1250z00_1102 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_1101), BgL_arg1250z00_1102); } 
BgL_new1124z00_1100 = BgL_new1123z00_1101; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1124z00_1100)))->BgL_fnamez00)=((obj_t)BgL_fname1058z00_556),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1124z00_1100)))->BgL_locationz00)=((obj_t)BgL_location1059z00_557),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1124z00_1100)))->BgL_stackz00)=((obj_t)BgL_stack1060z00_558),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1124z00_1100)))->BgL_procz00)=((obj_t)BgL_proc1061z00_559),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1124z00_1100)))->BgL_msgz00)=((obj_t)BgL_msg1062z00_560),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1124z00_1100)))->BgL_objz00)=((obj_t)BgL_obj1063z00_561),BUNSPEC); 
return BgL_new1124z00_1100;} } 

}



/* &<@anonymous:1187> */
obj_t BGl_z62zc3z04anonymousza31187ze3ze5zz__pth_threadz00(obj_t BgL_envz00_562, obj_t BgL_new1056z00_563)
{
{ /* Llib/pthread.scm 25 */
{ 
 BgL_pthreadz00_bglt BgL_auxz00_2683;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1056z00_1141;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2135z00_2684;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1103;
BgL_classz00_1103 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_new1056z00_563))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1799z00_1105; long BgL_arg1800z00_1106;
BgL_arg1799z00_1105 = 
(BgL_objectz00_bglt)(BgL_new1056z00_563); 
BgL_arg1800z00_1106 = 
BGL_CLASS_DEPTH(BgL_classz00_1103); 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_arg1794z00_1110; bool_t BgL_arg1795z00_1111;
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1115;
BgL_idxz00_1115 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1105); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1791z00_1116;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1792z00_1117;
BgL_arg1792z00_1117 = 
(BgL_idxz00_1115+BgL_arg1800z00_1106); 
BgL_arg1791z00_1116 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1117); } 
BgL_arg1794z00_1110 = 
(BgL_arg1791z00_1116==BgL_classz00_1103); } } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1961z00_1140;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1125;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1804z00_1131;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1805z00_1132;
BgL_arg1805z00_1132 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1105); 
BgL_arg1804z00_1131 = 
(BgL_arg1805z00_1132-OBJECT_TYPE); } 
BgL_oclassz00_1125 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1131); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1111z00_1126;
BgL__ortest_1111z00_1126 = 
(BgL_classz00_1103==BgL_oclassz00_1125); 
if(BgL__ortest_1111z00_1126)
{ /* Llib/pthread.scm 25 */
BgL_res1961z00_1140 = BgL__ortest_1111z00_1126; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1127;
BgL_odepthz00_1127 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1125); 
if(
(BgL_arg1800z00_1106<BgL_odepthz00_1127))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1793z00_1129;
BgL_arg1793z00_1129 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1125, BgL_arg1800z00_1106); 
BgL_res1961z00_1140 = 
(BgL_arg1793z00_1129==BgL_classz00_1103); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1961z00_1140 = ((bool_t)0); } } } } 
BgL_arg1795z00_1111 = BgL_res1961z00_1140; } 
BgL_test2135z00_2684 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1110, BgL_arg1795z00_1111); } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2135z00_2684 = ((bool_t)0)
; } } 
if(BgL_test2135z00_2684)
{ /* Llib/pthread.scm 25 */
BgL_new1056z00_1141 = 
((BgL_pthreadz00_bglt)BgL_new1056z00_563); }  else 
{ 
 obj_t BgL_auxz00_2705;
BgL_auxz00_2705 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1871z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_new1056z00_563); 
FAILURE(BgL_auxz00_2705,BFALSE,BFALSE);} } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1056z00_1141)))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1056z00_1141))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1056z00_1141))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1056z00_1141))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1056z00_1141))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1056z00_1141))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_2683 = BgL_new1056z00_1141; } 
return 
((obj_t)BgL_auxz00_2683);} } 

}



/* &lambda1185 */
BgL_pthreadz00_bglt BGl_z62lambda1185z62zz__pth_threadz00(obj_t BgL_envz00_564)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1055z00_1142;
BgL_new1055z00_1142 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1186z00_1143;
BgL_arg1186z00_1143 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_1142), BgL_arg1186z00_1143); } 
return BgL_new1055z00_1142;} } 

}



/* &lambda1181 */
BgL_pthreadz00_bglt BGl_z62lambda1181z62zz__pth_threadz00(obj_t BgL_envz00_565, obj_t BgL_name1049z00_566, obj_t BgL_body1050z00_567, obj_t BgL_detachedp1051z00_568, obj_t BgL_endzd2result1052zd2_569, obj_t BgL_endzd2exception1053zd2_570, obj_t BgL_z42builtin1054z42_571)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 obj_t BgL_body1050z00_1144; bool_t BgL_detachedp1051z00_1145; void * BgL_z42builtin1054z42_1146;
if(
PROCEDUREP(BgL_body1050z00_567))
{ /* Llib/pthread.scm 25 */
BgL_body1050z00_1144 = BgL_body1050z00_567; }  else 
{ 
 obj_t BgL_auxz00_2724;
BgL_auxz00_2724 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1876z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_body1050z00_567); 
FAILURE(BgL_auxz00_2724,BFALSE,BFALSE);} 
BgL_detachedp1051z00_1145 = 
CBOOL(BgL_detachedp1051z00_568); 
if(
FOREIGNP(BgL_z42builtin1054z42_571))
{ /* Llib/pthread.scm 25 */
BgL_z42builtin1054z42_1146 = 
FOREIGN_TO_COBJ(BgL_z42builtin1054z42_571); }  else 
{ 
 obj_t BgL_auxz00_2732;
BgL_auxz00_2732 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1876z00zz__pth_threadz00, BGl_string1877z00zz__pth_threadz00, BgL_z42builtin1054z42_571); 
FAILURE(BgL_auxz00_2732,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1122z00_1147;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1121z00_1148;
BgL_new1121z00_1148 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1184z00_1149;
BgL_arg1184z00_1149 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_1148), BgL_arg1184z00_1149); } 
BgL_new1122z00_1147 = BgL_new1121z00_1148; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1122z00_1147)))->BgL_namez00)=((obj_t)BgL_name1049z00_566),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1122z00_1147))->BgL_bodyz00)=((obj_t)BgL_body1050z00_1144),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1122z00_1147))->BgL_detachedpz00)=((bool_t)BgL_detachedp1051z00_1145),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1122z00_1147))->BgL_endzd2resultzd2)=((obj_t)BgL_endzd2result1052zd2_569),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1122z00_1147))->BgL_endzd2exceptionzd2)=((obj_t)BgL_endzd2exception1053zd2_570),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1122z00_1147))->BgL_z42builtinz42)=((void *)BgL_z42builtin1054z42_1146),BUNSPEC); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_fun1182z00_1150;
BgL_fun1182z00_1150 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_funz00_1151;
if(
PROCEDUREP(BgL_fun1182z00_1150))
{ /* Llib/pthread.scm 25 */
BgL_funz00_1151 = BgL_fun1182z00_1150; }  else 
{ 
 obj_t BgL_auxz00_2750;
BgL_auxz00_2750 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1873z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_fun1182z00_1150); 
FAILURE(BgL_auxz00_2750,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1151, ((long)1)))
{ /* Llib/pthread.scm 25 */
PROCEDURE_ENTRY(BgL_funz00_1151)(BgL_fun1182z00_1150, 
((obj_t)BgL_new1122z00_1147), BEOA); }  else 
{ 
 obj_t BgL_auxz00_2761;
BgL_auxz00_2761 = 
CNST_TABLE_REF(((long)15)); 
FAILURE(BGl_string1875z00zz__pth_threadz00,BgL_auxz00_2761,BgL_funz00_1151);} } } 
return BgL_new1122z00_1147;} } } 

}



/* &<@anonymous:1231> */
obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__pth_threadz00(obj_t BgL_envz00_572)
{
{ /* Llib/pthread.scm 25 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1230 */
obj_t BGl_z62lambda1230z62zz__pth_threadz00(obj_t BgL_envz00_573, obj_t BgL_oz00_574, obj_t BgL_vz00_575)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1190; void * BgL_vz00_1191;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2143z00_2766;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1152;
BgL_classz00_1152 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_574))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1799z00_1154; long BgL_arg1800z00_1155;
BgL_arg1799z00_1154 = 
(BgL_objectz00_bglt)(BgL_oz00_574); 
BgL_arg1800z00_1155 = 
BGL_CLASS_DEPTH(BgL_classz00_1152); 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_arg1794z00_1159; bool_t BgL_arg1795z00_1160;
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1164;
BgL_idxz00_1164 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1154); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1791z00_1165;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1792z00_1166;
BgL_arg1792z00_1166 = 
(BgL_idxz00_1164+BgL_arg1800z00_1155); 
BgL_arg1791z00_1165 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1166); } 
BgL_arg1794z00_1159 = 
(BgL_arg1791z00_1165==BgL_classz00_1152); } } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1962z00_1189;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1174;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1804z00_1180;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1805z00_1181;
BgL_arg1805z00_1181 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1154); 
BgL_arg1804z00_1180 = 
(BgL_arg1805z00_1181-OBJECT_TYPE); } 
BgL_oclassz00_1174 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1180); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1111z00_1175;
BgL__ortest_1111z00_1175 = 
(BgL_classz00_1152==BgL_oclassz00_1174); 
if(BgL__ortest_1111z00_1175)
{ /* Llib/pthread.scm 25 */
BgL_res1962z00_1189 = BgL__ortest_1111z00_1175; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1176;
BgL_odepthz00_1176 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1174); 
if(
(BgL_arg1800z00_1155<BgL_odepthz00_1176))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1793z00_1178;
BgL_arg1793z00_1178 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1174, BgL_arg1800z00_1155); 
BgL_res1962z00_1189 = 
(BgL_arg1793z00_1178==BgL_classz00_1152); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1962z00_1189 = ((bool_t)0); } } } } 
BgL_arg1795z00_1160 = BgL_res1962z00_1189; } 
BgL_test2143z00_2766 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1159, BgL_arg1795z00_1160); } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2143z00_2766 = ((bool_t)0)
; } } 
if(BgL_test2143z00_2766)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1190 = 
((BgL_pthreadz00_bglt)BgL_oz00_574); }  else 
{ 
 obj_t BgL_auxz00_2787;
BgL_auxz00_2787 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1878z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_574); 
FAILURE(BgL_auxz00_2787,BFALSE,BFALSE);} } 
if(
FOREIGNP(BgL_vz00_575))
{ /* Llib/pthread.scm 25 */
BgL_vz00_1191 = 
FOREIGN_TO_COBJ(BgL_vz00_575); }  else 
{ 
 obj_t BgL_auxz00_2794;
BgL_auxz00_2794 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1878z00zz__pth_threadz00, BGl_string1877z00zz__pth_threadz00, BgL_vz00_575); 
FAILURE(BgL_auxz00_2794,BFALSE,BFALSE);} 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1190))->BgL_z42builtinz42)=((void *)BgL_vz00_1191),BUNSPEC);} } 

}



/* &lambda1229 */
obj_t BGl_z62lambda1229z62zz__pth_threadz00(obj_t BgL_envz00_576, obj_t BgL_oz00_577)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 void * BgL_tmpz00_2799;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1230;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2148z00_2800;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1192;
BgL_classz00_1192 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_577))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1799z00_1194; long BgL_arg1800z00_1195;
BgL_arg1799z00_1194 = 
(BgL_objectz00_bglt)(BgL_oz00_577); 
BgL_arg1800z00_1195 = 
BGL_CLASS_DEPTH(BgL_classz00_1192); 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_arg1794z00_1199; bool_t BgL_arg1795z00_1200;
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1204;
BgL_idxz00_1204 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1194); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1791z00_1205;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1792z00_1206;
BgL_arg1792z00_1206 = 
(BgL_idxz00_1204+BgL_arg1800z00_1195); 
BgL_arg1791z00_1205 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1206); } 
BgL_arg1794z00_1199 = 
(BgL_arg1791z00_1205==BgL_classz00_1192); } } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1963z00_1229;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1214;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1804z00_1220;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1805z00_1221;
BgL_arg1805z00_1221 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1194); 
BgL_arg1804z00_1220 = 
(BgL_arg1805z00_1221-OBJECT_TYPE); } 
BgL_oclassz00_1214 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1220); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1111z00_1215;
BgL__ortest_1111z00_1215 = 
(BgL_classz00_1192==BgL_oclassz00_1214); 
if(BgL__ortest_1111z00_1215)
{ /* Llib/pthread.scm 25 */
BgL_res1963z00_1229 = BgL__ortest_1111z00_1215; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1216;
BgL_odepthz00_1216 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1214); 
if(
(BgL_arg1800z00_1195<BgL_odepthz00_1216))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1793z00_1218;
BgL_arg1793z00_1218 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1214, BgL_arg1800z00_1195); 
BgL_res1963z00_1229 = 
(BgL_arg1793z00_1218==BgL_classz00_1192); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1963z00_1229 = ((bool_t)0); } } } } 
BgL_arg1795z00_1200 = BgL_res1963z00_1229; } 
BgL_test2148z00_2800 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1199, BgL_arg1795z00_1200); } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2148z00_2800 = ((bool_t)0)
; } } 
if(BgL_test2148z00_2800)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1230 = 
((BgL_pthreadz00_bglt)BgL_oz00_577); }  else 
{ 
 obj_t BgL_auxz00_2821;
BgL_auxz00_2821 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1879z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_577); 
FAILURE(BgL_auxz00_2821,BFALSE,BFALSE);} } 
BgL_tmpz00_2799 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1230))->BgL_z42builtinz42); } 
return 
void_star_to_obj(BgL_tmpz00_2799);} } 

}



/* &<@anonymous:1224> */
obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__pth_threadz00(obj_t BgL_envz00_578)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1223 */
obj_t BGl_z62lambda1223z62zz__pth_threadz00(obj_t BgL_envz00_579, obj_t BgL_oz00_580, obj_t BgL_vz00_581)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1269;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2152z00_2827;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1231;
BgL_classz00_1231 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_580))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1799z00_1233; long BgL_arg1800z00_1234;
BgL_arg1799z00_1233 = 
(BgL_objectz00_bglt)(BgL_oz00_580); 
BgL_arg1800z00_1234 = 
BGL_CLASS_DEPTH(BgL_classz00_1231); 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_arg1794z00_1238; bool_t BgL_arg1795z00_1239;
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1243;
BgL_idxz00_1243 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1233); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1791z00_1244;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1792z00_1245;
BgL_arg1792z00_1245 = 
(BgL_idxz00_1243+BgL_arg1800z00_1234); 
BgL_arg1791z00_1244 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1245); } 
BgL_arg1794z00_1238 = 
(BgL_arg1791z00_1244==BgL_classz00_1231); } } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1964z00_1268;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1253;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1804z00_1259;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1805z00_1260;
BgL_arg1805z00_1260 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1233); 
BgL_arg1804z00_1259 = 
(BgL_arg1805z00_1260-OBJECT_TYPE); } 
BgL_oclassz00_1253 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1259); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1111z00_1254;
BgL__ortest_1111z00_1254 = 
(BgL_classz00_1231==BgL_oclassz00_1253); 
if(BgL__ortest_1111z00_1254)
{ /* Llib/pthread.scm 25 */
BgL_res1964z00_1268 = BgL__ortest_1111z00_1254; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1255;
BgL_odepthz00_1255 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1253); 
if(
(BgL_arg1800z00_1234<BgL_odepthz00_1255))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1793z00_1257;
BgL_arg1793z00_1257 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1253, BgL_arg1800z00_1234); 
BgL_res1964z00_1268 = 
(BgL_arg1793z00_1257==BgL_classz00_1231); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1964z00_1268 = ((bool_t)0); } } } } 
BgL_arg1795z00_1239 = BgL_res1964z00_1268; } 
BgL_test2152z00_2827 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1238, BgL_arg1795z00_1239); } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2152z00_2827 = ((bool_t)0)
; } } 
if(BgL_test2152z00_2827)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1269 = 
((BgL_pthreadz00_bglt)BgL_oz00_580); }  else 
{ 
 obj_t BgL_auxz00_2848;
BgL_auxz00_2848 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1880z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_580); 
FAILURE(BgL_auxz00_2848,BFALSE,BFALSE);} } 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1269))->BgL_endzd2exceptionzd2)=((obj_t)BgL_vz00_581),BUNSPEC);} } 

}



/* &lambda1222 */
obj_t BGl_z62lambda1222z62zz__pth_threadz00(obj_t BgL_envz00_582, obj_t BgL_oz00_583)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1308;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2156z00_2853;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1270;
BgL_classz00_1270 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_583))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1799z00_1272; long BgL_arg1800z00_1273;
BgL_arg1799z00_1272 = 
(BgL_objectz00_bglt)(BgL_oz00_583); 
BgL_arg1800z00_1273 = 
BGL_CLASS_DEPTH(BgL_classz00_1270); 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_arg1794z00_1277; bool_t BgL_arg1795z00_1278;
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1282;
BgL_idxz00_1282 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1272); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1791z00_1283;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1792z00_1284;
BgL_arg1792z00_1284 = 
(BgL_idxz00_1282+BgL_arg1800z00_1273); 
BgL_arg1791z00_1283 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1284); } 
BgL_arg1794z00_1277 = 
(BgL_arg1791z00_1283==BgL_classz00_1270); } } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1965z00_1307;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1292;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1804z00_1298;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1805z00_1299;
BgL_arg1805z00_1299 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1272); 
BgL_arg1804z00_1298 = 
(BgL_arg1805z00_1299-OBJECT_TYPE); } 
BgL_oclassz00_1292 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1298); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1111z00_1293;
BgL__ortest_1111z00_1293 = 
(BgL_classz00_1270==BgL_oclassz00_1292); 
if(BgL__ortest_1111z00_1293)
{ /* Llib/pthread.scm 25 */
BgL_res1965z00_1307 = BgL__ortest_1111z00_1293; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1294;
BgL_odepthz00_1294 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1292); 
if(
(BgL_arg1800z00_1273<BgL_odepthz00_1294))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1793z00_1296;
BgL_arg1793z00_1296 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1292, BgL_arg1800z00_1273); 
BgL_res1965z00_1307 = 
(BgL_arg1793z00_1296==BgL_classz00_1270); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1965z00_1307 = ((bool_t)0); } } } } 
BgL_arg1795z00_1278 = BgL_res1965z00_1307; } 
BgL_test2156z00_2853 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1277, BgL_arg1795z00_1278); } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2156z00_2853 = ((bool_t)0)
; } } 
if(BgL_test2156z00_2853)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1308 = 
((BgL_pthreadz00_bglt)BgL_oz00_583); }  else 
{ 
 obj_t BgL_auxz00_2874;
BgL_auxz00_2874 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1881z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_583); 
FAILURE(BgL_auxz00_2874,BFALSE,BFALSE);} } 
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1308))->BgL_endzd2exceptionzd2);} } 

}



/* &<@anonymous:1214> */
obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00(obj_t BgL_envz00_584)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__pth_threadz00(obj_t BgL_envz00_585, obj_t BgL_oz00_586, obj_t BgL_vz00_587)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1347;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2160z00_2879;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1309;
BgL_classz00_1309 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_586))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1799z00_1311; long BgL_arg1800z00_1312;
BgL_arg1799z00_1311 = 
(BgL_objectz00_bglt)(BgL_oz00_586); 
BgL_arg1800z00_1312 = 
BGL_CLASS_DEPTH(BgL_classz00_1309); 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_arg1794z00_1316; bool_t BgL_arg1795z00_1317;
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1321;
BgL_idxz00_1321 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1311); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1791z00_1322;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1792z00_1323;
BgL_arg1792z00_1323 = 
(BgL_idxz00_1321+BgL_arg1800z00_1312); 
BgL_arg1791z00_1322 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1323); } 
BgL_arg1794z00_1316 = 
(BgL_arg1791z00_1322==BgL_classz00_1309); } } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1966z00_1346;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1331;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1804z00_1337;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1805z00_1338;
BgL_arg1805z00_1338 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1311); 
BgL_arg1804z00_1337 = 
(BgL_arg1805z00_1338-OBJECT_TYPE); } 
BgL_oclassz00_1331 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1337); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1111z00_1332;
BgL__ortest_1111z00_1332 = 
(BgL_classz00_1309==BgL_oclassz00_1331); 
if(BgL__ortest_1111z00_1332)
{ /* Llib/pthread.scm 25 */
BgL_res1966z00_1346 = BgL__ortest_1111z00_1332; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1333;
BgL_odepthz00_1333 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1331); 
if(
(BgL_arg1800z00_1312<BgL_odepthz00_1333))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1793z00_1335;
BgL_arg1793z00_1335 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1331, BgL_arg1800z00_1312); 
BgL_res1966z00_1346 = 
(BgL_arg1793z00_1335==BgL_classz00_1309); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1966z00_1346 = ((bool_t)0); } } } } 
BgL_arg1795z00_1317 = BgL_res1966z00_1346; } 
BgL_test2160z00_2879 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1316, BgL_arg1795z00_1317); } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2160z00_2879 = ((bool_t)0)
; } } 
if(BgL_test2160z00_2879)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1347 = 
((BgL_pthreadz00_bglt)BgL_oz00_586); }  else 
{ 
 obj_t BgL_auxz00_2900;
BgL_auxz00_2900 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1882z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_586); 
FAILURE(BgL_auxz00_2900,BFALSE,BFALSE);} } 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1347))->BgL_endzd2resultzd2)=((obj_t)BgL_vz00_587),BUNSPEC);} } 

}



/* &lambda1212 */
obj_t BGl_z62lambda1212z62zz__pth_threadz00(obj_t BgL_envz00_588, obj_t BgL_oz00_589)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1386;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2164z00_2905;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1348;
BgL_classz00_1348 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_589))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1799z00_1350; long BgL_arg1800z00_1351;
BgL_arg1799z00_1350 = 
(BgL_objectz00_bglt)(BgL_oz00_589); 
BgL_arg1800z00_1351 = 
BGL_CLASS_DEPTH(BgL_classz00_1348); 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_arg1794z00_1355; bool_t BgL_arg1795z00_1356;
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1360;
BgL_idxz00_1360 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1350); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1791z00_1361;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1792z00_1362;
BgL_arg1792z00_1362 = 
(BgL_idxz00_1360+BgL_arg1800z00_1351); 
BgL_arg1791z00_1361 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1362); } 
BgL_arg1794z00_1355 = 
(BgL_arg1791z00_1361==BgL_classz00_1348); } } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1967z00_1385;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1370;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1804z00_1376;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1805z00_1377;
BgL_arg1805z00_1377 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1350); 
BgL_arg1804z00_1376 = 
(BgL_arg1805z00_1377-OBJECT_TYPE); } 
BgL_oclassz00_1370 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1376); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1111z00_1371;
BgL__ortest_1111z00_1371 = 
(BgL_classz00_1348==BgL_oclassz00_1370); 
if(BgL__ortest_1111z00_1371)
{ /* Llib/pthread.scm 25 */
BgL_res1967z00_1385 = BgL__ortest_1111z00_1371; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1372;
BgL_odepthz00_1372 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1370); 
if(
(BgL_arg1800z00_1351<BgL_odepthz00_1372))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1793z00_1374;
BgL_arg1793z00_1374 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1370, BgL_arg1800z00_1351); 
BgL_res1967z00_1385 = 
(BgL_arg1793z00_1374==BgL_classz00_1348); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1967z00_1385 = ((bool_t)0); } } } } 
BgL_arg1795z00_1356 = BgL_res1967z00_1385; } 
BgL_test2164z00_2905 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1355, BgL_arg1795z00_1356); } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2164z00_2905 = ((bool_t)0)
; } } 
if(BgL_test2164z00_2905)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1386 = 
((BgL_pthreadz00_bglt)BgL_oz00_589); }  else 
{ 
 obj_t BgL_auxz00_2926;
BgL_auxz00_2926 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1883z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_589); 
FAILURE(BgL_auxz00_2926,BFALSE,BFALSE);} } 
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1386))->BgL_endzd2resultzd2);} } 

}



/* &<@anonymous:1204> */
obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__pth_threadz00(obj_t BgL_envz00_590)
{
{ /* Llib/pthread.scm 25 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__pth_threadz00(obj_t BgL_envz00_591, obj_t BgL_oz00_592, obj_t BgL_vz00_593)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1425; bool_t BgL_vz00_1426;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2168z00_2932;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1387;
BgL_classz00_1387 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_592))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1799z00_1389; long BgL_arg1800z00_1390;
BgL_arg1799z00_1389 = 
(BgL_objectz00_bglt)(BgL_oz00_592); 
BgL_arg1800z00_1390 = 
BGL_CLASS_DEPTH(BgL_classz00_1387); 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_arg1794z00_1394; bool_t BgL_arg1795z00_1395;
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1399;
BgL_idxz00_1399 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1389); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1791z00_1400;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1792z00_1401;
BgL_arg1792z00_1401 = 
(BgL_idxz00_1399+BgL_arg1800z00_1390); 
BgL_arg1791z00_1400 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1401); } 
BgL_arg1794z00_1394 = 
(BgL_arg1791z00_1400==BgL_classz00_1387); } } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1968z00_1424;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1409;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1804z00_1415;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1805z00_1416;
BgL_arg1805z00_1416 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1389); 
BgL_arg1804z00_1415 = 
(BgL_arg1805z00_1416-OBJECT_TYPE); } 
BgL_oclassz00_1409 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1415); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1111z00_1410;
BgL__ortest_1111z00_1410 = 
(BgL_classz00_1387==BgL_oclassz00_1409); 
if(BgL__ortest_1111z00_1410)
{ /* Llib/pthread.scm 25 */
BgL_res1968z00_1424 = BgL__ortest_1111z00_1410; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1411;
BgL_odepthz00_1411 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1409); 
if(
(BgL_arg1800z00_1390<BgL_odepthz00_1411))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1793z00_1413;
BgL_arg1793z00_1413 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1409, BgL_arg1800z00_1390); 
BgL_res1968z00_1424 = 
(BgL_arg1793z00_1413==BgL_classz00_1387); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1968z00_1424 = ((bool_t)0); } } } } 
BgL_arg1795z00_1395 = BgL_res1968z00_1424; } 
BgL_test2168z00_2932 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1394, BgL_arg1795z00_1395); } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2168z00_2932 = ((bool_t)0)
; } } 
if(BgL_test2168z00_2932)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1425 = 
((BgL_pthreadz00_bglt)BgL_oz00_592); }  else 
{ 
 obj_t BgL_auxz00_2953;
BgL_auxz00_2953 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1884z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_592); 
FAILURE(BgL_auxz00_2953,BFALSE,BFALSE);} } 
BgL_vz00_1426 = 
CBOOL(BgL_vz00_593); 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1425))->BgL_detachedpz00)=((bool_t)BgL_vz00_1426),BUNSPEC);} } 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__pth_threadz00(obj_t BgL_envz00_594, obj_t BgL_oz00_595)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 bool_t BgL_tmpz00_2959;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1465;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2172z00_2960;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1427;
BgL_classz00_1427 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_595))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1799z00_1429; long BgL_arg1800z00_1430;
BgL_arg1799z00_1429 = 
(BgL_objectz00_bglt)(BgL_oz00_595); 
BgL_arg1800z00_1430 = 
BGL_CLASS_DEPTH(BgL_classz00_1427); 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_arg1794z00_1434; bool_t BgL_arg1795z00_1435;
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1439;
BgL_idxz00_1439 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1429); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1791z00_1440;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1792z00_1441;
BgL_arg1792z00_1441 = 
(BgL_idxz00_1439+BgL_arg1800z00_1430); 
BgL_arg1791z00_1440 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1441); } 
BgL_arg1794z00_1434 = 
(BgL_arg1791z00_1440==BgL_classz00_1427); } } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1969z00_1464;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1449;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1804z00_1455;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1805z00_1456;
BgL_arg1805z00_1456 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1429); 
BgL_arg1804z00_1455 = 
(BgL_arg1805z00_1456-OBJECT_TYPE); } 
BgL_oclassz00_1449 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1455); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1111z00_1450;
BgL__ortest_1111z00_1450 = 
(BgL_classz00_1427==BgL_oclassz00_1449); 
if(BgL__ortest_1111z00_1450)
{ /* Llib/pthread.scm 25 */
BgL_res1969z00_1464 = BgL__ortest_1111z00_1450; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1451;
BgL_odepthz00_1451 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1449); 
if(
(BgL_arg1800z00_1430<BgL_odepthz00_1451))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1793z00_1453;
BgL_arg1793z00_1453 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1449, BgL_arg1800z00_1430); 
BgL_res1969z00_1464 = 
(BgL_arg1793z00_1453==BgL_classz00_1427); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1969z00_1464 = ((bool_t)0); } } } } 
BgL_arg1795z00_1435 = BgL_res1969z00_1464; } 
BgL_test2172z00_2960 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1434, BgL_arg1795z00_1435); } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2172z00_2960 = ((bool_t)0)
; } } 
if(BgL_test2172z00_2960)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1465 = 
((BgL_pthreadz00_bglt)BgL_oz00_595); }  else 
{ 
 obj_t BgL_auxz00_2981;
BgL_auxz00_2981 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1885z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_595); 
FAILURE(BgL_auxz00_2981,BFALSE,BFALSE);} } 
BgL_tmpz00_2959 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1465))->BgL_detachedpz00); } 
return 
BBOOL(BgL_tmpz00_2959);} } 

}



/* &lambda1192 */
obj_t BGl_z62lambda1192z62zz__pth_threadz00(obj_t BgL_envz00_596, obj_t BgL_oz00_597, obj_t BgL_vz00_598)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1504; obj_t BgL_vz00_1505;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2176z00_2987;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1466;
BgL_classz00_1466 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_597))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1799z00_1468; long BgL_arg1800z00_1469;
BgL_arg1799z00_1468 = 
(BgL_objectz00_bglt)(BgL_oz00_597); 
BgL_arg1800z00_1469 = 
BGL_CLASS_DEPTH(BgL_classz00_1466); 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_arg1794z00_1473; bool_t BgL_arg1795z00_1474;
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1478;
BgL_idxz00_1478 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1468); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1791z00_1479;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1792z00_1480;
BgL_arg1792z00_1480 = 
(BgL_idxz00_1478+BgL_arg1800z00_1469); 
BgL_arg1791z00_1479 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1480); } 
BgL_arg1794z00_1473 = 
(BgL_arg1791z00_1479==BgL_classz00_1466); } } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1970z00_1503;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1488;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1804z00_1494;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1805z00_1495;
BgL_arg1805z00_1495 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1468); 
BgL_arg1804z00_1494 = 
(BgL_arg1805z00_1495-OBJECT_TYPE); } 
BgL_oclassz00_1488 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1494); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1111z00_1489;
BgL__ortest_1111z00_1489 = 
(BgL_classz00_1466==BgL_oclassz00_1488); 
if(BgL__ortest_1111z00_1489)
{ /* Llib/pthread.scm 25 */
BgL_res1970z00_1503 = BgL__ortest_1111z00_1489; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1490;
BgL_odepthz00_1490 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1488); 
if(
(BgL_arg1800z00_1469<BgL_odepthz00_1490))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1793z00_1492;
BgL_arg1793z00_1492 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1488, BgL_arg1800z00_1469); 
BgL_res1970z00_1503 = 
(BgL_arg1793z00_1492==BgL_classz00_1466); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1970z00_1503 = ((bool_t)0); } } } } 
BgL_arg1795z00_1474 = BgL_res1970z00_1503; } 
BgL_test2176z00_2987 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1473, BgL_arg1795z00_1474); } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2176z00_2987 = ((bool_t)0)
; } } 
if(BgL_test2176z00_2987)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1504 = 
((BgL_pthreadz00_bglt)BgL_oz00_597); }  else 
{ 
 obj_t BgL_auxz00_3008;
BgL_auxz00_3008 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1886z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_597); 
FAILURE(BgL_auxz00_3008,BFALSE,BFALSE);} } 
if(
PROCEDUREP(BgL_vz00_598))
{ /* Llib/pthread.scm 25 */
BgL_vz00_1505 = BgL_vz00_598; }  else 
{ 
 obj_t BgL_auxz00_3014;
BgL_auxz00_3014 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1886z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_vz00_598); 
FAILURE(BgL_auxz00_3014,BFALSE,BFALSE);} 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1504))->BgL_bodyz00)=((obj_t)BgL_vz00_1505),BUNSPEC);} } 

}



/* &lambda1191 */
obj_t BGl_z62lambda1191z62zz__pth_threadz00(obj_t BgL_envz00_599, obj_t BgL_oz00_600)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1544;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2181z00_3019;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1506;
BgL_classz00_1506 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_600))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1799z00_1508; long BgL_arg1800z00_1509;
BgL_arg1799z00_1508 = 
(BgL_objectz00_bglt)(BgL_oz00_600); 
BgL_arg1800z00_1509 = 
BGL_CLASS_DEPTH(BgL_classz00_1506); 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_arg1794z00_1513; bool_t BgL_arg1795z00_1514;
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1518;
BgL_idxz00_1518 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1508); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1791z00_1519;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1792z00_1520;
BgL_arg1792z00_1520 = 
(BgL_idxz00_1518+BgL_arg1800z00_1509); 
BgL_arg1791z00_1519 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1520); } 
BgL_arg1794z00_1513 = 
(BgL_arg1791z00_1519==BgL_classz00_1506); } } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1971z00_1543;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1528;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1804z00_1534;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1805z00_1535;
BgL_arg1805z00_1535 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1508); 
BgL_arg1804z00_1534 = 
(BgL_arg1805z00_1535-OBJECT_TYPE); } 
BgL_oclassz00_1528 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1534); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1111z00_1529;
BgL__ortest_1111z00_1529 = 
(BgL_classz00_1506==BgL_oclassz00_1528); 
if(BgL__ortest_1111z00_1529)
{ /* Llib/pthread.scm 25 */
BgL_res1971z00_1543 = BgL__ortest_1111z00_1529; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1530;
BgL_odepthz00_1530 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1528); 
if(
(BgL_arg1800z00_1509<BgL_odepthz00_1530))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1793z00_1532;
BgL_arg1793z00_1532 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1528, BgL_arg1800z00_1509); 
BgL_res1971z00_1543 = 
(BgL_arg1793z00_1532==BgL_classz00_1506); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1971z00_1543 = ((bool_t)0); } } } } 
BgL_arg1795z00_1514 = BgL_res1971z00_1543; } 
BgL_test2181z00_3019 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1513, BgL_arg1795z00_1514); } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2181z00_3019 = ((bool_t)0)
; } } 
if(BgL_test2181z00_3019)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1544 = 
((BgL_pthreadz00_bglt)BgL_oz00_600); }  else 
{ 
 obj_t BgL_auxz00_3040;
BgL_auxz00_3040 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string1887z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_600); 
FAILURE(BgL_auxz00_3040,BFALSE,BFALSE);} } 
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1544))->BgL_bodyz00);} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1888z00zz__pth_threadz00, BGl_string1889z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1890z00zz__pth_threadz00, BGl_string1891z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1892z00zz__pth_threadz00, BGl_string1893z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1894z00zz__pth_threadz00, BGl_string1895z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1896z00zz__pth_threadz00, BGl_string1897z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1898z00zz__pth_threadz00, BGl_string1899z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1900z00zz__pth_threadz00, BGl_string1901z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2joinz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1902z00zz__pth_threadz00, BGl_string1903z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2terminatez12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1904z00zz__pth_threadz00, BGl_string1905z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1906z00zz__pth_threadz00, BGl_string1907z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1908z00zz__pth_threadz00, BGl_string1909z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1910z00zz__pth_threadz00, BGl_string1911z00zz__pth_threadz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1912z00zz__pth_threadz00, BGl_string1913z00zz__pth_threadz00);} 

}



/* &thread-cleanup-set!-1162 */
obj_t BGl_z62threadzd2cleanupzd2setz12zd21162za2zz__pth_threadz00(obj_t BgL_envz00_620, obj_t BgL_tz00_621, obj_t BgL_pz00_622)
{
{ /* Llib/pthread.scm 194 */
{ /* Llib/pthread.scm 195 */
 BgL_pthreadz00_bglt BgL_tz00_1583;
{ /* Llib/pthread.scm 195 */
 bool_t BgL_test2185z00_3058;
{ /* Llib/pthread.scm 195 */
 obj_t BgL_classz00_1545;
BgL_classz00_1545 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_621))
{ /* Llib/pthread.scm 195 */
 BgL_objectz00_bglt BgL_arg1799z00_1547; long BgL_arg1800z00_1548;
BgL_arg1799z00_1547 = 
(BgL_objectz00_bglt)(BgL_tz00_621); 
BgL_arg1800z00_1548 = 
BGL_CLASS_DEPTH(BgL_classz00_1545); 
{ /* Llib/pthread.scm 195 */
 bool_t BgL_arg1794z00_1552; bool_t BgL_arg1795z00_1553;
{ /* Llib/pthread.scm 195 */
 long BgL_idxz00_1557;
BgL_idxz00_1557 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1547); 
{ /* Llib/pthread.scm 195 */
 obj_t BgL_arg1791z00_1558;
{ /* Llib/pthread.scm 195 */
 long BgL_arg1792z00_1559;
BgL_arg1792z00_1559 = 
(BgL_idxz00_1557+BgL_arg1800z00_1548); 
BgL_arg1791z00_1558 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1559); } 
BgL_arg1794z00_1552 = 
(BgL_arg1791z00_1558==BgL_classz00_1545); } } 
{ /* Llib/pthread.scm 195 */
 bool_t BgL_res1972z00_1582;
{ /* Llib/pthread.scm 195 */
 obj_t BgL_oclassz00_1567;
{ /* Llib/pthread.scm 195 */
 long BgL_arg1804z00_1573;
{ /* Llib/pthread.scm 195 */
 long BgL_arg1805z00_1574;
BgL_arg1805z00_1574 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1547); 
BgL_arg1804z00_1573 = 
(BgL_arg1805z00_1574-OBJECT_TYPE); } 
BgL_oclassz00_1567 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1573); } 
{ /* Llib/pthread.scm 195 */
 bool_t BgL__ortest_1111z00_1568;
BgL__ortest_1111z00_1568 = 
(BgL_classz00_1545==BgL_oclassz00_1567); 
if(BgL__ortest_1111z00_1568)
{ /* Llib/pthread.scm 195 */
BgL_res1972z00_1582 = BgL__ortest_1111z00_1568; }  else 
{ /* Llib/pthread.scm 195 */
 long BgL_odepthz00_1569;
BgL_odepthz00_1569 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1567); 
if(
(BgL_arg1800z00_1548<BgL_odepthz00_1569))
{ /* Llib/pthread.scm 195 */
 obj_t BgL_arg1793z00_1571;
BgL_arg1793z00_1571 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1567, BgL_arg1800z00_1548); 
BgL_res1972z00_1582 = 
(BgL_arg1793z00_1571==BgL_classz00_1545); }  else 
{ /* Llib/pthread.scm 195 */
BgL_res1972z00_1582 = ((bool_t)0); } } } } 
BgL_arg1795z00_1553 = BgL_res1972z00_1582; } 
BgL_test2185z00_3058 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1552, BgL_arg1795z00_1553); } }  else 
{ /* Llib/pthread.scm 195 */
BgL_test2185z00_3058 = ((bool_t)0)
; } } 
if(BgL_test2185z00_3058)
{ /* Llib/pthread.scm 195 */
BgL_tz00_1583 = 
((BgL_pthreadz00_bglt)BgL_tz00_621); }  else 
{ 
 obj_t BgL_auxz00_3079;
BgL_auxz00_3079 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)8280)), BGl_string1916z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_tz00_621); 
FAILURE(BgL_auxz00_3079,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 196 */
 bool_t BgL_test2189z00_3083;
{ /* Llib/pthread.scm 196 */
 obj_t BgL_tmpz00_3084;
if(
PROCEDUREP(BgL_pz00_622))
{ /* Llib/pthread.scm 196 */
BgL_tmpz00_3084 = BgL_pz00_622
; }  else 
{ 
 obj_t BgL_auxz00_3087;
BgL_auxz00_3087 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)8341)), BGl_string1914z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_pz00_622); 
FAILURE(BgL_auxz00_3087,BFALSE,BFALSE);} 
BgL_test2189z00_3083 = 
PROCEDURE_CORRECT_ARITYP(BgL_tmpz00_3084, 
(int)(((long)1))); } 
if(BgL_test2189z00_3083)
{ /* Llib/pthread.scm 196 */
{ /* Llib/pthread.scm 198 */
 void * BgL_arg1688z00_1584;
BgL_arg1688z00_1584 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1583))->BgL_z42builtinz42); 
BGLPTH_THREAD_CLEANUP_SET(BgL_arg1688z00_1584, BgL_pz00_622); BUNSPEC; } 
return BgL_pz00_622;}  else 
{ /* Llib/pthread.scm 196 */
return 
BGl_errorz00zz__errorz00(BGl_string1913z00zz__pth_threadz00, BGl_string1915z00zz__pth_threadz00, BgL_pz00_622);} } } } 

}



/* &thread-cleanup-pthre1160 */
obj_t BGl_z62threadzd2cleanupzd2pthre1160z62zz__pth_threadz00(obj_t BgL_envz00_623, obj_t BgL_tz00_624)
{
{ /* Llib/pthread.scm 187 */
{ /* Llib/pthread.scm 188 */
 BgL_pthreadz00_bglt BgL_tz00_1623;
{ /* Llib/pthread.scm 188 */
 bool_t BgL_test2191z00_3096;
{ /* Llib/pthread.scm 188 */
 obj_t BgL_classz00_1585;
BgL_classz00_1585 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_624))
{ /* Llib/pthread.scm 188 */
 BgL_objectz00_bglt BgL_arg1799z00_1587; long BgL_arg1800z00_1588;
BgL_arg1799z00_1587 = 
(BgL_objectz00_bglt)(BgL_tz00_624); 
BgL_arg1800z00_1588 = 
BGL_CLASS_DEPTH(BgL_classz00_1585); 
{ /* Llib/pthread.scm 188 */
 bool_t BgL_arg1794z00_1592; bool_t BgL_arg1795z00_1593;
{ /* Llib/pthread.scm 188 */
 long BgL_idxz00_1597;
BgL_idxz00_1597 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1587); 
{ /* Llib/pthread.scm 188 */
 obj_t BgL_arg1791z00_1598;
{ /* Llib/pthread.scm 188 */
 long BgL_arg1792z00_1599;
BgL_arg1792z00_1599 = 
(BgL_idxz00_1597+BgL_arg1800z00_1588); 
BgL_arg1791z00_1598 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1599); } 
BgL_arg1794z00_1592 = 
(BgL_arg1791z00_1598==BgL_classz00_1585); } } 
{ /* Llib/pthread.scm 188 */
 bool_t BgL_res1973z00_1622;
{ /* Llib/pthread.scm 188 */
 obj_t BgL_oclassz00_1607;
{ /* Llib/pthread.scm 188 */
 long BgL_arg1804z00_1613;
{ /* Llib/pthread.scm 188 */
 long BgL_arg1805z00_1614;
BgL_arg1805z00_1614 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1587); 
BgL_arg1804z00_1613 = 
(BgL_arg1805z00_1614-OBJECT_TYPE); } 
BgL_oclassz00_1607 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1613); } 
{ /* Llib/pthread.scm 188 */
 bool_t BgL__ortest_1111z00_1608;
BgL__ortest_1111z00_1608 = 
(BgL_classz00_1585==BgL_oclassz00_1607); 
if(BgL__ortest_1111z00_1608)
{ /* Llib/pthread.scm 188 */
BgL_res1973z00_1622 = BgL__ortest_1111z00_1608; }  else 
{ /* Llib/pthread.scm 188 */
 long BgL_odepthz00_1609;
BgL_odepthz00_1609 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1607); 
if(
(BgL_arg1800z00_1588<BgL_odepthz00_1609))
{ /* Llib/pthread.scm 188 */
 obj_t BgL_arg1793z00_1611;
BgL_arg1793z00_1611 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1607, BgL_arg1800z00_1588); 
BgL_res1973z00_1622 = 
(BgL_arg1793z00_1611==BgL_classz00_1585); }  else 
{ /* Llib/pthread.scm 188 */
BgL_res1973z00_1622 = ((bool_t)0); } } } } 
BgL_arg1795z00_1593 = BgL_res1973z00_1622; } 
BgL_test2191z00_3096 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1592, BgL_arg1795z00_1593); } }  else 
{ /* Llib/pthread.scm 188 */
BgL_test2191z00_3096 = ((bool_t)0)
; } } 
if(BgL_test2191z00_3096)
{ /* Llib/pthread.scm 188 */
BgL_tz00_1623 = 
((BgL_pthreadz00_bglt)BgL_tz00_624); }  else 
{ 
 obj_t BgL_auxz00_3117;
BgL_auxz00_3117 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)7933)), BGl_string1917z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_tz00_624); 
FAILURE(BgL_auxz00_3117,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 189 */
 void * BgL_tmpz00_3121;
BgL_tmpz00_3121 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1623))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_CLEANUP(BgL_tmpz00_3121);} } } 

}



/* &thread-specific-set!1158 */
obj_t BGl_z62threadzd2specificzd2setz121158z70zz__pth_threadz00(obj_t BgL_envz00_625, obj_t BgL_tz00_626, obj_t BgL_vz00_627)
{
{ /* Llib/pthread.scm 179 */
{ /* Llib/pthread.scm 180 */
 BgL_pthreadz00_bglt BgL_tz00_1662;
{ /* Llib/pthread.scm 180 */
 bool_t BgL_test2195z00_3124;
{ /* Llib/pthread.scm 180 */
 obj_t BgL_classz00_1624;
BgL_classz00_1624 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_626))
{ /* Llib/pthread.scm 180 */
 BgL_objectz00_bglt BgL_arg1799z00_1626; long BgL_arg1800z00_1627;
BgL_arg1799z00_1626 = 
(BgL_objectz00_bglt)(BgL_tz00_626); 
BgL_arg1800z00_1627 = 
BGL_CLASS_DEPTH(BgL_classz00_1624); 
{ /* Llib/pthread.scm 180 */
 bool_t BgL_arg1794z00_1631; bool_t BgL_arg1795z00_1632;
{ /* Llib/pthread.scm 180 */
 long BgL_idxz00_1636;
BgL_idxz00_1636 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1626); 
{ /* Llib/pthread.scm 180 */
 obj_t BgL_arg1791z00_1637;
{ /* Llib/pthread.scm 180 */
 long BgL_arg1792z00_1638;
BgL_arg1792z00_1638 = 
(BgL_idxz00_1636+BgL_arg1800z00_1627); 
BgL_arg1791z00_1637 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1638); } 
BgL_arg1794z00_1631 = 
(BgL_arg1791z00_1637==BgL_classz00_1624); } } 
{ /* Llib/pthread.scm 180 */
 bool_t BgL_res1974z00_1661;
{ /* Llib/pthread.scm 180 */
 obj_t BgL_oclassz00_1646;
{ /* Llib/pthread.scm 180 */
 long BgL_arg1804z00_1652;
{ /* Llib/pthread.scm 180 */
 long BgL_arg1805z00_1653;
BgL_arg1805z00_1653 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1626); 
BgL_arg1804z00_1652 = 
(BgL_arg1805z00_1653-OBJECT_TYPE); } 
BgL_oclassz00_1646 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1652); } 
{ /* Llib/pthread.scm 180 */
 bool_t BgL__ortest_1111z00_1647;
BgL__ortest_1111z00_1647 = 
(BgL_classz00_1624==BgL_oclassz00_1646); 
if(BgL__ortest_1111z00_1647)
{ /* Llib/pthread.scm 180 */
BgL_res1974z00_1661 = BgL__ortest_1111z00_1647; }  else 
{ /* Llib/pthread.scm 180 */
 long BgL_odepthz00_1648;
BgL_odepthz00_1648 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1646); 
if(
(BgL_arg1800z00_1627<BgL_odepthz00_1648))
{ /* Llib/pthread.scm 180 */
 obj_t BgL_arg1793z00_1650;
BgL_arg1793z00_1650 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1646, BgL_arg1800z00_1627); 
BgL_res1974z00_1661 = 
(BgL_arg1793z00_1650==BgL_classz00_1624); }  else 
{ /* Llib/pthread.scm 180 */
BgL_res1974z00_1661 = ((bool_t)0); } } } } 
BgL_arg1795z00_1632 = BgL_res1974z00_1661; } 
BgL_test2195z00_3124 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1631, BgL_arg1795z00_1632); } }  else 
{ /* Llib/pthread.scm 180 */
BgL_test2195z00_3124 = ((bool_t)0)
; } } 
if(BgL_test2195z00_3124)
{ /* Llib/pthread.scm 180 */
BgL_tz00_1662 = 
((BgL_pthreadz00_bglt)BgL_tz00_626); }  else 
{ 
 obj_t BgL_auxz00_3145;
BgL_auxz00_3145 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)7580)), BGl_string1918z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_tz00_626); 
FAILURE(BgL_auxz00_3145,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 181 */
 void * BgL_arg1684z00_1663;
BgL_arg1684z00_1663 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1662))->BgL_z42builtinz42); 
BGLPTH_THREAD_SPECIFIC_SET(BgL_arg1684z00_1663, BgL_vz00_627); BUNSPEC; } 
return BgL_vz00_627;} } 

}



/* &thread-specific-pthr1156 */
obj_t BGl_z62threadzd2specificzd2pthr1156z62zz__pth_threadz00(obj_t BgL_envz00_628, obj_t BgL_tz00_629)
{
{ /* Llib/pthread.scm 172 */
{ /* Llib/pthread.scm 173 */
 BgL_pthreadz00_bglt BgL_tz00_1702;
{ /* Llib/pthread.scm 173 */
 bool_t BgL_test2199z00_3151;
{ /* Llib/pthread.scm 173 */
 obj_t BgL_classz00_1664;
BgL_classz00_1664 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_629))
{ /* Llib/pthread.scm 173 */
 BgL_objectz00_bglt BgL_arg1799z00_1666; long BgL_arg1800z00_1667;
BgL_arg1799z00_1666 = 
(BgL_objectz00_bglt)(BgL_tz00_629); 
BgL_arg1800z00_1667 = 
BGL_CLASS_DEPTH(BgL_classz00_1664); 
{ /* Llib/pthread.scm 173 */
 bool_t BgL_arg1794z00_1671; bool_t BgL_arg1795z00_1672;
{ /* Llib/pthread.scm 173 */
 long BgL_idxz00_1676;
BgL_idxz00_1676 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1666); 
{ /* Llib/pthread.scm 173 */
 obj_t BgL_arg1791z00_1677;
{ /* Llib/pthread.scm 173 */
 long BgL_arg1792z00_1678;
BgL_arg1792z00_1678 = 
(BgL_idxz00_1676+BgL_arg1800z00_1667); 
BgL_arg1791z00_1677 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1678); } 
BgL_arg1794z00_1671 = 
(BgL_arg1791z00_1677==BgL_classz00_1664); } } 
{ /* Llib/pthread.scm 173 */
 bool_t BgL_res1975z00_1701;
{ /* Llib/pthread.scm 173 */
 obj_t BgL_oclassz00_1686;
{ /* Llib/pthread.scm 173 */
 long BgL_arg1804z00_1692;
{ /* Llib/pthread.scm 173 */
 long BgL_arg1805z00_1693;
BgL_arg1805z00_1693 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1666); 
BgL_arg1804z00_1692 = 
(BgL_arg1805z00_1693-OBJECT_TYPE); } 
BgL_oclassz00_1686 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1692); } 
{ /* Llib/pthread.scm 173 */
 bool_t BgL__ortest_1111z00_1687;
BgL__ortest_1111z00_1687 = 
(BgL_classz00_1664==BgL_oclassz00_1686); 
if(BgL__ortest_1111z00_1687)
{ /* Llib/pthread.scm 173 */
BgL_res1975z00_1701 = BgL__ortest_1111z00_1687; }  else 
{ /* Llib/pthread.scm 173 */
 long BgL_odepthz00_1688;
BgL_odepthz00_1688 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1686); 
if(
(BgL_arg1800z00_1667<BgL_odepthz00_1688))
{ /* Llib/pthread.scm 173 */
 obj_t BgL_arg1793z00_1690;
BgL_arg1793z00_1690 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1686, BgL_arg1800z00_1667); 
BgL_res1975z00_1701 = 
(BgL_arg1793z00_1690==BgL_classz00_1664); }  else 
{ /* Llib/pthread.scm 173 */
BgL_res1975z00_1701 = ((bool_t)0); } } } } 
BgL_arg1795z00_1672 = BgL_res1975z00_1701; } 
BgL_test2199z00_3151 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1671, BgL_arg1795z00_1672); } }  else 
{ /* Llib/pthread.scm 173 */
BgL_test2199z00_3151 = ((bool_t)0)
; } } 
if(BgL_test2199z00_3151)
{ /* Llib/pthread.scm 173 */
BgL_tz00_1702 = 
((BgL_pthreadz00_bglt)BgL_tz00_629); }  else 
{ 
 obj_t BgL_auxz00_3172;
BgL_auxz00_3172 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)7231)), BGl_string1919z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_tz00_629); 
FAILURE(BgL_auxz00_3172,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 174 */
 void * BgL_tmpz00_3176;
BgL_tmpz00_3176 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1702))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_SPECIFIC(BgL_tmpz00_3176);} } } 

}



/* &thread-terminate!-pt1154 */
obj_t BGl_z62threadzd2terminatez12zd2pt1154z70zz__pth_threadz00(obj_t BgL_envz00_630, obj_t BgL_tz00_631)
{
{ /* Llib/pthread.scm 163 */
{ /* Llib/pthread.scm 164 */
 BgL_pthreadz00_bglt BgL_tz00_1741;
{ /* Llib/pthread.scm 164 */
 bool_t BgL_test2203z00_3179;
{ /* Llib/pthread.scm 164 */
 obj_t BgL_classz00_1703;
BgL_classz00_1703 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_631))
{ /* Llib/pthread.scm 164 */
 BgL_objectz00_bglt BgL_arg1799z00_1705; long BgL_arg1800z00_1706;
BgL_arg1799z00_1705 = 
(BgL_objectz00_bglt)(BgL_tz00_631); 
BgL_arg1800z00_1706 = 
BGL_CLASS_DEPTH(BgL_classz00_1703); 
{ /* Llib/pthread.scm 164 */
 bool_t BgL_arg1794z00_1710; bool_t BgL_arg1795z00_1711;
{ /* Llib/pthread.scm 164 */
 long BgL_idxz00_1715;
BgL_idxz00_1715 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1705); 
{ /* Llib/pthread.scm 164 */
 obj_t BgL_arg1791z00_1716;
{ /* Llib/pthread.scm 164 */
 long BgL_arg1792z00_1717;
BgL_arg1792z00_1717 = 
(BgL_idxz00_1715+BgL_arg1800z00_1706); 
BgL_arg1791z00_1716 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1717); } 
BgL_arg1794z00_1710 = 
(BgL_arg1791z00_1716==BgL_classz00_1703); } } 
{ /* Llib/pthread.scm 164 */
 bool_t BgL_res1976z00_1740;
{ /* Llib/pthread.scm 164 */
 obj_t BgL_oclassz00_1725;
{ /* Llib/pthread.scm 164 */
 long BgL_arg1804z00_1731;
{ /* Llib/pthread.scm 164 */
 long BgL_arg1805z00_1732;
BgL_arg1805z00_1732 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1705); 
BgL_arg1804z00_1731 = 
(BgL_arg1805z00_1732-OBJECT_TYPE); } 
BgL_oclassz00_1725 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1731); } 
{ /* Llib/pthread.scm 164 */
 bool_t BgL__ortest_1111z00_1726;
BgL__ortest_1111z00_1726 = 
(BgL_classz00_1703==BgL_oclassz00_1725); 
if(BgL__ortest_1111z00_1726)
{ /* Llib/pthread.scm 164 */
BgL_res1976z00_1740 = BgL__ortest_1111z00_1726; }  else 
{ /* Llib/pthread.scm 164 */
 long BgL_odepthz00_1727;
BgL_odepthz00_1727 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1725); 
if(
(BgL_arg1800z00_1706<BgL_odepthz00_1727))
{ /* Llib/pthread.scm 164 */
 obj_t BgL_arg1793z00_1729;
BgL_arg1793z00_1729 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1725, BgL_arg1800z00_1706); 
BgL_res1976z00_1740 = 
(BgL_arg1793z00_1729==BgL_classz00_1703); }  else 
{ /* Llib/pthread.scm 164 */
BgL_res1976z00_1740 = ((bool_t)0); } } } } 
BgL_arg1795z00_1711 = BgL_res1976z00_1740; } 
BgL_test2203z00_3179 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1710, BgL_arg1795z00_1711); } }  else 
{ /* Llib/pthread.scm 164 */
BgL_test2203z00_3179 = ((bool_t)0)
; } } 
if(BgL_test2203z00_3179)
{ /* Llib/pthread.scm 164 */
BgL_tz00_1741 = 
((BgL_pthreadz00_bglt)BgL_tz00_631); }  else 
{ 
 obj_t BgL_auxz00_3200;
BgL_auxz00_3200 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)6792)), BGl_string1922z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_tz00_631); 
FAILURE(BgL_auxz00_3200,BFALSE,BFALSE);} } 
if(
bglpth_thread_terminate(
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1741))->BgL_z42builtinz42)))
{ 
 obj_t BgL_auxz00_3207;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1116z00_1742;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1115z00_1743;
BgL_new1115z00_1743 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 166 */
 long BgL_arg1673z00_1744;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_1745;
BgL_classz00_1745 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1673z00_1744 = 
BGL_CLASS_NUM(BgL_classz00_1745); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_1743), BgL_arg1673z00_1744); } 
BgL_new1116z00_1742 = BgL_new1115z00_1743; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1116z00_1742)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1116z00_1742)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3216;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1664z00_1746;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1672z00_1747;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_1748;
BgL_classz00_1748 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1672z00_1747 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1748); } 
BgL_arg1664z00_1746 = 
VECTOR_REF(BgL_arg1672z00_1747,((long)2)); } 
{ /* Llib/pthread.scm 166 */
 obj_t BgL_auxz00_3220;
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_arg1664z00_1746))
{ /* Llib/pthread.scm 166 */
BgL_auxz00_3220 = BgL_arg1664z00_1746
; }  else 
{ 
 obj_t BgL_auxz00_3223;
BgL_auxz00_3223 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)6906)), BGl_string1920z00zz__pth_threadz00, BGl_string1921z00zz__pth_threadz00, BgL_arg1664z00_1746); 
FAILURE(BgL_auxz00_3223,BFALSE,BFALSE);} 
BgL_auxz00_3216 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_auxz00_3220); } } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1116z00_1742)))->BgL_stackz00)=((obj_t)BgL_auxz00_3216),BUNSPEC); } 
BgL_auxz00_3207 = 
((obj_t)BgL_new1116z00_1742); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1741))->BgL_endzd2exceptionzd2)=((obj_t)BgL_auxz00_3207),BUNSPEC); }  else 
{ /* Llib/pthread.scm 165 */BFALSE; } 
return 
((obj_t)BgL_tz00_1741);} } 

}



/* &thread-join!-pthread1152 */
obj_t BGl_z62threadzd2joinz12zd2pthread1152z70zz__pth_threadz00(obj_t BgL_envz00_632, obj_t BgL_tz00_633, obj_t BgL_timeoutz00_634)
{
{ /* Llib/pthread.scm 146 */
{ /* Llib/pthread.scm 147 */
 BgL_pthreadz00_bglt BgL_tz00_1787;
{ /* Llib/pthread.scm 147 */
 bool_t BgL_test2209z00_3232;
{ /* Llib/pthread.scm 147 */
 obj_t BgL_classz00_1749;
BgL_classz00_1749 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_633))
{ /* Llib/pthread.scm 147 */
 BgL_objectz00_bglt BgL_arg1799z00_1751; long BgL_arg1800z00_1752;
BgL_arg1799z00_1751 = 
(BgL_objectz00_bglt)(BgL_tz00_633); 
BgL_arg1800z00_1752 = 
BGL_CLASS_DEPTH(BgL_classz00_1749); 
{ /* Llib/pthread.scm 147 */
 bool_t BgL_arg1794z00_1756; bool_t BgL_arg1795z00_1757;
{ /* Llib/pthread.scm 147 */
 long BgL_idxz00_1761;
BgL_idxz00_1761 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1751); 
{ /* Llib/pthread.scm 147 */
 obj_t BgL_arg1791z00_1762;
{ /* Llib/pthread.scm 147 */
 long BgL_arg1792z00_1763;
BgL_arg1792z00_1763 = 
(BgL_idxz00_1761+BgL_arg1800z00_1752); 
BgL_arg1791z00_1762 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1763); } 
BgL_arg1794z00_1756 = 
(BgL_arg1791z00_1762==BgL_classz00_1749); } } 
{ /* Llib/pthread.scm 147 */
 bool_t BgL_res1977z00_1786;
{ /* Llib/pthread.scm 147 */
 obj_t BgL_oclassz00_1771;
{ /* Llib/pthread.scm 147 */
 long BgL_arg1804z00_1777;
{ /* Llib/pthread.scm 147 */
 long BgL_arg1805z00_1778;
BgL_arg1805z00_1778 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1751); 
BgL_arg1804z00_1777 = 
(BgL_arg1805z00_1778-OBJECT_TYPE); } 
BgL_oclassz00_1771 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1777); } 
{ /* Llib/pthread.scm 147 */
 bool_t BgL__ortest_1111z00_1772;
BgL__ortest_1111z00_1772 = 
(BgL_classz00_1749==BgL_oclassz00_1771); 
if(BgL__ortest_1111z00_1772)
{ /* Llib/pthread.scm 147 */
BgL_res1977z00_1786 = BgL__ortest_1111z00_1772; }  else 
{ /* Llib/pthread.scm 147 */
 long BgL_odepthz00_1773;
BgL_odepthz00_1773 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1771); 
if(
(BgL_arg1800z00_1752<BgL_odepthz00_1773))
{ /* Llib/pthread.scm 147 */
 obj_t BgL_arg1793z00_1775;
BgL_arg1793z00_1775 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1771, BgL_arg1800z00_1752); 
BgL_res1977z00_1786 = 
(BgL_arg1793z00_1775==BgL_classz00_1749); }  else 
{ /* Llib/pthread.scm 147 */
BgL_res1977z00_1786 = ((bool_t)0); } } } } 
BgL_arg1795z00_1757 = BgL_res1977z00_1786; } 
BgL_test2209z00_3232 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1756, BgL_arg1795z00_1757); } }  else 
{ /* Llib/pthread.scm 147 */
BgL_test2209z00_3232 = ((bool_t)0)
; } } 
if(BgL_test2209z00_3232)
{ /* Llib/pthread.scm 147 */
BgL_tz00_1787 = 
((BgL_pthreadz00_bglt)BgL_tz00_633); }  else 
{ 
 obj_t BgL_auxz00_3253;
BgL_auxz00_3253 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)6159)), BGl_string1928z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_tz00_633); 
FAILURE(BgL_auxz00_3253,BFALSE,BFALSE);} } 
if(
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1787))->BgL_detachedpz00))
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_arg1609z00_1788;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1113z00_1789;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1112z00_1790;
BgL_new1112z00_1790 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 150 */
 long BgL_arg1622z00_1791;
BgL_arg1622z00_1791 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_1790), BgL_arg1622z00_1791); } 
BgL_new1113z00_1789 = BgL_new1112z00_1790; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_1789)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_1789)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3267;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1611z00_1792;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1612z00_1793;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_classz00_1794;
BgL_classz00_1794 = BGl_z62threadzd2errorzb0zz__pth_threadz00; 
BgL_arg1612z00_1793 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1794); } 
BgL_arg1611z00_1792 = 
VECTOR_REF(BgL_arg1612z00_1793,((long)2)); } 
{ /* Llib/pthread.scm 150 */
 obj_t BgL_auxz00_3271;
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_arg1611z00_1792))
{ /* Llib/pthread.scm 150 */
BgL_auxz00_3271 = BgL_arg1611z00_1792
; }  else 
{ 
 obj_t BgL_auxz00_3274;
BgL_auxz00_3274 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)6265)), BGl_string1923z00zz__pth_threadz00, BGl_string1921z00zz__pth_threadz00, BgL_arg1611z00_1792); 
FAILURE(BgL_auxz00_3274,BFALSE,BFALSE);} 
BgL_auxz00_3267 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_auxz00_3271); } } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_1789)))->BgL_stackz00)=((obj_t)BgL_auxz00_3267),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_1789)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)16))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_1789)))->BgL_msgz00)=((obj_t)BGl_string1924z00zz__pth_threadz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_1789)))->BgL_objz00)=((obj_t)
((obj_t)BgL_tz00_1787)),BUNSPEC); 
BgL_arg1609z00_1788 = BgL_new1113z00_1789; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1609z00_1788));}  else 
{ /* Llib/pthread.scm 148 */
{ /* Llib/pthread.scm 155 */
 void * BgL_arg1623z00_1795; obj_t BgL_arg1624z00_1796;
BgL_arg1623z00_1795 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1787))->BgL_z42builtinz42); 
if(
PAIRP(BgL_timeoutz00_634))
{ /* Llib/pthread.scm 155 */
BgL_arg1624z00_1796 = 
CAR(BgL_timeoutz00_634); }  else 
{ /* Llib/pthread.scm 155 */
BgL_arg1624z00_1796 = BFALSE; } 
bglpth_thread_join(BgL_arg1623z00_1795, BgL_arg1624z00_1796); BUNSPEC; } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_test2216z00_3295;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1653z00_1797;
BgL_arg1653z00_1797 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1787))->BgL_endzd2exceptionzd2); 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_classz00_1798;
BgL_classz00_1798 = BGl_z62exceptionz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_arg1653z00_1797))
{ /* Llib/pthread.scm 156 */
 BgL_objectz00_bglt BgL_arg1797z00_1799;
BgL_arg1797z00_1799 = 
(BgL_objectz00_bglt)(BgL_arg1653z00_1797); 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_arg1794z00_1800; bool_t BgL_arg1795z00_1801;
{ /* Llib/pthread.scm 156 */
 long BgL_idxz00_1802;
BgL_idxz00_1802 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1799); 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1791z00_1803;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1792z00_1804;
BgL_arg1792z00_1804 = 
(BgL_idxz00_1802+((long)2)); 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_vectorz00_1805;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_aux1781z00_1806;
BgL_aux1781z00_1806 = BGl_za2inheritancesza2z00zz__objectz00; 
if(
VECTORP(BgL_aux1781z00_1806))
{ /* Llib/pthread.scm 156 */
BgL_vectorz00_1805 = BgL_aux1781z00_1806; }  else 
{ 
 obj_t BgL_auxz00_3304;
BgL_auxz00_3304 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)6444)), BGl_string1923z00zz__pth_threadz00, BGl_string1925z00zz__pth_threadz00, BgL_aux1781z00_1806); 
FAILURE(BgL_auxz00_3304,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_test2219z00_3308;
{ /* Llib/pthread.scm 156 */
 long BgL_tmpz00_3309;
BgL_tmpz00_3309 = 
VECTOR_LENGTH(BgL_vectorz00_1805); 
BgL_test2219z00_3308 = 
BOUND_CHECK(BgL_arg1792z00_1804, BgL_tmpz00_3309); } 
if(BgL_test2219z00_3308)
{ /* Llib/pthread.scm 156 */
BgL_arg1791z00_1803 = 
VECTOR_REF(BgL_vectorz00_1805,BgL_arg1792z00_1804); }  else 
{ 
 obj_t BgL_auxz00_3313;
BgL_auxz00_3313 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)6444)), BGl_string1926z00zz__pth_threadz00, BgL_vectorz00_1805, 
(int)(
VECTOR_LENGTH(BgL_vectorz00_1805)), 
(int)(BgL_arg1792z00_1804)); 
FAILURE(BgL_auxz00_3313,BFALSE,BFALSE);} } } } 
BgL_arg1794z00_1800 = 
(BgL_arg1791z00_1803==BgL_classz00_1798); } } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_res1689z00_1807;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_oclassz00_1808;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1804z00_1809;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1805z00_1810;
BgL_arg1805z00_1810 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1799); 
BgL_arg1804z00_1809 = 
(BgL_arg1805z00_1810-OBJECT_TYPE); } 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_vectorz00_1811;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_aux1783z00_1812;
BgL_aux1783z00_1812 = BGl_za2classesza2z00zz__objectz00; 
if(
VECTORP(BgL_aux1783z00_1812))
{ /* Llib/pthread.scm 156 */
BgL_vectorz00_1811 = BgL_aux1783z00_1812; }  else 
{ 
 obj_t BgL_auxz00_3325;
BgL_auxz00_3325 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)6444)), BGl_string1923z00zz__pth_threadz00, BGl_string1925z00zz__pth_threadz00, BgL_aux1783z00_1812); 
FAILURE(BgL_auxz00_3325,BFALSE,BFALSE);} } 
BgL_oclassz00_1808 = 
VECTOR_REF(BgL_vectorz00_1811,BgL_arg1804z00_1809); } } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL__ortest_1111z00_1813;
BgL__ortest_1111z00_1813 = 
(BgL_classz00_1798==BgL_oclassz00_1808); 
if(BgL__ortest_1111z00_1813)
{ /* Llib/pthread.scm 156 */
BgL_res1689z00_1807 = BgL__ortest_1111z00_1813; }  else 
{ /* Llib/pthread.scm 156 */
 long BgL_odepthz00_1814;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_tmpz00_3332;
if(
BGl_classzf3zf3zz__objectz00(BgL_oclassz00_1808))
{ /* Llib/pthread.scm 156 */
BgL_tmpz00_3332 = BgL_oclassz00_1808
; }  else 
{ 
 obj_t BgL_auxz00_3335;
BgL_auxz00_3335 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)6444)), BGl_string1923z00zz__pth_threadz00, BGl_string1927z00zz__pth_threadz00, BgL_oclassz00_1808); 
FAILURE(BgL_auxz00_3335,BFALSE,BFALSE);} 
BgL_odepthz00_1814 = 
BGL_CLASS_DEPTH(BgL_tmpz00_3332); } 
if(
(((long)2)<BgL_odepthz00_1814))
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1793z00_1815;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_tmpz00_3342;
if(
BGl_classzf3zf3zz__objectz00(BgL_oclassz00_1808))
{ /* Llib/pthread.scm 156 */
BgL_tmpz00_3342 = BgL_oclassz00_1808
; }  else 
{ 
 obj_t BgL_auxz00_3345;
BgL_auxz00_3345 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)6444)), BGl_string1923z00zz__pth_threadz00, BGl_string1927z00zz__pth_threadz00, BgL_oclassz00_1808); 
FAILURE(BgL_auxz00_3345,BFALSE,BFALSE);} 
BgL_arg1793z00_1815 = 
BGL_CLASS_ANCESTORS_REF(BgL_tmpz00_3342, ((long)2)); } 
BgL_res1689z00_1807 = 
(BgL_arg1793z00_1815==BgL_classz00_1798); }  else 
{ /* Llib/pthread.scm 156 */
BgL_res1689z00_1807 = ((bool_t)0); } } } } 
BgL_arg1795z00_1801 = BgL_res1689z00_1807; } 
BgL_test2216z00_3295 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1800, BgL_arg1795z00_1801); } }  else 
{ /* Llib/pthread.scm 156 */
BgL_test2216z00_3295 = ((bool_t)0)
; } } } 
if(BgL_test2216z00_3295)
{ /* Llib/pthread.scm 156 */
return 
BGl_raisez00zz__errorz00(
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1787))->BgL_endzd2exceptionzd2));}  else 
{ /* Llib/pthread.scm 156 */
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1787))->BgL_endzd2resultzd2);} } } } } 

}



/* &thread-start-joinabl1150 */
obj_t BGl_z62threadzd2startzd2joinabl1150z62zz__pth_threadz00(obj_t BgL_envz00_635, obj_t BgL_tz00_636)
{
{ /* Llib/pthread.scm 137 */
{ /* Llib/pthread.scm 138 */
 BgL_pthreadz00_bglt BgL_tz00_1854;
{ /* Llib/pthread.scm 138 */
 bool_t BgL_test2225z00_3355;
{ /* Llib/pthread.scm 138 */
 obj_t BgL_classz00_1816;
BgL_classz00_1816 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_636))
{ /* Llib/pthread.scm 138 */
 BgL_objectz00_bglt BgL_arg1799z00_1818; long BgL_arg1800z00_1819;
BgL_arg1799z00_1818 = 
(BgL_objectz00_bglt)(BgL_tz00_636); 
BgL_arg1800z00_1819 = 
BGL_CLASS_DEPTH(BgL_classz00_1816); 
{ /* Llib/pthread.scm 138 */
 bool_t BgL_arg1794z00_1823; bool_t BgL_arg1795z00_1824;
{ /* Llib/pthread.scm 138 */
 long BgL_idxz00_1828;
BgL_idxz00_1828 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1818); 
{ /* Llib/pthread.scm 138 */
 obj_t BgL_arg1791z00_1829;
{ /* Llib/pthread.scm 138 */
 long BgL_arg1792z00_1830;
BgL_arg1792z00_1830 = 
(BgL_idxz00_1828+BgL_arg1800z00_1819); 
BgL_arg1791z00_1829 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1830); } 
BgL_arg1794z00_1823 = 
(BgL_arg1791z00_1829==BgL_classz00_1816); } } 
{ /* Llib/pthread.scm 138 */
 bool_t BgL_res1978z00_1853;
{ /* Llib/pthread.scm 138 */
 obj_t BgL_oclassz00_1838;
{ /* Llib/pthread.scm 138 */
 long BgL_arg1804z00_1844;
{ /* Llib/pthread.scm 138 */
 long BgL_arg1805z00_1845;
BgL_arg1805z00_1845 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1818); 
BgL_arg1804z00_1844 = 
(BgL_arg1805z00_1845-OBJECT_TYPE); } 
BgL_oclassz00_1838 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1844); } 
{ /* Llib/pthread.scm 138 */
 bool_t BgL__ortest_1111z00_1839;
BgL__ortest_1111z00_1839 = 
(BgL_classz00_1816==BgL_oclassz00_1838); 
if(BgL__ortest_1111z00_1839)
{ /* Llib/pthread.scm 138 */
BgL_res1978z00_1853 = BgL__ortest_1111z00_1839; }  else 
{ /* Llib/pthread.scm 138 */
 long BgL_odepthz00_1840;
BgL_odepthz00_1840 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1838); 
if(
(BgL_arg1800z00_1819<BgL_odepthz00_1840))
{ /* Llib/pthread.scm 138 */
 obj_t BgL_arg1793z00_1842;
BgL_arg1793z00_1842 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1838, BgL_arg1800z00_1819); 
BgL_res1978z00_1853 = 
(BgL_arg1793z00_1842==BgL_classz00_1816); }  else 
{ /* Llib/pthread.scm 138 */
BgL_res1978z00_1853 = ((bool_t)0); } } } } 
BgL_arg1795z00_1824 = BgL_res1978z00_1853; } 
BgL_test2225z00_3355 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1823, BgL_arg1795z00_1824); } }  else 
{ /* Llib/pthread.scm 138 */
BgL_test2225z00_3355 = ((bool_t)0)
; } } 
if(BgL_test2225z00_3355)
{ /* Llib/pthread.scm 138 */
BgL_tz00_1854 = 
((BgL_pthreadz00_bglt)BgL_tz00_636); }  else 
{ 
 obj_t BgL_auxz00_3376;
BgL_auxz00_3376 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)5766)), BGl_string1929z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_tz00_636); 
FAILURE(BgL_auxz00_3376,BFALSE,BFALSE);} } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1854))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/pthread.scm 140 */
 void * BgL_arg1594z00_1855;
BgL_arg1594z00_1855 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1854))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1594z00_1855, 
((obj_t)BgL_tz00_1854), ((bool_t)0)); BUNSPEC; } 
return 
((obj_t)BgL_tz00_1854);} } 

}



/* &thread-start!-pthrea1148 */
obj_t BGl_z62threadzd2startz12zd2pthrea1148z70zz__pth_threadz00(obj_t BgL_envz00_637, obj_t BgL_tz00_638, obj_t BgL_scdz00_639)
{
{ /* Llib/pthread.scm 128 */
{ /* Llib/pthread.scm 129 */
 BgL_pthreadz00_bglt BgL_tz00_1894;
{ /* Llib/pthread.scm 129 */
 bool_t BgL_test2229z00_3385;
{ /* Llib/pthread.scm 129 */
 obj_t BgL_classz00_1856;
BgL_classz00_1856 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_638))
{ /* Llib/pthread.scm 129 */
 BgL_objectz00_bglt BgL_arg1799z00_1858; long BgL_arg1800z00_1859;
BgL_arg1799z00_1858 = 
(BgL_objectz00_bglt)(BgL_tz00_638); 
BgL_arg1800z00_1859 = 
BGL_CLASS_DEPTH(BgL_classz00_1856); 
{ /* Llib/pthread.scm 129 */
 bool_t BgL_arg1794z00_1863; bool_t BgL_arg1795z00_1864;
{ /* Llib/pthread.scm 129 */
 long BgL_idxz00_1868;
BgL_idxz00_1868 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1858); 
{ /* Llib/pthread.scm 129 */
 obj_t BgL_arg1791z00_1869;
{ /* Llib/pthread.scm 129 */
 long BgL_arg1792z00_1870;
BgL_arg1792z00_1870 = 
(BgL_idxz00_1868+BgL_arg1800z00_1859); 
BgL_arg1791z00_1869 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1870); } 
BgL_arg1794z00_1863 = 
(BgL_arg1791z00_1869==BgL_classz00_1856); } } 
{ /* Llib/pthread.scm 129 */
 bool_t BgL_res1979z00_1893;
{ /* Llib/pthread.scm 129 */
 obj_t BgL_oclassz00_1878;
{ /* Llib/pthread.scm 129 */
 long BgL_arg1804z00_1884;
{ /* Llib/pthread.scm 129 */
 long BgL_arg1805z00_1885;
BgL_arg1805z00_1885 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1858); 
BgL_arg1804z00_1884 = 
(BgL_arg1805z00_1885-OBJECT_TYPE); } 
BgL_oclassz00_1878 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1884); } 
{ /* Llib/pthread.scm 129 */
 bool_t BgL__ortest_1111z00_1879;
BgL__ortest_1111z00_1879 = 
(BgL_classz00_1856==BgL_oclassz00_1878); 
if(BgL__ortest_1111z00_1879)
{ /* Llib/pthread.scm 129 */
BgL_res1979z00_1893 = BgL__ortest_1111z00_1879; }  else 
{ /* Llib/pthread.scm 129 */
 long BgL_odepthz00_1880;
BgL_odepthz00_1880 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1878); 
if(
(BgL_arg1800z00_1859<BgL_odepthz00_1880))
{ /* Llib/pthread.scm 129 */
 obj_t BgL_arg1793z00_1882;
BgL_arg1793z00_1882 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1878, BgL_arg1800z00_1859); 
BgL_res1979z00_1893 = 
(BgL_arg1793z00_1882==BgL_classz00_1856); }  else 
{ /* Llib/pthread.scm 129 */
BgL_res1979z00_1893 = ((bool_t)0); } } } } 
BgL_arg1795z00_1864 = BgL_res1979z00_1893; } 
BgL_test2229z00_3385 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1863, BgL_arg1795z00_1864); } }  else 
{ /* Llib/pthread.scm 129 */
BgL_test2229z00_3385 = ((bool_t)0)
; } } 
if(BgL_test2229z00_3385)
{ /* Llib/pthread.scm 129 */
BgL_tz00_1894 = 
((BgL_pthreadz00_bglt)BgL_tz00_638); }  else 
{ 
 obj_t BgL_auxz00_3406;
BgL_auxz00_3406 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)5373)), BGl_string1930z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_tz00_638); 
FAILURE(BgL_auxz00_3406,BFALSE,BFALSE);} } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1894))->BgL_detachedpz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/pthread.scm 131 */
 void * BgL_arg1590z00_1895;
BgL_arg1590z00_1895 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1894))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1590z00_1895, 
((obj_t)BgL_tz00_1894), ((bool_t)1)); BUNSPEC; } 
return 
((obj_t)BgL_tz00_1894);} } 

}



/* &thread-initialize!-p1146 */
obj_t BGl_z62threadzd2initializa7ez12zd2p1146zd7zz__pth_threadz00(obj_t BgL_envz00_640, obj_t BgL_oz00_641)
{
{ /* Llib/pthread.scm 88 */
{ /* Llib/pthread.scm 89 */
 BgL_pthreadz00_bglt BgL_oz00_1934;
{ /* Llib/pthread.scm 89 */
 bool_t BgL_test2233z00_3415;
{ /* Llib/pthread.scm 89 */
 obj_t BgL_classz00_1896;
BgL_classz00_1896 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_641))
{ /* Llib/pthread.scm 89 */
 BgL_objectz00_bglt BgL_arg1799z00_1898; long BgL_arg1800z00_1899;
BgL_arg1799z00_1898 = 
(BgL_objectz00_bglt)(BgL_oz00_641); 
BgL_arg1800z00_1899 = 
BGL_CLASS_DEPTH(BgL_classz00_1896); 
{ /* Llib/pthread.scm 89 */
 bool_t BgL_arg1794z00_1903; bool_t BgL_arg1795z00_1904;
{ /* Llib/pthread.scm 89 */
 long BgL_idxz00_1908;
BgL_idxz00_1908 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1898); 
{ /* Llib/pthread.scm 89 */
 obj_t BgL_arg1791z00_1909;
{ /* Llib/pthread.scm 89 */
 long BgL_arg1792z00_1910;
BgL_arg1792z00_1910 = 
(BgL_idxz00_1908+BgL_arg1800z00_1899); 
BgL_arg1791z00_1909 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1910); } 
BgL_arg1794z00_1903 = 
(BgL_arg1791z00_1909==BgL_classz00_1896); } } 
{ /* Llib/pthread.scm 89 */
 bool_t BgL_res1980z00_1933;
{ /* Llib/pthread.scm 89 */
 obj_t BgL_oclassz00_1918;
{ /* Llib/pthread.scm 89 */
 long BgL_arg1804z00_1924;
{ /* Llib/pthread.scm 89 */
 long BgL_arg1805z00_1925;
BgL_arg1805z00_1925 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1898); 
BgL_arg1804z00_1924 = 
(BgL_arg1805z00_1925-OBJECT_TYPE); } 
BgL_oclassz00_1918 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1924); } 
{ /* Llib/pthread.scm 89 */
 bool_t BgL__ortest_1111z00_1919;
BgL__ortest_1111z00_1919 = 
(BgL_classz00_1896==BgL_oclassz00_1918); 
if(BgL__ortest_1111z00_1919)
{ /* Llib/pthread.scm 89 */
BgL_res1980z00_1933 = BgL__ortest_1111z00_1919; }  else 
{ /* Llib/pthread.scm 89 */
 long BgL_odepthz00_1920;
BgL_odepthz00_1920 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1918); 
if(
(BgL_arg1800z00_1899<BgL_odepthz00_1920))
{ /* Llib/pthread.scm 89 */
 obj_t BgL_arg1793z00_1922;
BgL_arg1793z00_1922 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1918, BgL_arg1800z00_1899); 
BgL_res1980z00_1933 = 
(BgL_arg1793z00_1922==BgL_classz00_1896); }  else 
{ /* Llib/pthread.scm 89 */
BgL_res1980z00_1933 = ((bool_t)0); } } } } 
BgL_arg1795z00_1904 = BgL_res1980z00_1933; } 
BgL_test2233z00_3415 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1903, BgL_arg1795z00_1904); } }  else 
{ /* Llib/pthread.scm 89 */
BgL_test2233z00_3415 = ((bool_t)0)
; } } 
if(BgL_test2233z00_3415)
{ /* Llib/pthread.scm 89 */
BgL_oz00_1934 = 
((BgL_pthreadz00_bglt)BgL_oz00_641); }  else 
{ 
 obj_t BgL_auxz00_3436;
BgL_auxz00_3436 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)4064)), BGl_string1933z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_641); 
FAILURE(BgL_auxz00_3436,BFALSE,BFALSE);} } 
if(
BGl_bigloozd2initializa7edzf3z86zz__paramz00())
{ /* Llib/pthread.scm 89 */BFALSE; }  else 
{ /* Llib/pthread.scm 92 */
 obj_t BgL_arg1363z00_1935;
BgL_arg1363z00_1935 = 
bgl_typeof(
((obj_t)BgL_oz00_1934)); 
{ /* Llib/pthread.scm 90 */
 obj_t BgL_list1364z00_1936;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1366z00_1937;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1367z00_1938;
BgL_arg1367z00_1938 = 
MAKE_YOUNG_PAIR(BgL_arg1363z00_1935, BNIL); 
BgL_arg1366z00_1937 = 
MAKE_YOUNG_PAIR(BGl_string1931z00zz__pth_threadz00, BgL_arg1367z00_1938); } 
BgL_list1364z00_1936 = 
MAKE_YOUNG_PAIR(BGl_string1932z00zz__pth_threadz00, BgL_arg1366z00_1937); } 
BGl_warningz00zz__errorz00(BgL_list1364z00_1936); } } 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_bz00_1939;
BgL_bz00_1939 = 
MAKE_FX_PROCEDURE(BGl_z62bz62zz__pth_threadz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_bz00_1939, 
(int)(((long)0)), 
((obj_t)BgL_oz00_1934)); 
PROCEDURE_SET(BgL_bz00_1939, 
(int)(((long)1)), 
((obj_t)BgL_oz00_1934)); 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1934))->BgL_z42builtinz42)=((void *)
bglpth_thread_new(BgL_bz00_1939)),BUNSPEC);} } } 

}



/* &b */
obj_t BGl_z62bz62zz__pth_threadz00(obj_t BgL_envz00_642)
{
{ /* Llib/pthread.scm 94 */
{ /* Llib/pthread.scm 95 */
 BgL_pthreadz00_bglt BgL_i1082z00_643; BgL_pthreadz00_bglt BgL_oz00_644;
BgL_i1082z00_643 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_642, 
(int)(((long)0)))); 
BgL_oz00_644 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_642, 
(int)(((long)1)))); 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_idz00_1940;
{ /* Llib/pthread.scm 95 */
 bool_t BgL_test2238z00_3465;
{ /* Llib/pthread.scm 95 */
 obj_t BgL_tmpz00_3466;
BgL_tmpz00_3466 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1082z00_643)))->BgL_namez00); 
BgL_test2238z00_3465 = 
SYMBOLP(BgL_tmpz00_3466); } 
if(BgL_test2238z00_3465)
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1572z00_1941;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1573z00_1942; obj_t BgL_arg1574z00_1943;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_symbolz00_1944;
BgL_symbolz00_1944 = 
CNST_TABLE_REF(((long)17)); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1457z00_1945;
BgL_arg1457z00_1945 = 
SYMBOL_TO_STRING(BgL_symbolz00_1944); 
BgL_arg1573z00_1942 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_1945); } } 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1575z00_1946;
BgL_arg1575z00_1946 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1082z00_643)))->BgL_namez00); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_symbolz00_1947;
if(
SYMBOLP(BgL_arg1575z00_1946))
{ /* Llib/pthread.scm 96 */
BgL_symbolz00_1947 = BgL_arg1575z00_1946; }  else 
{ 
 obj_t BgL_auxz00_3477;
BgL_auxz00_3477 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)4336)), BGl_string1934z00zz__pth_threadz00, BGl_string1935z00zz__pth_threadz00, BgL_arg1575z00_1946); 
FAILURE(BgL_auxz00_3477,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1457z00_1948;
BgL_arg1457z00_1948 = 
SYMBOL_TO_STRING(BgL_symbolz00_1947); 
BgL_arg1574z00_1943 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_1948); } } } 
BgL_arg1572z00_1941 = 
string_append(BgL_arg1573z00_1942, BgL_arg1574z00_1943); } 
BgL_idz00_1940 = 
bstring_to_symbol(BgL_arg1572z00_1941); }  else 
{ /* Llib/pthread.scm 95 */
BgL_idz00_1940 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)18))); } } 
{ /* Llib/pthread.scm 98 */

BGL_PUSH_TRACE(BgL_idz00_1940, BUNSPEC); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_zc3z04anonymousza31378ze3z87_1949;
BgL_zc3z04anonymousza31378ze3z87_1949 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31378ze3ze5zz__pth_threadz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31378ze3z87_1949, 
(int)(((long)0)), 
((obj_t)BgL_oz00_644)); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BgL_zc3z04anonymousza31378ze3z87_1949); BUNSPEC; } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_env1091z00_1950;
BgL_env1091z00_1950 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_1952;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_cell1086z00_1960;
BgL_cell1086z00_1960 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_val1090z00_1961;
BgL_val1090z00_1961 = 
BGl_zc3z04exitza31415ze3ze70z60zz__pth_threadz00(BgL_cell1086z00_1960, BgL_env1091z00_1950, BgL_i1082z00_643); 
if(
(BgL_val1090z00_1961==BgL_cell1086z00_1960))
{ /* Llib/pthread.scm 105 */
{ /* Llib/pthread.scm 105 */
 int BgL_tmpz00_3500;
BgL_tmpz00_3500 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3500); } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1414z00_1962;
BgL_arg1414z00_1962 = 
CELL_REF(
((obj_t)BgL_val1090z00_1961)); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_tmpz00_3505;
BgL_ez00_1952 = BgL_arg1414z00_1962; 
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_uz00_1953;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1093z00_1954;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1092z00_1955;
BgL_new1092z00_1955 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 107 */
 long BgL_arg1563z00_1956;
BgL_arg1563z00_1956 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1092z00_1955), BgL_arg1563z00_1956); } 
BgL_new1093z00_1954 = BgL_new1092z00_1955; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1093z00_1954)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1093z00_1954)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3514;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1554z00_1957;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1555z00_1958;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_classz00_1959;
BgL_classz00_1959 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
BgL_arg1555z00_1958 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1959); } 
BgL_arg1554z00_1957 = 
VECTOR_REF(BgL_arg1555z00_1958,((long)2)); } 
{ /* Llib/pthread.scm 107 */
 obj_t BgL_auxz00_3518;
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_arg1554z00_1957))
{ /* Llib/pthread.scm 107 */
BgL_auxz00_3518 = BgL_arg1554z00_1957
; }  else 
{ 
 obj_t BgL_auxz00_3521;
BgL_auxz00_3521 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)4644)), BGl_string1936z00zz__pth_threadz00, BGl_string1921z00zz__pth_threadz00, BgL_arg1554z00_1957); 
FAILURE(BgL_auxz00_3521,BFALSE,BFALSE);} 
BgL_auxz00_3514 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_auxz00_3518); } } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1093z00_1954)))->BgL_stackz00)=((obj_t)BgL_auxz00_3514),BUNSPEC); } 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1093z00_1954))->BgL_reasonz00)=((obj_t)BgL_ez00_1952),BUNSPEC); 
BgL_uz00_1953 = BgL_new1093z00_1954; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1082z00_643))->BgL_endzd2exceptionzd2)=((obj_t)
((obj_t)BgL_uz00_1953)),BUNSPEC); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_1952); 
BgL_tmpz00_3505 = ((bool_t)0); } 
return 
BBOOL(BgL_tmpz00_3505);} } }  else 
{ /* Llib/pthread.scm 105 */
return BgL_val1090z00_1961;} } } } } } } } } 

}



/* <@exit:1416>~0 */
obj_t BGl_zc3z04exitza31416ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt BgL_i1082z00_697)
{
{ /* Llib/pthread.scm 114 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1097z00_268;
if( SET_EXIT(BgL_an_exit1097z00_268 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1097z00_268 = 
(void *)jmpbuf; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_env1101z00_269;
BgL_env1101z00_269 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1101z00_269, BgL_an_exit1097z00_268, ((long)1)); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_an_exitd1098z00_270;
BgL_an_exitd1098z00_270 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1101z00_269); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_res1100z00_273;
{ /* Llib/pthread.scm 117 */
 obj_t BgL_zc3z04anonymousza31456ze3z87_613;
BgL_zc3z04anonymousza31456ze3z87_613 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31456ze3ze5zz__pth_threadz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31456ze3z87_613, 
(int)(((long)0)), BgL_an_exitd1098z00_270); 
BGl_signalz00zz__osz00(BGL_PTHREAD_TERM_SIG, BgL_zc3z04anonymousza31456ze3z87_613); } 
{ 
 obj_t BgL_auxz00_3543;
{ /* Llib/pthread.scm 120 */
 obj_t BgL_fun1537z00_282;
BgL_fun1537z00_282 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_i1082z00_697))->BgL_bodyz00); 
if(
PROCEDURE_CORRECT_ARITYP(BgL_fun1537z00_282, ((long)0)))
{ /* Llib/pthread.scm 120 */
BgL_auxz00_3543 = 
PROCEDURE_ENTRY(BgL_fun1537z00_282)(BgL_fun1537z00_282, BEOA)
; }  else 
{ 
 obj_t BgL_auxz00_3550;
BgL_auxz00_3550 = 
CNST_TABLE_REF(((long)19)); 
FAILURE(BGl_string1937z00zz__pth_threadz00,BgL_auxz00_3550,BgL_fun1537z00_282);} } 
BgL_res1100z00_273 = 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1082z00_697))->BgL_endzd2resultzd2)=((obj_t)BgL_auxz00_3543),BUNSPEC); } 
POP_ENV_EXIT(BgL_env1101z00_269); 
return BgL_res1100z00_273;} } } 
}} 

}



/* <@exit:1415>~0 */
obj_t BGl_zc3z04exitza31415ze3ze70z60zz__pth_threadz00(obj_t BgL_cell1086z00_700, obj_t BgL_env1091z00_699, BgL_pthreadz00_bglt BgL_i1082z00_698)
{
{ /* Llib/pthread.scm 105 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1103z00_259;
if( SET_EXIT(BgL_an_exit1103z00_259 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1103z00_259 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1091z00_699, BgL_an_exit1103z00_259, ((long)1)); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_escape1087z00_260;
BgL_escape1087z00_260 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1091z00_699); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_res1106z00_261;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_ohs1083z00_262;
BgL_ohs1083z00_262 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1091z00_699); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_hds1084z00_263;
BgL_hds1084z00_263 = 
MAKE_STACK_PAIR(BgL_escape1087z00_260, BgL_cell1086z00_700); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1091z00_699, BgL_hds1084z00_263); BUNSPEC; 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_exitd1094z00_264;
BgL_exitd1094z00_264 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1091z00_699); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_tmp1096z00_265;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1541z00_283;
BgL_arg1541z00_283 = 
BGL_EXITD_PROTECT(BgL_exitd1094z00_264); 
BgL_tmp1096z00_265 = 
MAKE_YOUNG_PAIR(BgL_ohs1083z00_262, BgL_arg1541z00_283); } 
{ /* Llib/pthread.scm 105 */

BGL_EXITD_PROTECT_SET(BgL_exitd1094z00_264, BgL_tmp1096z00_265); BUNSPEC; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_tmp1095z00_266;
BgL_tmp1095z00_266 = 
BGl_zc3z04exitza31416ze3ze70z60zz__pth_threadz00(BgL_i1082z00_698); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_test2243z00_3567;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1817z00_441;
BgL_arg1817z00_441 = 
BGL_EXITD_PROTECT(BgL_exitd1094z00_264); 
BgL_test2243z00_3567 = 
PAIRP(BgL_arg1817z00_441); } 
if(BgL_test2243z00_3567)
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1815z00_442;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1816z00_443;
BgL_arg1816z00_443 = 
BGL_EXITD_PROTECT(BgL_exitd1094z00_264); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_pairz00_444;
if(
PAIRP(BgL_arg1816z00_443))
{ /* Llib/pthread.scm 105 */
BgL_pairz00_444 = BgL_arg1816z00_443; }  else 
{ 
 obj_t BgL_auxz00_3573;
BgL_auxz00_3573 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)4594)), BGl_string1938z00zz__pth_threadz00, BGl_string1939z00zz__pth_threadz00, BgL_arg1816z00_443); 
FAILURE(BgL_auxz00_3573,BFALSE,BFALSE);} 
BgL_arg1815z00_442 = 
CDR(BgL_pairz00_444); } } 
BGL_EXITD_PROTECT_SET(BgL_exitd1094z00_264, BgL_arg1815z00_442); BUNSPEC; }  else 
{ /* Llib/pthread.scm 105 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1091z00_699, BgL_ohs1083z00_262); BUNSPEC; 
BgL_res1106z00_261 = BgL_tmp1095z00_266; } } } } } } 
POP_ENV_EXIT(BgL_env1091z00_699); 
return BgL_res1106z00_261;} } 
}} 

}



/* &<@anonymous:1456> */
obj_t BGl_z62zc3z04anonymousza31456ze3ze5zz__pth_threadz00(obj_t BgL_envz00_645, obj_t BgL_sz00_647)
{
{ /* Llib/pthread.scm 116 */
{ /* Llib/pthread.scm 117 */
 obj_t BgL_an_exitd1098z00_646;
BgL_an_exitd1098z00_646 = 
PROCEDURE_REF(BgL_envz00_645, 
(int)(((long)0))); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BGl_proc1940z00zz__pth_threadz00); BUNSPEC; 
return 
unwind_stack_until(BgL_an_exitd1098z00_646, BFALSE, BFALSE, BFALSE, BFALSE);} } 

}



/* &<@anonymous:1536> */
obj_t BGl_z62zc3z04anonymousza31536ze3ze5zz__pth_threadz00(obj_t BgL_envz00_648, obj_t BgL_valz00_649)
{
{ /* Llib/pthread.scm 118 */
return BgL_valz00_649;} 

}



/* &<@anonymous:1378> */
obj_t BGl_z62zc3z04anonymousza31378ze3ze5zz__pth_threadz00(obj_t BgL_envz00_650, obj_t BgL_valz00_652)
{
{ /* Llib/pthread.scm 101 */
{ /* Llib/pthread.scm 102 */
 BgL_pthreadz00_bglt BgL_oz00_651;
BgL_oz00_651 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_650, 
(int)(((long)0)))); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_arg1379z00_1964;
{ /* Llib/pthread.scm 102 */
 obj_t BgL_list1380z00_1965;
BgL_list1380z00_1965 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_651), BNIL); 
BgL_arg1379z00_1964 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1941z00zz__pth_threadz00, BgL_list1380z00_1965); } 
return 
BGl_errorz00zz__errorz00(BgL_arg1379z00_1964, BGl_string1942z00zz__pth_threadz00, BgL_valz00_652);} } } 

}



/* &%user-thread-yield!-1144 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21144zf0zz__pth_threadz00(obj_t BgL_envz00_653, obj_t BgL_oz00_654)
{
{ /* Llib/pthread.scm 82 */
{ /* Llib/pthread.scm 83 */
 BgL_pthreadz00_bglt BgL_oz00_2004;
{ /* Llib/pthread.scm 83 */
 bool_t BgL_test2245z00_3592;
{ /* Llib/pthread.scm 83 */
 obj_t BgL_classz00_1966;
BgL_classz00_1966 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_654))
{ /* Llib/pthread.scm 83 */
 BgL_objectz00_bglt BgL_arg1799z00_1968; long BgL_arg1800z00_1969;
BgL_arg1799z00_1968 = 
(BgL_objectz00_bglt)(BgL_oz00_654); 
BgL_arg1800z00_1969 = 
BGL_CLASS_DEPTH(BgL_classz00_1966); 
{ /* Llib/pthread.scm 83 */
 bool_t BgL_arg1794z00_1973; bool_t BgL_arg1795z00_1974;
{ /* Llib/pthread.scm 83 */
 long BgL_idxz00_1978;
BgL_idxz00_1978 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1968); 
{ /* Llib/pthread.scm 83 */
 obj_t BgL_arg1791z00_1979;
{ /* Llib/pthread.scm 83 */
 long BgL_arg1792z00_1980;
BgL_arg1792z00_1980 = 
(BgL_idxz00_1978+BgL_arg1800z00_1969); 
BgL_arg1791z00_1979 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1980); } 
BgL_arg1794z00_1973 = 
(BgL_arg1791z00_1979==BgL_classz00_1966); } } 
{ /* Llib/pthread.scm 83 */
 bool_t BgL_res1981z00_2003;
{ /* Llib/pthread.scm 83 */
 obj_t BgL_oclassz00_1988;
{ /* Llib/pthread.scm 83 */
 long BgL_arg1804z00_1994;
{ /* Llib/pthread.scm 83 */
 long BgL_arg1805z00_1995;
BgL_arg1805z00_1995 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1968); 
BgL_arg1804z00_1994 = 
(BgL_arg1805z00_1995-OBJECT_TYPE); } 
BgL_oclassz00_1988 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1994); } 
{ /* Llib/pthread.scm 83 */
 bool_t BgL__ortest_1111z00_1989;
BgL__ortest_1111z00_1989 = 
(BgL_classz00_1966==BgL_oclassz00_1988); 
if(BgL__ortest_1111z00_1989)
{ /* Llib/pthread.scm 83 */
BgL_res1981z00_2003 = BgL__ortest_1111z00_1989; }  else 
{ /* Llib/pthread.scm 83 */
 long BgL_odepthz00_1990;
BgL_odepthz00_1990 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1988); 
if(
(BgL_arg1800z00_1969<BgL_odepthz00_1990))
{ /* Llib/pthread.scm 83 */
 obj_t BgL_arg1793z00_1992;
BgL_arg1793z00_1992 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1988, BgL_arg1800z00_1969); 
BgL_res1981z00_2003 = 
(BgL_arg1793z00_1992==BgL_classz00_1966); }  else 
{ /* Llib/pthread.scm 83 */
BgL_res1981z00_2003 = ((bool_t)0); } } } } 
BgL_arg1795z00_1974 = BgL_res1981z00_2003; } 
BgL_test2245z00_3592 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1973, BgL_arg1795z00_1974); } }  else 
{ /* Llib/pthread.scm 83 */
BgL_test2245z00_3592 = ((bool_t)0)
; } } 
if(BgL_test2245z00_3592)
{ /* Llib/pthread.scm 83 */
BgL_oz00_2004 = 
((BgL_pthreadz00_bglt)BgL_oz00_654); }  else 
{ 
 obj_t BgL_auxz00_3613;
BgL_auxz00_3613 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)3767)), BGl_string1943z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_oz00_654); 
FAILURE(BgL_auxz00_3613,BFALSE,BFALSE);} } 
return 
BINT(
sched_yield());} } 

}



/* &object-print-uncaugh1142 */
obj_t BGl_z62objectzd2printzd2uncaugh1142z62zz__pth_threadz00(obj_t BgL_envz00_655, obj_t BgL_oz00_656, obj_t BgL_portz00_657, obj_t BgL_printzd2slotzd2_658)
{
{ /* Llib/pthread.scm 75 */
{ /* Llib/pthread.scm 76 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_2081;
{ /* Llib/pthread.scm 76 */
 bool_t BgL_test2249z00_3619;
{ /* Llib/pthread.scm 76 */
 obj_t BgL_classz00_2043;
BgL_classz00_2043 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_656))
{ /* Llib/pthread.scm 76 */
 BgL_objectz00_bglt BgL_arg1799z00_2045; long BgL_arg1800z00_2046;
BgL_arg1799z00_2045 = 
(BgL_objectz00_bglt)(BgL_oz00_656); 
BgL_arg1800z00_2046 = 
BGL_CLASS_DEPTH(BgL_classz00_2043); 
{ /* Llib/pthread.scm 76 */
 bool_t BgL_arg1794z00_2050; bool_t BgL_arg1795z00_2051;
{ /* Llib/pthread.scm 76 */
 long BgL_idxz00_2055;
BgL_idxz00_2055 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2045); 
{ /* Llib/pthread.scm 76 */
 obj_t BgL_arg1791z00_2056;
{ /* Llib/pthread.scm 76 */
 long BgL_arg1792z00_2057;
BgL_arg1792z00_2057 = 
(BgL_idxz00_2055+BgL_arg1800z00_2046); 
BgL_arg1791z00_2056 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2057); } 
BgL_arg1794z00_2050 = 
(BgL_arg1791z00_2056==BgL_classz00_2043); } } 
{ /* Llib/pthread.scm 76 */
 bool_t BgL_res1983z00_2080;
{ /* Llib/pthread.scm 76 */
 obj_t BgL_oclassz00_2065;
{ /* Llib/pthread.scm 76 */
 long BgL_arg1804z00_2071;
{ /* Llib/pthread.scm 76 */
 long BgL_arg1805z00_2072;
BgL_arg1805z00_2072 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2045); 
BgL_arg1804z00_2071 = 
(BgL_arg1805z00_2072-OBJECT_TYPE); } 
BgL_oclassz00_2065 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2071); } 
{ /* Llib/pthread.scm 76 */
 bool_t BgL__ortest_1111z00_2066;
BgL__ortest_1111z00_2066 = 
(BgL_classz00_2043==BgL_oclassz00_2065); 
if(BgL__ortest_1111z00_2066)
{ /* Llib/pthread.scm 76 */
BgL_res1983z00_2080 = BgL__ortest_1111z00_2066; }  else 
{ /* Llib/pthread.scm 76 */
 long BgL_odepthz00_2067;
BgL_odepthz00_2067 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2065); 
if(
(BgL_arg1800z00_2046<BgL_odepthz00_2067))
{ /* Llib/pthread.scm 76 */
 obj_t BgL_arg1793z00_2069;
BgL_arg1793z00_2069 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2065, BgL_arg1800z00_2046); 
BgL_res1983z00_2080 = 
(BgL_arg1793z00_2069==BgL_classz00_2043); }  else 
{ /* Llib/pthread.scm 76 */
BgL_res1983z00_2080 = ((bool_t)0); } } } } 
BgL_arg1795z00_2051 = BgL_res1983z00_2080; } 
BgL_test2249z00_3619 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2050, BgL_arg1795z00_2051); } }  else 
{ /* Llib/pthread.scm 76 */
BgL_test2249z00_3619 = ((bool_t)0)
; } } 
if(BgL_test2249z00_3619)
{ /* Llib/pthread.scm 76 */
BgL_oz00_2081 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_656); }  else 
{ 
 obj_t BgL_auxz00_3640;
BgL_auxz00_3640 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)3403)), BGl_string1947z00zz__pth_threadz00, BGl_string1866z00zz__pth_threadz00, BgL_oz00_656); 
FAILURE(BgL_auxz00_3640,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 77 */
 obj_t BgL_arg1360z00_2082;
BgL_arg1360z00_2082 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_2081))->BgL_reasonz00); 
{ /* Llib/pthread.scm 77 */
 obj_t BgL_auxz00_3678; obj_t BgL_auxz00_3671; BgL_objectz00_bglt BgL_auxz00_3645;
if(
PROCEDUREP(BgL_printzd2slotzd2_658))
{ /* Llib/pthread.scm 77 */
BgL_auxz00_3678 = BgL_printzd2slotzd2_658
; }  else 
{ 
 obj_t BgL_auxz00_3681;
BgL_auxz00_3681 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)3479)), BGl_string1944z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_printzd2slotzd2_658); 
FAILURE(BgL_auxz00_3681,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_portz00_657))
{ /* Llib/pthread.scm 77 */
BgL_auxz00_3671 = BgL_portz00_657
; }  else 
{ 
 obj_t BgL_auxz00_3674;
BgL_auxz00_3674 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)3474)), BGl_string1944z00zz__pth_threadz00, BGl_string1946z00zz__pth_threadz00, BgL_portz00_657); 
FAILURE(BgL_auxz00_3674,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 77 */
 bool_t BgL_test2253z00_3646;
{ /* Llib/pthread.scm 77 */
 obj_t BgL_classz00_2083;
BgL_classz00_2083 = BGl_objectz00zz__objectz00; 
if(
BGL_OBJECTP(BgL_arg1360z00_2082))
{ /* Llib/pthread.scm 77 */
 BgL_objectz00_bglt BgL_arg1799z00_2085; long BgL_arg1800z00_2086;
BgL_arg1799z00_2085 = 
(BgL_objectz00_bglt)(BgL_arg1360z00_2082); 
BgL_arg1800z00_2086 = 
BGL_CLASS_DEPTH(BgL_classz00_2083); 
{ /* Llib/pthread.scm 77 */
 bool_t BgL_arg1794z00_2090; bool_t BgL_arg1795z00_2091;
{ /* Llib/pthread.scm 77 */
 long BgL_idxz00_2095;
BgL_idxz00_2095 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2085); 
{ /* Llib/pthread.scm 77 */
 obj_t BgL_arg1791z00_2096;
{ /* Llib/pthread.scm 77 */
 long BgL_arg1792z00_2097;
BgL_arg1792z00_2097 = 
(BgL_idxz00_2095+BgL_arg1800z00_2086); 
BgL_arg1791z00_2096 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2097); } 
BgL_arg1794z00_2090 = 
(BgL_arg1791z00_2096==BgL_classz00_2083); } } 
{ /* Llib/pthread.scm 77 */
 bool_t BgL_res1982z00_2102;
{ /* Llib/pthread.scm 77 */
 obj_t BgL_oclassz00_2106;
{ /* Llib/pthread.scm 77 */
 long BgL_arg1804z00_2108;
{ /* Llib/pthread.scm 77 */
 long BgL_arg1805z00_2109;
BgL_arg1805z00_2109 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2085); 
BgL_arg1804z00_2108 = 
(BgL_arg1805z00_2109-OBJECT_TYPE); } 
BgL_oclassz00_2106 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2108); } 
{ /* Llib/pthread.scm 77 */
 bool_t BgL__ortest_1111z00_2115;
BgL__ortest_1111z00_2115 = 
(BgL_classz00_2083==BgL_oclassz00_2106); 
if(BgL__ortest_1111z00_2115)
{ /* Llib/pthread.scm 77 */
BgL_res1982z00_2102 = BgL__ortest_1111z00_2115; }  else 
{ /* Llib/pthread.scm 77 */
 long BgL_odepthz00_2116;
BgL_odepthz00_2116 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2106); 
if(
(BgL_arg1800z00_2086<BgL_odepthz00_2116))
{ /* Llib/pthread.scm 77 */
 obj_t BgL_arg1793z00_2120;
BgL_arg1793z00_2120 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2106, BgL_arg1800z00_2086); 
BgL_res1982z00_2102 = 
(BgL_arg1793z00_2120==BgL_classz00_2083); }  else 
{ /* Llib/pthread.scm 77 */
BgL_res1982z00_2102 = ((bool_t)0); } } } } 
BgL_arg1795z00_2091 = BgL_res1982z00_2102; } 
BgL_test2253z00_3646 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2090, BgL_arg1795z00_2091); } }  else 
{ /* Llib/pthread.scm 77 */
BgL_test2253z00_3646 = ((bool_t)0)
; } } 
if(BgL_test2253z00_3646)
{ /* Llib/pthread.scm 77 */
BgL_auxz00_3645 = 
((BgL_objectz00_bglt)BgL_arg1360z00_2082)
; }  else 
{ 
 obj_t BgL_auxz00_3667;
BgL_auxz00_3667 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)3467)), BGl_string1944z00zz__pth_threadz00, BGl_string1945z00zz__pth_threadz00, BgL_arg1360z00_2082); 
FAILURE(BgL_auxz00_3667,BFALSE,BFALSE);} } 
return 
BGl_objectzd2printzd2zz__objectz00(BgL_auxz00_3645, BgL_auxz00_3671, BgL_auxz00_3678);} } } } 

}



/* &object-display-uncau1140 */
obj_t BGl_z62objectzd2displayzd2uncau1140z62zz__pth_threadz00(obj_t BgL_envz00_659, obj_t BgL_oz00_660, obj_t BgL_portz00_661)
{
{ /* Llib/pthread.scm 68 */
{ /* Llib/pthread.scm 69 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_2197;
{ /* Llib/pthread.scm 69 */
 bool_t BgL_test2259z00_3686;
{ /* Llib/pthread.scm 69 */
 obj_t BgL_classz00_2159;
BgL_classz00_2159 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_660))
{ /* Llib/pthread.scm 69 */
 BgL_objectz00_bglt BgL_arg1799z00_2161; long BgL_arg1800z00_2162;
BgL_arg1799z00_2161 = 
(BgL_objectz00_bglt)(BgL_oz00_660); 
BgL_arg1800z00_2162 = 
BGL_CLASS_DEPTH(BgL_classz00_2159); 
{ /* Llib/pthread.scm 69 */
 bool_t BgL_arg1794z00_2166; bool_t BgL_arg1795z00_2167;
{ /* Llib/pthread.scm 69 */
 long BgL_idxz00_2171;
BgL_idxz00_2171 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2161); 
{ /* Llib/pthread.scm 69 */
 obj_t BgL_arg1791z00_2172;
{ /* Llib/pthread.scm 69 */
 long BgL_arg1792z00_2173;
BgL_arg1792z00_2173 = 
(BgL_idxz00_2171+BgL_arg1800z00_2162); 
BgL_arg1791z00_2172 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2173); } 
BgL_arg1794z00_2166 = 
(BgL_arg1791z00_2172==BgL_classz00_2159); } } 
{ /* Llib/pthread.scm 69 */
 bool_t BgL_res1985z00_2196;
{ /* Llib/pthread.scm 69 */
 obj_t BgL_oclassz00_2181;
{ /* Llib/pthread.scm 69 */
 long BgL_arg1804z00_2187;
{ /* Llib/pthread.scm 69 */
 long BgL_arg1805z00_2188;
BgL_arg1805z00_2188 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2161); 
BgL_arg1804z00_2187 = 
(BgL_arg1805z00_2188-OBJECT_TYPE); } 
BgL_oclassz00_2181 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2187); } 
{ /* Llib/pthread.scm 69 */
 bool_t BgL__ortest_1111z00_2182;
BgL__ortest_1111z00_2182 = 
(BgL_classz00_2159==BgL_oclassz00_2181); 
if(BgL__ortest_1111z00_2182)
{ /* Llib/pthread.scm 69 */
BgL_res1985z00_2196 = BgL__ortest_1111z00_2182; }  else 
{ /* Llib/pthread.scm 69 */
 long BgL_odepthz00_2183;
BgL_odepthz00_2183 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2181); 
if(
(BgL_arg1800z00_2162<BgL_odepthz00_2183))
{ /* Llib/pthread.scm 69 */
 obj_t BgL_arg1793z00_2185;
BgL_arg1793z00_2185 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2181, BgL_arg1800z00_2162); 
BgL_res1985z00_2196 = 
(BgL_arg1793z00_2185==BgL_classz00_2159); }  else 
{ /* Llib/pthread.scm 69 */
BgL_res1985z00_2196 = ((bool_t)0); } } } } 
BgL_arg1795z00_2167 = BgL_res1985z00_2196; } 
BgL_test2259z00_3686 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2166, BgL_arg1795z00_2167); } }  else 
{ /* Llib/pthread.scm 69 */
BgL_test2259z00_3686 = ((bool_t)0)
; } } 
if(BgL_test2259z00_3686)
{ /* Llib/pthread.scm 69 */
BgL_oz00_2197 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_660); }  else 
{ 
 obj_t BgL_auxz00_3707;
BgL_auxz00_3707 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)3022)), BGl_string1949z00zz__pth_threadz00, BGl_string1866z00zz__pth_threadz00, BgL_oz00_660); 
FAILURE(BgL_auxz00_3707,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_runner1357z00_2198;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_arg1354z00_2199;
BgL_arg1354z00_2199 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_2197))->BgL_reasonz00); 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_list1355z00_2200;
BgL_list1355z00_2200 = 
MAKE_YOUNG_PAIR(BgL_portz00_661, BNIL); 
BgL_runner1357z00_2198 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1354z00_2199, BgL_list1355z00_2200); } } 
{ /* Llib/pthread.scm 70 */
 BgL_objectz00_bglt BgL_aux1356z00_2201;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_pairz00_2202;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_aux1817z00_2203;
BgL_aux1817z00_2203 = BgL_runner1357z00_2198; 
if(
PAIRP(BgL_aux1817z00_2203))
{ /* Llib/pthread.scm 70 */
BgL_pairz00_2202 = BgL_aux1817z00_2203; }  else 
{ 
 obj_t BgL_auxz00_3716;
BgL_auxz00_3716 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)3072)), BGl_string1948z00zz__pth_threadz00, BGl_string1939z00zz__pth_threadz00, BgL_aux1817z00_2203); 
FAILURE(BgL_auxz00_3716,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_aux1819z00_2204;
BgL_aux1819z00_2204 = 
CAR(BgL_pairz00_2202); 
{ /* Llib/pthread.scm 70 */
 bool_t BgL_test2264z00_3721;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_classz00_2205;
BgL_classz00_2205 = BGl_objectz00zz__objectz00; 
if(
BGL_OBJECTP(BgL_aux1819z00_2204))
{ /* Llib/pthread.scm 70 */
 BgL_objectz00_bglt BgL_arg1799z00_2207; long BgL_arg1800z00_2208;
BgL_arg1799z00_2207 = 
(BgL_objectz00_bglt)(BgL_aux1819z00_2204); 
BgL_arg1800z00_2208 = 
BGL_CLASS_DEPTH(BgL_classz00_2205); 
{ /* Llib/pthread.scm 70 */
 bool_t BgL_arg1794z00_2212; bool_t BgL_arg1795z00_2213;
{ /* Llib/pthread.scm 70 */
 long BgL_idxz00_2217;
BgL_idxz00_2217 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2207); 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_arg1791z00_2218;
{ /* Llib/pthread.scm 70 */
 long BgL_arg1792z00_2219;
BgL_arg1792z00_2219 = 
(BgL_idxz00_2217+BgL_arg1800z00_2208); 
BgL_arg1791z00_2218 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2219); } 
BgL_arg1794z00_2212 = 
(BgL_arg1791z00_2218==BgL_classz00_2205); } } 
{ /* Llib/pthread.scm 70 */
 bool_t BgL_res1984z00_2224;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_oclassz00_2228;
{ /* Llib/pthread.scm 70 */
 long BgL_arg1804z00_2230;
{ /* Llib/pthread.scm 70 */
 long BgL_arg1805z00_2231;
BgL_arg1805z00_2231 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2207); 
BgL_arg1804z00_2230 = 
(BgL_arg1805z00_2231-OBJECT_TYPE); } 
BgL_oclassz00_2228 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2230); } 
{ /* Llib/pthread.scm 70 */
 bool_t BgL__ortest_1111z00_2237;
BgL__ortest_1111z00_2237 = 
(BgL_classz00_2205==BgL_oclassz00_2228); 
if(BgL__ortest_1111z00_2237)
{ /* Llib/pthread.scm 70 */
BgL_res1984z00_2224 = BgL__ortest_1111z00_2237; }  else 
{ /* Llib/pthread.scm 70 */
 long BgL_odepthz00_2238;
BgL_odepthz00_2238 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2228); 
if(
(BgL_arg1800z00_2208<BgL_odepthz00_2238))
{ /* Llib/pthread.scm 70 */
 obj_t BgL_arg1793z00_2242;
BgL_arg1793z00_2242 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2228, BgL_arg1800z00_2208); 
BgL_res1984z00_2224 = 
(BgL_arg1793z00_2242==BgL_classz00_2205); }  else 
{ /* Llib/pthread.scm 70 */
BgL_res1984z00_2224 = ((bool_t)0); } } } } 
BgL_arg1795z00_2213 = BgL_res1984z00_2224; } 
BgL_test2264z00_3721 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2212, BgL_arg1795z00_2213); } }  else 
{ /* Llib/pthread.scm 70 */
BgL_test2264z00_3721 = ((bool_t)0)
; } } 
if(BgL_test2264z00_3721)
{ /* Llib/pthread.scm 70 */
BgL_aux1356z00_2201 = 
((BgL_objectz00_bglt)BgL_aux1819z00_2204); }  else 
{ 
 obj_t BgL_auxz00_3742;
BgL_auxz00_3742 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)3072)), BGl_string1948z00zz__pth_threadz00, BGl_string1945z00zz__pth_threadz00, BgL_aux1819z00_2204); 
FAILURE(BgL_auxz00_3742,BFALSE,BFALSE);} } } } 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_pairz00_2243;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_aux1822z00_2244;
BgL_aux1822z00_2244 = BgL_runner1357z00_2198; 
if(
PAIRP(BgL_aux1822z00_2244))
{ /* Llib/pthread.scm 70 */
BgL_pairz00_2243 = BgL_aux1822z00_2244; }  else 
{ 
 obj_t BgL_auxz00_3748;
BgL_auxz00_3748 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)3072)), BGl_string1948z00zz__pth_threadz00, BGl_string1939z00zz__pth_threadz00, BgL_aux1822z00_2244); 
FAILURE(BgL_auxz00_3748,BFALSE,BFALSE);} } 
BgL_runner1357z00_2198 = 
CDR(BgL_pairz00_2243); } 
return 
BGl_objectzd2displayzd2zz__objectz00(BgL_aux1356z00_2201, BgL_runner1357z00_2198);} } } } 

}



/* &object-write-uncaugh1138 */
obj_t BGl_z62objectzd2writezd2uncaugh1138z62zz__pth_threadz00(obj_t BgL_envz00_662, obj_t BgL_oz00_663, obj_t BgL_portz00_664)
{
{ /* Llib/pthread.scm 61 */
{ /* Llib/pthread.scm 62 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_2321;
{ /* Llib/pthread.scm 62 */
 bool_t BgL_test2269z00_3754;
{ /* Llib/pthread.scm 62 */
 obj_t BgL_classz00_2283;
BgL_classz00_2283 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_663))
{ /* Llib/pthread.scm 62 */
 BgL_objectz00_bglt BgL_arg1799z00_2285; long BgL_arg1800z00_2286;
BgL_arg1799z00_2285 = 
(BgL_objectz00_bglt)(BgL_oz00_663); 
BgL_arg1800z00_2286 = 
BGL_CLASS_DEPTH(BgL_classz00_2283); 
{ /* Llib/pthread.scm 62 */
 bool_t BgL_arg1794z00_2290; bool_t BgL_arg1795z00_2291;
{ /* Llib/pthread.scm 62 */
 long BgL_idxz00_2295;
BgL_idxz00_2295 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2285); 
{ /* Llib/pthread.scm 62 */
 obj_t BgL_arg1791z00_2296;
{ /* Llib/pthread.scm 62 */
 long BgL_arg1792z00_2297;
BgL_arg1792z00_2297 = 
(BgL_idxz00_2295+BgL_arg1800z00_2286); 
BgL_arg1791z00_2296 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2297); } 
BgL_arg1794z00_2290 = 
(BgL_arg1791z00_2296==BgL_classz00_2283); } } 
{ /* Llib/pthread.scm 62 */
 bool_t BgL_res1987z00_2320;
{ /* Llib/pthread.scm 62 */
 obj_t BgL_oclassz00_2305;
{ /* Llib/pthread.scm 62 */
 long BgL_arg1804z00_2311;
{ /* Llib/pthread.scm 62 */
 long BgL_arg1805z00_2312;
BgL_arg1805z00_2312 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2285); 
BgL_arg1804z00_2311 = 
(BgL_arg1805z00_2312-OBJECT_TYPE); } 
BgL_oclassz00_2305 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2311); } 
{ /* Llib/pthread.scm 62 */
 bool_t BgL__ortest_1111z00_2306;
BgL__ortest_1111z00_2306 = 
(BgL_classz00_2283==BgL_oclassz00_2305); 
if(BgL__ortest_1111z00_2306)
{ /* Llib/pthread.scm 62 */
BgL_res1987z00_2320 = BgL__ortest_1111z00_2306; }  else 
{ /* Llib/pthread.scm 62 */
 long BgL_odepthz00_2307;
BgL_odepthz00_2307 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2305); 
if(
(BgL_arg1800z00_2286<BgL_odepthz00_2307))
{ /* Llib/pthread.scm 62 */
 obj_t BgL_arg1793z00_2309;
BgL_arg1793z00_2309 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2305, BgL_arg1800z00_2286); 
BgL_res1987z00_2320 = 
(BgL_arg1793z00_2309==BgL_classz00_2283); }  else 
{ /* Llib/pthread.scm 62 */
BgL_res1987z00_2320 = ((bool_t)0); } } } } 
BgL_arg1795z00_2291 = BgL_res1987z00_2320; } 
BgL_test2269z00_3754 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2290, BgL_arg1795z00_2291); } }  else 
{ /* Llib/pthread.scm 62 */
BgL_test2269z00_3754 = ((bool_t)0)
; } } 
if(BgL_test2269z00_3754)
{ /* Llib/pthread.scm 62 */
BgL_oz00_2321 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_663); }  else 
{ 
 obj_t BgL_auxz00_3775;
BgL_auxz00_3775 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)2650)), BGl_string1951z00zz__pth_threadz00, BGl_string1866z00zz__pth_threadz00, BgL_oz00_663); 
FAILURE(BgL_auxz00_3775,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_runner1348z00_2322;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_arg1345z00_2323;
BgL_arg1345z00_2323 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_2321))->BgL_reasonz00); 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_list1346z00_2324;
BgL_list1346z00_2324 = 
MAKE_YOUNG_PAIR(BgL_portz00_664, BNIL); 
BgL_runner1348z00_2322 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1345z00_2323, BgL_list1346z00_2324); } } 
{ /* Llib/pthread.scm 63 */
 BgL_objectz00_bglt BgL_aux1347z00_2325;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_pairz00_2326;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_aux1826z00_2327;
BgL_aux1826z00_2327 = BgL_runner1348z00_2322; 
if(
PAIRP(BgL_aux1826z00_2327))
{ /* Llib/pthread.scm 63 */
BgL_pairz00_2326 = BgL_aux1826z00_2327; }  else 
{ 
 obj_t BgL_auxz00_3784;
BgL_auxz00_3784 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)2700)), BGl_string1950z00zz__pth_threadz00, BGl_string1939z00zz__pth_threadz00, BgL_aux1826z00_2327); 
FAILURE(BgL_auxz00_3784,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_aux1828z00_2328;
BgL_aux1828z00_2328 = 
CAR(BgL_pairz00_2326); 
{ /* Llib/pthread.scm 63 */
 bool_t BgL_test2274z00_3789;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_classz00_2329;
BgL_classz00_2329 = BGl_objectz00zz__objectz00; 
if(
BGL_OBJECTP(BgL_aux1828z00_2328))
{ /* Llib/pthread.scm 63 */
 BgL_objectz00_bglt BgL_arg1799z00_2331; long BgL_arg1800z00_2332;
BgL_arg1799z00_2331 = 
(BgL_objectz00_bglt)(BgL_aux1828z00_2328); 
BgL_arg1800z00_2332 = 
BGL_CLASS_DEPTH(BgL_classz00_2329); 
{ /* Llib/pthread.scm 63 */
 bool_t BgL_arg1794z00_2336; bool_t BgL_arg1795z00_2337;
{ /* Llib/pthread.scm 63 */
 long BgL_idxz00_2341;
BgL_idxz00_2341 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2331); 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_arg1791z00_2342;
{ /* Llib/pthread.scm 63 */
 long BgL_arg1792z00_2343;
BgL_arg1792z00_2343 = 
(BgL_idxz00_2341+BgL_arg1800z00_2332); 
BgL_arg1791z00_2342 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2343); } 
BgL_arg1794z00_2336 = 
(BgL_arg1791z00_2342==BgL_classz00_2329); } } 
{ /* Llib/pthread.scm 63 */
 bool_t BgL_res1986z00_2348;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_oclassz00_2352;
{ /* Llib/pthread.scm 63 */
 long BgL_arg1804z00_2354;
{ /* Llib/pthread.scm 63 */
 long BgL_arg1805z00_2355;
BgL_arg1805z00_2355 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2331); 
BgL_arg1804z00_2354 = 
(BgL_arg1805z00_2355-OBJECT_TYPE); } 
BgL_oclassz00_2352 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2354); } 
{ /* Llib/pthread.scm 63 */
 bool_t BgL__ortest_1111z00_2361;
BgL__ortest_1111z00_2361 = 
(BgL_classz00_2329==BgL_oclassz00_2352); 
if(BgL__ortest_1111z00_2361)
{ /* Llib/pthread.scm 63 */
BgL_res1986z00_2348 = BgL__ortest_1111z00_2361; }  else 
{ /* Llib/pthread.scm 63 */
 long BgL_odepthz00_2362;
BgL_odepthz00_2362 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2352); 
if(
(BgL_arg1800z00_2332<BgL_odepthz00_2362))
{ /* Llib/pthread.scm 63 */
 obj_t BgL_arg1793z00_2366;
BgL_arg1793z00_2366 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2352, BgL_arg1800z00_2332); 
BgL_res1986z00_2348 = 
(BgL_arg1793z00_2366==BgL_classz00_2329); }  else 
{ /* Llib/pthread.scm 63 */
BgL_res1986z00_2348 = ((bool_t)0); } } } } 
BgL_arg1795z00_2337 = BgL_res1986z00_2348; } 
BgL_test2274z00_3789 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2336, BgL_arg1795z00_2337); } }  else 
{ /* Llib/pthread.scm 63 */
BgL_test2274z00_3789 = ((bool_t)0)
; } } 
if(BgL_test2274z00_3789)
{ /* Llib/pthread.scm 63 */
BgL_aux1347z00_2325 = 
((BgL_objectz00_bglt)BgL_aux1828z00_2328); }  else 
{ 
 obj_t BgL_auxz00_3810;
BgL_auxz00_3810 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)2700)), BGl_string1950z00zz__pth_threadz00, BGl_string1945z00zz__pth_threadz00, BgL_aux1828z00_2328); 
FAILURE(BgL_auxz00_3810,BFALSE,BFALSE);} } } } 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_pairz00_2367;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_aux1830z00_2368;
BgL_aux1830z00_2368 = BgL_runner1348z00_2322; 
if(
PAIRP(BgL_aux1830z00_2368))
{ /* Llib/pthread.scm 63 */
BgL_pairz00_2367 = BgL_aux1830z00_2368; }  else 
{ 
 obj_t BgL_auxz00_3816;
BgL_auxz00_3816 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1862z00zz__pth_threadz00, 
BINT(((long)2700)), BGl_string1950z00zz__pth_threadz00, BGl_string1939z00zz__pth_threadz00, BgL_aux1830z00_2368); 
FAILURE(BgL_auxz00_3816,BFALSE,BFALSE);} } 
BgL_runner1348z00_2322 = 
CDR(BgL_pairz00_2367); } 
return 
BGl_objectzd2writezd2zz__objectz00(BgL_aux1347z00_2325, BgL_runner1348z00_2322);} } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__pth_backendz00(((long)354908835), 
BSTRING_TO_STRING(BGl_string1952z00zz__pth_threadz00));} 

}

#ifdef __cplusplus
}
#endif
