/*===========================================================================*/
/*   (Llib/engine.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -srfi sqlite -unsafe -safee -copt -fPIC -copt -IPosix Llib/engine.scm -o objs/engine.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62iozd2portzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2portzd2errorz62_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z42sqltinyz42_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z42versionz42;
   obj_t BgL_pathz00;
   obj_t BgL_syncz00;
   obj_t BgL_tablesz00;
   obj_t BgL_mutexz00;
   bool_t BgL_transactionz00;
} *BgL_z42sqltinyz42_bglt;

typedef struct BgL_z42sqltinyzd2tablez90_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_mutexz00;
   long BgL_rowidz00;
   bool_t BgL_removablez00;
   obj_t BgL_columnsz00;
   obj_t BgL_za2columnsza2;
   obj_t BgL_rowsz00;
   obj_t BgL_constraintsz00;
   obj_t BgL_keycheckz00;
   obj_t BgL_lastzd2rowzd2pairz00;
} *BgL_z42sqltinyzd2tablez90_bglt;

typedef struct BgL_z42sqltinyzd2columnz90_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_typez00;
   int BgL_indexz00;
   bool_t BgL_primkeyz00;
   obj_t BgL_defaultz00;
} *BgL_z42sqltinyzd2columnz90_bglt;


BGL_IMPORT obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_z52sqltinyzd2flushz80zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt);
static obj_t BGl_z62zc3z04anonymousza32486ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sqlite_enginez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32479ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32020ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32496ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2vacuumzd2zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt);
static obj_t BGl_sortzd2columnszd2zz__sqlite_enginez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2insertzd2zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t, bool_t);
BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
BGL_IMPORT obj_t output_obj(obj_t, obj_t);
static obj_t BGl_compilezd2simplezd2keyzd2checkzd2zz__sqlite_enginez00(obj_t, BgL_z42sqltinyzd2tablez90_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32022ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__sqlite_enginez00();
static obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32498ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32031ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_likezd2ze3regexpz31zz__sqlite_enginez00(obj_t);
static obj_t BGl_z62sqltinyzd2getzd2tablez62zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__sqlite_enginez00();
static obj_t BGl_tablezd2offsetzd2inzd2listzd2zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__sqlite_enginez00();
BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62sqltinyzd2selectzb0zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62sqltinyzc3za1zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqltinyze3z81zz__sqlite_enginez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2tablezd2infoz00zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt, obj_t);
static obj_t BGl_z62sqltinyzd2addzd2columnz12z70zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static bool_t BGl_sqltinyzc3zd3z10zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_dropz00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
static obj_t BGl_selectzd2distinguishzd2zz__sqlite_enginez00(obj_t);
static obj_t BGl_z62sqltinyzd2alterzb0zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqltinymaxz62zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_columnzd2offsetzd2zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2selectzd2resultz00zz__sqlite_enginez00(obj_t, obj_t, obj_t, BgL_z42sqltinyz42_bglt);
static obj_t BGl_makezd2selectzd2framez00zz__sqlite_enginez00(obj_t, obj_t, BgL_z42sqltinyz42_bglt);
static obj_t BGl_indexzd2columnsz12zc0zz__sqlite_enginez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32027ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t make_vector(long, obj_t);
static bool_t BGl_sqltinyze3zd3z30zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2selectzd2zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_z42sqltinyz42_bglt);
static obj_t BGl_appendzd221010zd2zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_sqltinyminmaxz00zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__sqlite_enginez00();
static obj_t BGl_compilezd2multiplezd2keyzd2checkzd2zz__sqlite_enginez00(obj_t, BgL_z42sqltinyzd2tablez90_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32134ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32037ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_string_ge(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32062ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32127ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04anonymousza32112ze3ze70z60zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04anonymousza32112ze3ze71z60zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04anonymousza32112ze3ze72z60zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_prodz00zz__sqlite_enginez00(obj_t);
BGL_IMPORT bool_t bigloo_string_gt(obj_t, obj_t);
static obj_t BGl_z62sqltinyzd2deletezb0zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2selectzd2zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
static obj_t BGl_za2sqltinyzd2mutexza2zd2zz__sqlite_enginez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2dropzd2tablez00zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, bool_t);
static obj_t BGl_z62zc3z04anonymousza31415ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2columnz90zz__sqlite_sqltinyz00;
BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t close_binary_port(obj_t);
static obj_t BGl_z62zc3z04anonymousza32426ze32695ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32426ze32696ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62sqltinyzd2updatezb0zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_filterzd2iterzd2zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32049ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2addzd2columnz12z12zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt, BgL_z42sqltinyzd2tablez90_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_compilezd2orderzd2byz00zz__sqlite_enginez00(obj_t, obj_t, obj_t, BgL_z42sqltinyz42_bglt);
static obj_t BGl_z62sqltinyminz62zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_string_le(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32431ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static bool_t BGl_sqltinyzc3zc3zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_zc3z04anonymousza32212ze3ze70z60zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32067ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62sqltinyzd2endzd2transactionz12z70zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static bool_t BGl_sqltinyze3ze3zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
static obj_t BGl_compilezd2updatezd2zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, BgL_z42sqltinyz42_bglt);
BGL_IMPORT bool_t bigloo_string_lt(obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2copyzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_IMPORT obj_t BGl_takez00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
BGL_IMPORT obj_t bgl_list_ref(obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32440ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2deletezd2zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sqlite_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_compilezd2selectzd2resultsz00zz__sqlite_enginez00(obj_t, obj_t, obj_t, BgL_z42sqltinyz42_bglt);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2updatezd2zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqltinyzd2createzd2tablez62zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62zc3z04anonymousza32426ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_insertz00zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t, bool_t);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2alterzd2zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, obj_t);
static obj_t BGl_zc3z04anonymousza32267ze3ze70z60zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62iozd2portzd2errorz62zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32427ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__sqlite_enginez00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_enginez00();
static obj_t BGl_selectzd2groupzd2byz00zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2createzd2tablez00zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_enginez00();
static obj_t BGl_gczd2rootszd2initz00zz__sqlite_enginez00();
static obj_t BGl_z62zc3z04anonymousza32452ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32444ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32282ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32436ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32266ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32429ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32089ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31741ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqltinyzd2compilezd2keyzd2checkzb0zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyz42zz__sqlite_sqltinyz00;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_findzd2columnzd2offsetz00zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32471ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32463ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2zz__sqlite_enginez00(obj_t, obj_t, obj_t, BgL_z42sqltinyz42_bglt);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2getzd2tablez00zz__sqlite_enginez00(BgL_z42sqltinyz42_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2beginzd2transactionz12z12zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt);
BGL_IMPORT long BGl_stringzd2compare3zd2zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl_z62sqltinyzd2tablezd2infoz62zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32456ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32448ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32286ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2endzd2transactionz12z12zz__sqlite_enginez00(obj_t, BgL_z42sqltinyz42_bglt);
static obj_t BGl_z62zc3z04anonymousza32465ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32279ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqltinyzd2beginzd2transactionz12z70zz__sqlite_enginez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqltinyzd2compilezd2keyzd2checkzd2zz__sqlite_enginez00(obj_t, BgL_z42sqltinyzd2tablez90_bglt, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2tablez90zz__sqlite_sqltinyz00;
static obj_t BGl_z62zc3z04anonymousza32644ze3ze5zz__sqlite_enginez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32482ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31591ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31843ze3ze5zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqltinyzd2vacuumzb0zz__sqlite_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqltinyzd2insertzb0zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32476ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32298ze3ze5zz__sqlite_enginez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62sqltinyzd2dropzd2tablez62zz__sqlite_enginez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 36 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2beginzd2transactionz12zd2envzc0zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2beg2828z00, BGl_z62sqltinyzd2beginzd2transactionz12z70zz__sqlite_enginez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2deletezd2envz00zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2del2829z00, BGl_z62sqltinyzd2deletezb0zz__sqlite_enginez00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2updatezd2envz00zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2upd2830z00, BGl_z62sqltinyzd2updatezb0zz__sqlite_enginez00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2addzd2columnz12zd2envzc0zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2add2831z00, BGl_z62sqltinyzd2addzd2columnz12z70zz__sqlite_enginez00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2compilezd2keyzd2checkzd2envz00zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2com2832z00, BGl_z62sqltinyzd2compilezd2keyzd2checkzb0zz__sqlite_enginez00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2endzd2transactionz12zd2envzc0zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2end2833z00, BGl_z62sqltinyzd2endzd2transactionz12z70zz__sqlite_enginez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2vacuumzd2envz00zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2vac2834z00, BGl_z62sqltinyzd2vacuumzb0zz__sqlite_enginez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2802z00zz__sqlite_enginez00, BgL_bgl_string2802za700za7za7_2835za7, "sqltiny-select", 14 );
DEFINE_STRING( BGl_string2804z00zz__sqlite_enginez00, BgL_bgl_string2804za700za7za7_2836za7, "sqltiny-select-result", 21 );
DEFINE_STRING( BGl_string2805z00zz__sqlite_enginez00, BgL_bgl_string2805za700za7za7_2837za7, "SQL error: not implemented ~a", 29 );
DEFINE_STRING( BGl_string2806z00zz__sqlite_enginez00, BgL_bgl_string2806za700za7za7_2838za7, "compile-expr", 12 );
DEFINE_STRING( BGl_string2807z00zz__sqlite_enginez00, BgL_bgl_string2807za700za7za7_2839za7, "find-column-offset", 18 );
DEFINE_STRING( BGl_string2808z00zz__sqlite_enginez00, BgL_bgl_string2808za700za7za7_2840za7, "SQL error: no such column: ~a", 29 );
DEFINE_STRING( BGl_string2809z00zz__sqlite_enginez00, BgL_bgl_string2809za700za7za7_2841za7, "SQL error: no such column `~a' in table: ~a", 43 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2800z00zz__sqlite_enginez00, BgL_bgl_za762za7c3za704anonymo2842za7, BGl_z62zc3z04anonymousza32059ze3ze5zz__sqlite_enginez00 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2801z00zz__sqlite_enginez00, BgL_bgl_za762za7c3za704anonymo2843za7, BGl_z62zc3z04anonymousza32048ze3ze5zz__sqlite_enginez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2803z00zz__sqlite_enginez00, BgL_bgl_za762za7c3za704anonymo2844za7, BGl_z62zc3z04anonymousza32298ze3ze5zz__sqlite_enginez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2810z00zz__sqlite_enginez00, BgL_bgl_string2810za700za7za7_2845za7, "sqltiny-delete", 14 );
DEFINE_STRING( BGl_string2811z00zz__sqlite_enginez00, BgL_bgl_string2811za700za7za7_2846za7, "&sqltiny-delete", 15 );
DEFINE_STRING( BGl_string2812z00zz__sqlite_enginez00, BgL_bgl_string2812za700za7za7_2847za7, "&sqltiny-table-info", 19 );
DEFINE_STRING( BGl_string2813z00zz__sqlite_enginez00, BgL_bgl_string2813za700za7za7_2848za7, ":memory:", 8 );
DEFINE_STRING( BGl_string2814z00zz__sqlite_enginez00, BgL_bgl_string2814za700za7za7_2849za7, "Cannot open file for output", 27 );
DEFINE_STRING( BGl_string2815z00zz__sqlite_enginez00, BgL_bgl_string2815za700za7za7_2850za7, "&sqltiny-vacuum", 15 );
DEFINE_STRING( BGl_string2816z00zz__sqlite_enginez00, BgL_bgl_string2816za700za7za7_2851za7, "SQL error: no such table: ~s", 28 );
DEFINE_STRING( BGl_string2817z00zz__sqlite_enginez00, BgL_bgl_string2817za700za7za7_2852za7, "&sqltiny-alter", 14 );
DEFINE_STRING( BGl_string2818z00zz__sqlite_enginez00, BgL_bgl_string2818za700za7za7_2853za7, "procedure", 9 );
DEFINE_STRING( BGl_string2819z00zz__sqlite_enginez00, BgL_bgl_string2819za700za7za7_2854za7, "&sqltiny-add-column!", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_sqltinyminzd2envzd2zz__sqlite_enginez00, BgL_bgl_za762sqltinyminza7622855z00, BGl_z62sqltinyminz62zz__sqlite_enginez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_sqltinymaxzd2envzd2zz__sqlite_enginez00, BgL_bgl_za762sqltinymaxza7622856z00, BGl_z62sqltinymaxz62zz__sqlite_enginez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2820z00zz__sqlite_enginez00, BgL_bgl_string2820za700za7za7_2857za7, "__sqlite_engine", 15 );
DEFINE_STRING( BGl_string2821z00zz__sqlite_enginez00, BgL_bgl_string2821za700za7za7_2858za7, "sqltiny-flush in like in-value update select in-select is-select notnull isnull MATCH REGEXP GLOB not LIKE and or != <> < <= > >= funcall * sum min max desc binary = colref ondemand primary-key (\"name\" \"type\") INTEGER ", 218 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2tablezd2infozd2envzd2zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2tab2859z00, BGl_z62sqltinyzd2tablezd2infoz62zz__sqlite_enginez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2759z00zz__sqlite_enginez00, BgL_bgl_string2759za700za7za7_2860za7, "sqltiny-portable", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2selectzd2envz00zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2sel2861z00, BGl_z62sqltinyzd2selectzb0zz__sqlite_enginez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2760z00zz__sqlite_enginez00, BgL_bgl_string2760za700za7za7_2862za7, "create-table", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_sqltinyzc3zd2envz11zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7c3za7a12863za7, BGl_z62sqltinyzc3za1zz__sqlite_enginez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2761z00zz__sqlite_enginez00, BgL_bgl_string2761za700za7za7_2864za7, "SQL error: table ~s already exists", 34 );
DEFINE_STRING( BGl_string2763z00zz__sqlite_enginez00, BgL_bgl_string2763za700za7za7_2865za7, "rowid", 5 );
DEFINE_STRING( BGl_string2764z00zz__sqlite_enginez00, BgL_bgl_string2764za700za7za7_2866za7, "table", 5 );
DEFINE_STRING( BGl_string2765z00zz__sqlite_enginez00, BgL_bgl_string2765za700za7za7_2867za7, "sqlite_master", 13 );
DEFINE_STRING( BGl_string2766z00zz__sqlite_enginez00, BgL_bgl_string2766za700za7za7_2868za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/sqlite/src/Llib/engine.scm", 66 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2getzd2tablezd2envzd2zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2get2869z00, BGl_z62sqltinyzd2getzd2tablez62zz__sqlite_enginez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2767z00zz__sqlite_enginez00, BgL_bgl_string2767za700za7za7_2870za7, "&sqltiny-create-table", 21 );
DEFINE_STRING( BGl_string2768z00zz__sqlite_enginez00, BgL_bgl_string2768za700za7za7_2871za7, "$sqltiny", 8 );
DEFINE_STRING( BGl_string2769z00zz__sqlite_enginez00, BgL_bgl_string2769za700za7za7_2872za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2762z00zz__sqlite_enginez00, BgL_bgl_za762za7c3za704anonymo2873za7, BGl_z62zc3z04anonymousza31415ze3ze5zz__sqlite_enginez00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2770z00zz__sqlite_enginez00, BgL_bgl_string2770za700za7za7_2874za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string2771z00zz__sqlite_enginez00, BgL_bgl_string2771za700za7za7_2875za7, "SQL error: table ~s has more than one primary key", 49 );
DEFINE_STRING( BGl_string2773z00zz__sqlite_enginez00, BgL_bgl_string2773za700za7za7_2876za7, "&sqltiny-compile-key-check", 26 );
DEFINE_STRING( BGl_string2774z00zz__sqlite_enginez00, BgL_bgl_string2774za700za7za7_2877za7, "$sqltiny-table", 14 );
DEFINE_STRING( BGl_string2775z00zz__sqlite_enginez00, BgL_bgl_string2775za700za7za7_2878za7, "insert", 6 );
DEFINE_STRING( BGl_string2776z00zz__sqlite_enginez00, BgL_bgl_string2776za700za7za7_2879za7, "SQL error: column ~a for table ~a is not unique: ~a", 51 );
DEFINE_STRING( BGl_string2777z00zz__sqlite_enginez00, BgL_bgl_string2777za700za7za7_2880za7, "SQL error: table ~a has no column named ~a", 42 );
DEFINE_STRING( BGl_string2779z00zz__sqlite_enginez00, BgL_bgl_string2779za700za7za7_2881za7, "sqltiny-drop-table", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2772z00zz__sqlite_enginez00, BgL_bgl_za762za7c3za704anonymo2882za7, BGl_z62zc3z04anonymousza31591ze3ze5zz__sqlite_enginez00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2780z00zz__sqlite_enginez00, BgL_bgl_string2780za700za7za7_2883za7, "SQL error: no such table: ~a", 28 );
DEFINE_STRING( BGl_string2781z00zz__sqlite_enginez00, BgL_bgl_string2781za700za7za7_2884za7, "name", 4 );
DEFINE_STRING( BGl_string2782z00zz__sqlite_enginez00, BgL_bgl_string2782za700za7za7_2885za7, "*", 1 );
DEFINE_STRING( BGl_string2783z00zz__sqlite_enginez00, BgL_bgl_string2783za700za7za7_2886za7, "&sqltiny-drop-table", 19 );
DEFINE_STRING( BGl_string2784z00zz__sqlite_enginez00, BgL_bgl_string2784za700za7za7_2887za7, "&sqltiny-get-table", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2778z00zz__sqlite_enginez00, BgL_bgl_za762za7c3za704anonymo2888za7, BGl_z62zc3z04anonymousza31843ze3ze5zz__sqlite_enginez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2785z00zz__sqlite_enginez00, BgL_bgl_string2785za700za7za7_2889za7, "sqltiny-insert", 14 );
DEFINE_STRING( BGl_string2786z00zz__sqlite_enginez00, BgL_bgl_string2786za700za7za7_2890za7, "SQL error: ~a values for ~a columns", 35 );
DEFINE_STRING( BGl_string2787z00zz__sqlite_enginez00, BgL_bgl_string2787za700za7za7_2891za7, "SQL error: table ~a has ~a columns but ~a values were supplied", 62 );
DEFINE_STRING( BGl_string2788z00zz__sqlite_enginez00, BgL_bgl_string2788za700za7za7_2892za7, "&sqltiny-insert", 15 );
DEFINE_STRING( BGl_string2790z00zz__sqlite_enginez00, BgL_bgl_string2790za700za7za7_2893za7, "sqltiny-begin-transaction!", 26 );
DEFINE_STRING( BGl_string2791z00zz__sqlite_enginez00, BgL_bgl_string2791za700za7za7_2894za7, "SQL error: cannot start a transaction within a transaction", 58 );
DEFINE_STRING( BGl_string2792z00zz__sqlite_enginez00, BgL_bgl_string2792za700za7za7_2895za7, "&sqltiny-begin-transaction!", 27 );
DEFINE_STRING( BGl_string2793z00zz__sqlite_enginez00, BgL_bgl_string2793za700za7za7_2896za7, "sqltiny-end-transaction!", 24 );
DEFINE_STRING( BGl_string2794z00zz__sqlite_enginez00, BgL_bgl_string2794za700za7za7_2897za7, "SQL error: cannot commit - no transaction is active", 51 );
DEFINE_STRING( BGl_string2795z00zz__sqlite_enginez00, BgL_bgl_string2795za700za7za7_2898za7, "&sqltiny-end-transaction!", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2789z00zz__sqlite_enginez00, BgL_bgl_za762za7c3za704anonymo2899za7, BGl_z62zc3z04anonymousza31971ze3ze5zz__sqlite_enginez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2796z00zz__sqlite_enginez00, BgL_bgl_string2796za700za7za7_2900za7, "&sqltiny-select", 15 );
DEFINE_STRING( BGl_string2797z00zz__sqlite_enginez00, BgL_bgl_string2797za700za7za7_2901za7, "pair", 4 );
DEFINE_STRING( BGl_string2798z00zz__sqlite_enginez00, BgL_bgl_string2798za700za7za7_2902za7, "sqltiny-update", 14 );
DEFINE_STRING( BGl_string2799z00zz__sqlite_enginez00, BgL_bgl_string2799za700za7za7_2903za7, "&sqltiny-update", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2alterzd2envz00zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2alt2904z00, BGl_z62sqltinyzd2alterzb0zz__sqlite_enginez00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2dropzd2tablezd2envzd2zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2dro2905z00, BGl_z62sqltinyzd2dropzd2tablez62zz__sqlite_enginez00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_sqltinyze3zd2envz31zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7e3za7812906za7, BGl_z62sqltinyze3z81zz__sqlite_enginez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2insertzd2envz00zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2ins2907z00, BGl_z62sqltinyzd2insertzb0zz__sqlite_enginez00, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqltinyzd2createzd2tablezd2envzd2zz__sqlite_enginez00, BgL_bgl_za762sqltinyza7d2cre2908z00, BGl_z62sqltinyzd2createzd2tablez62zz__sqlite_enginez00, 0L, BUNSPEC, 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sqlite_enginez00) );
ADD_ROOT( (void *)(&BGl_za2sqltinyzd2mutexza2zd2zz__sqlite_enginez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sqlite_enginez00(long BgL_checksumz00_3543, char * BgL_fromz00_3544)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sqlite_enginez00))
{ 
BGl_requirezd2initializa7ationz75zz__sqlite_enginez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__sqlite_enginez00(); 
BGl_libraryzd2moduleszd2initz00zz__sqlite_enginez00(); 
BGl_cnstzd2initzd2zz__sqlite_enginez00(); 
BGl_importedzd2moduleszd2initz00zz__sqlite_enginez00(); 
return 
BGl_toplevelzd2initzd2zz__sqlite_enginez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_enginez00()
{
{ /* Llib/engine.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__binaryz00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__regexpz00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__sqlite_engine"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__sqlite_engine"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__sqlite_enginez00()
{
{ /* Llib/engine.scm 15 */
{ /* Llib/engine.scm 15 */
 obj_t BgL_cportz00_3344;
{ /* Llib/engine.scm 15 */
 obj_t BgL_stringz00_3352;
BgL_stringz00_3352 = BGl_string2821z00zz__sqlite_enginez00; 
{ /* Llib/engine.scm 15 */
 obj_t BgL_startz00_3353;
BgL_startz00_3353 = 
BINT(((long)0)); 
{ /* Llib/engine.scm 15 */
 obj_t BgL_endz00_3354;
BgL_endz00_3354 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_3352))); 
{ /* Llib/engine.scm 15 */

BgL_cportz00_3344 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_3352, BgL_startz00_3353, BgL_endz00_3354); } } } } 
{ 
 long BgL_iz00_3345;
BgL_iz00_3345 = ((long)35); 
BgL_loopz00_3346:
if(
(BgL_iz00_3345==((long)-1)))
{ /* Llib/engine.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/engine.scm 15 */
{ /* Llib/engine.scm 15 */
 obj_t BgL_arg2823z00_3348;
{ /* Llib/engine.scm 15 */

{ /* Llib/engine.scm 15 */
 obj_t BgL_locationz00_3350;
BgL_locationz00_3350 = 
BBOOL(((bool_t)0)); 
{ /* Llib/engine.scm 15 */

BgL_arg2823z00_3348 = 
BGl_readz00zz__readerz00(BgL_cportz00_3344, BgL_locationz00_3350); } } } 
{ /* Llib/engine.scm 15 */
 int BgL_tmpz00_3580;
BgL_tmpz00_3580 = 
(int)(BgL_iz00_3345); 
CNST_TABLE_SET(BgL_tmpz00_3580, BgL_arg2823z00_3348); } } 
{ /* Llib/engine.scm 15 */
 int BgL_auxz00_3351;
BgL_auxz00_3351 = 
(int)(
(BgL_iz00_3345-((long)1))); 
{ 
 long BgL_iz00_3585;
BgL_iz00_3585 = 
(long)(BgL_auxz00_3351); 
BgL_iz00_3345 = BgL_iz00_3585; 
goto BgL_loopz00_3346;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sqlite_enginez00()
{
{ /* Llib/engine.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sqlite_enginez00()
{
{ /* Llib/engine.scm 15 */
return ( 
BGl_za2sqltinyzd2mutexza2zd2zz__sqlite_enginez00 = 
bgl_make_mutex(BGl_string2759z00zz__sqlite_enginez00), BUNSPEC) ;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__sqlite_enginez00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_141;
BgL_headz00_141 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_142; obj_t BgL_tailz00_143;
BgL_prevz00_142 = BgL_headz00_141; 
BgL_tailz00_143 = BgL_l1z00_1; 
BgL_loopz00_144:
if(
PAIRP(BgL_tailz00_143))
{ 
 obj_t BgL_newzd2prevzd2_146;
BgL_newzd2prevzd2_146 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_143), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_142, BgL_newzd2prevzd2_146); 
{ 
 obj_t BgL_tailz00_3596; obj_t BgL_prevz00_3595;
BgL_prevz00_3595 = BgL_newzd2prevzd2_146; 
BgL_tailz00_3596 = 
CDR(BgL_tailz00_143); 
BgL_tailz00_143 = BgL_tailz00_3596; 
BgL_prevz00_142 = BgL_prevz00_3595; 
goto BgL_loopz00_144;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_141);} } } 

}



/* sqltiny-create-table */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2createzd2tablez00zz__sqlite_enginez00(obj_t BgL_objz00_3, BgL_z42sqltinyz42_bglt BgL_builtinz00_4, obj_t BgL_tablezd2namezd2_5, obj_t BgL_columnsz00_6, obj_t BgL_constraintsz00_7)
{
{ /* Llib/engine.scm 44 */
{ /* Llib/engine.scm 46 */
 obj_t BgL_mutex1368z00_150;
BgL_mutex1368z00_150 = 
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_4))->BgL_mutexz00); 
{ /* Llib/engine.scm 46 */
 obj_t BgL_top2913z00_3601;
BgL_top2913z00_3601 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1368z00_150); 
BGL_EXITD_PUSH_PROTECT(BgL_top2913z00_3601, BgL_mutex1368z00_150); BUNSPEC; 
{ /* Llib/engine.scm 46 */
 obj_t BgL_tmp2912z00_3600;
if(
CBOOL(
BGl_sqltinyzd2getzd2tablez00zz__sqlite_enginez00(BgL_builtinz00_4, BgL_tablezd2namezd2_5)))
{ /* Llib/engine.scm 49 */
 BgL_z62errorz62_bglt BgL_arg1377z00_152;
{ /* Llib/engine.scm 49 */
 BgL_z62errorz62_bglt BgL_new1052z00_153;
{ /* Llib/engine.scm 49 */
 BgL_z62errorz62_bglt BgL_new1051z00_157;
BgL_new1051z00_157 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 49 */
 long BgL_arg1381z00_158;
BgL_arg1381z00_158 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_157), BgL_arg1381z00_158); } 
BgL_new1052z00_153 = BgL_new1051z00_157; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1052z00_153)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1052z00_153)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3616;
{ /* Llib/engine.scm 49 */
 obj_t BgL_arg1378z00_154;
{ /* Llib/engine.scm 49 */
 obj_t BgL_arg1379z00_155;
{ /* Llib/engine.scm 49 */
 obj_t BgL_classz00_1946;
BgL_classz00_1946 = BGl_z62errorz62zz__objectz00; 
BgL_arg1379z00_155 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1946); } 
BgL_arg1378z00_154 = 
VECTOR_REF(BgL_arg1379z00_155,((long)2)); } 
BgL_auxz00_3616 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1378z00_154); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1052z00_153)))->BgL_stackz00)=((obj_t)BgL_auxz00_3616),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1052z00_153))->BgL_procz00)=((obj_t)BGl_string2760z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3623;
{ /* Llib/engine.scm 51 */
 obj_t BgL_list1380z00_156;
BgL_list1380z00_156 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_5, BNIL); 
BgL_auxz00_3623 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2761z00zz__sqlite_enginez00, BgL_list1380z00_156); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1052z00_153))->BgL_msgz00)=((obj_t)BgL_auxz00_3623),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1052z00_153))->BgL_objz00)=((obj_t)BgL_objz00_3),BUNSPEC); 
BgL_arg1377z00_152 = BgL_new1052z00_153; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1377z00_152)); }  else 
{ /* Llib/engine.scm 47 */BFALSE; } 
{ /* Llib/engine.scm 53 */
 BgL_z42sqltinyzd2tablez90_bglt BgL_tblz00_159; obj_t BgL_colsz00_160;
{ /* Llib/engine.scm 53 */
 BgL_z42sqltinyzd2tablez90_bglt BgL_new1054z00_163;
{ /* Llib/engine.scm 54 */
 BgL_z42sqltinyzd2tablez90_bglt BgL_new1053z00_171;
BgL_new1053z00_171 = 
((BgL_z42sqltinyzd2tablez90_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z42sqltinyzd2tablez90_bgl) ))); 
{ /* Llib/engine.scm 54 */
 long BgL_arg1455z00_172;
BgL_arg1455z00_172 = 
BGL_CLASS_NUM(BGl_z42sqltinyzd2tablez90zz__sqlite_sqltinyz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1053z00_171), BgL_arg1455z00_172); } 
BgL_new1054z00_163 = BgL_new1053z00_171; } 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_new1054z00_163))->BgL_namez00)=((obj_t)BgL_tablezd2namezd2_5),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3635;
{ /* Llib/engine.scm 54 */
 obj_t BgL_arg1384z00_164;
{ /* Llib/engine.scm 54 */
 obj_t BgL_arg1414z00_165;
{ /* Llib/engine.scm 54 */
 obj_t BgL_classz00_1951;
BgL_classz00_1951 = BGl_z42sqltinyzd2tablez90zz__sqlite_sqltinyz00; 
BgL_arg1414z00_165 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1951); } 
BgL_arg1384z00_164 = 
VECTOR_REF(BgL_arg1414z00_165,((long)1)); } 
BgL_auxz00_3635 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1384z00_164); } 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_new1054z00_163))->BgL_mutexz00)=((obj_t)BgL_auxz00_3635),BUNSPEC); } 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_new1054z00_163))->BgL_rowidz00)=((long)((long)0)),BUNSPEC); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_new1054z00_163))->BgL_removablez00)=((bool_t)((bool_t)1)),BUNSPEC); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_new1054z00_163))->BgL_columnsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_new1054z00_163))->BgL_za2columnsza2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_new1054z00_163))->BgL_rowsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_new1054z00_163))->BgL_constraintsz00)=((obj_t)BgL_constraintsz00_7),BUNSPEC); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_new1054z00_163))->BgL_keycheckz00)=((obj_t)BGl_proc2762z00zz__sqlite_enginez00),BUNSPEC); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_new1054z00_163))->BgL_lastzd2rowzd2pairz00)=((obj_t)BNIL),BUNSPEC); 
BgL_tblz00_159 = BgL_new1054z00_163; } 
{ /* Llib/engine.scm 56 */
 BgL_z42sqltinyzd2columnz90_bglt BgL_arg1456z00_173; obj_t BgL_arg1535z00_174;
{ /* Llib/engine.scm 56 */
 BgL_z42sqltinyzd2columnz90_bglt BgL_new1056z00_175;
{ /* Llib/engine.scm 59 */
 BgL_z42sqltinyzd2columnz90_bglt BgL_new1055z00_176;
BgL_new1055z00_176 = 
((BgL_z42sqltinyzd2columnz90_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z42sqltinyzd2columnz90_bgl) ))); 
{ /* Llib/engine.scm 59 */
 long BgL_arg1536z00_177;
BgL_arg1536z00_177 = 
BGL_CLASS_NUM(BGl_z42sqltinyzd2columnz90zz__sqlite_sqltinyz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_176), BgL_arg1536z00_177); } 
BgL_new1056z00_175 = BgL_new1055z00_176; } 
((((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(BgL_new1056z00_175))->BgL_namez00)=((obj_t)BGl_string2763z00zz__sqlite_enginez00),BUNSPEC); 
((((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(BgL_new1056z00_175))->BgL_typez00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(BgL_new1056z00_175))->BgL_indexz00)=((int)
(int)(((long)-1))),BUNSPEC); 
((((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(BgL_new1056z00_175))->BgL_primkeyz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(BgL_new1056z00_175))->BgL_defaultz00)=((obj_t)
BINT(((long)-1))),BUNSPEC); 
BgL_arg1456z00_173 = BgL_new1056z00_175; } 
BgL_arg1535z00_174 = 
BGl_listzd2copyzd2zz__r4_pairs_and_lists_6_3z00(
BGl_sortzd2columnszd2zz__sqlite_enginez00(BgL_columnsz00_6)); 
BgL_colsz00_160 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1456z00_173), BgL_arg1535z00_174); } 
{ /* Llib/engine.scm 76 */
 obj_t BgL_colisz00_1957;
BgL_colisz00_1957 = 
BGl_indexzd2columnsz12zc0zz__sqlite_enginez00(BgL_colsz00_160); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_159))->BgL_columnsz00)=((obj_t)BgL_colisz00_1957),BUNSPEC); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_159))->BgL_za2columnsza2)=((obj_t)BgL_columnsz00_6),BUNSPEC); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_159))->BgL_keycheckz00)=((obj_t)
BGl_sqltinyzd2compilezd2keyzd2checkzd2zz__sqlite_enginez00(BgL_objz00_3, BgL_tblz00_159, BgL_colisz00_1957, 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_159))->BgL_constraintsz00))),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_3670;
{ /* Llib/engine.scm 63 */
 obj_t BgL_arg1383z00_162;
BgL_arg1383z00_162 = 
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_4))->BgL_tablesz00); 
BgL_auxz00_3670 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tblz00_159), BgL_arg1383z00_162); } 
BgL_tmp2912z00_3600 = 
((((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_4))->BgL_tablesz00)=((obj_t)BgL_auxz00_3670),BUNSPEC); } } 
BGL_EXITD_POP_PROTECT(BgL_top2913z00_3601); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1368z00_150); BgL_tmp2912z00_3600; } } } 
{ /* Llib/engine.scm 67 */
 obj_t BgL_arg1554z00_179;
{ /* Llib/engine.scm 67 */
 obj_t BgL_list1555z00_180;
{ /* Llib/engine.scm 67 */
 obj_t BgL_arg1563z00_181;
BgL_arg1563z00_181 = 
MAKE_YOUNG_PAIR(BGl_string2764z00zz__sqlite_enginez00, BNIL); 
BgL_list1555z00_180 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_5, BgL_arg1563z00_181); } 
BgL_arg1554z00_179 = BgL_list1555z00_180; } 
BGl_sqltinyzd2insertzd2zz__sqlite_enginez00(BgL_objz00_3, BgL_builtinz00_4, BGl_string2765z00zz__sqlite_enginez00, 
CNST_TABLE_REF(((long)1)), BgL_arg1554z00_179, ((bool_t)0)); } 
return BFALSE;} 

}



/* &sqltiny-create-table */
obj_t BGl_z62sqltinyzd2createzd2tablez62zz__sqlite_enginez00(obj_t BgL_envz00_2919, obj_t BgL_objz00_2920, obj_t BgL_builtinz00_2921, obj_t BgL_tablezd2namezd2_2922, obj_t BgL_columnsz00_2923, obj_t BgL_constraintsz00_2924)
{
{ /* Llib/engine.scm 44 */
{ /* Llib/engine.scm 45 */
 obj_t BgL_auxz00_3703; obj_t BgL_auxz00_3696; obj_t BgL_auxz00_3689; BgL_z42sqltinyz42_bglt BgL_auxz00_3681;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_constraintsz00_2924))
{ /* Llib/engine.scm 45 */
BgL_auxz00_3703 = BgL_constraintsz00_2924
; }  else 
{ 
 obj_t BgL_auxz00_3706;
BgL_auxz00_3706 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)2695)), BGl_string2767z00zz__sqlite_enginez00, BGl_string2770z00zz__sqlite_enginez00, BgL_constraintsz00_2924); 
FAILURE(BgL_auxz00_3706,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_columnsz00_2923))
{ /* Llib/engine.scm 45 */
BgL_auxz00_3696 = BgL_columnsz00_2923
; }  else 
{ 
 obj_t BgL_auxz00_3699;
BgL_auxz00_3699 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)2695)), BGl_string2767z00zz__sqlite_enginez00, BGl_string2770z00zz__sqlite_enginez00, BgL_columnsz00_2923); 
FAILURE(BgL_auxz00_3699,BFALSE,BFALSE);} 
if(
STRINGP(BgL_tablezd2namezd2_2922))
{ /* Llib/engine.scm 45 */
BgL_auxz00_3689 = BgL_tablezd2namezd2_2922
; }  else 
{ 
 obj_t BgL_auxz00_3692;
BgL_auxz00_3692 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)2695)), BGl_string2767z00zz__sqlite_enginez00, BGl_string2769z00zz__sqlite_enginez00, BgL_tablezd2namezd2_2922); 
FAILURE(BgL_auxz00_3692,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_2921, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 45 */
BgL_auxz00_3681 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_2921)
; }  else 
{ 
 obj_t BgL_auxz00_3685;
BgL_auxz00_3685 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)2695)), BGl_string2767z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_2921); 
FAILURE(BgL_auxz00_3685,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2createzd2tablez00zz__sqlite_enginez00(BgL_objz00_2920, BgL_auxz00_3681, BgL_auxz00_3689, BgL_auxz00_3696, BgL_auxz00_3703);} } 

}



/* &<@anonymous:1415> */
obj_t BGl_z62zc3z04anonymousza31415ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_2925, obj_t BgL_objz00_2926, obj_t BgL_rz00_2927, obj_t BgL_rsz00_2928, obj_t BgL_replacepz00_2929)
{
{ /* Llib/sqltiny.scm 35 */
return 
BBOOL(((bool_t)1));} 

}



/* sqltiny-compile-key-check */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2compilezd2keyzd2checkzd2zz__sqlite_enginez00(obj_t BgL_objz00_12, BgL_z42sqltinyzd2tablez90_bglt BgL_tablez00_13, obj_t BgL_columnsz00_14, obj_t BgL_contraintsz00_15)
{
{ /* Llib/engine.scm 85 */
{ /* Llib/engine.scm 86 */
 obj_t BgL_skcz00_186; obj_t BgL_mkcz00_187;
BgL_skcz00_186 = 
BGl_compilezd2simplezd2keyzd2checkzd2zz__sqlite_enginez00(BgL_objz00_12, BgL_tablez00_13, BgL_columnsz00_14, BgL_contraintsz00_15); 
BgL_mkcz00_187 = 
BGl_compilezd2multiplezd2keyzd2checkzd2zz__sqlite_enginez00(BgL_objz00_12, BgL_tablez00_13, BgL_columnsz00_14, BgL_contraintsz00_15); 
if(
CBOOL(BgL_skcz00_186))
{ /* Llib/engine.scm 88 */
if(
CBOOL(BgL_mkcz00_187))
{ /* Llib/engine.scm 92 */
 BgL_z62errorz62_bglt BgL_arg1572z00_188;
{ /* Llib/engine.scm 92 */
 BgL_z62errorz62_bglt BgL_new1061z00_189;
{ /* Llib/engine.scm 92 */
 BgL_z62errorz62_bglt BgL_new1059z00_195;
BgL_new1059z00_195 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 92 */
 long BgL_arg1590z00_196;
BgL_arg1590z00_196 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_195), BgL_arg1590z00_196); } 
BgL_new1061z00_189 = BgL_new1059z00_195; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_189)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_189)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3726;
{ /* Llib/engine.scm 92 */
 obj_t BgL_arg1573z00_190;
{ /* Llib/engine.scm 92 */
 obj_t BgL_arg1574z00_191;
{ /* Llib/engine.scm 92 */
 obj_t BgL_classz00_1968;
BgL_classz00_1968 = BGl_z62errorz62zz__objectz00; 
BgL_arg1574z00_191 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1968); } 
BgL_arg1573z00_190 = 
VECTOR_REF(BgL_arg1574z00_191,((long)2)); } 
BgL_auxz00_3726 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1573z00_190); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_189)))->BgL_stackz00)=((obj_t)BgL_auxz00_3726),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1061z00_189))->BgL_procz00)=((obj_t)BGl_string2760z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3733;
{ /* Llib/engine.scm 96 */
 obj_t BgL_arg1575z00_192;
BgL_arg1575z00_192 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tablez00_13))->BgL_namez00); 
{ /* Llib/engine.scm 94 */
 obj_t BgL_list1576z00_193;
BgL_list1576z00_193 = 
MAKE_YOUNG_PAIR(BgL_arg1575z00_192, BNIL); 
BgL_auxz00_3733 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2771z00zz__sqlite_enginez00, BgL_list1576z00_193); } } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1061z00_189))->BgL_msgz00)=((obj_t)BgL_auxz00_3733),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1061z00_189))->BgL_objz00)=((obj_t)BgL_objz00_12),BUNSPEC); 
BgL_arg1572z00_188 = BgL_new1061z00_189; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1572z00_188));}  else 
{ /* Llib/engine.scm 89 */
return BgL_skcz00_186;} }  else 
{ /* Llib/engine.scm 88 */
if(
CBOOL(BgL_mkcz00_187))
{ /* Llib/engine.scm 98 */
return BgL_mkcz00_187;}  else 
{ /* Llib/engine.scm 98 */
return BGl_proc2772z00zz__sqlite_enginez00;} } } } 

}



/* &sqltiny-compile-key-check */
obj_t BGl_z62sqltinyzd2compilezd2keyzd2checkzb0zz__sqlite_enginez00(obj_t BgL_envz00_2931, obj_t BgL_objz00_2932, obj_t BgL_tablez00_2933, obj_t BgL_columnsz00_2934, obj_t BgL_contraintsz00_2935)
{
{ /* Llib/engine.scm 85 */
{ /* Llib/engine.scm 86 */
 obj_t BgL_auxz00_3751; BgL_z42sqltinyzd2tablez90_bglt BgL_auxz00_3743;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_columnsz00_2934))
{ /* Llib/engine.scm 86 */
BgL_auxz00_3751 = BgL_columnsz00_2934
; }  else 
{ 
 obj_t BgL_auxz00_3754;
BgL_auxz00_3754 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)4311)), BGl_string2773z00zz__sqlite_enginez00, BGl_string2770z00zz__sqlite_enginez00, BgL_columnsz00_2934); 
FAILURE(BgL_auxz00_3754,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_tablez00_2933, BGl_z42sqltinyzd2tablez90zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 86 */
BgL_auxz00_3743 = 
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_2933)
; }  else 
{ 
 obj_t BgL_auxz00_3747;
BgL_auxz00_3747 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)4311)), BGl_string2773z00zz__sqlite_enginez00, BGl_string2774z00zz__sqlite_enginez00, BgL_tablez00_2933); 
FAILURE(BgL_auxz00_3747,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2compilezd2keyzd2checkzd2zz__sqlite_enginez00(BgL_objz00_2932, BgL_auxz00_3743, BgL_auxz00_3751, BgL_contraintsz00_2935);} } 

}



/* &<@anonymous:1591> */
obj_t BGl_z62zc3z04anonymousza31591ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_2936, obj_t BgL_objz00_2937, obj_t BgL_rz00_2938, obj_t BgL_rsz00_2939, obj_t BgL_replacepz00_2940)
{
{ /* Llib/engine.scm 98 */
return 
BBOOL(((bool_t)1));} 

}



/* compile-simple-key-check */
obj_t BGl_compilezd2simplezd2keyzd2checkzd2zz__sqlite_enginez00(obj_t BgL_objz00_16, BgL_z42sqltinyzd2tablez90_bglt BgL_tablez00_17, obj_t BgL_columnsz00_18, obj_t BgL_contraintsz00_19)
{
{ /* Llib/engine.scm 103 */
{ /* Llib/engine.scm 104 */
 obj_t BgL_primkeysz00_203;
{ /* Llib/engine.scm 104 */
 obj_t BgL_hook1202z00_262;
BgL_hook1202z00_262 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ 
 obj_t BgL_l1199z00_264; obj_t BgL_h1200z00_265;
BgL_l1199z00_264 = BgL_columnsz00_18; 
BgL_h1200z00_265 = BgL_hook1202z00_262; 
BgL_zc3z04anonymousza31708ze3z87_266:
if(
NULLP(BgL_l1199z00_264))
{ /* Llib/engine.scm 104 */
BgL_primkeysz00_203 = 
CDR(BgL_hook1202z00_262); }  else 
{ /* Llib/engine.scm 104 */
if(
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(
((BgL_z42sqltinyzd2columnz90_bglt)
CAR(
((obj_t)BgL_l1199z00_264)))))->BgL_primkeyz00))
{ /* Llib/engine.scm 104 */
 obj_t BgL_nh1201z00_271;
{ /* Llib/engine.scm 104 */
 obj_t BgL_arg1725z00_273;
BgL_arg1725z00_273 = 
CAR(
((obj_t)BgL_l1199z00_264)); 
BgL_nh1201z00_271 = 
MAKE_YOUNG_PAIR(BgL_arg1725z00_273, BNIL); } 
SET_CDR(BgL_h1200z00_265, BgL_nh1201z00_271); 
{ /* Llib/engine.scm 104 */
 obj_t BgL_arg1712z00_272;
BgL_arg1712z00_272 = 
CDR(
((obj_t)BgL_l1199z00_264)); 
{ 
 obj_t BgL_h1200z00_3776; obj_t BgL_l1199z00_3775;
BgL_l1199z00_3775 = BgL_arg1712z00_272; 
BgL_h1200z00_3776 = BgL_nh1201z00_271; 
BgL_h1200z00_265 = BgL_h1200z00_3776; 
BgL_l1199z00_264 = BgL_l1199z00_3775; 
goto BgL_zc3z04anonymousza31708ze3z87_266;} } }  else 
{ /* Llib/engine.scm 104 */
 obj_t BgL_arg1726z00_274;
BgL_arg1726z00_274 = 
CDR(
((obj_t)BgL_l1199z00_264)); 
{ 
 obj_t BgL_l1199z00_3779;
BgL_l1199z00_3779 = BgL_arg1726z00_274; 
BgL_l1199z00_264 = BgL_l1199z00_3779; 
goto BgL_zc3z04anonymousza31708ze3z87_266;} } } } } 
if(
NULLP(BgL_primkeysz00_203))
{ /* Llib/engine.scm 110 */
return BFALSE;}  else 
{ /* Llib/engine.scm 112 */
 bool_t BgL_test2927z00_3782;
{ /* Llib/engine.scm 112 */
 obj_t BgL_tmpz00_3783;
BgL_tmpz00_3783 = 
CDR(
((obj_t)BgL_primkeysz00_203)); 
BgL_test2927z00_3782 = 
PAIRP(BgL_tmpz00_3783); } 
if(BgL_test2927z00_3782)
{ /* Llib/engine.scm 114 */
 BgL_z62errorz62_bglt BgL_arg1609z00_208;
{ /* Llib/engine.scm 114 */
 BgL_z62errorz62_bglt BgL_new1067z00_209;
{ /* Llib/engine.scm 114 */
 BgL_z62errorz62_bglt BgL_new1066z00_214;
BgL_new1066z00_214 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 114 */
 long BgL_arg1624z00_215;
BgL_arg1624z00_215 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1066z00_214), BgL_arg1624z00_215); } 
BgL_new1067z00_209 = BgL_new1066z00_214; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_209)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_209)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3795;
{ /* Llib/engine.scm 114 */
 obj_t BgL_arg1611z00_210;
{ /* Llib/engine.scm 114 */
 obj_t BgL_arg1612z00_211;
{ /* Llib/engine.scm 114 */
 obj_t BgL_classz00_1980;
BgL_classz00_1980 = BGl_z62errorz62zz__objectz00; 
BgL_arg1612z00_211 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1980); } 
BgL_arg1611z00_210 = 
VECTOR_REF(BgL_arg1612z00_211,((long)2)); } 
BgL_auxz00_3795 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1611z00_210); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_209)))->BgL_stackz00)=((obj_t)BgL_auxz00_3795),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1067z00_209))->BgL_procz00)=((obj_t)BGl_string2760z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3802;
{ /* Llib/engine.scm 116 */
 obj_t BgL_arg1622z00_212;
BgL_arg1622z00_212 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tablez00_17))->BgL_namez00); 
{ /* Llib/engine.scm 116 */
 obj_t BgL_list1623z00_213;
BgL_list1623z00_213 = 
MAKE_YOUNG_PAIR(BgL_arg1622z00_212, BNIL); 
BgL_auxz00_3802 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2771z00zz__sqlite_enginez00, BgL_list1623z00_213); } } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1067z00_209))->BgL_msgz00)=((obj_t)BgL_auxz00_3802),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1067z00_209))->BgL_objz00)=((obj_t)BgL_objz00_16),BUNSPEC); 
BgL_arg1609z00_208 = BgL_new1067z00_209; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1609z00_208));}  else 
{ /* Llib/engine.scm 121 */
 BgL_z42sqltinyzd2columnz90_bglt BgL_i1068z00_216;
BgL_i1068z00_216 = 
((BgL_z42sqltinyzd2columnz90_bglt)
CAR(
((obj_t)BgL_primkeysz00_203))); 
{ /* Llib/engine.scm 122 */
 obj_t BgL_zc3z04anonymousza31625ze3z87_2941;
BgL_zc3z04anonymousza31625ze3z87_2941 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31625ze3ze5zz__sqlite_enginez00, 
(int)(((long)4)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31625ze3z87_2941, 
(int)(((long)0)), 
((obj_t)BgL_i1068z00_216)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31625ze3z87_2941, 
(int)(((long)1)), 
((obj_t)BgL_tablez00_17)); 
return BgL_zc3z04anonymousza31625ze3z87_2941;} } } } } 

}



/* &<@anonymous:1625> */
obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_2942, obj_t BgL_objz00_2945, obj_t BgL_rz00_2946, obj_t BgL_rsz00_2947, obj_t BgL_replacepz00_2948)
{
{ /* Llib/engine.scm 122 */
{ /* Llib/engine.scm 123 */
 BgL_z42sqltinyzd2columnz90_bglt BgL_i1068z00_2943; BgL_z42sqltinyzd2tablez90_bglt BgL_i1065z00_2944;
BgL_i1068z00_2943 = 
((BgL_z42sqltinyzd2columnz90_bglt)
PROCEDURE_REF(BgL_envz00_2942, 
(int)(((long)0)))); 
BgL_i1065z00_2944 = 
((BgL_z42sqltinyzd2tablez90_bglt)
PROCEDURE_REF(BgL_envz00_2942, 
(int)(((long)1)))); 
{ /* Llib/engine.scm 123 */
 obj_t BgL_vz00_3356;
{ /* Llib/engine.scm 123 */
 int BgL_arg1706z00_3357;
BgL_arg1706z00_3357 = 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(BgL_i1068z00_2943))->BgL_indexz00); 
{ /* Llib/engine.scm 123 */
 long BgL_kz00_3358;
BgL_kz00_3358 = 
(long)(BgL_arg1706z00_3357); 
BgL_vz00_3356 = 
VECTOR_REF(
((obj_t)BgL_rz00_2946),BgL_kz00_3358); } } 
{ /* Llib/engine.scm 123 */
 obj_t BgL_fz00_3359;
{ /* Llib/engine.scm 124 */
 obj_t BgL_hook1207z00_3360;
BgL_hook1207z00_3360 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ 
 obj_t BgL_l1204z00_3362; obj_t BgL_h1205z00_3363;
BgL_l1204z00_3362 = BgL_rsz00_2947; 
BgL_h1205z00_3363 = BgL_hook1207z00_3360; 
BgL_zc3z04anonymousza31674ze3z87_3361:
if(
NULLP(BgL_l1204z00_3362))
{ /* Llib/engine.scm 124 */
BgL_fz00_3359 = 
CDR(BgL_hook1207z00_3360); }  else 
{ /* Llib/engine.scm 124 */
 bool_t BgL_test2929z00_3836;
{ /* Llib/engine.scm 125 */
 obj_t BgL_rz00_3364;
BgL_rz00_3364 = 
CAR(
((obj_t)BgL_l1204z00_3362)); 
{ /* Llib/engine.scm 125 */
 obj_t BgL_arg1701z00_3365;
{ /* Llib/engine.scm 125 */
 int BgL_arg1704z00_3366;
BgL_arg1704z00_3366 = 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(BgL_i1068z00_2943))->BgL_indexz00); 
{ /* Llib/engine.scm 125 */
 long BgL_kz00_3367;
BgL_kz00_3367 = 
(long)(BgL_arg1704z00_3366); 
BgL_arg1701z00_3365 = 
VECTOR_REF(
((obj_t)BgL_rz00_3364),BgL_kz00_3367); } } 
BgL_test2929z00_3836 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg1701z00_3365, BgL_vz00_3356); } } 
if(BgL_test2929z00_3836)
{ /* Llib/engine.scm 124 */
 obj_t BgL_nh1206z00_3368;
{ /* Llib/engine.scm 124 */
 obj_t BgL_arg1691z00_3369;
BgL_arg1691z00_3369 = 
CAR(
((obj_t)BgL_l1204z00_3362)); 
BgL_nh1206z00_3368 = 
MAKE_YOUNG_PAIR(BgL_arg1691z00_3369, BNIL); } 
SET_CDR(BgL_h1205z00_3363, BgL_nh1206z00_3368); 
{ /* Llib/engine.scm 124 */
 obj_t BgL_arg1688z00_3370;
BgL_arg1688z00_3370 = 
CDR(
((obj_t)BgL_l1204z00_3362)); 
{ 
 obj_t BgL_h1205z00_3851; obj_t BgL_l1204z00_3850;
BgL_l1204z00_3850 = BgL_arg1688z00_3370; 
BgL_h1205z00_3851 = BgL_nh1206z00_3368; 
BgL_h1205z00_3363 = BgL_h1205z00_3851; 
BgL_l1204z00_3362 = BgL_l1204z00_3850; 
goto BgL_zc3z04anonymousza31674ze3z87_3361;} } }  else 
{ /* Llib/engine.scm 124 */
 obj_t BgL_arg1692z00_3371;
BgL_arg1692z00_3371 = 
CDR(
((obj_t)BgL_l1204z00_3362)); 
{ 
 obj_t BgL_l1204z00_3854;
BgL_l1204z00_3854 = BgL_arg1692z00_3371; 
BgL_l1204z00_3362 = BgL_l1204z00_3854; 
goto BgL_zc3z04anonymousza31674ze3z87_3361;} } } } } 
{ /* Llib/engine.scm 124 */

if(
NULLP(BgL_fz00_3359))
{ /* Llib/engine.scm 129 */
return BTRUE;}  else 
{ /* Llib/engine.scm 129 */
if(
CBOOL(BgL_replacepz00_2948))
{ /* Llib/engine.scm 131 */
{ /* Llib/engine.scm 132 */
 obj_t BgL_arg1642z00_3372;
BgL_arg1642z00_3372 = 
CAR(
((obj_t)BgL_fz00_3359)); 
{ /* Llib/engine.scm 132 */

BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_arg1642z00_3372, ((long)1), BgL_rz00_2946, 
BINT(((long)1)), 
BINT(
VECTOR_LENGTH(
((obj_t)BgL_rz00_2946)))); } } 
return BFALSE;}  else 
{ /* Llib/engine.scm 136 */
 BgL_z62errorz62_bglt BgL_arg1643z00_3373;
{ /* Llib/engine.scm 136 */
 BgL_z62errorz62_bglt BgL_new1070z00_3374;
{ /* Llib/engine.scm 136 */
 BgL_z62errorz62_bglt BgL_new1069z00_3375;
BgL_new1069z00_3375 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 136 */
 long BgL_arg1673z00_3376;
BgL_arg1673z00_3376 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_3375), BgL_arg1673z00_3376); } 
BgL_new1070z00_3374 = BgL_new1069z00_3375; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_3374)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_3374)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3874;
{ /* Llib/engine.scm 136 */
 obj_t BgL_arg1651z00_3377;
{ /* Llib/engine.scm 136 */
 obj_t BgL_arg1653z00_3378;
{ /* Llib/engine.scm 136 */
 obj_t BgL_classz00_3379;
BgL_classz00_3379 = BGl_z62errorz62zz__objectz00; 
BgL_arg1653z00_3378 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3379); } 
BgL_arg1651z00_3377 = 
VECTOR_REF(BgL_arg1653z00_3378,((long)2)); } 
BgL_auxz00_3874 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1651z00_3377); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_3374)))->BgL_stackz00)=((obj_t)BgL_auxz00_3874),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1070z00_3374))->BgL_procz00)=((obj_t)BGl_string2775z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3881;
{ /* Llib/engine.scm 138 */
 obj_t BgL_arg1654z00_3380; obj_t BgL_arg1657z00_3381;
BgL_arg1654z00_3380 = 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(BgL_i1068z00_2943))->BgL_namez00); 
BgL_arg1657z00_3381 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_i1065z00_2944))->BgL_namez00); 
{ /* Llib/engine.scm 138 */
 obj_t BgL_list1658z00_3382;
{ /* Llib/engine.scm 138 */
 obj_t BgL_arg1664z00_3383;
{ /* Llib/engine.scm 138 */
 obj_t BgL_arg1672z00_3384;
BgL_arg1672z00_3384 = 
MAKE_YOUNG_PAIR(BgL_rz00_2946, BNIL); 
BgL_arg1664z00_3383 = 
MAKE_YOUNG_PAIR(BgL_arg1657z00_3381, BgL_arg1672z00_3384); } 
BgL_list1658z00_3382 = 
MAKE_YOUNG_PAIR(BgL_arg1654z00_3380, BgL_arg1664z00_3383); } 
BgL_auxz00_3881 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2776z00zz__sqlite_enginez00, BgL_list1658z00_3382); } } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1070z00_3374))->BgL_msgz00)=((obj_t)BgL_auxz00_3881),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1070z00_3374))->BgL_objz00)=((obj_t)BgL_objz00_2945),BUNSPEC); 
BgL_arg1643z00_3373 = BgL_new1070z00_3374; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1643z00_3373));} } } } } } } 

}



/* compile-multiple-key-check */
obj_t BGl_compilezd2multiplezd2keyzd2checkzd2zz__sqlite_enginez00(obj_t BgL_objz00_20, BgL_z42sqltinyzd2tablez90_bglt BgL_tablez00_21, obj_t BgL_columnsz00_22, obj_t BgL_constraintsz00_23)
{
{ /* Llib/engine.scm 145 */
{ /* Llib/engine.scm 146 */
 obj_t BgL_fz00_278;
{ /* Llib/engine.scm 146 */
 obj_t BgL_hook1212z00_398;
BgL_hook1212z00_398 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ 
 obj_t BgL_l1209z00_400; obj_t BgL_h1210z00_401;
BgL_l1209z00_400 = BgL_constraintsz00_23; 
BgL_h1210z00_401 = BgL_hook1212z00_398; 
BgL_zc3z04anonymousza31834ze3z87_402:
if(
NULLP(BgL_l1209z00_400))
{ /* Llib/engine.scm 146 */
BgL_fz00_278 = 
CDR(BgL_hook1212z00_398); }  else 
{ /* Llib/engine.scm 146 */
 bool_t BgL_test2933z00_3896;
{ /* Llib/engine.scm 146 */
 obj_t BgL_tmpz00_3897;
{ /* Llib/engine.scm 146 */
 obj_t BgL_pairz00_2002;
BgL_pairz00_2002 = 
CAR(
((obj_t)BgL_l1209z00_400)); 
BgL_tmpz00_3897 = 
CAR(BgL_pairz00_2002); } 
BgL_test2933z00_3896 = 
(BgL_tmpz00_3897==
CNST_TABLE_REF(((long)2))); } 
if(BgL_test2933z00_3896)
{ /* Llib/engine.scm 146 */
 obj_t BgL_nh1211z00_407;
{ /* Llib/engine.scm 146 */
 obj_t BgL_arg1839z00_409;
BgL_arg1839z00_409 = 
CAR(
((obj_t)BgL_l1209z00_400)); 
BgL_nh1211z00_407 = 
MAKE_YOUNG_PAIR(BgL_arg1839z00_409, BNIL); } 
SET_CDR(BgL_h1210z00_401, BgL_nh1211z00_407); 
{ /* Llib/engine.scm 146 */
 obj_t BgL_arg1838z00_408;
BgL_arg1838z00_408 = 
CDR(
((obj_t)BgL_l1209z00_400)); 
{ 
 obj_t BgL_h1210z00_3910; obj_t BgL_l1209z00_3909;
BgL_l1209z00_3909 = BgL_arg1838z00_408; 
BgL_h1210z00_3910 = BgL_nh1211z00_407; 
BgL_h1210z00_401 = BgL_h1210z00_3910; 
BgL_l1209z00_400 = BgL_l1209z00_3909; 
goto BgL_zc3z04anonymousza31834ze3z87_402;} } }  else 
{ /* Llib/engine.scm 146 */
 obj_t BgL_arg1840z00_410;
BgL_arg1840z00_410 = 
CDR(
((obj_t)BgL_l1209z00_400)); 
{ 
 obj_t BgL_l1209z00_3913;
BgL_l1209z00_3913 = BgL_arg1840z00_410; 
BgL_l1209z00_400 = BgL_l1209z00_3913; 
goto BgL_zc3z04anonymousza31834ze3z87_402;} } } } } 
if(
PAIRP(BgL_fz00_278))
{ /* Llib/engine.scm 148 */
{ /* Llib/engine.scm 149 */
 bool_t BgL_test2935z00_3916;
{ /* Llib/engine.scm 149 */
 obj_t BgL_tmpz00_3917;
BgL_tmpz00_3917 = 
CDR(BgL_fz00_278); 
BgL_test2935z00_3916 = 
PAIRP(BgL_tmpz00_3917); } 
if(BgL_test2935z00_3916)
{ /* Llib/engine.scm 151 */
 BgL_z62errorz62_bglt BgL_arg1730z00_283;
{ /* Llib/engine.scm 151 */
 BgL_z62errorz62_bglt BgL_new1073z00_284;
{ /* Llib/engine.scm 151 */
 BgL_z62errorz62_bglt BgL_new1072z00_289;
BgL_new1072z00_289 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 151 */
 long BgL_arg1739z00_290;
BgL_arg1739z00_290 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_289), BgL_arg1739z00_290); } 
BgL_new1073z00_284 = BgL_new1072z00_289; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1073z00_284)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1073z00_284)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3928;
{ /* Llib/engine.scm 151 */
 obj_t BgL_arg1731z00_285;
{ /* Llib/engine.scm 151 */
 obj_t BgL_arg1732z00_286;
{ /* Llib/engine.scm 151 */
 obj_t BgL_classz00_2011;
BgL_classz00_2011 = BGl_z62errorz62zz__objectz00; 
BgL_arg1732z00_286 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2011); } 
BgL_arg1731z00_285 = 
VECTOR_REF(BgL_arg1732z00_286,((long)2)); } 
BgL_auxz00_3928 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1731z00_285); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1073z00_284)))->BgL_stackz00)=((obj_t)BgL_auxz00_3928),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1073z00_284))->BgL_procz00)=((obj_t)BGl_string2760z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3935;
{ /* Llib/engine.scm 153 */
 obj_t BgL_arg1733z00_287;
BgL_arg1733z00_287 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tablez00_21))->BgL_namez00); 
{ /* Llib/engine.scm 153 */
 obj_t BgL_list1734z00_288;
BgL_list1734z00_288 = 
MAKE_YOUNG_PAIR(BgL_arg1733z00_287, BNIL); 
BgL_auxz00_3935 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2771z00zz__sqlite_enginez00, BgL_list1734z00_288); } } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1073z00_284))->BgL_msgz00)=((obj_t)BgL_auxz00_3935),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1073z00_284))->BgL_objz00)=((obj_t)BgL_objz00_20),BUNSPEC); 
BgL_arg1730z00_283 = BgL_new1073z00_284; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1730z00_283)); }  else 
{ /* Llib/engine.scm 149 */BFALSE; } } 
{ /* Llib/engine.scm 157 */
 obj_t BgL_pkz00_292;
BgL_pkz00_292 = 
CAR(BgL_fz00_278); 
{ /* Llib/engine.scm 157 */
 obj_t BgL_ofz00_293;
{ /* Llib/engine.scm 158 */
 obj_t BgL_l1213z00_374;
BgL_l1213z00_374 = 
CDR(
((obj_t)BgL_pkz00_292)); 
if(
NULLP(BgL_l1213z00_374))
{ /* Llib/engine.scm 158 */
BgL_ofz00_293 = BNIL; }  else 
{ /* Llib/engine.scm 158 */
 obj_t BgL_head1215z00_376;
BgL_head1215z00_376 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1213z00_378; obj_t BgL_tail1216z00_379;
BgL_l1213z00_378 = BgL_l1213z00_374; 
BgL_tail1216z00_379 = BgL_head1215z00_376; 
BgL_zc3z04anonymousza31823ze3z87_380:
if(
NULLP(BgL_l1213z00_378))
{ /* Llib/engine.scm 158 */
BgL_ofz00_293 = 
CDR(BgL_head1215z00_376); }  else 
{ /* Llib/engine.scm 158 */
 obj_t BgL_newtail1217z00_382;
{ /* Llib/engine.scm 158 */
 obj_t BgL_arg1826z00_384;
{ /* Llib/engine.scm 158 */
 obj_t BgL_cz00_385;
BgL_cz00_385 = 
CAR(
((obj_t)BgL_l1213z00_378)); 
{ /* Llib/engine.scm 159 */
 obj_t BgL_oz00_386;
BgL_oz00_386 = 
BGl_columnzd2offsetzd2zz__sqlite_enginez00(BgL_objz00_20, 
((obj_t)BgL_tablez00_21), BgL_cz00_385); 
if(
CBOOL(BgL_oz00_386))
{ /* Llib/engine.scm 160 */
BgL_arg1826z00_384 = BgL_oz00_386; }  else 
{ /* Llib/engine.scm 162 */
 BgL_z62errorz62_bglt BgL_arg1827z00_388;
{ /* Llib/engine.scm 162 */
 BgL_z62errorz62_bglt BgL_new1081z00_389;
{ /* Llib/engine.scm 168 */
 BgL_z62errorz62_bglt BgL_new1080z00_395;
BgL_new1080z00_395 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 168 */
 long BgL_arg1833z00_396;
BgL_arg1833z00_396 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_395), BgL_arg1833z00_396); } 
BgL_new1081z00_389 = BgL_new1080z00_395; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_389)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_389)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3966;
{ /* Llib/engine.scm 168 */
 obj_t BgL_arg1828z00_390;
{ /* Llib/engine.scm 168 */
 obj_t BgL_arg1829z00_391;
{ /* Llib/engine.scm 168 */
 obj_t BgL_classz00_2020;
BgL_classz00_2020 = BGl_z62errorz62zz__objectz00; 
BgL_arg1829z00_391 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2020); } 
BgL_arg1828z00_390 = 
VECTOR_REF(BgL_arg1829z00_391,((long)2)); } 
BgL_auxz00_3966 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1828z00_390); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_389)))->BgL_stackz00)=((obj_t)BgL_auxz00_3966),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1081z00_389))->BgL_procz00)=((obj_t)BGl_string2760z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3973;
{ /* Llib/engine.scm 164 */
 obj_t BgL_arg1830z00_392;
BgL_arg1830z00_392 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tablez00_21))->BgL_namez00); 
{ /* Llib/engine.scm 164 */
 obj_t BgL_list1831z00_393;
{ /* Llib/engine.scm 164 */
 obj_t BgL_arg1832z00_394;
BgL_arg1832z00_394 = 
MAKE_YOUNG_PAIR(BgL_cz00_385, BNIL); 
BgL_list1831z00_393 = 
MAKE_YOUNG_PAIR(BgL_arg1830z00_392, BgL_arg1832z00_394); } 
BgL_auxz00_3973 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2777z00zz__sqlite_enginez00, BgL_list1831z00_393); } } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1081z00_389))->BgL_msgz00)=((obj_t)BgL_auxz00_3973),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1081z00_389))->BgL_objz00)=((obj_t)BgL_objz00_20),BUNSPEC); 
BgL_arg1827z00_388 = BgL_new1081z00_389; } 
BgL_arg1826z00_384 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1827z00_388)); } } } 
BgL_newtail1217z00_382 = 
MAKE_YOUNG_PAIR(BgL_arg1826z00_384, BNIL); } 
SET_CDR(BgL_tail1216z00_379, BgL_newtail1217z00_382); 
{ /* Llib/engine.scm 158 */
 obj_t BgL_arg1825z00_383;
BgL_arg1825z00_383 = 
CDR(
((obj_t)BgL_l1213z00_378)); 
{ 
 obj_t BgL_tail1216z00_3987; obj_t BgL_l1213z00_3986;
BgL_l1213z00_3986 = BgL_arg1825z00_383; 
BgL_tail1216z00_3987 = BgL_newtail1217z00_382; 
BgL_tail1216z00_379 = BgL_tail1216z00_3987; 
BgL_l1213z00_378 = BgL_l1213z00_3986; 
goto BgL_zc3z04anonymousza31823ze3z87_380;} } } } } } 
{ /* Llib/engine.scm 158 */

{ /* Llib/engine.scm 170 */
 obj_t BgL_zc3z04anonymousza31741ze3z87_2949;
BgL_zc3z04anonymousza31741ze3z87_2949 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31741ze3ze5zz__sqlite_enginez00, 
(int)(((long)4)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31741ze3z87_2949, 
(int)(((long)0)), BgL_ofz00_293); 
PROCEDURE_SET(BgL_zc3z04anonymousza31741ze3z87_2949, 
(int)(((long)1)), BgL_pkz00_292); 
PROCEDURE_SET(BgL_zc3z04anonymousza31741ze3z87_2949, 
(int)(((long)2)), 
((obj_t)BgL_tablez00_21)); 
return BgL_zc3z04anonymousza31741ze3z87_2949;} } } } }  else 
{ /* Llib/engine.scm 148 */
return BFALSE;} } } 

}



/* &<@anonymous:1741> */
obj_t BGl_z62zc3z04anonymousza31741ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_2950, obj_t BgL_objz00_2954, obj_t BgL_rz00_2955, obj_t BgL_rsz00_2956, obj_t BgL_replacepz00_2957)
{
{ /* Llib/engine.scm 170 */
{ /* Llib/engine.scm 171 */
 obj_t BgL_ofz00_2951; obj_t BgL_pkz00_2952; BgL_z42sqltinyzd2tablez90_bglt BgL_i1071z00_2953;
BgL_ofz00_2951 = 
PROCEDURE_REF(BgL_envz00_2950, 
(int)(((long)0))); 
BgL_pkz00_2952 = 
PROCEDURE_REF(BgL_envz00_2950, 
(int)(((long)1))); 
BgL_i1071z00_2953 = 
((BgL_z42sqltinyzd2tablez90_bglt)
PROCEDURE_REF(BgL_envz00_2950, 
(int)(((long)2)))); 
{ /* Llib/engine.scm 171 */
 bool_t BgL_tmpz00_4005;
{ /* Llib/engine.scm 171 */
 obj_t BgL_vsz00_3385;
if(
NULLP(BgL_ofz00_2951))
{ /* Llib/engine.scm 171 */
BgL_vsz00_3385 = BNIL; }  else 
{ /* Llib/engine.scm 171 */
 obj_t BgL_head1220z00_3386;
BgL_head1220z00_3386 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1218z00_3388; obj_t BgL_tail1221z00_3389;
BgL_l1218z00_3388 = BgL_ofz00_2951; 
BgL_tail1221z00_3389 = BgL_head1220z00_3386; 
BgL_zc3z04anonymousza31815ze3z87_3387:
if(
NULLP(BgL_l1218z00_3388))
{ /* Llib/engine.scm 171 */
BgL_vsz00_3385 = 
CDR(BgL_head1220z00_3386); }  else 
{ /* Llib/engine.scm 171 */
 obj_t BgL_newtail1222z00_3390;
{ /* Llib/engine.scm 171 */
 obj_t BgL_arg1821z00_3391;
{ /* Llib/engine.scm 171 */
 obj_t BgL_iz00_3392;
BgL_iz00_3392 = 
CAR(
((obj_t)BgL_l1218z00_3388)); 
{ /* Llib/engine.scm 171 */
 long BgL_kz00_3393;
BgL_kz00_3393 = 
(long)CINT(BgL_iz00_3392); 
BgL_arg1821z00_3391 = 
VECTOR_REF(
((obj_t)BgL_rz00_2955),BgL_kz00_3393); } } 
BgL_newtail1222z00_3390 = 
MAKE_YOUNG_PAIR(BgL_arg1821z00_3391, BNIL); } 
SET_CDR(BgL_tail1221z00_3389, BgL_newtail1222z00_3390); 
{ /* Llib/engine.scm 171 */
 obj_t BgL_arg1820z00_3394;
BgL_arg1820z00_3394 = 
CDR(
((obj_t)BgL_l1218z00_3388)); 
{ 
 obj_t BgL_tail1221z00_4022; obj_t BgL_l1218z00_4021;
BgL_l1218z00_4021 = BgL_arg1820z00_3394; 
BgL_tail1221z00_4022 = BgL_newtail1222z00_3390; 
BgL_tail1221z00_3389 = BgL_tail1221z00_4022; 
BgL_l1218z00_3388 = BgL_l1218z00_4021; 
goto BgL_zc3z04anonymousza31815ze3z87_3387;} } } } } 
{ /* Llib/engine.scm 171 */
 obj_t BgL_fz00_3395;
{ /* Llib/engine.scm 172 */
 obj_t BgL_hook1232z00_3396;
BgL_hook1232z00_3396 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ 
 obj_t BgL_l1229z00_3398; obj_t BgL_h1230z00_3399;
BgL_l1229z00_3398 = BgL_rsz00_2956; 
BgL_h1230z00_3399 = BgL_hook1232z00_3396; 
BgL_zc3z04anonymousza31768ze3z87_3397:
if(
NULLP(BgL_l1229z00_3398))
{ /* Llib/engine.scm 172 */
BgL_fz00_3395 = 
CDR(BgL_hook1232z00_3396); }  else 
{ /* Llib/engine.scm 172 */
 bool_t BgL_test2942z00_4027;
{ /* Llib/engine.scm 173 */
 obj_t BgL_rz00_3400;
BgL_rz00_3400 = 
CAR(
((obj_t)BgL_l1229z00_3398)); 
{ /* Llib/engine.scm 173 */
 obj_t BgL_vz00_3401;
if(
NULLP(BgL_ofz00_2951))
{ /* Llib/engine.scm 173 */
BgL_vz00_3401 = BNIL; }  else 
{ /* Llib/engine.scm 173 */
 obj_t BgL_head1225z00_3402;
BgL_head1225z00_3402 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1223z00_3404; obj_t BgL_tail1226z00_3405;
BgL_l1223z00_3404 = BgL_ofz00_2951; 
BgL_tail1226z00_3405 = BgL_head1225z00_3402; 
BgL_zc3z04anonymousza31809ze3z87_3403:
if(
NULLP(BgL_l1223z00_3404))
{ /* Llib/engine.scm 173 */
BgL_vz00_3401 = 
CDR(BgL_head1225z00_3402); }  else 
{ /* Llib/engine.scm 173 */
 obj_t BgL_newtail1227z00_3406;
{ /* Llib/engine.scm 173 */
 obj_t BgL_arg1813z00_3407;
{ /* Llib/engine.scm 173 */
 obj_t BgL_iz00_3408;
BgL_iz00_3408 = 
CAR(
((obj_t)BgL_l1223z00_3404)); 
{ /* Llib/engine.scm 174 */
 long BgL_kz00_3409;
BgL_kz00_3409 = 
(long)CINT(BgL_iz00_3408); 
BgL_arg1813z00_3407 = 
VECTOR_REF(
((obj_t)BgL_rz00_3400),BgL_kz00_3409); } } 
BgL_newtail1227z00_3406 = 
MAKE_YOUNG_PAIR(BgL_arg1813z00_3407, BNIL); } 
SET_CDR(BgL_tail1226z00_3405, BgL_newtail1227z00_3406); 
{ /* Llib/engine.scm 173 */
 obj_t BgL_arg1812z00_3410;
BgL_arg1812z00_3410 = 
CDR(
((obj_t)BgL_l1223z00_3404)); 
{ 
 obj_t BgL_tail1226z00_4046; obj_t BgL_l1223z00_4045;
BgL_l1223z00_4045 = BgL_arg1812z00_3410; 
BgL_tail1226z00_4046 = BgL_newtail1227z00_3406; 
BgL_tail1226z00_3405 = BgL_tail1226z00_4046; 
BgL_l1223z00_3404 = BgL_l1223z00_4045; 
goto BgL_zc3z04anonymousza31809ze3z87_3403;} } } } } 
BgL_test2942z00_4027 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_vsz00_3385, BgL_vz00_3401); } } 
if(BgL_test2942z00_4027)
{ /* Llib/engine.scm 172 */
 obj_t BgL_nh1231z00_3411;
{ /* Llib/engine.scm 172 */
 obj_t BgL_arg1798z00_3412;
BgL_arg1798z00_3412 = 
CAR(
((obj_t)BgL_l1229z00_3398)); 
BgL_nh1231z00_3411 = 
MAKE_YOUNG_PAIR(BgL_arg1798z00_3412, BNIL); } 
SET_CDR(BgL_h1230z00_3399, BgL_nh1231z00_3411); 
{ /* Llib/engine.scm 172 */
 obj_t BgL_arg1796z00_3413;
BgL_arg1796z00_3413 = 
CDR(
((obj_t)BgL_l1229z00_3398)); 
{ 
 obj_t BgL_h1230z00_4055; obj_t BgL_l1229z00_4054;
BgL_l1229z00_4054 = BgL_arg1796z00_3413; 
BgL_h1230z00_4055 = BgL_nh1231z00_3411; 
BgL_h1230z00_3399 = BgL_h1230z00_4055; 
BgL_l1229z00_3398 = BgL_l1229z00_4054; 
goto BgL_zc3z04anonymousza31768ze3z87_3397;} } }  else 
{ /* Llib/engine.scm 172 */
 obj_t BgL_arg1808z00_3414;
BgL_arg1808z00_3414 = 
CDR(
((obj_t)BgL_l1229z00_3398)); 
{ 
 obj_t BgL_l1229z00_4058;
BgL_l1229z00_4058 = BgL_arg1808z00_3414; 
BgL_l1229z00_3398 = BgL_l1229z00_4058; 
goto BgL_zc3z04anonymousza31768ze3z87_3397;} } } } } 
{ /* Llib/engine.scm 172 */

if(
NULLP(BgL_fz00_3395))
{ /* Llib/engine.scm 179 */
BgL_tmpz00_4005 = ((bool_t)1)
; }  else 
{ /* Llib/engine.scm 179 */
if(
CBOOL(BgL_replacepz00_2957))
{ /* Llib/engine.scm 181 */
{ /* Llib/engine.scm 182 */
 obj_t BgL_arg1744z00_3415;
BgL_arg1744z00_3415 = 
CAR(
((obj_t)BgL_fz00_3395)); 
{ /* Llib/engine.scm 182 */

BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_arg1744z00_3415, ((long)1), BgL_rz00_2955, 
BINT(((long)1)), 
BINT(
VECTOR_LENGTH(
((obj_t)BgL_rz00_2955)))); } } 
BgL_tmpz00_4005 = ((bool_t)0); }  else 
{ /* Llib/engine.scm 181 */
{ /* Llib/engine.scm 186 */
 BgL_z62errorz62_bglt BgL_arg1745z00_3416;
{ /* Llib/engine.scm 186 */
 BgL_z62errorz62_bglt BgL_new1083z00_3417;
{ /* Llib/engine.scm 186 */
 BgL_z62errorz62_bglt BgL_new1082z00_3418;
BgL_new1082z00_3418 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 186 */
 long BgL_arg1767z00_3419;
BgL_arg1767z00_3419 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_3418), BgL_arg1767z00_3419); } 
BgL_new1083z00_3417 = BgL_new1082z00_3418; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_3417)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_3417)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4078;
{ /* Llib/engine.scm 186 */
 obj_t BgL_arg1747z00_3420;
{ /* Llib/engine.scm 186 */
 obj_t BgL_arg1748z00_3421;
{ /* Llib/engine.scm 186 */
 obj_t BgL_classz00_3422;
BgL_classz00_3422 = BGl_z62errorz62zz__objectz00; 
BgL_arg1748z00_3421 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3422); } 
BgL_arg1747z00_3420 = 
VECTOR_REF(BgL_arg1748z00_3421,((long)2)); } 
BgL_auxz00_4078 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1747z00_3420); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_3417)))->BgL_stackz00)=((obj_t)BgL_auxz00_4078),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1083z00_3417))->BgL_procz00)=((obj_t)BGl_string2775z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4085;
{ /* Llib/engine.scm 190 */
 obj_t BgL_arg1749z00_3423; obj_t BgL_arg1755z00_3424;
BgL_arg1749z00_3423 = 
CDR(
((obj_t)BgL_pkz00_2952)); 
BgL_arg1755z00_3424 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_i1071z00_2953))->BgL_namez00); 
{ /* Llib/engine.scm 188 */
 obj_t BgL_list1756z00_3425;
{ /* Llib/engine.scm 188 */
 obj_t BgL_arg1763z00_3426;
{ /* Llib/engine.scm 188 */
 obj_t BgL_arg1766z00_3427;
BgL_arg1766z00_3427 = 
MAKE_YOUNG_PAIR(BgL_rz00_2955, BNIL); 
BgL_arg1763z00_3426 = 
MAKE_YOUNG_PAIR(BgL_arg1755z00_3424, BgL_arg1766z00_3427); } 
BgL_list1756z00_3425 = 
MAKE_YOUNG_PAIR(BgL_arg1749z00_3423, BgL_arg1763z00_3426); } 
BgL_auxz00_4085 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2776z00zz__sqlite_enginez00, BgL_list1756z00_3425); } } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1083z00_3417))->BgL_msgz00)=((obj_t)BgL_auxz00_4085),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1083z00_3417))->BgL_objz00)=((obj_t)BgL_objz00_2954),BUNSPEC); 
BgL_arg1745z00_3416 = BgL_new1083z00_3417; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1745z00_3416)); } 
BgL_tmpz00_4005 = ((bool_t)1); } } } } } 
return 
BBOOL(BgL_tmpz00_4005);} } } 

}



/* sort-columns */
obj_t BGl_sortzd2columnszd2zz__sqlite_enginez00(obj_t BgL_columnsz00_24)
{
{ /* Llib/engine.scm 197 */
return 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_columnsz00_24, BGl_proc2778z00zz__sqlite_enginez00);} 

}



/* &<@anonymous:1843> */
obj_t BGl_z62zc3z04anonymousza31843ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_2959, obj_t BgL_c1z00_2960, obj_t BgL_c2z00_2961)
{
{ /* Llib/engine.scm 198 */
return 
BBOOL(
bigloo_string_lt(
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(
((BgL_z42sqltinyzd2columnz90_bglt)BgL_c1z00_2960)))->BgL_namez00), 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(
((BgL_z42sqltinyzd2columnz90_bglt)BgL_c2z00_2961)))->BgL_namez00)));} 

}



/* index-columns! */
obj_t BGl_indexzd2columnsz12zc0zz__sqlite_enginez00(obj_t BgL_columnsz00_25)
{
{ /* Llib/engine.scm 206 */
{ 
 obj_t BgL_columnsz00_2060; long BgL_iz00_2061;
BgL_columnsz00_2060 = BgL_columnsz00_25; 
BgL_iz00_2061 = ((long)0); 
BgL_loopz00_2059:
if(
PAIRP(BgL_columnsz00_2060))
{ /* Llib/engine.scm 210 */
 BgL_z42sqltinyzd2columnz90_bglt BgL_i1086z00_2063;
BgL_i1086z00_2063 = 
((BgL_z42sqltinyzd2columnz90_bglt)
CAR(BgL_columnsz00_2060)); 
((((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(BgL_i1086z00_2063))->BgL_indexz00)=((int)
(int)(BgL_iz00_2061)),BUNSPEC); 
{ 
 long BgL_iz00_4113; obj_t BgL_columnsz00_4111;
BgL_columnsz00_4111 = 
CDR(BgL_columnsz00_2060); 
BgL_iz00_4113 = 
(BgL_iz00_2061+((long)1)); 
BgL_iz00_2061 = BgL_iz00_4113; 
BgL_columnsz00_2060 = BgL_columnsz00_4111; 
goto BgL_loopz00_2059;} }  else 
{ /* Llib/engine.scm 209 */((bool_t)0); } } 
return BgL_columnsz00_25;} 

}



/* sqltiny-drop-table */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2dropzd2tablez00zz__sqlite_enginez00(obj_t BgL_objz00_26, BgL_z42sqltinyz42_bglt BgL_builtinz00_27, obj_t BgL_tablezd2namezd2_28, bool_t BgL_ifzd2existszd2_29)
{
{ /* Llib/engine.scm 218 */
{ /* Llib/engine.scm 220 */
 obj_t BgL_mutex1850z00_433;
BgL_mutex1850z00_433 = 
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_27))->BgL_mutexz00); 
{ /* Llib/engine.scm 220 */
 obj_t BgL_top2949z00_4117;
BgL_top2949z00_4117 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1850z00_433); 
BGL_EXITD_PUSH_PROTECT(BgL_top2949z00_4117, BgL_mutex1850z00_433); BUNSPEC; 
{ /* Llib/engine.scm 220 */
 obj_t BgL_tmp2948z00_4116;
{ /* Llib/engine.scm 221 */
 obj_t BgL_tblz00_434;
BgL_tblz00_434 = 
BGl_sqltinyzd2getzd2tablez00zz__sqlite_enginez00(BgL_builtinz00_27, BgL_tablezd2namezd2_28); 
{ /* Llib/engine.scm 222 */
 bool_t BgL_test2950z00_4122;
{ /* Llib/engine.scm 222 */
 obj_t BgL_classz00_2069;
BgL_classz00_2069 = BGl_z42sqltinyzd2tablez90zz__sqlite_sqltinyz00; 
if(
BGL_OBJECTP(BgL_tblz00_434))
{ /* Llib/engine.scm 222 */
 BgL_objectz00_bglt BgL_arg1797z00_2071;
BgL_arg1797z00_2071 = 
(BgL_objectz00_bglt)(BgL_tblz00_434); 
{ /* Llib/engine.scm 222 */
 bool_t BgL_arg1794z00_2074; bool_t BgL_arg1795z00_2075;
{ /* Llib/engine.scm 222 */
 long BgL_idxz00_2078;
BgL_idxz00_2078 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2071); 
BgL_arg1794z00_2074 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2078+((long)1)))==BgL_classz00_2069); } 
{ /* Llib/engine.scm 222 */
 bool_t BgL_res2678z00_2100;
{ /* Llib/engine.scm 222 */
 obj_t BgL_oclassz00_2086;
{ /* Llib/engine.scm 222 */
 long BgL_arg1804z00_2092;
{ /* Llib/engine.scm 222 */
 long BgL_arg1805z00_2093;
BgL_arg1805z00_2093 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2071); 
BgL_arg1804z00_2092 = 
(BgL_arg1805z00_2093-OBJECT_TYPE); } 
BgL_oclassz00_2086 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2092); } 
{ /* Llib/engine.scm 222 */
 bool_t BgL__ortest_1111z00_2087;
BgL__ortest_1111z00_2087 = 
(BgL_classz00_2069==BgL_oclassz00_2086); 
if(BgL__ortest_1111z00_2087)
{ /* Llib/engine.scm 222 */
BgL_res2678z00_2100 = BgL__ortest_1111z00_2087; }  else 
{ /* Llib/engine.scm 222 */
 long BgL_odepthz00_2088;
BgL_odepthz00_2088 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2086); 
if(
(((long)1)<BgL_odepthz00_2088))
{ /* Llib/engine.scm 222 */
 obj_t BgL_arg1793z00_2090;
BgL_arg1793z00_2090 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2086, ((long)1)); 
BgL_res2678z00_2100 = 
(BgL_arg1793z00_2090==BgL_classz00_2069); }  else 
{ /* Llib/engine.scm 222 */
BgL_res2678z00_2100 = ((bool_t)0); } } } } 
BgL_arg1795z00_2075 = BgL_res2678z00_2100; } 
BgL_test2950z00_4122 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2074, BgL_arg1795z00_2075); } }  else 
{ /* Llib/engine.scm 222 */
BgL_test2950z00_4122 = ((bool_t)0)
; } } 
if(BgL_test2950z00_4122)
{ /* Llib/engine.scm 222 */
{ 
 obj_t BgL_auxz00_4141;
{ /* Llib/engine.scm 231 */
 obj_t BgL_arg1852z00_437;
BgL_arg1852z00_437 = 
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_27))->BgL_tablesz00); 
BgL_auxz00_4141 = 
bgl_remq_bang(BgL_tblz00_434, BgL_arg1852z00_437); } 
((((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_27))->BgL_tablesz00)=((obj_t)BgL_auxz00_4141),BUNSPEC); } 
if(
(
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_27))->BgL_syncz00)==
CNST_TABLE_REF(((long)3))))
{ /* Llib/engine.scm 232 */
BgL_tmp2948z00_4116 = BFALSE; }  else 
{ /* Llib/engine.scm 232 */
BgL_tmp2948z00_4116 = 
BGl_z52sqltinyzd2flushz80zz__sqlite_enginez00(BgL_objz00_26, BgL_builtinz00_27); } }  else 
{ /* Llib/engine.scm 222 */
if(BgL_ifzd2existszd2_29)
{ /* Llib/engine.scm 223 */
BgL_tmp2948z00_4116 = BFALSE; }  else 
{ /* Llib/engine.scm 225 */
 BgL_z62errorz62_bglt BgL_arg1856z00_441;
{ /* Llib/engine.scm 225 */
 BgL_z62errorz62_bglt BgL_new1089z00_442;
{ /* Llib/engine.scm 225 */
 BgL_z62errorz62_bglt BgL_new1088z00_446;
BgL_new1088z00_446 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 225 */
 long BgL_arg1860z00_447;
BgL_arg1860z00_447 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_446), BgL_arg1860z00_447); } 
BgL_new1089z00_442 = BgL_new1088z00_446; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1089z00_442)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1089z00_442)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4159;
{ /* Llib/engine.scm 225 */
 obj_t BgL_arg1857z00_443;
{ /* Llib/engine.scm 225 */
 obj_t BgL_arg1858z00_444;
{ /* Llib/engine.scm 225 */
 obj_t BgL_classz00_2104;
BgL_classz00_2104 = BGl_z62errorz62zz__objectz00; 
BgL_arg1858z00_444 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2104); } 
BgL_arg1857z00_443 = 
VECTOR_REF(BgL_arg1858z00_444,((long)2)); } 
BgL_auxz00_4159 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1857z00_443); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1089z00_442)))->BgL_stackz00)=((obj_t)BgL_auxz00_4159),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1089z00_442))->BgL_procz00)=((obj_t)BGl_string2779z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4166;
{ /* Llib/engine.scm 227 */
 obj_t BgL_list1859z00_445;
BgL_list1859z00_445 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_28, BNIL); 
BgL_auxz00_4166 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2780z00zz__sqlite_enginez00, BgL_list1859z00_445); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1089z00_442))->BgL_msgz00)=((obj_t)BgL_auxz00_4166),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1089z00_442))->BgL_objz00)=((obj_t)BgL_objz00_26),BUNSPEC); 
BgL_arg1856z00_441 = BgL_new1089z00_442; } 
BgL_tmp2948z00_4116 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1856z00_441)); } } } } 
BGL_EXITD_POP_PROTECT(BgL_top2949z00_4117); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1850z00_433); BgL_tmp2948z00_4116; } } } 
{ /* Llib/engine.scm 236 */
 obj_t BgL_arg1861z00_448;
{ /* Llib/engine.scm 236 */
 obj_t BgL_arg1863z00_449;
{ /* Llib/engine.scm 236 */
 obj_t BgL_arg1864z00_450;
{ /* Llib/engine.scm 236 */
 obj_t BgL_arg1865z00_451;
{ /* Llib/engine.scm 236 */
 obj_t BgL_arg1866z00_452;
{ /* Llib/engine.scm 236 */
 obj_t BgL_arg1868z00_453;
{ /* Llib/engine.scm 236 */
 obj_t BgL_arg1869z00_454;
BgL_arg1869z00_454 = 
MAKE_YOUNG_PAIR(BGl_string2781z00zz__sqlite_enginez00, BNIL); 
BgL_arg1868z00_453 = 
MAKE_YOUNG_PAIR(BGl_string2782z00zz__sqlite_enginez00, BgL_arg1869z00_454); } 
BgL_arg1866z00_452 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)4)), BgL_arg1868z00_453); } 
BgL_arg1865z00_451 = 
MAKE_YOUNG_PAIR(BgL_arg1866z00_452, BNIL); } 
BgL_arg1864z00_450 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_28, BgL_arg1865z00_451); } 
BgL_arg1863z00_449 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)5)), BgL_arg1864z00_450); } 
BgL_arg1861z00_448 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)6)), BgL_arg1863z00_449); } 
return 
BGl_sqltinyzd2deletezd2zz__sqlite_enginez00(BgL_objz00_26, BgL_builtinz00_27, BGl_string2765z00zz__sqlite_enginez00, BgL_arg1861z00_448);} } 

}



/* &sqltiny-drop-table */
obj_t BGl_z62sqltinyzd2dropzd2tablez62zz__sqlite_enginez00(obj_t BgL_envz00_2962, obj_t BgL_objz00_2963, obj_t BgL_builtinz00_2964, obj_t BgL_tablezd2namezd2_2965, obj_t BgL_ifzd2existszd2_2966)
{
{ /* Llib/engine.scm 218 */
{ /* Llib/engine.scm 219 */
 obj_t BgL_auxz00_4194; BgL_z42sqltinyz42_bglt BgL_auxz00_4186;
if(
STRINGP(BgL_tablezd2namezd2_2965))
{ /* Llib/engine.scm 219 */
BgL_auxz00_4194 = BgL_tablezd2namezd2_2965
; }  else 
{ 
 obj_t BgL_auxz00_4197;
BgL_auxz00_4197 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)8685)), BGl_string2783z00zz__sqlite_enginez00, BGl_string2769z00zz__sqlite_enginez00, BgL_tablezd2namezd2_2965); 
FAILURE(BgL_auxz00_4197,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_2964, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 219 */
BgL_auxz00_4186 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_2964)
; }  else 
{ 
 obj_t BgL_auxz00_4190;
BgL_auxz00_4190 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)8685)), BGl_string2783z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_2964); 
FAILURE(BgL_auxz00_4190,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2dropzd2tablez00zz__sqlite_enginez00(BgL_objz00_2963, BgL_auxz00_4186, BgL_auxz00_4194, 
CBOOL(BgL_ifzd2existszd2_2966));} } 

}



/* sqltiny-get-table */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2getzd2tablez00zz__sqlite_enginez00(BgL_z42sqltinyz42_bglt BgL_builtinz00_30, obj_t BgL_tablezd2namezd2_31)
{
{ /* Llib/engine.scm 241 */
{ 
 obj_t BgL_tablesz00_458;
BgL_tablesz00_458 = 
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_30))->BgL_tablesz00); 
BgL_zc3z04anonymousza31871ze3z87_459:
if(
NULLP(BgL_tablesz00_458))
{ /* Llib/engine.scm 245 */
return BFALSE;}  else 
{ /* Llib/engine.scm 247 */
 bool_t BgL_test2959z00_4205;
{ /* Llib/engine.scm 247 */
 obj_t BgL_arg1876z00_465;
BgL_arg1876z00_465 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)
CAR(
((obj_t)BgL_tablesz00_458)))))->BgL_namez00); 
{ /* Llib/engine.scm 247 */
 long BgL_l1z00_2109;
BgL_l1z00_2109 = 
STRING_LENGTH(BgL_arg1876z00_465); 
if(
(BgL_l1z00_2109==
STRING_LENGTH(BgL_tablezd2namezd2_31)))
{ /* Llib/engine.scm 247 */
 int BgL_arg1289z00_2112;
{ /* Llib/engine.scm 247 */
 char * BgL_auxz00_4216; char * BgL_tmpz00_4214;
BgL_auxz00_4216 = 
BSTRING_TO_STRING(BgL_tablezd2namezd2_31); 
BgL_tmpz00_4214 = 
BSTRING_TO_STRING(BgL_arg1876z00_465); 
BgL_arg1289z00_2112 = 
memcmp(BgL_tmpz00_4214, BgL_auxz00_4216, BgL_l1z00_2109); } 
BgL_test2959z00_4205 = 
(
(long)(BgL_arg1289z00_2112)==((long)0)); }  else 
{ /* Llib/engine.scm 247 */
BgL_test2959z00_4205 = ((bool_t)0)
; } } } 
if(BgL_test2959z00_4205)
{ /* Llib/engine.scm 247 */
return 
CAR(
((obj_t)BgL_tablesz00_458));}  else 
{ /* Llib/engine.scm 251 */
 obj_t BgL_arg1875z00_464;
BgL_arg1875z00_464 = 
CDR(
((obj_t)BgL_tablesz00_458)); 
{ 
 obj_t BgL_tablesz00_4225;
BgL_tablesz00_4225 = BgL_arg1875z00_464; 
BgL_tablesz00_458 = BgL_tablesz00_4225; 
goto BgL_zc3z04anonymousza31871ze3z87_459;} } } } } 

}



/* &sqltiny-get-table */
obj_t BGl_z62sqltinyzd2getzd2tablez62zz__sqlite_enginez00(obj_t BgL_envz00_2967, obj_t BgL_builtinz00_2968, obj_t BgL_tablezd2namezd2_2969)
{
{ /* Llib/engine.scm 241 */
{ /* Llib/engine.scm 242 */
 obj_t BgL_auxz00_4235; BgL_z42sqltinyz42_bglt BgL_auxz00_4227;
if(
STRINGP(BgL_tablezd2namezd2_2969))
{ /* Llib/engine.scm 242 */
BgL_auxz00_4235 = BgL_tablezd2namezd2_2969
; }  else 
{ 
 obj_t BgL_auxz00_4238;
BgL_auxz00_4238 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)9565)), BGl_string2784z00zz__sqlite_enginez00, BGl_string2769z00zz__sqlite_enginez00, BgL_tablezd2namezd2_2969); 
FAILURE(BgL_auxz00_4238,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_2968, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 242 */
BgL_auxz00_4227 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_2968)
; }  else 
{ 
 obj_t BgL_auxz00_4231;
BgL_auxz00_4231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)9565)), BGl_string2784z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_2968); 
FAILURE(BgL_auxz00_4231,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2getzd2tablez00zz__sqlite_enginez00(BgL_auxz00_4227, BgL_auxz00_4235);} } 

}



/* sqltiny-insert */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2insertzd2zz__sqlite_enginez00(obj_t BgL_objz00_32, BgL_z42sqltinyz42_bglt BgL_builtinz00_33, obj_t BgL_tablezd2namezd2_34, obj_t BgL_columnzd2nameszd2_35, obj_t BgL_valsz00_36, bool_t BgL_replacepz00_37)
{
{ /* Llib/engine.scm 256 */
{ /* Llib/engine.scm 257 */
 obj_t BgL_tblz00_468;
BgL_tblz00_468 = 
BGl_sqltinyzd2getzd2tablez00zz__sqlite_enginez00(BgL_builtinz00_33, BgL_tablezd2namezd2_34); 
if(
CBOOL(BgL_tblz00_468))
{ /* Llib/engine.scm 258 */BFALSE; }  else 
{ /* Llib/engine.scm 260 */
 BgL_z62errorz62_bglt BgL_arg1877z00_469;
{ /* Llib/engine.scm 260 */
 BgL_z62errorz62_bglt BgL_new1094z00_470;
{ /* Llib/engine.scm 260 */
 BgL_z62errorz62_bglt BgL_new1093z00_474;
BgL_new1093z00_474 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 260 */
 long BgL_arg1881z00_475;
BgL_arg1881z00_475 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_474), BgL_arg1881z00_475); } 
BgL_new1094z00_470 = BgL_new1093z00_474; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1094z00_470)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1094z00_470)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4254;
{ /* Llib/engine.scm 260 */
 obj_t BgL_arg1878z00_471;
{ /* Llib/engine.scm 260 */
 obj_t BgL_arg1879z00_472;
{ /* Llib/engine.scm 260 */
 obj_t BgL_classz00_2123;
BgL_classz00_2123 = BGl_z62errorz62zz__objectz00; 
BgL_arg1879z00_472 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2123); } 
BgL_arg1878z00_471 = 
VECTOR_REF(BgL_arg1879z00_472,((long)2)); } 
BgL_auxz00_4254 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1878z00_471); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1094z00_470)))->BgL_stackz00)=((obj_t)BgL_auxz00_4254),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1094z00_470))->BgL_procz00)=((obj_t)BGl_string2785z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4261;
{ /* Llib/engine.scm 262 */
 obj_t BgL_list1880z00_473;
BgL_list1880z00_473 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_34, BNIL); 
BgL_auxz00_4261 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2780z00zz__sqlite_enginez00, BgL_list1880z00_473); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1094z00_470))->BgL_msgz00)=((obj_t)BgL_auxz00_4261),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1094z00_470))->BgL_objz00)=((obj_t)BgL_objz00_32),BUNSPEC); 
BgL_arg1877z00_469 = BgL_new1094z00_470; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1877z00_469)); } 
{ /* Llib/engine.scm 264 */
 long BgL_lvz00_476;
BgL_lvz00_476 = 
bgl_list_length(BgL_valsz00_36); 
{ /* Llib/engine.scm 264 */
 obj_t BgL_colsz00_477;
if(
PAIRP(BgL_columnzd2nameszd2_35))
{ /* Llib/engine.scm 266 */
if(
(
bgl_list_length(BgL_columnzd2nameszd2_35)==BgL_lvz00_476))
{ /* Llib/engine.scm 267 */BFALSE; }  else 
{ /* Llib/engine.scm 269 */
 BgL_z62errorz62_bglt BgL_arg1885z00_481;
{ /* Llib/engine.scm 269 */
 BgL_z62errorz62_bglt BgL_new1096z00_482;
{ /* Llib/engine.scm 269 */
 BgL_z62errorz62_bglt BgL_new1095z00_488;
BgL_new1095z00_488 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 269 */
 long BgL_arg1891z00_489;
BgL_arg1891z00_489 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1095z00_488), BgL_arg1891z00_489); } 
BgL_new1096z00_482 = BgL_new1095z00_488; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1096z00_482)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1096z00_482)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4282;
{ /* Llib/engine.scm 269 */
 obj_t BgL_arg1886z00_483;
{ /* Llib/engine.scm 269 */
 obj_t BgL_arg1887z00_484;
{ /* Llib/engine.scm 269 */
 obj_t BgL_classz00_2130;
BgL_classz00_2130 = BGl_z62errorz62zz__objectz00; 
BgL_arg1887z00_484 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2130); } 
BgL_arg1886z00_483 = 
VECTOR_REF(BgL_arg1887z00_484,((long)2)); } 
BgL_auxz00_4282 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1886z00_483); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1096z00_482)))->BgL_stackz00)=((obj_t)BgL_auxz00_4282),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1096z00_482))->BgL_procz00)=((obj_t)BGl_string2785z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4289;
{ /* Llib/engine.scm 272 */
 long BgL_arg1888z00_485;
BgL_arg1888z00_485 = 
bgl_list_length(BgL_columnzd2nameszd2_35); 
{ /* Llib/engine.scm 271 */
 obj_t BgL_list1889z00_486;
{ /* Llib/engine.scm 271 */
 obj_t BgL_arg1890z00_487;
BgL_arg1890z00_487 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1888z00_485), BNIL); 
BgL_list1889z00_486 = 
MAKE_YOUNG_PAIR(
BINT(BgL_lvz00_476), BgL_arg1890z00_487); } 
BgL_auxz00_4289 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2786z00zz__sqlite_enginez00, BgL_list1889z00_486); } } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1096z00_482))->BgL_msgz00)=((obj_t)BgL_auxz00_4289),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1096z00_482))->BgL_objz00)=((obj_t)BgL_objz00_32),BUNSPEC); 
BgL_arg1885z00_481 = BgL_new1096z00_482; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1885z00_481)); } 
BgL_colsz00_477 = BgL_columnzd2nameszd2_35; }  else 
{ /* Llib/engine.scm 266 */
if(
(BgL_lvz00_476>
bgl_list_length(
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tblz00_468)))->BgL_za2columnsza2))))
{ /* Llib/engine.scm 278 */
 BgL_z62errorz62_bglt BgL_arg1896z00_495;
{ /* Llib/engine.scm 278 */
 BgL_z62errorz62_bglt BgL_new1099z00_496;
{ /* Llib/engine.scm 278 */
 BgL_z62errorz62_bglt BgL_new1098z00_505;
BgL_new1098z00_505 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 278 */
 long BgL_arg1904z00_506;
BgL_arg1904z00_506 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_505), BgL_arg1904z00_506); } 
BgL_new1099z00_496 = BgL_new1098z00_505; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1099z00_496)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1099z00_496)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4313;
{ /* Llib/engine.scm 278 */
 obj_t BgL_arg1897z00_497;
{ /* Llib/engine.scm 278 */
 obj_t BgL_arg1898z00_498;
{ /* Llib/engine.scm 278 */
 obj_t BgL_classz00_2137;
BgL_classz00_2137 = BGl_z62errorz62zz__objectz00; 
BgL_arg1898z00_498 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2137); } 
BgL_arg1897z00_497 = 
VECTOR_REF(BgL_arg1898z00_498,((long)2)); } 
BgL_auxz00_4313 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1897z00_497); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1099z00_496)))->BgL_stackz00)=((obj_t)BgL_auxz00_4313),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1099z00_496))->BgL_procz00)=((obj_t)BGl_string2785z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4320;
{ /* Llib/engine.scm 282 */
 long BgL_arg1899z00_499;
BgL_arg1899z00_499 = 
bgl_list_length(
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tblz00_468)))->BgL_za2columnsza2)); 
{ /* Llib/engine.scm 280 */
 obj_t BgL_list1900z00_500;
{ /* Llib/engine.scm 280 */
 obj_t BgL_arg1901z00_501;
{ /* Llib/engine.scm 280 */
 obj_t BgL_arg1902z00_502;
BgL_arg1902z00_502 = 
MAKE_YOUNG_PAIR(
BINT(BgL_lvz00_476), BNIL); 
BgL_arg1901z00_501 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1899z00_499), BgL_arg1902z00_502); } 
BgL_list1900z00_500 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_34, BgL_arg1901z00_501); } 
BgL_auxz00_4320 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2787z00zz__sqlite_enginez00, BgL_list1900z00_500); } } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1099z00_496))->BgL_msgz00)=((obj_t)BgL_auxz00_4320),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1099z00_496))->BgL_objz00)=((obj_t)BgL_objz00_32),BUNSPEC); 
BgL_arg1896z00_495 = BgL_new1099z00_496; } 
BgL_colsz00_477 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1896z00_495)); }  else 
{ /* Llib/engine.scm 287 */
 obj_t BgL_l1233z00_507;
BgL_l1233z00_507 = 
BGl_takez00zz__r4_pairs_and_lists_6_3z00(
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tblz00_468)))->BgL_za2columnsza2), BgL_lvz00_476); 
if(
NULLP(BgL_l1233z00_507))
{ /* Llib/engine.scm 287 */
BgL_colsz00_477 = BNIL; }  else 
{ /* Llib/engine.scm 287 */
 obj_t BgL_head1235z00_509;
BgL_head1235z00_509 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1233z00_511; obj_t BgL_tail1236z00_512;
BgL_l1233z00_511 = BgL_l1233z00_507; 
BgL_tail1236z00_512 = BgL_head1235z00_509; 
BgL_zc3z04anonymousza31906ze3z87_513:
if(
NULLP(BgL_l1233z00_511))
{ /* Llib/engine.scm 287 */
BgL_colsz00_477 = 
CDR(BgL_head1235z00_509); }  else 
{ /* Llib/engine.scm 287 */
 obj_t BgL_newtail1237z00_515;
{ /* Llib/engine.scm 287 */
 obj_t BgL_arg1909z00_517;
BgL_arg1909z00_517 = 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(
((BgL_z42sqltinyzd2columnz90_bglt)
CAR(
((obj_t)BgL_l1233z00_511)))))->BgL_namez00); 
BgL_newtail1237z00_515 = 
MAKE_YOUNG_PAIR(BgL_arg1909z00_517, BNIL); } 
SET_CDR(BgL_tail1236z00_512, BgL_newtail1237z00_515); 
{ /* Llib/engine.scm 287 */
 obj_t BgL_arg1908z00_516;
BgL_arg1908z00_516 = 
CDR(
((obj_t)BgL_l1233z00_511)); 
{ 
 obj_t BgL_tail1236z00_4352; obj_t BgL_l1233z00_4351;
BgL_l1233z00_4351 = BgL_arg1908z00_516; 
BgL_tail1236z00_4352 = BgL_newtail1237z00_515; 
BgL_tail1236z00_512 = BgL_tail1236z00_4352; 
BgL_l1233z00_511 = BgL_l1233z00_4351; 
goto BgL_zc3z04anonymousza31906ze3z87_513;} } } } } } } 
{ /* Llib/engine.scm 265 */

BGl_insertz00zz__sqlite_enginez00(BgL_objz00_32, BgL_builtinz00_33, BgL_tblz00_468, BgL_colsz00_477, BgL_valsz00_36, BgL_replacepz00_37); } } } } 
return BFALSE;} 

}



/* &sqltiny-insert */
obj_t BGl_z62sqltinyzd2insertzb0zz__sqlite_enginez00(obj_t BgL_envz00_2970, obj_t BgL_objz00_2971, obj_t BgL_builtinz00_2972, obj_t BgL_tablezd2namezd2_2973, obj_t BgL_columnzd2nameszd2_2974, obj_t BgL_valsz00_2975, obj_t BgL_replacepz00_2976)
{
{ /* Llib/engine.scm 256 */
{ /* Llib/engine.scm 292 */
 obj_t BgL_auxz00_4369; obj_t BgL_auxz00_4362; BgL_z42sqltinyz42_bglt BgL_auxz00_4354;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_valsz00_2975))
{ /* Llib/engine.scm 292 */
BgL_auxz00_4369 = BgL_valsz00_2975
; }  else 
{ 
 obj_t BgL_auxz00_4372;
BgL_auxz00_4372 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)11288)), BGl_string2788z00zz__sqlite_enginez00, BGl_string2770z00zz__sqlite_enginez00, BgL_valsz00_2975); 
FAILURE(BgL_auxz00_4372,BFALSE,BFALSE);} 
if(
STRINGP(BgL_tablezd2namezd2_2973))
{ /* Llib/engine.scm 292 */
BgL_auxz00_4362 = BgL_tablezd2namezd2_2973
; }  else 
{ 
 obj_t BgL_auxz00_4365;
BgL_auxz00_4365 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)11288)), BGl_string2788z00zz__sqlite_enginez00, BGl_string2769z00zz__sqlite_enginez00, BgL_tablezd2namezd2_2973); 
FAILURE(BgL_auxz00_4365,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_2972, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 292 */
BgL_auxz00_4354 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_2972)
; }  else 
{ 
 obj_t BgL_auxz00_4358;
BgL_auxz00_4358 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)11288)), BGl_string2788z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_2972); 
FAILURE(BgL_auxz00_4358,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2insertzd2zz__sqlite_enginez00(BgL_objz00_2971, BgL_auxz00_4354, BgL_auxz00_4362, BgL_columnzd2nameszd2_2974, BgL_auxz00_4369, 
CBOOL(BgL_replacepz00_2976));} } 

}



/* insert */
obj_t BGl_insertz00zz__sqlite_enginez00(obj_t BgL_objz00_38, BgL_z42sqltinyz42_bglt BgL_builtinz00_39, obj_t BgL_tablez00_40, obj_t BgL_columnzd2nameszd2_41, obj_t BgL_valsz00_42, bool_t BgL_replacepz00_43)
{
{ /* Llib/engine.scm 298 */
{ /* Llib/engine.scm 301 */
 obj_t BgL_rowz00_528;
{ /* Llib/engine.scm 302 */
 obj_t BgL_runner1979z00_634;
{ /* Llib/engine.scm 303 */
 obj_t BgL_l1238z00_620;
BgL_l1238z00_620 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_columnsz00); 
if(
NULLP(BgL_l1238z00_620))
{ /* Llib/engine.scm 303 */
BgL_runner1979z00_634 = BNIL; }  else 
{ /* Llib/engine.scm 303 */
 obj_t BgL_head1240z00_622;
BgL_head1240z00_622 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1238z00_624; obj_t BgL_tail1241z00_625;
BgL_l1238z00_624 = BgL_l1238z00_620; 
BgL_tail1241z00_625 = BgL_head1240z00_622; 
BgL_zc3z04anonymousza31975ze3z87_626:
if(
NULLP(BgL_l1238z00_624))
{ /* Llib/engine.scm 303 */
BgL_runner1979z00_634 = 
CDR(BgL_head1240z00_622); }  else 
{ /* Llib/engine.scm 303 */
 obj_t BgL_newtail1242z00_628;
{ /* Llib/engine.scm 303 */
 obj_t BgL_arg1978z00_630;
BgL_arg1978z00_630 = 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(
((BgL_z42sqltinyzd2columnz90_bglt)
CAR(
((obj_t)BgL_l1238z00_624)))))->BgL_defaultz00); 
BgL_newtail1242z00_628 = 
MAKE_YOUNG_PAIR(BgL_arg1978z00_630, BNIL); } 
SET_CDR(BgL_tail1241z00_625, BgL_newtail1242z00_628); 
{ /* Llib/engine.scm 303 */
 obj_t BgL_arg1977z00_629;
BgL_arg1977z00_629 = 
CDR(
((obj_t)BgL_l1238z00_624)); 
{ 
 obj_t BgL_tail1241z00_4395; obj_t BgL_l1238z00_4394;
BgL_l1238z00_4394 = BgL_arg1977z00_629; 
BgL_tail1241z00_4395 = BgL_newtail1242z00_628; 
BgL_tail1241z00_625 = BgL_tail1241z00_4395; 
BgL_l1238z00_624 = BgL_l1238z00_4394; 
goto BgL_zc3z04anonymousza31975ze3z87_626;} } } } } } 
BgL_rowz00_528 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_runner1979z00_634); } 
{ /* Llib/engine.scm 302 */
 obj_t BgL_colsz00_529;
{ /* Llib/engine.scm 307 */
 obj_t BgL_arg1958z00_590;
if(
NULLP(BgL_columnzd2nameszd2_41))
{ /* Llib/engine.scm 307 */
BgL_arg1958z00_590 = BNIL; }  else 
{ /* Llib/engine.scm 307 */
 obj_t BgL_head1245z00_595;
{ /* Llib/engine.scm 307 */
 obj_t BgL_arg1968z00_611;
{ /* Llib/engine.scm 307 */
 obj_t BgL_arg1969z00_612; obj_t BgL_arg1970z00_613;
BgL_arg1969z00_612 = 
CAR(
((obj_t)BgL_columnzd2nameszd2_41)); 
BgL_arg1970z00_613 = 
CAR(
((obj_t)BgL_valsz00_42)); 
BgL_arg1968z00_611 = 
MAKE_YOUNG_PAIR(BgL_arg1969z00_612, BgL_arg1970z00_613); } 
BgL_head1245z00_595 = 
MAKE_YOUNG_PAIR(BgL_arg1968z00_611, BNIL); } 
{ /* Llib/engine.scm 307 */
 obj_t BgL_g1249z00_596; obj_t BgL_g1250z00_597;
BgL_g1249z00_596 = 
CDR(
((obj_t)BgL_columnzd2nameszd2_41)); 
BgL_g1250z00_597 = 
CDR(
((obj_t)BgL_valsz00_42)); 
{ 
 obj_t BgL_ll1243z00_599; obj_t BgL_ll1244z00_600; obj_t BgL_tail1246z00_601;
BgL_ll1243z00_599 = BgL_g1249z00_596; 
BgL_ll1244z00_600 = BgL_g1250z00_597; 
BgL_tail1246z00_601 = BgL_head1245z00_595; 
BgL_zc3z04anonymousza31961ze3z87_602:
if(
NULLP(BgL_ll1243z00_599))
{ /* Llib/engine.scm 307 */
BgL_arg1958z00_590 = BgL_head1245z00_595; }  else 
{ /* Llib/engine.scm 307 */
 obj_t BgL_newtail1247z00_604;
{ /* Llib/engine.scm 307 */
 obj_t BgL_arg1965z00_607;
{ /* Llib/engine.scm 307 */
 obj_t BgL_arg1966z00_608; obj_t BgL_arg1967z00_609;
BgL_arg1966z00_608 = 
CAR(
((obj_t)BgL_ll1243z00_599)); 
BgL_arg1967z00_609 = 
CAR(
((obj_t)BgL_ll1244z00_600)); 
BgL_arg1965z00_607 = 
MAKE_YOUNG_PAIR(BgL_arg1966z00_608, BgL_arg1967z00_609); } 
BgL_newtail1247z00_604 = 
MAKE_YOUNG_PAIR(BgL_arg1965z00_607, BNIL); } 
SET_CDR(BgL_tail1246z00_601, BgL_newtail1247z00_604); 
{ /* Llib/engine.scm 307 */
 obj_t BgL_arg1963z00_605; obj_t BgL_arg1964z00_606;
BgL_arg1963z00_605 = 
CDR(
((obj_t)BgL_ll1243z00_599)); 
BgL_arg1964z00_606 = 
CDR(
((obj_t)BgL_ll1244z00_600)); 
{ 
 obj_t BgL_tail1246z00_4424; obj_t BgL_ll1244z00_4423; obj_t BgL_ll1243z00_4422;
BgL_ll1243z00_4422 = BgL_arg1963z00_605; 
BgL_ll1244z00_4423 = BgL_arg1964z00_606; 
BgL_tail1246z00_4424 = BgL_newtail1247z00_604; 
BgL_tail1246z00_601 = BgL_tail1246z00_4424; 
BgL_ll1244z00_600 = BgL_ll1244z00_4423; 
BgL_ll1243z00_599 = BgL_ll1243z00_4422; 
goto BgL_zc3z04anonymousza31961ze3z87_602;} } } } } } 
BgL_colsz00_529 = 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_arg1958z00_590, BGl_proc2789z00zz__sqlite_enginez00); } 
{ /* Llib/engine.scm 307 */

{ /* Llib/engine.scm 310 */
 obj_t BgL_g1105z00_530;
{ /* Llib/engine.scm 311 */
 obj_t BgL_pairz00_2162;
BgL_pairz00_2162 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_columnsz00); 
BgL_g1105z00_530 = 
CDR(BgL_pairz00_2162); } 
{ 
 obj_t BgL_colsz00_532; obj_t BgL_columnsz00_533;
BgL_colsz00_532 = BgL_colsz00_529; 
BgL_columnsz00_533 = BgL_g1105z00_530; 
BgL_zc3z04anonymousza31913ze3z87_534:
if(
NULLP(BgL_colsz00_532))
{ /* Llib/engine.scm 314 */
 obj_t BgL_mutex1915z00_536;
BgL_mutex1915z00_536 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_mutexz00); 
{ /* Llib/engine.scm 314 */
 obj_t BgL_top2978z00_4434;
BgL_top2978z00_4434 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1915z00_536); 
BGL_EXITD_PUSH_PROTECT(BgL_top2978z00_4434, BgL_mutex1915z00_536); BUNSPEC; 
{ /* Llib/engine.scm 314 */
 obj_t BgL_tmp2977z00_4433;
{ /* Llib/engine.scm 315 */
 bool_t BgL_test2979z00_4438;
{ /* Llib/engine.scm 315 */
 obj_t BgL_fun1926z00_547;
BgL_fun1926z00_547 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_keycheckz00); 
{ /* Llib/engine.scm 315 */
 obj_t BgL_arg1925z00_548;
BgL_arg1925z00_548 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_rowsz00); 
BgL_test2979z00_4438 = 
CBOOL(
PROCEDURE_ENTRY(BgL_fun1926z00_547)(BgL_fun1926z00_547, BgL_objz00_38, BgL_rowz00_528, BgL_arg1925z00_548, 
BBOOL(BgL_replacepz00_43), BEOA)); } } 
if(BgL_test2979z00_4438)
{ /* Llib/engine.scm 315 */
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_rowidz00)=((long)
(((long)1)+
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_rowidz00))),BUNSPEC); 
{ /* Llib/engine.scm 317 */
 long BgL_arg1920z00_541;
BgL_arg1920z00_541 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_rowidz00); 
VECTOR_SET(BgL_rowz00_528,((long)0),
BINT(BgL_arg1920z00_541)); } 
{ /* Llib/engine.scm 318 */
 obj_t BgL_lastz00_542;
BgL_lastz00_542 = 
MAKE_YOUNG_PAIR(BgL_rowz00_528, BNIL); 
if(
NULLP(
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_lastzd2rowzd2pairz00)))
{ /* Llib/engine.scm 319 */
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_rowsz00)=((obj_t)BgL_lastz00_542),BUNSPEC); }  else 
{ /* Llib/engine.scm 320 */
 obj_t BgL_arg1923z00_545;
BgL_arg1923z00_545 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_lastzd2rowzd2pairz00); 
{ /* Llib/engine.scm 320 */
 obj_t BgL_tmpz00_4470;
BgL_tmpz00_4470 = 
((obj_t)BgL_arg1923z00_545); 
SET_CDR(BgL_tmpz00_4470, BgL_lastz00_542); } } 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_lastzd2rowzd2pairz00)=((obj_t)BgL_lastz00_542),BUNSPEC); } }  else 
{ /* Llib/engine.scm 315 */BFALSE; } } 
if(
(
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_39))->BgL_syncz00)==
CNST_TABLE_REF(((long)3))))
{ /* Llib/engine.scm 323 */
BgL_tmp2977z00_4433 = BFALSE; }  else 
{ /* Llib/engine.scm 323 */
BgL_tmp2977z00_4433 = 
BGl_z52sqltinyzd2flushz80zz__sqlite_enginez00(BgL_objz00_38, BgL_builtinz00_39); } 
BGL_EXITD_POP_PROTECT(BgL_top2978z00_4434); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1915z00_536); 
return BgL_tmp2977z00_4433;} } }  else 
{ /* Llib/engine.scm 313 */
if(
NULLP(BgL_columnsz00_533))
{ /* Llib/engine.scm 326 */
if(
PAIRP(BgL_colsz00_532))
{ /* Llib/engine.scm 329 */
 BgL_z62errorz62_bglt BgL_arg1932z00_556;
{ /* Llib/engine.scm 329 */
 BgL_z62errorz62_bglt BgL_new1108z00_557;
{ /* Llib/engine.scm 329 */
 BgL_z62errorz62_bglt BgL_new1107z00_564;
BgL_new1107z00_564 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 329 */
 long BgL_arg1939z00_565;
BgL_arg1939z00_565 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1107z00_564), BgL_arg1939z00_565); } 
BgL_new1108z00_557 = BgL_new1107z00_564; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_557)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_557)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4494;
{ /* Llib/engine.scm 329 */
 obj_t BgL_arg1933z00_558;
{ /* Llib/engine.scm 329 */
 obj_t BgL_arg1934z00_559;
{ /* Llib/engine.scm 329 */
 obj_t BgL_classz00_2169;
BgL_classz00_2169 = BGl_z62errorz62zz__objectz00; 
BgL_arg1934z00_559 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2169); } 
BgL_arg1933z00_558 = 
VECTOR_REF(BgL_arg1934z00_559,((long)2)); } 
BgL_auxz00_4494 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1933z00_558); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_557)))->BgL_stackz00)=((obj_t)BgL_auxz00_4494),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1108z00_557))->BgL_procz00)=((obj_t)BGl_string2785z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4501;
{ /* Llib/engine.scm 331 */
 obj_t BgL_arg1935z00_560; obj_t BgL_arg1936z00_561;
BgL_arg1935z00_560 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_namez00); 
{ /* Llib/engine.scm 332 */
 obj_t BgL_pairz00_2174;
BgL_pairz00_2174 = 
CAR(BgL_colsz00_532); 
BgL_arg1936z00_561 = 
CAR(BgL_pairz00_2174); } 
{ /* Llib/engine.scm 331 */
 obj_t BgL_list1937z00_562;
{ /* Llib/engine.scm 331 */
 obj_t BgL_arg1938z00_563;
BgL_arg1938z00_563 = 
MAKE_YOUNG_PAIR(BgL_arg1936z00_561, BNIL); 
BgL_list1937z00_562 = 
MAKE_YOUNG_PAIR(BgL_arg1935z00_560, BgL_arg1938z00_563); } 
BgL_auxz00_4501 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2777z00zz__sqlite_enginez00, BgL_list1937z00_562); } } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1108z00_557))->BgL_msgz00)=((obj_t)BgL_auxz00_4501),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1108z00_557))->BgL_objz00)=((obj_t)BgL_objz00_38),BUNSPEC); 
BgL_arg1932z00_556 = BgL_new1108z00_557; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1932z00_556));}  else 
{ /* Llib/engine.scm 327 */
return BFALSE;} }  else 
{ /* Llib/engine.scm 335 */
 long BgL_cz00_566;
{ /* Llib/engine.scm 336 */
 obj_t BgL_arg1955z00_585; obj_t BgL_arg1956z00_586;
{ /* Llib/engine.scm 336 */
 obj_t BgL_pairz00_2178;
BgL_pairz00_2178 = 
CAR(
((obj_t)BgL_colsz00_532)); 
BgL_arg1955z00_585 = 
CAR(BgL_pairz00_2178); } 
BgL_arg1956z00_586 = 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(
((BgL_z42sqltinyzd2columnz90_bglt)
CAR(
((obj_t)BgL_columnsz00_533)))))->BgL_namez00); 
BgL_cz00_566 = 
BGl_stringzd2compare3zd2zz__r4_strings_6_7z00(BgL_arg1955z00_585, BgL_arg1956z00_586); } 
if(
(BgL_cz00_566==((long)0)))
{ /* Llib/engine.scm 341 */
 BgL_z42sqltinyzd2columnz90_bglt BgL_i1110z00_568;
BgL_i1110z00_568 = 
((BgL_z42sqltinyzd2columnz90_bglt)
CAR(
((obj_t)BgL_columnsz00_533))); 
{ /* Llib/engine.scm 342 */
 int BgL_arg1941z00_569; obj_t BgL_arg1942z00_570;
BgL_arg1941z00_569 = 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(BgL_i1110z00_568))->BgL_indexz00); 
{ /* Llib/engine.scm 342 */
 obj_t BgL_pairz00_2185;
BgL_pairz00_2185 = 
CAR(
((obj_t)BgL_colsz00_532)); 
BgL_arg1942z00_570 = 
CDR(BgL_pairz00_2185); } 
VECTOR_SET(BgL_rowz00_528,
(long)(BgL_arg1941z00_569),BgL_arg1942z00_570); } 
{ /* Llib/engine.scm 343 */
 obj_t BgL_arg1943z00_571; obj_t BgL_arg1944z00_572;
BgL_arg1943z00_571 = 
CDR(
((obj_t)BgL_colsz00_532)); 
BgL_arg1944z00_572 = 
CDR(
((obj_t)BgL_columnsz00_533)); 
{ 
 obj_t BgL_columnsz00_4537; obj_t BgL_colsz00_4536;
BgL_colsz00_4536 = BgL_arg1943z00_571; 
BgL_columnsz00_4537 = BgL_arg1944z00_572; 
BgL_columnsz00_533 = BgL_columnsz00_4537; 
BgL_colsz00_532 = BgL_colsz00_4536; 
goto BgL_zc3z04anonymousza31913ze3z87_534;} } }  else 
{ /* Llib/engine.scm 340 */
if(
(BgL_cz00_566>((long)0)))
{ /* Llib/engine.scm 345 */
 obj_t BgL_arg1946z00_574;
BgL_arg1946z00_574 = 
CDR(
((obj_t)BgL_columnsz00_533)); 
{ 
 obj_t BgL_columnsz00_4542;
BgL_columnsz00_4542 = BgL_arg1946z00_574; 
BgL_columnsz00_533 = BgL_columnsz00_4542; 
goto BgL_zc3z04anonymousza31913ze3z87_534;} }  else 
{ /* Llib/engine.scm 348 */
 BgL_z62errorz62_bglt BgL_arg1947z00_575;
{ /* Llib/engine.scm 348 */
 BgL_z62errorz62_bglt BgL_new1113z00_576;
{ /* Llib/engine.scm 348 */
 BgL_z62errorz62_bglt BgL_new1112z00_583;
BgL_new1112z00_583 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 348 */
 long BgL_arg1954z00_584;
BgL_arg1954z00_584 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_583), BgL_arg1954z00_584); } 
BgL_new1113z00_576 = BgL_new1112z00_583; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_576)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_576)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4551;
{ /* Llib/engine.scm 348 */
 obj_t BgL_arg1948z00_577;
{ /* Llib/engine.scm 348 */
 obj_t BgL_arg1949z00_578;
{ /* Llib/engine.scm 348 */
 obj_t BgL_classz00_2195;
BgL_classz00_2195 = BGl_z62errorz62zz__objectz00; 
BgL_arg1949z00_578 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2195); } 
BgL_arg1948z00_577 = 
VECTOR_REF(BgL_arg1949z00_578,((long)2)); } 
BgL_auxz00_4551 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1948z00_577); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_576)))->BgL_stackz00)=((obj_t)BgL_auxz00_4551),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1113z00_576))->BgL_procz00)=((obj_t)BGl_string2785z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4558;
{ /* Llib/engine.scm 350 */
 obj_t BgL_arg1950z00_579; obj_t BgL_arg1951z00_580;
BgL_arg1950z00_579 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_40)))->BgL_namez00); 
{ /* Llib/engine.scm 351 */
 obj_t BgL_pairz00_2200;
BgL_pairz00_2200 = 
CAR(
((obj_t)BgL_colsz00_532)); 
BgL_arg1951z00_580 = 
CAR(BgL_pairz00_2200); } 
{ /* Llib/engine.scm 350 */
 obj_t BgL_list1952z00_581;
{ /* Llib/engine.scm 350 */
 obj_t BgL_arg1953z00_582;
BgL_arg1953z00_582 = 
MAKE_YOUNG_PAIR(BgL_arg1951z00_580, BNIL); 
BgL_list1952z00_581 = 
MAKE_YOUNG_PAIR(BgL_arg1950z00_579, BgL_arg1953z00_582); } 
BgL_auxz00_4558 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2777z00zz__sqlite_enginez00, BgL_list1952z00_581); } } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1113z00_576))->BgL_msgz00)=((obj_t)BgL_auxz00_4558),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1113z00_576))->BgL_objz00)=((obj_t)BgL_objz00_38),BUNSPEC); 
BgL_arg1947z00_575 = BgL_new1113z00_576; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1947z00_575));} } } } } } } } } } 

}



/* &<@anonymous:1971> */
obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_2978, obj_t BgL_d1z00_2979, obj_t BgL_d2z00_2980)
{
{ /* Llib/engine.scm 308 */
{ /* Llib/engine.scm 309 */
 bool_t BgL_tmpz00_4571;
{ /* Llib/engine.scm 309 */
 obj_t BgL_string1z00_3428; obj_t BgL_string2z00_3429;
BgL_string1z00_3428 = 
CAR(
((obj_t)BgL_d1z00_2979)); 
BgL_string2z00_3429 = 
CAR(
((obj_t)BgL_d2z00_2980)); 
BgL_tmpz00_4571 = 
bigloo_string_lt(BgL_string1z00_3428, BgL_string2z00_3429); } 
return 
BBOOL(BgL_tmpz00_4571);} } 

}



/* sqltiny-begin-transaction! */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2beginzd2transactionz12z12zz__sqlite_enginez00(obj_t BgL_objz00_44, BgL_z42sqltinyz42_bglt BgL_builtinz00_45)
{
{ /* Llib/engine.scm 359 */
{ /* Llib/engine.scm 360 */
 obj_t BgL_top2987z00_4579;
BgL_top2987z00_4579 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2sqltinyzd2mutexza2zd2zz__sqlite_enginez00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2987z00_4579, BGl_za2sqltinyzd2mutexza2zd2zz__sqlite_enginez00); BUNSPEC; 
{ /* Llib/engine.scm 360 */
 obj_t BgL_tmp2986z00_4578;
if(
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_45))->BgL_transactionz00))
{ /* Llib/engine.scm 364 */
 BgL_z62errorz62_bglt BgL_arg1982z00_638;
{ /* Llib/engine.scm 364 */
 BgL_z62errorz62_bglt BgL_new1116z00_639;
{ /* Llib/engine.scm 364 */
 BgL_z62errorz62_bglt BgL_new1115z00_643;
BgL_new1115z00_643 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 364 */
 long BgL_arg1986z00_644;
BgL_arg1986z00_644 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_643), BgL_arg1986z00_644); } 
BgL_new1116z00_639 = BgL_new1115z00_643; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1116z00_639)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1116z00_639)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4593;
{ /* Llib/engine.scm 364 */
 obj_t BgL_arg1983z00_640;
{ /* Llib/engine.scm 364 */
 obj_t BgL_arg1984z00_641;
{ /* Llib/engine.scm 364 */
 obj_t BgL_classz00_2204;
BgL_classz00_2204 = BGl_z62errorz62zz__objectz00; 
BgL_arg1984z00_641 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2204); } 
BgL_arg1983z00_640 = 
VECTOR_REF(BgL_arg1984z00_641,((long)2)); } 
BgL_auxz00_4593 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1983z00_640); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1116z00_639)))->BgL_stackz00)=((obj_t)BgL_auxz00_4593),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1116z00_639))->BgL_procz00)=((obj_t)BGl_string2790z00zz__sqlite_enginez00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1116z00_639))->BgL_msgz00)=((obj_t)
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2791z00zz__sqlite_enginez00, BNIL)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1116z00_639))->BgL_objz00)=((obj_t)BgL_objz00_44),BUNSPEC); 
BgL_arg1982z00_638 = BgL_new1116z00_639; } 
BgL_tmp2986z00_4578 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1982z00_638)); }  else 
{ /* Llib/engine.scm 362 */
BgL_tmp2986z00_4578 = 
((((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_45))->BgL_transactionz00)=((bool_t)((bool_t)1)),BUNSPEC); } 
BGL_EXITD_POP_PROTECT(BgL_top2987z00_4579); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2sqltinyzd2mutexza2zd2zz__sqlite_enginez00); BgL_tmp2986z00_4578; } } 
return BFALSE;} 

}



/* &sqltiny-begin-transaction! */
obj_t BGl_z62sqltinyzd2beginzd2transactionz12z70zz__sqlite_enginez00(obj_t BgL_envz00_2981, obj_t BgL_objz00_2982, obj_t BgL_builtinz00_2983)
{
{ /* Llib/engine.scm 359 */
{ /* Llib/engine.scm 368 */
 BgL_z42sqltinyz42_bglt BgL_auxz00_4608;
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_2983, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 368 */
BgL_auxz00_4608 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_2983)
; }  else 
{ 
 obj_t BgL_auxz00_4612;
BgL_auxz00_4612 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)13985)), BGl_string2792z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_2983); 
FAILURE(BgL_auxz00_4612,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2beginzd2transactionz12z12zz__sqlite_enginez00(BgL_objz00_2982, BgL_auxz00_4608);} } 

}



/* sqltiny-end-transaction! */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2endzd2transactionz12z12zz__sqlite_enginez00(obj_t BgL_objz00_46, BgL_z42sqltinyz42_bglt BgL_builtinz00_47)
{
{ /* Llib/engine.scm 374 */
{ /* Llib/engine.scm 375 */
 obj_t BgL_top2991z00_4618;
BgL_top2991z00_4618 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2sqltinyzd2mutexza2zd2zz__sqlite_enginez00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2991z00_4618, BGl_za2sqltinyzd2mutexza2zd2zz__sqlite_enginez00); BUNSPEC; 
{ /* Llib/engine.scm 375 */
 obj_t BgL_tmp2990z00_4617;
if(
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_47))->BgL_transactionz00))
{ /* Llib/engine.scm 377 */
BgL_tmp2990z00_4617 = 
((((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_47))->BgL_transactionz00)=((bool_t)((bool_t)0)),BUNSPEC); }  else 
{ /* Llib/engine.scm 379 */
 BgL_z62errorz62_bglt BgL_arg1988z00_647;
{ /* Llib/engine.scm 379 */
 BgL_z62errorz62_bglt BgL_new1119z00_648;
{ /* Llib/engine.scm 379 */
 BgL_z62errorz62_bglt BgL_new1118z00_652;
BgL_new1118z00_652 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 379 */
 long BgL_arg1992z00_653;
BgL_arg1992z00_653 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_652), BgL_arg1992z00_653); } 
BgL_new1119z00_648 = BgL_new1118z00_652; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_648)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_648)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4633;
{ /* Llib/engine.scm 379 */
 obj_t BgL_arg1989z00_649;
{ /* Llib/engine.scm 379 */
 obj_t BgL_arg1990z00_650;
{ /* Llib/engine.scm 379 */
 obj_t BgL_classz00_2209;
BgL_classz00_2209 = BGl_z62errorz62zz__objectz00; 
BgL_arg1990z00_650 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2209); } 
BgL_arg1989z00_649 = 
VECTOR_REF(BgL_arg1990z00_650,((long)2)); } 
BgL_auxz00_4633 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1989z00_649); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_648)))->BgL_stackz00)=((obj_t)BgL_auxz00_4633),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1119z00_648))->BgL_procz00)=((obj_t)BGl_string2793z00zz__sqlite_enginez00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1119z00_648))->BgL_msgz00)=((obj_t)
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2794z00zz__sqlite_enginez00, BNIL)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1119z00_648))->BgL_objz00)=((obj_t)BgL_objz00_46),BUNSPEC); 
BgL_arg1988z00_647 = BgL_new1119z00_648; } 
BgL_tmp2990z00_4617 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1988z00_647)); } 
BGL_EXITD_POP_PROTECT(BgL_top2991z00_4618); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2sqltinyzd2mutexza2zd2zz__sqlite_enginez00); BgL_tmp2990z00_4617; } } 
return BFALSE;} 

}



/* &sqltiny-end-transaction! */
obj_t BGl_z62sqltinyzd2endzd2transactionz12z70zz__sqlite_enginez00(obj_t BgL_envz00_2984, obj_t BgL_objz00_2985, obj_t BgL_builtinz00_2986)
{
{ /* Llib/engine.scm 374 */
{ /* Llib/engine.scm 383 */
 BgL_z42sqltinyz42_bglt BgL_auxz00_4647;
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_2986, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 383 */
BgL_auxz00_4647 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_2986)
; }  else 
{ 
 obj_t BgL_auxz00_4651;
BgL_auxz00_4651 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)14579)), BGl_string2795z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_2986); 
FAILURE(BgL_auxz00_4651,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2endzd2transactionz12z12zz__sqlite_enginez00(BgL_objz00_2985, BgL_auxz00_4647);} } 

}



/* sqltiny-select */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2selectzd2zz__sqlite_enginez00(obj_t BgL_objz00_48, BgL_z42sqltinyz42_bglt BgL_builtinz00_49, obj_t BgL_stmtz00_50)
{
{ /* Llib/engine.scm 389 */
{ /* Llib/engine.scm 390 */
 obj_t BgL_selectzd2czd2_654;
BgL_selectzd2czd2_654 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_stmtz00_50, BNIL, BgL_objz00_48, BgL_builtinz00_49); 
{ /* Llib/engine.scm 390 */
 obj_t BgL_rowsz00_655;
BgL_rowsz00_655 = 
PROCEDURE_ENTRY(BgL_selectzd2czd2_654)(BgL_selectzd2czd2_654, BNIL, BEOA); 
{ /* Llib/engine.scm 391 */

if(
NULLP(BgL_rowsz00_655))
{ /* Llib/engine.scm 392 */
return BNIL;}  else 
{ /* Llib/engine.scm 392 */
 obj_t BgL_head1256z00_658;
BgL_head1256z00_658 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1254z00_660; obj_t BgL_tail1257z00_661;
BgL_l1254z00_660 = BgL_rowsz00_655; 
BgL_tail1257z00_661 = BgL_head1256z00_658; 
BgL_zc3z04anonymousza31994ze3z87_662:
if(
NULLP(BgL_l1254z00_660))
{ /* Llib/engine.scm 392 */
return 
CDR(BgL_head1256z00_658);}  else 
{ /* Llib/engine.scm 392 */
 obj_t BgL_newtail1258z00_664;
{ /* Llib/engine.scm 392 */
 obj_t BgL_arg1997z00_666;
{ /* Llib/engine.scm 392 */
 obj_t BgL_rowz00_667;
BgL_rowz00_667 = 
CAR(
((obj_t)BgL_l1254z00_660)); 
{ 
 obj_t BgL_l1252z00_670;
BgL_l1252z00_670 = BgL_rowz00_667; 
BgL_zc3z04anonymousza31998ze3z87_671:
if(
NULLP(BgL_l1252z00_670))
{ /* Llib/engine.scm 393 */
BgL_arg1997z00_666 = BgL_rowz00_667; }  else 
{ /* Llib/engine.scm 393 */
{ /* Llib/engine.scm 393 */
 obj_t BgL_arg2000z00_673;
{ /* Llib/engine.scm 393 */
 obj_t BgL_vz00_674;
BgL_vz00_674 = 
CAR(
((obj_t)BgL_l1252z00_670)); 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_674))
{ /* Llib/engine.scm 393 */

BgL_arg2000z00_673 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_vz00_674), ((long)10)); }  else 
{ /* Llib/engine.scm 393 */
BgL_arg2000z00_673 = BgL_vz00_674; } } 
{ /* Llib/engine.scm 393 */
 obj_t BgL_tmpz00_4677;
BgL_tmpz00_4677 = 
((obj_t)BgL_l1252z00_670); 
SET_CAR(BgL_tmpz00_4677, BgL_arg2000z00_673); } } 
{ /* Llib/engine.scm 393 */
 obj_t BgL_arg2002z00_678;
BgL_arg2002z00_678 = 
CDR(
((obj_t)BgL_l1252z00_670)); 
{ 
 obj_t BgL_l1252z00_4682;
BgL_l1252z00_4682 = BgL_arg2002z00_678; 
BgL_l1252z00_670 = BgL_l1252z00_4682; 
goto BgL_zc3z04anonymousza31998ze3z87_671;} } } } } 
BgL_newtail1258z00_664 = 
MAKE_YOUNG_PAIR(BgL_arg1997z00_666, BNIL); } 
SET_CDR(BgL_tail1257z00_661, BgL_newtail1258z00_664); 
{ /* Llib/engine.scm 392 */
 obj_t BgL_arg1996z00_665;
BgL_arg1996z00_665 = 
CDR(
((obj_t)BgL_l1254z00_660)); 
{ 
 obj_t BgL_tail1257z00_4688; obj_t BgL_l1254z00_4687;
BgL_l1254z00_4687 = BgL_arg1996z00_665; 
BgL_tail1257z00_4688 = BgL_newtail1258z00_664; 
BgL_tail1257z00_661 = BgL_tail1257z00_4688; 
BgL_l1254z00_660 = BgL_l1254z00_4687; 
goto BgL_zc3z04anonymousza31994ze3z87_662;} } } } } } } } } 

}



/* &sqltiny-select */
obj_t BGl_z62sqltinyzd2selectzb0zz__sqlite_enginez00(obj_t BgL_envz00_2987, obj_t BgL_objz00_2988, obj_t BgL_builtinz00_2989, obj_t BgL_stmtz00_2990)
{
{ /* Llib/engine.scm 389 */
{ /* Llib/engine.scm 390 */
 obj_t BgL_auxz00_4697; BgL_z42sqltinyz42_bglt BgL_auxz00_4689;
if(
PAIRP(BgL_stmtz00_2990))
{ /* Llib/engine.scm 390 */
BgL_auxz00_4697 = BgL_stmtz00_2990
; }  else 
{ 
 obj_t BgL_auxz00_4700;
BgL_auxz00_4700 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)14856)), BGl_string2796z00zz__sqlite_enginez00, BGl_string2797z00zz__sqlite_enginez00, BgL_stmtz00_2990); 
FAILURE(BgL_auxz00_4700,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_2989, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 390 */
BgL_auxz00_4689 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_2989)
; }  else 
{ 
 obj_t BgL_auxz00_4693;
BgL_auxz00_4693 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)14856)), BGl_string2796z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_2989); 
FAILURE(BgL_auxz00_4693,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2selectzd2zz__sqlite_enginez00(BgL_objz00_2988, BgL_auxz00_4689, BgL_auxz00_4697);} } 

}



/* sqltiny-update */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2updatezd2zz__sqlite_enginez00(obj_t BgL_objz00_51, BgL_z42sqltinyz42_bglt BgL_builtinz00_52, obj_t BgL_tablezd2namezd2_53, obj_t BgL_stmtz00_54, obj_t BgL_assignmentsz00_55)
{
{ /* Llib/engine.scm 399 */
{ /* Llib/engine.scm 400 */
 obj_t BgL_selectzd2czd2_681;
BgL_selectzd2czd2_681 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_stmtz00_54, BNIL, BgL_objz00_51, BgL_builtinz00_52); 
{ /* Llib/engine.scm 400 */
 obj_t BgL_rowsz00_682;
BgL_rowsz00_682 = 
PROCEDURE_ENTRY(BgL_selectzd2czd2_681)(BgL_selectzd2czd2_681, BNIL, BEOA); 
{ /* Llib/engine.scm 401 */
 obj_t BgL_tblz00_683;
BgL_tblz00_683 = 
BGl_sqltinyzd2getzd2tablez00zz__sqlite_enginez00(BgL_builtinz00_52, BgL_tablezd2namezd2_53); 
{ /* Llib/engine.scm 402 */

if(
CBOOL(BgL_tblz00_683))
{ /* Llib/engine.scm 403 */BFALSE; }  else 
{ /* Llib/engine.scm 405 */
 BgL_z62errorz62_bglt BgL_arg2003z00_684;
{ /* Llib/engine.scm 405 */
 BgL_z62errorz62_bglt BgL_new1121z00_685;
{ /* Llib/engine.scm 405 */
 BgL_z62errorz62_bglt BgL_new1120z00_689;
BgL_new1120z00_689 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 405 */
 long BgL_arg2007z00_690;
BgL_arg2007z00_690 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_689), BgL_arg2007z00_690); } 
BgL_new1121z00_685 = BgL_new1120z00_689; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1121z00_685)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1121z00_685)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4721;
{ /* Llib/engine.scm 405 */
 obj_t BgL_arg2004z00_686;
{ /* Llib/engine.scm 405 */
 obj_t BgL_arg2005z00_687;
{ /* Llib/engine.scm 405 */
 obj_t BgL_classz00_2221;
BgL_classz00_2221 = BGl_z62errorz62zz__objectz00; 
BgL_arg2005z00_687 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2221); } 
BgL_arg2004z00_686 = 
VECTOR_REF(BgL_arg2005z00_687,((long)2)); } 
BgL_auxz00_4721 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2004z00_686); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1121z00_685)))->BgL_stackz00)=((obj_t)BgL_auxz00_4721),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1121z00_685))->BgL_procz00)=((obj_t)BGl_string2798z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4728;
{ /* Llib/engine.scm 407 */
 obj_t BgL_list2006z00_688;
BgL_list2006z00_688 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_53, BNIL); 
BgL_auxz00_4728 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2780z00zz__sqlite_enginez00, BgL_list2006z00_688); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1121z00_685))->BgL_msgz00)=((obj_t)BgL_auxz00_4728),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1121z00_685))->BgL_objz00)=((obj_t)BgL_objz00_51),BUNSPEC); 
BgL_arg2003z00_684 = BgL_new1121z00_685; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2003z00_684)); } 
{ 
 obj_t BgL_l1261z00_692;
BgL_l1261z00_692 = BgL_rowsz00_682; 
BgL_zc3z04anonymousza32008ze3z87_693:
if(
PAIRP(BgL_l1261z00_692))
{ /* Llib/engine.scm 409 */
{ /* Llib/engine.scm 410 */
 obj_t BgL_rowz00_695;
BgL_rowz00_695 = 
CAR(BgL_l1261z00_692); 
{ 
 obj_t BgL_l1259z00_697;
BgL_l1259z00_697 = BgL_assignmentsz00_55; 
BgL_zc3z04anonymousza32010ze3z87_698:
if(
PAIRP(BgL_l1259z00_697))
{ /* Llib/engine.scm 410 */
{ /* Llib/engine.scm 411 */
 obj_t BgL_az00_700;
BgL_az00_700 = 
CAR(BgL_l1259z00_697); 
{ /* Llib/engine.scm 411 */
 obj_t BgL_oz00_701;
{ /* Llib/engine.scm 411 */
 obj_t BgL_arg2013z00_703;
BgL_arg2013z00_703 = 
CAR(
((obj_t)BgL_az00_700)); 
BgL_oz00_701 = 
BGl_columnzd2offsetzd2zz__sqlite_enginez00(BgL_objz00_51, BgL_tblz00_683, BgL_arg2013z00_703); } 
{ /* Llib/engine.scm 412 */
 obj_t BgL_arg2012z00_702;
BgL_arg2012z00_702 = 
CDR(
((obj_t)BgL_az00_700)); 
{ /* Llib/engine.scm 412 */
 long BgL_kz00_2228;
BgL_kz00_2228 = 
(long)CINT(BgL_oz00_701); 
VECTOR_SET(
((obj_t)BgL_rowz00_695),BgL_kz00_2228,BgL_arg2012z00_702); } } } } 
{ 
 obj_t BgL_l1259z00_4749;
BgL_l1259z00_4749 = 
CDR(BgL_l1259z00_697); 
BgL_l1259z00_697 = BgL_l1259z00_4749; 
goto BgL_zc3z04anonymousza32010ze3z87_698;} }  else 
{ /* Llib/engine.scm 410 */((bool_t)1); } } } 
{ 
 obj_t BgL_l1261z00_4751;
BgL_l1261z00_4751 = 
CDR(BgL_l1261z00_692); 
BgL_l1261z00_692 = BgL_l1261z00_4751; 
goto BgL_zc3z04anonymousza32008ze3z87_693;} }  else 
{ /* Llib/engine.scm 409 */((bool_t)1); } } 
if(
(
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_52))->BgL_syncz00)==
CNST_TABLE_REF(((long)3))))
{ /* Llib/engine.scm 416 */BFALSE; }  else 
{ /* Llib/engine.scm 417 */
 obj_t BgL_mutex2018z00_711;
BgL_mutex2018z00_711 = 
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_52))->BgL_mutexz00); 
{ /* Llib/engine.scm 417 */
 obj_t BgL_top3005z00_4759;
BgL_top3005z00_4759 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex2018z00_711); 
BGL_EXITD_PUSH_PROTECT(BgL_top3005z00_4759, BgL_mutex2018z00_711); BUNSPEC; 
{ /* Llib/engine.scm 417 */
 obj_t BgL_tmp3004z00_4758;
BgL_tmp3004z00_4758 = 
BGl_z52sqltinyzd2flushz80zz__sqlite_enginez00(BgL_objz00_51, BgL_builtinz00_52); 
BGL_EXITD_POP_PROTECT(BgL_top3005z00_4759); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex2018z00_711); BgL_tmp3004z00_4758; } } } 
return BNIL;} } } } } 

}



/* &sqltiny-update */
obj_t BGl_z62sqltinyzd2updatezb0zz__sqlite_enginez00(obj_t BgL_envz00_2991, obj_t BgL_objz00_2992, obj_t BgL_builtinz00_2993, obj_t BgL_tablezd2namezd2_2994, obj_t BgL_stmtz00_2995, obj_t BgL_assignmentsz00_2996)
{
{ /* Llib/engine.scm 399 */
{ /* Llib/engine.scm 400 */
 obj_t BgL_auxz00_4788; obj_t BgL_auxz00_4781; obj_t BgL_auxz00_4774; BgL_z42sqltinyz42_bglt BgL_auxz00_4766;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_assignmentsz00_2996))
{ /* Llib/engine.scm 400 */
BgL_auxz00_4788 = BgL_assignmentsz00_2996
; }  else 
{ 
 obj_t BgL_auxz00_4791;
BgL_auxz00_4791 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)15336)), BGl_string2799z00zz__sqlite_enginez00, BGl_string2770z00zz__sqlite_enginez00, BgL_assignmentsz00_2996); 
FAILURE(BgL_auxz00_4791,BFALSE,BFALSE);} 
if(
PAIRP(BgL_stmtz00_2995))
{ /* Llib/engine.scm 400 */
BgL_auxz00_4781 = BgL_stmtz00_2995
; }  else 
{ 
 obj_t BgL_auxz00_4784;
BgL_auxz00_4784 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)15336)), BGl_string2799z00zz__sqlite_enginez00, BGl_string2797z00zz__sqlite_enginez00, BgL_stmtz00_2995); 
FAILURE(BgL_auxz00_4784,BFALSE,BFALSE);} 
if(
STRINGP(BgL_tablezd2namezd2_2994))
{ /* Llib/engine.scm 400 */
BgL_auxz00_4774 = BgL_tablezd2namezd2_2994
; }  else 
{ 
 obj_t BgL_auxz00_4777;
BgL_auxz00_4777 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)15336)), BGl_string2799z00zz__sqlite_enginez00, BGl_string2769z00zz__sqlite_enginez00, BgL_tablezd2namezd2_2994); 
FAILURE(BgL_auxz00_4777,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_2993, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 400 */
BgL_auxz00_4766 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_2993)
; }  else 
{ 
 obj_t BgL_auxz00_4770;
BgL_auxz00_4770 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)15336)), BGl_string2799z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_2993); 
FAILURE(BgL_auxz00_4770,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2updatezd2zz__sqlite_enginez00(BgL_objz00_2992, BgL_auxz00_4766, BgL_auxz00_4774, BgL_auxz00_4781, BgL_auxz00_4788);} } 

}



/* compile-select */
obj_t BGl_compilezd2selectzd2zz__sqlite_enginez00(obj_t BgL_tnamesz00_56, obj_t BgL_resultz00_57, obj_t BgL_wherez00_58, obj_t BgL_groupz00_59, obj_t BgL_orderbyz00_60, obj_t BgL_distinctz00_61, obj_t BgL_limitz00_62, obj_t BgL_envz00_63, obj_t BgL_objz00_64, BgL_z42sqltinyz42_bglt BgL_builtinz00_65)
{
{ /* Llib/engine.scm 424 */
{ /* Llib/engine.scm 426 */
 obj_t BgL_framez00_713;
if(
NULLP(BgL_tnamesz00_56))
{ /* Llib/engine.scm 426 */
BgL_framez00_713 = BNIL; }  else 
{ /* Llib/engine.scm 426 */
 obj_t BgL_head1265z00_855;
BgL_head1265z00_855 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1263z00_857; obj_t BgL_tail1266z00_858;
BgL_l1263z00_857 = BgL_tnamesz00_56; 
BgL_tail1266z00_858 = BgL_head1265z00_855; 
BgL_zc3z04anonymousza32085ze3z87_859:
if(
NULLP(BgL_l1263z00_857))
{ /* Llib/engine.scm 426 */
BgL_framez00_713 = 
CDR(BgL_head1265z00_855); }  else 
{ /* Llib/engine.scm 426 */
 obj_t BgL_newtail1267z00_861;
{ /* Llib/engine.scm 426 */
 obj_t BgL_arg2088z00_863;
{ /* Llib/engine.scm 426 */
 obj_t BgL_tz00_864;
BgL_tz00_864 = 
CAR(
((obj_t)BgL_l1263z00_857)); 
BgL_arg2088z00_863 = 
BGl_makezd2selectzd2framez00zz__sqlite_enginez00(BgL_tz00_864, BgL_objz00_64, BgL_builtinz00_65); } 
BgL_newtail1267z00_861 = 
MAKE_YOUNG_PAIR(BgL_arg2088z00_863, BNIL); } 
SET_CDR(BgL_tail1266z00_858, BgL_newtail1267z00_861); 
{ /* Llib/engine.scm 426 */
 obj_t BgL_arg2087z00_862;
BgL_arg2087z00_862 = 
CDR(
((obj_t)BgL_l1263z00_857)); 
{ 
 obj_t BgL_tail1266z00_4810; obj_t BgL_l1263z00_4809;
BgL_l1263z00_4809 = BgL_arg2087z00_862; 
BgL_tail1266z00_4810 = BgL_newtail1267z00_861; 
BgL_tail1266z00_858 = BgL_tail1266z00_4810; 
BgL_l1263z00_857 = BgL_l1263z00_4809; 
goto BgL_zc3z04anonymousza32085ze3z87_859;} } } } } 
{ /* Llib/engine.scm 426 */
 obj_t BgL_nenvz00_714;
BgL_nenvz00_714 = 
BGl_appendzd221010zd2zz__sqlite_enginez00(BgL_framez00_713, BgL_envz00_63); 
{ /* Llib/engine.scm 427 */
 obj_t BgL_tablez00_715;
{ /* Llib/engine.scm 428 */
 obj_t BgL_arg2078z00_838;
if(
NULLP(BgL_framez00_713))
{ /* Llib/engine.scm 428 */
BgL_arg2078z00_838 = BNIL; }  else 
{ /* Llib/engine.scm 428 */
 obj_t BgL_head1270z00_841;
BgL_head1270z00_841 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1268z00_843; obj_t BgL_tail1271z00_844;
BgL_l1268z00_843 = BgL_framez00_713; 
BgL_tail1271z00_844 = BgL_head1270z00_841; 
BgL_zc3z04anonymousza32080ze3z87_845:
if(
NULLP(BgL_l1268z00_843))
{ /* Llib/engine.scm 428 */
BgL_arg2078z00_838 = 
CDR(BgL_head1270z00_841); }  else 
{ /* Llib/engine.scm 428 */
 obj_t BgL_newtail1272z00_847;
{ /* Llib/engine.scm 428 */
 obj_t BgL_arg2083z00_849;
{ 
 BgL_z42sqltinyzd2tablez90_bglt BgL_auxz00_4818;
{ /* Llib/engine.scm 429 */
 obj_t BgL_pairz00_2237;
BgL_pairz00_2237 = 
CAR(
((obj_t)BgL_l1268z00_843)); 
BgL_auxz00_4818 = 
((BgL_z42sqltinyzd2tablez90_bglt)
CDR(BgL_pairz00_2237)); } 
BgL_arg2083z00_849 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_auxz00_4818))->BgL_rowsz00); } 
BgL_newtail1272z00_847 = 
MAKE_YOUNG_PAIR(BgL_arg2083z00_849, BNIL); } 
SET_CDR(BgL_tail1271z00_844, BgL_newtail1272z00_847); 
{ /* Llib/engine.scm 428 */
 obj_t BgL_arg2082z00_848;
BgL_arg2082z00_848 = 
CDR(
((obj_t)BgL_l1268z00_843)); 
{ 
 obj_t BgL_tail1271z00_4829; obj_t BgL_l1268z00_4828;
BgL_l1268z00_4828 = BgL_arg2082z00_848; 
BgL_tail1271z00_4829 = BgL_newtail1272z00_847; 
BgL_tail1271z00_844 = BgL_tail1271z00_4829; 
BgL_l1268z00_843 = BgL_l1268z00_4828; 
goto BgL_zc3z04anonymousza32080ze3z87_845;} } } } } 
BgL_tablez00_715 = 
BGl_prodz00zz__sqlite_enginez00(BgL_arg2078z00_838); } 
{ /* Llib/engine.scm 428 */
 obj_t BgL_wherezd2czd2_716;
BgL_wherezd2czd2_716 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_wherez00_58, BgL_nenvz00_714, BgL_objz00_64, BgL_builtinz00_65); 
{ /* Llib/engine.scm 432 */
 obj_t BgL_groupzd2czd2_717;
if(
NULLP(BgL_groupz00_59))
{ /* Llib/engine.scm 433 */
BgL_groupzd2czd2_717 = BNIL; }  else 
{ /* Llib/engine.scm 433 */
 obj_t BgL_head1275z00_827;
BgL_head1275z00_827 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1273z00_829; obj_t BgL_tail1276z00_830;
BgL_l1273z00_829 = BgL_groupz00_59; 
BgL_tail1276z00_830 = BgL_head1275z00_827; 
BgL_zc3z04anonymousza32074ze3z87_831:
if(
NULLP(BgL_l1273z00_829))
{ /* Llib/engine.scm 433 */
BgL_groupzd2czd2_717 = 
CDR(BgL_head1275z00_827); }  else 
{ /* Llib/engine.scm 433 */
 obj_t BgL_newtail1277z00_833;
{ /* Llib/engine.scm 433 */
 obj_t BgL_arg2077z00_835;
{ /* Llib/engine.scm 433 */
 obj_t BgL_gz00_836;
BgL_gz00_836 = 
CAR(
((obj_t)BgL_l1273z00_829)); 
BgL_arg2077z00_835 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_gz00_836, BgL_nenvz00_714, BgL_objz00_64, BgL_builtinz00_65); } 
BgL_newtail1277z00_833 = 
MAKE_YOUNG_PAIR(BgL_arg2077z00_835, BNIL); } 
SET_CDR(BgL_tail1276z00_830, BgL_newtail1277z00_833); 
{ /* Llib/engine.scm 433 */
 obj_t BgL_arg2076z00_834;
BgL_arg2076z00_834 = 
CDR(
((obj_t)BgL_l1273z00_829)); 
{ 
 obj_t BgL_tail1276z00_4846; obj_t BgL_l1273z00_4845;
BgL_l1273z00_4845 = BgL_arg2076z00_834; 
BgL_tail1276z00_4846 = BgL_newtail1277z00_833; 
BgL_tail1276z00_830 = BgL_tail1276z00_4846; 
BgL_l1273z00_829 = BgL_l1273z00_4845; 
goto BgL_zc3z04anonymousza32074ze3z87_831;} } } } } 
{ /* Llib/engine.scm 433 */
 obj_t BgL_orderzd2czd2_718;
BgL_orderzd2czd2_718 = 
BGl_compilezd2orderzd2byz00zz__sqlite_enginez00(BgL_orderbyz00_60, BgL_nenvz00_714, BgL_objz00_64, BgL_builtinz00_65); 
{ /* Llib/engine.scm 434 */
 obj_t BgL_rowszd2ze3groupsz31_719;
{ /* Llib/engine.scm 436 */
 bool_t BgL_test3016z00_4848;
if(
NULLP(BgL_groupz00_59))
{ /* Llib/engine.scm 436 */
BgL_test3016z00_4848 = 
NULLP(BgL_orderbyz00_60)
; }  else 
{ /* Llib/engine.scm 436 */
BgL_test3016z00_4848 = ((bool_t)0)
; } 
if(BgL_test3016z00_4848)
{ /* Llib/engine.scm 436 */
BgL_rowszd2ze3groupsz31_719 = BGl_proc2800z00zz__sqlite_enginez00; }  else 
{ /* Llib/engine.scm 436 */
if(
NULLP(BgL_groupz00_59))
{ /* Llib/engine.scm 440 */
 obj_t BgL_zc3z04anonymousza32062ze3z87_3008;
{ 
 int BgL_tmpz00_4854;
BgL_tmpz00_4854 = 
(int)(((long)1)); 
BgL_zc3z04anonymousza32062ze3z87_3008 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza32062ze3ze5zz__sqlite_enginez00, BgL_tmpz00_4854); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32062ze3z87_3008, 
(int)(((long)0)), BgL_orderzd2czd2_718); 
BgL_rowszd2ze3groupsz31_719 = BgL_zc3z04anonymousza32062ze3z87_3008; }  else 
{ /* Llib/engine.scm 439 */
if(
NULLP(BgL_orderbyz00_60))
{ /* Llib/engine.scm 443 */
 obj_t BgL_zc3z04anonymousza32066ze3z87_3009;
{ 
 int BgL_tmpz00_4861;
BgL_tmpz00_4861 = 
(int)(((long)1)); 
BgL_zc3z04anonymousza32066ze3z87_3009 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza32066ze3ze5zz__sqlite_enginez00, BgL_tmpz00_4861); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32066ze3z87_3009, 
(int)(((long)0)), BgL_groupzd2czd2_717); 
BgL_rowszd2ze3groupsz31_719 = BgL_zc3z04anonymousza32066ze3z87_3009; }  else 
{ /* Llib/engine.scm 446 */
 obj_t BgL_zc3z04anonymousza32067ze3z87_3010;
{ 
 int BgL_tmpz00_4866;
BgL_tmpz00_4866 = 
(int)(((long)2)); 
BgL_zc3z04anonymousza32067ze3z87_3010 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza32067ze3ze5zz__sqlite_enginez00, BgL_tmpz00_4866); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32067ze3z87_3010, 
(int)(((long)0)), BgL_groupzd2czd2_717); 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32067ze3z87_3010, 
(int)(((long)1)), BgL_orderzd2czd2_718); 
BgL_rowszd2ze3groupsz31_719 = BgL_zc3z04anonymousza32067ze3z87_3010; } } } } 
{ /* Llib/engine.scm 435 */

{ /* Llib/engine.scm 449 */
 obj_t BgL_printzd2czd2_720;
BgL_printzd2czd2_720 = 
BGl_compilezd2selectzd2resultsz00zz__sqlite_enginez00(BgL_resultz00_57, BgL_nenvz00_714, BgL_objz00_64, BgL_builtinz00_65); 
{ /* Llib/engine.scm 450 */
 obj_t BgL_aggregationz00_721;
{ /* Llib/engine.scm 451 */
 obj_t BgL_tmpz00_2253;
{ /* Llib/engine.scm 451 */
 int BgL_tmpz00_4874;
BgL_tmpz00_4874 = 
(int)(((long)1)); 
BgL_tmpz00_2253 = 
BGL_MVALUES_VAL(BgL_tmpz00_4874); } 
{ /* Llib/engine.scm 451 */
 int BgL_tmpz00_4877;
BgL_tmpz00_4877 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_4877, BUNSPEC); } 
BgL_aggregationz00_721 = BgL_tmpz00_2253; } 
{ /* Llib/engine.scm 451 */
 obj_t BgL_grpszd2ze3resz31_722; obj_t BgL_limitz00_723;
if(
CBOOL(BgL_aggregationz00_721))
{ /* Llib/engine.scm 453 */
 obj_t BgL_zc3z04anonymousza32024ze3z87_3003;
{ 
 int BgL_tmpz00_4882;
BgL_tmpz00_4882 = 
(int)(((long)1)); 
BgL_zc3z04anonymousza32024ze3z87_3003 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza32024ze3ze5zz__sqlite_enginez00, BgL_tmpz00_4882); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32024ze3z87_3003, 
(int)(((long)0)), BgL_printzd2czd2_720); 
BgL_grpszd2ze3resz31_722 = BgL_zc3z04anonymousza32024ze3z87_3003; }  else 
{ /* Llib/engine.scm 452 */
if(
PAIRP(BgL_groupz00_59))
{ /* Llib/engine.scm 460 */
 obj_t BgL_zc3z04anonymousza32031ze3z87_3005;
{ 
 int BgL_tmpz00_4889;
BgL_tmpz00_4889 = 
(int)(((long)2)); 
BgL_zc3z04anonymousza32031ze3z87_3005 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza32031ze3ze5zz__sqlite_enginez00, BgL_tmpz00_4889); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32031ze3z87_3005, 
(int)(((long)0)), BgL_groupz00_59); 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32031ze3z87_3005, 
(int)(((long)1)), BgL_printzd2czd2_720); 
BgL_grpszd2ze3resz31_722 = BgL_zc3z04anonymousza32031ze3z87_3005; }  else 
{ /* Llib/engine.scm 467 */
 obj_t BgL_zc3z04anonymousza32037ze3z87_3006;
{ 
 int BgL_tmpz00_4896;
BgL_tmpz00_4896 = 
(int)(((long)2)); 
BgL_zc3z04anonymousza32037ze3z87_3006 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza32037ze3ze5zz__sqlite_enginez00, BgL_tmpz00_4896); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32037ze3z87_3006, 
(int)(((long)0)), BgL_groupz00_59); 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32037ze3z87_3006, 
(int)(((long)1)), BgL_printzd2czd2_720); 
BgL_grpszd2ze3resz31_722 = BgL_zc3z04anonymousza32037ze3z87_3006; } } 
{ 
 obj_t BgL_numz00_772; obj_t BgL_offsetz00_773; obj_t BgL_numz00_770;
if(
(BgL_limitz00_62==BFALSE))
{ /* Llib/engine.scm 472 */
BgL_limitz00_723 = BGl_proc2801z00zz__sqlite_enginez00; }  else 
{ /* Llib/engine.scm 472 */
if(
INTEGERP(BgL_limitz00_62))
{ /* Llib/engine.scm 472 */
BgL_numz00_770 = BgL_limitz00_62; 
{ /* Llib/engine.scm 477 */
 obj_t BgL_zc3z04anonymousza32049ze3z87_3001;
BgL_zc3z04anonymousza32049ze3z87_3001 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32049ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32049ze3z87_3001, 
(int)(((long)0)), BgL_numz00_770); 
BgL_limitz00_723 = BgL_zc3z04anonymousza32049ze3z87_3001; } }  else 
{ /* Llib/engine.scm 472 */
if(
PAIRP(BgL_limitz00_62))
{ /* Llib/engine.scm 472 */
BgL_numz00_772 = 
CAR(BgL_limitz00_62); 
BgL_offsetz00_773 = 
CDR(BgL_limitz00_62); 
{ /* Llib/engine.scm 483 */
 obj_t BgL_zc3z04anonymousza32051ze3z87_3000;
BgL_zc3z04anonymousza32051ze3z87_3000 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32051ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_3000, 
(int)(((long)0)), BgL_offsetz00_773); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_3000, 
(int)(((long)1)), BgL_numz00_772); 
BgL_limitz00_723 = BgL_zc3z04anonymousza32051ze3z87_3000; } }  else 
{ /* Llib/engine.scm 472 */
BgL_limitz00_723 = BFALSE; } } } } 
{ /* Llib/engine.scm 492 */
 obj_t BgL_zc3z04anonymousza32020ze3z87_2998;
BgL_zc3z04anonymousza32020ze3z87_2998 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32020ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32020ze3z87_2998, 
(int)(((long)0)), BgL_wherezd2czd2_716); 
PROCEDURE_SET(BgL_zc3z04anonymousza32020ze3z87_2998, 
(int)(((long)1)), BgL_tablez00_715); 
PROCEDURE_SET(BgL_zc3z04anonymousza32020ze3z87_2998, 
(int)(((long)2)), BgL_rowszd2ze3groupsz31_719); 
PROCEDURE_SET(BgL_zc3z04anonymousza32020ze3z87_2998, 
(int)(((long)3)), BgL_grpszd2ze3resz31_722); 
PROCEDURE_SET(BgL_zc3z04anonymousza32020ze3z87_2998, 
(int)(((long)4)), BgL_distinctz00_61); 
PROCEDURE_SET(BgL_zc3z04anonymousza32020ze3z87_2998, 
(int)(((long)5)), BgL_limitz00_723); 
return BgL_zc3z04anonymousza32020ze3z87_2998;} } } } } } } } } } } } } 

}



/* &<@anonymous:2020> */
obj_t BGl_z62zc3z04anonymousza32020ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3011, obj_t BgL_rowsz00_3018)
{
{ /* Llib/engine.scm 492 */
{ /* Llib/engine.scm 493 */
 obj_t BgL_wherezd2czd2_3012; obj_t BgL_tablez00_3013; obj_t BgL_rowszd2ze3groupsz31_3014; obj_t BgL_grpszd2ze3resz31_3015; obj_t BgL_distinctz00_3016; obj_t BgL_limitz00_3017;
BgL_wherezd2czd2_3012 = 
PROCEDURE_REF(BgL_envz00_3011, 
(int)(((long)0))); 
BgL_tablez00_3013 = 
PROCEDURE_REF(BgL_envz00_3011, 
(int)(((long)1))); 
BgL_rowszd2ze3groupsz31_3014 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3011, 
(int)(((long)2)))); 
BgL_grpszd2ze3resz31_3015 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3011, 
(int)(((long)3)))); 
BgL_distinctz00_3016 = 
PROCEDURE_REF(BgL_envz00_3011, 
(int)(((long)4))); 
BgL_limitz00_3017 = 
PROCEDURE_REF(BgL_envz00_3011, 
(int)(((long)5))); 
{ /* Llib/engine.scm 493 */
 obj_t BgL_rowsz00_3430;
{ /* Llib/engine.scm 494 */
 obj_t BgL_zc3z04anonymousza32022ze3z87_3431;
{ /* Llib/engine.scm 493 */
 int BgL_tmpz00_4952;
BgL_tmpz00_4952 = 
(int)(((long)2)); 
BgL_zc3z04anonymousza32022ze3z87_3431 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza32022ze3ze5zz__sqlite_enginez00, BgL_tmpz00_4952); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32022ze3z87_3431, 
(int)(((long)0)), BgL_rowsz00_3018); 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32022ze3z87_3431, 
(int)(((long)1)), BgL_wherezd2czd2_3012); 
BgL_rowsz00_3430 = 
BGl_filterzd2iterzd2zz__sqlite_enginez00(BgL_zc3z04anonymousza32022ze3z87_3431, BgL_tablez00_3013); } 
{ /* Llib/engine.scm 493 */
 obj_t BgL_groupsz00_3432;
BgL_groupsz00_3432 = 
PROCEDURE_L_ENTRY(BgL_rowszd2ze3groupsz31_3014)(BgL_rowszd2ze3groupsz31_3014, BgL_rowsz00_3430); 
{ /* Llib/engine.scm 496 */
 obj_t BgL_res0z00_3433;
BgL_res0z00_3433 = 
PROCEDURE_L_ENTRY(BgL_grpszd2ze3resz31_3015)(BgL_grpszd2ze3resz31_3015, BgL_groupsz00_3432); 
{ /* Llib/engine.scm 497 */
 obj_t BgL_res1z00_3434;
if(
CBOOL(BgL_distinctz00_3016))
{ /* Llib/engine.scm 498 */
BgL_res1z00_3434 = 
BGl_selectzd2distinguishzd2zz__sqlite_enginez00(BgL_res0z00_3433); }  else 
{ /* Llib/engine.scm 498 */
BgL_res1z00_3434 = BgL_res0z00_3433; } 
{ /* Llib/engine.scm 498 */

return 
PROCEDURE_ENTRY(BgL_limitz00_3017)(BgL_limitz00_3017, BgL_res1z00_3434, BEOA);} } } } } } } 

}



/* &<@anonymous:2022> */
obj_t BGl_z62zc3z04anonymousza32022ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3019, obj_t BgL_rz00_3022)
{
{ /* Llib/engine.scm 493 */
{ /* Llib/engine.scm 494 */
 obj_t BgL_rowsz00_3020; obj_t BgL_wherezd2czd2_3021;
BgL_rowsz00_3020 = 
PROCEDURE_L_REF(BgL_envz00_3019, 
(int)(((long)0))); 
BgL_wherezd2czd2_3021 = 
PROCEDURE_L_REF(BgL_envz00_3019, 
(int)(((long)1))); 
{ /* Llib/engine.scm 494 */
 obj_t BgL_arg2023z00_3435;
BgL_arg2023z00_3435 = 
BGl_appendzd221010zd2zz__sqlite_enginez00(BgL_rz00_3022, BgL_rowsz00_3020); 
return 
PROCEDURE_ENTRY(BgL_wherezd2czd2_3021)(BgL_wherezd2czd2_3021, BgL_arg2023z00_3435, BEOA);} } } 

}



/* &<@anonymous:2048> */
obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3023, obj_t BgL_rowsz00_3024)
{
{ /* Llib/engine.scm 474 */
return BgL_rowsz00_3024;} 

}



/* &<@anonymous:2051> */
obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3025, obj_t BgL_rowsz00_3028)
{
{ /* Llib/engine.scm 483 */
{ /* Llib/engine.scm 484 */
 obj_t BgL_offsetz00_3026; obj_t BgL_numz00_3027;
BgL_offsetz00_3026 = 
PROCEDURE_REF(BgL_envz00_3025, 
(int)(((long)0))); 
BgL_numz00_3027 = 
PROCEDURE_REF(BgL_envz00_3025, 
(int)(((long)1))); 
{ /* Llib/engine.scm 484 */
 long BgL_lenz00_3436;
BgL_lenz00_3436 = 
bgl_list_length(BgL_rowsz00_3028); 
if(
(
(long)CINT(BgL_offsetz00_3026)>BgL_lenz00_3436))
{ /* Llib/engine.scm 486 */
return BNIL;}  else 
{ /* Llib/engine.scm 486 */
if(
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_numz00_3027, BgL_offsetz00_3026), 
BINT(BgL_lenz00_3436)))
{ /* Llib/engine.scm 488 */
return 
BGl_dropz00zz__r4_pairs_and_lists_6_3z00(BgL_rowsz00_3028, 
(long)CINT(BgL_offsetz00_3026));}  else 
{ /* Llib/engine.scm 488 */
return 
BGl_takez00zz__r4_pairs_and_lists_6_3z00(
BGl_dropz00zz__r4_pairs_and_lists_6_3z00(BgL_rowsz00_3028, 
(long)CINT(BgL_offsetz00_3026)), 
(long)CINT(BgL_numz00_3027));} } } } } 

}



/* &<@anonymous:2049> */
obj_t BGl_z62zc3z04anonymousza32049ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3029, obj_t BgL_rowsz00_3031)
{
{ /* Llib/engine.scm 477 */
{ /* Llib/engine.scm 478 */
 obj_t BgL_numz00_3030;
BgL_numz00_3030 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3029, 
(int)(((long)0)))); 
if(
(
bgl_list_length(BgL_rowsz00_3031)>
(long)CINT(BgL_numz00_3030)))
{ /* Llib/engine.scm 479 */
return 
BGl_takez00zz__r4_pairs_and_lists_6_3z00(BgL_rowsz00_3031, 
(long)CINT(BgL_numz00_3030));}  else 
{ /* Llib/engine.scm 479 */
return BgL_rowsz00_3031;} } } 

}



/* &<@anonymous:2024> */
obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3032, obj_t BgL_groupsz00_3034)
{
{ /* Llib/engine.scm 453 */
{ /* Llib/engine.scm 455 */
 obj_t BgL_printzd2czd2_3033;
BgL_printzd2czd2_3033 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3032, 
(int)(((long)0)))); 
{ /* Llib/engine.scm 455 */
 obj_t BgL_zc3z04anonymousza32027ze3z87_3437;
BgL_zc3z04anonymousza32027ze3z87_3437 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32027ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32027ze3z87_3437, 
(int)(((long)0)), BgL_printzd2czd2_3033); 
{ /* Llib/engine.scm 454 */
 obj_t BgL_list2026z00_3438;
BgL_list2026z00_3438 = 
MAKE_YOUNG_PAIR(BgL_groupsz00_3034, BNIL); 
return 
BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(BgL_zc3z04anonymousza32027ze3z87_3437, BgL_list2026z00_3438);} } } } 

}



/* &<@anonymous:2027> */
obj_t BGl_z62zc3z04anonymousza32027ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3035, obj_t BgL_gz00_3037)
{
{ /* Llib/engine.scm 454 */
{ /* Llib/engine.scm 455 */
 obj_t BgL_printzd2czd2_3036;
BgL_printzd2czd2_3036 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3035, 
(int)(((long)0)))); 
if(
PAIRP(BgL_gz00_3037))
{ /* Llib/engine.scm 455 */
return 
BGl_zc3z04anonymousza32112ze3ze72z60zz__sqlite_enginez00(BgL_gz00_3037, 
CAR(BgL_gz00_3037), BgL_printzd2czd2_3036);}  else 
{ /* Llib/engine.scm 455 */
return BFALSE;} } } 

}



/* <@anonymous:2112>~2 */
obj_t BGl_zc3z04anonymousza32112ze3ze72z60zz__sqlite_enginez00(obj_t BgL_gz00_3251, obj_t BgL_arg2029z00_3250, obj_t BgL_l1294z00_2258)
{
{ /* Llib/engine.scm 536 */
if(
NULLP(BgL_l1294z00_2258))
{ /* Llib/engine.scm 536 */
return BNIL;}  else 
{ /* Llib/engine.scm 536 */
 obj_t BgL_arg2114z00_2260; obj_t BgL_arg2115z00_2261;
{ /* Llib/engine.scm 536 */
 obj_t BgL_pz00_2262;
BgL_pz00_2262 = 
CAR(
((obj_t)BgL_l1294z00_2258)); 
BgL_arg2114z00_2260 = 
PROCEDURE_ENTRY(BgL_pz00_2262)(BgL_pz00_2262, BgL_arg2029z00_3250, BgL_gz00_3251, BEOA); } 
{ /* Llib/engine.scm 536 */
 obj_t BgL_arg2116z00_2263;
BgL_arg2116z00_2263 = 
CDR(
((obj_t)BgL_l1294z00_2258)); 
BgL_arg2115z00_2261 = 
BGl_zc3z04anonymousza32112ze3ze72z60zz__sqlite_enginez00(BgL_gz00_3251, BgL_arg2029z00_3250, BgL_arg2116z00_2263); } 
return 
bgl_append2(BgL_arg2114z00_2260, BgL_arg2115z00_2261);} } 

}



/* &<@anonymous:2031> */
obj_t BGl_z62zc3z04anonymousza32031ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3038, obj_t BgL_groupsz00_3041)
{
{ /* Llib/engine.scm 460 */
{ /* Llib/engine.scm 462 */
 obj_t BgL_groupz00_3039; obj_t BgL_printzd2czd2_3040;
BgL_groupz00_3039 = 
PROCEDURE_L_REF(BgL_envz00_3038, 
(int)(((long)0))); 
BgL_printzd2czd2_3040 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3038, 
(int)(((long)1)))); 
{ /* Llib/engine.scm 462 */
 obj_t BgL_zc3z04anonymousza32034ze3z87_3439;
BgL_zc3z04anonymousza32034ze3z87_3439 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32034ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_3439, 
(int)(((long)0)), BgL_groupz00_3039); 
PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_3439, 
(int)(((long)1)), BgL_printzd2czd2_3040); 
{ /* Llib/engine.scm 461 */
 obj_t BgL_list2033z00_3440;
BgL_list2033z00_3440 = 
MAKE_YOUNG_PAIR(BgL_groupsz00_3041, BNIL); 
return 
BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(BgL_zc3z04anonymousza32034ze3z87_3439, BgL_list2033z00_3440);} } } } 

}



/* &<@anonymous:2034> */
obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3042, obj_t BgL_gz00_3045)
{
{ /* Llib/engine.scm 461 */
{ /* Llib/engine.scm 462 */
 obj_t BgL_groupz00_3043; obj_t BgL_printzd2czd2_3044;
BgL_groupz00_3043 = 
PROCEDURE_REF(BgL_envz00_3042, 
(int)(((long)0))); 
BgL_printzd2czd2_3044 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3042, 
(int)(((long)1)))); 
if(
PAIRP(BgL_gz00_3045))
{ /* Llib/engine.scm 462 */
return 
BGl_zc3z04anonymousza32112ze3ze71z60zz__sqlite_enginez00(BgL_groupz00_3043, 
CAR(BgL_gz00_3045), BgL_printzd2czd2_3044);}  else 
{ /* Llib/engine.scm 462 */
return BFALSE;} } } 

}



/* <@anonymous:2112>~1 */
obj_t BGl_zc3z04anonymousza32112ze3ze71z60zz__sqlite_enginez00(obj_t BgL_groupz00_3249, obj_t BgL_arg2036z00_3248, obj_t BgL_l1294z00_2270)
{
{ /* Llib/engine.scm 536 */
if(
NULLP(BgL_l1294z00_2270))
{ /* Llib/engine.scm 536 */
return BNIL;}  else 
{ /* Llib/engine.scm 536 */
 obj_t BgL_arg2114z00_2272; obj_t BgL_arg2115z00_2273;
{ /* Llib/engine.scm 536 */
 obj_t BgL_pz00_2274;
BgL_pz00_2274 = 
CAR(
((obj_t)BgL_l1294z00_2270)); 
BgL_arg2114z00_2272 = 
PROCEDURE_ENTRY(BgL_pz00_2274)(BgL_pz00_2274, BgL_arg2036z00_3248, BgL_groupz00_3249, BEOA); } 
{ /* Llib/engine.scm 536 */
 obj_t BgL_arg2116z00_2275;
BgL_arg2116z00_2275 = 
CDR(
((obj_t)BgL_l1294z00_2270)); 
BgL_arg2115z00_2273 = 
BGl_zc3z04anonymousza32112ze3ze71z60zz__sqlite_enginez00(BgL_groupz00_3249, BgL_arg2036z00_3248, BgL_arg2116z00_2275); } 
return 
bgl_append2(BgL_arg2114z00_2272, BgL_arg2115z00_2273);} } 

}



/* &<@anonymous:2037> */
obj_t BGl_z62zc3z04anonymousza32037ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3046, obj_t BgL_groupsz00_3049)
{
{ /* Llib/engine.scm 467 */
{ /* Llib/engine.scm 468 */
 obj_t BgL_groupz00_3047; obj_t BgL_printzd2czd2_3048;
BgL_groupz00_3047 = 
PROCEDURE_L_REF(BgL_envz00_3046, 
(int)(((long)0))); 
BgL_printzd2czd2_3048 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3046, 
(int)(((long)1)))); 
{ /* Llib/engine.scm 468 */
 obj_t BgL_l1283z00_3441;
BgL_l1283z00_3441 = 
CAR(
((obj_t)BgL_groupsz00_3049)); 
if(
NULLP(BgL_l1283z00_3441))
{ /* Llib/engine.scm 468 */
return BNIL;}  else 
{ /* Llib/engine.scm 468 */
 obj_t BgL_head1285z00_3442;
BgL_head1285z00_3442 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1283z00_3444; obj_t BgL_tail1286z00_3445;
BgL_l1283z00_3444 = BgL_l1283z00_3441; 
BgL_tail1286z00_3445 = BgL_head1285z00_3442; 
BgL_zc3z04anonymousza32039ze3z87_3443:
if(
NULLP(BgL_l1283z00_3444))
{ /* Llib/engine.scm 468 */
return 
CDR(BgL_head1285z00_3442);}  else 
{ /* Llib/engine.scm 468 */
 obj_t BgL_newtail1287z00_3446;
{ /* Llib/engine.scm 468 */
 obj_t BgL_arg2042z00_3447;
{ /* Llib/engine.scm 468 */
 obj_t BgL_rz00_3448;
BgL_rz00_3448 = 
CAR(
((obj_t)BgL_l1283z00_3444)); 
BgL_arg2042z00_3447 = 
BGl_zc3z04anonymousza32112ze3ze70z60zz__sqlite_enginez00(BgL_groupz00_3047, BgL_rz00_3448, BgL_printzd2czd2_3048); } 
BgL_newtail1287z00_3446 = 
MAKE_YOUNG_PAIR(BgL_arg2042z00_3447, BNIL); } 
SET_CDR(BgL_tail1286z00_3445, BgL_newtail1287z00_3446); 
{ /* Llib/engine.scm 468 */
 obj_t BgL_arg2041z00_3449;
BgL_arg2041z00_3449 = 
CDR(
((obj_t)BgL_l1283z00_3444)); 
{ 
 obj_t BgL_tail1286z00_5098; obj_t BgL_l1283z00_5097;
BgL_l1283z00_5097 = BgL_arg2041z00_3449; 
BgL_tail1286z00_5098 = BgL_newtail1287z00_3446; 
BgL_tail1286z00_3445 = BgL_tail1286z00_5098; 
BgL_l1283z00_3444 = BgL_l1283z00_5097; 
goto BgL_zc3z04anonymousza32039ze3z87_3443;} } } } } } } } 

}



/* <@anonymous:2112>~0 */
obj_t BGl_zc3z04anonymousza32112ze3ze70z60zz__sqlite_enginez00(obj_t BgL_groupz00_3247, obj_t BgL_rz00_3246, obj_t BgL_l1294z00_2282)
{
{ /* Llib/engine.scm 536 */
if(
NULLP(BgL_l1294z00_2282))
{ /* Llib/engine.scm 536 */
return BNIL;}  else 
{ /* Llib/engine.scm 536 */
 obj_t BgL_arg2114z00_2284; obj_t BgL_arg2115z00_2285;
{ /* Llib/engine.scm 536 */
 obj_t BgL_pz00_2286;
BgL_pz00_2286 = 
CAR(
((obj_t)BgL_l1294z00_2282)); 
BgL_arg2114z00_2284 = 
PROCEDURE_ENTRY(BgL_pz00_2286)(BgL_pz00_2286, BgL_rz00_3246, BgL_groupz00_3247, BEOA); } 
{ /* Llib/engine.scm 536 */
 obj_t BgL_arg2116z00_2287;
BgL_arg2116z00_2287 = 
CDR(
((obj_t)BgL_l1294z00_2282)); 
BgL_arg2115z00_2285 = 
BGl_zc3z04anonymousza32112ze3ze70z60zz__sqlite_enginez00(BgL_groupz00_3247, BgL_rz00_3246, BgL_arg2116z00_2287); } 
return 
bgl_append2(BgL_arg2114z00_2284, BgL_arg2115z00_2285);} } 

}



/* &<@anonymous:2059> */
obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3050, obj_t BgL_rowsz00_3051)
{
{ /* Llib/engine.scm 437 */
{ /* Llib/engine.scm 438 */
 obj_t BgL_res2824z00_3452;
{ /* Llib/engine.scm 438 */
 obj_t BgL_list2060z00_3451;
BgL_list2060z00_3451 = 
MAKE_YOUNG_PAIR(BgL_rowsz00_3051, BNIL); 
BgL_res2824z00_3452 = BgL_list2060z00_3451; } 
return BgL_res2824z00_3452;} } 

}



/* &<@anonymous:2062> */
obj_t BGl_z62zc3z04anonymousza32062ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3052, obj_t BgL_rowsz00_3054)
{
{ /* Llib/engine.scm 440 */
{ /* Llib/engine.scm 441 */
 obj_t BgL_orderzd2czd2_3053;
BgL_orderzd2czd2_3053 = 
PROCEDURE_L_REF(BgL_envz00_3052, 
(int)(((long)0))); 
{ /* Llib/engine.scm 441 */
 obj_t BgL_res2825z00_3456;
{ /* Llib/engine.scm 441 */
 obj_t BgL_arg2063z00_3454;
BgL_arg2063z00_3454 = 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_rowsz00_3054, BgL_orderzd2czd2_3053); 
{ /* Llib/engine.scm 441 */
 obj_t BgL_list2064z00_3455;
BgL_list2064z00_3455 = 
MAKE_YOUNG_PAIR(BgL_arg2063z00_3454, BNIL); 
BgL_res2825z00_3456 = BgL_list2064z00_3455; } } 
return BgL_res2825z00_3456;} } } 

}



/* &<@anonymous:2066> */
obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3055, obj_t BgL_rowsz00_3057)
{
{ /* Llib/engine.scm 443 */
return 
BGl_selectzd2groupzd2byz00zz__sqlite_enginez00(BgL_rowsz00_3057, 
PROCEDURE_L_REF(BgL_envz00_3055, 
(int)(((long)0))));} 

}



/* &<@anonymous:2067> */
obj_t BGl_z62zc3z04anonymousza32067ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3058, obj_t BgL_rowsz00_3061)
{
{ /* Llib/engine.scm 446 */
{ /* Llib/engine.scm 447 */
 obj_t BgL_groupzd2czd2_3059; obj_t BgL_orderzd2czd2_3060;
BgL_groupzd2czd2_3059 = 
PROCEDURE_L_REF(BgL_envz00_3058, 
(int)(((long)0))); 
BgL_orderzd2czd2_3060 = 
PROCEDURE_L_REF(BgL_envz00_3058, 
(int)(((long)1))); 
{ /* Llib/engine.scm 447 */
 obj_t BgL_gsz00_3459;
BgL_gsz00_3459 = 
BGl_selectzd2groupzd2byz00zz__sqlite_enginez00(BgL_rowsz00_3061, BgL_groupzd2czd2_3059); 
if(
NULLP(BgL_gsz00_3459))
{ /* Llib/engine.scm 448 */
return BNIL;}  else 
{ /* Llib/engine.scm 448 */
 obj_t BgL_head1280z00_3460;
BgL_head1280z00_3460 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1278z00_3462; obj_t BgL_tail1281z00_3463;
BgL_l1278z00_3462 = BgL_gsz00_3459; 
BgL_tail1281z00_3463 = BgL_head1280z00_3460; 
BgL_zc3z04anonymousza32069ze3z87_3461:
if(
NULLP(BgL_l1278z00_3462))
{ /* Llib/engine.scm 448 */
return 
CDR(BgL_head1280z00_3460);}  else 
{ /* Llib/engine.scm 448 */
 obj_t BgL_newtail1282z00_3464;
{ /* Llib/engine.scm 448 */
 obj_t BgL_arg2072z00_3465;
{ /* Llib/engine.scm 448 */
 obj_t BgL_gz00_3466;
BgL_gz00_3466 = 
CAR(
((obj_t)BgL_l1278z00_3462)); 
BgL_arg2072z00_3465 = 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_gz00_3466, BgL_orderzd2czd2_3060); } 
BgL_newtail1282z00_3464 = 
MAKE_YOUNG_PAIR(BgL_arg2072z00_3465, BNIL); } 
SET_CDR(BgL_tail1281z00_3463, BgL_newtail1282z00_3464); 
{ /* Llib/engine.scm 448 */
 obj_t BgL_arg2071z00_3467;
BgL_arg2071z00_3467 = 
CDR(
((obj_t)BgL_l1278z00_3462)); 
{ 
 obj_t BgL_tail1281z00_5139; obj_t BgL_l1278z00_5138;
BgL_l1278z00_5138 = BgL_arg2071z00_3467; 
BgL_tail1281z00_5139 = BgL_newtail1282z00_3464; 
BgL_tail1281z00_3463 = BgL_tail1281z00_5139; 
BgL_l1278z00_3462 = BgL_l1278z00_5138; 
goto BgL_zc3z04anonymousza32069ze3z87_3461;} } } } } } } } 

}



/* compile-update */
obj_t BGl_compilezd2updatezd2zz__sqlite_enginez00(obj_t BgL_tnamez00_66, obj_t BgL_wherez00_67, obj_t BgL_envz00_68, obj_t BgL_objz00_69, BgL_z42sqltinyz42_bglt BgL_builtinz00_70)
{
{ /* Llib/engine.scm 506 */
{ /* Llib/engine.scm 507 */
 obj_t BgL_framez00_866;
{ /* Llib/engine.scm 507 */
 obj_t BgL_arg2100z00_893;
{ /* Llib/engine.scm 507 */
 obj_t BgL_arg2102z00_895;
BgL_arg2102z00_895 = 
MAKE_YOUNG_PAIR(BgL_tnamez00_66, BgL_tnamez00_66); 
BgL_arg2100z00_893 = 
BGl_makezd2selectzd2framez00zz__sqlite_enginez00(BgL_arg2102z00_895, BgL_objz00_69, BgL_builtinz00_70); } 
{ /* Llib/engine.scm 507 */
 obj_t BgL_list2101z00_894;
BgL_list2101z00_894 = 
MAKE_YOUNG_PAIR(BgL_arg2100z00_893, BNIL); 
BgL_framez00_866 = BgL_list2101z00_894; } } 
{ /* Llib/engine.scm 507 */
 obj_t BgL_nenvz00_867;
BgL_nenvz00_867 = 
BGl_appendzd221010zd2zz__sqlite_enginez00(BgL_framez00_866, BgL_envz00_68); 
{ /* Llib/engine.scm 508 */
 obj_t BgL_tablez00_868;
{ /* Llib/engine.scm 509 */
 obj_t BgL_arg2094z00_878;
if(
NULLP(BgL_framez00_866))
{ /* Llib/engine.scm 509 */
BgL_arg2094z00_878 = BNIL; }  else 
{ /* Llib/engine.scm 509 */
 obj_t BgL_head1290z00_881;
BgL_head1290z00_881 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1288z00_883; obj_t BgL_tail1291z00_884;
BgL_l1288z00_883 = BgL_framez00_866; 
BgL_tail1291z00_884 = BgL_head1290z00_881; 
BgL_zc3z04anonymousza32096ze3z87_885:
if(
NULLP(BgL_l1288z00_883))
{ /* Llib/engine.scm 509 */
BgL_arg2094z00_878 = 
CDR(BgL_head1290z00_881); }  else 
{ /* Llib/engine.scm 509 */
 obj_t BgL_newtail1292z00_887;
{ /* Llib/engine.scm 509 */
 obj_t BgL_arg2099z00_889;
{ 
 BgL_z42sqltinyzd2tablez90_bglt BgL_auxz00_5150;
{ /* Llib/engine.scm 510 */
 obj_t BgL_pairz00_2308;
BgL_pairz00_2308 = 
CAR(
((obj_t)BgL_l1288z00_883)); 
BgL_auxz00_5150 = 
((BgL_z42sqltinyzd2tablez90_bglt)
CDR(BgL_pairz00_2308)); } 
BgL_arg2099z00_889 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_auxz00_5150))->BgL_rowsz00); } 
BgL_newtail1292z00_887 = 
MAKE_YOUNG_PAIR(BgL_arg2099z00_889, BNIL); } 
SET_CDR(BgL_tail1291z00_884, BgL_newtail1292z00_887); 
{ /* Llib/engine.scm 509 */
 obj_t BgL_arg2098z00_888;
BgL_arg2098z00_888 = 
CDR(
((obj_t)BgL_l1288z00_883)); 
{ 
 obj_t BgL_tail1291z00_5161; obj_t BgL_l1288z00_5160;
BgL_l1288z00_5160 = BgL_arg2098z00_888; 
BgL_tail1291z00_5161 = BgL_newtail1292z00_887; 
BgL_tail1291z00_884 = BgL_tail1291z00_5161; 
BgL_l1288z00_883 = BgL_l1288z00_5160; 
goto BgL_zc3z04anonymousza32096ze3z87_885;} } } } } 
BgL_tablez00_868 = 
BGl_prodz00zz__sqlite_enginez00(BgL_arg2094z00_878); } 
{ /* Llib/engine.scm 509 */
 obj_t BgL_wherezd2czd2_869;
BgL_wherezd2czd2_869 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_wherez00_67, BgL_nenvz00_867, BgL_objz00_69, BgL_builtinz00_70); 
{ /* Llib/engine.scm 513 */

{ /* Llib/engine.scm 514 */
 obj_t BgL_zc3z04anonymousza32089ze3z87_3063;
BgL_zc3z04anonymousza32089ze3z87_3063 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32089ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32089ze3z87_3063, 
(int)(((long)0)), BgL_wherezd2czd2_869); 
PROCEDURE_SET(BgL_zc3z04anonymousza32089ze3z87_3063, 
(int)(((long)1)), BgL_tablez00_868); 
return BgL_zc3z04anonymousza32089ze3z87_3063;} } } } } } } 

}



/* &<@anonymous:2089> */
obj_t BGl_z62zc3z04anonymousza32089ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3064, obj_t BgL_rowsz00_3067)
{
{ /* Llib/engine.scm 514 */
{ /* Llib/engine.scm 515 */
 obj_t BgL_wherezd2czd2_3065; obj_t BgL_tablez00_3066;
BgL_wherezd2czd2_3065 = 
PROCEDURE_REF(BgL_envz00_3064, 
(int)(((long)0))); 
BgL_tablez00_3066 = 
PROCEDURE_REF(BgL_envz00_3064, 
(int)(((long)1))); 
{ /* Llib/engine.scm 515 */
 obj_t BgL_runner2093z00_3468;
{ /* Llib/engine.scm 516 */
 obj_t BgL_zc3z04anonymousza32091ze3z87_3469;
{ /* Llib/engine.scm 515 */
 int BgL_tmpz00_5175;
BgL_tmpz00_5175 = 
(int)(((long)2)); 
BgL_zc3z04anonymousza32091ze3z87_3469 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza32091ze3ze5zz__sqlite_enginez00, BgL_tmpz00_5175); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32091ze3z87_3469, 
(int)(((long)0)), BgL_rowsz00_3067); 
PROCEDURE_L_SET(BgL_zc3z04anonymousza32091ze3z87_3469, 
(int)(((long)1)), BgL_wherezd2czd2_3065); 
BgL_runner2093z00_3468 = 
BGl_filterzd2iterzd2zz__sqlite_enginez00(BgL_zc3z04anonymousza32091ze3z87_3469, BgL_tablez00_3066); } 
return 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner2093z00_3468);} } } 

}



/* &<@anonymous:2091> */
obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3068, obj_t BgL_rz00_3071)
{
{ /* Llib/engine.scm 516 */
{ /* Llib/engine.scm 516 */
 obj_t BgL_rowsz00_3069; obj_t BgL_wherezd2czd2_3070;
BgL_rowsz00_3069 = 
PROCEDURE_L_REF(BgL_envz00_3068, 
(int)(((long)0))); 
BgL_wherezd2czd2_3070 = 
PROCEDURE_L_REF(BgL_envz00_3068, 
(int)(((long)1))); 
{ /* Llib/engine.scm 516 */
 obj_t BgL_arg2092z00_3470;
BgL_arg2092z00_3470 = 
BGl_appendzd221010zd2zz__sqlite_enginez00(BgL_rz00_3071, BgL_rowsz00_3069); 
return 
PROCEDURE_ENTRY(BgL_wherezd2czd2_3070)(BgL_wherezd2czd2_3070, BgL_arg2092z00_3470, BEOA);} } } 

}



/* filter-iter */
obj_t BGl_filterzd2iterzd2zz__sqlite_enginez00(obj_t BgL_predz00_71, obj_t BgL_lstz00_72)
{
{ /* Llib/engine.scm 521 */
{ 
 obj_t BgL_lstz00_898; obj_t BgL_resz00_899;
BgL_lstz00_898 = BgL_lstz00_72; 
BgL_resz00_899 = BNIL; 
BgL_zc3z04anonymousza32103ze3z87_900:
if(
NULLP(BgL_lstz00_898))
{ /* Llib/engine.scm 525 */
return 
bgl_reverse_bang(BgL_resz00_899);}  else 
{ /* Llib/engine.scm 527 */
 bool_t BgL_test3041z00_5196;
{ /* Llib/engine.scm 527 */
 obj_t BgL_arg2111z00_908;
BgL_arg2111z00_908 = 
CAR(
((obj_t)BgL_lstz00_898)); 
BgL_test3041z00_5196 = 
CBOOL(
PROCEDURE_L_ENTRY(BgL_predz00_71)(BgL_predz00_71, BgL_arg2111z00_908)); } 
if(BgL_test3041z00_5196)
{ /* Llib/engine.scm 528 */
 obj_t BgL_arg2107z00_904; obj_t BgL_arg2108z00_905;
BgL_arg2107z00_904 = 
CDR(
((obj_t)BgL_lstz00_898)); 
{ /* Llib/engine.scm 528 */
 obj_t BgL_arg2109z00_906;
BgL_arg2109z00_906 = 
CAR(
((obj_t)BgL_lstz00_898)); 
BgL_arg2108z00_905 = 
MAKE_YOUNG_PAIR(BgL_arg2109z00_906, BgL_resz00_899); } 
{ 
 obj_t BgL_resz00_5210; obj_t BgL_lstz00_5209;
BgL_lstz00_5209 = BgL_arg2107z00_904; 
BgL_resz00_5210 = BgL_arg2108z00_905; 
BgL_resz00_899 = BgL_resz00_5210; 
BgL_lstz00_898 = BgL_lstz00_5209; 
goto BgL_zc3z04anonymousza32103ze3z87_900;} }  else 
{ /* Llib/engine.scm 530 */
 obj_t BgL_arg2110z00_907;
BgL_arg2110z00_907 = 
CDR(
((obj_t)BgL_lstz00_898)); 
{ 
 obj_t BgL_lstz00_5213;
BgL_lstz00_5213 = BgL_arg2110z00_907; 
BgL_lstz00_898 = BgL_lstz00_5213; 
goto BgL_zc3z04anonymousza32103ze3z87_900;} } } } } 

}



/* make-select-frame */
obj_t BGl_makezd2selectzd2framez00zz__sqlite_enginez00(obj_t BgL_tablezd2namezd2_76, obj_t BgL_objz00_77, BgL_z42sqltinyz42_bglt BgL_builtinz00_78)
{
{ /* Llib/engine.scm 541 */
{ /* Llib/engine.scm 542 */
 obj_t BgL_nz00_919;
BgL_nz00_919 = 
CAR(
((obj_t)BgL_tablezd2namezd2_76)); 
{ /* Llib/engine.scm 542 */
 obj_t BgL_tz00_920;
BgL_tz00_920 = 
BGl_sqltinyzd2getzd2tablez00zz__sqlite_enginez00(BgL_builtinz00_78, BgL_nz00_919); 
{ /* Llib/engine.scm 543 */

{ /* Llib/engine.scm 544 */
 bool_t BgL_test3042z00_5217;
{ /* Llib/engine.scm 544 */
 obj_t BgL_classz00_2326;
BgL_classz00_2326 = BGl_z42sqltinyzd2tablez90zz__sqlite_sqltinyz00; 
if(
BGL_OBJECTP(BgL_tz00_920))
{ /* Llib/engine.scm 544 */
 BgL_objectz00_bglt BgL_arg1797z00_2328;
BgL_arg1797z00_2328 = 
(BgL_objectz00_bglt)(BgL_tz00_920); 
{ /* Llib/engine.scm 544 */
 bool_t BgL_arg1794z00_2331; bool_t BgL_arg1795z00_2332;
{ /* Llib/engine.scm 544 */
 long BgL_idxz00_2335;
BgL_idxz00_2335 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_2328); 
BgL_arg1794z00_2331 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2335+((long)1)))==BgL_classz00_2326); } 
{ /* Llib/engine.scm 544 */
 bool_t BgL_res2682z00_2357;
{ /* Llib/engine.scm 544 */
 obj_t BgL_oclassz00_2343;
{ /* Llib/engine.scm 544 */
 long BgL_arg1804z00_2349;
{ /* Llib/engine.scm 544 */
 long BgL_arg1805z00_2350;
BgL_arg1805z00_2350 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_2328); 
BgL_arg1804z00_2349 = 
(BgL_arg1805z00_2350-OBJECT_TYPE); } 
BgL_oclassz00_2343 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2349); } 
{ /* Llib/engine.scm 544 */
 bool_t BgL__ortest_1111z00_2344;
BgL__ortest_1111z00_2344 = 
(BgL_classz00_2326==BgL_oclassz00_2343); 
if(BgL__ortest_1111z00_2344)
{ /* Llib/engine.scm 544 */
BgL_res2682z00_2357 = BgL__ortest_1111z00_2344; }  else 
{ /* Llib/engine.scm 544 */
 long BgL_odepthz00_2345;
BgL_odepthz00_2345 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2343); 
if(
(((long)1)<BgL_odepthz00_2345))
{ /* Llib/engine.scm 544 */
 obj_t BgL_arg1793z00_2347;
BgL_arg1793z00_2347 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2343, ((long)1)); 
BgL_res2682z00_2357 = 
(BgL_arg1793z00_2347==BgL_classz00_2326); }  else 
{ /* Llib/engine.scm 544 */
BgL_res2682z00_2357 = ((bool_t)0); } } } } 
BgL_arg1795z00_2332 = BgL_res2682z00_2357; } 
BgL_test3042z00_5217 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2331, BgL_arg1795z00_2332); } }  else 
{ /* Llib/engine.scm 544 */
BgL_test3042z00_5217 = ((bool_t)0)
; } } 
if(BgL_test3042z00_5217)
{ /* Llib/engine.scm 550 */
 obj_t BgL_arg2118z00_922;
BgL_arg2118z00_922 = 
CDR(
((obj_t)BgL_tablezd2namezd2_76)); 
return 
MAKE_YOUNG_PAIR(BgL_arg2118z00_922, BgL_tz00_920);}  else 
{ /* Llib/engine.scm 546 */
 BgL_z62errorz62_bglt BgL_arg2119z00_923;
{ /* Llib/engine.scm 546 */
 BgL_z62errorz62_bglt BgL_new1127z00_924;
{ /* Llib/engine.scm 546 */
 BgL_z62errorz62_bglt BgL_new1126z00_928;
BgL_new1126z00_928 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 546 */
 long BgL_arg2123z00_929;
BgL_arg2123z00_929 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_928), BgL_arg2123z00_929); } 
BgL_new1127z00_924 = BgL_new1126z00_928; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_924)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_924)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5247;
{ /* Llib/engine.scm 546 */
 obj_t BgL_arg2120z00_925;
{ /* Llib/engine.scm 546 */
 obj_t BgL_arg2121z00_926;
{ /* Llib/engine.scm 546 */
 obj_t BgL_classz00_2362;
BgL_classz00_2362 = BGl_z62errorz62zz__objectz00; 
BgL_arg2121z00_926 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2362); } 
BgL_arg2120z00_925 = 
VECTOR_REF(BgL_arg2121z00_926,((long)2)); } 
BgL_auxz00_5247 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2120z00_925); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_924)))->BgL_stackz00)=((obj_t)BgL_auxz00_5247),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1127z00_924))->BgL_procz00)=((obj_t)BGl_string2802z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5254;
{ /* Llib/engine.scm 548 */
 obj_t BgL_list2122z00_927;
BgL_list2122z00_927 = 
MAKE_YOUNG_PAIR(BgL_nz00_919, BNIL); 
BgL_auxz00_5254 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2780z00zz__sqlite_enginez00, BgL_list2122z00_927); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1127z00_924))->BgL_msgz00)=((obj_t)BgL_auxz00_5254),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1127z00_924))->BgL_objz00)=((obj_t)BgL_objz00_77),BUNSPEC); 
BgL_arg2119z00_923 = BgL_new1127z00_924; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2119z00_923));} } } } } } 

}



/* compile-order-by */
obj_t BGl_compilezd2orderzd2byz00zz__sqlite_enginez00(obj_t BgL_orderz00_79, obj_t BgL_envz00_80, obj_t BgL_objz00_81, BgL_z42sqltinyz42_bglt BgL_builtinz00_82)
{
{ /* Llib/engine.scm 555 */
if(
PAIRP(BgL_orderz00_79))
{ /* Llib/engine.scm 557 */
if(
NULLP(
CDR(BgL_orderz00_79)))
{ /* Llib/engine.scm 560 */
 obj_t BgL_tz00_933; obj_t BgL_cz00_934;
BgL_tz00_933 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(
CAR(
CAR(BgL_orderz00_79)), BgL_envz00_80, BgL_objz00_81, BgL_builtinz00_82); 
if(
(
CDR(
CAR(BgL_orderz00_79))==
CNST_TABLE_REF(((long)7))))
{ /* Llib/engine.scm 561 */
BgL_cz00_934 = BGl_sqltinyze3zd2envz31zz__sqlite_enginez00; }  else 
{ /* Llib/engine.scm 561 */
BgL_cz00_934 = BGl_sqltinyzc3zd2envz11zz__sqlite_enginez00; } 
{ /* Llib/engine.scm 562 */
 obj_t BgL_zc3z04anonymousza32127ze3z87_3072;
BgL_zc3z04anonymousza32127ze3z87_3072 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32127ze3ze5zz__sqlite_enginez00, 
(int)(((long)2)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32127ze3z87_3072, 
(int)(((long)0)), BgL_tz00_933); 
PROCEDURE_SET(BgL_zc3z04anonymousza32127ze3z87_3072, 
(int)(((long)1)), BgL_cz00_934); 
return BgL_zc3z04anonymousza32127ze3z87_3072;} }  else 
{ /* Llib/engine.scm 565 */
 obj_t BgL_testsz00_944;
{ /* Llib/engine.scm 565 */
 obj_t BgL_head1297z00_964;
BgL_head1297z00_964 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1295z00_966; obj_t BgL_tail1298z00_967;
BgL_l1295z00_966 = BgL_orderz00_79; 
BgL_tail1298z00_967 = BgL_head1297z00_964; 
BgL_zc3z04anonymousza32140ze3z87_968:
if(
NULLP(BgL_l1295z00_966))
{ /* Llib/engine.scm 565 */
BgL_testsz00_944 = 
CDR(BgL_head1297z00_964); }  else 
{ /* Llib/engine.scm 565 */
 obj_t BgL_newtail1299z00_970;
{ /* Llib/engine.scm 565 */
 obj_t BgL_arg2143z00_972;
{ /* Llib/engine.scm 565 */
 obj_t BgL_oz00_973;
BgL_oz00_973 = 
CAR(
((obj_t)BgL_l1295z00_966)); 
{ /* Llib/engine.scm 567 */
 obj_t BgL_arg2144z00_974; obj_t BgL_arg2145z00_975; obj_t BgL_arg2146z00_976;
{ /* Llib/engine.scm 567 */
 obj_t BgL_arg2150z00_980;
BgL_arg2150z00_980 = 
CAR(
((obj_t)BgL_oz00_973)); 
BgL_arg2144z00_974 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_arg2150z00_980, BgL_envz00_80, BgL_objz00_81, BgL_builtinz00_82); } 
if(
(
CDR(
((obj_t)BgL_oz00_973))==
CNST_TABLE_REF(((long)7))))
{ /* Llib/engine.scm 568 */
BgL_arg2145z00_975 = BGl_sqltinyze3zd2envz31zz__sqlite_enginez00; }  else 
{ /* Llib/engine.scm 568 */
BgL_arg2145z00_975 = BGl_sqltinyzc3zd2envz11zz__sqlite_enginez00; } 
if(
(
CDR(
((obj_t)BgL_oz00_973))==
CNST_TABLE_REF(((long)7))))
{ /* Llib/engine.scm 569 */
BgL_arg2146z00_976 = BGl_sqltinyzc3zd2envz11zz__sqlite_enginez00; }  else 
{ /* Llib/engine.scm 569 */
BgL_arg2146z00_976 = BGl_sqltinyze3zd2envz31zz__sqlite_enginez00; } 
{ /* Llib/engine.scm 566 */
 obj_t BgL_list2147z00_977;
{ /* Llib/engine.scm 566 */
 obj_t BgL_arg2148z00_978;
{ /* Llib/engine.scm 566 */
 obj_t BgL_arg2149z00_979;
BgL_arg2149z00_979 = 
MAKE_YOUNG_PAIR(BgL_arg2146z00_976, BNIL); 
BgL_arg2148z00_978 = 
MAKE_YOUNG_PAIR(BgL_arg2145z00_975, BgL_arg2149z00_979); } 
BgL_list2147z00_977 = 
MAKE_YOUNG_PAIR(BgL_arg2144z00_974, BgL_arg2148z00_978); } 
BgL_arg2143z00_972 = BgL_list2147z00_977; } } } 
BgL_newtail1299z00_970 = 
MAKE_YOUNG_PAIR(BgL_arg2143z00_972, BNIL); } 
SET_CDR(BgL_tail1298z00_967, BgL_newtail1299z00_970); 
{ /* Llib/engine.scm 565 */
 obj_t BgL_arg2142z00_971;
BgL_arg2142z00_971 = 
CDR(
((obj_t)BgL_l1295z00_966)); 
{ 
 obj_t BgL_tail1298z00_5308; obj_t BgL_l1295z00_5307;
BgL_l1295z00_5307 = BgL_arg2142z00_971; 
BgL_tail1298z00_5308 = BgL_newtail1299z00_970; 
BgL_tail1298z00_967 = BgL_tail1298z00_5308; 
BgL_l1295z00_966 = BgL_l1295z00_5307; 
goto BgL_zc3z04anonymousza32140ze3z87_968;} } } } } 
{ /* Llib/engine.scm 571 */
 obj_t BgL_zc3z04anonymousza32134ze3z87_3073;
BgL_zc3z04anonymousza32134ze3z87_3073 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32134ze3ze5zz__sqlite_enginez00, 
(int)(((long)2)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32134ze3z87_3073, 
(int)(((long)0)), BgL_testsz00_944); 
return BgL_zc3z04anonymousza32134ze3z87_3073;} } }  else 
{ /* Llib/engine.scm 557 */
return BFALSE;} } 

}



/* &<@anonymous:2127> */
obj_t BGl_z62zc3z04anonymousza32127ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3074, obj_t BgL_v1z00_3077, obj_t BgL_v2z00_3078)
{
{ /* Llib/engine.scm 562 */
{ /* Llib/engine.scm 563 */
 obj_t BgL_tz00_3075; obj_t BgL_cz00_3076;
BgL_tz00_3075 = 
PROCEDURE_REF(BgL_envz00_3074, 
(int)(((long)0))); 
BgL_cz00_3076 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3074, 
(int)(((long)1)))); 
{ /* Llib/engine.scm 563 */
 obj_t BgL_arg2128z00_3471; obj_t BgL_arg2129z00_3472;
BgL_arg2128z00_3471 = 
PROCEDURE_ENTRY(BgL_tz00_3075)(BgL_tz00_3075, BgL_v1z00_3077, BEOA); 
BgL_arg2129z00_3472 = 
PROCEDURE_ENTRY(BgL_tz00_3075)(BgL_tz00_3075, BgL_v2z00_3078, BEOA); 
return 
PROCEDURE_ENTRY(BgL_cz00_3076)(BgL_cz00_3076, BgL_arg2128z00_3471, BgL_arg2129z00_3472, BEOA);} } } 

}



/* &<@anonymous:2134> */
obj_t BGl_z62zc3z04anonymousza32134ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3079, obj_t BgL_v1z00_3081, obj_t BgL_v2z00_3082)
{
{ /* Llib/engine.scm 571 */
{ /* Llib/engine.scm 573 */
 obj_t BgL_testsz00_3080;
BgL_testsz00_3080 = 
PROCEDURE_REF(BgL_envz00_3079, 
(int)(((long)0))); 
{ 
 obj_t BgL_testsz00_3474;
BgL_testsz00_3474 = BgL_testsz00_3080; 
BgL_loopz00_3473:
if(
NULLP(BgL_testsz00_3474))
{ /* Llib/engine.scm 573 */
return BFALSE;}  else 
{ /* Llib/engine.scm 575 */
 obj_t BgL_oz00_3475;
BgL_oz00_3475 = 
CAR(
((obj_t)BgL_testsz00_3474)); 
{ /* Llib/engine.scm 575 */
 obj_t BgL_ez00_3476;
BgL_ez00_3476 = 
CAR(
((obj_t)BgL_oz00_3475)); 
{ /* Llib/engine.scm 576 */
 obj_t BgL_c1z00_3477;
{ /* Llib/engine.scm 577 */
 obj_t BgL_pairz00_3478;
BgL_pairz00_3478 = 
CDR(
((obj_t)BgL_oz00_3475)); 
BgL_c1z00_3477 = 
CAR(BgL_pairz00_3478); } 
{ /* Llib/engine.scm 577 */
 obj_t BgL_c2z00_3479;
{ /* Llib/engine.scm 578 */
 obj_t BgL_pairz00_3480;
{ /* Llib/engine.scm 578 */
 obj_t BgL_pairz00_3481;
BgL_pairz00_3481 = 
CDR(
((obj_t)BgL_oz00_3475)); 
BgL_pairz00_3480 = 
CDR(BgL_pairz00_3481); } 
BgL_c2z00_3479 = 
CAR(BgL_pairz00_3480); } 
{ /* Llib/engine.scm 578 */
 obj_t BgL_e1z00_3482;
BgL_e1z00_3482 = 
PROCEDURE_ENTRY(BgL_ez00_3476)(BgL_ez00_3476, BgL_v1z00_3081, BEOA); 
{ /* Llib/engine.scm 579 */
 obj_t BgL_e2z00_3483;
BgL_e2z00_3483 = 
PROCEDURE_ENTRY(BgL_ez00_3476)(BgL_ez00_3476, BgL_v2z00_3082, BEOA); 
{ /* Llib/engine.scm 580 */

{ /* Llib/engine.scm 581 */
 obj_t BgL__ortest_1128z00_3484;
BgL__ortest_1128z00_3484 = 
PROCEDURE_ENTRY(BgL_c1z00_3477)(BgL_c1z00_3477, BgL_e1z00_3482, BgL_e2z00_3483, BEOA); 
if(
CBOOL(BgL__ortest_1128z00_3484))
{ /* Llib/engine.scm 581 */
return BgL__ortest_1128z00_3484;}  else 
{ /* Llib/engine.scm 581 */
if(
CBOOL(
PROCEDURE_ENTRY(BgL_c2z00_3479)(BgL_c2z00_3479, BgL_e1z00_3482, BgL_e2z00_3483, BEOA)))
{ /* Llib/engine.scm 582 */
return BFALSE;}  else 
{ /* Llib/engine.scm 584 */
 obj_t BgL_arg2138z00_3485;
BgL_arg2138z00_3485 = 
CDR(
((obj_t)BgL_testsz00_3474)); 
{ 
 obj_t BgL_testsz00_5371;
BgL_testsz00_5371 = BgL_arg2138z00_3485; 
BgL_testsz00_3474 = BgL_testsz00_5371; 
goto BgL_loopz00_3473;} } } } } } } } } } } } } } 

}



/* select-distinguish */
obj_t BGl_selectzd2distinguishzd2zz__sqlite_enginez00(obj_t BgL_rowsz00_83)
{
{ /* Llib/engine.scm 589 */
{ 
 obj_t BgL_elsz00_991; obj_t BgL_resz00_992; bool_t BgL_remz00_993;
BgL_elsz00_991 = BgL_rowsz00_83; 
BgL_resz00_992 = BNIL; 
BgL_remz00_993 = ((bool_t)0); 
BgL_zc3z04anonymousza32158ze3z87_994:
if(
NULLP(BgL_elsz00_991))
{ /* Llib/engine.scm 594 */
if(BgL_remz00_993)
{ /* Llib/engine.scm 595 */
return 
bgl_reverse_bang(BgL_resz00_992);}  else 
{ /* Llib/engine.scm 595 */
return BgL_rowsz00_83;} }  else 
{ /* Llib/engine.scm 594 */
if(
CBOOL(
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(
CAR(
((obj_t)BgL_elsz00_991)), BgL_resz00_992)))
{ /* Llib/engine.scm 597 */
 obj_t BgL_arg2162z00_998;
BgL_arg2162z00_998 = 
CDR(
((obj_t)BgL_elsz00_991)); 
{ 
 bool_t BgL_remz00_5384; obj_t BgL_elsz00_5383;
BgL_elsz00_5383 = BgL_arg2162z00_998; 
BgL_remz00_5384 = ((bool_t)1); 
BgL_remz00_993 = BgL_remz00_5384; 
BgL_elsz00_991 = BgL_elsz00_5383; 
goto BgL_zc3z04anonymousza32158ze3z87_994;} }  else 
{ /* Llib/engine.scm 599 */
 obj_t BgL_arg2163z00_999; obj_t BgL_arg2164z00_1000;
BgL_arg2163z00_999 = 
CDR(
((obj_t)BgL_elsz00_991)); 
{ /* Llib/engine.scm 599 */
 obj_t BgL_arg2165z00_1001;
BgL_arg2165z00_1001 = 
CAR(
((obj_t)BgL_elsz00_991)); 
BgL_arg2164z00_1000 = 
MAKE_YOUNG_PAIR(BgL_arg2165z00_1001, BgL_resz00_992); } 
{ 
 obj_t BgL_resz00_5391; obj_t BgL_elsz00_5390;
BgL_elsz00_5390 = BgL_arg2163z00_999; 
BgL_resz00_5391 = BgL_arg2164z00_1000; 
BgL_resz00_992 = BgL_resz00_5391; 
BgL_elsz00_991 = BgL_elsz00_5390; 
goto BgL_zc3z04anonymousza32158ze3z87_994;} } } } } 

}



/* select-group-by */
obj_t BGl_selectzd2groupzd2byz00zz__sqlite_enginez00(obj_t BgL_rowsz00_84, obj_t BgL_groupzd2czd2_85)
{
{ /* Llib/engine.scm 606 */
{ 
 obj_t BgL_rowz00_1041;
if(
NULLP(BgL_rowsz00_84))
{ /* Llib/engine.scm 618 */
 obj_t BgL_list2168z00_1010;
BgL_list2168z00_1010 = 
MAKE_YOUNG_PAIR(BgL_rowsz00_84, BNIL); 
return BgL_list2168z00_1010;}  else 
{ 
 obj_t BgL_rowsz00_1013; obj_t BgL_groupsz00_1014;
BgL_rowsz00_1013 = BgL_rowsz00_84; 
BgL_groupsz00_1014 = BNIL; 
BgL_zc3z04anonymousza32169ze3z87_1015:
if(
NULLP(BgL_rowsz00_1013))
{ /* Llib/engine.scm 622 */
 obj_t BgL_l1305z00_1017;
BgL_l1305z00_1017 = 
bgl_reverse_bang(BgL_groupsz00_1014); 
if(
NULLP(BgL_l1305z00_1017))
{ /* Llib/engine.scm 622 */
return BNIL;}  else 
{ /* Llib/engine.scm 622 */
 obj_t BgL_head1307z00_1019;
{ /* Llib/engine.scm 622 */
 obj_t BgL_arg2177z00_1031;
{ /* Llib/engine.scm 622 */
 obj_t BgL_arg2178z00_1032;
BgL_arg2178z00_1032 = 
CAR(BgL_l1305z00_1017); 
{ /* Llib/engine.scm 612 */
 obj_t BgL_arg2193z00_2415;
BgL_arg2193z00_2415 = 
CDR(
((obj_t)BgL_arg2178z00_1032)); 
BgL_arg2177z00_1031 = 
bgl_reverse_bang(BgL_arg2193z00_2415); } } 
BgL_head1307z00_1019 = 
MAKE_YOUNG_PAIR(BgL_arg2177z00_1031, BNIL); } 
{ /* Llib/engine.scm 622 */
 obj_t BgL_g1310z00_1020;
BgL_g1310z00_1020 = 
CDR(BgL_l1305z00_1017); 
{ 
 obj_t BgL_l1305z00_1022; obj_t BgL_tail1308z00_1023;
BgL_l1305z00_1022 = BgL_g1310z00_1020; 
BgL_tail1308z00_1023 = BgL_head1307z00_1019; 
BgL_zc3z04anonymousza32172ze3z87_1024:
if(
NULLP(BgL_l1305z00_1022))
{ /* Llib/engine.scm 622 */
return BgL_head1307z00_1019;}  else 
{ /* Llib/engine.scm 622 */
 obj_t BgL_newtail1309z00_1026;
{ /* Llib/engine.scm 622 */
 obj_t BgL_arg2175z00_1028;
{ /* Llib/engine.scm 622 */
 obj_t BgL_arg2176z00_1029;
BgL_arg2176z00_1029 = 
CAR(
((obj_t)BgL_l1305z00_1022)); 
{ /* Llib/engine.scm 612 */
 obj_t BgL_arg2193z00_2419;
BgL_arg2193z00_2419 = 
CDR(
((obj_t)BgL_arg2176z00_1029)); 
BgL_arg2175z00_1028 = 
bgl_reverse_bang(BgL_arg2193z00_2419); } } 
BgL_newtail1309z00_1026 = 
MAKE_YOUNG_PAIR(BgL_arg2175z00_1028, BNIL); } 
SET_CDR(BgL_tail1308z00_1023, BgL_newtail1309z00_1026); 
{ /* Llib/engine.scm 622 */
 obj_t BgL_arg2174z00_1027;
BgL_arg2174z00_1027 = 
CDR(
((obj_t)BgL_l1305z00_1022)); 
{ 
 obj_t BgL_tail1308z00_5418; obj_t BgL_l1305z00_5417;
BgL_l1305z00_5417 = BgL_arg2174z00_1027; 
BgL_tail1308z00_5418 = BgL_newtail1309z00_1026; 
BgL_tail1308z00_1023 = BgL_tail1308z00_5418; 
BgL_l1305z00_1022 = BgL_l1305z00_5417; 
goto BgL_zc3z04anonymousza32172ze3z87_1024;} } } } } } }  else 
{ /* Llib/engine.scm 623 */
 obj_t BgL_rowz00_1033;
BgL_rowz00_1033 = 
CAR(
((obj_t)BgL_rowsz00_1013)); 
{ /* Llib/engine.scm 623 */
 obj_t BgL_keyz00_1034;
BgL_rowz00_1041 = BgL_rowz00_1033; 
if(
NULLP(BgL_groupzd2czd2_85))
{ /* Llib/engine.scm 608 */
BgL_keyz00_1034 = BNIL; }  else 
{ /* Llib/engine.scm 608 */
 obj_t BgL_head1302z00_1045;
BgL_head1302z00_1045 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1300z00_1047; obj_t BgL_tail1303z00_1048;
BgL_l1300z00_1047 = BgL_groupzd2czd2_85; 
BgL_tail1303z00_1048 = BgL_head1302z00_1045; 
BgL_zc3z04anonymousza32185ze3z87_1049:
if(
NULLP(BgL_l1300z00_1047))
{ /* Llib/engine.scm 608 */
BgL_keyz00_1034 = 
CDR(BgL_head1302z00_1045); }  else 
{ /* Llib/engine.scm 608 */
 obj_t BgL_newtail1304z00_1051;
{ /* Llib/engine.scm 608 */
 obj_t BgL_arg2188z00_1053;
{ /* Llib/engine.scm 608 */
 obj_t BgL_gz00_1054;
BgL_gz00_1054 = 
CAR(
((obj_t)BgL_l1300z00_1047)); 
BgL_arg2188z00_1053 = 
PROCEDURE_ENTRY(BgL_gz00_1054)(BgL_gz00_1054, BgL_rowz00_1041, BEOA); } 
BgL_newtail1304z00_1051 = 
MAKE_YOUNG_PAIR(BgL_arg2188z00_1053, BNIL); } 
SET_CDR(BgL_tail1303z00_1048, BgL_newtail1304z00_1051); 
{ /* Llib/engine.scm 608 */
 obj_t BgL_arg2187z00_1052;
BgL_arg2187z00_1052 = 
CDR(
((obj_t)BgL_l1300z00_1047)); 
{ 
 obj_t BgL_tail1303z00_5438; obj_t BgL_l1300z00_5437;
BgL_l1300z00_5437 = BgL_arg2187z00_1052; 
BgL_tail1303z00_5438 = BgL_newtail1304z00_1051; 
BgL_tail1303z00_1048 = BgL_tail1303z00_5438; 
BgL_l1300z00_1047 = BgL_l1300z00_5437; 
goto BgL_zc3z04anonymousza32185ze3z87_1049;} } } } } 
{ /* Llib/engine.scm 624 */
 obj_t BgL_grpz00_1035;
BgL_grpz00_1035 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_1034, BgL_groupsz00_1014); 
{ /* Llib/engine.scm 625 */

if(
CBOOL(BgL_grpz00_1035))
{ /* Llib/engine.scm 626 */
{ /* Llib/engine.scm 614 */
 obj_t BgL_arg2196z00_2424;
{ /* Llib/engine.scm 614 */
 obj_t BgL_arg2197z00_2425;
BgL_arg2197z00_2425 = 
CDR(
((obj_t)BgL_grpz00_1035)); 
BgL_arg2196z00_2424 = 
MAKE_YOUNG_PAIR(BgL_rowz00_1033, BgL_arg2197z00_2425); } 
{ /* Llib/engine.scm 614 */
 obj_t BgL_tmpz00_5445;
BgL_tmpz00_5445 = 
((obj_t)BgL_grpz00_1035); 
SET_CDR(BgL_tmpz00_5445, BgL_arg2196z00_2424); } } 
{ /* Llib/engine.scm 629 */
 obj_t BgL_arg2179z00_1036;
BgL_arg2179z00_1036 = 
CDR(
((obj_t)BgL_rowsz00_1013)); 
{ 
 obj_t BgL_rowsz00_5450;
BgL_rowsz00_5450 = BgL_arg2179z00_1036; 
BgL_rowsz00_1013 = BgL_rowsz00_5450; 
goto BgL_zc3z04anonymousza32169ze3z87_1015;} } }  else 
{ /* Llib/engine.scm 630 */
 obj_t BgL_arg2180z00_1037; obj_t BgL_arg2181z00_1038;
BgL_arg2180z00_1037 = 
CDR(
((obj_t)BgL_rowsz00_1013)); 
{ /* Llib/engine.scm 630 */
 obj_t BgL_arg2182z00_1039;
{ /* Llib/engine.scm 610 */
 obj_t BgL_arg2190z00_2430;
{ /* Llib/engine.scm 610 */
 obj_t BgL_list2191z00_2431;
BgL_list2191z00_2431 = 
MAKE_YOUNG_PAIR(BgL_rowz00_1033, BNIL); 
BgL_arg2190z00_2430 = BgL_list2191z00_2431; } 
BgL_arg2182z00_1039 = 
MAKE_YOUNG_PAIR(BgL_keyz00_1034, BgL_arg2190z00_2430); } 
BgL_arg2181z00_1038 = 
MAKE_YOUNG_PAIR(BgL_arg2182z00_1039, BgL_groupsz00_1014); } 
{ 
 obj_t BgL_groupsz00_5457; obj_t BgL_rowsz00_5456;
BgL_rowsz00_5456 = BgL_arg2180z00_1037; 
BgL_groupsz00_5457 = BgL_arg2181z00_1038; 
BgL_groupsz00_1014 = BgL_groupsz00_5457; 
BgL_rowsz00_1013 = BgL_rowsz00_5456; 
goto BgL_zc3z04anonymousza32169ze3z87_1015;} } } } } } } } } 

}



/* prod */
obj_t BGl_prodz00zz__sqlite_enginez00(obj_t BgL_lsz00_86)
{
{ /* Llib/engine.scm 635 */
if(
NULLP(BgL_lsz00_86))
{ /* Llib/engine.scm 637 */
return BNIL;}  else 
{ /* Llib/engine.scm 637 */
if(
NULLP(
CDR(
((obj_t)BgL_lsz00_86))))
{ /* Llib/engine.scm 640 */
 obj_t BgL_l1311z00_1080;
BgL_l1311z00_1080 = 
CAR(
((obj_t)BgL_lsz00_86)); 
if(
NULLP(BgL_l1311z00_1080))
{ /* Llib/engine.scm 640 */
return BNIL;}  else 
{ /* Llib/engine.scm 640 */
 obj_t BgL_head1313z00_1082;
{ /* Llib/engine.scm 640 */
 obj_t BgL_arg2209z00_1095;
{ /* Llib/engine.scm 640 */
 obj_t BgL_arg2210z00_1096;
BgL_arg2210z00_1096 = 
CAR(
((obj_t)BgL_l1311z00_1080)); 
{ /* Llib/engine.scm 640 */
 obj_t BgL_list2211z00_1097;
BgL_list2211z00_1097 = 
MAKE_YOUNG_PAIR(BgL_arg2210z00_1096, BNIL); 
BgL_arg2209z00_1095 = BgL_list2211z00_1097; } } 
BgL_head1313z00_1082 = 
MAKE_YOUNG_PAIR(BgL_arg2209z00_1095, BNIL); } 
{ /* Llib/engine.scm 640 */
 obj_t BgL_g1316z00_1083;
BgL_g1316z00_1083 = 
CDR(
((obj_t)BgL_l1311z00_1080)); 
{ 
 obj_t BgL_l1311z00_1085; obj_t BgL_tail1314z00_1086;
BgL_l1311z00_1085 = BgL_g1316z00_1083; 
BgL_tail1314z00_1086 = BgL_head1313z00_1082; 
BgL_zc3z04anonymousza32203ze3z87_1087:
if(
NULLP(BgL_l1311z00_1085))
{ /* Llib/engine.scm 640 */
return BgL_head1313z00_1082;}  else 
{ /* Llib/engine.scm 640 */
 obj_t BgL_newtail1315z00_1089;
{ /* Llib/engine.scm 640 */
 obj_t BgL_arg2206z00_1091;
{ /* Llib/engine.scm 640 */
 obj_t BgL_arg2207z00_1092;
BgL_arg2207z00_1092 = 
CAR(
((obj_t)BgL_l1311z00_1085)); 
{ /* Llib/engine.scm 640 */
 obj_t BgL_list2208z00_1093;
BgL_list2208z00_1093 = 
MAKE_YOUNG_PAIR(BgL_arg2207z00_1092, BNIL); 
BgL_arg2206z00_1091 = BgL_list2208z00_1093; } } 
BgL_newtail1315z00_1089 = 
MAKE_YOUNG_PAIR(BgL_arg2206z00_1091, BNIL); } 
SET_CDR(BgL_tail1314z00_1086, BgL_newtail1315z00_1089); 
{ /* Llib/engine.scm 640 */
 obj_t BgL_arg2205z00_1090;
BgL_arg2205z00_1090 = 
CDR(
((obj_t)BgL_l1311z00_1085)); 
{ 
 obj_t BgL_tail1314z00_5484; obj_t BgL_l1311z00_5483;
BgL_l1311z00_5483 = BgL_arg2205z00_1090; 
BgL_tail1314z00_5484 = BgL_newtail1315z00_1089; 
BgL_tail1314z00_1086 = BgL_tail1314z00_5484; 
BgL_l1311z00_1085 = BgL_l1311z00_5483; 
goto BgL_zc3z04anonymousza32203ze3z87_1087;} } } } } } }  else 
{ /* Llib/engine.scm 642 */
 obj_t BgL_l0z00_1098; obj_t BgL_lrz00_1099;
BgL_l0z00_1098 = 
CAR(
((obj_t)BgL_lsz00_86)); 
{ /* Llib/engine.scm 643 */
 obj_t BgL_arg2222z00_1122;
BgL_arg2222z00_1122 = 
CDR(
((obj_t)BgL_lsz00_86)); 
BgL_lrz00_1099 = 
BGl_prodz00zz__sqlite_enginez00(BgL_arg2222z00_1122); } 
return 
BGl_zc3z04anonymousza32212ze3ze70z60zz__sqlite_enginez00(BgL_lrz00_1099, BgL_l0z00_1098);} } } 

}



/* <@anonymous:2212>~0 */
obj_t BGl_zc3z04anonymousza32212ze3ze70z60zz__sqlite_enginez00(obj_t BgL_lrz00_3245, obj_t BgL_l1323z00_1101)
{
{ /* Llib/engine.scm 644 */
if(
NULLP(BgL_l1323z00_1101))
{ /* Llib/engine.scm 644 */
return BNIL;}  else 
{ /* Llib/engine.scm 645 */
 obj_t BgL_arg2214z00_1104; obj_t BgL_arg2215z00_1105;
{ /* Llib/engine.scm 645 */
 obj_t BgL_cz00_1106;
BgL_cz00_1106 = 
CAR(
((obj_t)BgL_l1323z00_1101)); 
if(
NULLP(BgL_lrz00_3245))
{ /* Llib/engine.scm 645 */
BgL_arg2214z00_1104 = BNIL; }  else 
{ /* Llib/engine.scm 645 */
 obj_t BgL_head1319z00_1109;
BgL_head1319z00_1109 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1317z00_1111; obj_t BgL_tail1320z00_1112;
BgL_l1317z00_1111 = BgL_lrz00_3245; 
BgL_tail1320z00_1112 = BgL_head1319z00_1109; 
BgL_zc3z04anonymousza32217ze3z87_1113:
if(
NULLP(BgL_l1317z00_1111))
{ /* Llib/engine.scm 645 */
BgL_arg2214z00_1104 = 
CDR(BgL_head1319z00_1109); }  else 
{ /* Llib/engine.scm 645 */
 obj_t BgL_newtail1321z00_1115;
{ /* Llib/engine.scm 645 */
 obj_t BgL_arg2220z00_1117;
{ /* Llib/engine.scm 645 */
 obj_t BgL_lz00_1118;
BgL_lz00_1118 = 
CAR(
((obj_t)BgL_l1317z00_1111)); 
BgL_arg2220z00_1117 = 
MAKE_YOUNG_PAIR(BgL_cz00_1106, BgL_lz00_1118); } 
BgL_newtail1321z00_1115 = 
MAKE_YOUNG_PAIR(BgL_arg2220z00_1117, BNIL); } 
SET_CDR(BgL_tail1320z00_1112, BgL_newtail1321z00_1115); 
{ /* Llib/engine.scm 645 */
 obj_t BgL_arg2219z00_1116;
BgL_arg2219z00_1116 = 
CDR(
((obj_t)BgL_l1317z00_1111)); 
{ 
 obj_t BgL_tail1320z00_5509; obj_t BgL_l1317z00_5508;
BgL_l1317z00_5508 = BgL_arg2219z00_1116; 
BgL_tail1320z00_5509 = BgL_newtail1321z00_1115; 
BgL_tail1320z00_1112 = BgL_tail1320z00_5509; 
BgL_l1317z00_1111 = BgL_l1317z00_5508; 
goto BgL_zc3z04anonymousza32217ze3z87_1113;} } } } } } 
{ /* Llib/engine.scm 644 */
 obj_t BgL_arg2221z00_1120;
BgL_arg2221z00_1120 = 
CDR(
((obj_t)BgL_l1323z00_1101)); 
BgL_arg2215z00_1105 = 
BGl_zc3z04anonymousza32212ze3ze70z60zz__sqlite_enginez00(BgL_lrz00_3245, BgL_arg2221z00_1120); } 
return 
bgl_append2(BgL_arg2214z00_1104, BgL_arg2215z00_1105);} } 

}



/* compile-select-results */
obj_t BGl_compilezd2selectzd2resultsz00zz__sqlite_enginez00(obj_t BgL_resultsz00_87, obj_t BgL_envz00_88, obj_t BgL_objz00_89, BgL_z42sqltinyz42_bglt BgL_builtinz00_90)
{
{ /* Llib/engine.scm 651 */
{ 
 obj_t BgL_resultsz00_1126; obj_t BgL_compilersz00_1127; obj_t BgL_aggregz00_1128;
BgL_resultsz00_1126 = BgL_resultsz00_87; 
BgL_compilersz00_1127 = BNIL; 
BgL_aggregz00_1128 = BFALSE; 
BgL_zc3z04anonymousza32224ze3z87_1129:
if(
NULLP(BgL_resultsz00_1126))
{ /* Llib/engine.scm 656 */
 obj_t BgL_val0_1324z00_1131;
BgL_val0_1324z00_1131 = 
bgl_reverse_bang(BgL_compilersz00_1127); 
{ /* Llib/engine.scm 656 */
 int BgL_tmpz00_5517;
BgL_tmpz00_5517 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5517); } 
{ /* Llib/engine.scm 656 */
 int BgL_tmpz00_5520;
BgL_tmpz00_5520 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5520, BgL_aggregz00_1128); } 
return BgL_val0_1324z00_1131;}  else 
{ /* Llib/engine.scm 657 */
 obj_t BgL_cz00_1133;
{ /* Llib/engine.scm 658 */
 obj_t BgL_arg2229z00_1139;
BgL_arg2229z00_1139 = 
CAR(
((obj_t)BgL_resultsz00_1126)); 
BgL_cz00_1133 = 
BGl_compilezd2selectzd2resultz00zz__sqlite_enginez00(BgL_arg2229z00_1139, BgL_envz00_88, BgL_objz00_89, BgL_builtinz00_90); } 
{ /* Llib/engine.scm 658 */
 obj_t BgL_az00_1134;
{ /* Llib/engine.scm 659 */
 obj_t BgL_tmpz00_2451;
{ /* Llib/engine.scm 659 */
 int BgL_tmpz00_5526;
BgL_tmpz00_5526 = 
(int)(((long)1)); 
BgL_tmpz00_2451 = 
BGL_MVALUES_VAL(BgL_tmpz00_5526); } 
{ /* Llib/engine.scm 659 */
 int BgL_tmpz00_5529;
BgL_tmpz00_5529 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5529, BUNSPEC); } 
BgL_az00_1134 = BgL_tmpz00_2451; } 
{ /* Llib/engine.scm 659 */
 obj_t BgL_arg2226z00_1135; obj_t BgL_arg2227z00_1136; obj_t BgL_arg2228z00_1137;
BgL_arg2226z00_1135 = 
CDR(
((obj_t)BgL_resultsz00_1126)); 
BgL_arg2227z00_1136 = 
MAKE_YOUNG_PAIR(BgL_cz00_1133, BgL_compilersz00_1127); 
if(
CBOOL(BgL_az00_1134))
{ /* Llib/engine.scm 659 */
BgL_arg2228z00_1137 = BgL_az00_1134; }  else 
{ /* Llib/engine.scm 659 */
BgL_arg2228z00_1137 = BgL_aggregz00_1128; } 
{ 
 obj_t BgL_aggregz00_5539; obj_t BgL_compilersz00_5538; obj_t BgL_resultsz00_5537;
BgL_resultsz00_5537 = BgL_arg2226z00_1135; 
BgL_compilersz00_5538 = BgL_arg2227z00_1136; 
BgL_aggregz00_5539 = BgL_arg2228z00_1137; 
BgL_aggregz00_1128 = BgL_aggregz00_5539; 
BgL_compilersz00_1127 = BgL_compilersz00_5538; 
BgL_resultsz00_1126 = BgL_resultsz00_5537; 
goto BgL_zc3z04anonymousza32224ze3z87_1129;} } } } } } 

}



/* compile-select-result */
obj_t BGl_compilezd2selectzd2resultz00zz__sqlite_enginez00(obj_t BgL_exprz00_91, obj_t BgL_envz00_92, obj_t BgL_objz00_93, BgL_z42sqltinyz42_bglt BgL_builtinz00_94)
{
{ /* Llib/engine.scm 664 */
{ 
 obj_t BgL_aggregatorz00_1147; obj_t BgL_tablezd2namezd2_1148; obj_t BgL_namez00_1149; obj_t BgL_tablezd2namezd2_1144; obj_t BgL_namez00_1145; obj_t BgL_namez00_1142;
if(
(BgL_exprz00_91==
CNST_TABLE_REF(((long)11))))
{ /* Llib/engine.scm 665 */
{ /* Llib/engine.scm 667 */
 obj_t BgL_tblz00_1196;
{ /* Llib/engine.scm 667 */
 obj_t BgL_pairz00_2454;
BgL_pairz00_2454 = 
CAR(
((obj_t)BgL_envz00_92)); 
BgL_tblz00_1196 = 
CDR(BgL_pairz00_2454); } 
{ /* Llib/engine.scm 670 */
 obj_t BgL_zc3z04anonymousza32266ze3z87_3093;
BgL_zc3z04anonymousza32266ze3z87_3093 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32266ze3ze5zz__sqlite_enginez00, 
(int)(((long)2)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32266ze3z87_3093, 
(int)(((long)0)), BgL_tblz00_1196); 
{ /* Llib/engine.scm 668 */
 int BgL_tmpz00_5551;
BgL_tmpz00_5551 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5551); } 
{ /* Llib/engine.scm 668 */
 int BgL_tmpz00_5554;
BgL_tmpz00_5554 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5554, BFALSE); } 
return BgL_zc3z04anonymousza32266ze3z87_3093;} } }  else 
{ /* Llib/engine.scm 665 */
if(
PAIRP(BgL_exprz00_91))
{ /* Llib/engine.scm 665 */
if(
(
CDR(BgL_exprz00_91)==
CNST_TABLE_REF(((long)11))))
{ /* Llib/engine.scm 665 */
BgL_namez00_1142 = 
CAR(BgL_exprz00_91); 
{ /* Llib/engine.scm 679 */
 obj_t BgL_iz00_1229;
BgL_iz00_1229 = 
BGl_tablezd2offsetzd2inzd2listzd2zz__sqlite_enginez00(BgL_objz00_93, BgL_envz00_92, BgL_namez00_1142); 
{ /* Llib/engine.scm 682 */
 obj_t BgL_zc3z04anonymousza32279ze3z87_3092;
BgL_zc3z04anonymousza32279ze3z87_3092 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32279ze3ze5zz__sqlite_enginez00, 
(int)(((long)2)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32279ze3z87_3092, 
(int)(((long)0)), BgL_iz00_1229); 
{ /* Llib/engine.scm 680 */
 int BgL_tmpz00_5569;
BgL_tmpz00_5569 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5569); } 
{ /* Llib/engine.scm 680 */
 int BgL_tmpz00_5572;
BgL_tmpz00_5572 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5572, BFALSE); } 
return BgL_zc3z04anonymousza32279ze3z87_3092;} } }  else 
{ /* Llib/engine.scm 665 */
 obj_t BgL_cdrzd2142zd2_1158;
BgL_cdrzd2142zd2_1158 = 
CDR(BgL_exprz00_91); 
if(
(
CAR(BgL_exprz00_91)==
CNST_TABLE_REF(((long)4))))
{ /* Llib/engine.scm 665 */
if(
PAIRP(BgL_cdrzd2142zd2_1158))
{ /* Llib/engine.scm 665 */
 obj_t BgL_cdrzd2146zd2_1162;
BgL_cdrzd2146zd2_1162 = 
CDR(BgL_cdrzd2142zd2_1158); 
if(
PAIRP(BgL_cdrzd2146zd2_1162))
{ /* Llib/engine.scm 665 */
if(
NULLP(
CDR(BgL_cdrzd2146zd2_1162)))
{ /* Llib/engine.scm 665 */
BgL_tablezd2namezd2_1144 = 
CAR(BgL_cdrzd2142zd2_1158); 
BgL_namez00_1145 = 
CAR(BgL_cdrzd2146zd2_1162); 
{ /* Llib/engine.scm 685 */
 obj_t BgL_iz00_1238;
BgL_iz00_1238 = 
BGl_findzd2columnzd2offsetz00zz__sqlite_enginez00(BgL_objz00_93, BgL_envz00_92, BgL_tablezd2namezd2_1144, BgL_namez00_1145); 
{ /* Llib/engine.scm 686 */
 obj_t BgL_jz00_1239;
{ /* Llib/engine.scm 687 */
 obj_t BgL_tmpz00_2466;
{ /* Llib/engine.scm 687 */
 int BgL_tmpz00_5590;
BgL_tmpz00_5590 = 
(int)(((long)1)); 
BgL_tmpz00_2466 = 
BGL_MVALUES_VAL(BgL_tmpz00_5590); } 
{ /* Llib/engine.scm 687 */
 int BgL_tmpz00_5593;
BgL_tmpz00_5593 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5593, BUNSPEC); } 
BgL_jz00_1239 = BgL_tmpz00_2466; } 
{ /* Llib/engine.scm 689 */
 obj_t BgL_zc3z04anonymousza32282ze3z87_3091;
BgL_zc3z04anonymousza32282ze3z87_3091 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32282ze3ze5zz__sqlite_enginez00, 
(int)(((long)2)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32282ze3z87_3091, 
(int)(((long)0)), BgL_iz00_1238); 
PROCEDURE_SET(BgL_zc3z04anonymousza32282ze3z87_3091, 
(int)(((long)1)), BgL_jz00_1239); 
{ /* Llib/engine.scm 687 */
 int BgL_tmpz00_5603;
BgL_tmpz00_5603 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5603); } 
{ /* Llib/engine.scm 687 */
 int BgL_tmpz00_5606;
BgL_tmpz00_5606 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5606, BFALSE); } 
return BgL_zc3z04anonymousza32282ze3z87_3091;} } } }  else 
{ /* Llib/engine.scm 665 */
BgL_tagzd2124zd2_1151:
{ /* Llib/engine.scm 716 */
 BgL_z62errorz62_bglt BgL_arg2305z00_1289;
{ /* Llib/engine.scm 716 */
 BgL_z62errorz62_bglt BgL_new1138z00_1290;
{ /* Llib/engine.scm 716 */
 BgL_z62errorz62_bglt BgL_new1137z00_1294;
BgL_new1137z00_1294 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 716 */
 long BgL_arg2309z00_1295;
BgL_arg2309z00_1295 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1137z00_1294), BgL_arg2309z00_1295); } 
BgL_new1138z00_1290 = BgL_new1137z00_1294; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1138z00_1290)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1138z00_1290)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5619;
{ /* Llib/engine.scm 716 */
 obj_t BgL_arg2306z00_1291;
{ /* Llib/engine.scm 716 */
 obj_t BgL_arg2307z00_1292;
{ /* Llib/engine.scm 716 */
 obj_t BgL_classz00_2493;
BgL_classz00_2493 = BGl_z62errorz62zz__objectz00; 
BgL_arg2307z00_1292 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2493); } 
BgL_arg2306z00_1291 = 
VECTOR_REF(BgL_arg2307z00_1292,((long)2)); } 
BgL_auxz00_5619 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2306z00_1291); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1138z00_1290)))->BgL_stackz00)=((obj_t)BgL_auxz00_5619),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1138z00_1290))->BgL_procz00)=((obj_t)BGl_string2804z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5626;
{ /* Llib/engine.scm 718 */
 obj_t BgL_list2308z00_1293;
BgL_list2308z00_1293 = 
MAKE_YOUNG_PAIR(BgL_exprz00_91, BNIL); 
BgL_auxz00_5626 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2805z00zz__sqlite_enginez00, BgL_list2308z00_1293); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1138z00_1290))->BgL_msgz00)=((obj_t)BgL_auxz00_5626),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1138z00_1290))->BgL_objz00)=((obj_t)BgL_objz00_93),BUNSPEC); 
BgL_arg2305z00_1289 = BgL_new1138z00_1290; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2305z00_1289));} } }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} }  else 
{ /* Llib/engine.scm 665 */
if(
(
CAR(BgL_exprz00_91)==
CNST_TABLE_REF(((long)12))))
{ /* Llib/engine.scm 665 */
if(
PAIRP(BgL_cdrzd2142zd2_1158))
{ /* Llib/engine.scm 665 */
 obj_t BgL_cdrzd2182zd2_1173;
BgL_cdrzd2182zd2_1173 = 
CDR(BgL_cdrzd2142zd2_1158); 
if(
PAIRP(BgL_cdrzd2182zd2_1173))
{ /* Llib/engine.scm 665 */
 obj_t BgL_carzd2186zd2_1175;
BgL_carzd2186zd2_1175 = 
CAR(BgL_cdrzd2182zd2_1173); 
if(
PAIRP(BgL_carzd2186zd2_1175))
{ /* Llib/engine.scm 665 */
 obj_t BgL_cdrzd2191zd2_1177;
BgL_cdrzd2191zd2_1177 = 
CDR(BgL_carzd2186zd2_1175); 
if(
(
CAR(BgL_carzd2186zd2_1175)==
CNST_TABLE_REF(((long)4))))
{ /* Llib/engine.scm 665 */
if(
PAIRP(BgL_cdrzd2191zd2_1177))
{ /* Llib/engine.scm 665 */
 obj_t BgL_cdrzd2195zd2_1181;
BgL_cdrzd2195zd2_1181 = 
CDR(BgL_cdrzd2191zd2_1177); 
if(
PAIRP(BgL_cdrzd2195zd2_1181))
{ /* Llib/engine.scm 665 */
if(
NULLP(
CDR(BgL_cdrzd2195zd2_1181)))
{ /* Llib/engine.scm 665 */
if(
NULLP(
CDR(BgL_cdrzd2182zd2_1173)))
{ /* Llib/engine.scm 665 */
BgL_aggregatorz00_1147 = 
CAR(BgL_cdrzd2142zd2_1158); 
BgL_tablezd2namezd2_1148 = 
CAR(BgL_cdrzd2191zd2_1177); 
BgL_namez00_1149 = 
CAR(BgL_cdrzd2195zd2_1181); 
{ /* Llib/engine.scm 692 */
 obj_t BgL_iz00_1249;
BgL_iz00_1249 = 
BGl_findzd2columnzd2offsetz00zz__sqlite_enginez00(BgL_objz00_93, BgL_envz00_92, BgL_tablezd2namezd2_1148, BgL_namez00_1149); 
{ /* Llib/engine.scm 693 */
 obj_t BgL_jz00_1250;
{ /* Llib/engine.scm 694 */
 obj_t BgL_tmpz00_2473;
{ /* Llib/engine.scm 694 */
 int BgL_tmpz00_5662;
BgL_tmpz00_5662 = 
(int)(((long)1)); 
BgL_tmpz00_2473 = 
BGL_MVALUES_VAL(BgL_tmpz00_5662); } 
{ /* Llib/engine.scm 694 */
 int BgL_tmpz00_5665;
BgL_tmpz00_5665 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5665, BUNSPEC); } 
BgL_jz00_1250 = BgL_tmpz00_2473; } 
{ /* Llib/engine.scm 694 */
 obj_t BgL_opz00_1251;
if(
(BgL_aggregatorz00_1147==
CNST_TABLE_REF(((long)8))))
{ /* Llib/engine.scm 694 */
BgL_opz00_1251 = BGl_sqltinymaxzd2envzd2zz__sqlite_enginez00; }  else 
{ /* Llib/engine.scm 694 */
if(
(BgL_aggregatorz00_1147==
CNST_TABLE_REF(((long)9))))
{ /* Llib/engine.scm 694 */
BgL_opz00_1251 = BGl_sqltinyminzd2envzd2zz__sqlite_enginez00; }  else 
{ /* Llib/engine.scm 694 */
if(
(BgL_aggregatorz00_1147==
CNST_TABLE_REF(((long)10))))
{ /* Llib/engine.scm 694 */
BgL_opz00_1251 = BGl_proc2803z00zz__sqlite_enginez00; }  else 
{ /* Llib/engine.scm 703 */
 BgL_z62errorz62_bglt BgL_arg2300z00_1282;
{ /* Llib/engine.scm 703 */
 BgL_z62errorz62_bglt BgL_new1136z00_1283;
{ /* Llib/engine.scm 703 */
 BgL_z62errorz62_bglt BgL_new1135z00_1287;
BgL_new1135z00_1287 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 703 */
 long BgL_arg2304z00_1288;
BgL_arg2304z00_1288 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1135z00_1287), BgL_arg2304z00_1288); } 
BgL_new1136z00_1283 = BgL_new1135z00_1287; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1136z00_1283)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1136z00_1283)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5685;
{ /* Llib/engine.scm 703 */
 obj_t BgL_arg2301z00_1284;
{ /* Llib/engine.scm 703 */
 obj_t BgL_arg2302z00_1285;
{ /* Llib/engine.scm 703 */
 obj_t BgL_classz00_2481;
BgL_classz00_2481 = BGl_z62errorz62zz__objectz00; 
BgL_arg2302z00_1285 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2481); } 
BgL_arg2301z00_1284 = 
VECTOR_REF(BgL_arg2302z00_1285,((long)2)); } 
BgL_auxz00_5685 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2301z00_1284); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1136z00_1283)))->BgL_stackz00)=((obj_t)BgL_auxz00_5685),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1136z00_1283))->BgL_procz00)=((obj_t)BGl_string2804z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5692;
{ /* Llib/engine.scm 705 */
 obj_t BgL_list2303z00_1286;
BgL_list2303z00_1286 = 
MAKE_YOUNG_PAIR(BgL_exprz00_91, BNIL); 
BgL_auxz00_5692 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2805z00zz__sqlite_enginez00, BgL_list2303z00_1286); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1136z00_1283))->BgL_msgz00)=((obj_t)BgL_auxz00_5692),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1136z00_1283))->BgL_objz00)=((obj_t)BgL_objz00_93),BUNSPEC); 
BgL_arg2300z00_1282 = BgL_new1136z00_1283; } 
BgL_opz00_1251 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2300z00_1282)); } } } 
{ /* Llib/engine.scm 709 */
 obj_t BgL_zc3z04anonymousza32286ze3z87_3089;
BgL_zc3z04anonymousza32286ze3z87_3089 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32286ze3ze5zz__sqlite_enginez00, 
(int)(((long)2)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32286ze3z87_3089, 
(int)(((long)0)), BgL_iz00_1249); 
PROCEDURE_SET(BgL_zc3z04anonymousza32286ze3z87_3089, 
(int)(((long)1)), BgL_jz00_1250); 
PROCEDURE_SET(BgL_zc3z04anonymousza32286ze3z87_3089, 
(int)(((long)2)), BgL_opz00_1251); 
{ /* Llib/engine.scm 707 */
 int BgL_tmpz00_5708;
BgL_tmpz00_5708 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5708); } 
{ /* Llib/engine.scm 707 */
 int BgL_tmpz00_5711;
BgL_tmpz00_5711 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5711, BTRUE); } 
return BgL_zc3z04anonymousza32286ze3z87_3089;} } } } }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} } } }  else 
{ /* Llib/engine.scm 665 */
goto BgL_tagzd2124zd2_1151;} } } } 

}



/* &<@anonymous:2286> */
obj_t BGl_z62zc3z04anonymousza32286ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3094, obj_t BgL_rowz00_3098, obj_t BgL_rowsz00_3099)
{
{ /* Llib/engine.scm 708 */
{ /* Llib/engine.scm 709 */
 obj_t BgL_iz00_3095; obj_t BgL_jz00_3096; obj_t BgL_opz00_3097;
BgL_iz00_3095 = 
PROCEDURE_REF(BgL_envz00_3094, 
(int)(((long)0))); 
BgL_jz00_3096 = 
PROCEDURE_REF(BgL_envz00_3094, 
(int)(((long)1))); 
BgL_opz00_3097 = 
PROCEDURE_REF(BgL_envz00_3094, 
(int)(((long)2))); 
{ /* Llib/engine.scm 709 */
 obj_t BgL_res2826z00_3498;
{ /* Llib/engine.scm 709 */
 obj_t BgL_asz00_3486;
if(
NULLP(BgL_rowsz00_3099))
{ /* Llib/engine.scm 709 */
BgL_asz00_3486 = BNIL; }  else 
{ /* Llib/engine.scm 709 */
 obj_t BgL_head1341z00_3487;
BgL_head1341z00_3487 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1339z00_3489; obj_t BgL_tail1342z00_3490;
BgL_l1339z00_3489 = BgL_rowsz00_3099; 
BgL_tail1342z00_3490 = BgL_head1341z00_3487; 
BgL_zc3z04anonymousza32290ze3z87_3488:
if(
NULLP(BgL_l1339z00_3489))
{ /* Llib/engine.scm 709 */
BgL_asz00_3486 = 
CDR(BgL_head1341z00_3487); }  else 
{ /* Llib/engine.scm 709 */
 obj_t BgL_newtail1343z00_3491;
{ /* Llib/engine.scm 709 */
 obj_t BgL_arg2293z00_3492;
{ /* Llib/engine.scm 710 */
 obj_t BgL_arg2294z00_3493;
BgL_arg2294z00_3493 = 
bgl_list_ref(
CAR(
((obj_t)BgL_l1339z00_3489)), 
(long)CINT(BgL_iz00_3095)); 
{ /* Llib/engine.scm 710 */
 long BgL_kz00_3494;
BgL_kz00_3494 = 
(long)CINT(BgL_jz00_3096); 
BgL_arg2293z00_3492 = 
VECTOR_REF(
((obj_t)BgL_arg2294z00_3493),BgL_kz00_3494); } } 
BgL_newtail1343z00_3491 = 
MAKE_YOUNG_PAIR(BgL_arg2293z00_3492, BNIL); } 
SET_CDR(BgL_tail1342z00_3490, BgL_newtail1343z00_3491); 
{ /* Llib/engine.scm 709 */
 obj_t BgL_arg2292z00_3495;
BgL_arg2292z00_3495 = 
CDR(
((obj_t)BgL_l1339z00_3489)); 
{ 
 obj_t BgL_tail1342z00_5741; obj_t BgL_l1339z00_5740;
BgL_l1339z00_5740 = BgL_arg2292z00_3495; 
BgL_tail1342z00_5741 = BgL_newtail1343z00_3491; 
BgL_tail1342z00_3490 = BgL_tail1342z00_5741; 
BgL_l1339z00_3489 = BgL_l1339z00_5740; 
goto BgL_zc3z04anonymousza32290ze3z87_3488;} } } } } 
{ /* Llib/engine.scm 712 */
 obj_t BgL_arg2287z00_3496;
BgL_arg2287z00_3496 = 
PROCEDURE_ENTRY(BgL_opz00_3097)(BgL_opz00_3097, BgL_asz00_3486, BEOA); 
{ /* Llib/engine.scm 712 */
 obj_t BgL_list2288z00_3497;
BgL_list2288z00_3497 = 
MAKE_YOUNG_PAIR(BgL_arg2287z00_3496, BNIL); 
BgL_res2826z00_3498 = BgL_list2288z00_3497; } } } 
return BgL_res2826z00_3498;} } } 

}



/* &<@anonymous:2298> */
obj_t BGl_z62zc3z04anonymousza32298ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3100, obj_t BgL_lz00_3101)
{
{ /* Llib/engine.scm 700 */
return 
BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_lz00_3101);} 

}



/* &<@anonymous:2282> */
obj_t BGl_z62zc3z04anonymousza32282ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3102, obj_t BgL_rowz00_3105, obj_t BgL_rowsz00_3106)
{
{ /* Llib/engine.scm 688 */
{ /* Llib/engine.scm 689 */
 obj_t BgL_iz00_3103; obj_t BgL_jz00_3104;
BgL_iz00_3103 = 
PROCEDURE_REF(BgL_envz00_3102, 
(int)(((long)0))); 
BgL_jz00_3104 = 
PROCEDURE_REF(BgL_envz00_3102, 
(int)(((long)1))); 
{ /* Llib/engine.scm 689 */
 obj_t BgL_res2827z00_3503;
{ /* Llib/engine.scm 689 */
 obj_t BgL_arg2283z00_3499;
{ /* Llib/engine.scm 689 */
 obj_t BgL_arg2285z00_3500;
BgL_arg2285z00_3500 = 
bgl_list_ref(BgL_rowz00_3105, 
(long)CINT(BgL_iz00_3103)); 
{ /* Llib/engine.scm 689 */
 long BgL_kz00_3501;
BgL_kz00_3501 = 
(long)CINT(BgL_jz00_3104); 
BgL_arg2283z00_3499 = 
VECTOR_REF(
((obj_t)BgL_arg2285z00_3500),BgL_kz00_3501); } } 
{ /* Llib/engine.scm 689 */
 obj_t BgL_list2284z00_3502;
BgL_list2284z00_3502 = 
MAKE_YOUNG_PAIR(BgL_arg2283z00_3499, BNIL); 
BgL_res2827z00_3503 = BgL_list2284z00_3502; } } 
return BgL_res2827z00_3503;} } } 

}



/* &<@anonymous:2279> */
obj_t BGl_z62zc3z04anonymousza32279ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3107, obj_t BgL_rowz00_3109, obj_t BgL_rowsz00_3110)
{
{ /* Llib/engine.scm 681 */
{ /* Llib/engine.scm 682 */
 obj_t BgL_iz00_3108;
BgL_iz00_3108 = 
PROCEDURE_REF(BgL_envz00_3107, 
(int)(((long)0))); 
{ /* Llib/engine.scm 682 */
 obj_t BgL_arg2280z00_3504;
BgL_arg2280z00_3504 = 
BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(
bgl_list_ref(BgL_rowz00_3109, 
(long)CINT(BgL_iz00_3108))); 
return 
CDR(
((obj_t)BgL_arg2280z00_3504));} } } 

}



/* &<@anonymous:2266> */
obj_t BGl_z62zc3z04anonymousza32266ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3111, obj_t BgL_rowz00_3113, obj_t BgL_rowsz00_3114)
{
{ /* Llib/engine.scm 669 */
return 
BGl_zc3z04anonymousza32267ze3ze70z60zz__sqlite_enginez00(
PROCEDURE_REF(BgL_envz00_3111, 
(int)(((long)0))), BgL_rowz00_3113);} 

}



/* <@anonymous:2267>~0 */
obj_t BGl_zc3z04anonymousza32267ze3ze70z60zz__sqlite_enginez00(obj_t BgL_tblz00_3244, obj_t BgL_l1332z00_1203)
{
{ /* Llib/engine.scm 670 */
if(
NULLP(BgL_l1332z00_1203))
{ /* Llib/engine.scm 670 */
return BNIL;}  else 
{ /* Llib/engine.scm 671 */
 obj_t BgL_arg2269z00_1206; obj_t BgL_arg2270z00_1207;
{ /* Llib/engine.scm 671 */
 obj_t BgL_vz00_1208;
BgL_vz00_1208 = 
CAR(
((obj_t)BgL_l1332z00_1203)); 
{ /* Llib/engine.scm 671 */
 obj_t BgL_l1326z00_1209;
BgL_l1326z00_1209 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tblz00_3244)))->BgL_za2columnsza2); 
if(
NULLP(BgL_l1326z00_1209))
{ /* Llib/engine.scm 671 */
BgL_arg2269z00_1206 = BNIL; }  else 
{ /* Llib/engine.scm 671 */
 obj_t BgL_head1328z00_1211;
BgL_head1328z00_1211 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1326z00_1213; obj_t BgL_tail1329z00_1214;
BgL_l1326z00_1213 = BgL_l1326z00_1209; 
BgL_tail1329z00_1214 = BgL_head1328z00_1211; 
BgL_zc3z04anonymousza32272ze3z87_1215:
if(
NULLP(BgL_l1326z00_1213))
{ /* Llib/engine.scm 671 */
BgL_arg2269z00_1206 = 
CDR(BgL_head1328z00_1211); }  else 
{ /* Llib/engine.scm 671 */
 obj_t BgL_newtail1330z00_1217;
{ /* Llib/engine.scm 671 */
 obj_t BgL_arg2275z00_1219;
{ /* Llib/engine.scm 672 */
 BgL_z42sqltinyzd2columnz90_bglt BgL_i1133z00_1221;
BgL_i1133z00_1221 = 
((BgL_z42sqltinyzd2columnz90_bglt)
CAR(
((obj_t)BgL_l1326z00_1213))); 
{ /* Llib/engine.scm 673 */
 int BgL_arg2276z00_1222;
BgL_arg2276z00_1222 = 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(BgL_i1133z00_1221))->BgL_indexz00); 
{ /* Llib/engine.scm 673 */
 long BgL_kz00_2459;
BgL_kz00_2459 = 
(long)(BgL_arg2276z00_1222); 
BgL_arg2275z00_1219 = 
VECTOR_REF(
((obj_t)BgL_vz00_1208),BgL_kz00_2459); } } } 
BgL_newtail1330z00_1217 = 
MAKE_YOUNG_PAIR(BgL_arg2275z00_1219, BNIL); } 
SET_CDR(BgL_tail1329z00_1214, BgL_newtail1330z00_1217); 
{ /* Llib/engine.scm 671 */
 obj_t BgL_arg2274z00_1218;
BgL_arg2274z00_1218 = 
CDR(
((obj_t)BgL_l1326z00_1213)); 
{ 
 obj_t BgL_tail1329z00_5792; obj_t BgL_l1326z00_5791;
BgL_l1326z00_5791 = BgL_arg2274z00_1218; 
BgL_tail1329z00_5792 = BgL_newtail1330z00_1217; 
BgL_tail1329z00_1214 = BgL_tail1329z00_5792; 
BgL_l1326z00_1213 = BgL_l1326z00_5791; 
goto BgL_zc3z04anonymousza32272ze3z87_1215;} } } } } } } 
{ /* Llib/engine.scm 670 */
 obj_t BgL_arg2277z00_1225;
BgL_arg2277z00_1225 = 
CDR(
((obj_t)BgL_l1332z00_1203)); 
BgL_arg2270z00_1207 = 
BGl_zc3z04anonymousza32267ze3ze70z60zz__sqlite_enginez00(BgL_tblz00_3244, BgL_arg2277z00_1225); } 
return 
bgl_append2(BgL_arg2269z00_1206, BgL_arg2270z00_1207);} } 

}



/* compile-expr */
obj_t BGl_compilezd2exprzd2zz__sqlite_enginez00(obj_t BgL_exprz00_95, obj_t BgL_envz00_96, obj_t BgL_objz00_97, BgL_z42sqltinyz42_bglt BgL_builtinz00_98)
{
{ /* Llib/engine.scm 724 */
{ 
 obj_t BgL_opz00_1328; obj_t BgL_noz00_1329; obj_t BgL_stringz00_1330; obj_t BgL_patternz00_1331; obj_t BgL_opz00_1310; obj_t BgL_exprz00_1311; obj_t BgL_selectzd2statementzd2_1312; obj_t BgL_selectzd2statementzd2_1308; obj_t BgL_opz00_1304; obj_t BgL_expr1z00_1305; obj_t BgL_expr2z00_1306; obj_t BgL_exprz00_1302; obj_t BgL_exprz00_1300;
if(
(BgL_exprz00_95==BTRUE))
{ /* Llib/engine.scm 727 */
 obj_t BgL_zc3z04anonymousza32426ze3z87_3119;
BgL_zc3z04anonymousza32426ze3z87_3119 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32426ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32426ze3z87_3119, 
(int)(((long)0)), BgL_exprz00_95); 
return BgL_zc3z04anonymousza32426ze3z87_3119;}  else 
{ /* Llib/engine.scm 725 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_exprz00_95))
{ /* Llib/engine.scm 727 */
 obj_t BgL_zc3z04anonymousza32426ze3z87_3120;
BgL_zc3z04anonymousza32426ze3z87_3120 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32426ze32695ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32426ze3z87_3120, 
(int)(((long)0)), BgL_exprz00_95); 
return BgL_zc3z04anonymousza32426ze3z87_3120;}  else 
{ /* Llib/engine.scm 725 */
if(
STRINGP(BgL_exprz00_95))
{ /* Llib/engine.scm 727 */
 obj_t BgL_zc3z04anonymousza32426ze3z87_3121;
BgL_zc3z04anonymousza32426ze3z87_3121 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32426ze32696ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32426ze3z87_3121, 
(int)(((long)0)), BgL_exprz00_95); 
return BgL_zc3z04anonymousza32426ze3z87_3121;}  else 
{ /* Llib/engine.scm 725 */
if(
PAIRP(BgL_exprz00_95))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd2268zd2_1339;
BgL_cdrzd2268zd2_1339 = 
CDR(BgL_exprz00_95); 
if(
(
CAR(BgL_exprz00_95)==
CNST_TABLE_REF(((long)4))))
{ /* Llib/engine.scm 725 */
if(
PAIRP(BgL_cdrzd2268zd2_1339))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd2272zd2_1343;
BgL_cdrzd2272zd2_1343 = 
CDR(BgL_cdrzd2268zd2_1339); 
if(
PAIRP(BgL_cdrzd2272zd2_1343))
{ /* Llib/engine.scm 725 */
if(
NULLP(
CDR(BgL_cdrzd2272zd2_1343)))
{ /* Llib/engine.scm 725 */
 obj_t BgL_arg2320z00_1347; obj_t BgL_arg2321z00_1348;
BgL_arg2320z00_1347 = 
CAR(BgL_cdrzd2268zd2_1339); 
BgL_arg2321z00_1348 = 
CAR(BgL_cdrzd2272zd2_1343); 
{ /* Llib/engine.scm 729 */
 obj_t BgL_iz00_2598;
BgL_iz00_2598 = 
BGl_findzd2columnzd2offsetz00zz__sqlite_enginez00(BgL_objz00_97, BgL_envz00_96, BgL_arg2320z00_1347, BgL_arg2321z00_1348); 
{ /* Llib/engine.scm 730 */
 obj_t BgL_jz00_2599;
{ /* Llib/engine.scm 731 */
 obj_t BgL_tmpz00_2603;
{ /* Llib/engine.scm 731 */
 int BgL_tmpz00_5836;
BgL_tmpz00_5836 = 
(int)(((long)1)); 
BgL_tmpz00_2603 = 
BGL_MVALUES_VAL(BgL_tmpz00_5836); } 
{ /* Llib/engine.scm 731 */
 int BgL_tmpz00_5839;
BgL_tmpz00_5839 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5839, BUNSPEC); } 
BgL_jz00_2599 = BgL_tmpz00_2603; } 
{ /* Llib/engine.scm 731 */
 obj_t BgL_zc3z04anonymousza32427ze3z87_3122;
BgL_zc3z04anonymousza32427ze3z87_3122 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32427ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32427ze3z87_3122, 
(int)(((long)0)), BgL_iz00_2598); 
PROCEDURE_SET(BgL_zc3z04anonymousza32427ze3z87_3122, 
(int)(((long)1)), BgL_jz00_2599); 
return BgL_zc3z04anonymousza32427ze3z87_3122;} } } }  else 
{ /* Llib/engine.scm 725 */
BgL_tagzd2223zd2_1333:
{ /* Llib/engine.scm 838 */
 BgL_z62errorz62_bglt BgL_arg2505z00_1637;
{ /* Llib/engine.scm 838 */
 BgL_z62errorz62_bglt BgL_new1149z00_1638;
{ /* Llib/engine.scm 838 */
 BgL_z62errorz62_bglt BgL_new1148z00_1642;
BgL_new1148z00_1642 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 838 */
 long BgL_arg2509z00_1643;
BgL_arg2509z00_1643 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_1642), BgL_arg2509z00_1643); } 
BgL_new1149z00_1638 = BgL_new1148z00_1642; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1149z00_1638)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1149z00_1638)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5857;
{ /* Llib/engine.scm 838 */
 obj_t BgL_arg2506z00_1639;
{ /* Llib/engine.scm 838 */
 obj_t BgL_arg2507z00_1640;
{ /* Llib/engine.scm 838 */
 obj_t BgL_classz00_2584;
BgL_classz00_2584 = BGl_z62errorz62zz__objectz00; 
BgL_arg2507z00_1640 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2584); } 
BgL_arg2506z00_1639 = 
VECTOR_REF(BgL_arg2507z00_1640,((long)2)); } 
BgL_auxz00_5857 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2506z00_1639); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1149z00_1638)))->BgL_stackz00)=((obj_t)BgL_auxz00_5857),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1149z00_1638))->BgL_procz00)=((obj_t)BGl_string2806z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5864;
{ /* Llib/engine.scm 840 */
 obj_t BgL_list2508z00_1641;
BgL_list2508z00_1641 = 
MAKE_YOUNG_PAIR(BgL_exprz00_95, BNIL); 
BgL_auxz00_5864 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2805z00zz__sqlite_enginez00, BgL_list2508z00_1641); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1149z00_1638))->BgL_msgz00)=((obj_t)BgL_auxz00_5864),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1149z00_1638))->BgL_objz00)=((obj_t)BgL_objz00_97),BUNSPEC); 
BgL_arg2505z00_1637 = BgL_new1149z00_1638; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2505z00_1637));} } }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
if(
(
CAR(BgL_exprz00_95)==
CNST_TABLE_REF(((long)26))))
{ /* Llib/engine.scm 725 */
if(
PAIRP(BgL_cdrzd2268zd2_1339))
{ /* Llib/engine.scm 725 */
if(
NULLP(
CDR(BgL_cdrzd2268zd2_1339)))
{ /* Llib/engine.scm 725 */
BgL_exprz00_1300 = 
CAR(BgL_cdrzd2268zd2_1339); 
{ /* Llib/engine.scm 734 */
 obj_t BgL_c1z00_1484;
BgL_c1z00_1484 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_exprz00_1300, BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98); 
{ /* Llib/engine.scm 735 */
 obj_t BgL_zc3z04anonymousza32429ze3z87_3139;
BgL_zc3z04anonymousza32429ze3z87_3139 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32429ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32429ze3z87_3139, 
(int)(((long)0)), BgL_c1z00_1484); 
return BgL_zc3z04anonymousza32429ze3z87_3139;} } }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd2970zd2_1358;
BgL_cdrzd2970zd2_1358 = 
CDR(BgL_exprz00_95); 
if(
(
CAR(BgL_exprz00_95)==
CNST_TABLE_REF(((long)27))))
{ /* Llib/engine.scm 725 */
if(
PAIRP(BgL_cdrzd2970zd2_1358))
{ /* Llib/engine.scm 725 */
if(
NULLP(
CDR(BgL_cdrzd2970zd2_1358)))
{ /* Llib/engine.scm 725 */
BgL_exprz00_1302 = 
CAR(BgL_cdrzd2970zd2_1358); 
{ /* Llib/engine.scm 738 */
 obj_t BgL_c1z00_1488;
BgL_c1z00_1488 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_exprz00_1302, BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98); 
{ /* Llib/engine.scm 739 */
 obj_t BgL_zc3z04anonymousza32431ze3z87_3138;
BgL_zc3z04anonymousza32431ze3z87_3138 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32431ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32431ze3z87_3138, 
(int)(((long)0)), BgL_c1z00_1488); 
return BgL_zc3z04anonymousza32431ze3z87_3138;} } }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
if(
(
CAR(BgL_exprz00_95)==
CNST_TABLE_REF(((long)6))))
{ /* Llib/engine.scm 725 */
if(
PAIRP(BgL_cdrzd2970zd2_1358))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21203zd2_1370;
BgL_cdrzd21203zd2_1370 = 
CDR(BgL_cdrzd2970zd2_1358); 
if(
PAIRP(BgL_cdrzd21203zd2_1370))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21208zd2_1372;
BgL_cdrzd21208zd2_1372 = 
CDR(BgL_cdrzd21203zd2_1370); 
if(
PAIRP(BgL_cdrzd21208zd2_1372))
{ /* Llib/engine.scm 725 */
if(
NULLP(
CDR(BgL_cdrzd21208zd2_1372)))
{ /* Llib/engine.scm 725 */
BgL_opz00_1304 = 
CAR(BgL_cdrzd2970zd2_1358); 
BgL_expr1z00_1305 = 
CAR(BgL_cdrzd21203zd2_1370); 
BgL_expr2z00_1306 = 
CAR(BgL_cdrzd21208zd2_1372); 
{ /* Llib/engine.scm 742 */
 obj_t BgL_c1z00_1494; obj_t BgL_c2z00_1495;
BgL_c1z00_1494 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_expr1z00_1305, BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98); 
BgL_c2z00_1495 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_expr2z00_1306, BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98); 
if(
(BgL_opz00_1304==
CNST_TABLE_REF(((long)5))))
{ /* Llib/engine.scm 746 */
 obj_t BgL_zc3z04anonymousza32436ze3z87_3130;
BgL_zc3z04anonymousza32436ze3z87_3130 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32436ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32436ze3z87_3130, 
(int)(((long)0)), BgL_c1z00_1494); 
PROCEDURE_SET(BgL_zc3z04anonymousza32436ze3z87_3130, 
(int)(((long)1)), BgL_c2z00_1495); 
return BgL_zc3z04anonymousza32436ze3z87_3130;}  else 
{ /* Llib/engine.scm 744 */
if(
(BgL_opz00_1304==
CNST_TABLE_REF(((long)13))))
{ /* Llib/engine.scm 749 */
 obj_t BgL_zc3z04anonymousza32440ze3z87_3131;
BgL_zc3z04anonymousza32440ze3z87_3131 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32440ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32440ze3z87_3131, 
(int)(((long)0)), BgL_c1z00_1494); 
PROCEDURE_SET(BgL_zc3z04anonymousza32440ze3z87_3131, 
(int)(((long)1)), BgL_c2z00_1495); 
return BgL_zc3z04anonymousza32440ze3z87_3131;}  else 
{ /* Llib/engine.scm 744 */
if(
(BgL_opz00_1304==
CNST_TABLE_REF(((long)14))))
{ /* Llib/engine.scm 752 */
 obj_t BgL_zc3z04anonymousza32444ze3z87_3132;
BgL_zc3z04anonymousza32444ze3z87_3132 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32444ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32444ze3z87_3132, 
(int)(((long)0)), BgL_c1z00_1494); 
PROCEDURE_SET(BgL_zc3z04anonymousza32444ze3z87_3132, 
(int)(((long)1)), BgL_c2z00_1495); 
return BgL_zc3z04anonymousza32444ze3z87_3132;}  else 
{ /* Llib/engine.scm 744 */
if(
(BgL_opz00_1304==
CNST_TABLE_REF(((long)15))))
{ /* Llib/engine.scm 755 */
 obj_t BgL_zc3z04anonymousza32448ze3z87_3133;
BgL_zc3z04anonymousza32448ze3z87_3133 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32448ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32448ze3z87_3133, 
(int)(((long)0)), BgL_c1z00_1494); 
PROCEDURE_SET(BgL_zc3z04anonymousza32448ze3z87_3133, 
(int)(((long)1)), BgL_c2z00_1495); 
return BgL_zc3z04anonymousza32448ze3z87_3133;}  else 
{ /* Llib/engine.scm 744 */
if(
(BgL_opz00_1304==
CNST_TABLE_REF(((long)16))))
{ /* Llib/engine.scm 758 */
 obj_t BgL_zc3z04anonymousza32452ze3z87_3134;
BgL_zc3z04anonymousza32452ze3z87_3134 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32452ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32452ze3z87_3134, 
(int)(((long)0)), BgL_c1z00_1494); 
PROCEDURE_SET(BgL_zc3z04anonymousza32452ze3z87_3134, 
(int)(((long)1)), BgL_c2z00_1495); 
return BgL_zc3z04anonymousza32452ze3z87_3134;}  else 
{ /* Llib/engine.scm 744 */
 bool_t BgL_test3122z00_5971;
{ /* Llib/engine.scm 744 */
 bool_t BgL__ortest_1139z00_1546;
BgL__ortest_1139z00_1546 = 
(BgL_opz00_1304==
CNST_TABLE_REF(((long)17))); 
if(BgL__ortest_1139z00_1546)
{ /* Llib/engine.scm 744 */
BgL_test3122z00_5971 = BgL__ortest_1139z00_1546
; }  else 
{ /* Llib/engine.scm 744 */
BgL_test3122z00_5971 = 
(BgL_opz00_1304==
CNST_TABLE_REF(((long)18)))
; } } 
if(BgL_test3122z00_5971)
{ /* Llib/engine.scm 761 */
 obj_t BgL_zc3z04anonymousza32456ze3z87_3135;
BgL_zc3z04anonymousza32456ze3z87_3135 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32456ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_3135, 
(int)(((long)0)), BgL_c1z00_1494); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_3135, 
(int)(((long)1)), BgL_c2z00_1495); 
return BgL_zc3z04anonymousza32456ze3z87_3135;}  else 
{ /* Llib/engine.scm 744 */
if(
(BgL_opz00_1304==
CNST_TABLE_REF(((long)19))))
{ /* Llib/engine.scm 764 */
 obj_t BgL_zc3z04anonymousza32463ze3z87_3136;
BgL_zc3z04anonymousza32463ze3z87_3136 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32463ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32463ze3z87_3136, 
(int)(((long)0)), BgL_c1z00_1494); 
PROCEDURE_SET(BgL_zc3z04anonymousza32463ze3z87_3136, 
(int)(((long)1)), BgL_c2z00_1495); 
return BgL_zc3z04anonymousza32463ze3z87_3136;}  else 
{ /* Llib/engine.scm 744 */
if(
(BgL_opz00_1304==
CNST_TABLE_REF(((long)20))))
{ /* Llib/engine.scm 767 */
 obj_t BgL_zc3z04anonymousza32465ze3z87_3137;
BgL_zc3z04anonymousza32465ze3z87_3137 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32465ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32465ze3z87_3137, 
(int)(((long)0)), BgL_c1z00_1494); 
PROCEDURE_SET(BgL_zc3z04anonymousza32465ze3z87_3137, 
(int)(((long)1)), BgL_c2z00_1495); 
return BgL_zc3z04anonymousza32465ze3z87_3137;}  else 
{ /* Llib/engine.scm 771 */
 BgL_z62errorz62_bglt BgL_arg2466z00_1539;
{ /* Llib/engine.scm 771 */
 BgL_z62errorz62_bglt BgL_new1143z00_1540;
{ /* Llib/engine.scm 771 */
 BgL_z62errorz62_bglt BgL_new1142z00_1544;
BgL_new1142z00_1544 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 771 */
 long BgL_arg2470z00_1545;
BgL_arg2470z00_1545 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_1544), BgL_arg2470z00_1545); } 
BgL_new1143z00_1540 = BgL_new1142z00_1544; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1540)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1540)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6012;
{ /* Llib/engine.scm 771 */
 obj_t BgL_arg2467z00_1541;
{ /* Llib/engine.scm 771 */
 obj_t BgL_arg2468z00_1542;
{ /* Llib/engine.scm 771 */
 obj_t BgL_classz00_2551;
BgL_classz00_2551 = BGl_z62errorz62zz__objectz00; 
BgL_arg2468z00_1542 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2551); } 
BgL_arg2467z00_1541 = 
VECTOR_REF(BgL_arg2468z00_1542,((long)2)); } 
BgL_auxz00_6012 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2467z00_1541); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1540)))->BgL_stackz00)=((obj_t)BgL_auxz00_6012),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1143z00_1540))->BgL_procz00)=((obj_t)BGl_string2806z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6019;
{ /* Llib/engine.scm 773 */
 obj_t BgL_list2469z00_1543;
BgL_list2469z00_1543 = 
MAKE_YOUNG_PAIR(BgL_exprz00_95, BNIL); 
BgL_auxz00_6019 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2805z00zz__sqlite_enginez00, BgL_list2469z00_1543); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1143z00_1540))->BgL_msgz00)=((obj_t)BgL_auxz00_6019),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1143z00_1540))->BgL_objz00)=((obj_t)BgL_objz00_97),BUNSPEC); 
BgL_arg2466z00_1539 = BgL_new1143z00_1540; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2466z00_1539));} } } } } } } } } }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21555zd2_1380;
BgL_cdrzd21555zd2_1380 = 
CDR(BgL_exprz00_95); 
if(
(
CAR(BgL_exprz00_95)==
CNST_TABLE_REF(((long)28))))
{ /* Llib/engine.scm 725 */
if(
PAIRP(BgL_cdrzd21555zd2_1380))
{ /* Llib/engine.scm 725 */
if(
NULLP(
CDR(BgL_cdrzd21555zd2_1380)))
{ /* Llib/engine.scm 725 */
BgL_selectzd2statementzd2_1308 = 
CAR(BgL_cdrzd21555zd2_1380); 
{ /* Llib/engine.scm 776 */
 obj_t BgL_selectzd2czd2_1547;
BgL_selectzd2czd2_1547 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_selectzd2statementzd2_1308, BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98); 
{ /* Llib/engine.scm 777 */
 obj_t BgL_zc3z04anonymousza32471ze3z87_3129;
BgL_zc3z04anonymousza32471ze3z87_3129 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32471ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32471ze3z87_3129, 
(int)(((long)0)), BgL_selectzd2czd2_1547); 
return BgL_zc3z04anonymousza32471ze3z87_3129;} } }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
if(
(
CAR(BgL_exprz00_95)==
CNST_TABLE_REF(((long)29))))
{ /* Llib/engine.scm 725 */
if(
PAIRP(BgL_cdrzd21555zd2_1380))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21714zd2_1392;
BgL_cdrzd21714zd2_1392 = 
CDR(BgL_cdrzd21555zd2_1380); 
if(
PAIRP(BgL_cdrzd21714zd2_1392))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21719zd2_1394;
BgL_cdrzd21719zd2_1394 = 
CDR(BgL_cdrzd21714zd2_1392); 
if(
PAIRP(BgL_cdrzd21719zd2_1394))
{ /* Llib/engine.scm 725 */
if(
NULLP(
CDR(BgL_cdrzd21719zd2_1394)))
{ /* Llib/engine.scm 725 */
BgL_opz00_1310 = 
CAR(BgL_cdrzd21555zd2_1380); 
BgL_exprz00_1311 = 
CAR(BgL_cdrzd21714zd2_1392); 
BgL_selectzd2statementzd2_1312 = 
CAR(BgL_cdrzd21719zd2_1394); 
{ /* Llib/engine.scm 783 */
 obj_t BgL_exprzd2czd2_1556; obj_t BgL_selectzd2czd2_1557;
BgL_exprzd2czd2_1556 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_exprz00_1311, BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98); 
BgL_selectzd2czd2_1557 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_selectzd2statementzd2_1312, BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98); 
{ /* Llib/engine.scm 785 */
 obj_t BgL_zc3z04anonymousza32476ze3z87_3128;
BgL_zc3z04anonymousza32476ze3z87_3128 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32476ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32476ze3z87_3128, 
(int)(((long)0)), BgL_selectzd2czd2_1557); 
PROCEDURE_SET(BgL_zc3z04anonymousza32476ze3z87_3128, 
(int)(((long)1)), BgL_exprzd2czd2_1556); 
PROCEDURE_SET(BgL_zc3z04anonymousza32476ze3z87_3128, 
(int)(((long)2)), BgL_opz00_1310); 
return BgL_zc3z04anonymousza32476ze3z87_3128;} } }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21935zd2_1402;
BgL_cdrzd21935zd2_1402 = 
CDR(BgL_exprz00_95); 
if(
(
CAR(BgL_exprz00_95)==
CNST_TABLE_REF(((long)30))))
{ /* Llib/engine.scm 725 */
if(
PAIRP(BgL_cdrzd21935zd2_1402))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21944zd2_1406;
BgL_cdrzd21944zd2_1406 = 
CDR(BgL_cdrzd21935zd2_1402); 
if(
PAIRP(BgL_cdrzd21944zd2_1406))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21953zd2_1408;
BgL_cdrzd21953zd2_1408 = 
CDR(BgL_cdrzd21944zd2_1406); 
if(
PAIRP(BgL_cdrzd21953zd2_1408))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21961zd2_1410;
BgL_cdrzd21961zd2_1410 = 
CDR(BgL_cdrzd21953zd2_1408); 
if(
PAIRP(BgL_cdrzd21961zd2_1410))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21968zd2_1412;
BgL_cdrzd21968zd2_1412 = 
CDR(BgL_cdrzd21961zd2_1410); 
if(
PAIRP(BgL_cdrzd21968zd2_1412))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21974zd2_1414;
BgL_cdrzd21974zd2_1414 = 
CDR(BgL_cdrzd21968zd2_1412); 
if(
PAIRP(BgL_cdrzd21974zd2_1414))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd21979zd2_1416;
BgL_cdrzd21979zd2_1416 = 
CDR(BgL_cdrzd21974zd2_1414); 
if(
PAIRP(BgL_cdrzd21979zd2_1416))
{ /* Llib/engine.scm 725 */
if(
NULLP(
CDR(BgL_cdrzd21979zd2_1416)))
{ /* Llib/engine.scm 725 */
return 
BGl_compilezd2selectzd2zz__sqlite_enginez00(
CAR(BgL_cdrzd21953zd2_1408), 
CAR(BgL_cdrzd21944zd2_1406), 
CAR(BgL_cdrzd21961zd2_1410), 
CAR(BgL_cdrzd21968zd2_1412), 
CAR(BgL_cdrzd21974zd2_1414), 
CAR(BgL_cdrzd21935zd2_1402), 
CAR(BgL_cdrzd21979zd2_1416), BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98);}  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
if(
(
CAR(BgL_exprz00_95)==
CNST_TABLE_REF(((long)31))))
{ /* Llib/engine.scm 725 */
if(
PAIRP(BgL_cdrzd21935zd2_1402))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd22208zd2_1432;
BgL_cdrzd22208zd2_1432 = 
CDR(BgL_cdrzd21935zd2_1402); 
if(
PAIRP(BgL_cdrzd22208zd2_1432))
{ /* Llib/engine.scm 725 */
if(
NULLP(
CDR(BgL_cdrzd22208zd2_1432)))
{ /* Llib/engine.scm 725 */
return 
BGl_compilezd2updatezd2zz__sqlite_enginez00(
CAR(BgL_cdrzd21935zd2_1402), 
CAR(BgL_cdrzd22208zd2_1432), BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98);}  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd22271zd2_1439;
BgL_cdrzd22271zd2_1439 = 
CDR(BgL_exprz00_95); 
if(
(
CAR(BgL_exprz00_95)==
CNST_TABLE_REF(((long)32))))
{ /* Llib/engine.scm 725 */
if(
PAIRP(BgL_cdrzd22271zd2_1439))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd22275zd2_1443;
BgL_cdrzd22275zd2_1443 = 
CDR(BgL_cdrzd22271zd2_1439); 
if(
PAIRP(BgL_cdrzd22275zd2_1443))
{ /* Llib/engine.scm 725 */
if(
NULLP(
CDR(BgL_cdrzd22275zd2_1443)))
{ /* Llib/engine.scm 725 */
 obj_t BgL_arg2400z00_1447; obj_t BgL_arg2401z00_1448;
BgL_arg2400z00_1447 = 
CAR(BgL_cdrzd22271zd2_1439); 
BgL_arg2401z00_1448 = 
CAR(BgL_cdrzd22275zd2_1443); 
{ /* Llib/engine.scm 796 */
 obj_t BgL_cz00_2663;
BgL_cz00_2663 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_arg2400z00_1447, BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98); 
{ /* Llib/engine.scm 797 */
 obj_t BgL_zc3z04anonymousza32479ze3z87_3123;
BgL_zc3z04anonymousza32479ze3z87_3123 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32479ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32479ze3z87_3123, 
(int)(((long)0)), BgL_cz00_2663); 
PROCEDURE_SET(BgL_zc3z04anonymousza32479ze3z87_3123, 
(int)(((long)1)), BgL_arg2401z00_1448); 
return BgL_zc3z04anonymousza32479ze3z87_3123;} } }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
if(
(
CAR(BgL_exprz00_95)==
CNST_TABLE_REF(((long)33))))
{ /* Llib/engine.scm 725 */
if(
PAIRP(BgL_cdrzd22271zd2_1439))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd22320zd2_1454;
BgL_cdrzd22320zd2_1454 = 
CDR(BgL_cdrzd22271zd2_1439); 
if(
PAIRP(BgL_cdrzd22320zd2_1454))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd22326zd2_1456;
BgL_cdrzd22326zd2_1456 = 
CDR(BgL_cdrzd22320zd2_1454); 
if(
PAIRP(BgL_cdrzd22326zd2_1456))
{ /* Llib/engine.scm 725 */
 obj_t BgL_cdrzd22331zd2_1458;
BgL_cdrzd22331zd2_1458 = 
CDR(BgL_cdrzd22326zd2_1456); 
if(
PAIRP(BgL_cdrzd22331zd2_1458))
{ /* Llib/engine.scm 725 */
if(
NULLP(
CDR(BgL_cdrzd22331zd2_1458)))
{ /* Llib/engine.scm 725 */
BgL_opz00_1328 = 
CAR(BgL_cdrzd22271zd2_1439); 
BgL_noz00_1329 = 
CAR(BgL_cdrzd22320zd2_1454); 
BgL_stringz00_1330 = 
CAR(BgL_cdrzd22326zd2_1456); 
BgL_patternz00_1331 = 
CAR(BgL_cdrzd22331zd2_1458); 
{ /* Llib/engine.scm 801 */
 obj_t BgL_csz00_1569; obj_t BgL_cpz00_1570;
BgL_csz00_1569 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_stringz00_1330, BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98); 
BgL_cpz00_1570 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_patternz00_1331, BgL_envz00_96, BgL_objz00_97, BgL_builtinz00_98); 
if(
(BgL_opz00_1328==
CNST_TABLE_REF(((long)21))))
{ /* Llib/engine.scm 803 */
if(
(BgL_noz00_1329==
CNST_TABLE_REF(((long)22))))
{ /* Llib/engine.scm 806 */
 obj_t BgL_zc3z04anonymousza32482ze3z87_3124;
BgL_zc3z04anonymousza32482ze3z87_3124 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32482ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32482ze3z87_3124, 
(int)(((long)0)), BgL_csz00_1569); 
PROCEDURE_SET(BgL_zc3z04anonymousza32482ze3z87_3124, 
(int)(((long)1)), BgL_cpz00_1570); 
return BgL_zc3z04anonymousza32482ze3z87_3124;}  else 
{ /* Llib/engine.scm 810 */
 obj_t BgL_zc3z04anonymousza32486ze3z87_3125;
BgL_zc3z04anonymousza32486ze3z87_3125 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32486ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32486ze3z87_3125, 
(int)(((long)0)), BgL_csz00_1569); 
PROCEDURE_SET(BgL_zc3z04anonymousza32486ze3z87_3125, 
(int)(((long)1)), BgL_cpz00_1570); 
return BgL_zc3z04anonymousza32486ze3z87_3125;} }  else 
{ /* Llib/engine.scm 803 */
if(
(BgL_opz00_1328==
CNST_TABLE_REF(((long)23))))
{ /* Llib/engine.scm 816 */
 BgL_z62errorz62_bglt BgL_arg2489z00_1599;
{ /* Llib/engine.scm 816 */
 BgL_z62errorz62_bglt BgL_new1145z00_1600;
{ /* Llib/engine.scm 816 */
 BgL_z62errorz62_bglt BgL_new1144z00_1604;
BgL_new1144z00_1604 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 816 */
 long BgL_arg2493z00_1605;
BgL_arg2493z00_1605 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_1604), BgL_arg2493z00_1605); } 
BgL_new1145z00_1600 = BgL_new1144z00_1604; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1145z00_1600)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1145z00_1600)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6200;
{ /* Llib/engine.scm 816 */
 obj_t BgL_arg2490z00_1601;
{ /* Llib/engine.scm 816 */
 obj_t BgL_arg2491z00_1602;
{ /* Llib/engine.scm 816 */
 obj_t BgL_classz00_2570;
BgL_classz00_2570 = BGl_z62errorz62zz__objectz00; 
BgL_arg2491z00_1602 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2570); } 
BgL_arg2490z00_1601 = 
VECTOR_REF(BgL_arg2491z00_1602,((long)2)); } 
BgL_auxz00_6200 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2490z00_1601); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1145z00_1600)))->BgL_stackz00)=((obj_t)BgL_auxz00_6200),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1145z00_1600))->BgL_procz00)=((obj_t)BGl_string2806z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6207;
{ /* Llib/engine.scm 818 */
 obj_t BgL_list2492z00_1603;
BgL_list2492z00_1603 = 
MAKE_YOUNG_PAIR(BgL_exprz00_95, BNIL); 
BgL_auxz00_6207 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2805z00zz__sqlite_enginez00, BgL_list2492z00_1603); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1145z00_1600))->BgL_msgz00)=((obj_t)BgL_auxz00_6207),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1145z00_1600))->BgL_objz00)=((obj_t)BgL_objz00_97),BUNSPEC); 
BgL_arg2489z00_1599 = BgL_new1145z00_1600; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2489z00_1599));}  else 
{ /* Llib/engine.scm 803 */
if(
(BgL_opz00_1328==
CNST_TABLE_REF(((long)24))))
{ /* Llib/engine.scm 803 */
if(
(BgL_noz00_1329==
CNST_TABLE_REF(((long)22))))
{ /* Llib/engine.scm 822 */
 obj_t BgL_zc3z04anonymousza32496ze3z87_3126;
BgL_zc3z04anonymousza32496ze3z87_3126 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32496ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32496ze3z87_3126, 
(int)(((long)0)), BgL_csz00_1569); 
PROCEDURE_SET(BgL_zc3z04anonymousza32496ze3z87_3126, 
(int)(((long)1)), BgL_cpz00_1570); 
return BgL_zc3z04anonymousza32496ze3z87_3126;}  else 
{ /* Llib/engine.scm 826 */
 obj_t BgL_zc3z04anonymousza32498ze3z87_3127;
BgL_zc3z04anonymousza32498ze3z87_3127 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32498ze3ze5zz__sqlite_enginez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32498ze3z87_3127, 
(int)(((long)0)), BgL_csz00_1569); 
PROCEDURE_SET(BgL_zc3z04anonymousza32498ze3z87_3127, 
(int)(((long)1)), BgL_cpz00_1570); 
return BgL_zc3z04anonymousza32498ze3z87_3127;} }  else 
{ /* Llib/engine.scm 803 */
if(
(BgL_opz00_1328==
CNST_TABLE_REF(((long)25))))
{ /* Llib/engine.scm 832 */
 BgL_z62errorz62_bglt BgL_arg2500z00_1630;
{ /* Llib/engine.scm 832 */
 BgL_z62errorz62_bglt BgL_new1147z00_1631;
{ /* Llib/engine.scm 832 */
 BgL_z62errorz62_bglt BgL_new1146z00_1635;
BgL_new1146z00_1635 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 832 */
 long BgL_arg2504z00_1636;
BgL_arg2504z00_1636 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1146z00_1635), BgL_arg2504z00_1636); } 
BgL_new1147z00_1631 = BgL_new1146z00_1635; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1147z00_1631)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1147z00_1631)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6245;
{ /* Llib/engine.scm 832 */
 obj_t BgL_arg2501z00_1632;
{ /* Llib/engine.scm 832 */
 obj_t BgL_arg2502z00_1633;
{ /* Llib/engine.scm 832 */
 obj_t BgL_classz00_2579;
BgL_classz00_2579 = BGl_z62errorz62zz__objectz00; 
BgL_arg2502z00_1633 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2579); } 
BgL_arg2501z00_1632 = 
VECTOR_REF(BgL_arg2502z00_1633,((long)2)); } 
BgL_auxz00_6245 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2501z00_1632); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1147z00_1631)))->BgL_stackz00)=((obj_t)BgL_auxz00_6245),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1147z00_1631))->BgL_procz00)=((obj_t)BGl_string2806z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6252;
{ /* Llib/engine.scm 834 */
 obj_t BgL_list2503z00_1634;
BgL_list2503z00_1634 = 
MAKE_YOUNG_PAIR(BgL_exprz00_95, BNIL); 
BgL_auxz00_6252 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2805z00zz__sqlite_enginez00, BgL_list2503z00_1634); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1147z00_1631))->BgL_msgz00)=((obj_t)BgL_auxz00_6252),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1147z00_1631))->BgL_objz00)=((obj_t)BgL_objz00_97),BUNSPEC); 
BgL_arg2500z00_1630 = BgL_new1147z00_1631; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2500z00_1630));}  else 
{ /* Llib/engine.scm 803 */
return BUNSPEC;} } } } } }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} } } } } } } } } } }  else 
{ /* Llib/engine.scm 725 */
goto BgL_tagzd2223zd2_1333;} } } } } } 

}



/* &<@anonymous:2426> */
obj_t BGl_z62zc3z04anonymousza32426ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3140, obj_t BgL_rowsz00_3142)
{
{ /* Llib/engine.scm 727 */
return 
PROCEDURE_REF(BgL_envz00_3140, 
(int)(((long)0)));} 

}



/* &<@anonymous:2426>2695 */
obj_t BGl_z62zc3z04anonymousza32426ze32695ze5zz__sqlite_enginez00(obj_t BgL_envz00_3143, obj_t BgL_rowsz00_3145)
{
{ /* Llib/engine.scm 727 */
return 
PROCEDURE_REF(BgL_envz00_3143, 
(int)(((long)0)));} 

}



/* &<@anonymous:2426>2696 */
obj_t BGl_z62zc3z04anonymousza32426ze32696ze5zz__sqlite_enginez00(obj_t BgL_envz00_3146, obj_t BgL_rowsz00_3148)
{
{ /* Llib/engine.scm 727 */
return 
PROCEDURE_REF(BgL_envz00_3146, 
(int)(((long)0)));} 

}



/* &<@anonymous:2427> */
obj_t BGl_z62zc3z04anonymousza32427ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3149, obj_t BgL_rowsz00_3152)
{
{ /* Llib/engine.scm 731 */
{ /* Llib/engine.scm 732 */
 obj_t BgL_iz00_3150; obj_t BgL_jz00_3151;
BgL_iz00_3150 = 
PROCEDURE_REF(BgL_envz00_3149, 
(int)(((long)0))); 
BgL_jz00_3151 = 
PROCEDURE_REF(BgL_envz00_3149, 
(int)(((long)1))); 
{ /* Llib/engine.scm 732 */
 obj_t BgL_arg2428z00_3505;
BgL_arg2428z00_3505 = 
bgl_list_ref(BgL_rowsz00_3152, 
(long)CINT(BgL_iz00_3150)); 
{ /* Llib/engine.scm 732 */
 long BgL_kz00_3506;
BgL_kz00_3506 = 
(long)CINT(BgL_jz00_3151); 
return 
VECTOR_REF(
((obj_t)BgL_arg2428z00_3505),BgL_kz00_3506);} } } } 

}



/* &<@anonymous:2479> */
obj_t BGl_z62zc3z04anonymousza32479ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3153, obj_t BgL_rowsz00_3156)
{
{ /* Llib/engine.scm 797 */
{ /* Llib/engine.scm 798 */
 obj_t BgL_cz00_3154; obj_t BgL_arg2401z00_3155;
BgL_cz00_3154 = 
PROCEDURE_REF(BgL_envz00_3153, 
(int)(((long)0))); 
BgL_arg2401z00_3155 = 
PROCEDURE_REF(BgL_envz00_3153, 
(int)(((long)1))); 
{ /* Llib/engine.scm 798 */
 obj_t BgL_valz00_3507;
BgL_valz00_3507 = 
PROCEDURE_ENTRY(BgL_cz00_3154)(BgL_cz00_3154, BgL_rowsz00_3156, BEOA); 
return 
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_3507, BgL_arg2401z00_3155);} } } 

}



/* &<@anonymous:2482> */
obj_t BGl_z62zc3z04anonymousza32482ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3157, obj_t BgL_rowsz00_3160)
{
{ /* Llib/engine.scm 806 */
{ /* Llib/engine.scm 807 */
 obj_t BgL_csz00_3158; obj_t BgL_cpz00_3159;
BgL_csz00_3158 = 
PROCEDURE_REF(BgL_envz00_3157, 
(int)(((long)0))); 
BgL_cpz00_3159 = 
PROCEDURE_REF(BgL_envz00_3157, 
(int)(((long)1))); 
{ /* Llib/engine.scm 807 */
 bool_t BgL_tmpz00_6291;
{ /* Llib/engine.scm 807 */
 obj_t BgL_vstrz00_3508;
BgL_vstrz00_3508 = 
PROCEDURE_ENTRY(BgL_csz00_3158)(BgL_csz00_3158, BgL_rowsz00_3160, BEOA); 
{ /* Llib/engine.scm 807 */
 obj_t BgL_vpatz00_3509;
BgL_vpatz00_3509 = 
PROCEDURE_ENTRY(BgL_cpz00_3159)(BgL_cpz00_3159, BgL_rowsz00_3160, BEOA); 
{ /* Llib/engine.scm 808 */

{ /* Llib/engine.scm 809 */
 bool_t BgL_test3163z00_6300;
{ /* Llib/engine.scm 809 */
 obj_t BgL_arg2485z00_3510;
BgL_arg2485z00_3510 = 
BGl_likezd2ze3regexpz31zz__sqlite_enginez00(BgL_vpatz00_3509); 
{ /* Llib/engine.scm 809 */
 long BgL_endz00_3511;
BgL_endz00_3511 = 
STRING_LENGTH(
((obj_t)BgL_vstrz00_3508)); 
{ /* Llib/engine.scm 809 */

BgL_test3163z00_6300 = 
CBOOL(
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_arg2485z00_3510, BgL_vstrz00_3508, 
BINT(((long)0)), 
BINT(BgL_endz00_3511))); } } } 
if(BgL_test3163z00_6300)
{ /* Llib/engine.scm 809 */
BgL_tmpz00_6291 = ((bool_t)0)
; }  else 
{ /* Llib/engine.scm 809 */
BgL_tmpz00_6291 = ((bool_t)1)
; } } } } } 
return 
BBOOL(BgL_tmpz00_6291);} } } 

}



/* &<@anonymous:2486> */
obj_t BGl_z62zc3z04anonymousza32486ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3161, obj_t BgL_rowsz00_3164)
{
{ /* Llib/engine.scm 810 */
{ /* Llib/engine.scm 811 */
 obj_t BgL_csz00_3162; obj_t BgL_cpz00_3163;
BgL_csz00_3162 = 
PROCEDURE_REF(BgL_envz00_3161, 
(int)(((long)0))); 
BgL_cpz00_3163 = 
PROCEDURE_REF(BgL_envz00_3161, 
(int)(((long)1))); 
{ /* Llib/engine.scm 811 */
 obj_t BgL_vstrz00_3512;
BgL_vstrz00_3512 = 
PROCEDURE_ENTRY(BgL_csz00_3162)(BgL_csz00_3162, BgL_rowsz00_3164, BEOA); 
{ /* Llib/engine.scm 811 */
 obj_t BgL_vpatz00_3513;
BgL_vpatz00_3513 = 
PROCEDURE_ENTRY(BgL_cpz00_3163)(BgL_cpz00_3163, BgL_rowsz00_3164, BEOA); 
{ /* Llib/engine.scm 812 */

{ /* Llib/engine.scm 813 */
 obj_t BgL_arg2487z00_3514;
BgL_arg2487z00_3514 = 
BGl_likezd2ze3regexpz31zz__sqlite_enginez00(BgL_vpatz00_3513); 
{ /* Llib/engine.scm 813 */
 long BgL_endz00_3515;
BgL_endz00_3515 = 
STRING_LENGTH(
((obj_t)BgL_vstrz00_3512)); 
{ /* Llib/engine.scm 813 */

return 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_arg2487z00_3514, BgL_vstrz00_3512, 
BINT(((long)0)), 
BINT(BgL_endz00_3515));} } } } } } } } 

}



/* &<@anonymous:2496> */
obj_t BGl_z62zc3z04anonymousza32496ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3165, obj_t BgL_rowsz00_3168)
{
{ /* Llib/engine.scm 822 */
{ /* Llib/engine.scm 823 */
 obj_t BgL_csz00_3166; obj_t BgL_cpz00_3167;
BgL_csz00_3166 = 
PROCEDURE_REF(BgL_envz00_3165, 
(int)(((long)0))); 
BgL_cpz00_3167 = 
PROCEDURE_REF(BgL_envz00_3165, 
(int)(((long)1))); 
{ /* Llib/engine.scm 823 */
 bool_t BgL_tmpz00_6331;
{ /* Llib/engine.scm 823 */
 obj_t BgL_vstrz00_3516;
BgL_vstrz00_3516 = 
PROCEDURE_ENTRY(BgL_csz00_3166)(BgL_csz00_3166, BgL_rowsz00_3168, BEOA); 
{ /* Llib/engine.scm 823 */
 obj_t BgL_vpatz00_3517;
BgL_vpatz00_3517 = 
PROCEDURE_ENTRY(BgL_cpz00_3167)(BgL_cpz00_3167, BgL_rowsz00_3168, BEOA); 
{ /* Llib/engine.scm 824 */

{ /* Llib/engine.scm 825 */
 bool_t BgL_test3164z00_6340;
{ /* Llib/engine.scm 825 */
 long BgL_endz00_3518;
BgL_endz00_3518 = 
STRING_LENGTH(
((obj_t)BgL_vstrz00_3516)); 
{ /* Llib/engine.scm 825 */

BgL_test3164z00_6340 = 
CBOOL(
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_vpatz00_3517, BgL_vstrz00_3516, 
BINT(((long)0)), 
BINT(BgL_endz00_3518))); } } 
if(BgL_test3164z00_6340)
{ /* Llib/engine.scm 825 */
BgL_tmpz00_6331 = ((bool_t)0)
; }  else 
{ /* Llib/engine.scm 825 */
BgL_tmpz00_6331 = ((bool_t)1)
; } } } } } 
return 
BBOOL(BgL_tmpz00_6331);} } } 

}



/* &<@anonymous:2498> */
obj_t BGl_z62zc3z04anonymousza32498ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3169, obj_t BgL_rowsz00_3172)
{
{ /* Llib/engine.scm 826 */
{ /* Llib/engine.scm 827 */
 obj_t BgL_csz00_3170; obj_t BgL_cpz00_3171;
BgL_csz00_3170 = 
PROCEDURE_REF(BgL_envz00_3169, 
(int)(((long)0))); 
BgL_cpz00_3171 = 
PROCEDURE_REF(BgL_envz00_3169, 
(int)(((long)1))); 
{ /* Llib/engine.scm 827 */
 obj_t BgL_vstrz00_3519;
BgL_vstrz00_3519 = 
PROCEDURE_ENTRY(BgL_csz00_3170)(BgL_csz00_3170, BgL_rowsz00_3172, BEOA); 
{ /* Llib/engine.scm 827 */
 obj_t BgL_vpatz00_3520;
BgL_vpatz00_3520 = 
PROCEDURE_ENTRY(BgL_cpz00_3171)(BgL_cpz00_3171, BgL_rowsz00_3172, BEOA); 
{ /* Llib/engine.scm 828 */

{ /* Llib/engine.scm 829 */
 long BgL_endz00_3521;
BgL_endz00_3521 = 
STRING_LENGTH(
((obj_t)BgL_vstrz00_3519)); 
{ /* Llib/engine.scm 829 */

return 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_vpatz00_3520, BgL_vstrz00_3519, 
BINT(((long)0)), 
BINT(BgL_endz00_3521));} } } } } } } 

}



/* &<@anonymous:2476> */
obj_t BGl_z62zc3z04anonymousza32476ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3173, obj_t BgL_rowsz00_3177)
{
{ /* Llib/engine.scm 785 */
{ /* Llib/engine.scm 786 */
 obj_t BgL_selectzd2czd2_3174; obj_t BgL_exprzd2czd2_3175; obj_t BgL_opz00_3176;
BgL_selectzd2czd2_3174 = 
PROCEDURE_REF(BgL_envz00_3173, 
(int)(((long)0))); 
BgL_exprzd2czd2_3175 = 
PROCEDURE_REF(BgL_envz00_3173, 
(int)(((long)1))); 
BgL_opz00_3176 = 
PROCEDURE_REF(BgL_envz00_3173, 
(int)(((long)2))); 
{ /* Llib/engine.scm 786 */
 bool_t BgL_tmpz00_6371;
{ /* Llib/engine.scm 786 */
 obj_t BgL_valsz00_3522;
BgL_valsz00_3522 = 
PROCEDURE_ENTRY(BgL_selectzd2czd2_3174)(BgL_selectzd2czd2_3174, BgL_rowsz00_3177, BEOA); 
{ /* Llib/engine.scm 786 */
 obj_t BgL_valz00_3523;
BgL_valz00_3523 = 
PROCEDURE_ENTRY(BgL_exprzd2czd2_3175)(BgL_exprzd2czd2_3175, BgL_rowsz00_3177, BEOA); 
{ /* Llib/engine.scm 787 */
 bool_t BgL_retz00_3524;
{ /* Llib/engine.scm 788 */
 obj_t BgL_tmpz00_6380;
BgL_tmpz00_6380 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_3523, BgL_valsz00_3522); 
BgL_retz00_3524 = 
PAIRP(BgL_tmpz00_6380); } 
{ /* Llib/engine.scm 788 */

if(
(BgL_opz00_3176==
CNST_TABLE_REF(((long)34))))
{ /* Llib/engine.scm 789 */
BgL_tmpz00_6371 = BgL_retz00_3524
; }  else 
{ /* Llib/engine.scm 789 */
if(BgL_retz00_3524)
{ /* Llib/engine.scm 789 */
BgL_tmpz00_6371 = ((bool_t)0)
; }  else 
{ /* Llib/engine.scm 789 */
BgL_tmpz00_6371 = ((bool_t)1)
; } } } } } } 
return 
BBOOL(BgL_tmpz00_6371);} } } 

}



/* &<@anonymous:2471> */
obj_t BGl_z62zc3z04anonymousza32471ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3178, obj_t BgL_rowsz00_3180)
{
{ /* Llib/engine.scm 777 */
{ /* Llib/engine.scm 778 */
 obj_t BgL_selectzd2czd2_3179;
BgL_selectzd2czd2_3179 = 
PROCEDURE_REF(BgL_envz00_3178, 
(int)(((long)0))); 
{ /* Llib/engine.scm 778 */
 obj_t BgL_valz00_3525;
BgL_valz00_3525 = 
PROCEDURE_ENTRY(BgL_selectzd2czd2_3179)(BgL_selectzd2czd2_3179, BgL_rowsz00_3180, BEOA); 
{ /* Llib/engine.scm 779 */
 bool_t BgL_test3167z00_6394;
if(
NULLP(BgL_valz00_3525))
{ /* Llib/engine.scm 779 */
BgL_test3167z00_6394 = ((bool_t)1)
; }  else 
{ /* Llib/engine.scm 779 */
BgL_test3167z00_6394 = 
NULLP(
CAR(
((obj_t)BgL_valz00_3525)))
; } 
if(BgL_test3167z00_6394)
{ /* Llib/engine.scm 779 */
return BUNSPEC;}  else 
{ /* Llib/engine.scm 781 */
 obj_t BgL_pairz00_3526;
BgL_pairz00_3526 = 
CAR(
((obj_t)BgL_valz00_3525)); 
return 
CAR(BgL_pairz00_3526);} } } } } 

}



/* &<@anonymous:2436> */
obj_t BGl_z62zc3z04anonymousza32436ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3181, obj_t BgL_rowsz00_3184)
{
{ /* Llib/engine.scm 746 */
{ /* Llib/engine.scm 747 */
 obj_t BgL_c1z00_3182; obj_t BgL_c2z00_3183;
BgL_c1z00_3182 = 
PROCEDURE_REF(BgL_envz00_3181, 
(int)(((long)0))); 
BgL_c2z00_3183 = 
PROCEDURE_REF(BgL_envz00_3181, 
(int)(((long)1))); 
{ /* Llib/engine.scm 747 */
 bool_t BgL_tmpz00_6407;
{ /* Llib/engine.scm 747 */
 obj_t BgL_arg2437z00_3527; obj_t BgL_arg2438z00_3528;
BgL_arg2437z00_3527 = 
PROCEDURE_ENTRY(BgL_c1z00_3182)(BgL_c1z00_3182, BgL_rowsz00_3184, BEOA); 
BgL_arg2438z00_3528 = 
PROCEDURE_ENTRY(BgL_c2z00_3183)(BgL_c2z00_3183, BgL_rowsz00_3184, BEOA); 
BgL_tmpz00_6407 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg2437z00_3527, BgL_arg2438z00_3528); } 
return 
BBOOL(BgL_tmpz00_6407);} } } 

}



/* &<@anonymous:2440> */
obj_t BGl_z62zc3z04anonymousza32440ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3185, obj_t BgL_rowsz00_3188)
{
{ /* Llib/engine.scm 749 */
{ /* Llib/engine.scm 750 */
 obj_t BgL_c1z00_3186; obj_t BgL_c2z00_3187;
BgL_c1z00_3186 = 
PROCEDURE_REF(BgL_envz00_3185, 
(int)(((long)0))); 
BgL_c2z00_3187 = 
PROCEDURE_REF(BgL_envz00_3185, 
(int)(((long)1))); 
{ /* Llib/engine.scm 750 */
 bool_t BgL_tmpz00_6422;
{ /* Llib/engine.scm 750 */
 obj_t BgL_arg2441z00_3529; obj_t BgL_arg2442z00_3530;
BgL_arg2441z00_3529 = 
PROCEDURE_ENTRY(BgL_c1z00_3186)(BgL_c1z00_3186, BgL_rowsz00_3188, BEOA); 
BgL_arg2442z00_3530 = 
PROCEDURE_ENTRY(BgL_c2z00_3187)(BgL_c2z00_3187, BgL_rowsz00_3188, BEOA); 
BgL_tmpz00_6422 = 
BGl_sqltinyze3zd3z30zz__sqlite_enginez00(BgL_arg2441z00_3529, BgL_arg2442z00_3530); } 
return 
BBOOL(BgL_tmpz00_6422);} } } 

}



/* &<@anonymous:2444> */
obj_t BGl_z62zc3z04anonymousza32444ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3189, obj_t BgL_rowsz00_3192)
{
{ /* Llib/engine.scm 752 */
{ /* Llib/engine.scm 753 */
 obj_t BgL_c1z00_3190; obj_t BgL_c2z00_3191;
BgL_c1z00_3190 = 
PROCEDURE_REF(BgL_envz00_3189, 
(int)(((long)0))); 
BgL_c2z00_3191 = 
PROCEDURE_REF(BgL_envz00_3189, 
(int)(((long)1))); 
{ /* Llib/engine.scm 753 */
 bool_t BgL_tmpz00_6437;
{ /* Llib/engine.scm 753 */
 obj_t BgL_arg2445z00_3531; obj_t BgL_arg2446z00_3532;
BgL_arg2445z00_3531 = 
PROCEDURE_ENTRY(BgL_c1z00_3190)(BgL_c1z00_3190, BgL_rowsz00_3192, BEOA); 
BgL_arg2446z00_3532 = 
PROCEDURE_ENTRY(BgL_c2z00_3191)(BgL_c2z00_3191, BgL_rowsz00_3192, BEOA); 
BgL_tmpz00_6437 = 
BGl_sqltinyze3ze3zz__sqlite_enginez00(BgL_arg2445z00_3531, BgL_arg2446z00_3532); } 
return 
BBOOL(BgL_tmpz00_6437);} } } 

}



/* &<@anonymous:2448> */
obj_t BGl_z62zc3z04anonymousza32448ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3193, obj_t BgL_rowsz00_3196)
{
{ /* Llib/engine.scm 755 */
{ /* Llib/engine.scm 756 */
 obj_t BgL_c1z00_3194; obj_t BgL_c2z00_3195;
BgL_c1z00_3194 = 
PROCEDURE_REF(BgL_envz00_3193, 
(int)(((long)0))); 
BgL_c2z00_3195 = 
PROCEDURE_REF(BgL_envz00_3193, 
(int)(((long)1))); 
{ /* Llib/engine.scm 756 */
 bool_t BgL_tmpz00_6452;
{ /* Llib/engine.scm 756 */
 obj_t BgL_arg2449z00_3533; obj_t BgL_arg2450z00_3534;
BgL_arg2449z00_3533 = 
PROCEDURE_ENTRY(BgL_c1z00_3194)(BgL_c1z00_3194, BgL_rowsz00_3196, BEOA); 
BgL_arg2450z00_3534 = 
PROCEDURE_ENTRY(BgL_c2z00_3195)(BgL_c2z00_3195, BgL_rowsz00_3196, BEOA); 
BgL_tmpz00_6452 = 
BGl_sqltinyzc3zd3z10zz__sqlite_enginez00(BgL_arg2449z00_3533, BgL_arg2450z00_3534); } 
return 
BBOOL(BgL_tmpz00_6452);} } } 

}



/* &<@anonymous:2452> */
obj_t BGl_z62zc3z04anonymousza32452ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3197, obj_t BgL_rowsz00_3200)
{
{ /* Llib/engine.scm 758 */
{ /* Llib/engine.scm 759 */
 obj_t BgL_c1z00_3198; obj_t BgL_c2z00_3199;
BgL_c1z00_3198 = 
PROCEDURE_REF(BgL_envz00_3197, 
(int)(((long)0))); 
BgL_c2z00_3199 = 
PROCEDURE_REF(BgL_envz00_3197, 
(int)(((long)1))); 
{ /* Llib/engine.scm 759 */
 bool_t BgL_tmpz00_6467;
{ /* Llib/engine.scm 759 */
 obj_t BgL_arg2453z00_3535; obj_t BgL_arg2454z00_3536;
BgL_arg2453z00_3535 = 
PROCEDURE_ENTRY(BgL_c1z00_3198)(BgL_c1z00_3198, BgL_rowsz00_3200, BEOA); 
BgL_arg2454z00_3536 = 
PROCEDURE_ENTRY(BgL_c2z00_3199)(BgL_c2z00_3199, BgL_rowsz00_3200, BEOA); 
BgL_tmpz00_6467 = 
BGl_sqltinyzc3zc3zz__sqlite_enginez00(BgL_arg2453z00_3535, BgL_arg2454z00_3536); } 
return 
BBOOL(BgL_tmpz00_6467);} } } 

}



/* &<@anonymous:2456> */
obj_t BGl_z62zc3z04anonymousza32456ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3201, obj_t BgL_rowsz00_3204)
{
{ /* Llib/engine.scm 761 */
{ /* Llib/engine.scm 762 */
 obj_t BgL_c1z00_3202; obj_t BgL_c2z00_3203;
BgL_c1z00_3202 = 
PROCEDURE_REF(BgL_envz00_3201, 
(int)(((long)0))); 
BgL_c2z00_3203 = 
PROCEDURE_REF(BgL_envz00_3201, 
(int)(((long)1))); 
{ /* Llib/engine.scm 762 */
 bool_t BgL_tmpz00_6482;
{ /* Llib/engine.scm 762 */
 bool_t BgL_test3169z00_6483;
{ /* Llib/engine.scm 762 */
 obj_t BgL_arg2460z00_3537; obj_t BgL_arg2461z00_3538;
BgL_arg2460z00_3537 = 
PROCEDURE_ENTRY(BgL_c1z00_3202)(BgL_c1z00_3202, BgL_rowsz00_3204, BEOA); 
BgL_arg2461z00_3538 = 
PROCEDURE_ENTRY(BgL_c2z00_3203)(BgL_c2z00_3203, BgL_rowsz00_3204, BEOA); 
BgL_test3169z00_6483 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg2460z00_3537, BgL_arg2461z00_3538); } 
if(BgL_test3169z00_6483)
{ /* Llib/engine.scm 762 */
BgL_tmpz00_6482 = ((bool_t)0)
; }  else 
{ /* Llib/engine.scm 762 */
BgL_tmpz00_6482 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_6482);} } } 

}



/* &<@anonymous:2463> */
obj_t BGl_z62zc3z04anonymousza32463ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3205, obj_t BgL_rowsz00_3208)
{
{ /* Llib/engine.scm 764 */
{ /* Llib/engine.scm 765 */
 obj_t BgL_c1z00_3206; obj_t BgL_c2z00_3207;
BgL_c1z00_3206 = 
PROCEDURE_REF(BgL_envz00_3205, 
(int)(((long)0))); 
BgL_c2z00_3207 = 
PROCEDURE_REF(BgL_envz00_3205, 
(int)(((long)1))); 
{ /* Llib/engine.scm 765 */
 obj_t BgL__ortest_1140z00_3539;
BgL__ortest_1140z00_3539 = 
PROCEDURE_ENTRY(BgL_c1z00_3206)(BgL_c1z00_3206, BgL_rowsz00_3208, BEOA); 
if(
CBOOL(BgL__ortest_1140z00_3539))
{ /* Llib/engine.scm 765 */
return BgL__ortest_1140z00_3539;}  else 
{ /* Llib/engine.scm 765 */
return 
PROCEDURE_ENTRY(BgL_c2z00_3207)(BgL_c2z00_3207, BgL_rowsz00_3208, BEOA);} } } } 

}



/* &<@anonymous:2465> */
obj_t BGl_z62zc3z04anonymousza32465ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3209, obj_t BgL_rowsz00_3212)
{
{ /* Llib/engine.scm 767 */
{ /* Llib/engine.scm 768 */
 obj_t BgL_c1z00_3210; obj_t BgL_c2z00_3211;
BgL_c1z00_3210 = 
PROCEDURE_REF(BgL_envz00_3209, 
(int)(((long)0))); 
BgL_c2z00_3211 = 
PROCEDURE_REF(BgL_envz00_3209, 
(int)(((long)1))); 
{ /* Llib/engine.scm 768 */
 obj_t BgL__andtest_1141z00_3540;
BgL__andtest_1141z00_3540 = 
PROCEDURE_ENTRY(BgL_c1z00_3210)(BgL_c1z00_3210, BgL_rowsz00_3212, BEOA); 
if(
CBOOL(BgL__andtest_1141z00_3540))
{ /* Llib/engine.scm 768 */
return 
PROCEDURE_ENTRY(BgL_c2z00_3211)(BgL_c2z00_3211, BgL_rowsz00_3212, BEOA);}  else 
{ /* Llib/engine.scm 768 */
return BFALSE;} } } } 

}



/* &<@anonymous:2431> */
obj_t BGl_z62zc3z04anonymousza32431ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3213, obj_t BgL_rowsz00_3215)
{
{ /* Llib/engine.scm 739 */
{ /* Llib/engine.scm 740 */
 obj_t BgL_c1z00_3214;
BgL_c1z00_3214 = 
PROCEDURE_REF(BgL_envz00_3213, 
(int)(((long)0))); 
{ /* Llib/engine.scm 740 */
 bool_t BgL_tmpz00_6524;
{ /* Llib/engine.scm 740 */
 bool_t BgL_test3172z00_6525;
{ /* Llib/engine.scm 740 */
 obj_t BgL_arg2434z00_3541;
BgL_arg2434z00_3541 = 
PROCEDURE_ENTRY(BgL_c1z00_3214)(BgL_c1z00_3214, BgL_rowsz00_3215, BEOA); 
BgL_test3172z00_6525 = 
(BgL_arg2434z00_3541==BUNSPEC); } 
if(BgL_test3172z00_6525)
{ /* Llib/engine.scm 740 */
BgL_tmpz00_6524 = ((bool_t)0)
; }  else 
{ /* Llib/engine.scm 740 */
BgL_tmpz00_6524 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_6524);} } } 

}



/* &<@anonymous:2429> */
obj_t BGl_z62zc3z04anonymousza32429ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3216, obj_t BgL_rowsz00_3218)
{
{ /* Llib/engine.scm 735 */
{ /* Llib/engine.scm 736 */
 obj_t BgL_c1z00_3217;
BgL_c1z00_3217 = 
PROCEDURE_REF(BgL_envz00_3216, 
(int)(((long)0))); 
{ /* Llib/engine.scm 736 */
 bool_t BgL_tmpz00_6534;
{ /* Llib/engine.scm 736 */
 obj_t BgL_arg2430z00_3542;
BgL_arg2430z00_3542 = 
PROCEDURE_ENTRY(BgL_c1z00_3217)(BgL_c1z00_3217, BgL_rowsz00_3218, BEOA); 
BgL_tmpz00_6534 = 
(BgL_arg2430z00_3542==BUNSPEC); } 
return 
BBOOL(BgL_tmpz00_6534);} } } 

}



/* like->regexp */
obj_t BGl_likezd2ze3regexpz31zz__sqlite_enginez00(obj_t BgL_strz00_99)
{
{ /* Llib/engine.scm 846 */
{ /* Llib/engine.scm 847 */
 long BgL_lenz00_1644;
BgL_lenz00_1644 = 
STRING_LENGTH(
((obj_t)BgL_strz00_99)); 
{ 
 long BgL_iz00_1646; long BgL_nlenz00_1647;
BgL_iz00_1646 = ((long)0); 
BgL_nlenz00_1647 = BgL_lenz00_1644; 
BgL_zc3z04anonymousza32510ze3z87_1648:
if(
(BgL_iz00_1646==BgL_lenz00_1644))
{ /* Llib/engine.scm 852 */
 obj_t BgL_resz00_1650;
{ /* Llib/engine.scm 852 */

BgL_resz00_1650 = 
make_string(BgL_nlenz00_1647, ((unsigned char)' ')); } 
{ 
 long BgL_rz00_1652; long BgL_wz00_1653;
BgL_rz00_1652 = ((long)0); 
BgL_wz00_1653 = ((long)0); 
BgL_zc3z04anonymousza32512ze3z87_1654:
if(
(BgL_rz00_1652==BgL_lenz00_1644))
{ /* Llib/engine.scm 855 */
return BgL_resz00_1650;}  else 
{ /* Llib/engine.scm 857 */
 unsigned char BgL_cz00_1656;
BgL_cz00_1656 = 
STRING_REF(
((obj_t)BgL_strz00_99), BgL_rz00_1652); 
if(
(BgL_cz00_1656==((unsigned char)'%')))
{ /* Llib/engine.scm 859 */
STRING_SET(BgL_resz00_1650, BgL_wz00_1653, ((unsigned char)'.')); 
{ /* Llib/engine.scm 861 */
 long BgL_tmpz00_6553;
BgL_tmpz00_6553 = 
(BgL_wz00_1653+((long)1)); 
STRING_SET(BgL_resz00_1650, BgL_tmpz00_6553, ((unsigned char)'*')); } 
{ 
 long BgL_wz00_6558; long BgL_rz00_6556;
BgL_rz00_6556 = 
(BgL_rz00_1652+((long)1)); 
BgL_wz00_6558 = 
(BgL_wz00_1653+((long)2)); 
BgL_wz00_1653 = BgL_wz00_6558; 
BgL_rz00_1652 = BgL_rz00_6556; 
goto BgL_zc3z04anonymousza32512ze3z87_1654;} }  else 
{ /* Llib/engine.scm 859 */
if(
(BgL_cz00_1656==((unsigned char)'_')))
{ /* Llib/engine.scm 863 */
STRING_SET(BgL_resz00_1650, BgL_wz00_1653, ((unsigned char)'.')); 
{ 
 long BgL_wz00_6565; long BgL_rz00_6563;
BgL_rz00_6563 = 
(BgL_rz00_1652+((long)1)); 
BgL_wz00_6565 = 
(BgL_wz00_1653+((long)1)); 
BgL_wz00_1653 = BgL_wz00_6565; 
BgL_rz00_1652 = BgL_rz00_6563; 
goto BgL_zc3z04anonymousza32512ze3z87_1654;} }  else 
{ /* Llib/engine.scm 863 */
STRING_SET(BgL_resz00_1650, BgL_wz00_1653, BgL_cz00_1656); 
{ 
 long BgL_wz00_6570; long BgL_rz00_6568;
BgL_rz00_6568 = 
(BgL_rz00_1652+((long)1)); 
BgL_wz00_6570 = 
(BgL_wz00_1653+((long)1)); 
BgL_wz00_1653 = BgL_wz00_6570; 
BgL_rz00_1652 = BgL_rz00_6568; 
goto BgL_zc3z04anonymousza32512ze3z87_1654;} } } } } }  else 
{ /* Llib/engine.scm 851 */
if(
(
STRING_REF(
((obj_t)BgL_strz00_99), BgL_iz00_1646)==((unsigned char)'%')))
{ 
 long BgL_nlenz00_6578; long BgL_iz00_6576;
BgL_iz00_6576 = 
(BgL_iz00_1646+((long)1)); 
BgL_nlenz00_6578 = 
(BgL_nlenz00_1647+((long)1)); 
BgL_nlenz00_1647 = BgL_nlenz00_6578; 
BgL_iz00_1646 = BgL_iz00_6576; 
goto BgL_zc3z04anonymousza32510ze3z87_1648;}  else 
{ 
 long BgL_iz00_6580;
BgL_iz00_6580 = 
(BgL_iz00_1646+((long)1)); 
BgL_iz00_1646 = BgL_iz00_6580; 
goto BgL_zc3z04anonymousza32510ze3z87_1648;} } } } } 

}



/* sqltiny>= */
bool_t BGl_sqltinyze3zd3z30zz__sqlite_enginez00(obj_t BgL_v1z00_100, obj_t BgL_v2z00_101)
{
{ /* Llib/engine.scm 887 */
if(
INTEGERP(BgL_v1z00_100))
{ /* Llib/engine.scm 887 */
if(
INTEGERP(BgL_v2z00_101))
{ /* Llib/engine.scm 887 */
return 
(
(long)CINT(BgL_v1z00_100)>=
(long)CINT(BgL_v2z00_101));}  else 
{ /* Llib/engine.scm 887 */
return ((bool_t)0);} }  else 
{ /* Llib/engine.scm 887 */
if(
STRINGP(BgL_v1z00_100))
{ /* Llib/engine.scm 887 */
if(
STRINGP(BgL_v2z00_101))
{ /* Llib/engine.scm 887 */
return 
bigloo_string_ge(BgL_v1z00_100, BgL_v2z00_101);}  else 
{ /* Llib/engine.scm 887 */
return ((bool_t)0);} }  else 
{ /* Llib/engine.scm 887 */
return ((bool_t)0);} } } 

}



/* sqltiny> */
bool_t BGl_sqltinyze3ze3zz__sqlite_enginez00(obj_t BgL_v1z00_102, obj_t BgL_v2z00_103)
{
{ /* Llib/engine.scm 888 */
if(
INTEGERP(BgL_v1z00_102))
{ /* Llib/engine.scm 888 */
if(
INTEGERP(BgL_v2z00_103))
{ /* Llib/engine.scm 888 */
return 
(
(long)CINT(BgL_v1z00_102)>
(long)CINT(BgL_v2z00_103));}  else 
{ /* Llib/engine.scm 888 */
return ((bool_t)0);} }  else 
{ /* Llib/engine.scm 888 */
if(
STRINGP(BgL_v1z00_102))
{ /* Llib/engine.scm 888 */
if(
STRINGP(BgL_v2z00_103))
{ /* Llib/engine.scm 888 */
return 
bigloo_string_gt(BgL_v1z00_102, BgL_v2z00_103);}  else 
{ /* Llib/engine.scm 888 */
return ((bool_t)0);} }  else 
{ /* Llib/engine.scm 888 */
return ((bool_t)0);} } } 

}



/* &sqltiny> */
obj_t BGl_z62sqltinyze3z81zz__sqlite_enginez00(obj_t BgL_envz00_3083, obj_t BgL_v1z00_3084, obj_t BgL_v2z00_3085)
{
{ /* Llib/engine.scm 888 */
return 
BBOOL(
BGl_sqltinyze3ze3zz__sqlite_enginez00(BgL_v1z00_3084, BgL_v2z00_3085));} 

}



/* sqltiny< */
bool_t BGl_sqltinyzc3zc3zz__sqlite_enginez00(obj_t BgL_v1z00_104, obj_t BgL_v2z00_105)
{
{ /* Llib/engine.scm 889 */
if(
INTEGERP(BgL_v1z00_104))
{ /* Llib/engine.scm 889 */
if(
INTEGERP(BgL_v2z00_105))
{ /* Llib/engine.scm 889 */
return 
(
(long)CINT(BgL_v1z00_104)<
(long)CINT(BgL_v2z00_105));}  else 
{ /* Llib/engine.scm 889 */
return ((bool_t)0);} }  else 
{ /* Llib/engine.scm 889 */
if(
STRINGP(BgL_v1z00_104))
{ /* Llib/engine.scm 889 */
if(
STRINGP(BgL_v2z00_105))
{ /* Llib/engine.scm 889 */
return 
bigloo_string_lt(BgL_v1z00_104, BgL_v2z00_105);}  else 
{ /* Llib/engine.scm 889 */
return ((bool_t)0);} }  else 
{ /* Llib/engine.scm 889 */
return ((bool_t)0);} } } 

}



/* &sqltiny< */
obj_t BGl_z62sqltinyzc3za1zz__sqlite_enginez00(obj_t BgL_envz00_3086, obj_t BgL_v1z00_3087, obj_t BgL_v2z00_3088)
{
{ /* Llib/engine.scm 889 */
return 
BBOOL(
BGl_sqltinyzc3zc3zz__sqlite_enginez00(BgL_v1z00_3087, BgL_v2z00_3088));} 

}



/* sqltiny<= */
bool_t BGl_sqltinyzc3zd3z10zz__sqlite_enginez00(obj_t BgL_v1z00_106, obj_t BgL_v2z00_107)
{
{ /* Llib/engine.scm 890 */
if(
INTEGERP(BgL_v1z00_106))
{ /* Llib/engine.scm 890 */
if(
INTEGERP(BgL_v2z00_107))
{ /* Llib/engine.scm 890 */
return 
(
(long)CINT(BgL_v1z00_106)<=
(long)CINT(BgL_v2z00_107));}  else 
{ /* Llib/engine.scm 890 */
return ((bool_t)0);} }  else 
{ /* Llib/engine.scm 890 */
if(
STRINGP(BgL_v1z00_106))
{ /* Llib/engine.scm 890 */
if(
STRINGP(BgL_v2z00_107))
{ /* Llib/engine.scm 890 */
return 
bigloo_string_le(BgL_v1z00_106, BgL_v2z00_107);}  else 
{ /* Llib/engine.scm 890 */
return ((bool_t)0);} }  else 
{ /* Llib/engine.scm 890 */
return ((bool_t)0);} } } 

}



/* sqltinyminmax */
obj_t BGl_sqltinyminmaxz00zz__sqlite_enginez00(obj_t BgL_opz00_108, obj_t BgL_lstz00_109)
{
{ /* Llib/engine.scm 895 */
if(
NULLP(BgL_lstz00_109))
{ /* Llib/engine.scm 896 */
return BFALSE;}  else 
{ /* Llib/engine.scm 898 */
 obj_t BgL_g1164z00_1694; obj_t BgL_g1165z00_1695;
BgL_g1164z00_1694 = 
CDR(
((obj_t)BgL_lstz00_109)); 
BgL_g1165z00_1695 = 
CAR(
((obj_t)BgL_lstz00_109)); 
{ 
 obj_t BgL_lstz00_1697; obj_t BgL_mz00_1698;
BgL_lstz00_1697 = BgL_g1164z00_1694; 
BgL_mz00_1698 = BgL_g1165z00_1695; 
BgL_zc3z04anonymousza32539ze3z87_1699:
if(
NULLP(BgL_lstz00_1697))
{ /* Llib/engine.scm 901 */
return BgL_mz00_1698;}  else 
{ /* Llib/engine.scm 903 */
 bool_t BgL_test3196z00_6642;
{ /* Llib/engine.scm 903 */
 obj_t BgL_arg2546z00_1706;
BgL_arg2546z00_1706 = 
CAR(
((obj_t)BgL_lstz00_1697)); 
BgL_test3196z00_6642 = 
CBOOL(
((obj_t(*)())PROCEDURE_ENTRY(BgL_opz00_108))(BgL_opz00_108, BgL_arg2546z00_1706, BgL_mz00_1698, BEOA)); } 
if(BgL_test3196z00_6642)
{ /* Llib/engine.scm 904 */
 obj_t BgL_arg2543z00_1703; obj_t BgL_arg2544z00_1704;
BgL_arg2543z00_1703 = 
CDR(
((obj_t)BgL_lstz00_1697)); 
BgL_arg2544z00_1704 = 
CAR(
((obj_t)BgL_lstz00_1697)); 
{ 
 obj_t BgL_mz00_6656; obj_t BgL_lstz00_6655;
BgL_lstz00_6655 = BgL_arg2543z00_1703; 
BgL_mz00_6656 = BgL_arg2544z00_1704; 
BgL_mz00_1698 = BgL_mz00_6656; 
BgL_lstz00_1697 = BgL_lstz00_6655; 
goto BgL_zc3z04anonymousza32539ze3z87_1699;} }  else 
{ /* Llib/engine.scm 906 */
 obj_t BgL_arg2545z00_1705;
BgL_arg2545z00_1705 = 
CDR(
((obj_t)BgL_lstz00_1697)); 
{ 
 obj_t BgL_lstz00_6659;
BgL_lstz00_6659 = BgL_arg2545z00_1705; 
BgL_lstz00_1697 = BgL_lstz00_6659; 
goto BgL_zc3z04anonymousza32539ze3z87_1699;} } } } } } 

}



/* &sqltinymax */
obj_t BGl_z62sqltinymaxz62zz__sqlite_enginez00(obj_t BgL_envz00_3115, obj_t BgL_lstz00_3116)
{
{ /* Llib/engine.scm 908 */
return 
BGl_sqltinyminmaxz00zz__sqlite_enginez00(BGl_sqltinyze3zd2envz31zz__sqlite_enginez00, BgL_lstz00_3116);} 

}



/* &sqltinymin */
obj_t BGl_z62sqltinyminz62zz__sqlite_enginez00(obj_t BgL_envz00_3117, obj_t BgL_lstz00_3118)
{
{ /* Llib/engine.scm 911 */
return 
BGl_sqltinyminmaxz00zz__sqlite_enginez00(BGl_sqltinyzc3zd2envz11zz__sqlite_enginez00, BgL_lstz00_3118);} 

}



/* table-offset-in-list */
obj_t BGl_tablezd2offsetzd2inzd2listzd2zz__sqlite_enginez00(obj_t BgL_objz00_112, obj_t BgL_envz00_113, obj_t BgL_namez00_114)
{
{ /* Llib/engine.scm 917 */
{ /* Llib/engine.scm 918 */
 bool_t BgL_test3197z00_6662;
{ /* Llib/engine.scm 918 */
 long BgL_l1z00_2740;
BgL_l1z00_2740 = 
STRING_LENGTH(
((obj_t)BgL_namez00_114)); 
if(
(BgL_l1z00_2740==((long)1)))
{ /* Llib/engine.scm 918 */
 int BgL_arg1289z00_2743;
{ /* Llib/engine.scm 918 */
 char * BgL_auxz00_6670; char * BgL_tmpz00_6667;
BgL_auxz00_6670 = 
BSTRING_TO_STRING(BGl_string2782z00zz__sqlite_enginez00); 
BgL_tmpz00_6667 = 
BSTRING_TO_STRING(
((obj_t)BgL_namez00_114)); 
BgL_arg1289z00_2743 = 
memcmp(BgL_tmpz00_6667, BgL_auxz00_6670, BgL_l1z00_2740); } 
BgL_test3197z00_6662 = 
(
(long)(BgL_arg1289z00_2743)==((long)0)); }  else 
{ /* Llib/engine.scm 918 */
BgL_test3197z00_6662 = ((bool_t)0)
; } } 
if(BgL_test3197z00_6662)
{ /* Llib/engine.scm 918 */
return 
BINT(((long)0));}  else 
{ 
 long BgL_iz00_1710; obj_t BgL_envz00_1711;
BgL_iz00_1710 = ((long)0); 
BgL_envz00_1711 = BgL_envz00_113; 
BgL_zc3z04anonymousza32548ze3z87_1712:
{ /* Llib/engine.scm 923 */
 bool_t BgL_test3199z00_6676;
if(
NULLP(BgL_envz00_1711))
{ /* Llib/engine.scm 923 */
BgL_test3199z00_6676 = ((bool_t)1)
; }  else 
{ /* Llib/engine.scm 923 */
BgL_test3199z00_6676 = 
NULLP(
CAR(
((obj_t)BgL_envz00_1711)))
; } 
if(BgL_test3199z00_6676)
{ /* Llib/engine.scm 925 */
 BgL_z62errorz62_bglt BgL_arg2552z00_1716;
{ /* Llib/engine.scm 925 */
 BgL_z62errorz62_bglt BgL_new1167z00_1717;
{ /* Llib/engine.scm 925 */
 BgL_z62errorz62_bglt BgL_new1166z00_1721;
BgL_new1166z00_1721 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 925 */
 long BgL_arg2556z00_1722;
BgL_arg2556z00_1722 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1166z00_1721), BgL_arg2556z00_1722); } 
BgL_new1167z00_1717 = BgL_new1166z00_1721; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1167z00_1717)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1167z00_1717)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6690;
{ /* Llib/engine.scm 925 */
 obj_t BgL_arg2553z00_1718;
{ /* Llib/engine.scm 925 */
 obj_t BgL_arg2554z00_1719;
{ /* Llib/engine.scm 925 */
 obj_t BgL_classz00_2753;
BgL_classz00_2753 = BGl_z62errorz62zz__objectz00; 
BgL_arg2554z00_1719 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2753); } 
BgL_arg2553z00_1718 = 
VECTOR_REF(BgL_arg2554z00_1719,((long)2)); } 
BgL_auxz00_6690 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2553z00_1718); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1167z00_1717)))->BgL_stackz00)=((obj_t)BgL_auxz00_6690),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1167z00_1717))->BgL_procz00)=((obj_t)BGl_string2785z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6697;
{ /* Llib/engine.scm 927 */
 obj_t BgL_list2555z00_1720;
BgL_list2555z00_1720 = 
MAKE_YOUNG_PAIR(BgL_namez00_114, BNIL); 
BgL_auxz00_6697 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2780z00zz__sqlite_enginez00, BgL_list2555z00_1720); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1167z00_1717))->BgL_msgz00)=((obj_t)BgL_auxz00_6697),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1167z00_1717))->BgL_objz00)=((obj_t)BgL_objz00_112),BUNSPEC); 
BgL_arg2552z00_1716 = BgL_new1167z00_1717; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2552z00_1716));}  else 
{ /* Llib/engine.scm 929 */
 bool_t BgL_test3201z00_6704;
{ /* Llib/engine.scm 929 */
 obj_t BgL_arg2561z00_1727;
{ /* Llib/engine.scm 929 */
 obj_t BgL_pairz00_2758;
BgL_pairz00_2758 = 
CAR(
((obj_t)BgL_envz00_1711)); 
BgL_arg2561z00_1727 = 
CAR(BgL_pairz00_2758); } 
{ /* Llib/engine.scm 929 */
 long BgL_l1z00_2761;
BgL_l1z00_2761 = 
STRING_LENGTH(
((obj_t)BgL_namez00_114)); 
if(
(BgL_l1z00_2761==
STRING_LENGTH(
((obj_t)BgL_arg2561z00_1727))))
{ /* Llib/engine.scm 929 */
 int BgL_arg1289z00_2764;
{ /* Llib/engine.scm 929 */
 char * BgL_auxz00_6717; char * BgL_tmpz00_6714;
BgL_auxz00_6717 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg2561z00_1727)); 
BgL_tmpz00_6714 = 
BSTRING_TO_STRING(
((obj_t)BgL_namez00_114)); 
BgL_arg1289z00_2764 = 
memcmp(BgL_tmpz00_6714, BgL_auxz00_6717, BgL_l1z00_2761); } 
BgL_test3201z00_6704 = 
(
(long)(BgL_arg1289z00_2764)==((long)0)); }  else 
{ /* Llib/engine.scm 929 */
BgL_test3201z00_6704 = ((bool_t)0)
; } } } 
if(BgL_test3201z00_6704)
{ /* Llib/engine.scm 929 */
return 
BINT(BgL_iz00_1710);}  else 
{ /* Llib/engine.scm 932 */
 long BgL_arg2559z00_1725; obj_t BgL_arg2560z00_1726;
BgL_arg2559z00_1725 = 
(BgL_iz00_1710+((long)1)); 
BgL_arg2560z00_1726 = 
CDR(
((obj_t)BgL_envz00_1711)); 
{ 
 obj_t BgL_envz00_6728; long BgL_iz00_6727;
BgL_iz00_6727 = BgL_arg2559z00_1725; 
BgL_envz00_6728 = BgL_arg2560z00_1726; 
BgL_envz00_1711 = BgL_envz00_6728; 
BgL_iz00_1710 = BgL_iz00_6727; 
goto BgL_zc3z04anonymousza32548ze3z87_1712;} } } } } } } 

}



/* find-column-offset */
obj_t BGl_findzd2columnzd2offsetz00zz__sqlite_enginez00(obj_t BgL_objz00_115, obj_t BgL_envz00_116, obj_t BgL_tablezd2namezd2_117, obj_t BgL_columnzd2namezd2_118)
{
{ /* Llib/engine.scm 937 */
{ /* Llib/engine.scm 938 */
 bool_t BgL_test3203z00_6729;
{ /* Llib/engine.scm 938 */
 long BgL_l1z00_2774;
BgL_l1z00_2774 = 
STRING_LENGTH(
((obj_t)BgL_tablezd2namezd2_117)); 
if(
(BgL_l1z00_2774==((long)1)))
{ /* Llib/engine.scm 938 */
 int BgL_arg1289z00_2777;
{ /* Llib/engine.scm 938 */
 char * BgL_auxz00_6737; char * BgL_tmpz00_6734;
BgL_auxz00_6737 = 
BSTRING_TO_STRING(BGl_string2782z00zz__sqlite_enginez00); 
BgL_tmpz00_6734 = 
BSTRING_TO_STRING(
((obj_t)BgL_tablezd2namezd2_117)); 
BgL_arg1289z00_2777 = 
memcmp(BgL_tmpz00_6734, BgL_auxz00_6737, BgL_l1z00_2774); } 
BgL_test3203z00_6729 = 
(
(long)(BgL_arg1289z00_2777)==((long)0)); }  else 
{ /* Llib/engine.scm 938 */
BgL_test3203z00_6729 = ((bool_t)0)
; } } 
if(BgL_test3203z00_6729)
{ 
 long BgL_iz00_1733; obj_t BgL_envz00_1734;
BgL_iz00_1733 = ((long)0); 
BgL_envz00_1734 = BgL_envz00_116; 
BgL_zc3z04anonymousza32564ze3z87_1735:
if(
NULLP(BgL_envz00_1734))
{ /* Llib/engine.scm 943 */
 BgL_z62errorz62_bglt BgL_arg2566z00_1737;
{ /* Llib/engine.scm 943 */
 BgL_z62errorz62_bglt BgL_new1169z00_1738;
{ /* Llib/engine.scm 943 */
 BgL_z62errorz62_bglt BgL_new1168z00_1742;
BgL_new1168z00_1742 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 943 */
 long BgL_arg2570z00_1743;
BgL_arg2570z00_1743 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_1742), BgL_arg2570z00_1743); } 
BgL_new1169z00_1738 = BgL_new1168z00_1742; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1169z00_1738)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1169z00_1738)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6752;
{ /* Llib/engine.scm 943 */
 obj_t BgL_arg2567z00_1739;
{ /* Llib/engine.scm 943 */
 obj_t BgL_arg2568z00_1740;
{ /* Llib/engine.scm 943 */
 obj_t BgL_classz00_2786;
BgL_classz00_2786 = BGl_z62errorz62zz__objectz00; 
BgL_arg2568z00_1740 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2786); } 
BgL_arg2567z00_1739 = 
VECTOR_REF(BgL_arg2568z00_1740,((long)2)); } 
BgL_auxz00_6752 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2567z00_1739); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1169z00_1738)))->BgL_stackz00)=((obj_t)BgL_auxz00_6752),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1169z00_1738))->BgL_procz00)=((obj_t)BGl_string2807z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6759;
{ /* Llib/engine.scm 945 */
 obj_t BgL_list2569z00_1741;
BgL_list2569z00_1741 = 
MAKE_YOUNG_PAIR(BgL_columnzd2namezd2_118, BNIL); 
BgL_auxz00_6759 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2808z00zz__sqlite_enginez00, BgL_list2569z00_1741); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1169z00_1738))->BgL_msgz00)=((obj_t)BgL_auxz00_6759),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1169z00_1738))->BgL_objz00)=((obj_t)BgL_objz00_115),BUNSPEC); 
BgL_arg2566z00_1737 = BgL_new1169z00_1738; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2566z00_1737));}  else 
{ /* Llib/engine.scm 947 */
 obj_t BgL_tz00_1744;
{ /* Llib/engine.scm 947 */
 obj_t BgL_pairz00_2789;
BgL_pairz00_2789 = 
CAR(
((obj_t)BgL_envz00_1734)); 
BgL_tz00_1744 = 
CDR(BgL_pairz00_2789); } 
{ /* Llib/engine.scm 947 */
 obj_t BgL_jz00_1745;
BgL_jz00_1745 = 
BGl_columnzd2offsetzd2zz__sqlite_enginez00(BgL_objz00_115, BgL_tz00_1744, BgL_columnzd2namezd2_118); 
{ /* Llib/engine.scm 948 */

if(
CBOOL(BgL_jz00_1745))
{ /* Llib/engine.scm 949 */
{ /* Llib/engine.scm 950 */
 int BgL_tmpz00_6772;
BgL_tmpz00_6772 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6772); } 
{ /* Llib/engine.scm 950 */
 int BgL_tmpz00_6775;
BgL_tmpz00_6775 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6775, BgL_jz00_1745); } 
return 
BINT(BgL_iz00_1733);}  else 
{ /* Llib/engine.scm 951 */
 long BgL_arg2571z00_1748; obj_t BgL_arg2572z00_1749;
BgL_arg2571z00_1748 = 
(BgL_iz00_1733+((long)1)); 
BgL_arg2572z00_1749 = 
CDR(
((obj_t)BgL_envz00_1734)); 
{ 
 obj_t BgL_envz00_6783; long BgL_iz00_6782;
BgL_iz00_6782 = BgL_arg2571z00_1748; 
BgL_envz00_6783 = BgL_arg2572z00_1749; 
BgL_envz00_1734 = BgL_envz00_6783; 
BgL_iz00_1733 = BgL_iz00_6782; 
goto BgL_zc3z04anonymousza32564ze3z87_1735;} } } } } }  else 
{ /* Llib/engine.scm 952 */
 obj_t BgL_iz00_1752;
BgL_iz00_1752 = 
BGl_tablezd2offsetzd2inzd2listzd2zz__sqlite_enginez00(BgL_objz00_115, BgL_envz00_116, BgL_tablezd2namezd2_117); 
{ /* Llib/engine.scm 952 */
 obj_t BgL_tz00_1753;
BgL_tz00_1753 = 
CDR(
bgl_list_ref(BgL_envz00_116, 
(long)CINT(BgL_iz00_1752))); 
{ /* Llib/engine.scm 953 */
 obj_t BgL_jz00_1754;
BgL_jz00_1754 = 
BGl_columnzd2offsetzd2zz__sqlite_enginez00(BgL_objz00_115, BgL_tz00_1753, BgL_columnzd2namezd2_118); 
{ /* Llib/engine.scm 954 */

if(
CBOOL(BgL_jz00_1754))
{ /* Llib/engine.scm 955 */BFALSE; }  else 
{ /* Llib/engine.scm 957 */
 BgL_z62errorz62_bglt BgL_arg2574z00_1755;
{ /* Llib/engine.scm 957 */
 BgL_z62errorz62_bglt BgL_new1171z00_1756;
{ /* Llib/engine.scm 957 */
 BgL_z62errorz62_bglt BgL_new1170z00_1761;
BgL_new1170z00_1761 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 957 */
 long BgL_arg2579z00_1762;
BgL_arg2579z00_1762 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1170z00_1761), BgL_arg2579z00_1762); } 
BgL_new1171z00_1756 = BgL_new1170z00_1761; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1171z00_1756)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1171z00_1756)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6799;
{ /* Llib/engine.scm 957 */
 obj_t BgL_arg2575z00_1757;
{ /* Llib/engine.scm 957 */
 obj_t BgL_arg2576z00_1758;
{ /* Llib/engine.scm 957 */
 obj_t BgL_classz00_2796;
BgL_classz00_2796 = BGl_z62errorz62zz__objectz00; 
BgL_arg2576z00_1758 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2796); } 
BgL_arg2575z00_1757 = 
VECTOR_REF(BgL_arg2576z00_1758,((long)2)); } 
BgL_auxz00_6799 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2575z00_1757); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1171z00_1756)))->BgL_stackz00)=((obj_t)BgL_auxz00_6799),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1171z00_1756))->BgL_procz00)=((obj_t)BGl_string2807z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6806;
{ /* Llib/engine.scm 959 */
 obj_t BgL_list2577z00_1759;
{ /* Llib/engine.scm 959 */
 obj_t BgL_arg2578z00_1760;
BgL_arg2578z00_1760 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_117, BNIL); 
BgL_list2577z00_1759 = 
MAKE_YOUNG_PAIR(BgL_columnzd2namezd2_118, BgL_arg2578z00_1760); } 
BgL_auxz00_6806 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2809z00zz__sqlite_enginez00, BgL_list2577z00_1759); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1171z00_1756))->BgL_msgz00)=((obj_t)BgL_auxz00_6806),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1171z00_1756))->BgL_objz00)=((obj_t)BgL_objz00_115),BUNSPEC); 
BgL_arg2574z00_1755 = BgL_new1171z00_1756; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2574z00_1755)); } 
{ /* Llib/engine.scm 963 */
 int BgL_tmpz00_6814;
BgL_tmpz00_6814 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6814); } 
{ /* Llib/engine.scm 963 */
 int BgL_tmpz00_6817;
BgL_tmpz00_6817 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6817, BgL_jz00_1754); } 
return BgL_iz00_1752;} } } } } } 

}



/* column-offset */
obj_t BGl_columnzd2offsetzd2zz__sqlite_enginez00(obj_t BgL_objz00_119, obj_t BgL_tablez00_120, obj_t BgL_namez00_121)
{
{ /* Llib/engine.scm 968 */
{ /* Llib/engine.scm 970 */
 obj_t BgL_arg2581z00_1768;
BgL_arg2581z00_1768 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_120)))->BgL_columnsz00); 
{ 
 obj_t BgL_columnsz00_2813; long BgL_iz00_2814;
BgL_columnsz00_2813 = BgL_arg2581z00_1768; 
BgL_iz00_2814 = ((long)0); 
BgL_loopz00_2812:
if(
NULLP(BgL_columnsz00_2813))
{ /* Llib/engine.scm 973 */
return BFALSE;}  else 
{ /* Llib/engine.scm 975 */
 bool_t BgL_test3209z00_6824;
{ /* Llib/engine.scm 976 */
 obj_t BgL_arg2588z00_2817;
BgL_arg2588z00_2817 = 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(
((BgL_z42sqltinyzd2columnz90_bglt)
CAR(
((obj_t)BgL_columnsz00_2813)))))->BgL_namez00); 
{ /* Llib/engine.scm 975 */
 long BgL_l1z00_2822;
BgL_l1z00_2822 = 
STRING_LENGTH(
((obj_t)BgL_namez00_121)); 
if(
(BgL_l1z00_2822==
STRING_LENGTH(BgL_arg2588z00_2817)))
{ /* Llib/engine.scm 975 */
 int BgL_arg1289z00_2829;
{ /* Llib/engine.scm 975 */
 char * BgL_auxz00_6837; char * BgL_tmpz00_6834;
BgL_auxz00_6837 = 
BSTRING_TO_STRING(BgL_arg2588z00_2817); 
BgL_tmpz00_6834 = 
BSTRING_TO_STRING(
((obj_t)BgL_namez00_121)); 
BgL_arg1289z00_2829 = 
memcmp(BgL_tmpz00_6834, BgL_auxz00_6837, BgL_l1z00_2822); } 
BgL_test3209z00_6824 = 
(
(long)(BgL_arg1289z00_2829)==((long)0)); }  else 
{ /* Llib/engine.scm 975 */
BgL_test3209z00_6824 = ((bool_t)0)
; } } } 
if(BgL_test3209z00_6824)
{ /* Llib/engine.scm 975 */
return 
BINT(BgL_iz00_2814);}  else 
{ /* Llib/engine.scm 979 */
 obj_t BgL_arg2586z00_2831; long BgL_arg2587z00_2832;
BgL_arg2586z00_2831 = 
CDR(
((obj_t)BgL_columnsz00_2813)); 
BgL_arg2587z00_2832 = 
(BgL_iz00_2814+((long)1)); 
{ 
 long BgL_iz00_6847; obj_t BgL_columnsz00_6846;
BgL_columnsz00_6846 = BgL_arg2586z00_2831; 
BgL_iz00_6847 = BgL_arg2587z00_2832; 
BgL_iz00_2814 = BgL_iz00_6847; 
BgL_columnsz00_2813 = BgL_columnsz00_6846; 
goto BgL_loopz00_2812;} } } } } } 

}



/* sqltiny-delete */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2deletezd2zz__sqlite_enginez00(obj_t BgL_objz00_122, BgL_z42sqltinyz42_bglt BgL_builtinz00_123, obj_t BgL_tablezd2namezd2_124, obj_t BgL_wherezd2exprzd2_125)
{
{ /* Llib/engine.scm 984 */
{ /* Llib/engine.scm 985 */
 obj_t BgL_tblz00_1781; obj_t BgL_glockz00_1782;
BgL_tblz00_1781 = 
BGl_sqltinyzd2getzd2tablez00zz__sqlite_enginez00(BgL_builtinz00_123, BgL_tablezd2namezd2_124); 
BgL_glockz00_1782 = 
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_123))->BgL_mutexz00); 
if(
CBOOL(BgL_tblz00_1781))
{ /* Llib/engine.scm 987 */BFALSE; }  else 
{ /* Llib/engine.scm 989 */
 BgL_z62errorz62_bglt BgL_arg2589z00_1783;
{ /* Llib/engine.scm 989 */
 BgL_z62errorz62_bglt BgL_new1176z00_1784;
{ /* Llib/engine.scm 989 */
 BgL_z62errorz62_bglt BgL_new1175z00_1788;
BgL_new1175z00_1788 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 989 */
 long BgL_arg2593z00_1789;
BgL_arg2593z00_1789 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_1788), BgL_arg2593z00_1789); } 
BgL_new1176z00_1784 = BgL_new1175z00_1788; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1176z00_1784)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1176z00_1784)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6860;
{ /* Llib/engine.scm 989 */
 obj_t BgL_arg2590z00_1785;
{ /* Llib/engine.scm 989 */
 obj_t BgL_arg2591z00_1786;
{ /* Llib/engine.scm 989 */
 obj_t BgL_classz00_2838;
BgL_classz00_2838 = BGl_z62errorz62zz__objectz00; 
BgL_arg2591z00_1786 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2838); } 
BgL_arg2590z00_1785 = 
VECTOR_REF(BgL_arg2591z00_1786,((long)2)); } 
BgL_auxz00_6860 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2590z00_1785); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1176z00_1784)))->BgL_stackz00)=((obj_t)BgL_auxz00_6860),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1176z00_1784))->BgL_procz00)=((obj_t)BGl_string2810z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6867;
{ /* Llib/engine.scm 991 */
 obj_t BgL_list2592z00_1787;
BgL_list2592z00_1787 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_124, BNIL); 
BgL_auxz00_6867 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2780z00zz__sqlite_enginez00, BgL_list2592z00_1787); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1176z00_1784))->BgL_msgz00)=((obj_t)BgL_auxz00_6867),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1176z00_1784))->BgL_objz00)=((obj_t)BgL_objz00_122),BUNSPEC); 
BgL_arg2589z00_1783 = BgL_new1176z00_1784; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2589z00_1783)); } 
{ /* Llib/engine.scm 994 */
 obj_t BgL_envz00_1790;
{ /* Llib/engine.scm 994 */
 obj_t BgL_arg2626z00_1844;
BgL_arg2626z00_1844 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_124, BgL_tblz00_1781); 
{ /* Llib/engine.scm 994 */
 obj_t BgL_list2627z00_1845;
BgL_list2627z00_1845 = 
MAKE_YOUNG_PAIR(BgL_arg2626z00_1844, BNIL); 
BgL_envz00_1790 = BgL_list2627z00_1845; } } 
{ /* Llib/engine.scm 994 */
 obj_t BgL_predz00_1791;
BgL_predz00_1791 = 
BGl_compilezd2exprzd2zz__sqlite_enginez00(BgL_wherezd2exprzd2_125, BgL_envz00_1790, BgL_objz00_122, BgL_builtinz00_123); 
{ /* Llib/engine.scm 995 */

{ /* Llib/engine.scm 996 */
 obj_t BgL_top3213z00_6878;
BgL_top3213z00_6878 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_glockz00_1782); 
BGL_EXITD_PUSH_PROTECT(BgL_top3213z00_6878, BgL_glockz00_1782); BUNSPEC; 
{ /* Llib/engine.scm 996 */
 obj_t BgL_tmp3212z00_6877;
{ /* Llib/engine.scm 997 */
 obj_t BgL_rz00_1792;
{ /* Llib/engine.scm 997 */
 obj_t BgL_arg2620z00_1829;
if(
NULLP(BgL_envz00_1790))
{ /* Llib/engine.scm 997 */
BgL_arg2620z00_1829 = BNIL; }  else 
{ /* Llib/engine.scm 997 */
 obj_t BgL_head1352z00_1832;
BgL_head1352z00_1832 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1350z00_1834; obj_t BgL_tail1353z00_1835;
BgL_l1350z00_1834 = BgL_envz00_1790; 
BgL_tail1353z00_1835 = BgL_head1352z00_1832; 
BgL_zc3z04anonymousza32622ze3z87_1836:
if(
NULLP(BgL_l1350z00_1834))
{ /* Llib/engine.scm 997 */
BgL_arg2620z00_1829 = 
CDR(BgL_head1352z00_1832); }  else 
{ /* Llib/engine.scm 997 */
 obj_t BgL_newtail1354z00_1838;
{ /* Llib/engine.scm 997 */
 obj_t BgL_arg2625z00_1840;
{ 
 BgL_z42sqltinyzd2tablez90_bglt BgL_auxz00_6888;
{ /* Llib/engine.scm 998 */
 obj_t BgL_pairz00_2843;
BgL_pairz00_2843 = 
CAR(
((obj_t)BgL_l1350z00_1834)); 
BgL_auxz00_6888 = 
((BgL_z42sqltinyzd2tablez90_bglt)
CDR(BgL_pairz00_2843)); } 
BgL_arg2625z00_1840 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_auxz00_6888))->BgL_rowsz00); } 
BgL_newtail1354z00_1838 = 
MAKE_YOUNG_PAIR(BgL_arg2625z00_1840, BNIL); } 
SET_CDR(BgL_tail1353z00_1835, BgL_newtail1354z00_1838); 
{ /* Llib/engine.scm 997 */
 obj_t BgL_arg2624z00_1839;
BgL_arg2624z00_1839 = 
CDR(
((obj_t)BgL_l1350z00_1834)); 
{ 
 obj_t BgL_tail1353z00_6899; obj_t BgL_l1350z00_6898;
BgL_l1350z00_6898 = BgL_arg2624z00_1839; 
BgL_tail1353z00_6899 = BgL_newtail1354z00_1838; 
BgL_tail1353z00_1835 = BgL_tail1353z00_6899; 
BgL_l1350z00_1834 = BgL_l1350z00_6898; 
goto BgL_zc3z04anonymousza32622ze3z87_1836;} } } } } 
BgL_rz00_1792 = 
BGl_prodz00zz__sqlite_enginez00(BgL_arg2620z00_1829); } 
{ /* Llib/engine.scm 997 */
 obj_t BgL_rowsz00_1793;
BgL_rowsz00_1793 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BgL_predz00_1791, BgL_rz00_1792); 
{ /* Llib/engine.scm 1001 */

{ 
 obj_t BgL_trowsz00_1798; obj_t BgL_drowsz00_1799; obj_t BgL_prevz00_1800;
{ /* Llib/engine.scm 1003 */
 obj_t BgL_arg2594z00_1797;
BgL_arg2594z00_1797 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tblz00_1781)))->BgL_rowsz00); 
BgL_trowsz00_1798 = BgL_arg2594z00_1797; 
BgL_drowsz00_1799 = BgL_rowsz00_1793; 
BgL_prevz00_1800 = BNIL; 
BgL_zc3z04anonymousza32595ze3z87_1801:
if(
PAIRP(BgL_drowsz00_1799))
{ /* Llib/engine.scm 1008 */
 obj_t BgL_rowidz00_1803;
{ /* Llib/engine.scm 1008 */
 obj_t BgL_arg2609z00_1816;
BgL_arg2609z00_1816 = 
CAR(
CAR(BgL_drowsz00_1799)); 
BgL_rowidz00_1803 = 
VECTOR_REF(
((obj_t)BgL_arg2609z00_1816),((long)0)); } 
{ /* Llib/engine.scm 1009 */
 bool_t BgL_test3217z00_6910;
{ /* Llib/engine.scm 1009 */
 obj_t BgL_arg2607z00_1814;
{ /* Llib/engine.scm 1009 */
 obj_t BgL_arg2608z00_1815;
BgL_arg2608z00_1815 = 
CAR(
((obj_t)BgL_trowsz00_1798)); 
BgL_arg2607z00_1814 = 
VECTOR_REF(
((obj_t)BgL_arg2608z00_1815),((long)0)); } 
BgL_test3217z00_6910 = 
(
(long)CINT(BgL_rowidz00_1803)==
(long)CINT(BgL_arg2607z00_1814)); } 
if(BgL_test3217z00_6910)
{ /* Llib/engine.scm 1009 */
if(
NULLP(BgL_prevz00_1800))
{ /* Llib/engine.scm 1010 */
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tblz00_1781)))->BgL_rowsz00)=((obj_t)
CDR(
((obj_t)BgL_trowsz00_1798))),BUNSPEC); 
{ /* Llib/engine.scm 1013 */
 obj_t BgL_arg2601z00_1808; obj_t BgL_arg2602z00_1809;
BgL_arg2601z00_1808 = 
CDR(
((obj_t)BgL_trowsz00_1798)); 
BgL_arg2602z00_1809 = 
CDR(BgL_drowsz00_1799); 
{ 
 obj_t BgL_prevz00_6929; obj_t BgL_drowsz00_6928; obj_t BgL_trowsz00_6927;
BgL_trowsz00_6927 = BgL_arg2601z00_1808; 
BgL_drowsz00_6928 = BgL_arg2602z00_1809; 
BgL_prevz00_6929 = BNIL; 
BgL_prevz00_1800 = BgL_prevz00_6929; 
BgL_drowsz00_1799 = BgL_drowsz00_6928; 
BgL_trowsz00_1798 = BgL_trowsz00_6927; 
goto BgL_zc3z04anonymousza32595ze3z87_1801;} } }  else 
{ /* Llib/engine.scm 1010 */
{ /* Llib/engine.scm 1015 */
 obj_t BgL_arg2603z00_1810;
BgL_arg2603z00_1810 = 
CDR(
((obj_t)BgL_trowsz00_1798)); 
{ /* Llib/engine.scm 1015 */
 obj_t BgL_tmpz00_6932;
BgL_tmpz00_6932 = 
((obj_t)BgL_prevz00_1800); 
SET_CDR(BgL_tmpz00_6932, BgL_arg2603z00_1810); } } 
{ /* Llib/engine.scm 1016 */
 obj_t BgL_arg2604z00_1811; obj_t BgL_arg2605z00_1812;
BgL_arg2604z00_1811 = 
CDR(
((obj_t)BgL_trowsz00_1798)); 
BgL_arg2605z00_1812 = 
CDR(BgL_drowsz00_1799); 
{ 
 obj_t BgL_drowsz00_6939; obj_t BgL_trowsz00_6938;
BgL_trowsz00_6938 = BgL_arg2604z00_1811; 
BgL_drowsz00_6939 = BgL_arg2605z00_1812; 
BgL_drowsz00_1799 = BgL_drowsz00_6939; 
BgL_trowsz00_1798 = BgL_trowsz00_6938; 
goto BgL_zc3z04anonymousza32595ze3z87_1801;} } } }  else 
{ /* Llib/engine.scm 1017 */
 obj_t BgL_arg2606z00_1813;
BgL_arg2606z00_1813 = 
CDR(
((obj_t)BgL_trowsz00_1798)); 
{ 
 obj_t BgL_prevz00_6943; obj_t BgL_trowsz00_6942;
BgL_trowsz00_6942 = BgL_arg2606z00_1813; 
BgL_prevz00_6943 = BgL_trowsz00_1798; 
BgL_prevz00_1800 = BgL_prevz00_6943; 
BgL_trowsz00_1798 = BgL_trowsz00_6942; 
goto BgL_zc3z04anonymousza32595ze3z87_1801;} } } }  else 
{ /* Llib/engine.scm 1007 */
if(
PAIRP(BgL_prevz00_1800))
{ /* Llib/engine.scm 1020 */
if(
NULLP(
CDR(BgL_prevz00_1800)))
{ /* Llib/engine.scm 1021 */
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tblz00_1781)))->BgL_lastzd2rowzd2pairz00)=((obj_t)BgL_prevz00_1800),BUNSPEC); }  else 
{ /* Llib/engine.scm 1021 */BFALSE; } }  else 
{ /* Llib/engine.scm 1020 */
if(
NULLP(
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tblz00_1781)))->BgL_rowsz00)))
{ /* Llib/engine.scm 1022 */
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tblz00_1781)))->BgL_lastzd2rowzd2pairz00)=((obj_t)BNIL),BUNSPEC); }  else 
{ /* Llib/engine.scm 1022 */BUNSPEC; } } } } } 
if(
(
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_123))->BgL_syncz00)==
CNST_TABLE_REF(((long)3))))
{ /* Llib/engine.scm 1028 */
BgL_tmp3212z00_6877 = BFALSE; }  else 
{ /* Llib/engine.scm 1028 */
BgL_tmp3212z00_6877 = 
BGl_z52sqltinyzd2flushz80zz__sqlite_enginez00(BgL_objz00_122, BgL_builtinz00_123); } } } } 
BGL_EXITD_POP_PROTECT(BgL_top3213z00_6878); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_glockz00_1782); BgL_tmp3212z00_6877; } } 
return BFALSE;} } } } } 

}



/* &sqltiny-delete */
obj_t BGl_z62sqltinyzd2deletezb0zz__sqlite_enginez00(obj_t BgL_envz00_3219, obj_t BgL_objz00_3220, obj_t BgL_builtinz00_3221, obj_t BgL_tablezd2namezd2_3222, obj_t BgL_wherezd2exprzd2_3223)
{
{ /* Llib/engine.scm 984 */
{ /* Llib/engine.scm 985 */
 obj_t BgL_auxz00_6972; BgL_z42sqltinyz42_bglt BgL_auxz00_6964;
if(
STRINGP(BgL_tablezd2namezd2_3222))
{ /* Llib/engine.scm 985 */
BgL_auxz00_6972 = BgL_tablezd2namezd2_3222
; }  else 
{ 
 obj_t BgL_auxz00_6975;
BgL_auxz00_6975 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)34441)), BGl_string2811z00zz__sqlite_enginez00, BGl_string2769z00zz__sqlite_enginez00, BgL_tablezd2namezd2_3222); 
FAILURE(BgL_auxz00_6975,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_3221, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 985 */
BgL_auxz00_6964 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_3221)
; }  else 
{ 
 obj_t BgL_auxz00_6968;
BgL_auxz00_6968 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)34441)), BGl_string2811z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_3221); 
FAILURE(BgL_auxz00_6968,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2deletezd2zz__sqlite_enginez00(BgL_objz00_3220, BgL_auxz00_6964, BgL_auxz00_6972, BgL_wherezd2exprzd2_3223);} } 

}



/* sqltiny-table-info */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2tablezd2infoz00zz__sqlite_enginez00(obj_t BgL_objz00_126, BgL_z42sqltinyz42_bglt BgL_builtinz00_127, obj_t BgL_tablezd2namezd2_128)
{
{ /* Llib/engine.scm 1035 */
{ /* Llib/engine.scm 1036 */
 obj_t BgL_tablez00_1847;
BgL_tablez00_1847 = 
BGl_sqltinyzd2getzd2tablez00zz__sqlite_enginez00(BgL_builtinz00_127, BgL_tablezd2namezd2_128); 
if(
CBOOL(BgL_tablez00_1847))
{ /* Llib/engine.scm 1037 */BFALSE; }  else 
{ /* Llib/engine.scm 1039 */
 BgL_z62errorz62_bglt BgL_arg2628z00_1848;
{ /* Llib/engine.scm 1039 */
 BgL_z62errorz62_bglt BgL_new1182z00_1849;
{ /* Llib/engine.scm 1039 */
 BgL_z62errorz62_bglt BgL_new1181z00_1853;
BgL_new1181z00_1853 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 1039 */
 long BgL_arg2632z00_1854;
BgL_arg2632z00_1854 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1181z00_1853), BgL_arg2632z00_1854); } 
BgL_new1182z00_1849 = BgL_new1181z00_1853; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1182z00_1849)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1182z00_1849)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6991;
{ /* Llib/engine.scm 1039 */
 obj_t BgL_arg2629z00_1850;
{ /* Llib/engine.scm 1039 */
 obj_t BgL_arg2630z00_1851;
{ /* Llib/engine.scm 1039 */
 obj_t BgL_classz00_2867;
BgL_classz00_2867 = BGl_z62errorz62zz__objectz00; 
BgL_arg2630z00_1851 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2867); } 
BgL_arg2629z00_1850 = 
VECTOR_REF(BgL_arg2630z00_1851,((long)2)); } 
BgL_auxz00_6991 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2629z00_1850); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1182z00_1849)))->BgL_stackz00)=((obj_t)BgL_auxz00_6991),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1182z00_1849))->BgL_procz00)=((obj_t)BGl_string2785z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6998;
{ /* Llib/engine.scm 1041 */
 obj_t BgL_list2631z00_1852;
BgL_list2631z00_1852 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_128, BNIL); 
BgL_auxz00_6998 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2780z00zz__sqlite_enginez00, BgL_list2631z00_1852); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1182z00_1849))->BgL_msgz00)=((obj_t)BgL_auxz00_6998),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1182z00_1849))->BgL_objz00)=((obj_t)BgL_objz00_126),BUNSPEC); 
BgL_arg2628z00_1848 = BgL_new1182z00_1849; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2628z00_1848)); } 
{ /* Llib/engine.scm 1043 */
 obj_t BgL_l1355z00_1855;
BgL_l1355z00_1855 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tablez00_1847)))->BgL_za2columnsza2); 
if(
NULLP(BgL_l1355z00_1855))
{ /* Llib/engine.scm 1043 */
return BNIL;}  else 
{ /* Llib/engine.scm 1043 */
 obj_t BgL_head1357z00_1857;
BgL_head1357z00_1857 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1355z00_1859; obj_t BgL_tail1358z00_1860;
BgL_l1355z00_1859 = BgL_l1355z00_1855; 
BgL_tail1358z00_1860 = BgL_head1357z00_1857; 
BgL_zc3z04anonymousza32634ze3z87_1861:
if(
NULLP(BgL_l1355z00_1859))
{ /* Llib/engine.scm 1043 */
return 
CDR(BgL_head1357z00_1857);}  else 
{ /* Llib/engine.scm 1043 */
 obj_t BgL_newtail1359z00_1863;
{ /* Llib/engine.scm 1043 */
 obj_t BgL_arg2637z00_1865;
{ /* Llib/engine.scm 1043 */
 obj_t BgL_cz00_1866;
BgL_cz00_1866 = 
CAR(
((obj_t)BgL_l1355z00_1859)); 
{ /* Llib/engine.scm 1045 */
 obj_t BgL_arg2638z00_1868;
BgL_arg2638z00_1868 = 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(
((BgL_z42sqltinyzd2columnz90_bglt)BgL_cz00_1866)))->BgL_namez00); 
{ /* Llib/engine.scm 1045 */
 obj_t BgL_list2639z00_1869;
{ /* Llib/engine.scm 1045 */
 obj_t BgL_arg2640z00_1870;
BgL_arg2640z00_1870 = 
MAKE_YOUNG_PAIR(BgL_arg2638z00_1868, BNIL); 
BgL_list2639z00_1869 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg2640z00_1870); } 
BgL_arg2637z00_1865 = BgL_list2639z00_1869; } } } 
BgL_newtail1359z00_1863 = 
MAKE_YOUNG_PAIR(BgL_arg2637z00_1865, BNIL); } 
SET_CDR(BgL_tail1358z00_1860, BgL_newtail1359z00_1863); 
{ /* Llib/engine.scm 1043 */
 obj_t BgL_arg2636z00_1864;
BgL_arg2636z00_1864 = 
CDR(
((obj_t)BgL_l1355z00_1859)); 
{ 
 obj_t BgL_tail1358z00_7025; obj_t BgL_l1355z00_7024;
BgL_l1355z00_7024 = BgL_arg2636z00_1864; 
BgL_tail1358z00_7025 = BgL_newtail1359z00_1863; 
BgL_tail1358z00_1860 = BgL_tail1358z00_7025; 
BgL_l1355z00_1859 = BgL_l1355z00_7024; 
goto BgL_zc3z04anonymousza32634ze3z87_1861;} } } } } } } } 

}



/* &sqltiny-table-info */
obj_t BGl_z62sqltinyzd2tablezd2infoz62zz__sqlite_enginez00(obj_t BgL_envz00_3224, obj_t BgL_objz00_3225, obj_t BgL_builtinz00_3226, obj_t BgL_tablezd2namezd2_3227)
{
{ /* Llib/engine.scm 1035 */
{ /* Llib/engine.scm 1036 */
 obj_t BgL_auxz00_7034; BgL_z42sqltinyz42_bglt BgL_auxz00_7026;
if(
STRINGP(BgL_tablezd2namezd2_3227))
{ /* Llib/engine.scm 1036 */
BgL_auxz00_7034 = BgL_tablezd2namezd2_3227
; }  else 
{ 
 obj_t BgL_auxz00_7037;
BgL_auxz00_7037 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)36179)), BGl_string2812z00zz__sqlite_enginez00, BGl_string2769z00zz__sqlite_enginez00, BgL_tablezd2namezd2_3227); 
FAILURE(BgL_auxz00_7037,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_3226, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 1036 */
BgL_auxz00_7026 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_3226)
; }  else 
{ 
 obj_t BgL_auxz00_7030;
BgL_auxz00_7030 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)36179)), BGl_string2812z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_3226); 
FAILURE(BgL_auxz00_7030,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2tablezd2infoz00zz__sqlite_enginez00(BgL_objz00_3225, BgL_auxz00_7026, BgL_auxz00_7034);} } 

}



/* %sqltiny-flush */
obj_t BGl_z52sqltinyzd2flushz80zz__sqlite_enginez00(obj_t BgL_objz00_129, BgL_z42sqltinyz42_bglt BgL_builtinz00_130)
{
{ /* Llib/engine.scm 1053 */
{ /* Llib/engine.scm 1055 */
 bool_t BgL_test3230z00_7042;
{ /* Llib/engine.scm 1055 */
 obj_t BgL_arg2650z00_1890;
BgL_arg2650z00_1890 = 
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_130))->BgL_pathz00); 
{ /* Llib/engine.scm 1055 */
 long BgL_l1z00_2876;
BgL_l1z00_2876 = 
STRING_LENGTH(BgL_arg2650z00_1890); 
if(
(BgL_l1z00_2876==((long)8)))
{ /* Llib/engine.scm 1055 */
 int BgL_arg1289z00_2879;
{ /* Llib/engine.scm 1055 */
 char * BgL_auxz00_7049; char * BgL_tmpz00_7047;
BgL_auxz00_7049 = 
BSTRING_TO_STRING(BGl_string2813z00zz__sqlite_enginez00); 
BgL_tmpz00_7047 = 
BSTRING_TO_STRING(BgL_arg2650z00_1890); 
BgL_arg1289z00_2879 = 
memcmp(BgL_tmpz00_7047, BgL_auxz00_7049, BgL_l1z00_2876); } 
BgL_test3230z00_7042 = 
(
(long)(BgL_arg1289z00_2879)==((long)0)); }  else 
{ /* Llib/engine.scm 1055 */
BgL_test3230z00_7042 = ((bool_t)0)
; } } } 
if(BgL_test3230z00_7042)
{ /* Llib/engine.scm 1055 */
return BFALSE;}  else 
{ /* Llib/engine.scm 1056 */
 obj_t BgL_pz00_1876;
BgL_pz00_1876 = 
BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_130))->BgL_pathz00)); 
if(
BINARY_PORTP(BgL_pz00_1876))
{ /* Llib/engine.scm 1058 */
 obj_t BgL_exitd1186z00_1878;
BgL_exitd1186z00_1878 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/engine.scm 1060 */
 obj_t BgL_zc3z04anonymousza32644ze3z87_3228;
BgL_zc3z04anonymousza32644ze3z87_3228 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32644ze3ze5zz__sqlite_enginez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32644ze3z87_3228, 
(int)(((long)0)), BgL_pz00_1876); 
{ /* Llib/engine.scm 1058 */
 obj_t BgL_arg1818z00_2886;
{ /* Llib/engine.scm 1058 */
 obj_t BgL_arg1819z00_2887;
BgL_arg1819z00_2887 = 
BGL_EXITD_PROTECT(BgL_exitd1186z00_1878); 
BgL_arg1818z00_2886 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32644ze3z87_3228, BgL_arg1819z00_2887); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1186z00_1878, BgL_arg1818z00_2886); BUNSPEC; } 
{ /* Llib/engine.scm 1059 */
 obj_t BgL_tmp1188z00_1880;
BgL_tmp1188z00_1880 = 
output_obj(BgL_pz00_1876, 
((obj_t)BgL_builtinz00_130)); 
{ /* Llib/engine.scm 1058 */
 bool_t BgL_test3233z00_7069;
{ /* Llib/engine.scm 1058 */
 obj_t BgL_arg1817z00_2890;
BgL_arg1817z00_2890 = 
BGL_EXITD_PROTECT(BgL_exitd1186z00_1878); 
BgL_test3233z00_7069 = 
PAIRP(BgL_arg1817z00_2890); } 
if(BgL_test3233z00_7069)
{ /* Llib/engine.scm 1058 */
 obj_t BgL_arg1815z00_2891;
{ /* Llib/engine.scm 1058 */
 obj_t BgL_arg1816z00_2892;
BgL_arg1816z00_2892 = 
BGL_EXITD_PROTECT(BgL_exitd1186z00_1878); 
BgL_arg1815z00_2891 = 
CDR(
((obj_t)BgL_arg1816z00_2892)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1186z00_1878, BgL_arg1815z00_2891); BUNSPEC; }  else 
{ /* Llib/engine.scm 1058 */BFALSE; } } 
close_binary_port(BgL_pz00_1876); 
return BgL_tmp1188z00_1880;} } }  else 
{ /* Llib/engine.scm 1061 */
 BgL_z62iozd2portzd2errorz62_bglt BgL_arg2645z00_1883;
{ /* Llib/engine.scm 1061 */
 BgL_z62iozd2portzd2errorz62_bglt BgL_new1191z00_1884;
{ /* Llib/engine.scm 1061 */
 BgL_z62iozd2portzd2errorz62_bglt BgL_new1190z00_1887;
BgL_new1190z00_1887 = 
((BgL_z62iozd2portzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2portzd2errorz62_bgl) ))); 
{ /* Llib/engine.scm 1061 */
 long BgL_arg2648z00_1888;
BgL_arg2648z00_1888 = 
BGL_CLASS_NUM(BGl_z62iozd2portzd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_1887), BgL_arg2648z00_1888); } 
BgL_new1191z00_1884 = BgL_new1190z00_1887; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1191z00_1884)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1191z00_1884)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_7085;
{ /* Llib/engine.scm 1061 */
 obj_t BgL_arg2646z00_1885;
{ /* Llib/engine.scm 1061 */
 obj_t BgL_arg2647z00_1886;
{ /* Llib/engine.scm 1061 */
 obj_t BgL_classz00_2898;
BgL_classz00_2898 = BGl_z62iozd2portzd2errorz62zz__objectz00; 
BgL_arg2647z00_1886 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2898); } 
BgL_arg2646z00_1885 = 
VECTOR_REF(BgL_arg2647z00_1886,((long)2)); } 
BgL_auxz00_7085 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2646z00_1885); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1191z00_1884)))->BgL_stackz00)=((obj_t)BgL_auxz00_7085),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1191z00_1884)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)35))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1191z00_1884)))->BgL_msgz00)=((obj_t)BGl_string2814z00zz__sqlite_enginez00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1191z00_1884)))->BgL_objz00)=((obj_t)
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_130))->BgL_pathz00)),BUNSPEC); 
BgL_arg2645z00_1883 = BgL_new1191z00_1884; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2645z00_1883));} } } } 

}



/* &<@anonymous:2644> */
obj_t BGl_z62zc3z04anonymousza32644ze3ze5zz__sqlite_enginez00(obj_t BgL_envz00_3229)
{
{ /* Llib/engine.scm 1058 */
{ /* Llib/engine.scm 1060 */
 obj_t BgL_pz00_3230;
BgL_pz00_3230 = 
PROCEDURE_REF(BgL_envz00_3229, 
(int)(((long)0))); 
return 
close_binary_port(
((obj_t)BgL_pz00_3230));} } 

}



/* sqltiny-vacuum */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2vacuumzd2zz__sqlite_enginez00(obj_t BgL_objz00_131, BgL_z42sqltinyz42_bglt BgL_builtinz00_132)
{
{ /* Llib/engine.scm 1069 */
{ /* Llib/engine.scm 1071 */
 obj_t BgL_mutex2651z00_2901;
BgL_mutex2651z00_2901 = 
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_132))->BgL_mutexz00); 
{ /* Llib/engine.scm 1071 */
 obj_t BgL_top3235z00_7107;
BgL_top3235z00_7107 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex2651z00_2901); 
BGL_EXITD_PUSH_PROTECT(BgL_top3235z00_7107, BgL_mutex2651z00_2901); BUNSPEC; 
{ /* Llib/engine.scm 1071 */
 obj_t BgL_tmp3234z00_7106;
BgL_tmp3234z00_7106 = 
BGl_z52sqltinyzd2flushz80zz__sqlite_enginez00(BgL_objz00_131, BgL_builtinz00_132); 
BGL_EXITD_POP_PROTECT(BgL_top3235z00_7107); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex2651z00_2901); 
return BgL_tmp3234z00_7106;} } } } 

}



/* &sqltiny-vacuum */
obj_t BGl_z62sqltinyzd2vacuumzb0zz__sqlite_enginez00(obj_t BgL_envz00_3231, obj_t BgL_objz00_3232, obj_t BgL_builtinz00_3233)
{
{ /* Llib/engine.scm 1069 */
{ /* Llib/engine.scm 1070 */
 BgL_z42sqltinyz42_bglt BgL_auxz00_7114;
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_3233, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 1070 */
BgL_auxz00_7114 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_3233)
; }  else 
{ 
 obj_t BgL_auxz00_7118;
BgL_auxz00_7118 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)37574)), BGl_string2815z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_3233); 
FAILURE(BgL_auxz00_7118,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2vacuumzd2zz__sqlite_enginez00(BgL_objz00_3232, BgL_auxz00_7114);} } 

}



/* sqltiny-alter */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2alterzd2zz__sqlite_enginez00(obj_t BgL_objz00_133, BgL_z42sqltinyz42_bglt BgL_builtinz00_134, obj_t BgL_tablezd2namezd2_135, obj_t BgL_procz00_136)
{
{ /* Llib/engine.scm 1077 */
{ /* Llib/engine.scm 1079 */
 obj_t BgL_mutex2652z00_1894;
BgL_mutex2652z00_1894 = 
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_134))->BgL_mutexz00); 
{ /* Llib/engine.scm 1079 */
 obj_t BgL_top3238z00_7125;
BgL_top3238z00_7125 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex2652z00_1894); 
BGL_EXITD_PUSH_PROTECT(BgL_top3238z00_7125, BgL_mutex2652z00_1894); BUNSPEC; 
{ /* Llib/engine.scm 1079 */
 obj_t BgL_tmp3237z00_7124;
{ /* Llib/engine.scm 1080 */
 obj_t BgL_tblz00_1895;
BgL_tblz00_1895 = 
BGl_sqltinyzd2getzd2tablez00zz__sqlite_enginez00(BgL_builtinz00_134, BgL_tablezd2namezd2_135); 
if(
CBOOL(BgL_tblz00_1895))
{ /* Llib/engine.scm 1081 */BFALSE; }  else 
{ /* Llib/engine.scm 1083 */
 BgL_z62errorz62_bglt BgL_arg2653z00_1896;
{ /* Llib/engine.scm 1083 */
 BgL_z62errorz62_bglt BgL_new1195z00_1897;
{ /* Llib/engine.scm 1083 */
 BgL_z62errorz62_bglt BgL_new1194z00_1901;
BgL_new1194z00_1901 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/engine.scm 1083 */
 long BgL_arg2657z00_1902;
BgL_arg2657z00_1902 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1194z00_1901), BgL_arg2657z00_1902); } 
BgL_new1195z00_1897 = BgL_new1194z00_1901; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1195z00_1897)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1195z00_1897)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_7140;
{ /* Llib/engine.scm 1083 */
 obj_t BgL_arg2654z00_1898;
{ /* Llib/engine.scm 1083 */
 obj_t BgL_arg2655z00_1899;
{ /* Llib/engine.scm 1083 */
 obj_t BgL_classz00_2905;
BgL_classz00_2905 = BGl_z62errorz62zz__objectz00; 
BgL_arg2655z00_1899 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2905); } 
BgL_arg2654z00_1898 = 
VECTOR_REF(BgL_arg2655z00_1899,((long)2)); } 
BgL_auxz00_7140 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2654z00_1898); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1195z00_1897)))->BgL_stackz00)=((obj_t)BgL_auxz00_7140),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1195z00_1897))->BgL_procz00)=((obj_t)BGl_string2760z00zz__sqlite_enginez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_7147;
{ /* Llib/engine.scm 1085 */
 obj_t BgL_list2656z00_1900;
BgL_list2656z00_1900 = 
MAKE_YOUNG_PAIR(BgL_tablezd2namezd2_135, BNIL); 
BgL_auxz00_7147 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2816z00zz__sqlite_enginez00, BgL_list2656z00_1900); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1195z00_1897))->BgL_msgz00)=((obj_t)BgL_auxz00_7147),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1195z00_1897))->BgL_objz00)=((obj_t)BgL_objz00_133),BUNSPEC); 
BgL_arg2653z00_1896 = BgL_new1195z00_1897; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2653z00_1896)); } 
PROCEDURE_ENTRY(BgL_procz00_136)(BgL_procz00_136, BgL_objz00_133, 
((obj_t)BgL_builtinz00_134), BgL_tblz00_1895, BEOA); 
if(
(
(((BgL_z42sqltinyz42_bglt)COBJECT(BgL_builtinz00_134))->BgL_syncz00)==
CNST_TABLE_REF(((long)3))))
{ /* Llib/engine.scm 1088 */
BgL_tmp3237z00_7124 = BFALSE; }  else 
{ /* Llib/engine.scm 1088 */
BgL_tmp3237z00_7124 = 
BGl_z52sqltinyzd2flushz80zz__sqlite_enginez00(BgL_objz00_133, BgL_builtinz00_134); } } 
BGL_EXITD_POP_PROTECT(BgL_top3238z00_7125); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex2652z00_1894); 
return BgL_tmp3237z00_7124;} } } } 

}



/* &sqltiny-alter */
obj_t BGl_z62sqltinyzd2alterzb0zz__sqlite_enginez00(obj_t BgL_envz00_3234, obj_t BgL_objz00_3235, obj_t BgL_builtinz00_3236, obj_t BgL_tablezd2namezd2_3237, obj_t BgL_procz00_3238)
{
{ /* Llib/engine.scm 1077 */
{ /* Llib/engine.scm 1078 */
 obj_t BgL_auxz00_7183; obj_t BgL_auxz00_7176; BgL_z42sqltinyz42_bglt BgL_auxz00_7168;
if(
PROCEDUREP(BgL_procz00_3238))
{ /* Llib/engine.scm 1078 */
BgL_auxz00_7183 = BgL_procz00_3238
; }  else 
{ 
 obj_t BgL_auxz00_7186;
BgL_auxz00_7186 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)37955)), BGl_string2817z00zz__sqlite_enginez00, BGl_string2818z00zz__sqlite_enginez00, BgL_procz00_3238); 
FAILURE(BgL_auxz00_7186,BFALSE,BFALSE);} 
if(
STRINGP(BgL_tablezd2namezd2_3237))
{ /* Llib/engine.scm 1078 */
BgL_auxz00_7176 = BgL_tablezd2namezd2_3237
; }  else 
{ 
 obj_t BgL_auxz00_7179;
BgL_auxz00_7179 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)37955)), BGl_string2817z00zz__sqlite_enginez00, BGl_string2769z00zz__sqlite_enginez00, BgL_tablezd2namezd2_3237); 
FAILURE(BgL_auxz00_7179,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_3236, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 1078 */
BgL_auxz00_7168 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_3236)
; }  else 
{ 
 obj_t BgL_auxz00_7172;
BgL_auxz00_7172 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)37955)), BGl_string2817z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_3236); 
FAILURE(BgL_auxz00_7172,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2alterzd2zz__sqlite_enginez00(BgL_objz00_3235, BgL_auxz00_7168, BgL_auxz00_7176, BgL_auxz00_7183);} } 

}



/* sqltiny-add-column! */
BGL_EXPORTED_DEF obj_t BGl_sqltinyzd2addzd2columnz12z12zz__sqlite_enginez00(obj_t BgL_objz00_137, BgL_z42sqltinyz42_bglt BgL_builtinz00_138, BgL_z42sqltinyzd2tablez90_bglt BgL_tblz00_139, obj_t BgL_colz00_140)
{
{ /* Llib/engine.scm 1093 */
{ /* Llib/engine.scm 1096 */
 obj_t BgL_arg2661z00_1907; obj_t BgL_arg2662z00_1908;
{ /* Llib/engine.scm 1096 */
 obj_t BgL_arg2663z00_1909; obj_t BgL_arg2664z00_1910;
BgL_arg2663z00_1909 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_139))->BgL_columnsz00); 
{ /* Llib/engine.scm 1096 */
 obj_t BgL_list2665z00_1911;
BgL_list2665z00_1911 = 
MAKE_YOUNG_PAIR(BgL_colz00_140, BNIL); 
BgL_arg2664z00_1910 = BgL_list2665z00_1911; } 
BgL_arg2661z00_1907 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BgL_arg2663z00_1909, BgL_arg2664z00_1910); } 
{ /* Llib/engine.scm 1097 */
 obj_t BgL_arg2666z00_1912; obj_t BgL_arg2667z00_1913;
BgL_arg2666z00_1912 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_139))->BgL_za2columnsza2); 
{ /* Llib/engine.scm 1097 */
 obj_t BgL_list2668z00_1914;
BgL_list2668z00_1914 = 
MAKE_YOUNG_PAIR(BgL_colz00_140, BNIL); 
BgL_arg2667z00_1913 = BgL_list2668z00_1914; } 
BgL_arg2662z00_1908 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BgL_arg2666z00_1912, BgL_arg2667z00_1913); } 
{ /* Llib/engine.scm 76 */
 obj_t BgL_colisz00_2910;
BgL_colisz00_2910 = 
BGl_indexzd2columnsz12zc0zz__sqlite_enginez00(BgL_arg2661z00_1907); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_139))->BgL_columnsz00)=((obj_t)BgL_colisz00_2910),BUNSPEC); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_139))->BgL_za2columnsza2)=((obj_t)BgL_arg2662z00_1908),BUNSPEC); 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_139))->BgL_keycheckz00)=((obj_t)
BGl_sqltinyzd2compilezd2keyzd2checkzd2zz__sqlite_enginez00(BgL_objz00_137, BgL_tblz00_139, BgL_colisz00_2910, 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_139))->BgL_constraintsz00))),BUNSPEC); } } 
{ /* Llib/engine.scm 1099 */
 long BgL_lenz00_1916;
BgL_lenz00_1916 = 
bgl_list_length(
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_139))->BgL_columnsz00)); 
{ 
 obj_t BgL_auxz00_7205;
{ /* Llib/engine.scm 1100 */
 obj_t BgL_l1360z00_1917;
BgL_l1360z00_1917 = 
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_139))->BgL_rowsz00); 
if(
NULLP(BgL_l1360z00_1917))
{ /* Llib/engine.scm 1100 */
BgL_auxz00_7205 = BNIL
; }  else 
{ /* Llib/engine.scm 1100 */
 obj_t BgL_head1362z00_1919;
BgL_head1362z00_1919 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1360z00_1921; obj_t BgL_tail1363z00_1922;
BgL_l1360z00_1921 = BgL_l1360z00_1917; 
BgL_tail1363z00_1922 = BgL_head1362z00_1919; 
BgL_zc3z04anonymousza32670ze3z87_1923:
if(
NULLP(BgL_l1360z00_1921))
{ /* Llib/engine.scm 1100 */
BgL_auxz00_7205 = 
CDR(BgL_head1362z00_1919)
; }  else 
{ /* Llib/engine.scm 1100 */
 obj_t BgL_newtail1364z00_1925;
{ /* Llib/engine.scm 1100 */
 obj_t BgL_arg2673z00_1927;
{ /* Llib/engine.scm 1100 */
 obj_t BgL_rowz00_1928;
BgL_rowz00_1928 = 
CAR(
((obj_t)BgL_l1360z00_1921)); 
{ /* Llib/engine.scm 1101 */
 obj_t BgL_vz00_1929;
{ /* Llib/engine.scm 1101 */
 obj_t BgL_arg2674z00_1935;
BgL_arg2674z00_1935 = 
(((BgL_z42sqltinyzd2columnz90_bglt)COBJECT(
((BgL_z42sqltinyzd2columnz90_bglt)BgL_colz00_140)))->BgL_defaultz00); 
BgL_vz00_1929 = 
make_vector(BgL_lenz00_1916, BgL_arg2674z00_1935); } 
{ /* Llib/engine.scm 1102 */

BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_vz00_1929, ((long)0), BgL_rowz00_1928, 
BINT(((long)0)), 
BINT(
VECTOR_LENGTH(
((obj_t)BgL_rowz00_1928)))); } 
BgL_arg2673z00_1927 = BgL_vz00_1929; } } 
BgL_newtail1364z00_1925 = 
MAKE_YOUNG_PAIR(BgL_arg2673z00_1927, BNIL); } 
SET_CDR(BgL_tail1363z00_1922, BgL_newtail1364z00_1925); 
{ /* Llib/engine.scm 1100 */
 obj_t BgL_arg2672z00_1926;
BgL_arg2672z00_1926 = 
CDR(
((obj_t)BgL_l1360z00_1921)); 
{ 
 obj_t BgL_tail1363z00_7228; obj_t BgL_l1360z00_7227;
BgL_l1360z00_7227 = BgL_arg2672z00_1926; 
BgL_tail1363z00_7228 = BgL_newtail1364z00_1925; 
BgL_tail1363z00_1922 = BgL_tail1363z00_7228; 
BgL_l1360z00_1921 = BgL_l1360z00_7227; 
goto BgL_zc3z04anonymousza32670ze3z87_1923;} } } } } } 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_139))->BgL_rowsz00)=((obj_t)BgL_auxz00_7205),BUNSPEC); } 
return 
((((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_139))->BgL_lastzd2rowzd2pairz00)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z42sqltinyzd2tablez90_bglt)COBJECT(BgL_tblz00_139))->BgL_rowsz00))),BUNSPEC);} } 

}



/* &sqltiny-add-column! */
obj_t BGl_z62sqltinyzd2addzd2columnz12z70zz__sqlite_enginez00(obj_t BgL_envz00_3239, obj_t BgL_objz00_3240, obj_t BgL_builtinz00_3241, obj_t BgL_tblz00_3242, obj_t BgL_colz00_3243)
{
{ /* Llib/engine.scm 1093 */
{ /* Llib/engine.scm 1094 */
 BgL_z42sqltinyzd2tablez90_bglt BgL_auxz00_7241; BgL_z42sqltinyz42_bglt BgL_auxz00_7233;
if(
BGl_isazf3zf3zz__objectz00(BgL_tblz00_3242, BGl_z42sqltinyzd2tablez90zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 1094 */
BgL_auxz00_7241 = 
((BgL_z42sqltinyzd2tablez90_bglt)BgL_tblz00_3242)
; }  else 
{ 
 obj_t BgL_auxz00_7245;
BgL_auxz00_7245 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)38620)), BGl_string2819z00zz__sqlite_enginez00, BGl_string2774z00zz__sqlite_enginez00, BgL_tblz00_3242); 
FAILURE(BgL_auxz00_7245,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_builtinz00_3241, BGl_z42sqltinyz42zz__sqlite_sqltinyz00))
{ /* Llib/engine.scm 1094 */
BgL_auxz00_7233 = 
((BgL_z42sqltinyz42_bglt)BgL_builtinz00_3241)
; }  else 
{ 
 obj_t BgL_auxz00_7237;
BgL_auxz00_7237 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2766z00zz__sqlite_enginez00, 
BINT(((long)38620)), BGl_string2819z00zz__sqlite_enginez00, BGl_string2768z00zz__sqlite_enginez00, BgL_builtinz00_3241); 
FAILURE(BgL_auxz00_7237,BFALSE,BFALSE);} 
return 
BGl_sqltinyzd2addzd2columnz12z12zz__sqlite_enginez00(BgL_objz00_3240, BgL_auxz00_7233, BgL_auxz00_7241, BgL_colz00_3243);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sqlite_enginez00()
{
{ /* Llib/engine.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sqlite_enginez00()
{
{ /* Llib/engine.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sqlite_enginez00()
{
{ /* Llib/engine.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_enginez00()
{
{ /* Llib/engine.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(((long)266205491), 
BSTRING_TO_STRING(BGl_string2820z00zz__sqlite_enginez00));} 

}

#ifdef __cplusplus
}
#endif
