/*===========================================================================*/
/*   (Llib/sqlite.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -srfi sqlite -unsafe -safee -copt -fPIC -copt -IPosix Llib/sqlite.scm -o objs/sqlite.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <sqlite3.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z42sqltinyz42_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z42versionz42;
   obj_t BgL_pathz00;
   obj_t BgL_syncz00;
   obj_t BgL_tablesz00;
   obj_t BgL_mutexz00;
   bool_t BgL_transactionz00;
} *BgL_z42sqltinyz42_bglt;

typedef struct BgL_sqlitez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
   void * BgL_z42builtinz42;
} *BgL_sqlitez00_bglt;

typedef struct BgL_z52sqlitez52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
} *BgL_z52sqlitez52_bglt;

typedef struct BgL_sqltinyz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
   obj_t BgL_syncz00;
   struct BgL_z42sqltinyz42_bgl * BgL_z42builtinz42;
} *BgL_sqltinyz00_bglt;


static BgL_sqltinyz00_bglt BGl_z62lambda1846z62zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62sqlitezd2eval1292zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62lambda1853z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1854z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_z62sqlitezd2dumpzd2table1300z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
extern void * bgl_sqlite_open(char *);
static obj_t BGl_z62zc3z04anonymousza31855ze3ze5zz__sqlite_sqlitez00(obj_t);
static BgL_z42sqltinyz42_bglt BGl_z62lambda1860z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1861z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31356ze32062ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static BgL_sqlitez00_bglt BGl_z62lambda1869z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(obj_t, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32004ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2sqlit1279z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31848ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static BgL_sqlitez00_bglt BGl_z62lambda1872z62zz__sqlite_sqlitez00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1879z62zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31881ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31954ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62lambda1880z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32007ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32022ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__sqlite_sqlitez00();
static obj_t BGl_z62zc3z04anonymousza31874ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2dumpzd2tablez42zz__sqlite_sqltinyz00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, obj_t);
static obj_t BGl_zc3z04exitza31959ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31980ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__sqlite_sqlitez00();
static obj_t BGl_zc3z04exitza32025ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_sqltinyz00_bglt);
static obj_t BGl_objectzd2initzd2zz__sqlite_sqlitez00();
static obj_t BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_sqlitez00zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_zc3z04exitza31977ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31974ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00();
static obj_t BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2close1284zb0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2map1296zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31968ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2evalzd2sqlite1295z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__sqlite_sqlitez00();
extern obj_t bgl_sqlite_eval(void *, obj_t, char *, obj_t);
static obj_t BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52sqlitez52zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31343ze32061ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31350ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31996ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2sqlite1283z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32019ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2mapzd2sqlite1299z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62sqlitezd2execzd2sqlite1291z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32001ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_sqlitez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqlitez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_exec(void *, char *, obj_t);
static obj_t BGl_z62zc3z04anonymousza31356ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_zc3z04exitza31971ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__sqlite_sqlitez00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00();
static obj_t BGl_z62sqlitezd2closezd2sqlite1287z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00();
BGL_EXPORTED_DEF obj_t BGl_sqltinyz00zz__sqlite_sqlitez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
extern obj_t BGl_z42sqltinyz42zz__sqlite_sqltinyz00;
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62objectzd2writezd2sqlite1281z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62sqlitezd2dumpzd2tablezd2sq1303zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31921ze3ze5zz__sqlite_sqlitez00(obj_t);
extern obj_t BGl_z42sqltinyzd2closez90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t);
static obj_t BGl_z62sqlitezd2exec1288zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31930ze3ze5zz__sqlite_sqlitez00(obj_t);
extern void bgl_sqlite_close(void *, obj_t);
static obj_t BGl_zc3z04exitza32013ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
static obj_t BGl_zc3z04exitza31965ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z52sqlitez52_bglt BGl_z62lambda1827z62zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31836ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62lambda1834z62zz__sqlite_sqlitez00(obj_t, obj_t);
extern BgL_z42sqltinyz42_bglt BGl_z42sqltinyzd2openz90zz__sqlite_sqltinyz00(obj_t, obj_t);
static obj_t BGl_z62lambda1835z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_map(void *, obj_t, char *, obj_t);
static obj_t BGl_zc3z04exitza31983ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static BgL_sqltinyz00_bglt BGl_z62lambda1842z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31829ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t __cnst[ 14 ] ;


DEFINE_STRING( BGl_string2201z00zz__sqlite_sqlitez00, BgL_bgl_string2201za700za7za7_2228za7, "object-write", 12 );
DEFINE_STRING( BGl_string2120z00zz__sqlite_sqlitez00, BgL_bgl_string2120za700za7za7_2229za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/sqlite/src/Llib/sqlite.scm", 66 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42sqlitezd2nilzd2envz42zz__sqlite_sqlitez00, BgL_bgl_za762za742sqliteza7d2n2230za7, BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2121z00zz__sqlite_sqlitez00, BgL_bgl_string2121za700za7za7_2231za7, "&%setup-sqlite!", 15 );
DEFINE_STRING( BGl_string2203z00zz__sqlite_sqlitez00, BgL_bgl_string2203za700za7za7_2232za7, "object-print", 12 );
DEFINE_STRING( BGl_string2122z00zz__sqlite_sqlitez00, BgL_bgl_string2122za700za7za7_2233za7, "sqlite", 6 );
DEFINE_STRING( BGl_string2123z00zz__sqlite_sqlitez00, BgL_bgl_string2123za700za7za7_2234za7, "&%setup-sqltiny!", 16 );
DEFINE_STRING( BGl_string2205z00zz__sqlite_sqlitez00, BgL_bgl_string2205za700za7za7_2235za7, "sqlite-close", 12 );
DEFINE_STRING( BGl_string2124z00zz__sqlite_sqlitez00, BgL_bgl_string2124za700za7za7_2236za7, "sqltiny", 7 );
DEFINE_STRING( BGl_string2125z00zz__sqlite_sqlitez00, BgL_bgl_string2125za700za7za7_2237za7, "PRAGMA table_info(~a)", 21 );
DEFINE_STRING( BGl_string2207z00zz__sqlite_sqlitez00, BgL_bgl_string2207za700za7za7_2238za7, "sqlite-exec", 11 );
DEFINE_STRING( BGl_string2127z00zz__sqlite_sqlitez00, BgL_bgl_string2127za700za7za7_2239za7, "&sqlite-table-informations", 26 );
DEFINE_STRING( BGl_string2209z00zz__sqlite_sqlitez00, BgL_bgl_string2209za700za7za7_2240za7, "sqlite-eval", 11 );
DEFINE_STRING( BGl_string2128z00zz__sqlite_sqlitez00, BgL_bgl_string2128za700za7za7_2241za7, "%sqlite", 7 );
DEFINE_STRING( BGl_string2129z00zz__sqlite_sqlitez00, BgL_bgl_string2129za700za7za7_2242za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2200z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2writ2243z00, va_generic_entry, BGl_z62objectzd2writezd2sqlite1281z62zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2202z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2prin2244z00, BGl_z62objectzd2printzd2sqlite1283z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2204z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2245z00, BGl_z62sqlitezd2closezd2sqlite1287z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2211z00zz__sqlite_sqlitez00, BgL_bgl_string2211za700za7za7_2246za7, "sqlite-map", 10 );
DEFINE_STRING( BGl_string2130z00zz__sqlite_sqlitez00, BgL_bgl_string2130za700za7za7_2247za7, "SELECT MAX(rowid) FROM ~A", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2206z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2248z00, va_generic_entry, BGl_z62sqlitezd2execzd2sqlite1291z62zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STRING( BGl_string2213z00zz__sqlite_sqlitez00, BgL_bgl_string2213za700za7za7_2249za7, "sqlite-dump-table", 17 );
DEFINE_STRING( BGl_string2132z00zz__sqlite_sqlitez00, BgL_bgl_string2132za700za7za7_2250za7, "&sqlite-table-number-of-rows", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2126z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2251za7, BGl_z62zc3z04anonymousza31343ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2214z00zz__sqlite_sqlitez00, BgL_bgl_string2214za700za7za7_2252za7, ".dump ", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2208z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2253z00, va_generic_entry, BGl_z62sqlitezd2evalzd2sqlite1295z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2215z00zz__sqlite_sqlitez00, BgL_bgl_string2215za700za7za7_2254za7, ">", 1 );
DEFINE_STRING( BGl_string2134z00zz__sqlite_sqlitez00, BgL_bgl_string2134za700za7za7_2255za7, "&sqlite-table-name-of-columns", 29 );
DEFINE_STRING( BGl_string2216z00zz__sqlite_sqlitez00, BgL_bgl_string2216za700za7za7_2256za7, "#<sqlite:", 9 );
DEFINE_STRING( BGl_string2217z00zz__sqlite_sqlitez00, BgL_bgl_string2217za700za7za7_2257za7, "__sqlite_sqlite", 15 );
DEFINE_STRING( BGl_string2136z00zz__sqlite_sqlitez00, BgL_bgl_string2136za700za7za7_2258za7, "SELECT name FROM sqlite_master WHERE type='table'", 49 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2informationszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2259z00, BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2218z00zz__sqlite_sqlitez00, BgL_bgl_string2218za700za7za7_2260za7, "automatic _ sqlite $sqlite sqltiny $builtin symbol sync __sqlite_sqlite %sqlite bstring path sqlite-format sqlite-form ", 119 );
DEFINE_STRING( BGl_string2137z00zz__sqlite_sqlitez00, BgL_bgl_string2137za700za7za7_2261za7, "&sqlite-name-of-tables", 22 );
DEFINE_STRING( BGl_string2139z00zz__sqlite_sqlitez00, BgL_bgl_string2139za700za7za7_2262za7, "&sqlite-dump", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2210z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2mapza72263za7, va_generic_entry, BGl_z62sqlitezd2mapzd2sqlite1299z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2212z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2264z00, BGl_z62sqlitezd2dumpzd2tablezd2sq1303zb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2131z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2265za7, BGl_z62zc3z04anonymousza31350ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2133z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2266za7, BGl_z62zc3z04anonymousza31343ze32061ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2140z00zz__sqlite_sqlitez00, BgL_bgl_string2140za700za7za7_2267za7, "output-port", 11 );
DEFINE_STRING( BGl_string2141z00zz__sqlite_sqlitez00, BgL_bgl_string2141za700za7za7_2268za7, ",", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2135z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2269za7, BGl_z62zc3z04anonymousza31356ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2142z00zz__sqlite_sqlitez00, BgL_bgl_string2142za700za7za7_2270za7, "Illegal list", 12 );
DEFINE_STRING( BGl_string2143z00zz__sqlite_sqlitez00, BgL_bgl_string2143za700za7za7_2271za7, "Tag not allowd here", 19 );
DEFINE_STRING( BGl_string2144z00zz__sqlite_sqlitez00, BgL_bgl_string2144za700za7za7_2272za7, "Insufficient number of arguments", 32 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2138z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2273za7, BGl_z62zc3z04anonymousza31356ze32062ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2145z00zz__sqlite_sqlitez00, BgL_bgl_string2145za700za7za7_2274za7, "Illegal char", 12 );
DEFINE_STRING( BGl_string2146z00zz__sqlite_sqlitez00, BgL_bgl_string2146za700za7za7_2275za7, "Illegal number", 14 );
DEFINE_STRING( BGl_string2147z00zz__sqlite_sqlitez00, BgL_bgl_string2147za700za7za7_2276za7, "Illegal tag", 11 );
DEFINE_STRING( BGl_string2148z00zz__sqlite_sqlitez00, BgL_bgl_string2148za700za7za7_2277za7, "#{", 2 );
DEFINE_STRING( BGl_string2149z00zz__sqlite_sqlitez00, BgL_bgl_string2149za700za7za7_2278za7, "}", 1 );
DEFINE_STRING( BGl_string2150z00zz__sqlite_sqlitez00, BgL_bgl_string2150za700za7za7_2279za7, " ", 1 );
DEFINE_STRING( BGl_string2151z00zz__sqlite_sqlitez00, BgL_bgl_string2151za700za7za7_2280za7, "#(", 2 );
DEFINE_STRING( BGl_string2152z00zz__sqlite_sqlitez00, BgL_bgl_string2152za700za7za7_2281za7, ")", 1 );
DEFINE_STRING( BGl_string2153z00zz__sqlite_sqlitez00, BgL_bgl_string2153za700za7za7_2282za7, "(", 1 );
DEFINE_STRING( BGl_string2154z00zz__sqlite_sqlitez00, BgL_bgl_string2154za700za7za7_2283za7, " . ", 3 );
DEFINE_STRING( BGl_string2155z00zz__sqlite_sqlitez00, BgL_bgl_string2155za700za7za7_2284za7, "\"\"", 2 );
DEFINE_STRING( BGl_string2156z00zz__sqlite_sqlitez00, BgL_bgl_string2156za700za7za7_2285za7, "NULL", 4 );
DEFINE_STRING( BGl_string2157z00zz__sqlite_sqlitez00, BgL_bgl_string2157za700za7za7_2286za7, "&sqlite-format", 14 );
DEFINE_STRING( BGl_string2158z00zz__sqlite_sqlitez00, BgL_bgl_string2158za700za7za7_2287za7, "SELECT last_insert_rowid()", 26 );
DEFINE_STRING( BGl_string2159z00zz__sqlite_sqlitez00, BgL_bgl_string2159za700za7za7_2288za7, "&sqlite-last-insert-rowid", 25 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2mapza72289za7, va_generic_entry, BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2160z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2290za7, BGl_z62zc3z04anonymousza31836ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2161z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1835za7622291z00, BGl_z62lambda1835z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2162z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1834za7622292z00, BGl_z62lambda1834z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2163z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2293za7, BGl_z62zc3z04anonymousza31829ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2164z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1827za7622294z00, BGl_z62lambda1827z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2165z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2295za7, BGl_z62zc3z04anonymousza31855ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2166z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1854za7622296z00, BGl_z62lambda1854z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2167z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1853za7622297z00, BGl_z62lambda1853z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2168z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2298za7, BGl_z62zc3z04anonymousza31862ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2169z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1861za7622299z00, BGl_z62lambda1861z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setupzd2sqltinyz12zd2envz40zz__sqlite_sqlitez00, BgL_bgl_za762za752setupza7d2sq2300za7, BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2170z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1860za7622301z00, BGl_z62lambda1860z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2171z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2302za7, BGl_z62zc3z04anonymousza31848ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2172z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1846za7622303z00, BGl_z62lambda1846z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2173z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1842za7622304z00, BGl_z62lambda1842z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2180z00zz__sqlite_sqlitez00, BgL_bgl_string2180za700za7za7_2305za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2174z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2306za7, BGl_z62zc3z04anonymousza31881ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2181z00zz__sqlite_sqlitez00, BgL_bgl_string2181za700za7za7_2307za7, ":memory:", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2175z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1880za7622308z00, BGl_z62lambda1880z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2176z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1879za7622309z00, BGl_z62lambda1879z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2183z00zz__sqlite_sqlitez00, BgL_bgl_string2183za700za7za7_2310za7, "sqlite-close1284", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2177z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2311za7, BGl_z62zc3z04anonymousza31874ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2178z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1872za7622312z00, BGl_z62lambda1872z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2185z00zz__sqlite_sqlitez00, BgL_bgl_string2185za700za7za7_2313za7, "sqlite-exec1288", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2179z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1869za7622314z00, BGl_z62lambda1869z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2187z00zz__sqlite_sqlitez00, BgL_bgl_string2187za700za7za7_2315za7, "sqlite-eval1292", 15 );
DEFINE_STRING( BGl_string2189z00zz__sqlite_sqlitez00, BgL_bgl_string2189za700za7za7_2316za7, "sqlite-map1296", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2182z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2317z00, BGl_z62sqlitezd2close1284zb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2184z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2318z00, va_generic_entry, BGl_z62sqlitezd2exec1288zb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STRING( BGl_string2191z00zz__sqlite_sqlitez00, BgL_bgl_string2191za700za7za7_2319za7, "sqlite-dump-table1300", 21 );
DEFINE_STRING( BGl_string2192z00zz__sqlite_sqlitez00, BgL_bgl_string2192za700za7za7_2320za7, "&sqlite-close", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2186z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2321z00, va_generic_entry, BGl_z62sqlitezd2eval1292zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2193z00zz__sqlite_sqlitez00, BgL_bgl_string2193za700za7za7_2322za7, "&sqlite-exec", 12 );
DEFINE_STRING( BGl_string2194z00zz__sqlite_sqlitez00, BgL_bgl_string2194za700za7za7_2323za7, "&sqlite-eval", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2188z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2map12324z00, va_generic_entry, BGl_z62sqlitezd2map1296zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2195z00zz__sqlite_sqlitez00, BgL_bgl_string2195za700za7za7_2325za7, "procedure", 9 );
DEFINE_STRING( BGl_string2196z00zz__sqlite_sqlitez00, BgL_bgl_string2196za700za7za7_2326za7, "&sqlite-map", 11 );
DEFINE_STRING( BGl_string2197z00zz__sqlite_sqlitez00, BgL_bgl_string2197za700za7za7_2327za7, "&sqlite-dump-table", 18 );
DEFINE_STRING( BGl_string2199z00zz__sqlite_sqlitez00, BgL_bgl_string2199za700za7za7_2328za7, "object-display", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2190z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2329z00, BGl_z62sqlitezd2dumpzd2table1300z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2198z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2disp2330z00, va_generic_entry, BGl_z62objectzd2displayzd2sqlit1279z62zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setupzd2sqlitez12zd2envz40zz__sqlite_sqlitez00, BgL_bgl_za762za752setupza7d2sq2331za7, BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2332z00, va_generic_entry, BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2lastzd2insertzd2rowidzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2last2333z00, BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2dumpzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2334z00, BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2335z00, va_generic_entry, BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2formatzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2form2336z00, va_generic_entry, BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2337z00, BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2namezd2ofzd2columnszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2338z00, BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2339z00, BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2namezd2ofzd2tableszd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2name2340z00, BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2numberzd2ofzd2rowszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2341z00, BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_sqlitez00zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_z52sqlitez52zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_sqltinyz00zz__sqlite_sqlitez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqlitez00(long BgL_checksumz00_2181, char * BgL_fromz00_2182)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00))
{ 
BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00(); 
BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00(); 
BGl_cnstzd2initzd2zz__sqlite_sqlitez00(); 
BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00(); 
BGl_objectzd2initzd2zz__sqlite_sqlitez00(); 
BGl_genericzd2initzd2zz__sqlite_sqlitez00(); 
BGl_methodzd2initzd2zz__sqlite_sqlitez00(); 
return 
BGl_toplevelzd2initzd2zz__sqlite_sqlitez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__sqlite_sqlite"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_cportz00_1709;
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_stringz00_1717;
BgL_stringz00_1717 = BGl_string2218z00zz__sqlite_sqlitez00; 
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_startz00_1718;
BgL_startz00_1718 = 
BINT(((long)0)); 
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_endz00_1719;
BgL_endz00_1719 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1717))); 
{ /* Llib/sqlite.scm 15 */

BgL_cportz00_1709 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1717, BgL_startz00_1718, BgL_endz00_1719); } } } } 
{ 
 long BgL_iz00_1710;
BgL_iz00_1710 = ((long)13); 
BgL_loopz00_1711:
if(
(BgL_iz00_1710==((long)-1)))
{ /* Llib/sqlite.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_arg2220z00_1713;
{ /* Llib/sqlite.scm 15 */

{ /* Llib/sqlite.scm 15 */
 obj_t BgL_locationz00_1715;
BgL_locationz00_1715 = 
BBOOL(((bool_t)0)); 
{ /* Llib/sqlite.scm 15 */

BgL_arg2220z00_1713 = 
BGl_readz00zz__readerz00(BgL_cportz00_1709, BgL_locationz00_1715); } } } 
{ /* Llib/sqlite.scm 15 */
 int BgL_tmpz00_2222;
BgL_tmpz00_2222 = 
(int)(BgL_iz00_1710); 
CNST_TABLE_SET(BgL_tmpz00_2222, BgL_arg2220z00_1713); } } 
{ /* Llib/sqlite.scm 15 */
 int BgL_auxz00_1716;
BgL_auxz00_1716 = 
(int)(
(BgL_iz00_1710-((long)1))); 
{ 
 long BgL_iz00_2227;
BgL_iz00_2227 = 
(long)(BgL_auxz00_1716); 
BgL_iz00_1710 = BgL_iz00_2227; 
goto BgL_loopz00_1711;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
return BUNSPEC;} 

}



/* $sqlite-nil */
BGL_EXPORTED_DEF obj_t BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 67 */
return 
void_star_to_obj(
(0L));} 

}



/* &$sqlite-nil */
obj_t BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00(obj_t BgL_envz00_1299)
{
{ /* Llib/sqlite.scm 67 */
return 
BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00();} 

}



/* %setup-sqlite! */
BGL_EXPORTED_DEF obj_t BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_sqlitez00_bglt BgL_oz00_10)
{
{ /* Llib/sqlite.scm 97 */
{ 
 void * BgL_auxz00_2233;
{ /* Llib/sqlite.scm 101 */
 obj_t BgL_arg1333z00_819;
BgL_arg1333z00_819 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_10)))->BgL_pathz00); 
BgL_auxz00_2233 = 
bgl_sqlite_open(
BSTRING_TO_STRING(BgL_arg1333z00_819)); } 
return 
((((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_10))->BgL_z42builtinz42)=((void *)BgL_auxz00_2233),BUNSPEC);} } 

}



/* &%setup-sqlite! */
obj_t BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00(obj_t BgL_envz00_1300, obj_t BgL_oz00_1301)
{
{ /* Llib/sqlite.scm 97 */
{ /* Llib/sqlite.scm 100 */
 BgL_sqlitez00_bglt BgL_auxz00_2239;
{ /* Llib/sqlite.scm 100 */
 bool_t BgL_test2344z00_2240;
{ /* Llib/sqlite.scm 100 */
 obj_t BgL_classz00_1721;
BgL_classz00_1721 = BGl_sqlitez00zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1301))
{ /* Llib/sqlite.scm 100 */
 BgL_objectz00_bglt BgL_arg1799z00_1723; long BgL_arg1800z00_1724;
BgL_arg1799z00_1723 = 
(BgL_objectz00_bglt)(BgL_oz00_1301); 
BgL_arg1800z00_1724 = 
BGL_CLASS_DEPTH(BgL_classz00_1721); 
{ /* Llib/sqlite.scm 100 */
 bool_t BgL_arg1794z00_1728; bool_t BgL_arg1795z00_1729;
{ /* Llib/sqlite.scm 100 */
 long BgL_idxz00_1733;
BgL_idxz00_1733 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1723); 
{ /* Llib/sqlite.scm 100 */
 obj_t BgL_arg1791z00_1734;
{ /* Llib/sqlite.scm 100 */
 long BgL_arg1792z00_1735;
BgL_arg1792z00_1735 = 
(BgL_idxz00_1733+BgL_arg1800z00_1724); 
BgL_arg1791z00_1734 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1735); } 
BgL_arg1794z00_1728 = 
(BgL_arg1791z00_1734==BgL_classz00_1721); } } 
{ /* Llib/sqlite.scm 100 */
 bool_t BgL_res2221z00_1758;
{ /* Llib/sqlite.scm 100 */
 obj_t BgL_oclassz00_1743;
{ /* Llib/sqlite.scm 100 */
 long BgL_arg1804z00_1749;
{ /* Llib/sqlite.scm 100 */
 long BgL_arg1805z00_1750;
BgL_arg1805z00_1750 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1723); 
BgL_arg1804z00_1749 = 
(BgL_arg1805z00_1750-OBJECT_TYPE); } 
BgL_oclassz00_1743 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1749); } 
{ /* Llib/sqlite.scm 100 */
 bool_t BgL__ortest_1111z00_1744;
BgL__ortest_1111z00_1744 = 
(BgL_classz00_1721==BgL_oclassz00_1743); 
if(BgL__ortest_1111z00_1744)
{ /* Llib/sqlite.scm 100 */
BgL_res2221z00_1758 = BgL__ortest_1111z00_1744; }  else 
{ /* Llib/sqlite.scm 100 */
 long BgL_odepthz00_1745;
BgL_odepthz00_1745 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1743); 
if(
(BgL_arg1800z00_1724<BgL_odepthz00_1745))
{ /* Llib/sqlite.scm 100 */
 obj_t BgL_arg1793z00_1747;
BgL_arg1793z00_1747 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1743, BgL_arg1800z00_1724); 
BgL_res2221z00_1758 = 
(BgL_arg1793z00_1747==BgL_classz00_1721); }  else 
{ /* Llib/sqlite.scm 100 */
BgL_res2221z00_1758 = ((bool_t)0); } } } } 
BgL_arg1795z00_1729 = BgL_res2221z00_1758; } 
BgL_test2344z00_2240 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1728, BgL_arg1795z00_1729); } }  else 
{ /* Llib/sqlite.scm 100 */
BgL_test2344z00_2240 = ((bool_t)0)
; } } 
if(BgL_test2344z00_2240)
{ /* Llib/sqlite.scm 100 */
BgL_auxz00_2239 = 
((BgL_sqlitez00_bglt)BgL_oz00_1301)
; }  else 
{ 
 obj_t BgL_auxz00_2261;
BgL_auxz00_2261 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)4214)), BGl_string2121z00zz__sqlite_sqlitez00, BGl_string2122z00zz__sqlite_sqlitez00, BgL_oz00_1301); 
FAILURE(BgL_auxz00_2261,BFALSE,BFALSE);} } 
return 
BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_auxz00_2239);} } 

}



/* %setup-sqltiny! */
BGL_EXPORTED_DEF obj_t BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_sqltinyz00_bglt BgL_oz00_11)
{
{ /* Llib/sqlite.scm 109 */
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_2266;
{ /* Llib/sqlite.scm 111 */
 obj_t BgL_arg1338z00_821; obj_t BgL_arg1339z00_822;
BgL_arg1338z00_821 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_11)))->BgL_pathz00); 
BgL_arg1339z00_822 = 
(((BgL_sqltinyz00_bglt)COBJECT(BgL_oz00_11))->BgL_syncz00); 
BgL_auxz00_2266 = 
BGl_z42sqltinyzd2openz90zz__sqlite_sqltinyz00(BgL_arg1338z00_821, BgL_arg1339z00_822); } 
return 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_oz00_11))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_2266),BUNSPEC);} } 

}



/* &%setup-sqltiny! */
obj_t BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00(obj_t BgL_envz00_1302, obj_t BgL_oz00_1303)
{
{ /* Llib/sqlite.scm 109 */
{ /* Llib/sqlite.scm 110 */
 BgL_sqltinyz00_bglt BgL_auxz00_2272;
{ /* Llib/sqlite.scm 110 */
 bool_t BgL_test2348z00_2273;
{ /* Llib/sqlite.scm 110 */
 obj_t BgL_classz00_1759;
BgL_classz00_1759 = BGl_sqltinyz00zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1303))
{ /* Llib/sqlite.scm 110 */
 BgL_objectz00_bglt BgL_arg1799z00_1761; long BgL_arg1800z00_1762;
BgL_arg1799z00_1761 = 
(BgL_objectz00_bglt)(BgL_oz00_1303); 
BgL_arg1800z00_1762 = 
BGL_CLASS_DEPTH(BgL_classz00_1759); 
{ /* Llib/sqlite.scm 110 */
 bool_t BgL_arg1794z00_1766; bool_t BgL_arg1795z00_1767;
{ /* Llib/sqlite.scm 110 */
 long BgL_idxz00_1771;
BgL_idxz00_1771 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1761); 
{ /* Llib/sqlite.scm 110 */
 obj_t BgL_arg1791z00_1772;
{ /* Llib/sqlite.scm 110 */
 long BgL_arg1792z00_1773;
BgL_arg1792z00_1773 = 
(BgL_idxz00_1771+BgL_arg1800z00_1762); 
BgL_arg1791z00_1772 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1773); } 
BgL_arg1794z00_1766 = 
(BgL_arg1791z00_1772==BgL_classz00_1759); } } 
{ /* Llib/sqlite.scm 110 */
 bool_t BgL_res2222z00_1796;
{ /* Llib/sqlite.scm 110 */
 obj_t BgL_oclassz00_1781;
{ /* Llib/sqlite.scm 110 */
 long BgL_arg1804z00_1787;
{ /* Llib/sqlite.scm 110 */
 long BgL_arg1805z00_1788;
BgL_arg1805z00_1788 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1761); 
BgL_arg1804z00_1787 = 
(BgL_arg1805z00_1788-OBJECT_TYPE); } 
BgL_oclassz00_1781 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1787); } 
{ /* Llib/sqlite.scm 110 */
 bool_t BgL__ortest_1111z00_1782;
BgL__ortest_1111z00_1782 = 
(BgL_classz00_1759==BgL_oclassz00_1781); 
if(BgL__ortest_1111z00_1782)
{ /* Llib/sqlite.scm 110 */
BgL_res2222z00_1796 = BgL__ortest_1111z00_1782; }  else 
{ /* Llib/sqlite.scm 110 */
 long BgL_odepthz00_1783;
BgL_odepthz00_1783 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1781); 
if(
(BgL_arg1800z00_1762<BgL_odepthz00_1783))
{ /* Llib/sqlite.scm 110 */
 obj_t BgL_arg1793z00_1785;
BgL_arg1793z00_1785 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1781, BgL_arg1800z00_1762); 
BgL_res2222z00_1796 = 
(BgL_arg1793z00_1785==BgL_classz00_1759); }  else 
{ /* Llib/sqlite.scm 110 */
BgL_res2222z00_1796 = ((bool_t)0); } } } } 
BgL_arg1795z00_1767 = BgL_res2222z00_1796; } 
BgL_test2348z00_2273 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1766, BgL_arg1795z00_1767); } }  else 
{ /* Llib/sqlite.scm 110 */
BgL_test2348z00_2273 = ((bool_t)0)
; } } 
if(BgL_test2348z00_2273)
{ /* Llib/sqlite.scm 110 */
BgL_auxz00_2272 = 
((BgL_sqltinyz00_bglt)BgL_oz00_1303)
; }  else 
{ 
 obj_t BgL_auxz00_2294;
BgL_auxz00_2294 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)4669)), BGl_string2123z00zz__sqlite_sqlitez00, BGl_string2124z00zz__sqlite_sqlitez00, BgL_oz00_1303); 
FAILURE(BgL_auxz00_2294,BFALSE,BFALSE);} } 
return 
BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_auxz00_2272);} } 

}



/* sqlite-table-informations */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_36, obj_t BgL_namez00_37)
{
{ /* Llib/sqlite.scm 210 */
{ /* Llib/sqlite.scm 212 */
 obj_t BgL_arg1341z00_823;
{ /* Llib/sqlite.scm 213 */
 obj_t BgL_list1344z00_824;
BgL_list1344z00_824 = 
MAKE_YOUNG_PAIR(BgL_namez00_37, BNIL); 
BgL_arg1341z00_823 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2125z00zz__sqlite_sqlitez00, BgL_list1344z00_824); } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_36, BGl_proc2126z00zz__sqlite_sqlitez00, BgL_arg1341z00_823, BNIL);} } 

}



/* &sqlite-table-informations */
obj_t BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1305, obj_t BgL_dbz00_1306, obj_t BgL_namez00_1307)
{
{ /* Llib/sqlite.scm 210 */
{ /* Llib/sqlite.scm 212 */
 obj_t BgL_auxz00_2310; BgL_z52sqlitez52_bglt BgL_auxz00_2302;
if(
STRINGP(BgL_namez00_1307))
{ /* Llib/sqlite.scm 212 */
BgL_auxz00_2310 = BgL_namez00_1307
; }  else 
{ 
 obj_t BgL_auxz00_2313;
BgL_auxz00_2313 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)8786)), BGl_string2127z00zz__sqlite_sqlitez00, BGl_string2129z00zz__sqlite_sqlitez00, BgL_namez00_1307); 
FAILURE(BgL_auxz00_2313,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1306, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 212 */
BgL_auxz00_2302 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1306)
; }  else 
{ 
 obj_t BgL_auxz00_2306;
BgL_auxz00_2306 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)8786)), BGl_string2127z00zz__sqlite_sqlitez00, BGl_string2128z00zz__sqlite_sqlitez00, BgL_dbz00_1306); 
FAILURE(BgL_auxz00_2306,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_auxz00_2302, BgL_auxz00_2310);} } 

}



/* &<@anonymous:1343> */
obj_t BGl_z62zc3z04anonymousza31343ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1308, obj_t BgL_xz00_1309, obj_t BgL_yz00_1310)
{
{ /* Llib/sqlite.scm 212 */
return BgL_yz00_1310;} 

}



/* sqlite-table-number-of-rows */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_38, obj_t BgL_namez00_39)
{
{ /* Llib/sqlite.scm 218 */
{ /* Llib/sqlite.scm 220 */
 obj_t BgL_arg1348z00_76;
{ /* Llib/sqlite.scm 221 */
 obj_t BgL_list1351z00_80;
BgL_list1351z00_80 = 
MAKE_YOUNG_PAIR(BgL_namez00_39, BNIL); 
BgL_arg1348z00_76 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2130z00zz__sqlite_sqlitez00, BgL_list1351z00_80); } 
return 
BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_dbz00_38, BGl_proc2131z00zz__sqlite_sqlitez00, BgL_arg1348z00_76, BNIL);} } 

}



/* &sqlite-table-number-of-rows */
obj_t BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1312, obj_t BgL_dbz00_1313, obj_t BgL_namez00_1314)
{
{ /* Llib/sqlite.scm 218 */
{ /* Llib/sqlite.scm 220 */
 obj_t BgL_auxz00_2329; BgL_z52sqlitez52_bglt BgL_auxz00_2321;
if(
STRINGP(BgL_namez00_1314))
{ /* Llib/sqlite.scm 220 */
BgL_auxz00_2329 = BgL_namez00_1314
; }  else 
{ 
 obj_t BgL_auxz00_2332;
BgL_auxz00_2332 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)9143)), BGl_string2132z00zz__sqlite_sqlitez00, BGl_string2129z00zz__sqlite_sqlitez00, BgL_namez00_1314); 
FAILURE(BgL_auxz00_2332,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1313, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 220 */
BgL_auxz00_2321 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1313)
; }  else 
{ 
 obj_t BgL_auxz00_2325;
BgL_auxz00_2325 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)9143)), BGl_string2132z00zz__sqlite_sqlitez00, BGl_string2128z00zz__sqlite_sqlitez00, BgL_dbz00_1313); 
FAILURE(BgL_auxz00_2325,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_auxz00_2321, BgL_auxz00_2329);} } 

}



/* &<@anonymous:1350> */
obj_t BGl_z62zc3z04anonymousza31350ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1315, obj_t BgL_xz00_1316)
{
{ /* Llib/sqlite.scm 220 */
{ /* Llib/sqlite.scm 220 */
 long BgL_tmpz00_2337;
{ /* Llib/sqlite.scm 220 */
 char * BgL_tmpz00_2338;
BgL_tmpz00_2338 = 
BSTRING_TO_STRING(BgL_xz00_1316); 
BgL_tmpz00_2337 = 
BGL_STRTOL(BgL_tmpz00_2338, ((long)0), ((long)10)); } 
return 
BINT(BgL_tmpz00_2337);} } 

}



/* sqlite-table-name-of-columns */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_40, obj_t BgL_namez00_41)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 212 */
 obj_t BgL_arg1341z00_831;
{ /* Llib/sqlite.scm 213 */
 obj_t BgL_list1344z00_832;
BgL_list1344z00_832 = 
MAKE_YOUNG_PAIR(BgL_namez00_41, BNIL); 
BgL_arg1341z00_831 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2125z00zz__sqlite_sqlitez00, BgL_list1344z00_832); } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_40, BGl_proc2133z00zz__sqlite_sqlitez00, BgL_arg1341z00_831, BNIL);} } 

}



/* &sqlite-table-name-of-columns */
obj_t BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1318, obj_t BgL_dbz00_1319, obj_t BgL_namez00_1320)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 227 */
 obj_t BgL_auxz00_2353; BgL_z52sqlitez52_bglt BgL_auxz00_2345;
if(
STRINGP(BgL_namez00_1320))
{ /* Llib/sqlite.scm 227 */
BgL_auxz00_2353 = BgL_namez00_1320
; }  else 
{ 
 obj_t BgL_auxz00_2356;
BgL_auxz00_2356 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)9499)), BGl_string2134z00zz__sqlite_sqlitez00, BGl_string2129z00zz__sqlite_sqlitez00, BgL_namez00_1320); 
FAILURE(BgL_auxz00_2356,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1319, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 227 */
BgL_auxz00_2345 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1319)
; }  else 
{ 
 obj_t BgL_auxz00_2349;
BgL_auxz00_2349 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)9499)), BGl_string2134z00zz__sqlite_sqlitez00, BGl_string2128z00zz__sqlite_sqlitez00, BgL_dbz00_1319); 
FAILURE(BgL_auxz00_2349,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_auxz00_2345, BgL_auxz00_2353);} } 

}



/* &<@anonymous:1343>2061 */
obj_t BGl_z62zc3z04anonymousza31343ze32061ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1321, obj_t BgL_xz00_1322, obj_t BgL_yz00_1323)
{
{ /* Llib/sqlite.scm 212 */
return BgL_yz00_1323;} 

}



/* sqlite-name-of-tables */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_42)
{
{ /* Llib/sqlite.scm 232 */
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_42, BGl_proc2135z00zz__sqlite_sqlitez00, BGl_string2136z00zz__sqlite_sqlitez00, BNIL);} 

}



/* &sqlite-name-of-tables */
obj_t BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1325, obj_t BgL_dbz00_1326)
{
{ /* Llib/sqlite.scm 232 */
{ /* Llib/sqlite.scm 234 */
 BgL_z52sqlitez52_bglt BgL_auxz00_2362;
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1326, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 234 */
BgL_auxz00_2362 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1326)
; }  else 
{ 
 obj_t BgL_auxz00_2366;
BgL_auxz00_2366 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)9818)), BGl_string2137z00zz__sqlite_sqlitez00, BGl_string2128z00zz__sqlite_sqlitez00, BgL_dbz00_1326); 
FAILURE(BgL_auxz00_2366,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_auxz00_2362);} } 

}



/* &<@anonymous:1356> */
obj_t BGl_z62zc3z04anonymousza31356ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1327, obj_t BgL_xz00_1328)
{
{ /* Llib/sqlite.scm 234 */
return BgL_xz00_1328;} 

}



/* sqlite-dump */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_43, obj_t BgL_outz00_44)
{
{ /* Llib/sqlite.scm 240 */
{ /* Llib/sqlite.scm 241 */
 obj_t BgL_g1271z00_87;
BgL_g1271z00_87 = 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_43, BGl_proc2138z00zz__sqlite_sqlitez00, BGl_string2136z00zz__sqlite_sqlitez00, BNIL); 
{ 
 obj_t BgL_l1269z00_89;
{ /* Llib/sqlite.scm 243 */
 bool_t BgL_tmpz00_2372;
BgL_l1269z00_89 = BgL_g1271z00_87; 
BgL_zc3z04anonymousza31357ze3z87_90:
if(
PAIRP(BgL_l1269z00_89))
{ /* Llib/sqlite.scm 243 */
BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_dbz00_43, 
CAR(BgL_l1269z00_89), BgL_outz00_44); 
{ 
 obj_t BgL_l1269z00_2377;
BgL_l1269z00_2377 = 
CDR(BgL_l1269z00_89); 
BgL_l1269z00_89 = BgL_l1269z00_2377; 
goto BgL_zc3z04anonymousza31357ze3z87_90;} }  else 
{ /* Llib/sqlite.scm 243 */
BgL_tmpz00_2372 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_2372);} } } } 

}



/* &sqlite-dump */
obj_t BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1330, obj_t BgL_dbz00_1331, obj_t BgL_outz00_1332)
{
{ /* Llib/sqlite.scm 240 */
{ /* Llib/sqlite.scm 241 */
 obj_t BgL_auxz00_2388; BgL_z52sqlitez52_bglt BgL_auxz00_2380;
if(
OUTPUT_PORTP(BgL_outz00_1332))
{ /* Llib/sqlite.scm 241 */
BgL_auxz00_2388 = BgL_outz00_1332
; }  else 
{ 
 obj_t BgL_auxz00_2391;
BgL_auxz00_2391 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)10170)), BGl_string2139z00zz__sqlite_sqlitez00, BGl_string2140z00zz__sqlite_sqlitez00, BgL_outz00_1332); 
FAILURE(BgL_auxz00_2391,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1331, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 241 */
BgL_auxz00_2380 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1331)
; }  else 
{ 
 obj_t BgL_auxz00_2384;
BgL_auxz00_2384 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)10170)), BGl_string2139z00zz__sqlite_sqlitez00, BGl_string2128z00zz__sqlite_sqlitez00, BgL_dbz00_1331); 
FAILURE(BgL_auxz00_2384,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_auxz00_2380, BgL_auxz00_2388);} } 

}



/* &<@anonymous:1356>2062 */
obj_t BGl_z62zc3z04anonymousza31356ze32062ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1333, obj_t BgL_xz00_1334)
{
{ /* Llib/sqlite.scm 234 */
return BgL_xz00_1334;} 

}



/* sqlite-format */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(obj_t BgL_fmtz00_51, obj_t BgL_objsz00_52)
{
{ /* Llib/sqlite.scm 261 */
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_pz00_95; long BgL_lenz00_96;
{ /* Llib/sqlite.scm 262 */

{ /* Llib/sqlite.scm 262 */

BgL_pz00_95 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_lenz00_96 = 
STRING_LENGTH(BgL_fmtz00_51); 
{ 
 long BgL_iz00_98; obj_t BgL_osz00_99;
BgL_iz00_98 = ((long)0); 
BgL_osz00_99 = BgL_objsz00_52; 
BgL_zc3z04anonymousza31361ze3z87_100:
{ 
 obj_t BgL_objz00_233; obj_t BgL_pz00_234;
if(
(BgL_iz00_98<BgL_lenz00_96))
{ /* Llib/sqlite.scm 377 */
 unsigned char BgL_cz00_110;
BgL_cz00_110 = 
STRING_REF(BgL_fmtz00_51, BgL_iz00_98); 
if(
(BgL_cz00_110==((unsigned char)'~')))
{ /* Llib/sqlite.scm 378 */
if(
(BgL_iz00_98==
(BgL_lenz00_96-((long)1))))
{ /* Llib/sqlite.scm 382 */
 obj_t BgL_arg1366z00_114;
BgL_arg1366z00_114 = 
c_substring(BgL_fmtz00_51, BgL_iz00_98, BgL_lenz00_96); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2143z00zz__sqlite_sqlitez00, BgL_arg1366z00_114);}  else 
{ /* Llib/sqlite.scm 383 */
 unsigned char BgL_fz00_115;
BgL_fz00_115 = 
STRING_REF(BgL_fmtz00_51, 
(BgL_iz00_98+((long)1))); 
switch( BgL_fz00_115) { case ((unsigned char)'a') : 
case ((unsigned char)'A') : 

{ /* Llib/sqlite.scm 386 */
 obj_t BgL_arg1377z00_119;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1377z00_119 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2144z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1377z00_119 = 
CAR(
((obj_t)BgL_osz00_99)); } 
bgl_display_obj(BgL_arg1377z00_119, BgL_pz00_95); } 
{ /* Llib/sqlite.scm 387 */
 long BgL_arg1378z00_120; obj_t BgL_arg1379z00_121;
BgL_arg1378z00_120 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1379z00_121 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2423; long BgL_iz00_2422;
BgL_iz00_2422 = BgL_arg1378z00_120; 
BgL_osz00_2423 = BgL_arg1379z00_121; 
BgL_osz00_99 = BgL_osz00_2423; 
BgL_iz00_98 = BgL_iz00_2422; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} } break;case ((unsigned char)'q') : 
case ((unsigned char)'Q') : 

{ /* Llib/sqlite.scm 389 */
 obj_t BgL_arg1380z00_122;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1380z00_122 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2144z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1380z00_122 = 
CAR(
((obj_t)BgL_osz00_99)); } 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1380z00_122, BgL_pz00_95, ((long)0)); } 
{ /* Llib/sqlite.scm 390 */
 long BgL_arg1381z00_123; obj_t BgL_arg1383z00_124;
BgL_arg1381z00_123 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1383z00_124 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2436; long BgL_iz00_2435;
BgL_iz00_2435 = BgL_arg1381z00_123; 
BgL_osz00_2436 = BgL_arg1383z00_124; 
BgL_osz00_99 = BgL_osz00_2436; 
BgL_iz00_98 = BgL_iz00_2435; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} } break;case ((unsigned char)'l') : 
case ((unsigned char)'L') : 

{ /* Llib/sqlite.scm 392 */
 obj_t BgL_arg1384z00_125;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1384z00_125 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2144z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1384z00_125 = 
CAR(
((obj_t)BgL_osz00_99)); } 
BgL_objz00_233 = BgL_arg1384z00_125; 
BgL_pz00_234 = BgL_pz00_95; 
if(
NULLP(BgL_objz00_233))
{ /* Llib/sqlite.scm 340 */BUNSPEC; }  else 
{ /* Llib/sqlite.scm 340 */
if(
PAIRP(BgL_objz00_233))
{ /* Llib/sqlite.scm 342 */
if(
NULLP(
CDR(BgL_objz00_233)))
{ /* Llib/sqlite.scm 344 */
bgl_display_obj(
CAR(BgL_objz00_233), BgL_pz00_234); }  else 
{ 
 obj_t BgL_oz00_242;
BgL_oz00_242 = BgL_objz00_233; 
BgL_zc3z04anonymousza31742ze3z87_243:
{ /* Llib/sqlite.scm 349 */
 bool_t BgL_test2371z00_2453;
{ /* Llib/sqlite.scm 349 */
 obj_t BgL_tmpz00_2454;
BgL_tmpz00_2454 = 
CDR(
((obj_t)BgL_oz00_242)); 
BgL_test2371z00_2453 = 
PAIRP(BgL_tmpz00_2454); } 
if(BgL_test2371z00_2453)
{ /* Llib/sqlite.scm 349 */
{ /* Llib/sqlite.scm 350 */
 obj_t BgL_arg1747z00_246;
BgL_arg1747z00_246 = 
CAR(
((obj_t)BgL_oz00_242)); 
bgl_display_obj(BgL_arg1747z00_246, BgL_pz00_234); } 
bgl_display_string(BGl_string2141z00zz__sqlite_sqlitez00, BgL_pz00_234); 
{ /* Llib/sqlite.scm 352 */
 obj_t BgL_arg1748z00_247;
BgL_arg1748z00_247 = 
CDR(
((obj_t)BgL_oz00_242)); 
{ 
 obj_t BgL_oz00_2464;
BgL_oz00_2464 = BgL_arg1748z00_247; 
BgL_oz00_242 = BgL_oz00_2464; 
goto BgL_zc3z04anonymousza31742ze3z87_243;} } }  else 
{ /* Llib/sqlite.scm 349 */
if(
NULLP(
CDR(
((obj_t)BgL_oz00_242))))
{ /* Llib/sqlite.scm 354 */
 obj_t BgL_arg1755z00_250;
BgL_arg1755z00_250 = 
CAR(
((obj_t)BgL_oz00_242)); 
bgl_display_obj(BgL_arg1755z00_250, BgL_pz00_234); }  else 
{ /* Llib/sqlite.scm 353 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string2142z00zz__sqlite_sqlitez00, BgL_objz00_233); } } } } }  else 
{ /* Llib/sqlite.scm 342 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2142z00zz__sqlite_sqlitez00, BgL_objz00_233); } } } 
{ /* Llib/sqlite.scm 393 */
 long BgL_arg1414z00_126; obj_t BgL_arg1455z00_127;
BgL_arg1414z00_126 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1455z00_127 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2480; long BgL_iz00_2479;
BgL_iz00_2479 = BgL_arg1414z00_126; 
BgL_osz00_2480 = BgL_arg1455z00_127; 
BgL_osz00_99 = BgL_osz00_2480; 
BgL_iz00_98 = BgL_iz00_2479; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} } break;case ((unsigned char)'k') : 
case ((unsigned char)'K') : 

{ /* Llib/sqlite.scm 395 */
 obj_t BgL_arg1456z00_128;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1456z00_128 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2144z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1456z00_128 = 
CAR(
((obj_t)BgL_osz00_99)); } 
BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(BgL_arg1456z00_128, BgL_pz00_95); } 
{ /* Llib/sqlite.scm 396 */
 long BgL_arg1535z00_129; obj_t BgL_arg1536z00_130;
BgL_arg1535z00_129 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1536z00_130 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2493; long BgL_iz00_2492;
BgL_iz00_2492 = BgL_arg1535z00_129; 
BgL_osz00_2493 = BgL_arg1536z00_130; 
BgL_osz00_99 = BgL_osz00_2493; 
BgL_iz00_98 = BgL_iz00_2492; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} } break;case ((unsigned char)'s') : 
case ((unsigned char)'S') : 

{ /* Llib/sqlite.scm 398 */
 obj_t BgL_arg1541z00_131;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1541z00_131 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2144z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1541z00_131 = 
CAR(
((obj_t)BgL_osz00_99)); } 
{ /* Llib/sqlite.scm 398 */
 obj_t BgL_list1542z00_132;
BgL_list1542z00_132 = 
MAKE_YOUNG_PAIR(BgL_pz00_95, BNIL); 
BGl_writez00zz__r4_output_6_10_3z00(BgL_arg1541z00_131, BgL_list1542z00_132); } } 
{ /* Llib/sqlite.scm 399 */
 long BgL_arg1554z00_133; obj_t BgL_arg1555z00_134;
BgL_arg1554z00_133 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1555z00_134 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2507; long BgL_iz00_2506;
BgL_iz00_2506 = BgL_arg1554z00_133; 
BgL_osz00_2507 = BgL_arg1555z00_134; 
BgL_osz00_99 = BgL_osz00_2507; 
BgL_iz00_98 = BgL_iz00_2506; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} } break;case ((unsigned char)'v') : 
case ((unsigned char)'V') : 

{ /* Llib/sqlite.scm 401 */
 obj_t BgL_arg1563z00_135;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1563z00_135 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2144z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1563z00_135 = 
CAR(
((obj_t)BgL_osz00_99)); } 
bgl_display_obj(BgL_arg1563z00_135, BgL_pz00_95); } 
bgl_display_char(((unsigned char)10), BgL_pz00_95); 
{ /* Llib/sqlite.scm 403 */
 long BgL_arg1564z00_136; obj_t BgL_arg1572z00_137;
BgL_arg1564z00_136 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1572z00_137 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2521; long BgL_iz00_2520;
BgL_iz00_2520 = BgL_arg1564z00_136; 
BgL_osz00_2521 = BgL_arg1572z00_137; 
BgL_osz00_99 = BgL_osz00_2521; 
BgL_iz00_98 = BgL_iz00_2520; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} } break;case ((unsigned char)'c') : 
case ((unsigned char)'C') : 

{ /* Llib/sqlite.scm 405 */
 obj_t BgL_oz00_138;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_oz00_138 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2144z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_oz00_138 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
CHARP(BgL_oz00_138))
{ /* Llib/sqlite.scm 406 */
{ /* Llib/sqlite.scm 409 */
 unsigned char BgL_tmpz00_2531;
BgL_tmpz00_2531 = 
CCHAR(BgL_oz00_138); 
bgl_display_char(BgL_tmpz00_2531, BgL_pz00_95); } 
{ /* Llib/sqlite.scm 410 */
 long BgL_arg1574z00_140; obj_t BgL_arg1575z00_141;
BgL_arg1574z00_140 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1575z00_141 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2538; long BgL_iz00_2537;
BgL_iz00_2537 = BgL_arg1574z00_140; 
BgL_osz00_2538 = BgL_arg1575z00_141; 
BgL_osz00_99 = BgL_osz00_2538; 
BgL_iz00_98 = BgL_iz00_2537; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} } }  else 
{ /* Llib/sqlite.scm 406 */
return 
BGl_errorz00zz__errorz00(BGl_sqlitezd2formatzd2envz00zz__sqlite_sqlitez00, BGl_string2145z00zz__sqlite_sqlitez00, BgL_oz00_138);} } break;case ((unsigned char)'x') : 
case ((unsigned char)'X') : 

{ /* Llib/sqlite.scm 412 */
 obj_t BgL_arg1576z00_142;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1576z00_142 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2144z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1576z00_142 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1576z00_142))
{ /* Llib/sqlite.scm 271 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1576z00_142, 
BINT(((long)16))), BgL_pz00_95); }  else 
{ /* Llib/sqlite.scm 271 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2146z00zz__sqlite_sqlitez00, BgL_arg1576z00_142); } } 
{ /* Llib/sqlite.scm 413 */
 long BgL_arg1590z00_143; obj_t BgL_arg1591z00_144;
BgL_arg1590z00_143 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1591z00_144 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2558; long BgL_iz00_2557;
BgL_iz00_2557 = BgL_arg1590z00_143; 
BgL_osz00_2558 = BgL_arg1591z00_144; 
BgL_osz00_99 = BgL_osz00_2558; 
BgL_iz00_98 = BgL_iz00_2557; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} } break;case ((unsigned char)'o') : 
case ((unsigned char)'O') : 

{ /* Llib/sqlite.scm 415 */
 obj_t BgL_arg1594z00_145;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1594z00_145 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2144z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1594z00_145 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1594z00_145))
{ /* Llib/sqlite.scm 271 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1594z00_145, 
BINT(((long)8))), BgL_pz00_95); }  else 
{ /* Llib/sqlite.scm 271 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2146z00zz__sqlite_sqlitez00, BgL_arg1594z00_145); } } 
{ /* Llib/sqlite.scm 416 */
 long BgL_arg1595z00_146; obj_t BgL_arg1609z00_147;
BgL_arg1595z00_146 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1609z00_147 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2577; long BgL_iz00_2576;
BgL_iz00_2576 = BgL_arg1595z00_146; 
BgL_osz00_2577 = BgL_arg1609z00_147; 
BgL_osz00_99 = BgL_osz00_2577; 
BgL_iz00_98 = BgL_iz00_2576; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} } break;case ((unsigned char)'b') : 
case ((unsigned char)'B') : 

{ /* Llib/sqlite.scm 418 */
 obj_t BgL_arg1611z00_148;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1611z00_148 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2144z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1611z00_148 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1611z00_148))
{ /* Llib/sqlite.scm 271 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1611z00_148, 
BINT(((long)2))), BgL_pz00_95); }  else 
{ /* Llib/sqlite.scm 271 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2146z00zz__sqlite_sqlitez00, BgL_arg1611z00_148); } } 
{ /* Llib/sqlite.scm 419 */
 long BgL_arg1612z00_149; obj_t BgL_arg1622z00_150;
BgL_arg1612z00_149 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1622z00_150 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
 obj_t BgL_osz00_2596; long BgL_iz00_2595;
BgL_iz00_2595 = BgL_arg1612z00_149; 
BgL_osz00_2596 = BgL_arg1622z00_150; 
BgL_osz00_99 = BgL_osz00_2596; 
BgL_iz00_98 = BgL_iz00_2595; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} } break;case ((unsigned char)'%') : 
case ((unsigned char)'n') : 

bgl_display_char(((unsigned char)10), BgL_pz00_95); 
{ 
 long BgL_iz00_2598;
BgL_iz00_2598 = 
(BgL_iz00_98+((long)2)); 
BgL_iz00_98 = BgL_iz00_2598; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} break;case ((unsigned char)'r') : 

bgl_display_char(((unsigned char)13), BgL_pz00_95); 
{ 
 long BgL_iz00_2601;
BgL_iz00_2601 = 
(BgL_iz00_98+((long)2)); 
BgL_iz00_98 = BgL_iz00_2601; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} break;case ((unsigned char)'~') : 

bgl_display_char(((unsigned char)'~'), BgL_pz00_95); 
{ 
 long BgL_iz00_2604;
BgL_iz00_2604 = 
(BgL_iz00_98+((long)2)); 
BgL_iz00_98 = BgL_iz00_2604; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} break;
default: 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2147z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115));} } }  else 
{ /* Llib/sqlite.scm 378 */
bgl_display_char(BgL_cz00_110, BgL_pz00_95); 
{ 
 long BgL_iz00_2611;
BgL_iz00_2611 = 
(BgL_iz00_98+((long)1)); 
BgL_iz00_98 = BgL_iz00_2611; 
goto BgL_zc3z04anonymousza31361ze3z87_100;} } }  else 
{ /* Llib/sqlite.scm 376 */
return 
bgl_close_output_port(BgL_pz00_95);} } } } } 

}



/* display-sqlite~0 */
obj_t BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(obj_t BgL_objz00_166, obj_t BgL_pz00_167, long BgL_lz00_168)
{
{ /* Llib/sqlite.scm 302 */
{ 
 obj_t BgL_objz00_194; obj_t BgL_pz00_195; obj_t BgL_objz00_210; obj_t BgL_pz00_211; obj_t BgL_objz00_221; obj_t BgL_pz00_222;
if(
STRINGP(BgL_objz00_166))
{ /* Llib/sqlite.scm 276 */
if(
(BgL_lz00_168==((long)0)))
{ /* Llib/sqlite.scm 277 */
bgl_display_char(((unsigned char)'\''), BgL_pz00_167); }  else 
{ /* Llib/sqlite.scm 277 */
bgl_display_string(BGl_string2155z00zz__sqlite_sqlitez00, BgL_pz00_167); } 
{ /* Llib/sqlite.scm 280 */
 long BgL_lenz00_172;
BgL_lenz00_172 = 
STRING_LENGTH(BgL_objz00_166); 
{ 
 long BgL_iz00_174;
BgL_iz00_174 = ((long)0); 
BgL_zc3z04anonymousza31668ze3z87_175:
if(
(BgL_iz00_174==BgL_lenz00_172))
{ /* Llib/sqlite.scm 281 */((bool_t)0); }  else 
{ /* Llib/sqlite.scm 281 */
{ /* Llib/sqlite.scm 283 */
 unsigned char BgL_cz00_177;
BgL_cz00_177 = 
STRING_REF(
((obj_t)BgL_objz00_166), BgL_iz00_174); 
bgl_display_char(BgL_cz00_177, BgL_pz00_167); 
if(
(((unsigned char)'\'')==BgL_cz00_177))
{ /* Llib/sqlite.scm 285 */
bgl_display_char(((unsigned char)'\''), BgL_pz00_167); }  else 
{ /* Llib/sqlite.scm 285 */BFALSE; } } 
{ 
 long BgL_iz00_2629;
BgL_iz00_2629 = 
(BgL_iz00_174+((long)1)); 
BgL_iz00_174 = BgL_iz00_2629; 
goto BgL_zc3z04anonymousza31668ze3z87_175;} } } } 
if(
(BgL_lz00_168==((long)0)))
{ /* Llib/sqlite.scm 286 */
return 
bgl_display_char(((unsigned char)'\''), BgL_pz00_167);}  else 
{ /* Llib/sqlite.scm 286 */
return 
bgl_display_string(BGl_string2155z00zz__sqlite_sqlitez00, BgL_pz00_167);} }  else 
{ /* Llib/sqlite.scm 276 */
if(
BGL_DATEP(BgL_objz00_166))
{ /* Llib/sqlite.scm 290 */
 long BgL_arg1677z00_183;
BgL_arg1677z00_183 = 
bgl_date_to_seconds(BgL_objz00_166); 
return 
bgl_display_obj(
make_belong(BgL_arg1677z00_183), BgL_pz00_167);}  else 
{ /* Llib/sqlite.scm 291 */
 bool_t BgL_test2390z00_2640;
if(
ELONGP(BgL_objz00_166))
{ /* Llib/sqlite.scm 291 */
BgL_test2390z00_2640 = ((bool_t)1)
; }  else 
{ /* Llib/sqlite.scm 291 */
BgL_test2390z00_2640 = 
LLONGP(BgL_objz00_166)
; } 
if(BgL_test2390z00_2640)
{ /* Llib/sqlite.scm 292 */
 obj_t BgL_list1680z00_186;
BgL_list1680z00_186 = 
MAKE_YOUNG_PAIR(BgL_pz00_167, BNIL); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_objz00_166, BgL_list1680z00_186);}  else 
{ /* Llib/sqlite.scm 293 */
 bool_t BgL_test2392z00_2646;
if(
(BgL_objz00_166==BUNSPEC))
{ /* Llib/sqlite.scm 293 */
BgL_test2392z00_2646 = ((bool_t)1)
; }  else 
{ /* Llib/sqlite.scm 293 */
BgL_test2392z00_2646 = 
(BgL_objz00_166==BFALSE)
; } 
if(BgL_test2392z00_2646)
{ /* Llib/sqlite.scm 293 */
return 
bgl_display_string(BGl_string2156z00zz__sqlite_sqlitez00, BgL_pz00_167);}  else 
{ /* Llib/sqlite.scm 293 */
if(
PAIRP(BgL_objz00_166))
{ /* Llib/sqlite.scm 295 */
BgL_objz00_194 = BgL_objz00_166; 
BgL_pz00_195 = BgL_pz00_167; 
bgl_display_string(BGl_string2153z00zz__sqlite_sqlitez00, BgL_pz00_195); 
{ 
 obj_t BgL_objz00_198;
BgL_objz00_198 = BgL_objz00_194; 
BgL_zc3z04anonymousza31687ze3z87_199:
{ /* Llib/sqlite.scm 306 */
 obj_t BgL_arg1688z00_200;
BgL_arg1688z00_200 = 
CAR(
((obj_t)BgL_objz00_198)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1688z00_200, BgL_pz00_195, ((long)1)); } 
if(
NULLP(
CDR(
((obj_t)BgL_objz00_198))))
{ /* Llib/sqlite.scm 308 */
return 
bgl_display_string(BGl_string2152z00zz__sqlite_sqlitez00, BgL_pz00_195);}  else 
{ /* Llib/sqlite.scm 310 */
 bool_t BgL_test2396z00_2662;
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_tmpz00_2663;
BgL_tmpz00_2663 = 
CDR(
((obj_t)BgL_objz00_198)); 
BgL_test2396z00_2662 = 
PAIRP(BgL_tmpz00_2663); } 
if(BgL_test2396z00_2662)
{ /* Llib/sqlite.scm 310 */
bgl_display_string(BGl_string2150z00zz__sqlite_sqlitez00, BgL_pz00_195); 
{ /* Llib/sqlite.scm 316 */
 obj_t BgL_arg1704z00_205;
BgL_arg1704z00_205 = 
CDR(
((obj_t)BgL_objz00_198)); 
{ 
 obj_t BgL_objz00_2670;
BgL_objz00_2670 = BgL_arg1704z00_205; 
BgL_objz00_198 = BgL_objz00_2670; 
goto BgL_zc3z04anonymousza31687ze3z87_199;} } }  else 
{ /* Llib/sqlite.scm 310 */
bgl_display_string(BGl_string2154z00zz__sqlite_sqlitez00, BgL_pz00_195); 
{ /* Llib/sqlite.scm 312 */
 obj_t BgL_arg1706z00_206;
BgL_arg1706z00_206 = 
CDR(
((obj_t)BgL_objz00_198)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1706z00_206, BgL_pz00_195, ((long)1)); } 
return 
bgl_display_string(BGl_string2152z00zz__sqlite_sqlitez00, BgL_pz00_195);} } } }  else 
{ /* Llib/sqlite.scm 295 */
if(
VECTORP(BgL_objz00_166))
{ /* Llib/sqlite.scm 297 */
BgL_objz00_210 = BgL_objz00_166; 
BgL_pz00_211 = BgL_pz00_167; 
bgl_display_string(BGl_string2151z00zz__sqlite_sqlitez00, BgL_pz00_211); 
{ 
 long BgL_iz00_215;
BgL_iz00_215 = ((long)0); 
BgL_zc3z04anonymousza31711ze3z87_216:
if(
(BgL_iz00_215==
VECTOR_LENGTH(BgL_objz00_210)))
{ /* Llib/sqlite.scm 321 */
return 
bgl_display_string(BGl_string2152z00zz__sqlite_sqlitez00, BgL_pz00_211);}  else 
{ /* Llib/sqlite.scm 321 */
bgl_display_string(BGl_string2150z00zz__sqlite_sqlitez00, BgL_pz00_211); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
VECTOR_REF(BgL_objz00_210,BgL_iz00_215), BgL_pz00_211, ((long)1)); 
{ 
 long BgL_iz00_2686;
BgL_iz00_2686 = 
(BgL_iz00_215+((long)1)); 
BgL_iz00_215 = BgL_iz00_2686; 
goto BgL_zc3z04anonymousza31711ze3z87_216;} } } }  else 
{ /* Llib/sqlite.scm 297 */
if(
STRUCTP(BgL_objz00_166))
{ /* Llib/sqlite.scm 299 */
BgL_objz00_221 = BgL_objz00_166; 
BgL_pz00_222 = BgL_pz00_167; 
bgl_display_string(BGl_string2148z00zz__sqlite_sqlitez00, BgL_pz00_222); 
bgl_display_obj(
STRUCT_KEY(BgL_objz00_221), BgL_pz00_222); 
{ /* Llib/sqlite.scm 330 */
 int BgL_lenz00_225;
BgL_lenz00_225 = 
STRUCT_LENGTH(BgL_objz00_221); 
{ 
 long BgL_iz00_227;
BgL_iz00_227 = ((long)0); 
BgL_zc3z04anonymousza31729ze3z87_228:
if(
(BgL_iz00_227==
(long)(BgL_lenz00_225)))
{ /* Llib/sqlite.scm 332 */
return 
bgl_display_string(BGl_string2149z00zz__sqlite_sqlitez00, BgL_pz00_222);}  else 
{ /* Llib/sqlite.scm 332 */
bgl_display_string(BGl_string2150z00zz__sqlite_sqlitez00, BgL_pz00_222); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
STRUCT_REF(BgL_objz00_221, 
(int)(BgL_iz00_227)), BgL_pz00_222, ((long)1)); 
{ 
 long BgL_iz00_2702;
BgL_iz00_2702 = 
(BgL_iz00_227+((long)1)); 
BgL_iz00_227 = BgL_iz00_2702; 
goto BgL_zc3z04anonymousza31729ze3z87_228;} } } } }  else 
{ /* Llib/sqlite.scm 299 */
return 
bgl_display_obj(BgL_objz00_166, BgL_pz00_167);} } } } } } } } } 

}



/* display-sqlite-quote-list~0 */
obj_t BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(obj_t BgL_objz00_255, obj_t BgL_pz00_256)
{
{ /* Llib/sqlite.scm 375 */
if(
PAIRP(BgL_objz00_255))
{ /* Llib/sqlite.scm 359 */
if(
NULLP(
CDR(BgL_objz00_255)))
{ /* Llib/sqlite.scm 363 */
return 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
CAR(BgL_objz00_255), BgL_pz00_256, ((long)0));}  else 
{ 
 obj_t BgL_oz00_264;
BgL_oz00_264 = BgL_objz00_255; 
BgL_zc3z04anonymousza31778ze3z87_265:
{ /* Llib/sqlite.scm 368 */
 bool_t BgL_test2403z00_2712;
{ /* Llib/sqlite.scm 368 */
 obj_t BgL_tmpz00_2713;
BgL_tmpz00_2713 = 
CDR(
((obj_t)BgL_oz00_264)); 
BgL_test2403z00_2712 = 
PAIRP(BgL_tmpz00_2713); } 
if(BgL_test2403z00_2712)
{ /* Llib/sqlite.scm 368 */
{ /* Llib/sqlite.scm 369 */
 obj_t BgL_arg1796z00_268;
BgL_arg1796z00_268 = 
CAR(
((obj_t)BgL_oz00_264)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1796z00_268, BgL_pz00_256, ((long)0)); } 
bgl_display_string(BGl_string2141z00zz__sqlite_sqlitez00, BgL_pz00_256); 
{ /* Llib/sqlite.scm 371 */
 obj_t BgL_arg1798z00_269;
BgL_arg1798z00_269 = 
CDR(
((obj_t)BgL_oz00_264)); 
{ 
 obj_t BgL_oz00_2723;
BgL_oz00_2723 = BgL_arg1798z00_269; 
BgL_oz00_264 = BgL_oz00_2723; 
goto BgL_zc3z04anonymousza31778ze3z87_265;} } }  else 
{ /* Llib/sqlite.scm 368 */
if(
NULLP(
CDR(
((obj_t)BgL_oz00_264))))
{ /* Llib/sqlite.scm 373 */
 obj_t BgL_arg1812z00_272;
BgL_arg1812z00_272 = 
CAR(
((obj_t)BgL_oz00_264)); 
return 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1812z00_272, BgL_pz00_256, ((long)0));}  else 
{ /* Llib/sqlite.scm 372 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string2142z00zz__sqlite_sqlitez00, BgL_objz00_255);} } } } }  else 
{ /* Llib/sqlite.scm 359 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2142z00zz__sqlite_sqlitez00, BgL_objz00_255);} } 

}



/* &sqlite-format */
obj_t BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1335, obj_t BgL_fmtz00_1336, obj_t BgL_objsz00_1337)
{
{ /* Llib/sqlite.scm 261 */
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_auxz00_2735;
if(
STRINGP(BgL_fmtz00_1336))
{ /* Llib/sqlite.scm 262 */
BgL_auxz00_2735 = BgL_fmtz00_1336
; }  else 
{ 
 obj_t BgL_auxz00_2738;
BgL_auxz00_2738 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)11102)), BGl_string2157z00zz__sqlite_sqlitez00, BGl_string2129z00zz__sqlite_sqlitez00, BgL_fmtz00_1336); 
FAILURE(BgL_auxz00_2738,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_auxz00_2735, BgL_objsz00_1337);} } 

}



/* sqlite-last-insert-rowid */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_53)
{
{ /* Llib/sqlite.scm 439 */
return 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_dbz00_53, BGl_string2158z00zz__sqlite_sqlitez00, BNIL);} 

}



/* &sqlite-last-insert-rowid */
obj_t BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1338, obj_t BgL_dbz00_1339)
{
{ /* Llib/sqlite.scm 439 */
{ /* Llib/sqlite.scm 440 */
 BgL_z52sqlitez52_bglt BgL_auxz00_2744;
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1339, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 440 */
BgL_auxz00_2744 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1339)
; }  else 
{ 
 obj_t BgL_auxz00_2748;
BgL_auxz00_2748 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)16207)), BGl_string2159z00zz__sqlite_sqlitez00, BGl_string2128z00zz__sqlite_sqlitez00, BgL_dbz00_1339); 
FAILURE(BgL_auxz00_2748,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_auxz00_2744);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_arg1825z00_290; obj_t BgL_arg1826z00_291;
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_v1272z00_297;
BgL_v1272z00_297 = 
create_vector(((long)1)); 
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_arg1830z00_298;
BgL_arg1830z00_298 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc2162z00zz__sqlite_sqlitez00, BGl_proc2161z00zz__sqlite_sqlitez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2160z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1272z00_297,((long)0),BgL_arg1830z00_298); } 
BgL_arg1825z00_290 = BgL_v1272z00_297; } 
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_v1273z00_311;
BgL_v1273z00_311 = 
create_vector(((long)0)); 
BgL_arg1826z00_291 = BgL_v1273z00_311; } 
BGl_z52sqlitez52zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)4)), 
CNST_TABLE_REF(((long)5)), BGl_objectz00zz__objectz00, ((long)41441), BFALSE, BGl_proc2164z00zz__sqlite_sqlitez00, BFALSE, BGl_proc2163z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1825z00_290, BgL_arg1826z00_291); } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1840z00_317; obj_t BgL_arg1841z00_318;
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_v1274z00_332;
BgL_v1274z00_332 = 
create_vector(((long)2)); 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1849z00_333;
BgL_arg1849z00_333 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc2167z00zz__sqlite_sqlitez00, BGl_proc2166z00zz__sqlite_sqlitez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2165z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1274z00_332,((long)0),BgL_arg1849z00_333); } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1856z00_346;
BgL_arg1856z00_346 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2170z00zz__sqlite_sqlitez00, BGl_proc2169z00zz__sqlite_sqlitez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2168z00zz__sqlite_sqlitez00, BGl_z42sqltinyz42zz__sqlite_sqltinyz00); 
VECTOR_SET(BgL_v1274z00_332,((long)1),BgL_arg1856z00_346); } 
BgL_arg1840z00_317 = BgL_v1274z00_332; } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_v1275z00_359;
BgL_v1275z00_359 = 
create_vector(((long)0)); 
BgL_arg1841z00_318 = BgL_v1275z00_359; } 
BGl_sqltinyz00zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)5)), BGl_z52sqlitez52zz__sqlite_sqlitez00, ((long)6234), BGl_proc2173z00zz__sqlite_sqlitez00, BGl_proc2172z00zz__sqlite_sqlitez00, BGl_z52setupzd2sqltinyz12zd2envz40zz__sqlite_sqlitez00, BGl_proc2171z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1840z00_317, BgL_arg1841z00_318); } 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_arg1866z00_366; obj_t BgL_arg1868z00_367;
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_v1276z00_380;
BgL_v1276z00_380 = 
create_vector(((long)1)); 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_arg1875z00_381;
BgL_arg1875z00_381 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2176z00zz__sqlite_sqlitez00, BGl_proc2175z00zz__sqlite_sqlitez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2174z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1276z00_380,((long)0),BgL_arg1875z00_381); } 
BgL_arg1866z00_366 = BgL_v1276z00_380; } 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_v1277z00_394;
BgL_v1277z00_394 = 
create_vector(((long)0)); 
BgL_arg1868z00_367 = BgL_v1277z00_394; } 
return ( 
BGl_sqlitez00zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)5)), BGl_z52sqlitez52zz__sqlite_sqlitez00, ((long)51526), BGl_proc2179z00zz__sqlite_sqlitez00, BGl_proc2178z00zz__sqlite_sqlitez00, BGl_z52setupzd2sqlitez12zd2envz40zz__sqlite_sqlitez00, BGl_proc2177z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1866z00_366, BgL_arg1868z00_367), BUNSPEC) ;} } 

}



/* &<@anonymous:1874> */
obj_t BGl_z62zc3z04anonymousza31874ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1360, obj_t BgL_new1063z00_1361)
{
{ /* Llib/sqlite.scm 25 */
{ 
 BgL_sqlitez00_bglt BgL_auxz00_2783;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)
((BgL_sqlitez00_bglt)BgL_new1063z00_1361))))->BgL_pathz00)=((obj_t)BGl_string2180z00zz__sqlite_sqlitez00),BUNSPEC); 
((((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_new1063z00_1361)))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_2783 = 
((BgL_sqlitez00_bglt)BgL_new1063z00_1361); 
return 
((obj_t)BgL_auxz00_2783);} } 

}



/* &lambda1872 */
BgL_sqlitez00_bglt BGl_z62lambda1872z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1362)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1062z00_1798;
BgL_new1062z00_1798 = 
((BgL_sqlitez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqlitez00_bgl) ))); 
{ /* Llib/sqlite.scm 25 */
 long BgL_arg1873z00_1799;
BgL_arg1873z00_1799 = 
BGL_CLASS_NUM(BGl_sqlitez00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1062z00_1798), BgL_arg1873z00_1799); } 
return BgL_new1062z00_1798;} } 

}



/* &lambda1869 */
BgL_sqlitez00_bglt BGl_z62lambda1869z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1363, obj_t BgL_path1060z00_1364, obj_t BgL_z42builtin1061z42_1365)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 void * BgL_z42builtin1061z42_1801;
BgL_z42builtin1061z42_1801 = 
FOREIGN_TO_COBJ(BgL_z42builtin1061z42_1365); 
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1268z00_1802;
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1267z00_1803;
BgL_new1267z00_1803 = 
((BgL_sqlitez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqlitez00_bgl) ))); 
{ /* Llib/sqlite.scm 25 */
 long BgL_arg1871z00_1804;
BgL_arg1871z00_1804 = 
BGL_CLASS_NUM(BGl_sqlitez00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1267z00_1803), BgL_arg1871z00_1804); } 
BgL_new1268z00_1802 = BgL_new1267z00_1803; } 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1268z00_1802)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1060z00_1364)),BUNSPEC); 
((((BgL_sqlitez00_bglt)COBJECT(BgL_new1268z00_1802))->BgL_z42builtinz42)=((void *)BgL_z42builtin1061z42_1801),BUNSPEC); 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_fun1870z00_1805;
BgL_fun1870z00_1805 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sqlitez00zz__sqlite_sqlitez00); 
PROCEDURE_ENTRY(BgL_fun1870z00_1805)(BgL_fun1870z00_1805, 
((obj_t)BgL_new1268z00_1802), BEOA); } 
return BgL_new1268z00_1802;} } } 

}



/* &<@anonymous:1881> */
obj_t BGl_z62zc3z04anonymousza31881ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1366)
{
{ /* Llib/sqlite.scm 25 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1880 */
obj_t BGl_z62lambda1880z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1367, obj_t BgL_oz00_1368, obj_t BgL_vz00_1369)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 void * BgL_vz00_1807;
BgL_vz00_1807 = 
FOREIGN_TO_COBJ(BgL_vz00_1369); 
return 
((((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1368)))->BgL_z42builtinz42)=((void *)BgL_vz00_1807),BUNSPEC);} } 

}



/* &lambda1879 */
obj_t BGl_z62lambda1879z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1370, obj_t BgL_oz00_1371)
{
{ /* Llib/sqlite.scm 25 */
return 
void_star_to_obj(
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1371)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1848> */
obj_t BGl_z62zc3z04anonymousza31848ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1372, obj_t BgL_new1058z00_1373)
{
{ /* Llib/sqlite.scm 37 */
{ 
 BgL_sqltinyz00_bglt BgL_auxz00_2819;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)
((BgL_sqltinyz00_bglt)BgL_new1058z00_1373))))->BgL_pathz00)=((obj_t)BGl_string2180z00zz__sqlite_sqlitez00),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_new1058z00_1373)))->BgL_syncz00)=((obj_t)
CNST_TABLE_REF(((long)12))),BUNSPEC); 
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_2826;
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_classz00_1810;
BgL_classz00_1810 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL__ortest_1113z00_1811;
BgL__ortest_1113z00_1811 = 
BGL_CLASS_NIL(BgL_classz00_1810); 
if(
CBOOL(BgL__ortest_1113z00_1811))
{ /* Llib/sqlite.scm 37 */
BgL_auxz00_2826 = 
((BgL_z42sqltinyz42_bglt)BgL__ortest_1113z00_1811)
; }  else 
{ /* Llib/sqlite.scm 37 */
BgL_auxz00_2826 = 
((BgL_z42sqltinyz42_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1810))
; } } } 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_new1058z00_1373)))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_2826),BUNSPEC); } 
BgL_auxz00_2819 = 
((BgL_sqltinyz00_bglt)BgL_new1058z00_1373); 
return 
((obj_t)BgL_auxz00_2819);} } 

}



/* &lambda1846 */
BgL_sqltinyz00_bglt BGl_z62lambda1846z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1374)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1057z00_1812;
BgL_new1057z00_1812 = 
((BgL_sqltinyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqltinyz00_bgl) ))); 
{ /* Llib/sqlite.scm 37 */
 long BgL_arg1847z00_1813;
BgL_arg1847z00_1813 = 
BGL_CLASS_NUM(BGl_sqltinyz00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1057z00_1812), BgL_arg1847z00_1813); } 
return BgL_new1057z00_1812;} } 

}



/* &lambda1842 */
BgL_sqltinyz00_bglt BGl_z62lambda1842z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1375, obj_t BgL_path1054z00_1376, obj_t BgL_sync1055z00_1377, obj_t BgL_z42builtin1056z42_1378)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1266z00_1817;
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1265z00_1818;
BgL_new1265z00_1818 = 
((BgL_sqltinyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqltinyz00_bgl) ))); 
{ /* Llib/sqlite.scm 37 */
 long BgL_arg1845z00_1819;
BgL_arg1845z00_1819 = 
BGL_CLASS_NUM(BGl_sqltinyz00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1265z00_1818), BgL_arg1845z00_1819); } 
BgL_new1266z00_1817 = BgL_new1265z00_1818; } 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1266z00_1817)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1054z00_1376)),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_new1266z00_1817))->BgL_syncz00)=((obj_t)
((obj_t)BgL_sync1055z00_1377)),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_new1266z00_1817))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)
((BgL_z42sqltinyz42_bglt)BgL_z42builtin1056z42_1378)),BUNSPEC); 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_fun1844z00_1820;
BgL_fun1844z00_1820 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sqltinyz00zz__sqlite_sqlitez00); 
PROCEDURE_ENTRY(BgL_fun1844z00_1820)(BgL_fun1844z00_1820, 
((obj_t)BgL_new1266z00_1817), BEOA); } 
return BgL_new1266z00_1817;} } 

}



/* &<@anonymous:1862> */
obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1379)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 40 */
 obj_t BgL_classz00_1821;
BgL_classz00_1821 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 40 */
 obj_t BgL__ortest_1113z00_1822;
BgL__ortest_1113z00_1822 = 
BGL_CLASS_NIL(BgL_classz00_1821); 
if(
CBOOL(BgL__ortest_1113z00_1822))
{ /* Llib/sqlite.scm 40 */
return BgL__ortest_1113z00_1822;}  else 
{ /* Llib/sqlite.scm 40 */
return 
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1821);} } } } 

}



/* &lambda1861 */
obj_t BGl_z62lambda1861z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1380, obj_t BgL_oz00_1381, obj_t BgL_vz00_1382)
{
{ /* Llib/sqlite.scm 37 */
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1381)))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)
((BgL_z42sqltinyz42_bglt)BgL_vz00_1382)),BUNSPEC);} 

}



/* &lambda1860 */
BgL_z42sqltinyz42_bglt BGl_z62lambda1860z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1383, obj_t BgL_oz00_1384)
{
{ /* Llib/sqlite.scm 37 */
return 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1384)))->BgL_z42builtinz42);} 

}



/* &<@anonymous:1855> */
obj_t BGl_z62zc3z04anonymousza31855ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1385)
{
{ /* Llib/sqlite.scm 37 */
return 
CNST_TABLE_REF(((long)13));} 

}



/* &lambda1854 */
obj_t BGl_z62lambda1854z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1386, obj_t BgL_oz00_1387, obj_t BgL_vz00_1388)
{
{ /* Llib/sqlite.scm 37 */
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1387)))->BgL_syncz00)=((obj_t)
((obj_t)BgL_vz00_1388)),BUNSPEC);} 

}



/* &lambda1853 */
obj_t BGl_z62lambda1853z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1389, obj_t BgL_oz00_1390)
{
{ /* Llib/sqlite.scm 37 */
return 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1390)))->BgL_syncz00);} 

}



/* &<@anonymous:1829> */
obj_t BGl_z62zc3z04anonymousza31829ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1391, obj_t BgL_new1052z00_1392)
{
{ /* Llib/sqlite.scm 34 */
{ 
 BgL_z52sqlitez52_bglt BgL_auxz00_2873;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1052z00_1392)))->BgL_pathz00)=((obj_t)BGl_string2180z00zz__sqlite_sqlitez00),BUNSPEC); 
BgL_auxz00_2873 = 
((BgL_z52sqlitez52_bglt)BgL_new1052z00_1392); 
return 
((obj_t)BgL_auxz00_2873);} } 

}



/* &lambda1827 */
BgL_z52sqlitez52_bglt BGl_z62lambda1827z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1393)
{
{ /* Llib/sqlite.scm 34 */
{ /* Llib/sqlite.scm 34 */
 BgL_z52sqlitez52_bglt BgL_new1051z00_1830;
BgL_new1051z00_1830 = 
((BgL_z52sqlitez52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sqlitez52_bgl) ))); 
{ /* Llib/sqlite.scm 34 */
 long BgL_arg1828z00_1831;
BgL_arg1828z00_1831 = 
BGL_CLASS_NUM(BGl_z52sqlitez52zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_1830), BgL_arg1828z00_1831); } 
return BgL_new1051z00_1830;} } 

}



/* &<@anonymous:1836> */
obj_t BGl_z62zc3z04anonymousza31836ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1394)
{
{ /* Llib/sqlite.scm 34 */
return BGl_string2181z00zz__sqlite_sqlitez00;} 

}



/* &lambda1835 */
obj_t BGl_z62lambda1835z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1395, obj_t BgL_oz00_1396, obj_t BgL_vz00_1397)
{
{ /* Llib/sqlite.scm 34 */
return 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1396)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_vz00_1397)),BUNSPEC);} 

}



/* &lambda1834 */
obj_t BGl_z62lambda1834z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1398, obj_t BgL_oz00_1399)
{
{ /* Llib/sqlite.scm 34 */
return 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1399)))->BgL_pathz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BGl_proc2182z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2183z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BGl_proc2184z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2185z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BGl_proc2186z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2187z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BGl_proc2188z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2189z00zz__sqlite_sqlitez00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BGl_proc2190z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2191z00zz__sqlite_sqlitez00);} 

}



/* &sqlite-dump-table1300 */
obj_t BGl_z62sqlitezd2dumpzd2table1300z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1405, obj_t BgL_dbz00_1406, obj_t BgL_tablez00_1407, obj_t BgL_outz00_1408)
{
{ /* Llib/sqlite.scm 248 */
{ /* Llib/sqlite.scm 250 */
 BgL_z42sqltinyz42_bglt BgL_arg1909z00_1838;
BgL_arg1909z00_1838 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_dbz00_1406))))->BgL_z42builtinz42); 
BGl_z42sqltinyzd2dumpzd2tablez42zz__sqlite_sqltinyz00(
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_dbz00_1406)), BgL_arg1909z00_1838, 
((obj_t)BgL_tablez00_1407), 
((obj_t)BgL_outz00_1408)); } 
return BUNSPEC;} 

}



/* &sqlite-map1296 */
obj_t BGl_z62sqlitezd2map1296zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1409, obj_t BgL_oz00_1410, obj_t BgL_pz00_1411, obj_t BgL_fmtz00_1412, obj_t BgL_argsz00_1413)
{
{ /* Llib/sqlite.scm 189 */
if(
NULLP(BgL_argsz00_1413))
{ /* Llib/sqlite.scm 192 */
 BgL_z42sqltinyz42_bglt BgL_arg1902z00_1842;
BgL_arg1902z00_1842 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1410))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_arg1902z00_1842, 
((obj_t)BgL_pz00_1411), 
((obj_t)BgL_fmtz00_1412), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1410)));}  else 
{ /* Llib/sqlite.scm 193 */
 BgL_z42sqltinyz42_bglt BgL_arg1903z00_1843; obj_t BgL_arg1904z00_1844;
BgL_arg1903z00_1843 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1410))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 193 */
 obj_t BgL_runner1907z00_1845;
{ /* Llib/sqlite.scm 193 */
 obj_t BgL_list1905z00_1846;
BgL_list1905z00_1846 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1413, BNIL); 
BgL_runner1907z00_1845 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1412), BgL_list1905z00_1846); } 
{ /* Llib/sqlite.scm 193 */
 obj_t BgL_aux1906z00_1847;
BgL_aux1906z00_1847 = 
CAR(BgL_runner1907z00_1845); 
BgL_runner1907z00_1845 = 
CDR(BgL_runner1907z00_1845); 
BgL_arg1904z00_1844 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1906z00_1847, BgL_runner1907z00_1845); } } 
return 
BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_arg1903z00_1843, 
((obj_t)BgL_pz00_1411), BgL_arg1904z00_1844, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1410)));} } 

}



/* &sqlite-eval1292 */
obj_t BGl_z62sqlitezd2eval1292zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1414, obj_t BgL_oz00_1415, obj_t BgL_pz00_1416, obj_t BgL_fmtz00_1417, obj_t BgL_argsz00_1418)
{
{ /* Llib/sqlite.scm 168 */
if(
NULLP(BgL_argsz00_1418))
{ /* Llib/sqlite.scm 171 */
 BgL_z42sqltinyz42_bglt BgL_arg1894z00_1851;
BgL_arg1894z00_1851 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1415))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_arg1894z00_1851, 
((obj_t)BgL_pz00_1416), 
((obj_t)BgL_fmtz00_1417), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1415)));}  else 
{ /* Llib/sqlite.scm 172 */
 BgL_z42sqltinyz42_bglt BgL_arg1895z00_1852; obj_t BgL_arg1896z00_1853;
BgL_arg1895z00_1852 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1415))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 172 */
 obj_t BgL_runner1899z00_1854;
{ /* Llib/sqlite.scm 172 */
 obj_t BgL_list1897z00_1855;
BgL_list1897z00_1855 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1418, BNIL); 
BgL_runner1899z00_1854 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1417), BgL_list1897z00_1855); } 
{ /* Llib/sqlite.scm 172 */
 obj_t BgL_aux1898z00_1856;
BgL_aux1898z00_1856 = 
CAR(BgL_runner1899z00_1854); 
BgL_runner1899z00_1854 = 
CDR(BgL_runner1899z00_1854); 
BgL_arg1896z00_1853 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1898z00_1856, BgL_runner1899z00_1854); } } 
return 
BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_arg1895z00_1852, 
((obj_t)BgL_pz00_1416), BgL_arg1896z00_1853, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1415)));} } 

}



/* &sqlite-exec1288 */
obj_t BGl_z62sqlitezd2exec1288zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1419, obj_t BgL_oz00_1420, obj_t BgL_fmtz00_1421, obj_t BgL_argsz00_1422)
{
{ /* Llib/sqlite.scm 130 */
if(
NULLP(BgL_argsz00_1422))
{ /* Llib/sqlite.scm 133 */
 BgL_z42sqltinyz42_bglt BgL_arg1886z00_1859;
BgL_arg1886z00_1859 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1420))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_arg1886z00_1859, 
((obj_t)BgL_fmtz00_1421), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1420)));}  else 
{ /* Llib/sqlite.scm 134 */
 BgL_z42sqltinyz42_bglt BgL_arg1887z00_1860; obj_t BgL_arg1888z00_1861;
BgL_arg1887z00_1860 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1420))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 134 */
 obj_t BgL_runner1891z00_1862;
{ /* Llib/sqlite.scm 134 */
 obj_t BgL_list1889z00_1863;
BgL_list1889z00_1863 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1422, BNIL); 
BgL_runner1891z00_1862 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1421), BgL_list1889z00_1863); } 
{ /* Llib/sqlite.scm 134 */
 obj_t BgL_aux1890z00_1864;
BgL_aux1890z00_1864 = 
CAR(BgL_runner1891z00_1862); 
BgL_runner1891z00_1862 = 
CDR(BgL_runner1891z00_1862); 
BgL_arg1888z00_1861 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1890z00_1864, BgL_runner1891z00_1862); } } 
return 
BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_arg1887z00_1860, BgL_arg1888z00_1861, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1420)));} } 

}



/* &sqlite-close1284 */
obj_t BGl_z62sqlitezd2close1284zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1423, obj_t BgL_oz00_1424)
{
{ /* Llib/sqlite.scm 116 */
{ /* Llib/sqlite.scm 118 */
 BgL_z42sqltinyz42_bglt BgL_arg1883z00_1866;
BgL_arg1883z00_1866 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1424))))->BgL_z42builtinz42); 
BGl_z42sqltinyzd2closez90zz__sqlite_sqltinyz00(BgL_arg1883z00_1866, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1424))); } 
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_2973;
{ /* Llib/sqlite.scm 119 */
 obj_t BgL_classz00_1867;
BgL_classz00_1867 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 119 */
 obj_t BgL__ortest_1113z00_1868;
BgL__ortest_1113z00_1868 = 
BGL_CLASS_NIL(BgL_classz00_1867); 
if(
CBOOL(BgL__ortest_1113z00_1868))
{ /* Llib/sqlite.scm 119 */
BgL_auxz00_2973 = 
((BgL_z42sqltinyz42_bglt)BgL__ortest_1113z00_1868)
; }  else 
{ /* Llib/sqlite.scm 119 */
BgL_auxz00_2973 = 
((BgL_z42sqltinyz42_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1867))
; } } } 
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1424))))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_2973),BUNSPEC);} } 

}



/* sqlite-close */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_12)
{
{ /* Llib/sqlite.scm 116 */
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_method1285z00_456;
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_res2040z00_1081;
{ /* Llib/sqlite.scm 116 */
 long BgL_objzd2classzd2numz00_1052;
BgL_objzd2classzd2numz00_1052 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_12)); 
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_arg1801z00_1053;
BgL_arg1801z00_1053 = 
PROCEDURE_REF(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 116 */
 int BgL_offsetz00_1056;
BgL_offsetz00_1056 = 
(int)(BgL_objzd2classzd2numz00_1052); 
{ /* Llib/sqlite.scm 116 */
 long BgL_offsetz00_1057;
BgL_offsetz00_1057 = 
(
(long)(BgL_offsetz00_1056)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 116 */
 long BgL_modz00_1058;
BgL_modz00_1058 = 
(BgL_offsetz00_1057 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 116 */
 long BgL_restz00_1060;
BgL_restz00_1060 = 
(BgL_offsetz00_1057 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 116 */

{ /* Llib/sqlite.scm 116 */
 obj_t BgL_bucketz00_1062;
BgL_bucketz00_1062 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_1053),BgL_modz00_1058); 
BgL_res2040z00_1081 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1062),BgL_restz00_1060); } } } } } } } } 
BgL_method1285z00_456 = BgL_res2040z00_1081; } 
return 
PROCEDURE_ENTRY(BgL_method1285z00_456)(BgL_method1285z00_456, 
((obj_t)BgL_oz00_12), BEOA);} } 

}



/* &sqlite-close */
obj_t BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1425, obj_t BgL_oz00_1426)
{
{ /* Llib/sqlite.scm 116 */
{ /* Llib/sqlite.scm 116 */
 BgL_z52sqlitez52_bglt BgL_auxz00_3013;
{ /* Llib/sqlite.scm 116 */
 bool_t BgL_test2413z00_3014;
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_classz00_1869;
BgL_classz00_1869 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1426))
{ /* Llib/sqlite.scm 116 */
 BgL_objectz00_bglt BgL_arg1799z00_1871; long BgL_arg1800z00_1872;
BgL_arg1799z00_1871 = 
(BgL_objectz00_bglt)(BgL_oz00_1426); 
BgL_arg1800z00_1872 = 
BGL_CLASS_DEPTH(BgL_classz00_1869); 
{ /* Llib/sqlite.scm 116 */
 bool_t BgL_arg1794z00_1876; bool_t BgL_arg1795z00_1877;
{ /* Llib/sqlite.scm 116 */
 long BgL_idxz00_1881;
BgL_idxz00_1881 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1871); 
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_arg1791z00_1882;
{ /* Llib/sqlite.scm 116 */
 long BgL_arg1792z00_1883;
BgL_arg1792z00_1883 = 
(BgL_idxz00_1881+BgL_arg1800z00_1872); 
BgL_arg1791z00_1882 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1883); } 
BgL_arg1794z00_1876 = 
(BgL_arg1791z00_1882==BgL_classz00_1869); } } 
{ /* Llib/sqlite.scm 116 */
 bool_t BgL_res2223z00_1906;
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_oclassz00_1891;
{ /* Llib/sqlite.scm 116 */
 long BgL_arg1804z00_1897;
{ /* Llib/sqlite.scm 116 */
 long BgL_arg1805z00_1898;
BgL_arg1805z00_1898 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1871); 
BgL_arg1804z00_1897 = 
(BgL_arg1805z00_1898-OBJECT_TYPE); } 
BgL_oclassz00_1891 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1897); } 
{ /* Llib/sqlite.scm 116 */
 bool_t BgL__ortest_1111z00_1892;
BgL__ortest_1111z00_1892 = 
(BgL_classz00_1869==BgL_oclassz00_1891); 
if(BgL__ortest_1111z00_1892)
{ /* Llib/sqlite.scm 116 */
BgL_res2223z00_1906 = BgL__ortest_1111z00_1892; }  else 
{ /* Llib/sqlite.scm 116 */
 long BgL_odepthz00_1893;
BgL_odepthz00_1893 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1891); 
if(
(BgL_arg1800z00_1872<BgL_odepthz00_1893))
{ /* Llib/sqlite.scm 116 */
 obj_t BgL_arg1793z00_1895;
BgL_arg1793z00_1895 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1891, BgL_arg1800z00_1872); 
BgL_res2223z00_1906 = 
(BgL_arg1793z00_1895==BgL_classz00_1869); }  else 
{ /* Llib/sqlite.scm 116 */
BgL_res2223z00_1906 = ((bool_t)0); } } } } 
BgL_arg1795z00_1877 = BgL_res2223z00_1906; } 
BgL_test2413z00_3014 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1876, BgL_arg1795z00_1877); } }  else 
{ /* Llib/sqlite.scm 116 */
BgL_test2413z00_3014 = ((bool_t)0)
; } } 
if(BgL_test2413z00_3014)
{ /* Llib/sqlite.scm 116 */
BgL_auxz00_3013 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1426)
; }  else 
{ 
 obj_t BgL_auxz00_3035;
BgL_auxz00_3035 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)4987)), BGl_string2192z00zz__sqlite_sqlitez00, BGl_string2128z00zz__sqlite_sqlitez00, BgL_oz00_1426); 
FAILURE(BgL_auxz00_3035,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_auxz00_3013);} } 

}



/* sqlite-exec */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_14, obj_t BgL_fmtz00_15, obj_t BgL_argsz00_16)
{
{ /* Llib/sqlite.scm 130 */
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_method1289z00_457;
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_res2045z00_1112;
{ /* Llib/sqlite.scm 130 */
 long BgL_objzd2classzd2numz00_1083;
BgL_objzd2classzd2numz00_1083 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_14)); 
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_arg1801z00_1084;
BgL_arg1801z00_1084 = 
PROCEDURE_REF(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 130 */
 int BgL_offsetz00_1087;
BgL_offsetz00_1087 = 
(int)(BgL_objzd2classzd2numz00_1083); 
{ /* Llib/sqlite.scm 130 */
 long BgL_offsetz00_1088;
BgL_offsetz00_1088 = 
(
(long)(BgL_offsetz00_1087)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 130 */
 long BgL_modz00_1089;
BgL_modz00_1089 = 
(BgL_offsetz00_1088 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 130 */
 long BgL_restz00_1091;
BgL_restz00_1091 = 
(BgL_offsetz00_1088 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 130 */

{ /* Llib/sqlite.scm 130 */
 obj_t BgL_bucketz00_1093;
BgL_bucketz00_1093 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_1084),BgL_modz00_1089); 
BgL_res2045z00_1112 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1093),BgL_restz00_1091); } } } } } } } } 
BgL_method1289z00_457 = BgL_res2045z00_1112; } 
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_auxz00_3065;
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_list1910z00_458;
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_arg1911z00_459;
BgL_arg1911z00_459 = 
MAKE_YOUNG_PAIR(BgL_argsz00_16, BNIL); 
BgL_list1910z00_458 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_15, BgL_arg1911z00_459); } 
BgL_auxz00_3065 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_14), BgL_list1910z00_458); } 
return 
apply(BgL_method1289z00_457, BgL_auxz00_3065);} } } 

}



/* &sqlite-exec */
obj_t BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1427, obj_t BgL_oz00_1428, obj_t BgL_fmtz00_1429, obj_t BgL_argsz00_1430)
{
{ /* Llib/sqlite.scm 130 */
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_auxz00_3097; BgL_z52sqlitez52_bglt BgL_auxz00_3071;
if(
STRINGP(BgL_fmtz00_1429))
{ /* Llib/sqlite.scm 130 */
BgL_auxz00_3097 = BgL_fmtz00_1429
; }  else 
{ 
 obj_t BgL_auxz00_3100;
BgL_auxz00_3100 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)5535)), BGl_string2193z00zz__sqlite_sqlitez00, BGl_string2129z00zz__sqlite_sqlitez00, BgL_fmtz00_1429); 
FAILURE(BgL_auxz00_3100,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 130 */
 bool_t BgL_test2417z00_3072;
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_classz00_1907;
BgL_classz00_1907 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1428))
{ /* Llib/sqlite.scm 130 */
 BgL_objectz00_bglt BgL_arg1799z00_1909; long BgL_arg1800z00_1910;
BgL_arg1799z00_1909 = 
(BgL_objectz00_bglt)(BgL_oz00_1428); 
BgL_arg1800z00_1910 = 
BGL_CLASS_DEPTH(BgL_classz00_1907); 
{ /* Llib/sqlite.scm 130 */
 bool_t BgL_arg1794z00_1914; bool_t BgL_arg1795z00_1915;
{ /* Llib/sqlite.scm 130 */
 long BgL_idxz00_1919;
BgL_idxz00_1919 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1909); 
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_arg1791z00_1920;
{ /* Llib/sqlite.scm 130 */
 long BgL_arg1792z00_1921;
BgL_arg1792z00_1921 = 
(BgL_idxz00_1919+BgL_arg1800z00_1910); 
BgL_arg1791z00_1920 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1921); } 
BgL_arg1794z00_1914 = 
(BgL_arg1791z00_1920==BgL_classz00_1907); } } 
{ /* Llib/sqlite.scm 130 */
 bool_t BgL_res2224z00_1944;
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_oclassz00_1929;
{ /* Llib/sqlite.scm 130 */
 long BgL_arg1804z00_1935;
{ /* Llib/sqlite.scm 130 */
 long BgL_arg1805z00_1936;
BgL_arg1805z00_1936 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1909); 
BgL_arg1804z00_1935 = 
(BgL_arg1805z00_1936-OBJECT_TYPE); } 
BgL_oclassz00_1929 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1935); } 
{ /* Llib/sqlite.scm 130 */
 bool_t BgL__ortest_1111z00_1930;
BgL__ortest_1111z00_1930 = 
(BgL_classz00_1907==BgL_oclassz00_1929); 
if(BgL__ortest_1111z00_1930)
{ /* Llib/sqlite.scm 130 */
BgL_res2224z00_1944 = BgL__ortest_1111z00_1930; }  else 
{ /* Llib/sqlite.scm 130 */
 long BgL_odepthz00_1931;
BgL_odepthz00_1931 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1929); 
if(
(BgL_arg1800z00_1910<BgL_odepthz00_1931))
{ /* Llib/sqlite.scm 130 */
 obj_t BgL_arg1793z00_1933;
BgL_arg1793z00_1933 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1929, BgL_arg1800z00_1910); 
BgL_res2224z00_1944 = 
(BgL_arg1793z00_1933==BgL_classz00_1907); }  else 
{ /* Llib/sqlite.scm 130 */
BgL_res2224z00_1944 = ((bool_t)0); } } } } 
BgL_arg1795z00_1915 = BgL_res2224z00_1944; } 
BgL_test2417z00_3072 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1914, BgL_arg1795z00_1915); } }  else 
{ /* Llib/sqlite.scm 130 */
BgL_test2417z00_3072 = ((bool_t)0)
; } } 
if(BgL_test2417z00_3072)
{ /* Llib/sqlite.scm 130 */
BgL_auxz00_3071 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1428)
; }  else 
{ 
 obj_t BgL_auxz00_3093;
BgL_auxz00_3093 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)5535)), BGl_string2193z00zz__sqlite_sqlitez00, BGl_string2128z00zz__sqlite_sqlitez00, BgL_oz00_1428); 
FAILURE(BgL_auxz00_3093,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_auxz00_3071, BgL_auxz00_3097, BgL_argsz00_1430);} } 

}



/* sqlite-eval */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_20, obj_t BgL_pz00_21, obj_t BgL_fmtz00_22, obj_t BgL_argsz00_23)
{
{ /* Llib/sqlite.scm 168 */
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_method1293z00_460;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_res2050z00_1143;
{ /* Llib/sqlite.scm 168 */
 long BgL_objzd2classzd2numz00_1114;
BgL_objzd2classzd2numz00_1114 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_20)); 
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_arg1801z00_1115;
BgL_arg1801z00_1115 = 
PROCEDURE_REF(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 168 */
 int BgL_offsetz00_1118;
BgL_offsetz00_1118 = 
(int)(BgL_objzd2classzd2numz00_1114); 
{ /* Llib/sqlite.scm 168 */
 long BgL_offsetz00_1119;
BgL_offsetz00_1119 = 
(
(long)(BgL_offsetz00_1118)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 168 */
 long BgL_modz00_1120;
BgL_modz00_1120 = 
(BgL_offsetz00_1119 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 168 */
 long BgL_restz00_1122;
BgL_restz00_1122 = 
(BgL_offsetz00_1119 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 168 */

{ /* Llib/sqlite.scm 168 */
 obj_t BgL_bucketz00_1124;
BgL_bucketz00_1124 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_1115),BgL_modz00_1120); 
BgL_res2050z00_1143 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1124),BgL_restz00_1122); } } } } } } } } 
BgL_method1293z00_460 = BgL_res2050z00_1143; } 
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_auxz00_3130;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_list1912z00_461;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_arg1913z00_462;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_arg1914z00_463;
BgL_arg1914z00_463 = 
MAKE_YOUNG_PAIR(BgL_argsz00_23, BNIL); 
BgL_arg1913z00_462 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_22, BgL_arg1914z00_463); } 
BgL_list1912z00_461 = 
MAKE_YOUNG_PAIR(BgL_pz00_21, BgL_arg1913z00_462); } 
BgL_auxz00_3130 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_20), BgL_list1912z00_461); } 
return 
apply(BgL_method1293z00_460, BgL_auxz00_3130);} } } 

}



/* &sqlite-eval */
obj_t BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1431, obj_t BgL_oz00_1432, obj_t BgL_pz00_1433, obj_t BgL_fmtz00_1434, obj_t BgL_argsz00_1435)
{
{ /* Llib/sqlite.scm 168 */
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_auxz00_3170; obj_t BgL_auxz00_3163; BgL_z52sqlitez52_bglt BgL_auxz00_3137;
if(
STRINGP(BgL_fmtz00_1434))
{ /* Llib/sqlite.scm 168 */
BgL_auxz00_3170 = BgL_fmtz00_1434
; }  else 
{ 
 obj_t BgL_auxz00_3173;
BgL_auxz00_3173 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)7006)), BGl_string2194z00zz__sqlite_sqlitez00, BGl_string2129z00zz__sqlite_sqlitez00, BgL_fmtz00_1434); 
FAILURE(BgL_auxz00_3173,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_1433))
{ /* Llib/sqlite.scm 168 */
BgL_auxz00_3163 = BgL_pz00_1433
; }  else 
{ 
 obj_t BgL_auxz00_3166;
BgL_auxz00_3166 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)7006)), BGl_string2194z00zz__sqlite_sqlitez00, BGl_string2195z00zz__sqlite_sqlitez00, BgL_pz00_1433); 
FAILURE(BgL_auxz00_3166,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 168 */
 bool_t BgL_test2422z00_3138;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_classz00_1945;
BgL_classz00_1945 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1432))
{ /* Llib/sqlite.scm 168 */
 BgL_objectz00_bglt BgL_arg1799z00_1947; long BgL_arg1800z00_1948;
BgL_arg1799z00_1947 = 
(BgL_objectz00_bglt)(BgL_oz00_1432); 
BgL_arg1800z00_1948 = 
BGL_CLASS_DEPTH(BgL_classz00_1945); 
{ /* Llib/sqlite.scm 168 */
 bool_t BgL_arg1794z00_1952; bool_t BgL_arg1795z00_1953;
{ /* Llib/sqlite.scm 168 */
 long BgL_idxz00_1957;
BgL_idxz00_1957 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1947); 
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_arg1791z00_1958;
{ /* Llib/sqlite.scm 168 */
 long BgL_arg1792z00_1959;
BgL_arg1792z00_1959 = 
(BgL_idxz00_1957+BgL_arg1800z00_1948); 
BgL_arg1791z00_1958 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1959); } 
BgL_arg1794z00_1952 = 
(BgL_arg1791z00_1958==BgL_classz00_1945); } } 
{ /* Llib/sqlite.scm 168 */
 bool_t BgL_res2225z00_1982;
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_oclassz00_1967;
{ /* Llib/sqlite.scm 168 */
 long BgL_arg1804z00_1973;
{ /* Llib/sqlite.scm 168 */
 long BgL_arg1805z00_1974;
BgL_arg1805z00_1974 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1947); 
BgL_arg1804z00_1973 = 
(BgL_arg1805z00_1974-OBJECT_TYPE); } 
BgL_oclassz00_1967 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1973); } 
{ /* Llib/sqlite.scm 168 */
 bool_t BgL__ortest_1111z00_1968;
BgL__ortest_1111z00_1968 = 
(BgL_classz00_1945==BgL_oclassz00_1967); 
if(BgL__ortest_1111z00_1968)
{ /* Llib/sqlite.scm 168 */
BgL_res2225z00_1982 = BgL__ortest_1111z00_1968; }  else 
{ /* Llib/sqlite.scm 168 */
 long BgL_odepthz00_1969;
BgL_odepthz00_1969 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1967); 
if(
(BgL_arg1800z00_1948<BgL_odepthz00_1969))
{ /* Llib/sqlite.scm 168 */
 obj_t BgL_arg1793z00_1971;
BgL_arg1793z00_1971 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1967, BgL_arg1800z00_1948); 
BgL_res2225z00_1982 = 
(BgL_arg1793z00_1971==BgL_classz00_1945); }  else 
{ /* Llib/sqlite.scm 168 */
BgL_res2225z00_1982 = ((bool_t)0); } } } } 
BgL_arg1795z00_1953 = BgL_res2225z00_1982; } 
BgL_test2422z00_3138 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1952, BgL_arg1795z00_1953); } }  else 
{ /* Llib/sqlite.scm 168 */
BgL_test2422z00_3138 = ((bool_t)0)
; } } 
if(BgL_test2422z00_3138)
{ /* Llib/sqlite.scm 168 */
BgL_auxz00_3137 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1432)
; }  else 
{ 
 obj_t BgL_auxz00_3159;
BgL_auxz00_3159 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)7006)), BGl_string2194z00zz__sqlite_sqlitez00, BGl_string2128z00zz__sqlite_sqlitez00, BgL_oz00_1432); 
FAILURE(BgL_auxz00_3159,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_auxz00_3137, BgL_auxz00_3163, BgL_auxz00_3170, BgL_argsz00_1435);} } 

}



/* sqlite-map */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_28, obj_t BgL_pz00_29, obj_t BgL_fmtz00_30, obj_t BgL_argsz00_31)
{
{ /* Llib/sqlite.scm 189 */
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_method1297z00_464;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_res2055z00_1174;
{ /* Llib/sqlite.scm 189 */
 long BgL_objzd2classzd2numz00_1145;
BgL_objzd2classzd2numz00_1145 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_28)); 
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_arg1801z00_1146;
BgL_arg1801z00_1146 = 
PROCEDURE_REF(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 189 */
 int BgL_offsetz00_1149;
BgL_offsetz00_1149 = 
(int)(BgL_objzd2classzd2numz00_1145); 
{ /* Llib/sqlite.scm 189 */
 long BgL_offsetz00_1150;
BgL_offsetz00_1150 = 
(
(long)(BgL_offsetz00_1149)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 189 */
 long BgL_modz00_1151;
BgL_modz00_1151 = 
(BgL_offsetz00_1150 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 189 */
 long BgL_restz00_1153;
BgL_restz00_1153 = 
(BgL_offsetz00_1150 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 189 */

{ /* Llib/sqlite.scm 189 */
 obj_t BgL_bucketz00_1155;
BgL_bucketz00_1155 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_1146),BgL_modz00_1151); 
BgL_res2055z00_1174 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1155),BgL_restz00_1153); } } } } } } } } 
BgL_method1297z00_464 = BgL_res2055z00_1174; } 
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_auxz00_3203;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_list1915z00_465;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_arg1916z00_466;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_arg1917z00_467;
BgL_arg1917z00_467 = 
MAKE_YOUNG_PAIR(BgL_argsz00_31, BNIL); 
BgL_arg1916z00_466 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_30, BgL_arg1917z00_467); } 
BgL_list1915z00_465 = 
MAKE_YOUNG_PAIR(BgL_pz00_29, BgL_arg1916z00_466); } 
BgL_auxz00_3203 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_28), BgL_list1915z00_465); } 
return 
apply(BgL_method1297z00_464, BgL_auxz00_3203);} } } 

}



/* &sqlite-map */
obj_t BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1436, obj_t BgL_oz00_1437, obj_t BgL_pz00_1438, obj_t BgL_fmtz00_1439, obj_t BgL_argsz00_1440)
{
{ /* Llib/sqlite.scm 189 */
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_auxz00_3243; obj_t BgL_auxz00_3236; BgL_z52sqlitez52_bglt BgL_auxz00_3210;
if(
STRINGP(BgL_fmtz00_1439))
{ /* Llib/sqlite.scm 189 */
BgL_auxz00_3243 = BgL_fmtz00_1439
; }  else 
{ 
 obj_t BgL_auxz00_3246;
BgL_auxz00_3246 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)7865)), BGl_string2196z00zz__sqlite_sqlitez00, BGl_string2129z00zz__sqlite_sqlitez00, BgL_fmtz00_1439); 
FAILURE(BgL_auxz00_3246,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_1438))
{ /* Llib/sqlite.scm 189 */
BgL_auxz00_3236 = BgL_pz00_1438
; }  else 
{ 
 obj_t BgL_auxz00_3239;
BgL_auxz00_3239 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)7865)), BGl_string2196z00zz__sqlite_sqlitez00, BGl_string2195z00zz__sqlite_sqlitez00, BgL_pz00_1438); 
FAILURE(BgL_auxz00_3239,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 189 */
 bool_t BgL_test2428z00_3211;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_classz00_1983;
BgL_classz00_1983 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1437))
{ /* Llib/sqlite.scm 189 */
 BgL_objectz00_bglt BgL_arg1799z00_1985; long BgL_arg1800z00_1986;
BgL_arg1799z00_1985 = 
(BgL_objectz00_bglt)(BgL_oz00_1437); 
BgL_arg1800z00_1986 = 
BGL_CLASS_DEPTH(BgL_classz00_1983); 
{ /* Llib/sqlite.scm 189 */
 bool_t BgL_arg1794z00_1990; bool_t BgL_arg1795z00_1991;
{ /* Llib/sqlite.scm 189 */
 long BgL_idxz00_1995;
BgL_idxz00_1995 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_1985); 
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_arg1791z00_1996;
{ /* Llib/sqlite.scm 189 */
 long BgL_arg1792z00_1997;
BgL_arg1792z00_1997 = 
(BgL_idxz00_1995+BgL_arg1800z00_1986); 
BgL_arg1791z00_1996 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_1997); } 
BgL_arg1794z00_1990 = 
(BgL_arg1791z00_1996==BgL_classz00_1983); } } 
{ /* Llib/sqlite.scm 189 */
 bool_t BgL_res2226z00_2020;
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_oclassz00_2005;
{ /* Llib/sqlite.scm 189 */
 long BgL_arg1804z00_2011;
{ /* Llib/sqlite.scm 189 */
 long BgL_arg1805z00_2012;
BgL_arg1805z00_2012 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_1985); 
BgL_arg1804z00_2011 = 
(BgL_arg1805z00_2012-OBJECT_TYPE); } 
BgL_oclassz00_2005 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2011); } 
{ /* Llib/sqlite.scm 189 */
 bool_t BgL__ortest_1111z00_2006;
BgL__ortest_1111z00_2006 = 
(BgL_classz00_1983==BgL_oclassz00_2005); 
if(BgL__ortest_1111z00_2006)
{ /* Llib/sqlite.scm 189 */
BgL_res2226z00_2020 = BgL__ortest_1111z00_2006; }  else 
{ /* Llib/sqlite.scm 189 */
 long BgL_odepthz00_2007;
BgL_odepthz00_2007 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2005); 
if(
(BgL_arg1800z00_1986<BgL_odepthz00_2007))
{ /* Llib/sqlite.scm 189 */
 obj_t BgL_arg1793z00_2009;
BgL_arg1793z00_2009 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2005, BgL_arg1800z00_1986); 
BgL_res2226z00_2020 = 
(BgL_arg1793z00_2009==BgL_classz00_1983); }  else 
{ /* Llib/sqlite.scm 189 */
BgL_res2226z00_2020 = ((bool_t)0); } } } } 
BgL_arg1795z00_1991 = BgL_res2226z00_2020; } 
BgL_test2428z00_3211 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1990, BgL_arg1795z00_1991); } }  else 
{ /* Llib/sqlite.scm 189 */
BgL_test2428z00_3211 = ((bool_t)0)
; } } 
if(BgL_test2428z00_3211)
{ /* Llib/sqlite.scm 189 */
BgL_auxz00_3210 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1437)
; }  else 
{ 
 obj_t BgL_auxz00_3232;
BgL_auxz00_3232 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)7865)), BGl_string2196z00zz__sqlite_sqlitez00, BGl_string2128z00zz__sqlite_sqlitez00, BgL_oz00_1437); 
FAILURE(BgL_auxz00_3232,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_auxz00_3210, BgL_auxz00_3236, BgL_auxz00_3243, BgL_argsz00_1440);} } 

}



/* sqlite-dump-table */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_45, obj_t BgL_tablez00_46, obj_t BgL_outz00_47)
{
{ /* Llib/sqlite.scm 248 */
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_method1301z00_468;
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_res2060z00_1205;
{ /* Llib/sqlite.scm 248 */
 long BgL_objzd2classzd2numz00_1176;
BgL_objzd2classzd2numz00_1176 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dbz00_45)); 
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_arg1801z00_1177;
BgL_arg1801z00_1177 = 
PROCEDURE_REF(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 248 */
 int BgL_offsetz00_1180;
BgL_offsetz00_1180 = 
(int)(BgL_objzd2classzd2numz00_1176); 
{ /* Llib/sqlite.scm 248 */
 long BgL_offsetz00_1181;
BgL_offsetz00_1181 = 
(
(long)(BgL_offsetz00_1180)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 248 */
 long BgL_modz00_1182;
BgL_modz00_1182 = 
(BgL_offsetz00_1181 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 248 */
 long BgL_restz00_1184;
BgL_restz00_1184 = 
(BgL_offsetz00_1181 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 248 */

{ /* Llib/sqlite.scm 248 */
 obj_t BgL_bucketz00_1186;
BgL_bucketz00_1186 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_1177),BgL_modz00_1182); 
BgL_res2060z00_1205 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1186),BgL_restz00_1184); } } } } } } } } 
BgL_method1301z00_468 = BgL_res2060z00_1205; } 
return 
PROCEDURE_ENTRY(BgL_method1301z00_468)(BgL_method1301z00_468, 
((obj_t)BgL_dbz00_45), BgL_tablez00_46, BgL_outz00_47, BEOA);} } 

}



/* &sqlite-dump-table */
obj_t BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00(obj_t BgL_envz00_1441, obj_t BgL_dbz00_1442, obj_t BgL_tablez00_1443, obj_t BgL_outz00_1444)
{
{ /* Llib/sqlite.scm 248 */
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_auxz00_3316; obj_t BgL_auxz00_3309; BgL_z52sqlitez52_bglt BgL_auxz00_3283;
if(
OUTPUT_PORTP(BgL_outz00_1444))
{ /* Llib/sqlite.scm 248 */
BgL_auxz00_3316 = BgL_outz00_1444
; }  else 
{ 
 obj_t BgL_auxz00_3319;
BgL_auxz00_3319 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)10490)), BGl_string2197z00zz__sqlite_sqlitez00, BGl_string2140z00zz__sqlite_sqlitez00, BgL_outz00_1444); 
FAILURE(BgL_auxz00_3319,BFALSE,BFALSE);} 
if(
STRINGP(BgL_tablez00_1443))
{ /* Llib/sqlite.scm 248 */
BgL_auxz00_3309 = BgL_tablez00_1443
; }  else 
{ 
 obj_t BgL_auxz00_3312;
BgL_auxz00_3312 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)10490)), BGl_string2197z00zz__sqlite_sqlitez00, BGl_string2129z00zz__sqlite_sqlitez00, BgL_tablez00_1443); 
FAILURE(BgL_auxz00_3312,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 248 */
 bool_t BgL_test2434z00_3284;
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_classz00_2021;
BgL_classz00_2021 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_dbz00_1442))
{ /* Llib/sqlite.scm 248 */
 BgL_objectz00_bglt BgL_arg1799z00_2023; long BgL_arg1800z00_2024;
BgL_arg1799z00_2023 = 
(BgL_objectz00_bglt)(BgL_dbz00_1442); 
BgL_arg1800z00_2024 = 
BGL_CLASS_DEPTH(BgL_classz00_2021); 
{ /* Llib/sqlite.scm 248 */
 bool_t BgL_arg1794z00_2028; bool_t BgL_arg1795z00_2029;
{ /* Llib/sqlite.scm 248 */
 long BgL_idxz00_2033;
BgL_idxz00_2033 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_2023); 
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_arg1791z00_2034;
{ /* Llib/sqlite.scm 248 */
 long BgL_arg1792z00_2035;
BgL_arg1792z00_2035 = 
(BgL_idxz00_2033+BgL_arg1800z00_2024); 
BgL_arg1791z00_2034 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_2035); } 
BgL_arg1794z00_2028 = 
(BgL_arg1791z00_2034==BgL_classz00_2021); } } 
{ /* Llib/sqlite.scm 248 */
 bool_t BgL_res2227z00_2058;
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_oclassz00_2043;
{ /* Llib/sqlite.scm 248 */
 long BgL_arg1804z00_2049;
{ /* Llib/sqlite.scm 248 */
 long BgL_arg1805z00_2050;
BgL_arg1805z00_2050 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_2023); 
BgL_arg1804z00_2049 = 
(BgL_arg1805z00_2050-OBJECT_TYPE); } 
BgL_oclassz00_2043 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2049); } 
{ /* Llib/sqlite.scm 248 */
 bool_t BgL__ortest_1111z00_2044;
BgL__ortest_1111z00_2044 = 
(BgL_classz00_2021==BgL_oclassz00_2043); 
if(BgL__ortest_1111z00_2044)
{ /* Llib/sqlite.scm 248 */
BgL_res2227z00_2058 = BgL__ortest_1111z00_2044; }  else 
{ /* Llib/sqlite.scm 248 */
 long BgL_odepthz00_2045;
BgL_odepthz00_2045 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2043); 
if(
(BgL_arg1800z00_2024<BgL_odepthz00_2045))
{ /* Llib/sqlite.scm 248 */
 obj_t BgL_arg1793z00_2047;
BgL_arg1793z00_2047 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2043, BgL_arg1800z00_2024); 
BgL_res2227z00_2058 = 
(BgL_arg1793z00_2047==BgL_classz00_2021); }  else 
{ /* Llib/sqlite.scm 248 */
BgL_res2227z00_2058 = ((bool_t)0); } } } } 
BgL_arg1795z00_2029 = BgL_res2227z00_2058; } 
BgL_test2434z00_3284 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_2028, BgL_arg1795z00_2029); } }  else 
{ /* Llib/sqlite.scm 248 */
BgL_test2434z00_3284 = ((bool_t)0)
; } } 
if(BgL_test2434z00_3284)
{ /* Llib/sqlite.scm 248 */
BgL_auxz00_3283 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1442)
; }  else 
{ 
 obj_t BgL_auxz00_3305;
BgL_auxz00_3305 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2120z00zz__sqlite_sqlitez00, 
BINT(((long)10490)), BGl_string2197z00zz__sqlite_sqlitez00, BGl_string2128z00zz__sqlite_sqlitez00, BgL_dbz00_1442); 
FAILURE(BgL_auxz00_3305,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_auxz00_3283, BgL_auxz00_3309, BgL_auxz00_3316);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2198z00zz__sqlite_sqlitez00, BGl_string2199z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2200z00zz__sqlite_sqlitez00, BGl_string2201z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2202z00zz__sqlite_sqlitez00, BGl_string2203z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2204z00zz__sqlite_sqlitez00, BGl_string2205z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2206z00zz__sqlite_sqlitez00, BGl_string2207z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2208z00zz__sqlite_sqlitez00, BGl_string2209z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2210z00zz__sqlite_sqlitez00, BGl_string2211z00zz__sqlite_sqlitez00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2212z00zz__sqlite_sqlitez00, BGl_string2213z00zz__sqlite_sqlitez00);} 

}



/* &sqlite-dump-table-sq1303 */
obj_t BGl_z62sqlitezd2dumpzd2tablezd2sq1303zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1467, obj_t BgL_dbz00_1468, obj_t BgL_tablez00_1469, obj_t BgL_outz00_1470)
{
{ /* Llib/sqlite.scm 255 */
{ /* Llib/sqlite.scm 256 */
 obj_t BgL_arg2031z00_2060;
{ /* Llib/sqlite.scm 256 */
 obj_t BgL_arg2033z00_2061;
BgL_arg2033z00_2061 = 
string_append(BGl_string2214z00zz__sqlite_sqlitez00, BgL_tablez00_1469); 
BgL_arg2031z00_2060 = 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(
((BgL_z52sqlitez52_bglt)
((BgL_sqlitez00_bglt)BgL_dbz00_1468)), BgL_arg2033z00_2061, BNIL); } 
{ /* Llib/sqlite.scm 256 */
 obj_t BgL_list2032z00_2062;
BgL_list2032z00_2062 = 
MAKE_YOUNG_PAIR(BgL_outz00_1470, BNIL); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_arg2031z00_2060, BgL_list2032z00_2062);} } } 

}



/* &sqlite-map-sqlite1299 */
obj_t BGl_z62sqlitezd2mapzd2sqlite1299z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1471, obj_t BgL_oz00_1472, obj_t BgL_pz00_1473, obj_t BgL_fmtz00_1474, obj_t BgL_argsz00_1475)
{
{ /* Llib/sqlite.scm 197 */
{ /* Llib/sqlite.scm 198 */
 obj_t BgL_excz00_2066;
BgL_excz00_2066 = 
MAKE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 198 */
 obj_t BgL_pz00_2067;
{ 

{ /* Llib/sqlite.scm 199 */
 int BgL_aux1187z00_2070;
BgL_aux1187z00_2070 = 
PROCEDURE_ARITY(
((obj_t)BgL_pz00_1473)); 
switch( 
(long)(BgL_aux1187z00_2070)) { case ((long)1) : 

{ /* Llib/sqlite.scm 199 */
 obj_t BgL_zc3z04anonymousza31998ze3z87_2071;
BgL_zc3z04anonymousza31998ze3z87_2071 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31998ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_2071, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1473)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_2071, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2066)); 
BgL_pz00_2067 = BgL_zc3z04anonymousza31998ze3z87_2071; } break;case ((long)2) : 

{ /* Llib/sqlite.scm 199 */
 obj_t BgL_zc3z04anonymousza32004ze3z87_2072;
BgL_zc3z04anonymousza32004ze3z87_2072 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32004ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)2)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32004ze3z87_2072, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1473)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32004ze3z87_2072, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2066)); 
BgL_pz00_2067 = BgL_zc3z04anonymousza32004ze3z87_2072; } break;case ((long)3) : 

{ /* Llib/sqlite.scm 199 */
 obj_t BgL_zc3z04anonymousza32010ze3z87_2073;
BgL_zc3z04anonymousza32010ze3z87_2073 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32010ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)3)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32010ze3z87_2073, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1473)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32010ze3z87_2073, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2066)); 
BgL_pz00_2067 = BgL_zc3z04anonymousza32010ze3z87_2073; } break;case ((long)4) : 

{ /* Llib/sqlite.scm 199 */
 obj_t BgL_zc3z04anonymousza32016ze3z87_2074;
BgL_zc3z04anonymousza32016ze3z87_2074 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32016ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)4)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32016ze3z87_2074, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1473)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32016ze3z87_2074, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2066)); 
BgL_pz00_2067 = BgL_zc3z04anonymousza32016ze3z87_2074; } break;
default: 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_zc3z04anonymousza32022ze3z87_2069;
BgL_zc3z04anonymousza32022ze3z87_2069 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza32022ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)-1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32022ze3z87_2069, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1473)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32022ze3z87_2069, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2066)); 
BgL_pz00_2067 = BgL_zc3z04anonymousza32022ze3z87_2069; } } } } 
{ /* Llib/sqlite.scm 199 */

{ /* Llib/sqlite.scm 200 */
 obj_t BgL_exitd1256z00_2075;
BgL_exitd1256z00_2075 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 205 */
 obj_t BgL_zc3z04anonymousza31996ze3z87_2076;
BgL_zc3z04anonymousza31996ze3z87_2076 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31996ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31996ze3z87_2076, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2066)); 
{ /* Llib/sqlite.scm 200 */
 obj_t BgL_arg1818z00_2077;
{ /* Llib/sqlite.scm 200 */
 obj_t BgL_arg1819z00_2078;
BgL_arg1819z00_2078 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_2075); 
BgL_arg1818z00_2077 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31996ze3z87_2076, BgL_arg1819z00_2078); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1256z00_2075, BgL_arg1818z00_2077); BUNSPEC; } 
{ /* Llib/sqlite.scm 201 */
 obj_t BgL_tmp1258z00_2079;
if(
NULLP(BgL_argsz00_1475))
{ /* Llib/sqlite.scm 203 */
 void * BgL_arg1990z00_2080;
BgL_arg1990z00_2080 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1472)))->BgL_z42builtinz42); 
BgL_tmp1258z00_2079 = 
bgl_sqlite_map(BgL_arg1990z00_2080, BgL_pz00_2067, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_1474)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1472))); }  else 
{ /* Llib/sqlite.scm 204 */
 void * BgL_arg1991z00_2081; obj_t BgL_arg1992z00_2082;
BgL_arg1991z00_2081 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1472)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 204 */
 obj_t BgL_runner1995z00_2083;
{ /* Llib/sqlite.scm 204 */
 obj_t BgL_list1993z00_2084;
BgL_list1993z00_2084 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1475, BNIL); 
BgL_runner1995z00_2083 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1474), BgL_list1993z00_2084); } 
{ /* Llib/sqlite.scm 204 */
 obj_t BgL_aux1994z00_2085;
BgL_aux1994z00_2085 = 
CAR(BgL_runner1995z00_2083); 
BgL_runner1995z00_2083 = 
CDR(BgL_runner1995z00_2083); 
BgL_arg1992z00_2082 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1994z00_2085, BgL_runner1995z00_2083); } } 
BgL_tmp1258z00_2079 = 
bgl_sqlite_map(BgL_arg1991z00_2081, BgL_pz00_2067, 
BSTRING_TO_STRING(BgL_arg1992z00_2082), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1472))); } 
{ /* Llib/sqlite.scm 200 */
 bool_t BgL_test2441z00_3418;
{ /* Llib/sqlite.scm 200 */
 obj_t BgL_arg1817z00_2086;
BgL_arg1817z00_2086 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_2075); 
BgL_test2441z00_3418 = 
PAIRP(BgL_arg1817z00_2086); } 
if(BgL_test2441z00_3418)
{ /* Llib/sqlite.scm 200 */
 obj_t BgL_arg1815z00_2087;
{ /* Llib/sqlite.scm 200 */
 obj_t BgL_arg1816z00_2088;
BgL_arg1816z00_2088 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_2075); 
BgL_arg1815z00_2087 = 
CDR(
((obj_t)BgL_arg1816z00_2088)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1256z00_2075, BgL_arg1815z00_2087); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 200 */BFALSE; } } 
if(
CBOOL(
CELL_REF(BgL_excz00_2066)))
{ /* Llib/sqlite.scm 205 */
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_2066)); }  else 
{ /* Llib/sqlite.scm 205 */BFALSE; } 
return BgL_tmp1258z00_2079;} } } } } } } 

}



/* &<@anonymous:1996> */
obj_t BGl_z62zc3z04anonymousza31996ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1478)
{
{ /* Llib/sqlite.scm 200 */
{ /* Llib/sqlite.scm 205 */
 obj_t BgL_excz00_1479;
BgL_excz00_1479 = 
PROCEDURE_REF(BgL_envz00_1478, 
(int)(((long)0))); 
if(
CBOOL(
CELL_REF(BgL_excz00_1479)))
{ /* Llib/sqlite.scm 205 */
return 
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_1479));}  else 
{ /* Llib/sqlite.scm 205 */
return BFALSE;} } } 

}



/* &<@anonymous:2016> */
obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1480, obj_t BgL_xz00_1483, obj_t BgL_yz00_1484, obj_t BgL_za7za7_1485, obj_t BgL_tz00_1486)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_pz00_1481; obj_t BgL_excz00_1482;
BgL_pz00_1481 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1480, 
(int)(((long)0)))); 
BgL_excz00_1482 = 
PROCEDURE_REF(BgL_envz00_1480, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_env1247z00_2089;
BgL_env1247z00_2089 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_cell1242z00_2090;
BgL_cell1242z00_2090 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_val1246z00_2091;
BgL_val1246z00_2091 = 
BGl_zc3z04exitza32019ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_1486, BgL_za7za7_1485, BgL_yz00_1484, BgL_xz00_1483, BgL_pz00_1481, BgL_cell1242z00_2090, BgL_env1247z00_2089); 
if(
(BgL_val1246z00_2091==BgL_cell1242z00_2090))
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 int BgL_tmpz00_3443;
BgL_tmpz00_3443 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3443); } 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2018z00_2092;
BgL_arg2018z00_2092 = 
CELL_REF(
((obj_t)BgL_val1246z00_2091)); 
return 
CELL_SET(BgL_excz00_1482, BgL_arg2018z00_2092);} }  else 
{ /* Llib/sqlite.scm 199 */
return BgL_val1246z00_2091;} } } } } } 

}



/* <@exit:2019>~0 */
obj_t BGl_zc3z04exitza32019ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_1632, obj_t BgL_za7za7_1631, obj_t BgL_yz00_1630, obj_t BgL_xz00_1629, obj_t BgL_pz00_1628, obj_t BgL_cell1242z00_1627, obj_t BgL_env1247z00_1626)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1251z00_771;
if( SET_EXIT(BgL_an_exit1251z00_771 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1251z00_771 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1247z00_1626, BgL_an_exit1251z00_771, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_escape1243z00_772;
BgL_escape1243z00_772 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1247z00_1626); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_res1254z00_773;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_ohs1239z00_774;
BgL_ohs1239z00_774 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1247z00_1626); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_hds1240z00_775;
BgL_hds1240z00_775 = 
MAKE_STACK_PAIR(BgL_escape1243z00_772, BgL_cell1242z00_1627); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1247z00_1626, BgL_hds1240z00_775); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_exitd1248z00_776;
BgL_exitd1248z00_776 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1247z00_1626); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1250z00_777;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2020z00_779;
BgL_arg2020z00_779 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_776); 
BgL_tmp1250z00_777 = 
MAKE_YOUNG_PAIR(BgL_ohs1239z00_774, BgL_arg2020z00_779); } 
{ /* Llib/sqlite.scm 199 */

BGL_EXITD_PROTECT_SET(BgL_exitd1248z00_776, BgL_tmp1250z00_777); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1249z00_778;
BgL_tmp1249z00_778 = 
PROCEDURE_ENTRY(BgL_pz00_1628)(BgL_pz00_1628, BgL_xz00_1629, BgL_yz00_1630, BgL_za7za7_1631, BgL_tz00_1632, BEOA); 
{ /* Llib/sqlite.scm 199 */
 bool_t BgL_test2445z00_3466;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1817z00_1281;
BgL_arg1817z00_1281 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_776); 
BgL_test2445z00_3466 = 
PAIRP(BgL_arg1817z00_1281); } 
if(BgL_test2445z00_3466)
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1815z00_1282;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1816z00_1283;
BgL_arg1816z00_1283 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_776); 
BgL_arg1815z00_1282 = 
CDR(
((obj_t)BgL_arg1816z00_1283)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1248z00_776, BgL_arg1815z00_1282); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 199 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1247z00_1626, BgL_ohs1239z00_774); BUNSPEC; 
BgL_res1254z00_773 = BgL_tmp1249z00_778; } } } } } } 
POP_ENV_EXIT(BgL_env1247z00_1626); 
return BgL_res1254z00_773;} } 
}} 

}



/* &<@anonymous:2010> */
obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1488, obj_t BgL_xz00_1491, obj_t BgL_yz00_1492, obj_t BgL_za7za7_1493)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_pz00_1489; obj_t BgL_excz00_1490;
BgL_pz00_1489 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1488, 
(int)(((long)0)))); 
BgL_excz00_1490 = 
PROCEDURE_REF(BgL_envz00_1488, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_env1230z00_2093;
BgL_env1230z00_2093 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_cell1225z00_2094;
BgL_cell1225z00_2094 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_val1229z00_2095;
BgL_val1229z00_2095 = 
BGl_zc3z04exitza32013ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_1493, BgL_yz00_1492, BgL_xz00_1491, BgL_pz00_1489, BgL_cell1225z00_2094, BgL_env1230z00_2093); 
if(
(BgL_val1229z00_2095==BgL_cell1225z00_2094))
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 int BgL_tmpz00_3485;
BgL_tmpz00_3485 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3485); } 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2012z00_2096;
BgL_arg2012z00_2096 = 
CELL_REF(
((obj_t)BgL_val1229z00_2095)); 
return 
CELL_SET(BgL_excz00_1490, BgL_arg2012z00_2096);} }  else 
{ /* Llib/sqlite.scm 199 */
return BgL_val1229z00_2095;} } } } } } 

}



/* <@exit:2013>~0 */
obj_t BGl_zc3z04exitza32013ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_1625, obj_t BgL_yz00_1624, obj_t BgL_xz00_1623, obj_t BgL_pz00_1622, obj_t BgL_cell1225z00_1621, obj_t BgL_env1230z00_1620)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1234z00_747;
if( SET_EXIT(BgL_an_exit1234z00_747 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1234z00_747 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1230z00_1620, BgL_an_exit1234z00_747, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_escape1226z00_748;
BgL_escape1226z00_748 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1230z00_1620); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_res1237z00_749;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_ohs1222z00_750;
BgL_ohs1222z00_750 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1230z00_1620); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_hds1223z00_751;
BgL_hds1223z00_751 = 
MAKE_STACK_PAIR(BgL_escape1226z00_748, BgL_cell1225z00_1621); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1230z00_1620, BgL_hds1223z00_751); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_exitd1231z00_752;
BgL_exitd1231z00_752 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1230z00_1620); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1233z00_753;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2014z00_755;
BgL_arg2014z00_755 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_752); 
BgL_tmp1233z00_753 = 
MAKE_YOUNG_PAIR(BgL_ohs1222z00_750, BgL_arg2014z00_755); } 
{ /* Llib/sqlite.scm 199 */

BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_752, BgL_tmp1233z00_753); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1232z00_754;
BgL_tmp1232z00_754 = 
PROCEDURE_ENTRY(BgL_pz00_1622)(BgL_pz00_1622, BgL_xz00_1623, BgL_yz00_1624, BgL_za7za7_1625, BEOA); 
{ /* Llib/sqlite.scm 199 */
 bool_t BgL_test2447z00_3507;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1817z00_1275;
BgL_arg1817z00_1275 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_752); 
BgL_test2447z00_3507 = 
PAIRP(BgL_arg1817z00_1275); } 
if(BgL_test2447z00_3507)
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1815z00_1276;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1816z00_1277;
BgL_arg1816z00_1277 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_752); 
BgL_arg1815z00_1276 = 
CDR(
((obj_t)BgL_arg1816z00_1277)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_752, BgL_arg1815z00_1276); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 199 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1230z00_1620, BgL_ohs1222z00_750); BUNSPEC; 
BgL_res1237z00_749 = BgL_tmp1232z00_754; } } } } } } 
POP_ENV_EXIT(BgL_env1230z00_1620); 
return BgL_res1237z00_749;} } 
}} 

}



/* &<@anonymous:2004> */
obj_t BGl_z62zc3z04anonymousza32004ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1495, obj_t BgL_xz00_1498, obj_t BgL_yz00_1499)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_pz00_1496; obj_t BgL_excz00_1497;
BgL_pz00_1496 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1495, 
(int)(((long)0)))); 
BgL_excz00_1497 = 
PROCEDURE_REF(BgL_envz00_1495, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_env1213z00_2097;
BgL_env1213z00_2097 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_cell1208z00_2098;
BgL_cell1208z00_2098 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_val1212z00_2099;
BgL_val1212z00_2099 = 
BGl_zc3z04exitza32007ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_1499, BgL_xz00_1498, BgL_pz00_1496, BgL_cell1208z00_2098, BgL_env1213z00_2097); 
if(
(BgL_val1212z00_2099==BgL_cell1208z00_2098))
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 int BgL_tmpz00_3526;
BgL_tmpz00_3526 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3526); } 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2006z00_2100;
BgL_arg2006z00_2100 = 
CELL_REF(
((obj_t)BgL_val1212z00_2099)); 
return 
CELL_SET(BgL_excz00_1497, BgL_arg2006z00_2100);} }  else 
{ /* Llib/sqlite.scm 199 */
return BgL_val1212z00_2099;} } } } } } 

}



/* <@exit:2007>~0 */
obj_t BGl_zc3z04exitza32007ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_1619, obj_t BgL_xz00_1618, obj_t BgL_pz00_1617, obj_t BgL_cell1208z00_1616, obj_t BgL_env1213z00_1615)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1217z00_724;
if( SET_EXIT(BgL_an_exit1217z00_724 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1217z00_724 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1213z00_1615, BgL_an_exit1217z00_724, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_escape1209z00_725;
BgL_escape1209z00_725 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1213z00_1615); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_res1220z00_726;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_ohs1205z00_727;
BgL_ohs1205z00_727 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1213z00_1615); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_hds1206z00_728;
BgL_hds1206z00_728 = 
MAKE_STACK_PAIR(BgL_escape1209z00_725, BgL_cell1208z00_1616); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1213z00_1615, BgL_hds1206z00_728); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_exitd1214z00_729;
BgL_exitd1214z00_729 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1213z00_1615); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1216z00_730;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2008z00_732;
BgL_arg2008z00_732 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_729); 
BgL_tmp1216z00_730 = 
MAKE_YOUNG_PAIR(BgL_ohs1205z00_727, BgL_arg2008z00_732); } 
{ /* Llib/sqlite.scm 199 */

BGL_EXITD_PROTECT_SET(BgL_exitd1214z00_729, BgL_tmp1216z00_730); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1215z00_731;
BgL_tmp1215z00_731 = 
PROCEDURE_ENTRY(BgL_pz00_1617)(BgL_pz00_1617, BgL_xz00_1618, BgL_yz00_1619, BEOA); 
{ /* Llib/sqlite.scm 199 */
 bool_t BgL_test2449z00_3547;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1817z00_1269;
BgL_arg1817z00_1269 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_729); 
BgL_test2449z00_3547 = 
PAIRP(BgL_arg1817z00_1269); } 
if(BgL_test2449z00_3547)
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1815z00_1270;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1816z00_1271;
BgL_arg1816z00_1271 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_729); 
BgL_arg1815z00_1270 = 
CDR(
((obj_t)BgL_arg1816z00_1271)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1214z00_729, BgL_arg1815z00_1270); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 199 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1213z00_1615, BgL_ohs1205z00_727); BUNSPEC; 
BgL_res1220z00_726 = BgL_tmp1215z00_731; } } } } } } 
POP_ENV_EXIT(BgL_env1213z00_1615); 
return BgL_res1220z00_726;} } 
}} 

}



/* &<@anonymous:1998> */
obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1501, obj_t BgL_xz00_1504)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_pz00_1502; obj_t BgL_excz00_1503;
BgL_pz00_1502 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1501, 
(int)(((long)0)))); 
BgL_excz00_1503 = 
PROCEDURE_REF(BgL_envz00_1501, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_env1196z00_2101;
BgL_env1196z00_2101 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_cell1191z00_2102;
BgL_cell1191z00_2102 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_val1195z00_2103;
BgL_val1195z00_2103 = 
BGl_zc3z04exitza32001ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_1504, BgL_pz00_1502, BgL_cell1191z00_2102, BgL_env1196z00_2101); 
if(
(BgL_val1195z00_2103==BgL_cell1191z00_2102))
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 int BgL_tmpz00_3566;
BgL_tmpz00_3566 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3566); } 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2000z00_2104;
BgL_arg2000z00_2104 = 
CELL_REF(
((obj_t)BgL_val1195z00_2103)); 
return 
CELL_SET(BgL_excz00_1503, BgL_arg2000z00_2104);} }  else 
{ /* Llib/sqlite.scm 199 */
return BgL_val1195z00_2103;} } } } } } 

}



/* <@exit:2001>~0 */
obj_t BGl_zc3z04exitza32001ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_1614, obj_t BgL_pz00_1613, obj_t BgL_cell1191z00_1612, obj_t BgL_env1196z00_1611)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1200z00_702;
if( SET_EXIT(BgL_an_exit1200z00_702 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1200z00_702 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1196z00_1611, BgL_an_exit1200z00_702, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_escape1192z00_703;
BgL_escape1192z00_703 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1196z00_1611); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_res1203z00_704;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_ohs1188z00_705;
BgL_ohs1188z00_705 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1196z00_1611); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_hds1189z00_706;
BgL_hds1189z00_706 = 
MAKE_STACK_PAIR(BgL_escape1192z00_703, BgL_cell1191z00_1612); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1196z00_1611, BgL_hds1189z00_706); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_exitd1197z00_707;
BgL_exitd1197z00_707 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1196z00_1611); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1199z00_708;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2002z00_710;
BgL_arg2002z00_710 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_707); 
BgL_tmp1199z00_708 = 
MAKE_YOUNG_PAIR(BgL_ohs1188z00_705, BgL_arg2002z00_710); } 
{ /* Llib/sqlite.scm 199 */

BGL_EXITD_PROTECT_SET(BgL_exitd1197z00_707, BgL_tmp1199z00_708); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1198z00_709;
BgL_tmp1198z00_709 = 
PROCEDURE_ENTRY(BgL_pz00_1613)(BgL_pz00_1613, BgL_xz00_1614, BEOA); 
{ /* Llib/sqlite.scm 199 */
 bool_t BgL_test2451z00_3586;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1817z00_1263;
BgL_arg1817z00_1263 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_707); 
BgL_test2451z00_3586 = 
PAIRP(BgL_arg1817z00_1263); } 
if(BgL_test2451z00_3586)
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1815z00_1264;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1816z00_1265;
BgL_arg1816z00_1265 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_707); 
BgL_arg1815z00_1264 = 
CDR(
((obj_t)BgL_arg1816z00_1265)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1197z00_707, BgL_arg1815z00_1264); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 199 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1196z00_1611, BgL_ohs1188z00_705); BUNSPEC; 
BgL_res1203z00_704 = BgL_tmp1198z00_709; } } } } } } 
POP_ENV_EXIT(BgL_env1196z00_1611); 
return BgL_res1203z00_704;} } 
}} 

}



/* &<@anonymous:2022> */
obj_t BGl_z62zc3z04anonymousza32022ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1506, obj_t BgL_lz00_1509)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_pz00_1507; obj_t BgL_excz00_1508;
BgL_pz00_1507 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1506, 
(int)(((long)0)))); 
BgL_excz00_1508 = 
PROCEDURE_REF(BgL_envz00_1506, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_env1177z00_2105;
BgL_env1177z00_2105 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_cell1172z00_2106;
BgL_cell1172z00_2106 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_val1176z00_2107;
BgL_val1176z00_2107 = 
BGl_zc3z04exitza32025ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_1507, BgL_lz00_1509, BgL_cell1172z00_2106, BgL_env1177z00_2105); 
if(
(BgL_val1176z00_2107==BgL_cell1172z00_2106))
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
 int BgL_tmpz00_3605;
BgL_tmpz00_3605 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3605); } 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2024z00_2108;
BgL_arg2024z00_2108 = 
CELL_REF(
((obj_t)BgL_val1176z00_2107)); 
return 
CELL_SET(BgL_excz00_1508, BgL_arg2024z00_2108);} }  else 
{ /* Llib/sqlite.scm 199 */
return BgL_val1176z00_2107;} } } } } } 

}



/* <@exit:2025>~0 */
obj_t BGl_zc3z04exitza32025ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_1610, obj_t BgL_lz00_1609, obj_t BgL_cell1172z00_1608, obj_t BgL_env1177z00_1607)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1181z00_792;
if( SET_EXIT(BgL_an_exit1181z00_792 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1181z00_792 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1177z00_1607, BgL_an_exit1181z00_792, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_escape1173z00_793;
BgL_escape1173z00_793 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1177z00_1607); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_res1184z00_794;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_ohs1169z00_795;
BgL_ohs1169z00_795 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1177z00_1607); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_hds1170z00_796;
BgL_hds1170z00_796 = 
MAKE_STACK_PAIR(BgL_escape1173z00_793, BgL_cell1172z00_1608); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1177z00_1607, BgL_hds1170z00_796); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_exitd1178z00_797;
BgL_exitd1178z00_797 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1177z00_1607); 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1180z00_798;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg2026z00_800;
BgL_arg2026z00_800 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_797); 
BgL_tmp1180z00_798 = 
MAKE_YOUNG_PAIR(BgL_ohs1169z00_795, BgL_arg2026z00_800); } 
{ /* Llib/sqlite.scm 199 */

BGL_EXITD_PROTECT_SET(BgL_exitd1178z00_797, BgL_tmp1180z00_798); BUNSPEC; 
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_tmp1179z00_799;
BgL_tmp1179z00_799 = 
apply(BgL_pz00_1610, BgL_lz00_1609); 
{ /* Llib/sqlite.scm 199 */
 bool_t BgL_test2453z00_3623;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1817z00_1256;
BgL_arg1817z00_1256 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_797); 
BgL_test2453z00_3623 = 
PAIRP(BgL_arg1817z00_1256); } 
if(BgL_test2453z00_3623)
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1815z00_1257;
{ /* Llib/sqlite.scm 199 */
 obj_t BgL_arg1816z00_1258;
BgL_arg1816z00_1258 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_797); 
BgL_arg1815z00_1257 = 
CDR(
((obj_t)BgL_arg1816z00_1258)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1178z00_797, BgL_arg1815z00_1257); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 199 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1177z00_1607, BgL_ohs1169z00_795); BUNSPEC; 
BgL_res1184z00_794 = BgL_tmp1179z00_799; } } } } } } 
POP_ENV_EXIT(BgL_env1177z00_1607); 
return BgL_res1184z00_794;} } 
}} 

}



/* &sqlite-eval-sqlite1295 */
obj_t BGl_z62sqlitezd2evalzd2sqlite1295z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1511, obj_t BgL_oz00_1512, obj_t BgL_pz00_1513, obj_t BgL_fmtz00_1514, obj_t BgL_argsz00_1515)
{
{ /* Llib/sqlite.scm 176 */
{ /* Llib/sqlite.scm 177 */
 obj_t BgL_excz00_2112;
BgL_excz00_2112 = 
MAKE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 177 */
 obj_t BgL_pz00_2113;
{ 

{ /* Llib/sqlite.scm 178 */
 int BgL_aux1094z00_2116;
BgL_aux1094z00_2116 = 
PROCEDURE_ARITY(
((obj_t)BgL_pz00_1513)); 
switch( 
(long)(BgL_aux1094z00_2116)) { case ((long)1) : 

{ /* Llib/sqlite.scm 178 */
 obj_t BgL_zc3z04anonymousza31956ze3z87_2117;
BgL_zc3z04anonymousza31956ze3z87_2117 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31956ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31956ze3z87_2117, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1513)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31956ze3z87_2117, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2112)); 
BgL_pz00_2113 = BgL_zc3z04anonymousza31956ze3z87_2117; } break;case ((long)2) : 

{ /* Llib/sqlite.scm 178 */
 obj_t BgL_zc3z04anonymousza31962ze3z87_2118;
BgL_zc3z04anonymousza31962ze3z87_2118 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31962ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)2)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31962ze3z87_2118, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1513)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31962ze3z87_2118, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2112)); 
BgL_pz00_2113 = BgL_zc3z04anonymousza31962ze3z87_2118; } break;case ((long)3) : 

{ /* Llib/sqlite.scm 178 */
 obj_t BgL_zc3z04anonymousza31968ze3z87_2119;
BgL_zc3z04anonymousza31968ze3z87_2119 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31968ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)3)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31968ze3z87_2119, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1513)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31968ze3z87_2119, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2112)); 
BgL_pz00_2113 = BgL_zc3z04anonymousza31968ze3z87_2119; } break;case ((long)4) : 

{ /* Llib/sqlite.scm 178 */
 obj_t BgL_zc3z04anonymousza31974ze3z87_2120;
BgL_zc3z04anonymousza31974ze3z87_2120 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31974ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)4)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31974ze3z87_2120, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1513)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31974ze3z87_2120, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2112)); 
BgL_pz00_2113 = BgL_zc3z04anonymousza31974ze3z87_2120; } break;
default: 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_zc3z04anonymousza31980ze3z87_2115;
BgL_zc3z04anonymousza31980ze3z87_2115 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza31980ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)-1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31980ze3z87_2115, 
(int)(((long)0)), 
((obj_t)BgL_pz00_1513)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31980ze3z87_2115, 
(int)(((long)1)), 
((obj_t)BgL_excz00_2112)); 
BgL_pz00_2113 = BgL_zc3z04anonymousza31980ze3z87_2115; } } } } 
{ /* Llib/sqlite.scm 178 */

{ /* Llib/sqlite.scm 179 */
 obj_t BgL_exitd1163z00_2121;
BgL_exitd1163z00_2121 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 184 */
 obj_t BgL_zc3z04anonymousza31954ze3z87_2122;
BgL_zc3z04anonymousza31954ze3z87_2122 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31954ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_2122, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2112)); 
{ /* Llib/sqlite.scm 179 */
 obj_t BgL_arg1818z00_2123;
{ /* Llib/sqlite.scm 179 */
 obj_t BgL_arg1819z00_2124;
BgL_arg1819z00_2124 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_2121); 
BgL_arg1818z00_2123 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31954ze3z87_2122, BgL_arg1819z00_2124); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1163z00_2121, BgL_arg1818z00_2123); BUNSPEC; } 
{ /* Llib/sqlite.scm 180 */
 obj_t BgL_tmp1165z00_2125;
if(
NULLP(BgL_argsz00_1515))
{ /* Llib/sqlite.scm 182 */
 void * BgL_arg1948z00_2126;
BgL_arg1948z00_2126 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1512)))->BgL_z42builtinz42); 
BgL_tmp1165z00_2125 = 
bgl_sqlite_eval(BgL_arg1948z00_2126, BgL_pz00_2113, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_1514)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1512))); }  else 
{ /* Llib/sqlite.scm 183 */
 void * BgL_arg1949z00_2127; obj_t BgL_arg1950z00_2128;
BgL_arg1949z00_2127 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1512)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 183 */
 obj_t BgL_runner1953z00_2129;
{ /* Llib/sqlite.scm 183 */
 obj_t BgL_list1951z00_2130;
BgL_list1951z00_2130 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1515, BNIL); 
BgL_runner1953z00_2129 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1514), BgL_list1951z00_2130); } 
{ /* Llib/sqlite.scm 183 */
 obj_t BgL_aux1952z00_2131;
BgL_aux1952z00_2131 = 
CAR(BgL_runner1953z00_2129); 
BgL_runner1953z00_2129 = 
CDR(BgL_runner1953z00_2129); 
BgL_arg1950z00_2128 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1952z00_2131, BgL_runner1953z00_2129); } } 
BgL_tmp1165z00_2125 = 
bgl_sqlite_eval(BgL_arg1949z00_2127, BgL_pz00_2113, 
BSTRING_TO_STRING(BgL_arg1950z00_2128), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1512))); } 
{ /* Llib/sqlite.scm 179 */
 bool_t BgL_test2455z00_3712;
{ /* Llib/sqlite.scm 179 */
 obj_t BgL_arg1817z00_2132;
BgL_arg1817z00_2132 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_2121); 
BgL_test2455z00_3712 = 
PAIRP(BgL_arg1817z00_2132); } 
if(BgL_test2455z00_3712)
{ /* Llib/sqlite.scm 179 */
 obj_t BgL_arg1815z00_2133;
{ /* Llib/sqlite.scm 179 */
 obj_t BgL_arg1816z00_2134;
BgL_arg1816z00_2134 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_2121); 
BgL_arg1815z00_2133 = 
CDR(
((obj_t)BgL_arg1816z00_2134)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1163z00_2121, BgL_arg1815z00_2133); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 179 */BFALSE; } } 
if(
CBOOL(
CELL_REF(BgL_excz00_2112)))
{ /* Llib/sqlite.scm 184 */
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_2112)); }  else 
{ /* Llib/sqlite.scm 184 */BFALSE; } 
return BgL_tmp1165z00_2125;} } } } } } } 

}



/* &<@anonymous:1954> */
obj_t BGl_z62zc3z04anonymousza31954ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1518)
{
{ /* Llib/sqlite.scm 179 */
{ /* Llib/sqlite.scm 184 */
 obj_t BgL_excz00_1519;
BgL_excz00_1519 = 
PROCEDURE_REF(BgL_envz00_1518, 
(int)(((long)0))); 
if(
CBOOL(
CELL_REF(BgL_excz00_1519)))
{ /* Llib/sqlite.scm 184 */
return 
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_1519));}  else 
{ /* Llib/sqlite.scm 184 */
return BFALSE;} } } 

}



/* &<@anonymous:1974> */
obj_t BGl_z62zc3z04anonymousza31974ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1520, obj_t BgL_xz00_1523, obj_t BgL_yz00_1524, obj_t BgL_za7za7_1525, obj_t BgL_tz00_1526)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_pz00_1521; obj_t BgL_excz00_1522;
BgL_pz00_1521 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1520, 
(int)(((long)0)))); 
BgL_excz00_1522 = 
PROCEDURE_REF(BgL_envz00_1520, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_env1154z00_2135;
BgL_env1154z00_2135 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_cell1149z00_2136;
BgL_cell1149z00_2136 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_val1153z00_2137;
BgL_val1153z00_2137 = 
BGl_zc3z04exitza31977ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_1526, BgL_za7za7_1525, BgL_yz00_1524, BgL_xz00_1523, BgL_pz00_1521, BgL_cell1149z00_2136, BgL_env1154z00_2135); 
if(
(BgL_val1153z00_2137==BgL_cell1149z00_2136))
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 int BgL_tmpz00_3737;
BgL_tmpz00_3737 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3737); } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1976z00_2138;
BgL_arg1976z00_2138 = 
CELL_REF(
((obj_t)BgL_val1153z00_2137)); 
return 
CELL_SET(BgL_excz00_1522, BgL_arg1976z00_2138);} }  else 
{ /* Llib/sqlite.scm 178 */
return BgL_val1153z00_2137;} } } } } } 

}



/* <@exit:1977>~0 */
obj_t BGl_zc3z04exitza31977ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_1606, obj_t BgL_za7za7_1605, obj_t BgL_yz00_1604, obj_t BgL_xz00_1603, obj_t BgL_pz00_1602, obj_t BgL_cell1149z00_1601, obj_t BgL_env1154z00_1600)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1158z00_632;
if( SET_EXIT(BgL_an_exit1158z00_632 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1158z00_632 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1154z00_1600, BgL_an_exit1158z00_632, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_escape1150z00_633;
BgL_escape1150z00_633 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1154z00_1600); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res1161z00_634;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_ohs1146z00_635;
BgL_ohs1146z00_635 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1154z00_1600); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_hds1147z00_636;
BgL_hds1147z00_636 = 
MAKE_STACK_PAIR(BgL_escape1150z00_633, BgL_cell1149z00_1601); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1154z00_1600, BgL_hds1147z00_636); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_exitd1155z00_637;
BgL_exitd1155z00_637 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1154z00_1600); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1157z00_638;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1978z00_640;
BgL_arg1978z00_640 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_637); 
BgL_tmp1157z00_638 = 
MAKE_YOUNG_PAIR(BgL_ohs1146z00_635, BgL_arg1978z00_640); } 
{ /* Llib/sqlite.scm 178 */

BGL_EXITD_PROTECT_SET(BgL_exitd1155z00_637, BgL_tmp1157z00_638); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1156z00_639;
BgL_tmp1156z00_639 = 
PROCEDURE_ENTRY(BgL_pz00_1602)(BgL_pz00_1602, BgL_xz00_1603, BgL_yz00_1604, BgL_za7za7_1605, BgL_tz00_1606, BEOA); 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2459z00_3760;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1817z00_1241;
BgL_arg1817z00_1241 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_637); 
BgL_test2459z00_3760 = 
PAIRP(BgL_arg1817z00_1241); } 
if(BgL_test2459z00_3760)
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1815z00_1242;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1816z00_1243;
BgL_arg1816z00_1243 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_637); 
BgL_arg1815z00_1242 = 
CDR(
((obj_t)BgL_arg1816z00_1243)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1155z00_637, BgL_arg1815z00_1242); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 178 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1154z00_1600, BgL_ohs1146z00_635); BUNSPEC; 
BgL_res1161z00_634 = BgL_tmp1156z00_639; } } } } } } 
POP_ENV_EXIT(BgL_env1154z00_1600); 
return BgL_res1161z00_634;} } 
}} 

}



/* &<@anonymous:1968> */
obj_t BGl_z62zc3z04anonymousza31968ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1528, obj_t BgL_xz00_1531, obj_t BgL_yz00_1532, obj_t BgL_za7za7_1533)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_pz00_1529; obj_t BgL_excz00_1530;
BgL_pz00_1529 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1528, 
(int)(((long)0)))); 
BgL_excz00_1530 = 
PROCEDURE_REF(BgL_envz00_1528, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_env1137z00_2139;
BgL_env1137z00_2139 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_cell1132z00_2140;
BgL_cell1132z00_2140 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_val1136z00_2141;
BgL_val1136z00_2141 = 
BGl_zc3z04exitza31971ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_1533, BgL_yz00_1532, BgL_xz00_1531, BgL_pz00_1529, BgL_cell1132z00_2140, BgL_env1137z00_2139); 
if(
(BgL_val1136z00_2141==BgL_cell1132z00_2140))
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 int BgL_tmpz00_3779;
BgL_tmpz00_3779 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3779); } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1970z00_2142;
BgL_arg1970z00_2142 = 
CELL_REF(
((obj_t)BgL_val1136z00_2141)); 
return 
CELL_SET(BgL_excz00_1530, BgL_arg1970z00_2142);} }  else 
{ /* Llib/sqlite.scm 178 */
return BgL_val1136z00_2141;} } } } } } 

}



/* <@exit:1971>~0 */
obj_t BGl_zc3z04exitza31971ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_1599, obj_t BgL_yz00_1598, obj_t BgL_xz00_1597, obj_t BgL_pz00_1596, obj_t BgL_cell1132z00_1595, obj_t BgL_env1137z00_1594)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1141z00_608;
if( SET_EXIT(BgL_an_exit1141z00_608 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1141z00_608 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1137z00_1594, BgL_an_exit1141z00_608, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_escape1133z00_609;
BgL_escape1133z00_609 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1137z00_1594); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res1144z00_610;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_ohs1129z00_611;
BgL_ohs1129z00_611 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1137z00_1594); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_hds1130z00_612;
BgL_hds1130z00_612 = 
MAKE_STACK_PAIR(BgL_escape1133z00_609, BgL_cell1132z00_1595); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1137z00_1594, BgL_hds1130z00_612); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_exitd1138z00_613;
BgL_exitd1138z00_613 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1137z00_1594); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1140z00_614;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1972z00_616;
BgL_arg1972z00_616 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_613); 
BgL_tmp1140z00_614 = 
MAKE_YOUNG_PAIR(BgL_ohs1129z00_611, BgL_arg1972z00_616); } 
{ /* Llib/sqlite.scm 178 */

BGL_EXITD_PROTECT_SET(BgL_exitd1138z00_613, BgL_tmp1140z00_614); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1139z00_615;
BgL_tmp1139z00_615 = 
PROCEDURE_ENTRY(BgL_pz00_1596)(BgL_pz00_1596, BgL_xz00_1597, BgL_yz00_1598, BgL_za7za7_1599, BEOA); 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2461z00_3801;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1817z00_1235;
BgL_arg1817z00_1235 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_613); 
BgL_test2461z00_3801 = 
PAIRP(BgL_arg1817z00_1235); } 
if(BgL_test2461z00_3801)
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1815z00_1236;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1816z00_1237;
BgL_arg1816z00_1237 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_613); 
BgL_arg1815z00_1236 = 
CDR(
((obj_t)BgL_arg1816z00_1237)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1138z00_613, BgL_arg1815z00_1236); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 178 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1137z00_1594, BgL_ohs1129z00_611); BUNSPEC; 
BgL_res1144z00_610 = BgL_tmp1139z00_615; } } } } } } 
POP_ENV_EXIT(BgL_env1137z00_1594); 
return BgL_res1144z00_610;} } 
}} 

}



/* &<@anonymous:1962> */
obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1535, obj_t BgL_xz00_1538, obj_t BgL_yz00_1539)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_pz00_1536; obj_t BgL_excz00_1537;
BgL_pz00_1536 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1535, 
(int)(((long)0)))); 
BgL_excz00_1537 = 
PROCEDURE_REF(BgL_envz00_1535, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_env1120z00_2143;
BgL_env1120z00_2143 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_cell1115z00_2144;
BgL_cell1115z00_2144 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_val1119z00_2145;
BgL_val1119z00_2145 = 
BGl_zc3z04exitza31965ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_1539, BgL_xz00_1538, BgL_pz00_1536, BgL_cell1115z00_2144, BgL_env1120z00_2143); 
if(
(BgL_val1119z00_2145==BgL_cell1115z00_2144))
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 int BgL_tmpz00_3820;
BgL_tmpz00_3820 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3820); } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1964z00_2146;
BgL_arg1964z00_2146 = 
CELL_REF(
((obj_t)BgL_val1119z00_2145)); 
return 
CELL_SET(BgL_excz00_1537, BgL_arg1964z00_2146);} }  else 
{ /* Llib/sqlite.scm 178 */
return BgL_val1119z00_2145;} } } } } } 

}



/* <@exit:1965>~0 */
obj_t BGl_zc3z04exitza31965ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_1593, obj_t BgL_xz00_1592, obj_t BgL_pz00_1591, obj_t BgL_cell1115z00_1590, obj_t BgL_env1120z00_1589)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1124z00_585;
if( SET_EXIT(BgL_an_exit1124z00_585 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1124z00_585 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1120z00_1589, BgL_an_exit1124z00_585, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_escape1116z00_586;
BgL_escape1116z00_586 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1120z00_1589); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res1127z00_587;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_ohs1112z00_588;
BgL_ohs1112z00_588 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1120z00_1589); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_hds1113z00_589;
BgL_hds1113z00_589 = 
MAKE_STACK_PAIR(BgL_escape1116z00_586, BgL_cell1115z00_1590); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1120z00_1589, BgL_hds1113z00_589); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_exitd1121z00_590;
BgL_exitd1121z00_590 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1120z00_1589); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1123z00_591;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1966z00_593;
BgL_arg1966z00_593 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_590); 
BgL_tmp1123z00_591 = 
MAKE_YOUNG_PAIR(BgL_ohs1112z00_588, BgL_arg1966z00_593); } 
{ /* Llib/sqlite.scm 178 */

BGL_EXITD_PROTECT_SET(BgL_exitd1121z00_590, BgL_tmp1123z00_591); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1122z00_592;
BgL_tmp1122z00_592 = 
PROCEDURE_ENTRY(BgL_pz00_1591)(BgL_pz00_1591, BgL_xz00_1592, BgL_yz00_1593, BEOA); 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2463z00_3841;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1817z00_1229;
BgL_arg1817z00_1229 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_590); 
BgL_test2463z00_3841 = 
PAIRP(BgL_arg1817z00_1229); } 
if(BgL_test2463z00_3841)
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1815z00_1230;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1816z00_1231;
BgL_arg1816z00_1231 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_590); 
BgL_arg1815z00_1230 = 
CDR(
((obj_t)BgL_arg1816z00_1231)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1121z00_590, BgL_arg1815z00_1230); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 178 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1120z00_1589, BgL_ohs1112z00_588); BUNSPEC; 
BgL_res1127z00_587 = BgL_tmp1122z00_592; } } } } } } 
POP_ENV_EXIT(BgL_env1120z00_1589); 
return BgL_res1127z00_587;} } 
}} 

}



/* &<@anonymous:1956> */
obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1541, obj_t BgL_xz00_1544)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_pz00_1542; obj_t BgL_excz00_1543;
BgL_pz00_1542 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1541, 
(int)(((long)0)))); 
BgL_excz00_1543 = 
PROCEDURE_REF(BgL_envz00_1541, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_env1103z00_2147;
BgL_env1103z00_2147 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_cell1098z00_2148;
BgL_cell1098z00_2148 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_val1102z00_2149;
BgL_val1102z00_2149 = 
BGl_zc3z04exitza31959ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_1544, BgL_pz00_1542, BgL_cell1098z00_2148, BgL_env1103z00_2147); 
if(
(BgL_val1102z00_2149==BgL_cell1098z00_2148))
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 int BgL_tmpz00_3860;
BgL_tmpz00_3860 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3860); } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1958z00_2150;
BgL_arg1958z00_2150 = 
CELL_REF(
((obj_t)BgL_val1102z00_2149)); 
return 
CELL_SET(BgL_excz00_1543, BgL_arg1958z00_2150);} }  else 
{ /* Llib/sqlite.scm 178 */
return BgL_val1102z00_2149;} } } } } } 

}



/* <@exit:1959>~0 */
obj_t BGl_zc3z04exitza31959ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_1588, obj_t BgL_pz00_1587, obj_t BgL_cell1098z00_1586, obj_t BgL_env1103z00_1585)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1107z00_563;
if( SET_EXIT(BgL_an_exit1107z00_563 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1107z00_563 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1103z00_1585, BgL_an_exit1107z00_563, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_escape1099z00_564;
BgL_escape1099z00_564 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1103z00_1585); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res1110z00_565;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_ohs1095z00_566;
BgL_ohs1095z00_566 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1103z00_1585); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_hds1096z00_567;
BgL_hds1096z00_567 = 
MAKE_STACK_PAIR(BgL_escape1099z00_564, BgL_cell1098z00_1586); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1103z00_1585, BgL_hds1096z00_567); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_exitd1104z00_568;
BgL_exitd1104z00_568 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1103z00_1585); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1106z00_569;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1960z00_571;
BgL_arg1960z00_571 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_568); 
BgL_tmp1106z00_569 = 
MAKE_YOUNG_PAIR(BgL_ohs1095z00_566, BgL_arg1960z00_571); } 
{ /* Llib/sqlite.scm 178 */

BGL_EXITD_PROTECT_SET(BgL_exitd1104z00_568, BgL_tmp1106z00_569); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1105z00_570;
BgL_tmp1105z00_570 = 
PROCEDURE_ENTRY(BgL_pz00_1587)(BgL_pz00_1587, BgL_xz00_1588, BEOA); 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2465z00_3880;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1817z00_1223;
BgL_arg1817z00_1223 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_568); 
BgL_test2465z00_3880 = 
PAIRP(BgL_arg1817z00_1223); } 
if(BgL_test2465z00_3880)
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1815z00_1224;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1816z00_1225;
BgL_arg1816z00_1225 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_568); 
BgL_arg1815z00_1224 = 
CDR(
((obj_t)BgL_arg1816z00_1225)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1104z00_568, BgL_arg1815z00_1224); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 178 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1103z00_1585, BgL_ohs1095z00_566); BUNSPEC; 
BgL_res1110z00_565 = BgL_tmp1105z00_570; } } } } } } 
POP_ENV_EXIT(BgL_env1103z00_1585); 
return BgL_res1110z00_565;} } 
}} 

}



/* &<@anonymous:1980> */
obj_t BGl_z62zc3z04anonymousza31980ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1546, obj_t BgL_lz00_1549)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_pz00_1547; obj_t BgL_excz00_1548;
BgL_pz00_1547 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1546, 
(int)(((long)0)))); 
BgL_excz00_1548 = 
PROCEDURE_REF(BgL_envz00_1546, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_env1084z00_2151;
BgL_env1084z00_2151 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_cell1079z00_2152;
BgL_cell1079z00_2152 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_val1083z00_2153;
BgL_val1083z00_2153 = 
BGl_zc3z04exitza31983ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_1547, BgL_lz00_1549, BgL_cell1079z00_2152, BgL_env1084z00_2151); 
if(
(BgL_val1083z00_2153==BgL_cell1079z00_2152))
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 int BgL_tmpz00_3899;
BgL_tmpz00_3899 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3899); } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1982z00_2154;
BgL_arg1982z00_2154 = 
CELL_REF(
((obj_t)BgL_val1083z00_2153)); 
return 
CELL_SET(BgL_excz00_1548, BgL_arg1982z00_2154);} }  else 
{ /* Llib/sqlite.scm 178 */
return BgL_val1083z00_2153;} } } } } } 

}



/* <@exit:1983>~0 */
obj_t BGl_zc3z04exitza31983ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_1584, obj_t BgL_lz00_1583, obj_t BgL_cell1079z00_1582, obj_t BgL_env1084z00_1581)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1088z00_653;
if( SET_EXIT(BgL_an_exit1088z00_653 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1088z00_653 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1084z00_1581, BgL_an_exit1088z00_653, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_escape1080z00_654;
BgL_escape1080z00_654 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1084z00_1581); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res1091z00_655;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_ohs1076z00_656;
BgL_ohs1076z00_656 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1084z00_1581); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_hds1077z00_657;
BgL_hds1077z00_657 = 
MAKE_STACK_PAIR(BgL_escape1080z00_654, BgL_cell1079z00_1582); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1084z00_1581, BgL_hds1077z00_657); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_exitd1085z00_658;
BgL_exitd1085z00_658 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1084z00_1581); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1087z00_659;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1984z00_661;
BgL_arg1984z00_661 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_658); 
BgL_tmp1087z00_659 = 
MAKE_YOUNG_PAIR(BgL_ohs1076z00_656, BgL_arg1984z00_661); } 
{ /* Llib/sqlite.scm 178 */

BGL_EXITD_PROTECT_SET(BgL_exitd1085z00_658, BgL_tmp1087z00_659); BUNSPEC; 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_tmp1086z00_660;
BgL_tmp1086z00_660 = 
apply(BgL_pz00_1584, BgL_lz00_1583); 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2467z00_3917;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1817z00_1216;
BgL_arg1817z00_1216 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_658); 
BgL_test2467z00_3917 = 
PAIRP(BgL_arg1817z00_1216); } 
if(BgL_test2467z00_3917)
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1815z00_1217;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1816z00_1218;
BgL_arg1816z00_1218 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_658); 
BgL_arg1815z00_1217 = 
CDR(
((obj_t)BgL_arg1816z00_1218)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1085z00_658, BgL_arg1815z00_1217); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 178 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1084z00_1581, BgL_ohs1076z00_656); BUNSPEC; 
BgL_res1091z00_655 = BgL_tmp1086z00_660; } } } } } } 
POP_ENV_EXIT(BgL_env1084z00_1581); 
return BgL_res1091z00_655;} } 
}} 

}



/* &sqlite-exec-sqlite1291 */
obj_t BGl_z62sqlitezd2execzd2sqlite1291z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1551, obj_t BgL_oz00_1552, obj_t BgL_fmtz00_1553, obj_t BgL_argsz00_1554)
{
{ /* Llib/sqlite.scm 138 */
if(
NULLP(BgL_argsz00_1554))
{ /* Llib/sqlite.scm 141 */
 void * BgL_arg1939z00_2157;
BgL_arg1939z00_2157 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1552)))->BgL_z42builtinz42); 
return 
bgl_sqlite_exec(BgL_arg1939z00_2157, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_1553)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1552)));}  else 
{ /* Llib/sqlite.scm 142 */
 void * BgL_arg1940z00_2158; obj_t BgL_arg1941z00_2159;
BgL_arg1940z00_2158 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1552)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 142 */
 obj_t BgL_runner1944z00_2160;
{ /* Llib/sqlite.scm 142 */
 obj_t BgL_list1942z00_2161;
BgL_list1942z00_2161 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1554, BNIL); 
BgL_runner1944z00_2160 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1553), BgL_list1942z00_2161); } 
{ /* Llib/sqlite.scm 142 */
 obj_t BgL_aux1943z00_2162;
BgL_aux1943z00_2162 = 
CAR(BgL_runner1944z00_2160); 
BgL_runner1944z00_2160 = 
CDR(BgL_runner1944z00_2160); 
BgL_arg1941z00_2159 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1943z00_2162, BgL_runner1944z00_2160); } } 
return 
bgl_sqlite_exec(BgL_arg1940z00_2158, 
BSTRING_TO_STRING(BgL_arg1941z00_2159), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1552)));} } 

}



/* &sqlite-close-sqlite1287 */
obj_t BGl_z62sqlitezd2closezd2sqlite1287z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1555, obj_t BgL_oz00_1556)
{
{ /* Llib/sqlite.scm 123 */
{ /* Llib/sqlite.scm 125 */
 void * BgL_arg1937z00_2164;
BgL_arg1937z00_2164 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1556)))->BgL_z42builtinz42); 
bgl_sqlite_close(BgL_arg1937z00_2164, 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1556))); 
return BUNSPEC;} } 

}



/* &object-print-sqlite1283 */
obj_t BGl_z62objectzd2printzd2sqlite1283z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1557, obj_t BgL_oz00_1558, obj_t BgL_portz00_1559, obj_t BgL_printzd2slotzd2_1560)
{
{ /* Llib/sqlite.scm 91 */
{ /* Llib/sqlite.scm 92 */
 obj_t BgL_list1936z00_2166;
BgL_list1936z00_2166 = 
MAKE_YOUNG_PAIR(BgL_portz00_1559, BNIL); 
return 
BGl_objectzd2writezd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_sqlitez00_bglt)BgL_oz00_1558)), BgL_list1936z00_2166);} } 

}



/* &object-write-sqlite1281 */
obj_t BGl_z62objectzd2writezd2sqlite1281z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1561, obj_t BgL_oz00_1562, obj_t BgL_portz00_1563)
{
{ /* Llib/sqlite.scm 82 */
{ /* Llib/sqlite.scm 83 */
 obj_t BgL_arg1927z00_2168;
if(
PAIRP(BgL_portz00_1563))
{ /* Llib/sqlite.scm 83 */
BgL_arg1927z00_2168 = 
CAR(BgL_portz00_1563); }  else 
{ /* Llib/sqlite.scm 83 */
 obj_t BgL_tmpz00_3959;
BgL_tmpz00_3959 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1927z00_2168 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3959); } 
{ /* Llib/sqlite.scm 85 */
 obj_t BgL_zc3z04anonymousza31930ze3z87_2169;
BgL_zc3z04anonymousza31930ze3z87_2169 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31930ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31930ze3z87_2169, 
(int)(((long)0)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1562))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1927z00_2168, BgL_zc3z04anonymousza31930ze3z87_2169);} } } 

}



/* &<@anonymous:1930> */
obj_t BGl_z62zc3z04anonymousza31930ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1564)
{
{ /* Llib/sqlite.scm 84 */
{ /* Llib/sqlite.scm 85 */
 BgL_sqlitez00_bglt BgL_oz00_1565;
BgL_oz00_1565 = 
((BgL_sqlitez00_bglt)
PROCEDURE_REF(BgL_envz00_1564, 
(int)(((long)0)))); 
{ /* Llib/sqlite.scm 86 */
 obj_t BgL_arg1931z00_2170;
BgL_arg1931z00_2170 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1565)))->BgL_pathz00); 
{ /* Llib/sqlite.scm 86 */
 obj_t BgL_list1932z00_2171;
{ /* Llib/sqlite.scm 86 */
 obj_t BgL_arg1933z00_2172;
{ /* Llib/sqlite.scm 86 */
 obj_t BgL_arg1934z00_2173;
BgL_arg1934z00_2173 = 
MAKE_YOUNG_PAIR(BGl_string2215z00zz__sqlite_sqlitez00, BNIL); 
BgL_arg1933z00_2172 = 
MAKE_YOUNG_PAIR(BgL_arg1931z00_2170, BgL_arg1934z00_2173); } 
BgL_list1932z00_2171 = 
MAKE_YOUNG_PAIR(BGl_string2216z00zz__sqlite_sqlitez00, BgL_arg1933z00_2172); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1932z00_2171);} } } } 

}



/* &object-display-sqlit1279 */
obj_t BGl_z62objectzd2displayzd2sqlit1279z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1566, obj_t BgL_oz00_1567, obj_t BgL_portz00_1568)
{
{ /* Llib/sqlite.scm 73 */
{ /* Llib/sqlite.scm 74 */
 obj_t BgL_arg1918z00_2175;
if(
PAIRP(BgL_portz00_1568))
{ /* Llib/sqlite.scm 74 */
BgL_arg1918z00_2175 = 
CAR(BgL_portz00_1568); }  else 
{ /* Llib/sqlite.scm 74 */
 obj_t BgL_tmpz00_3982;
BgL_tmpz00_3982 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1918z00_2175 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3982); } 
{ /* Llib/sqlite.scm 76 */
 obj_t BgL_zc3z04anonymousza31921ze3z87_2176;
BgL_zc3z04anonymousza31921ze3z87_2176 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31921ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31921ze3z87_2176, 
(int)(((long)0)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1567))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1918z00_2175, BgL_zc3z04anonymousza31921ze3z87_2176);} } } 

}



/* &<@anonymous:1921> */
obj_t BGl_z62zc3z04anonymousza31921ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1569)
{
{ /* Llib/sqlite.scm 75 */
{ /* Llib/sqlite.scm 76 */
 BgL_sqlitez00_bglt BgL_oz00_1570;
BgL_oz00_1570 = 
((BgL_sqlitez00_bglt)
PROCEDURE_REF(BgL_envz00_1569, 
(int)(((long)0)))); 
{ /* Llib/sqlite.scm 77 */
 obj_t BgL_arg1922z00_2177;
BgL_arg1922z00_2177 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1570)))->BgL_pathz00); 
{ /* Llib/sqlite.scm 77 */
 obj_t BgL_list1923z00_2178;
{ /* Llib/sqlite.scm 77 */
 obj_t BgL_arg1924z00_2179;
{ /* Llib/sqlite.scm 77 */
 obj_t BgL_arg1925z00_2180;
BgL_arg1925z00_2180 = 
MAKE_YOUNG_PAIR(BGl_string2215z00zz__sqlite_sqlitez00, BNIL); 
BgL_arg1924z00_2179 = 
MAKE_YOUNG_PAIR(BgL_arg1922z00_2177, BgL_arg1925z00_2180); } 
BgL_list1923z00_2178 = 
MAKE_YOUNG_PAIR(BGl_string2216z00zz__sqlite_sqlitez00, BgL_arg1924z00_2179); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1923z00_2178);} } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(((long)266205491), 
BSTRING_TO_STRING(BGl_string2217z00zz__sqlite_sqlitez00));} 

}

#ifdef __cplusplus
}
#endif
