/*===========================================================================*/
/*   (Llib/ssl.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -I. -copt -fPIC -copt -IC Llib/ssl.scm -o objs/ssl.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglssl.h>
#include <ssl_debug.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_certificatez00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_certificatez00_bglt;

typedef struct BgL_privatezd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_privatezd2keyzd2_bglt;

typedef struct BgL_securezd2contextzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42cazd2storez90;
   obj_t BgL_methodz00;
} *BgL_securezd2contextzd2_bglt;

typedef struct BgL_sslzd2connectionzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42biozd2readz90;
   void * BgL_z42biozd2writez90;
   void * BgL_z42nextzd2sessionz90;
   struct BgL_securezd2contextzd2_bgl * BgL_ctxz00;
   bool_t BgL_isserverz00;
   bool_t BgL_requestzd2certzd2;
   obj_t BgL_serverzd2namezd2;
   bool_t BgL_rejectzd2unauthoriza7edz75;
   obj_t BgL_infozd2callbackzd2;
   obj_t BgL_snizd2contextzd2callbackz00;
   obj_t BgL_newsessionzd2callbackzd2;
   obj_t BgL_selectedzd2npnzd2protosz00;
   obj_t BgL_npnzd2protoszd2;
   obj_t BgL_errz00;
   bool_t BgL_receivedzd2shutdownzd2;
   bool_t BgL_sentzd2shutdownzd2;
} *BgL_sslzd2connectionzd2_bglt;

typedef struct BgL_dhz00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z52pz52;
   void * BgL_z52qz52;
   void * BgL_z52gz52;
   void * BgL_z52pubz52;
   void * BgL_z52privz52;
} *BgL_dhz00_bglt;

typedef struct BgL_sslzd2hashzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
   obj_t BgL_typez00;
} *BgL_sslzd2hashzd2_bglt;

typedef struct BgL_sslzd2hmaczd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2hmaczd2_bglt;

typedef struct BgL_sslzd2signzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2signzd2_bglt;

typedef struct BgL_sslzd2verifyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2verifyzd2_bglt;

typedef struct BgL_sslzd2cipherzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42cipherz42;
   void * BgL_z42cipherzd2ctxz90;
} *BgL_sslzd2cipherzd2_bglt;


BGL_EXPORTED_DECL bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62lambda1928z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1929z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_cipher_initiv(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
extern obj_t bgl_ssl_ctx_init(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_load_private_key(obj_t);
static obj_t BGl_z62sslzd2connectionzd2verif1303z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2digest1329z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32002ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_dh_check_pub_key(void *, void *);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2reuse1307z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2init1349z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_pkcs5_pbkdf2_hmac_sha1(obj_t, obj_t, int, int);
static obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1850z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1851z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1934z62zz__ssl_sslz00(obj_t, obj_t);
extern int bgl_ssl_connection_close(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1935z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1857z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1858z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_certificatez00zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2connectionzd2getzd2c1299zb0zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2connectionzd2getzd2s1297zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1940z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1941z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1865z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_make_ssl_server_socket(obj_t, int, int, obj_t, obj_t, obj_t, obj_t, int, bool_t);
static obj_t BGl_z62lambda1866z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1947z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62lambda1948z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2setzd2s1295zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2newzd2zz__ssl_sslz00();
static obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2zz__ssl_sslz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
extern bool_t bgl_ssl_ctx_set_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2zz__ssl_sslz00 = BUNSPEC;
static BgL_certificatez00_bglt BGl_z62lambda1791z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd21355z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1954z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1873z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00();
static obj_t BGl_z62lambda1955z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1876z62zz__ssl_sslz00(obj_t);
static BgL_certificatez00_bglt BGl_z62lambda1797z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
extern bool_t bgl_ssl_ctx_add_ca_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62sslzd2verifyzd2init1343z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32102ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31970ze3ze5zz__ssl_sslz00(obj_t);
extern obj_t bgl_ssl_sign_sign(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static obj_t BGl_z62lambda1961z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1962z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1883z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1884z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2shutd1279z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1968z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1969z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_cipher_init(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt, int, obj_t);
static obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1890z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_evp_get_ciphers();
static obj_t BGl_z62lambda1891z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
static obj_t BGl_z62lambda1975z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00();
static obj_t BGl_z62lambda1976z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1897z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1898z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2signzd2init1337z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2key1323z62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31867ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31859ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1982z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1983z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ssl_sslz00();
static obj_t BGl_z62securezd2contextzd2setzd2o1271zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1989z62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_ctx_add_crl(BgL_securezd2contextzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL char * BGl_sslzd2versionzd2zz__ssl_sslz00();
static obj_t BGl_z62zc3z04anonymousza32202ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2n1309zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_ctx_set_key(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zz__ssl_sslz00 = BUNSPEC;
extern obj_t bgl_ssl_error_string();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern void * bgl_dh_public_key(void *);
static obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31892ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__ssl_sslz00();
static obj_t BGl_z62zc3z04anonymousza31949ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1990z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2write1283z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static BgL_dhz00_bglt BGl_z62lambda1997z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2init1273z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza32106ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t, obj_t, int, int);
static obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__ssl_sslz00(obj_t);
extern bool_t bgl_cipher_set_auto_padding(BgL_sslzd2cipherzd2_bglt, bool_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2read1281z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
BGL_EXPORTED_DECL BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00();
static obj_t BGl_z62zc3z04anonymousza31991ze3ze5zz__ssl_sslz00(obj_t);
extern obj_t bgl_cipher_final(BgL_sslzd2cipherzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31878ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32116ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern void * bgl_dh_private_key(void *);
BGL_EXPORTED_DECL obj_t bgl_make_certificate(void *);
static obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2init1325z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int);
static obj_t BGl_z62zc3z04anonymousza31984ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
extern obj_t bgl_ssl_hmac_digest(BgL_sslzd2hmaczd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32133ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32044ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t, int);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31799ze3ze5zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_dh_check(void *);
static obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_methodzd2initzd2zz__ssl_sslz00();
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl_z62securezd2contextzd2loadzd21267zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_hash_init(BgL_sslzd2hashzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32053ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32037ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2signzd2sign1341z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32240ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32054ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32216ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
extern obj_t bgl_ssl_certificate_issuer(obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2updatez121353z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
extern void bgl_dh_pub_priv_key_set(void *, void *, void *);
BGL_IMPORT obj_t make_string(long, unsigned char);
static obj_t BGl_z62sslzd2hmaczd2init1331z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32233ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2close1245z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32063ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32209ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2hmaczd2digest1335z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31899ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2getzd2p1305zb0zz__ssl_sslz00(obj_t, obj_t);
static BgL_dhz00_bglt BGl_z62lambda2000z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32250ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, int);
static obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32226ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2007z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2008z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32129ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t);
static BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_negotiated_protocol(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_shutdown(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00();
BGL_EXPORTED_DECL obj_t bgl_make_private_key(void *);
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern long bgl_ssl_connection_clear_in(BgL_sslzd2connectionzd2_bglt, char *, long, long);
extern bool_t bgl_load_pkcs12(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda2014z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32162ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2015z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_cipher_update(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32049ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t bgl_ssl_load_pem(obj_t);
static obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez121327z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl_z62securezd2contextzd2init1243z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2021z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2022z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32058ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2028z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2loadzd21301zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2029z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, bool_t);
static obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern void bgl_dh_pqg_set(void *, void *, void *, void *);
static obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_z62lambda2035z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2036z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32148ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzd2pubzd2key1319zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_hash_digest(BgL_sslzd2hashzd2_bglt);
extern bool_t bgl_ssl_sign_init(BgL_sslzd2signzd2_bglt, obj_t);
extern obj_t bgl_ssl_connection_init(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_hash_update(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
extern obj_t bgl_ssl_get_ciphers();
BGL_EXPORTED_DECL int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_applyz00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static BgL_sslzd2signzd2_bglt BGl_z62lambda2200z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2042z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2043z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32092ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2207z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32068ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2208z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2updatez121339z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2updatez121333z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62zc3z04anonymousza31712ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL void * bgl_private_key_native(obj_t);
extern obj_t bgl_ssl_connection_verify_error(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda2214z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2215z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt);
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2k1253zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern int bgl_ssl_connection_set_session(BgL_sslzd2connectionzd2_bglt, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2check1317zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2222z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32191ze3ze5zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_z52socketzd2initz12z92zz__socketz00();
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2143z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2224z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32264ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1263zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32078ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2146z62zz__ssl_sslz00(obj_t);
extern obj_t bgl_ssl_load_certificate(obj_t);
static obj_t BGl_z62dhzd2init1311zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1269zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_certificate_subject(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2s1265zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
extern obj_t bgl_ssl_connection_get_peer_certificate(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2231z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2232z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2153z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32184ze3ze5zz__ssl_sslz00(obj_t);
extern obj_t bgl_client_socket_use_ssl(obj_t, int, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2154z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32257ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00();
extern int bgl_ssl_connection_load_session(BgL_sslzd2connectionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_ctx_add_root_certs(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62lambda2238z62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_ctx_set_session_id_context(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62lambda2239z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ssl_sslz00();
static obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(obj_t, obj_t, int);
BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00();
extern long bgl_ssl_connection_read(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static obj_t BGl_z62sslzd2connectionzd2start1275z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2siza7e1313z17zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00();
static obj_t BGl_z62dhzd2generatezd2paramete1315z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2160z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2161z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32088ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2246z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2166z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2167z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2248z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62securezd2contextzd2addzd2r1247zb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_ctx_close(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2173z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2255z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2175z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2256z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
extern obj_t bgl_ssl_connection_get_current_cipher(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t, obj_t);
extern void * bgl_bn_bin2bn(char *, int);
extern obj_t bgl_evp_get_hashes();
static obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t, obj_t);
extern char * bgl_ssl_version();
extern bool_t bgl_ssl_verify_update(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_connection_init_finishedp(BgL_sslzd2connectionzd2_bglt);
extern long bgl_ssl_connection_write(BgL_sslzd2connectionzd2_bglt, char *, long, long);
extern long bgl_ssl_connection_clear_out(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static obj_t BGl_z62lambda2262z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2182z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2263z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2183z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initzd21289zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1285z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2computezd2key1321z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1287z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2189z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_make_ssl_client_socket(obj_t, int, int, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62sslzd2cipherzd2initiv1351z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2190z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1293z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2zz__ssl_sslz00 = BUNSPEC;
static BgL_sslzd2signzd2_bglt BGl_z62lambda2198z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_hmac_init(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
static obj_t BGl_z62sslzd2verifyzd2final1347z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2close1277z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2c1249zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long default_io_bufsiz;
extern int bgl_ssl_connection_clear_pending(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt);
static obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t, obj_t);
extern int bgl_ssl_connection_enc_pending(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2c1251zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31930ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31906ze3ze5zz__ssl_sslz00(obj_t);
extern obj_t bgl_ssl_connection_get_session(BgL_sslzd2connectionzd2_bglt);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_search1232ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DEF obj_t BGl_dhz00zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_search1215ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern int bgl_ssl_connection_start(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31923ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1813z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1814z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2verifyzd2updatez121345z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2zz__ssl_sslz00 = BUNSPEC;
extern void * bgl_dh_g(void *);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern void * bgl_dh_p(void *);
extern void * bgl_dh_p(void *);
extern bool_t bgl_ssl_verify_final(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
static obj_t BGl_z62lambda1904z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1905z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1825z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1827z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL void * bgl_certificate_native(obj_t);
static obj_t BGl_z62sslzd2connectionzd2enczd2p1291zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2final1357z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1910z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1911z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1833z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1834z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1915z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1916z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern bool_t bgl_ssl_verify_init(BgL_sslzd2verifyzd2_bglt, obj_t);
extern bool_t bgl_ssl_sign_update(BgL_sslzd2signzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_socketp(obj_t);
extern bool_t bgl_ssl_hmac_update(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__ssl_sslz00(obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1840z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1921z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31845ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1922z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31829ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1843z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int);
static obj_t __cnst[ 91 ] ;


DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73469za7, BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3019z00zz__ssl_sslz00, BgL_bgl_string3019za700za7za7_3470za7, "Invalid certificate", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2c3471za7, BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7b03472za7, BGl_z62dhzd2checkzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3473z00, BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3020z00zz__ssl_sslz00, BgL_bgl_string3020za700za7za7_3474za7, "Invalid private key", 19 );
DEFINE_STRING( BGl_string3021z00zz__ssl_sslz00, BgL_bgl_string3021za700za7za7_3475za7, "Invalid CA list", 15 );
DEFINE_STRING( BGl_string3022z00zz__ssl_sslz00, BgL_bgl_string3022za700za7za7_3476za7, "Invalid accepted-certs", 22 );
DEFINE_STRING( BGl_string3023z00zz__ssl_sslz00, BgL_bgl_string3023za700za7za7_3477za7, "pkey and cert must be both #f or both set", 41 );
DEFINE_STRING( BGl_string3024z00zz__ssl_sslz00, BgL_bgl_string3024za700za7za7_3478za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string3025z00zz__ssl_sslz00, BgL_bgl_string3025za700za7za7_3479za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/ssl/src/Llib/ssl.scm", 60 );
DEFINE_STRING( BGl_string3026z00zz__ssl_sslz00, BgL_bgl_string3026za700za7za7_3480za7, "_make-ssl-client-socket", 23 );
DEFINE_STRING( BGl_string3027z00zz__ssl_sslz00, BgL_bgl_string3027za700za7za7_3481za7, "bint", 4 );
DEFINE_STRING( BGl_string3028z00zz__ssl_sslz00, BgL_bgl_string3028za700za7za7_3482za7, "bstring", 7 );
DEFINE_STRING( BGl_string3029z00zz__ssl_sslz00, BgL_bgl_string3029za700za7za7_3483za7, "pair-nil", 8 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23484za7, BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2subjectzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3485z00, BGl_z62certificatezd2subjectzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3100z00zz__ssl_sslz00, BgL_bgl_za762lambda1922za7623486z00, BGl_z62lambda1922z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3101z00zz__ssl_sslz00, BgL_bgl_za762lambda1921za7623487z00, BGl_z62lambda1921z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3102z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3488za7, BGl_z62zc3z04anonymousza31930ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3103z00zz__ssl_sslz00, BgL_bgl_za762lambda1929za7623489z00, BGl_z62lambda1929z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3104z00zz__ssl_sslz00, BgL_bgl_za762lambda1928za7623490z00, BGl_z62lambda1928z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3105z00zz__ssl_sslz00, BgL_bgl_za762lambda1935za7623491z00, BGl_z62lambda1935z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3030z00zz__ssl_sslz00, BgL_bgl_string3030za700za7za7_3492za7, "wrong number of arguments: [2..10] expected, provided", 53 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3106z00zz__ssl_sslz00, BgL_bgl_za762lambda1934za7623493z00, BGl_z62lambda1934z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3031z00zz__ssl_sslz00, BgL_bgl_string3031za700za7za7_3494za7, "_client-socket-use-ssl!", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3107z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3495za7, BGl_z62zc3z04anonymousza31942ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3032z00zz__ssl_sslz00, BgL_bgl_string3032za700za7za7_3496za7, "socket", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3108z00zz__ssl_sslz00, BgL_bgl_za762lambda1941za7623497z00, BGl_z62lambda1941z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3033z00zz__ssl_sslz00, BgL_bgl_string3033za700za7za7_3498za7, "wrong number of arguments: [1..6] expected, provided", 52 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3109z00zz__ssl_sslz00, BgL_bgl_za762lambda1940za7623499z00, BGl_z62lambda1940z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3035z00zz__ssl_sslz00, BgL_bgl_string3035za700za7za7_3500za7, "Illegal extra key arguments: ", 29 );
DEFINE_STRING( BGl_string3036z00zz__ssl_sslz00, BgL_bgl_string3036za700za7za7_3501za7, "dsssl-get-key-arg", 17 );
DEFINE_STRING( BGl_string3037z00zz__ssl_sslz00, BgL_bgl_string3037za700za7za7_3502za7, "~a ", 3 );
DEFINE_STRING( BGl_string3038z00zz__ssl_sslz00, BgL_bgl_string3038za700za7za7_3503za7, "ssl", 3 );
DEFINE_STRING( BGl_string3039z00zz__ssl_sslz00, BgL_bgl_string3039za700za7za7_3504za7, "Unknown protocols", 17 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73505za7, BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2opzd2cipherzd2serverzd2preferencezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2opza7d2ci3506za7, BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3110z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3507za7, BGl_z62zc3z04anonymousza31949ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3111z00zz__ssl_sslz00, BgL_bgl_za762lambda1948za7623508z00, BGl_z62lambda1948z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3112z00zz__ssl_sslz00, BgL_bgl_za762lambda1947za7623509z00, BGl_z62lambda1947z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3113z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3510za7, BGl_z62zc3z04anonymousza31956ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3114z00zz__ssl_sslz00, BgL_bgl_za762lambda1955za7623511z00, BGl_z62lambda1955z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3115z00zz__ssl_sslz00, BgL_bgl_za762lambda1954za7623512z00, BGl_z62lambda1954z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3040z00zz__ssl_sslz00, BgL_bgl_string3040za700za7za7_3513za7, "&read-private-key", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3034z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3514za7, BGl_z62zc3z04anonymousza31712ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3116z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3515za7, BGl_z62zc3z04anonymousza31963ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3041z00zz__ssl_sslz00, BgL_bgl_string3041za700za7za7_3516za7, "&read-certificate", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3117z00zz__ssl_sslz00, BgL_bgl_za762lambda1962za7623517z00, BGl_z62lambda1962z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3042z00zz__ssl_sslz00, BgL_bgl_string3042za700za7za7_3518za7, "&read-pem-file", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3118z00zz__ssl_sslz00, BgL_bgl_za762lambda1961za7623519z00, BGl_z62lambda1961z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3043z00zz__ssl_sslz00, BgL_bgl_string3043za700za7za7_3520za7, "&ssl-rand-bytes", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3119z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3521za7, BGl_z62zc3z04anonymousza31970ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3044z00zz__ssl_sslz00, BgL_bgl_string3044za700za7za7_3522za7, "&ssl-rand-pseudo-bytes", 22 );
DEFINE_STRING( BGl_string3045z00zz__ssl_sslz00, BgL_bgl_string3045za700za7za7_3523za7, "&certificate-subject", 20 );
DEFINE_STRING( BGl_string3046z00zz__ssl_sslz00, BgL_bgl_string3046za700za7za7_3524za7, "certificate", 11 );
DEFINE_STRING( BGl_string3047z00zz__ssl_sslz00, BgL_bgl_string3047za700za7za7_3525za7, "&certificate-issuer", 19 );
DEFINE_STRING( BGl_string3048z00zz__ssl_sslz00, BgL_bgl_string3048za700za7za7_3526za7, "&%make-certificate", 18 );
DEFINE_STRING( BGl_string3049z00zz__ssl_sslz00, BgL_bgl_string3049za700za7za7_3527za7, "void*", 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73528za7, BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3200z00zz__ssl_sslz00, BgL_bgl_za762lambda2214za7623529z00, BGl_z62lambda2214z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3201z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3530za7, BGl_z62zc3z04anonymousza32202ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3120z00zz__ssl_sslz00, BgL_bgl_za762lambda1969za7623531z00, BGl_z62lambda1969z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3202z00zz__ssl_sslz00, BgL_bgl_za762lambda2200za7623532z00, BGl_z62lambda2200z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3121z00zz__ssl_sslz00, BgL_bgl_za762lambda1968za7623533z00, BGl_z62lambda1968z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3203z00zz__ssl_sslz00, BgL_bgl_za762lambda2198za7623534z00, BGl_z62lambda2198z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3122z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3535za7, BGl_z62zc3z04anonymousza31977ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3204z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3536za7, BGl_z62zc3z04anonymousza32233ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3123z00zz__ssl_sslz00, BgL_bgl_za762lambda1976za7623537z00, BGl_z62lambda1976z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3205z00zz__ssl_sslz00, BgL_bgl_za762lambda2232za7623538z00, BGl_z62lambda2232z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3124z00zz__ssl_sslz00, BgL_bgl_za762lambda1975za7623539z00, BGl_z62lambda1975z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3206z00zz__ssl_sslz00, BgL_bgl_za762lambda2231za7623540z00, BGl_z62lambda2231z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3125z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3541za7, BGl_z62zc3z04anonymousza31984ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3050z00zz__ssl_sslz00, BgL_bgl_string3050za700za7za7_3542za7, "&%make-private-key", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3207z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3543za7, BGl_z62zc3z04anonymousza32240ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3126z00zz__ssl_sslz00, BgL_bgl_za762lambda1983za7623544z00, BGl_z62lambda1983z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3051z00zz__ssl_sslz00, BgL_bgl_string3051za700za7za7_3545za7, "_secure-context-set-key!", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3208z00zz__ssl_sslz00, BgL_bgl_za762lambda2239za7623546z00, BGl_z62lambda2239z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3127z00zz__ssl_sslz00, BgL_bgl_za762lambda1982za7623547z00, BGl_z62lambda1982z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3052z00zz__ssl_sslz00, BgL_bgl_string3052za700za7za7_3548za7, "vector", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3209z00zz__ssl_sslz00, BgL_bgl_za762lambda2238za7623549z00, BGl_z62lambda2238z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3128z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3550za7, BGl_z62zc3z04anonymousza31991ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3053z00zz__ssl_sslz00, BgL_bgl_string3053za700za7za7_3551za7, "secure-context", 14 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3552z00, BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3129z00zz__ssl_sslz00, BgL_bgl_za762lambda1990za7623553z00, BGl_z62lambda1990z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3054z00zz__ssl_sslz00, BgL_bgl_string3054za700za7za7_3554za7, "&bn-bin2bn", 10 );
DEFINE_STRING( BGl_string3055z00zz__ssl_sslz00, BgL_bgl_string3055za700za7za7_3555za7, "&bn-bn2bin", 10 );
DEFINE_STRING( BGl_string3056z00zz__ssl_sslz00, BgL_bgl_string3056za700za7za7_3556za7, "foreign", 7 );
DEFINE_STRING( BGl_string3057z00zz__ssl_sslz00, BgL_bgl_string3057za700za7za7_3557za7, "&bn-num-bytes", 13 );
DEFINE_STRING( BGl_string3058z00zz__ssl_sslz00, BgL_bgl_string3058za700za7za7_3558za7, "&bn-free", 8 );
DEFINE_STRING( BGl_string3059z00zz__ssl_sslz00, BgL_bgl_string3059za700za7za7_3559za7, "&bn-set-word", 12 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3560z00, BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3210z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3561za7, BGl_z62zc3z04anonymousza32226ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3211z00zz__ssl_sslz00, BgL_bgl_za762lambda2224za7623562z00, BGl_z62lambda2224z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3130z00zz__ssl_sslz00, BgL_bgl_za762lambda1989za7623563z00, BGl_z62lambda1989z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3212z00zz__ssl_sslz00, BgL_bgl_za762lambda2222za7623564z00, BGl_z62lambda2222z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3131z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3565za7, BGl_z62zc3z04anonymousza31878ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3213z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3566za7, BGl_z62zc3z04anonymousza32257ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3132z00zz__ssl_sslz00, BgL_bgl_za762lambda1876za7623567z00, BGl_z62lambda1876z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3301z00zz__ssl_sslz00, BgL_bgl_string3301za700za7za7_3568za7, "ssl-hash-update!1327", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3214z00zz__ssl_sslz00, BgL_bgl_za762lambda2256za7623569z00, BGl_z62lambda2256z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3133z00zz__ssl_sslz00, BgL_bgl_za762lambda1873za7623570z00, BGl_z62lambda1873z62zz__ssl_sslz00, 0L, BUNSPEC, 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3215z00zz__ssl_sslz00, BgL_bgl_za762lambda2255za7623571z00, BGl_z62lambda2255z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3134z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3572za7, BGl_z62zc3z04anonymousza32009ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3303z00zz__ssl_sslz00, BgL_bgl_string3303za700za7za7_3573za7, "ssl-hash-digest1329", 19 );
DEFINE_STRING( BGl_string3222z00zz__ssl_sslz00, BgL_bgl_string3222za700za7za7_3574za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3216z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3575za7, BGl_z62zc3z04anonymousza32264ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3135z00zz__ssl_sslz00, BgL_bgl_za762lambda2008za7623576z00, BGl_z62lambda2008z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3060z00zz__ssl_sslz00, BgL_bgl_string3060za700za7za7_3577za7, "&pkcs5-pbkdf2-hmac-sha1", 23 );
DEFINE_STRING( BGl_string3223z00zz__ssl_sslz00, BgL_bgl_string3223za700za7za7_3578za7, "default", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3217z00zz__ssl_sslz00, BgL_bgl_za762lambda2263za7623579z00, BGl_z62lambda2263z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3136z00zz__ssl_sslz00, BgL_bgl_za762lambda2007za7623580z00, BGl_z62lambda2007z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3305z00zz__ssl_sslz00, BgL_bgl_string3305za700za7za7_3581za7, "ssl-hmac-init1331", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3218z00zz__ssl_sslz00, BgL_bgl_za762lambda2262za7623582z00, BGl_z62lambda2262z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3137z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3583za7, BGl_z62zc3z04anonymousza32016ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3225z00zz__ssl_sslz00, BgL_bgl_string3225za700za7za7_3584za7, "secure-context-init1243", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3219z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3585za7, BGl_z62zc3z04anonymousza32250ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3138z00zz__ssl_sslz00, BgL_bgl_za762lambda2015za7623586z00, BGl_z62lambda2015z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3307z00zz__ssl_sslz00, BgL_bgl_string3307za700za7za7_3587za7, "ssl-hmac-update!1333", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3139z00zz__ssl_sslz00, BgL_bgl_za762lambda2014za7623588z00, BGl_z62lambda2014z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3227z00zz__ssl_sslz00, BgL_bgl_string3227za700za7za7_3589za7, "secure-context-close1245", 24 );
DEFINE_STRING( BGl_string3309z00zz__ssl_sslz00, BgL_bgl_string3309za700za7za7_3590za7, "ssl-hmac-digest1335", 19 );
DEFINE_STRING( BGl_string3229z00zz__ssl_sslz00, BgL_bgl_string3229za700za7za7_3591za7, "secure-context-add-r1247", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3592z00, BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3300z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23593za7, BGl_z62sslzd2hashzd2updatez121327z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3220z00zz__ssl_sslz00, BgL_bgl_za762lambda2248za7623594z00, BGl_z62lambda2248z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3302z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23595za7, BGl_z62sslzd2hashzd2digest1329z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3221z00zz__ssl_sslz00, BgL_bgl_za762lambda2246za7623596z00, BGl_z62lambda2246z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3140z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3597za7, BGl_z62zc3z04anonymousza32023ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3141z00zz__ssl_sslz00, BgL_bgl_za762lambda2022za7623598z00, BGl_z62lambda2022z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3599z00, BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3304z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23600za7, BGl_z62sslzd2hmaczd2init1331z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3142z00zz__ssl_sslz00, BgL_bgl_za762lambda2021za7623601z00, BGl_z62lambda2021z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3061z00zz__ssl_sslz00, BgL_bgl_za762lambda1814za7623602z00, BGl_z62lambda1814z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3311z00zz__ssl_sslz00, BgL_bgl_string3311za700za7za7_3603za7, "ssl-sign-init1337", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3224z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3604z00, BGl_z62securezd2contextzd2init1243z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3143z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3605za7, BGl_z62zc3z04anonymousza32030ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3062z00zz__ssl_sslz00, BgL_bgl_za762lambda1813za7623606z00, BGl_z62lambda1813z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3306z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23607za7, BGl_z62sslzd2hmaczd2updatez121333z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3231z00zz__ssl_sslz00, BgL_bgl_string3231za700za7za7_3608za7, "secure-context-add-c1249", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3144z00zz__ssl_sslz00, BgL_bgl_za762lambda2029za7623609z00, BGl_z62lambda2029z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3063z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3610za7, BGl_z62zc3z04anonymousza31799ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3313z00zz__ssl_sslz00, BgL_bgl_string3313za700za7za7_3611za7, "ssl-sign-update!1339", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3226z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3612z00, BGl_z62securezd2contextzd2close1245z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3145z00zz__ssl_sslz00, BgL_bgl_za762lambda2028za7623613z00, BGl_z62lambda2028z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3064z00zz__ssl_sslz00, BgL_bgl_za762lambda1797za7623614z00, BGl_z62lambda1797z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3308z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23615za7, BGl_z62sslzd2hmaczd2digest1335z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3233z00zz__ssl_sslz00, BgL_bgl_string3233za700za7za7_3616za7, "secure-context-add-c1251", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3146z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3617za7, BGl_z62zc3z04anonymousza32037ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3065z00zz__ssl_sslz00, BgL_bgl_za762lambda1791za7623618z00, BGl_z62lambda1791z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3315z00zz__ssl_sslz00, BgL_bgl_string3315za700za7za7_3619za7, "ssl-sign-sign1341", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3228z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3620z00, BGl_z62securezd2contextzd2addzd2r1247zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3147z00zz__ssl_sslz00, BgL_bgl_za762lambda2036za7623621z00, BGl_z62lambda2036z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3066z00zz__ssl_sslz00, BgL_bgl_za762lambda1834za7623622z00, BGl_z62lambda1834z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3235z00zz__ssl_sslz00, BgL_bgl_string3235za700za7za7_3623za7, "secure-context-set-k1253", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3148z00zz__ssl_sslz00, BgL_bgl_za762lambda2035za7623624z00, BGl_z62lambda2035z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3067z00zz__ssl_sslz00, BgL_bgl_za762lambda1833za7623625z00, BGl_z62lambda1833z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3317z00zz__ssl_sslz00, BgL_bgl_string3317za700za7za7_3626za7, "ssl-verify-init1343", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3149z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3627za7, BGl_z62zc3z04anonymousza32044ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3068z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3628za7, BGl_z62zc3z04anonymousza31829ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3237z00zz__ssl_sslz00, BgL_bgl_string3237za700za7za7_3629za7, "secure-context-set-c1263", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3069z00zz__ssl_sslz00, BgL_bgl_za762lambda1827za7623630z00, BGl_z62lambda1827z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3319z00zz__ssl_sslz00, BgL_bgl_string3319za700za7za7_3631za7, "ssl-verify-update!1345", 22 );
DEFINE_STRING( BGl_string3239z00zz__ssl_sslz00, BgL_bgl_string3239za700za7za7_3632za7, "secure-context-set-s1265", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2pemzd2filezd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2pemza7d23633za7, BGl_z62readzd2pemzd2filez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3634z00, BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3310z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23635za7, BGl_z62sslzd2signzd2init1337z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3230z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3636z00, BGl_z62securezd2contextzd2addzd2c1249zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3312z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23637za7, BGl_z62sslzd2signzd2updatez121339z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3150z00zz__ssl_sslz00, BgL_bgl_za762lambda2043za7623638z00, BGl_z62lambda2043z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3400z00zz__ssl_sslz00, BgL_bgl_string3400za700za7za7_3639za7, "&ssl-sign-update!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3232z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3640z00, BGl_z62securezd2contextzd2addzd2c1251zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3151z00zz__ssl_sslz00, BgL_bgl_za762lambda2042za7623641z00, BGl_z62lambda2042z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3070z00zz__ssl_sslz00, BgL_bgl_za762lambda1825za7623642z00, BGl_z62lambda1825z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3401z00zz__ssl_sslz00, BgL_bgl_string3401za700za7za7_3643za7, "&ssl-sign-sign", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3314z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23644za7, BGl_z62sslzd2signzd2sign1341z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3152z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3645za7, BGl_z62zc3z04anonymousza32049ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3071z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3646za7, BGl_z62zc3z04anonymousza31852ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3402z00zz__ssl_sslz00, BgL_bgl_string3402za700za7za7_3647za7, "&ssl-verify-init", 16 );
DEFINE_STRING( BGl_string3321z00zz__ssl_sslz00, BgL_bgl_string3321za700za7za7_3648za7, "ssl-verify-final1347", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3234z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3649z00, BGl_z62securezd2contextzd2setzd2k1253zb0zz__ssl_sslz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3153z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3650za7, BGl_z62zc3z04anonymousza32048ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3072z00zz__ssl_sslz00, BgL_bgl_za762lambda1851za7623651z00, BGl_z62lambda1851z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3403z00zz__ssl_sslz00, BgL_bgl_string3403za700za7za7_3652za7, "&ssl-verify-update!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3316z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73653za7, BGl_z62sslzd2verifyzd2init1343z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3241z00zz__ssl_sslz00, BgL_bgl_string3241za700za7za7_3654za7, "secure-context-load-1267", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3154z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3655za7, BGl_z62zc3z04anonymousza32054ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3073z00zz__ssl_sslz00, BgL_bgl_za762lambda1850za7623656z00, BGl_z62lambda1850z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3404z00zz__ssl_sslz00, BgL_bgl_string3404za700za7za7_3657za7, "&ssl-verify-final", 17 );
DEFINE_STRING( BGl_string3323z00zz__ssl_sslz00, BgL_bgl_string3323za700za7za7_3658za7, "ssl-cipher-init1349", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3236z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3659z00, BGl_z62securezd2contextzd2setzd2c1263zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3155z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3660za7, BGl_z62zc3z04anonymousza32053ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3074z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3661za7, BGl_z62zc3z04anonymousza31859ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3405z00zz__ssl_sslz00, BgL_bgl_string3405za700za7za7_3662za7, "&ssl-cipher-init", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3318z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73663za7, BGl_z62sslzd2verifyzd2updatez121345z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3243z00zz__ssl_sslz00, BgL_bgl_string3243za700za7za7_3664za7, "secure-context-set-c1269", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3156z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3665za7, BGl_z62zc3z04anonymousza32059ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3075z00zz__ssl_sslz00, BgL_bgl_za762lambda1858za7623666z00, BGl_z62lambda1858z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_dhzd2initzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2initza7b0za73667z00, BGl_z62dhzd2initzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3406z00zz__ssl_sslz00, BgL_bgl_string3406za700za7za7_3668za7, "ssl-cipher", 10 );
DEFINE_STRING( BGl_string3325z00zz__ssl_sslz00, BgL_bgl_string3325za700za7za7_3669za7, "ssl-cipher-initiv1351", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3238z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3670z00, BGl_z62securezd2contextzd2setzd2s1265zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3157z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3671za7, BGl_z62zc3z04anonymousza32058ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3076z00zz__ssl_sslz00, BgL_bgl_za762lambda1857za7623672z00, BGl_z62lambda1857z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3407z00zz__ssl_sslz00, BgL_bgl_string3407za700za7za7_3673za7, "&ssl-cipher-initiv", 18 );
DEFINE_STRING( BGl_string3245z00zz__ssl_sslz00, BgL_bgl_string3245za700za7za7_3674za7, "secure-context-set-o1271", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3158z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3675za7, BGl_z62zc3z04anonymousza32064ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3077z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3676za7, BGl_z62zc3z04anonymousza31867ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3677z00, BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3408z00zz__ssl_sslz00, BgL_bgl_string3408za700za7za7_3678za7, "&ssl-cipher-update!", 19 );
DEFINE_STRING( BGl_string3327z00zz__ssl_sslz00, BgL_bgl_string3327za700za7za7_3679za7, "ssl-cipher-update!1353", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3159z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3680za7, BGl_z62zc3z04anonymousza32063ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3078z00zz__ssl_sslz00, BgL_bgl_za762lambda1866za7623681z00, BGl_z62lambda1866z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3409z00zz__ssl_sslz00, BgL_bgl_string3409za700za7za7_3682za7, "&ssl-cipher-set-auto-padding", 28 );
DEFINE_STRING( BGl_string3247z00zz__ssl_sslz00, BgL_bgl_string3247za700za7za7_3683za7, "ssl-connection-init1273", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3079z00zz__ssl_sslz00, BgL_bgl_za762lambda1865za7623684z00, BGl_z62lambda1865z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3329z00zz__ssl_sslz00, BgL_bgl_string3329za700za7za7_3685za7, "ssl-cipher-set-auto-1355", 24 );
DEFINE_STRING( BGl_string3249z00zz__ssl_sslz00, BgL_bgl_string3249za700za7za7_3686za7, "ssl-connection-start1275", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3320z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73687za7, BGl_z62sslzd2verifyzd2final1347z62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3240z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3688z00, BGl_z62securezd2contextzd2loadzd21267zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2socketzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2socketza73689za7, BGl_z62sslzd2socketzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3322z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73690za7, BGl_z62sslzd2cipherzd2init1349z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3160z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3691za7, BGl_z62zc3z04anonymousza32069ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3410z00zz__ssl_sslz00, BgL_bgl_string3410za700za7za7_3692za7, "&ssl-cipher-final", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3242z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3693z00, BGl_z62securezd2contextzd2setzd2c1269zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3161z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3694za7, BGl_z62zc3z04anonymousza32068ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3080z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3695za7, BGl_z62zc3z04anonymousza31845ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3411z00zz__ssl_sslz00, BgL_bgl_string3411za700za7za7_3696za7, "DH-GENERATOR-2 ssl-cipher $ssl-cipher-ctx $cipher-ctx $ssl-cipher $cipher ssl-verify ssl-sign ssl-hmac $ssl-hmac-ctx ssl-hash type $ssl-evp-md-ctx $md-ctx $ssl-evp-md $md dh public-key g q p %priv %pub %g %q $bignum %p $dh ssl-connection sent-shutdown received-shutdown err npn-protos selected-npn-protos procedure newsession-callback sni-context-callback info-callback reject-unauthorized obj server-name request-cert bool isserver ctx $ssl-session $next-session $bio-write $bio $bio-read $ssl secure-context bstring method $X509-store $ca-store $ssl-ctx private-key $private-key __ssl_ssl certificate $certificate $native dtlsv1 dtls tlsv1_3 tlsv1_2 tlsv1_1 tlsv1 tls ssl sslv3 sslv2 make-ssl-server-socket :ipv6 :backlog :name (:ipv6 :backlog :accepted-certs :CAs :pkey :cert :protocol :name) client-socket-use-ssl! (:CAs :accepted-certs :cert :pkey :protocol) :timeout :protocol :pkey :outbuf :inbuf :cert :accepted-certs :CAs make-ssl-client-socket (:CAs :accepted-certs :cert :inbuf :outbuf :pkey :protocol :timeout) s"
"slv23 ", 1030 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3324z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73697za7, BGl_z62sslzd2cipherzd2initiv1351z62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3162z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3698za7, BGl_z62zc3z04anonymousza32074ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3081z00zz__ssl_sslz00, BgL_bgl_za762lambda1843za7623699z00, BGl_z62lambda1843z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3331z00zz__ssl_sslz00, BgL_bgl_string3331za700za7za7_3700za7, "ssl-cipher-final1357", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3244z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3701z00, BGl_z62securezd2contextzd2setzd2o1271zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3163z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3702za7, BGl_z62zc3z04anonymousza32078ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3082z00zz__ssl_sslz00, BgL_bgl_za762lambda1840za7623703z00, BGl_z62lambda1840z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3332z00zz__ssl_sslz00, BgL_bgl_string3332za700za7za7_3704za7, "ssl-cipher-update!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3326z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73705za7, BGl_z62sslzd2cipherzd2updatez121353z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3251z00zz__ssl_sslz00, BgL_bgl_string3251za700za7za7_3706za7, "ssl-connection-close1277", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3164z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3707za7, BGl_z62zc3z04anonymousza32088ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3083z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3708za7, BGl_z62zc3z04anonymousza31885ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3333z00zz__ssl_sslz00, BgL_bgl_string3333za700za7za7_3709za7, "cannot update", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3246z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3710z00, BGl_z62sslzd2connectionzd2init1273z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3165z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3711za7, BGl_z62zc3z04anonymousza32092ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3084z00zz__ssl_sslz00, BgL_bgl_za762lambda1884za7623712z00, BGl_z62lambda1884z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3334z00zz__ssl_sslz00, BgL_bgl_string3334za700za7za7_3713za7, "ssl-cipher-initiv", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3328z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73714za7, BGl_z62sslzd2cipherzd2setzd2autozd21355z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3253z00zz__ssl_sslz00, BgL_bgl_string3253za700za7za7_3715za7, "ssl-connection-shutd1279", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3166z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3716za7, BGl_z62zc3z04anonymousza32102ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3085z00zz__ssl_sslz00, BgL_bgl_za762lambda1883za7623717z00, BGl_z62lambda1883z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3335z00zz__ssl_sslz00, BgL_bgl_string3335za700za7za7_3718za7, "ssl-cipher-init", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3248z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3719z00, BGl_z62sslzd2connectionzd2start1275z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3167z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3720za7, BGl_z62zc3z04anonymousza32106ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3086z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3721za7, BGl_z62zc3z04anonymousza31892ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3336z00zz__ssl_sslz00, BgL_bgl_string3336za700za7za7_3722za7, "ssl-verify-update!", 18 );
DEFINE_STRING( BGl_string3255z00zz__ssl_sslz00, BgL_bgl_string3255za700za7za7_3723za7, "ssl-connection-read1281", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3168z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3724za7, BGl_z62zc3z04anonymousza32116ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3087z00zz__ssl_sslz00, BgL_bgl_za762lambda1891za7623725z00, BGl_z62lambda1891z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3337z00zz__ssl_sslz00, BgL_bgl_string3337za700za7za7_3726za7, "ssl-verify", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3169z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3727za7, BGl_z62zc3z04anonymousza32120ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3088z00zz__ssl_sslz00, BgL_bgl_za762lambda1890za7623728z00, BGl_z62lambda1890z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3338z00zz__ssl_sslz00, BgL_bgl_string3338za700za7za7_3729za7, "Verify method not supported", 27 );
DEFINE_STRING( BGl_string3257z00zz__ssl_sslz00, BgL_bgl_string3257za700za7za7_3730za7, "ssl-connection-write1283", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3089z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3731za7, BGl_z62zc3z04anonymousza31899ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3339z00zz__ssl_sslz00, BgL_bgl_string3339za700za7za7_3732za7, "ssl-sign-sign", 13 );
DEFINE_STRING( BGl_string3259z00zz__ssl_sslz00, BgL_bgl_string3259za700za7za7_3733za7, "ssl-connection-clear1285", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7eza713734z00, BGl_z62dhzd2siza7ez17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2serverzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl_za762makeza7d2sslza7d23735za7, va_generic_entry, BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00, BUNSPEC, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3330z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73736za7, BGl_z62sslzd2cipherzd2final1357z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3250z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3737z00, BGl_z62sslzd2connectionzd2close1277z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3170z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3738za7, BGl_z62zc3z04anonymousza32129ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3252z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3739z00, BGl_z62sslzd2connectionzd2shutd1279z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3171z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3740za7, BGl_z62zc3z04anonymousza32133ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3090z00zz__ssl_sslz00, BgL_bgl_za762lambda1898za7623741z00, BGl_z62lambda1898z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3340z00zz__ssl_sslz00, BgL_bgl_string3340za700za7za7_3742za7, "cannot sign", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3172z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3743za7, BGl_z62zc3z04anonymousza32002ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3091z00zz__ssl_sslz00, BgL_bgl_za762lambda1897za7623744z00, BGl_z62lambda1897z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2issuerzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3745z00, BGl_z62certificatezd2issuerzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3341z00zz__ssl_sslz00, BgL_bgl_string3341za700za7za7_3746za7, "ssl-sign-update!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3254z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3747z00, BGl_z62sslzd2connectionzd2read1281z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3173z00zz__ssl_sslz00, BgL_bgl_za762lambda2000za7623748z00, BGl_z62lambda2000z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3092z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3749za7, BGl_z62zc3z04anonymousza31906ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3342z00zz__ssl_sslz00, BgL_bgl_string3342za700za7za7_3750za7, "ssl-sign", 8 );
DEFINE_STRING( BGl_string3261z00zz__ssl_sslz00, BgL_bgl_string3261za700za7za7_3751za7, "ssl-connection-clear1287", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3174z00zz__ssl_sslz00, BgL_bgl_za762lambda1997za7623752z00, BGl_z62lambda1997z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3093z00zz__ssl_sslz00, BgL_bgl_za762lambda1905za7623753z00, BGl_z62lambda1905z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3343z00zz__ssl_sslz00, BgL_bgl_string3343za700za7za7_3754za7, "Sign method not supported", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3256z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3755z00, BGl_z62sslzd2connectionzd2write1283z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3175z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3756za7, BGl_z62zc3z04anonymousza32155ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3094z00zz__ssl_sslz00, BgL_bgl_za762lambda1904za7623757z00, BGl_z62lambda1904z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3344z00zz__ssl_sslz00, BgL_bgl_string3344za700za7za7_3758za7, "ssl-hmac-digest", 15 );
DEFINE_STRING( BGl_string3263z00zz__ssl_sslz00, BgL_bgl_string3263za700za7za7_3759za7, "ssl-connection-init-1289", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3176z00zz__ssl_sslz00, BgL_bgl_za762lambda2154za7623760z00, BGl_z62lambda2154z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3095z00zz__ssl_sslz00, BgL_bgl_za762lambda1911za7623761z00, BGl_z62lambda1911z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3345z00zz__ssl_sslz00, BgL_bgl_string3345za700za7za7_3762za7, "cannot digest", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3258z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3763z00, BGl_z62sslzd2connectionzd2clear1285z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3177z00zz__ssl_sslz00, BgL_bgl_za762lambda2153za7623764z00, BGl_z62lambda2153z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3096z00zz__ssl_sslz00, BgL_bgl_za762lambda1910za7623765z00, BGl_z62lambda1910z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3346z00zz__ssl_sslz00, BgL_bgl_string3346za700za7za7_3766za7, "ssl-hmac-update!", 16 );
DEFINE_STRING( BGl_string3265z00zz__ssl_sslz00, BgL_bgl_string3265za700za7za7_3767za7, "ssl-connection-enc-p1291", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3178z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3768za7, BGl_z62zc3z04anonymousza32162ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3097z00zz__ssl_sslz00, BgL_bgl_za762lambda1916za7623769z00, BGl_z62lambda1916z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3347z00zz__ssl_sslz00, BgL_bgl_string3347za700za7za7_3770za7, "ssl-hmac", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3179z00zz__ssl_sslz00, BgL_bgl_za762lambda2161za7623771z00, BGl_z62lambda2161z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3098z00zz__ssl_sslz00, BgL_bgl_za762lambda1915za7623772z00, BGl_z62lambda1915z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3348z00zz__ssl_sslz00, BgL_bgl_string3348za700za7za7_3773za7, "Digest method not supported", 27 );
DEFINE_STRING( BGl_string3267z00zz__ssl_sslz00, BgL_bgl_string3267za700za7za7_3774za7, "ssl-connection-clear1293", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3099z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3775za7, BGl_z62zc3z04anonymousza31923ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string3349z00zz__ssl_sslz00, BgL_bgl_string3349za700za7za7_3776za7, "ssl-hash-digest", 15 );
DEFINE_STRING( BGl_string3269z00zz__ssl_sslz00, BgL_bgl_string3269za700za7za7_3777za7, "ssl-connection-set-s1295", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2getza7d2c3778za7, BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73779za7, BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3260z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3780z00, BGl_z62sslzd2connectionzd2clear1287z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BgL_bgl__secureza7d2contex3781za7, opt_generic_entry, BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3180z00zz__ssl_sslz00, BgL_bgl_za762lambda2160za7623782z00, BGl_z62lambda2160z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3262z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3783z00, BGl_z62sslzd2connectionzd2initzd21289zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3181z00zz__ssl_sslz00, BgL_bgl_za762lambda2167za7623784z00, BGl_z62lambda2167z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3350z00zz__ssl_sslz00, BgL_bgl_string3350za700za7za7_3785za7, "ssl-hash-update!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3182z00zz__ssl_sslz00, BgL_bgl_za762lambda2166za7623786z00, BGl_z62lambda2166z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3351z00zz__ssl_sslz00, BgL_bgl_string3351za700za7za7_3787za7, "ssl-hash", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3264z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3788z00, BGl_z62sslzd2connectionzd2enczd2p1291zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3183z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3789za7, BGl_z62zc3z04anonymousza32148ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3352z00zz__ssl_sslz00, BgL_bgl_string3352za700za7za7_3790za7, "dh-generate-parameters-ex", 25 );
DEFINE_STRING( BGl_string3271z00zz__ssl_sslz00, BgL_bgl_string3271za700za7za7_3791za7, "ssl-connection-get-s1297", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3184z00zz__ssl_sslz00, BgL_bgl_za762lambda2146za7623792z00, BGl_z62lambda2146z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52privatezd2keyzd2z42nativezd2envzc2zz__ssl_sslz00, BgL_bgl_za762za752privateza7d23793za7, BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3353z00zz__ssl_sslz00, BgL_bgl_string3353za700za7za7_3794za7, "Illegal generator", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3266z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3795z00, BGl_z62sslzd2connectionzd2clear1293z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3185z00zz__ssl_sslz00, BgL_bgl_za762lambda2143za7623796z00, BGl_z62lambda2143z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3354z00zz__ssl_sslz00, BgL_bgl_string3354za700za7za7_3797za7, "&secure-context-init", 20 );
DEFINE_STRING( BGl_string3273z00zz__ssl_sslz00, BgL_bgl_string3273za700za7za7_3798za7, "ssl-connection-get-c1299", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3186z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3799za7, BGl_z62zc3z04anonymousza32184ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3355z00zz__ssl_sslz00, BgL_bgl_string3355za700za7za7_3800za7, "&secure-context-close", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3268z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3801z00, BGl_z62sslzd2connectionzd2setzd2s1295zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3187z00zz__ssl_sslz00, BgL_bgl_za762lambda2183za7623802z00, BGl_z62lambda2183z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3356z00zz__ssl_sslz00, BgL_bgl_string3356za700za7za7_3803za7, "&secure-context-add-root-certs!", 31 );
DEFINE_STRING( BGl_string3275z00zz__ssl_sslz00, BgL_bgl_string3275za700za7za7_3804za7, "ssl-connection-load-1301", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3188z00zz__ssl_sslz00, BgL_bgl_za762lambda2182za7623805z00, BGl_z62lambda2182z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3357z00zz__ssl_sslz00, BgL_bgl_string3357za700za7za7_3806za7, "&secure-context-add-ca-cert!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3189z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3807za7, BGl_z62zc3z04anonymousza32191ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3358z00zz__ssl_sslz00, BgL_bgl_string3358za700za7za7_3808za7, "&secure-context-add-crl!", 24 );
DEFINE_STRING( BGl_string3277z00zz__ssl_sslz00, BgL_bgl_string3277za700za7za7_3809za7, "ssl-connection-verif1303", 24 );
DEFINE_STRING( BGl_string3359z00zz__ssl_sslz00, BgL_bgl_string3359za700za7za7_3810za7, "&secure-context-set-cert!", 25 );
DEFINE_STRING( BGl_string3279z00zz__ssl_sslz00, BgL_bgl_string3279za700za7za7_3811za7, "ssl-connection-get-p1305", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3812z00, BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3270z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3813z00, BGl_z62sslzd2connectionzd2getzd2s1297zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3190z00zz__ssl_sslz00, BgL_bgl_za762lambda2190za7623814z00, BGl_z62lambda2190z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3272z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3815z00, BGl_z62sslzd2connectionzd2getzd2c1299zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3191z00zz__ssl_sslz00, BgL_bgl_za762lambda2189za7623816z00, BGl_z62lambda2189z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3360z00zz__ssl_sslz00, BgL_bgl_string3360za700za7za7_3817za7, "&secure-context-set-session-id-context!", 39 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3192z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3818za7, BGl_z62zc3z04anonymousza32177ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3361z00zz__ssl_sslz00, BgL_bgl_string3361za700za7za7_3819za7, "&secure-context-load-pkcs12", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3274z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3820z00, BGl_z62sslzd2connectionzd2loadzd21301zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3193z00zz__ssl_sslz00, BgL_bgl_za762lambda2175za7623821z00, BGl_z62lambda2175z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3362z00zz__ssl_sslz00, BgL_bgl_string3362za700za7za7_3822za7, "&secure-context-set-ciphers!", 28 );
DEFINE_STRING( BGl_string3281z00zz__ssl_sslz00, BgL_bgl_string3281za700za7za7_3823za7, "ssl-connection-reuse1307", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3194z00zz__ssl_sslz00, BgL_bgl_za762lambda2173za7623824z00, BGl_z62lambda2173z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3363z00zz__ssl_sslz00, BgL_bgl_string3363za700za7za7_3825za7, "&secure-context-set-options!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3276z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3826z00, BGl_z62sslzd2connectionzd2verif1303z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3195z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3827za7, BGl_z62zc3z04anonymousza32209ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3364z00zz__ssl_sslz00, BgL_bgl_string3364za700za7za7_3828za7, "&ssl-connection-init", 20 );
DEFINE_STRING( BGl_string3283z00zz__ssl_sslz00, BgL_bgl_string3283za700za7za7_3829za7, "ssl-connection-get-n1309", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3196z00zz__ssl_sslz00, BgL_bgl_za762lambda2208za7623830z00, BGl_z62lambda2208z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3365z00zz__ssl_sslz00, BgL_bgl_string3365za700za7za7_3831za7, "ssl-connection", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3278z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3832z00, BGl_z62sslzd2connectionzd2getzd2p1305zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3197z00zz__ssl_sslz00, BgL_bgl_za762lambda2207za7623833z00, BGl_z62lambda2207z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3366z00zz__ssl_sslz00, BgL_bgl_string3366za700za7za7_3834za7, "&ssl-connection-start", 21 );
DEFINE_STRING( BGl_string3285z00zz__ssl_sslz00, BgL_bgl_string3285za700za7za7_3835za7, "dh-init1311", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3198z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3836za7, BGl_z62zc3z04anonymousza32216ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3367z00zz__ssl_sslz00, BgL_bgl_string3367za700za7za7_3837za7, "&ssl-connection-close", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3199z00zz__ssl_sslz00, BgL_bgl_za762lambda2215za7623838z00, BGl_z62lambda2215z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23839za7, BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3840z00, BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3368z00zz__ssl_sslz00, BgL_bgl_string3368za700za7za7_3841za7, "&ssl-connection-shutdown", 24 );
DEFINE_STRING( BGl_string3287z00zz__ssl_sslz00, BgL_bgl_string3287za700za7za7_3842za7, "dh-size1313", 11 );
DEFINE_STRING( BGl_string3369z00zz__ssl_sslz00, BgL_bgl_string3369za700za7za7_3843za7, "&ssl-connection-read", 20 );
DEFINE_STRING( BGl_string3289z00zz__ssl_sslz00, BgL_bgl_string3289za700za7za7_3844za7, "dh-generate-paramete1315", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bin2bnzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bin2bnza7b3845za7, BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73846za7, BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3847z00, BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3280z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3848z00, BGl_z62sslzd2connectionzd2reuse1307z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3282z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3849z00, BGl_z62sslzd2connectionzd2getzd2n1309zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3370z00zz__ssl_sslz00, BgL_bgl_string3370za700za7za7_3850za7, "&ssl-connection-write", 21 );
DEFINE_STRING( BGl_string3371z00zz__ssl_sslz00, BgL_bgl_string3371za700za7za7_3851za7, "&ssl-connection-clear-in", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3284z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2init13113852z00, BGl_z62dhzd2init1311zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3372z00zz__ssl_sslz00, BgL_bgl_string3372za700za7za7_3853za7, "&ssl-connection-clear-out", 25 );
DEFINE_STRING( BGl_string3291z00zz__ssl_sslz00, BgL_bgl_string3291za700za7za7_3854za7, "dh-check1317", 12 );
DEFINE_STRING( BGl_string3373z00zz__ssl_sslz00, BgL_bgl_string3373za700za7za7_3855za7, "&ssl-connection-init-finished?", 30 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3286z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7e133856za7, BGl_z62dhzd2siza7e1313z17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3374z00zz__ssl_sslz00, BgL_bgl_string3374za700za7za7_3857za7, "&ssl-connection-enc-pending", 27 );
DEFINE_STRING( BGl_string3293z00zz__ssl_sslz00, BgL_bgl_string3293za700za7za7_3858za7, "dh-check-pub-key1319", 20 );
DEFINE_STRING( BGl_string3375z00zz__ssl_sslz00, BgL_bgl_string3375za700za7za7_3859za7, "&ssl-connection-clear-pending", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3288z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3860z00, BGl_z62dhzd2generatezd2paramete1315z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3376z00zz__ssl_sslz00, BgL_bgl_string3376za700za7za7_3861za7, "&ssl-connection-set-session", 27 );
DEFINE_STRING( BGl_string3295z00zz__ssl_sslz00, BgL_bgl_string3295za700za7za7_3862za7, "dh-compute-key1321", 18 );
DEFINE_STRING( BGl_string3377z00zz__ssl_sslz00, BgL_bgl_string3377za700za7za7_3863za7, "&ssl-connection-get-session", 27 );
DEFINE_STRING( BGl_string3378z00zz__ssl_sslz00, BgL_bgl_string3378za700za7za7_3864za7, "&ssl-connection-get-current-cipher", 34 );
DEFINE_STRING( BGl_string3297z00zz__ssl_sslz00, BgL_bgl_string3297za700za7za7_3865za7, "dh-generate-key1323", 19 );
DEFINE_STRING( BGl_string3379z00zz__ssl_sslz00, BgL_bgl_string3379za700za7za7_3866za7, "&ssl-connection-load-session", 28 );
DEFINE_STRING( BGl_string3299z00zz__ssl_sslz00, BgL_bgl_string3299za700za7za7_3867za7, "ssl-hash-init1325", 17 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23868za7, BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23869za7, BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3290z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2check1313870z00, BGl_z62dhzd2check1317zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3292z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23871za7, BGl_z62dhzd2checkzd2pubzd2key1319zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3380z00zz__ssl_sslz00, BgL_bgl_string3380za700za7za7_3872za7, "&ssl-connection-verify-error", 28 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_clientzd2socketzd2usezd2sslz12zd2envz12zz__ssl_sslz00, BgL_bgl__clientza7d2socket3873za7, opt_generic_entry, BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_STRING( BGl_string3381z00zz__ssl_sslz00, BgL_bgl_string3381za700za7za7_3874za7, "&ssl-connection-get-peer-certificate", 36 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3294z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73875za7, BGl_z62dhzd2computezd2key1321z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3876z00, BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3382z00zz__ssl_sslz00, BgL_bgl_string3382za700za7za7_3877za7, "&ssl-connection-reused?", 23 );
DEFINE_STRING( BGl_string3383z00zz__ssl_sslz00, BgL_bgl_string3383za700za7za7_3878za7, "&ssl-connection-get-negotiated-protocol", 39 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3296z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3879z00, BGl_z62dhzd2generatezd2key1323z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3384z00zz__ssl_sslz00, BgL_bgl_string3384za700za7za7_3880za7, "&dh-init", 8 );
DEFINE_STRING( BGl_string3385z00zz__ssl_sslz00, BgL_bgl_string3385za700za7za7_3881za7, "dh", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3298z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23882za7, BGl_z62sslzd2hashzd2init1325z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3386z00zz__ssl_sslz00, BgL_bgl_string3386za700za7za7_3883za7, "&dh-size", 8 );
DEFINE_STRING( BGl_string3387z00zz__ssl_sslz00, BgL_bgl_string3387za700za7za7_3884za7, "&dh-generate-parameters-ex", 26 );
DEFINE_STRING( BGl_string3388z00zz__ssl_sslz00, BgL_bgl_string3388za700za7za7_3885za7, "symbol", 6 );
DEFINE_STRING( BGl_string3389z00zz__ssl_sslz00, BgL_bgl_string3389za700za7za7_3886za7, "&dh-check", 9 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3887z00, BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23888za7, BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23889za7, BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3390z00zz__ssl_sslz00, BgL_bgl_string3390za700za7za7_3890za7, "&dh-check-pub-key", 17 );
DEFINE_STRING( BGl_string3391z00zz__ssl_sslz00, BgL_bgl_string3391za700za7za7_3891za7, "&dh-compute-key", 15 );
DEFINE_STRING( BGl_string3392z00zz__ssl_sslz00, BgL_bgl_string3392za700za7za7_3892za7, "&dh-generate-key", 16 );
DEFINE_STRING( BGl_string3393z00zz__ssl_sslz00, BgL_bgl_string3393za700za7za7_3893za7, "&ssl-hash-init", 14 );
DEFINE_STRING( BGl_string3394z00zz__ssl_sslz00, BgL_bgl_string3394za700za7za7_3894za7, "&ssl-hash-update!", 17 );
DEFINE_STRING( BGl_string3395z00zz__ssl_sslz00, BgL_bgl_string3395za700za7za7_3895za7, "&ssl-hash-digest", 16 );
DEFINE_STRING( BGl_string3396z00zz__ssl_sslz00, BgL_bgl_string3396za700za7za7_3896za7, "&ssl-hmac-init", 14 );
DEFINE_STRING( BGl_string3397z00zz__ssl_sslz00, BgL_bgl_string3397za700za7za7_3897za7, "&ssl-hmac-update!", 17 );
DEFINE_STRING( BGl_string3398z00zz__ssl_sslz00, BgL_bgl_string3398za700za7za7_3898za7, "&ssl-hmac-digest", 16 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3899z00, BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3399z00zz__ssl_sslz00, BgL_bgl_string3399za700za7za7_3900za7, "&ssl-sign-init", 14 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3901z00, BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3902z00, BGl_z62securezd2contextzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3903z00, BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23904za7, BGl_z62sslzd2signzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2setzd2wordzd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2setza7d2wo3905za7, BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2hasheszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2h3906za7, BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2privatezd2keyzd2envz80zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2pri3907za7, BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3908z00, BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bn2binzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bn2binza7b3909za7, BGl_z62bnzd2bn2binzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73910za7, BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3911z00, BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2certificatezd2envz52zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2cer3912za7, BGl_z62z52makezd2certificateze2zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2privatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2privat3913z00, BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2numzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2numza7d2by3914za7, BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3915z00, BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2envz00zz__ssl_sslz00, BgL_bgl_za762pkcs5za7d2pbkdf3916z00, BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73917za7, BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23918za7, BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2certificatezd2envz00zz__ssl_sslz00, BgL_bgl_za762readza7d2certif3919z00, BGl_z62readzd2certificatezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23920za7, BGl_z62sslzd2signzd2signz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2clearzd2errorzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2clearza7d3921za7, BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2clientzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl__makeza7d2sslza7d2cl3922z00, opt_generic_entry, BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3923z00, BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3924z00, BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2versionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2version3925z00, BGl_z62sslzd2versionzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3926z00, BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73927za7, BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23928za7, BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3929z00, BGl_z62securezd2contextzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3930z00, BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3931z00, BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3932z00, BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3933z00, BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2statuszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23934za7, BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2freezd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2freeza7b0za73935z00, BGl_z62bnzd2freezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pseudozd2byteszd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23936za7, BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52certificatezd2z42nativezd2envz10zz__ssl_sslz00, BgL_bgl_za762za752certificat3937z00, BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2newzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2newza7b0za7za73938za7, BGl_z62bnzd2newzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3939z00, BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3940z00, BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3941z00, BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23942za7, BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pollzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23943za7, BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3944z00, BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73945za7, BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 6 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_certificatez00zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2signzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hmaczd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_privatezd2keyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2connectionzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2verifyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2cipherzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_securezd2contextzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_dhz00zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hashzd2zz__ssl_sslz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long BgL_checksumz00_8013, char * BgL_fromz00_8014)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ssl_sslz00))
{ 
BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__ssl_sslz00(); 
BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(); 
BGl_cnstzd2initzd2zz__ssl_sslz00(); 
BGl_objectzd2initzd2zz__ssl_sslz00(); 
BGl_genericzd2initzd2zz__ssl_sslz00(); 
return 
BGl_toplevelzd2initzd2zz__ssl_sslz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__socketz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ssl_ssl"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
 obj_t BgL_cportz00_5513;
{ /* Llib/ssl.scm 15 */
 obj_t BgL_stringz00_5521;
BgL_stringz00_5521 = BGl_string3411z00zz__ssl_sslz00; 
{ /* Llib/ssl.scm 15 */
 obj_t BgL_startz00_5522;
BgL_startz00_5522 = 
BINT(((long)0)); 
{ /* Llib/ssl.scm 15 */
 obj_t BgL_endz00_5523;
BgL_endz00_5523 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5521))); 
{ /* Llib/ssl.scm 15 */

BgL_cportz00_5513 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5521, BgL_startz00_5522, BgL_endz00_5523); } } } } 
{ 
 long BgL_iz00_5514;
BgL_iz00_5514 = ((long)90); 
BgL_loopz00_5515:
if(
(BgL_iz00_5514==((long)-1)))
{ /* Llib/ssl.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
 obj_t BgL_arg3413z00_5517;
{ /* Llib/ssl.scm 15 */

{ /* Llib/ssl.scm 15 */
 obj_t BgL_locationz00_5519;
BgL_locationz00_5519 = 
BBOOL(((bool_t)0)); 
{ /* Llib/ssl.scm 15 */

BgL_arg3413z00_5517 = 
BGl_readz00zz__readerz00(BgL_cportz00_5513, BgL_locationz00_5519); } } } 
{ /* Llib/ssl.scm 15 */
 int BgL_tmpz00_8049;
BgL_tmpz00_8049 = 
(int)(BgL_iz00_5514); 
CNST_TABLE_SET(BgL_tmpz00_8049, BgL_arg3413z00_5517); } } 
{ /* Llib/ssl.scm 15 */
 int BgL_auxz00_5520;
BgL_auxz00_5520 = 
(int)(
(BgL_iz00_5514-((long)1))); 
{ 
 long BgL_iz00_8054;
BgL_iz00_8054 = 
(long)(BgL_auxz00_5520); 
BgL_iz00_5514 = BgL_iz00_8054; 
goto BgL_loopz00_5515;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 

}



/* ssl-version */
BGL_EXPORTED_DEF char * BGl_sslzd2versionzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 570 */
return 
bgl_ssl_version();} 

}



/* &ssl-version */
obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t BgL_envz00_4008)
{
{ /* Llib/ssl.scm 570 */
return 
string_to_bstring(
BGl_sslzd2versionzd2zz__ssl_sslz00());} 

}



/* ssl-clear-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 578 */
ERR_clear_error(); BUNSPEC; 
return BTRUE;} 

}



/* &ssl-clear-error */
obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t BgL_envz00_4009)
{
{ /* Llib/ssl.scm 578 */
return 
BGl_sslzd2clearzd2errorz00zz__ssl_sslz00();} 

}



/* sanity-args-checks */
obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t BgL_funcz00_3, obj_t BgL_certz00_4, obj_t BgL_pkeyz00_5, obj_t BgL_casz00_6, obj_t BgL_acceptedzd2certszd2_7)
{
{ /* Llib/ssl.scm 586 */
{ /* Llib/ssl.scm 587 */
 bool_t BgL_test3948z00_8062;
if(
CBOOL(BgL_certz00_4))
{ /* Llib/ssl.scm 587 */
 obj_t BgL_classz00_1764;
BgL_classz00_1764 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 587 */
 BgL_objectz00_bglt BgL_arg1797z00_1766;
BgL_arg1797z00_1766 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
{ /* Llib/ssl.scm 587 */
 bool_t BgL_arg1794z00_1769; bool_t BgL_arg1795z00_1770;
{ /* Llib/ssl.scm 587 */
 long BgL_idxz00_1773;
BgL_idxz00_1773 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1766); 
BgL_arg1794z00_1769 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1773+((long)1)))==BgL_classz00_1764); } 
{ /* Llib/ssl.scm 587 */
 bool_t BgL_res2355z00_1795;
{ /* Llib/ssl.scm 587 */
 obj_t BgL_oclassz00_1781;
{ /* Llib/ssl.scm 587 */
 long BgL_arg1804z00_1787;
{ /* Llib/ssl.scm 587 */
 long BgL_arg1805z00_1788;
BgL_arg1805z00_1788 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1766); 
BgL_arg1804z00_1787 = 
(BgL_arg1805z00_1788-OBJECT_TYPE); } 
BgL_oclassz00_1781 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1787); } 
{ /* Llib/ssl.scm 587 */
 bool_t BgL__ortest_1111z00_1782;
BgL__ortest_1111z00_1782 = 
(BgL_classz00_1764==BgL_oclassz00_1781); 
if(BgL__ortest_1111z00_1782)
{ /* Llib/ssl.scm 587 */
BgL_res2355z00_1795 = BgL__ortest_1111z00_1782; }  else 
{ /* Llib/ssl.scm 587 */
 long BgL_odepthz00_1783;
BgL_odepthz00_1783 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1781); 
if(
(((long)1)<BgL_odepthz00_1783))
{ /* Llib/ssl.scm 587 */
 obj_t BgL_arg1793z00_1785;
BgL_arg1793z00_1785 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1781, ((long)1)); 
BgL_res2355z00_1795 = 
(BgL_arg1793z00_1785==BgL_classz00_1764); }  else 
{ /* Llib/ssl.scm 587 */
BgL_res2355z00_1795 = ((bool_t)0); } } } } 
BgL_arg1795z00_1770 = BgL_res2355z00_1795; } 
BgL_test3948z00_8062 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1769, BgL_arg1795z00_1770); } }  else 
{ /* Llib/ssl.scm 587 */
BgL_test3948z00_8062 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 587 */
BgL_test3948z00_8062 = ((bool_t)1)
; } 
if(BgL_test3948z00_8062)
{ /* Llib/ssl.scm 587 */BFALSE; }  else 
{ /* Llib/ssl.scm 587 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3019z00zz__ssl_sslz00, BgL_certz00_4); } } 
{ /* Llib/ssl.scm 589 */
 bool_t BgL_test3953z00_8084;
if(
CBOOL(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 589 */
 obj_t BgL_classz00_1796;
BgL_classz00_1796 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 589 */
 BgL_objectz00_bglt BgL_arg1797z00_1798;
BgL_arg1797z00_1798 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
{ /* Llib/ssl.scm 589 */
 bool_t BgL_arg1794z00_1801; bool_t BgL_arg1795z00_1802;
{ /* Llib/ssl.scm 589 */
 long BgL_idxz00_1805;
BgL_idxz00_1805 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1798); 
BgL_arg1794z00_1801 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1805+((long)1)))==BgL_classz00_1796); } 
{ /* Llib/ssl.scm 589 */
 bool_t BgL_res2356z00_1827;
{ /* Llib/ssl.scm 589 */
 obj_t BgL_oclassz00_1813;
{ /* Llib/ssl.scm 589 */
 long BgL_arg1804z00_1819;
{ /* Llib/ssl.scm 589 */
 long BgL_arg1805z00_1820;
BgL_arg1805z00_1820 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1798); 
BgL_arg1804z00_1819 = 
(BgL_arg1805z00_1820-OBJECT_TYPE); } 
BgL_oclassz00_1813 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1819); } 
{ /* Llib/ssl.scm 589 */
 bool_t BgL__ortest_1111z00_1814;
BgL__ortest_1111z00_1814 = 
(BgL_classz00_1796==BgL_oclassz00_1813); 
if(BgL__ortest_1111z00_1814)
{ /* Llib/ssl.scm 589 */
BgL_res2356z00_1827 = BgL__ortest_1111z00_1814; }  else 
{ /* Llib/ssl.scm 589 */
 long BgL_odepthz00_1815;
BgL_odepthz00_1815 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1813); 
if(
(((long)1)<BgL_odepthz00_1815))
{ /* Llib/ssl.scm 589 */
 obj_t BgL_arg1793z00_1817;
BgL_arg1793z00_1817 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1813, ((long)1)); 
BgL_res2356z00_1827 = 
(BgL_arg1793z00_1817==BgL_classz00_1796); }  else 
{ /* Llib/ssl.scm 589 */
BgL_res2356z00_1827 = ((bool_t)0); } } } } 
BgL_arg1795z00_1802 = BgL_res2356z00_1827; } 
BgL_test3953z00_8084 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1801, BgL_arg1795z00_1802); } }  else 
{ /* Llib/ssl.scm 589 */
BgL_test3953z00_8084 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 589 */
BgL_test3953z00_8084 = ((bool_t)1)
; } 
if(BgL_test3953z00_8084)
{ /* Llib/ssl.scm 589 */BFALSE; }  else 
{ /* Llib/ssl.scm 589 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3020z00zz__ssl_sslz00, BgL_pkeyz00_5); } } 
{ /* Llib/ssl.scm 591 */
 bool_t BgL_test3958z00_8106;
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_6))
{ 
 obj_t BgL_l1181z00_211;
BgL_l1181z00_211 = BgL_casz00_6; 
BgL_zc3z04anonymousza31386ze3z87_212:
if(
NULLP(BgL_l1181z00_211))
{ /* Llib/ssl.scm 591 */
BgL_test3958z00_8106 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 591 */
 bool_t BgL_test3961z00_8111;
{ /* Llib/ssl.scm 591 */
 obj_t BgL_cz00_217;
BgL_cz00_217 = 
CAR(
((obj_t)BgL_l1181z00_211)); 
{ /* Llib/ssl.scm 591 */
 obj_t BgL_classz00_1829;
BgL_classz00_1829 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_cz00_217))
{ /* Llib/ssl.scm 591 */
 BgL_objectz00_bglt BgL_arg1797z00_1831;
BgL_arg1797z00_1831 = 
(BgL_objectz00_bglt)(BgL_cz00_217); 
{ /* Llib/ssl.scm 591 */
 bool_t BgL_arg1794z00_1834; bool_t BgL_arg1795z00_1835;
{ /* Llib/ssl.scm 591 */
 long BgL_idxz00_1838;
BgL_idxz00_1838 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1831); 
BgL_arg1794z00_1834 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1838+((long)1)))==BgL_classz00_1829); } 
{ /* Llib/ssl.scm 591 */
 bool_t BgL_res2357z00_1860;
{ /* Llib/ssl.scm 591 */
 obj_t BgL_oclassz00_1846;
{ /* Llib/ssl.scm 591 */
 long BgL_arg1804z00_1852;
{ /* Llib/ssl.scm 591 */
 long BgL_arg1805z00_1853;
BgL_arg1805z00_1853 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1831); 
BgL_arg1804z00_1852 = 
(BgL_arg1805z00_1853-OBJECT_TYPE); } 
BgL_oclassz00_1846 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1852); } 
{ /* Llib/ssl.scm 591 */
 bool_t BgL__ortest_1111z00_1847;
BgL__ortest_1111z00_1847 = 
(BgL_classz00_1829==BgL_oclassz00_1846); 
if(BgL__ortest_1111z00_1847)
{ /* Llib/ssl.scm 591 */
BgL_res2357z00_1860 = BgL__ortest_1111z00_1847; }  else 
{ /* Llib/ssl.scm 591 */
 long BgL_odepthz00_1848;
BgL_odepthz00_1848 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1846); 
if(
(((long)1)<BgL_odepthz00_1848))
{ /* Llib/ssl.scm 591 */
 obj_t BgL_arg1793z00_1850;
BgL_arg1793z00_1850 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1846, ((long)1)); 
BgL_res2357z00_1860 = 
(BgL_arg1793z00_1850==BgL_classz00_1829); }  else 
{ /* Llib/ssl.scm 591 */
BgL_res2357z00_1860 = ((bool_t)0); } } } } 
BgL_arg1795z00_1835 = BgL_res2357z00_1860; } 
BgL_test3961z00_8111 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1834, BgL_arg1795z00_1835); } }  else 
{ /* Llib/ssl.scm 591 */
BgL_test3961z00_8111 = ((bool_t)0)
; } } } 
if(BgL_test3961z00_8111)
{ 
 obj_t BgL_l1181z00_8132;
BgL_l1181z00_8132 = 
CDR(
((obj_t)BgL_l1181z00_211)); 
BgL_l1181z00_211 = BgL_l1181z00_8132; 
goto BgL_zc3z04anonymousza31386ze3z87_212;}  else 
{ /* Llib/ssl.scm 591 */
BgL_test3958z00_8106 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 591 */
BgL_test3958z00_8106 = ((bool_t)0)
; } 
if(BgL_test3958z00_8106)
{ /* Llib/ssl.scm 591 */BFALSE; }  else 
{ /* Llib/ssl.scm 591 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3021z00zz__ssl_sslz00, BgL_casz00_6); } } 
{ /* Llib/ssl.scm 593 */
 bool_t BgL_test3965z00_8136;
if(
CBOOL(BgL_acceptedzd2certszd2_7))
{ /* Llib/ssl.scm 593 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_acceptedzd2certszd2_7))
{ 
 obj_t BgL_l1184z00_232;
BgL_l1184z00_232 = BgL_acceptedzd2certszd2_7; 
BgL_zc3z04anonymousza31458ze3z87_233:
if(
NULLP(BgL_l1184z00_232))
{ /* Llib/ssl.scm 595 */
BgL_test3965z00_8136 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 595 */
 bool_t BgL_test3969z00_8143;
{ /* Llib/ssl.scm 595 */
 obj_t BgL_cz00_238;
BgL_cz00_238 = 
CAR(
((obj_t)BgL_l1184z00_232)); 
{ /* Llib/ssl.scm 595 */
 obj_t BgL_classz00_1863;
BgL_classz00_1863 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_cz00_238))
{ /* Llib/ssl.scm 595 */
 BgL_objectz00_bglt BgL_arg1797z00_1865;
BgL_arg1797z00_1865 = 
(BgL_objectz00_bglt)(BgL_cz00_238); 
{ /* Llib/ssl.scm 595 */
 bool_t BgL_arg1794z00_1868; bool_t BgL_arg1795z00_1869;
{ /* Llib/ssl.scm 595 */
 long BgL_idxz00_1872;
BgL_idxz00_1872 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1865); 
BgL_arg1794z00_1868 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1872+((long)1)))==BgL_classz00_1863); } 
{ /* Llib/ssl.scm 595 */
 bool_t BgL_res2358z00_1894;
{ /* Llib/ssl.scm 595 */
 obj_t BgL_oclassz00_1880;
{ /* Llib/ssl.scm 595 */
 long BgL_arg1804z00_1886;
{ /* Llib/ssl.scm 595 */
 long BgL_arg1805z00_1887;
BgL_arg1805z00_1887 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1865); 
BgL_arg1804z00_1886 = 
(BgL_arg1805z00_1887-OBJECT_TYPE); } 
BgL_oclassz00_1880 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1886); } 
{ /* Llib/ssl.scm 595 */
 bool_t BgL__ortest_1111z00_1881;
BgL__ortest_1111z00_1881 = 
(BgL_classz00_1863==BgL_oclassz00_1880); 
if(BgL__ortest_1111z00_1881)
{ /* Llib/ssl.scm 595 */
BgL_res2358z00_1894 = BgL__ortest_1111z00_1881; }  else 
{ /* Llib/ssl.scm 595 */
 long BgL_odepthz00_1882;
BgL_odepthz00_1882 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1880); 
if(
(((long)1)<BgL_odepthz00_1882))
{ /* Llib/ssl.scm 595 */
 obj_t BgL_arg1793z00_1884;
BgL_arg1793z00_1884 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1880, ((long)1)); 
BgL_res2358z00_1894 = 
(BgL_arg1793z00_1884==BgL_classz00_1863); }  else 
{ /* Llib/ssl.scm 595 */
BgL_res2358z00_1894 = ((bool_t)0); } } } } 
BgL_arg1795z00_1869 = BgL_res2358z00_1894; } 
BgL_test3969z00_8143 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1868, BgL_arg1795z00_1869); } }  else 
{ /* Llib/ssl.scm 595 */
BgL_test3969z00_8143 = ((bool_t)0)
; } } } 
if(BgL_test3969z00_8143)
{ 
 obj_t BgL_l1184z00_8164;
BgL_l1184z00_8164 = 
CDR(
((obj_t)BgL_l1184z00_232)); 
BgL_l1184z00_232 = BgL_l1184z00_8164; 
goto BgL_zc3z04anonymousza31458ze3z87_233;}  else 
{ /* Llib/ssl.scm 595 */
BgL_test3965z00_8136 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 594 */
BgL_test3965z00_8136 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 593 */
BgL_test3965z00_8136 = ((bool_t)1)
; } 
if(BgL_test3965z00_8136)
{ /* Llib/ssl.scm 593 */BFALSE; }  else 
{ /* Llib/ssl.scm 593 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3022z00zz__ssl_sslz00, BgL_acceptedzd2certszd2_7); } } 
{ /* Llib/ssl.scm 597 */
 bool_t BgL_test3973z00_8168;
{ /* Llib/ssl.scm 597 */
 bool_t BgL_test3974z00_8169;
{ /* Llib/ssl.scm 597 */
 bool_t BgL_test3975z00_8170;
{ /* Llib/ssl.scm 597 */
 obj_t BgL_classz00_1896;
BgL_classz00_1896 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 597 */
 BgL_objectz00_bglt BgL_arg1797z00_1898;
BgL_arg1797z00_1898 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
{ /* Llib/ssl.scm 597 */
 bool_t BgL_arg1794z00_1901; bool_t BgL_arg1795z00_1902;
{ /* Llib/ssl.scm 597 */
 long BgL_idxz00_1905;
BgL_idxz00_1905 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1898); 
BgL_arg1794z00_1901 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1905+((long)1)))==BgL_classz00_1896); } 
{ /* Llib/ssl.scm 597 */
 bool_t BgL_res2359z00_1927;
{ /* Llib/ssl.scm 597 */
 obj_t BgL_oclassz00_1913;
{ /* Llib/ssl.scm 597 */
 long BgL_arg1804z00_1919;
{ /* Llib/ssl.scm 597 */
 long BgL_arg1805z00_1920;
BgL_arg1805z00_1920 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1898); 
BgL_arg1804z00_1919 = 
(BgL_arg1805z00_1920-OBJECT_TYPE); } 
BgL_oclassz00_1913 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1919); } 
{ /* Llib/ssl.scm 597 */
 bool_t BgL__ortest_1111z00_1914;
BgL__ortest_1111z00_1914 = 
(BgL_classz00_1896==BgL_oclassz00_1913); 
if(BgL__ortest_1111z00_1914)
{ /* Llib/ssl.scm 597 */
BgL_res2359z00_1927 = BgL__ortest_1111z00_1914; }  else 
{ /* Llib/ssl.scm 597 */
 long BgL_odepthz00_1915;
BgL_odepthz00_1915 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1913); 
if(
(((long)1)<BgL_odepthz00_1915))
{ /* Llib/ssl.scm 597 */
 obj_t BgL_arg1793z00_1917;
BgL_arg1793z00_1917 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1913, ((long)1)); 
BgL_res2359z00_1927 = 
(BgL_arg1793z00_1917==BgL_classz00_1896); }  else 
{ /* Llib/ssl.scm 597 */
BgL_res2359z00_1927 = ((bool_t)0); } } } } 
BgL_arg1795z00_1902 = BgL_res2359z00_1927; } 
BgL_test3975z00_8170 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1901, BgL_arg1795z00_1902); } }  else 
{ /* Llib/ssl.scm 597 */
BgL_test3975z00_8170 = ((bool_t)0)
; } } 
if(BgL_test3975z00_8170)
{ /* Llib/ssl.scm 597 */
 bool_t BgL_test3979z00_8189;
{ /* Llib/ssl.scm 597 */
 obj_t BgL_classz00_1928;
BgL_classz00_1928 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 597 */
 BgL_objectz00_bglt BgL_arg1797z00_1930;
BgL_arg1797z00_1930 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
{ /* Llib/ssl.scm 597 */
 bool_t BgL_arg1794z00_1933; bool_t BgL_arg1795z00_1934;
{ /* Llib/ssl.scm 597 */
 long BgL_idxz00_1937;
BgL_idxz00_1937 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1930); 
BgL_arg1794z00_1933 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1937+((long)1)))==BgL_classz00_1928); } 
{ /* Llib/ssl.scm 597 */
 bool_t BgL_res2360z00_1959;
{ /* Llib/ssl.scm 597 */
 obj_t BgL_oclassz00_1945;
{ /* Llib/ssl.scm 597 */
 long BgL_arg1804z00_1951;
{ /* Llib/ssl.scm 597 */
 long BgL_arg1805z00_1952;
BgL_arg1805z00_1952 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1930); 
BgL_arg1804z00_1951 = 
(BgL_arg1805z00_1952-OBJECT_TYPE); } 
BgL_oclassz00_1945 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1951); } 
{ /* Llib/ssl.scm 597 */
 bool_t BgL__ortest_1111z00_1946;
BgL__ortest_1111z00_1946 = 
(BgL_classz00_1928==BgL_oclassz00_1945); 
if(BgL__ortest_1111z00_1946)
{ /* Llib/ssl.scm 597 */
BgL_res2360z00_1959 = BgL__ortest_1111z00_1946; }  else 
{ /* Llib/ssl.scm 597 */
 long BgL_odepthz00_1947;
BgL_odepthz00_1947 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1945); 
if(
(((long)1)<BgL_odepthz00_1947))
{ /* Llib/ssl.scm 597 */
 obj_t BgL_arg1793z00_1949;
BgL_arg1793z00_1949 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1945, ((long)1)); 
BgL_res2360z00_1959 = 
(BgL_arg1793z00_1949==BgL_classz00_1928); }  else 
{ /* Llib/ssl.scm 597 */
BgL_res2360z00_1959 = ((bool_t)0); } } } } 
BgL_arg1795z00_1934 = BgL_res2360z00_1959; } 
BgL_test3979z00_8189 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1933, BgL_arg1795z00_1934); } }  else 
{ /* Llib/ssl.scm 597 */
BgL_test3979z00_8189 = ((bool_t)0)
; } } 
if(BgL_test3979z00_8189)
{ /* Llib/ssl.scm 597 */
BgL_test3974z00_8169 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 597 */
BgL_test3974z00_8169 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 597 */
BgL_test3974z00_8169 = ((bool_t)0)
; } } 
if(BgL_test3974z00_8169)
{ /* Llib/ssl.scm 597 */
BgL_test3973z00_8168 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3983z00_8208;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_classz00_1960;
BgL_classz00_1960 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 598 */
 BgL_objectz00_bglt BgL_arg1797z00_1962;
BgL_arg1797z00_1962 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_arg1794z00_1965; bool_t BgL_arg1795z00_1966;
{ /* Llib/ssl.scm 598 */
 long BgL_idxz00_1969;
BgL_idxz00_1969 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1962); 
BgL_arg1794z00_1965 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1969+((long)1)))==BgL_classz00_1960); } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_res2361z00_1991;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_oclassz00_1977;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1804z00_1983;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1805z00_1984;
BgL_arg1805z00_1984 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1962); 
BgL_arg1804z00_1983 = 
(BgL_arg1805z00_1984-OBJECT_TYPE); } 
BgL_oclassz00_1977 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_1983); } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL__ortest_1111z00_1978;
BgL__ortest_1111z00_1978 = 
(BgL_classz00_1960==BgL_oclassz00_1977); 
if(BgL__ortest_1111z00_1978)
{ /* Llib/ssl.scm 598 */
BgL_res2361z00_1991 = BgL__ortest_1111z00_1978; }  else 
{ /* Llib/ssl.scm 598 */
 long BgL_odepthz00_1979;
BgL_odepthz00_1979 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1977); 
if(
(((long)1)<BgL_odepthz00_1979))
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1793z00_1981;
BgL_arg1793z00_1981 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1977, ((long)1)); 
BgL_res2361z00_1991 = 
(BgL_arg1793z00_1981==BgL_classz00_1960); }  else 
{ /* Llib/ssl.scm 598 */
BgL_res2361z00_1991 = ((bool_t)0); } } } } 
BgL_arg1795z00_1966 = BgL_res2361z00_1991; } 
BgL_test3983z00_8208 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1965, BgL_arg1795z00_1966); } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3983z00_8208 = ((bool_t)0)
; } } 
if(BgL_test3983z00_8208)
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3987z00_8227;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_classz00_1992;
BgL_classz00_1992 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 598 */
 BgL_objectz00_bglt BgL_arg1797z00_1994;
BgL_arg1797z00_1994 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_arg1794z00_1997; bool_t BgL_arg1795z00_1998;
{ /* Llib/ssl.scm 598 */
 long BgL_idxz00_2001;
BgL_idxz00_2001 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_1994); 
BgL_arg1794z00_1997 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2001+((long)1)))==BgL_classz00_1992); } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_res2362z00_2023;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_oclassz00_2009;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1804z00_2015;
{ /* Llib/ssl.scm 598 */
 long BgL_arg1805z00_2016;
BgL_arg1805z00_2016 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_1994); 
BgL_arg1804z00_2015 = 
(BgL_arg1805z00_2016-OBJECT_TYPE); } 
BgL_oclassz00_2009 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_2015); } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL__ortest_1111z00_2010;
BgL__ortest_1111z00_2010 = 
(BgL_classz00_1992==BgL_oclassz00_2009); 
if(BgL__ortest_1111z00_2010)
{ /* Llib/ssl.scm 598 */
BgL_res2362z00_2023 = BgL__ortest_1111z00_2010; }  else 
{ /* Llib/ssl.scm 598 */
 long BgL_odepthz00_2011;
BgL_odepthz00_2011 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2009); 
if(
(((long)1)<BgL_odepthz00_2011))
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1793z00_2013;
BgL_arg1793z00_2013 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2009, ((long)1)); 
BgL_res2362z00_2023 = 
(BgL_arg1793z00_2013==BgL_classz00_1992); }  else 
{ /* Llib/ssl.scm 598 */
BgL_res2362z00_2023 = ((bool_t)0); } } } } 
BgL_arg1795z00_1998 = BgL_res2362z00_2023; } 
BgL_test3987z00_8227 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_1997, BgL_arg1795z00_1998); } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3987z00_8227 = ((bool_t)0)
; } } 
if(BgL_test3987z00_8227)
{ /* Llib/ssl.scm 598 */
BgL_test3973z00_8168 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3973z00_8168 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3973z00_8168 = ((bool_t)0)
; } } } 
if(BgL_test3973z00_8168)
{ /* Llib/ssl.scm 601 */
 obj_t BgL_arg1541z00_248;
{ /* Llib/ssl.scm 601 */
 obj_t BgL_list1542z00_249;
{ /* Llib/ssl.scm 601 */
 obj_t BgL_arg1554z00_250;
BgL_arg1554z00_250 = 
MAKE_YOUNG_PAIR(BgL_certz00_4, BNIL); 
BgL_list1542z00_249 = 
MAKE_YOUNG_PAIR(BgL_pkeyz00_5, BgL_arg1554z00_250); } 
BgL_arg1541z00_248 = BgL_list1542z00_249; } 
return 
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3023z00zz__ssl_sslz00, BgL_arg1541z00_248);}  else 
{ /* Llib/ssl.scm 597 */
return BFALSE;} } } 

}



/* _make-ssl-client-socket */
obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_env1213z00_19, obj_t BgL_opt1212z00_18)
{
{ /* Llib/ssl.scm 606 */
{ /* Llib/ssl.scm 606 */
 obj_t BgL_g1226z00_260; obj_t BgL_g1228z00_261;
BgL_g1226z00_260 = 
VECTOR_REF(BgL_opt1212z00_18,((long)0)); 
BgL_g1228z00_261 = 
VECTOR_REF(BgL_opt1212z00_18,((long)1)); 
{ /* Llib/ssl.scm 612 */
 obj_t BgL_casz00_262;
BgL_casz00_262 = BNIL; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_acceptedzd2certszd2_263;
BgL_acceptedzd2certszd2_263 = BFALSE; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_certz00_264;
BgL_certz00_264 = BFALSE; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_inbufz00_265;
BgL_inbufz00_265 = BTRUE; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_outbufz00_266;
BgL_outbufz00_266 = BTRUE; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_pkeyz00_267;
BgL_pkeyz00_267 = BFALSE; 
{ /* Llib/ssl.scm 610 */
 obj_t BgL_protocolz00_268;
BgL_protocolz00_268 = 
CNST_TABLE_REF(((long)0)); 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_timeoutz00_269;
BgL_timeoutz00_269 = 
BINT(((long)0)); 
{ /* Llib/ssl.scm 606 */

{ 
 long BgL_iz00_270;
BgL_iz00_270 = ((long)2); 
BgL_check1216z00_271:
if(
(BgL_iz00_270==
VECTOR_LENGTH(BgL_opt1212z00_18)))
{ /* Llib/ssl.scm 606 */BNIL; }  else 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3992z00_8256;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_arg1574z00_277;
BgL_arg1574z00_277 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_iz00_270); 
BgL_test3992z00_8256 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1574z00_277, 
CNST_TABLE_REF(((long)1)))); } 
if(BgL_test3992z00_8256)
{ 
 long BgL_iz00_8261;
BgL_iz00_8261 = 
(BgL_iz00_270+((long)2)); 
BgL_iz00_270 = BgL_iz00_8261; 
goto BgL_check1216z00_271;}  else 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_arg1573z00_276;
BgL_arg1573z00_276 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_iz00_270); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BGl_string3024z00zz__ssl_sslz00, BgL_arg1573z00_276); } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1218z00_278;
BgL_index1218z00_278 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)3)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3993z00_8269;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2040;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8270;
if(
INTEGERP(BgL_index1218z00_278))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8270 = BgL_index1218z00_278
; }  else 
{ 
 obj_t BgL_auxz00_8273;
BgL_auxz00_8273 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1218z00_278); 
FAILURE(BgL_auxz00_8273,BFALSE,BFALSE);} 
BgL_n1z00_2040 = 
(long)CINT(BgL_tmpz00_8270); } 
BgL_test3993z00_8269 = 
(BgL_n1z00_2040>=((long)0)); } 
if(BgL_test3993z00_8269)
{ 
 long BgL_auxz00_8279;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8280;
if(
INTEGERP(BgL_index1218z00_278))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8280 = BgL_index1218z00_278
; }  else 
{ 
 obj_t BgL_auxz00_8283;
BgL_auxz00_8283 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1218z00_278); 
FAILURE(BgL_auxz00_8283,BFALSE,BFALSE);} 
BgL_auxz00_8279 = 
(long)CINT(BgL_tmpz00_8280); } 
BgL_casz00_262 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_8279); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1219z00_280;
BgL_index1219z00_280 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)4)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3996z00_8292;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2041;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8293;
if(
INTEGERP(BgL_index1219z00_280))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8293 = BgL_index1219z00_280
; }  else 
{ 
 obj_t BgL_auxz00_8296;
BgL_auxz00_8296 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1219z00_280); 
FAILURE(BgL_auxz00_8296,BFALSE,BFALSE);} 
BgL_n1z00_2041 = 
(long)CINT(BgL_tmpz00_8293); } 
BgL_test3996z00_8292 = 
(BgL_n1z00_2041>=((long)0)); } 
if(BgL_test3996z00_8292)
{ 
 long BgL_auxz00_8302;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8303;
if(
INTEGERP(BgL_index1219z00_280))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8303 = BgL_index1219z00_280
; }  else 
{ 
 obj_t BgL_auxz00_8306;
BgL_auxz00_8306 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1219z00_280); 
FAILURE(BgL_auxz00_8306,BFALSE,BFALSE);} 
BgL_auxz00_8302 = 
(long)CINT(BgL_tmpz00_8303); } 
BgL_acceptedzd2certszd2_263 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_8302); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1220z00_282;
BgL_index1220z00_282 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)5)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3999z00_8315;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2042;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8316;
if(
INTEGERP(BgL_index1220z00_282))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8316 = BgL_index1220z00_282
; }  else 
{ 
 obj_t BgL_auxz00_8319;
BgL_auxz00_8319 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1220z00_282); 
FAILURE(BgL_auxz00_8319,BFALSE,BFALSE);} 
BgL_n1z00_2042 = 
(long)CINT(BgL_tmpz00_8316); } 
BgL_test3999z00_8315 = 
(BgL_n1z00_2042>=((long)0)); } 
if(BgL_test3999z00_8315)
{ 
 long BgL_auxz00_8325;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8326;
if(
INTEGERP(BgL_index1220z00_282))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8326 = BgL_index1220z00_282
; }  else 
{ 
 obj_t BgL_auxz00_8329;
BgL_auxz00_8329 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1220z00_282); 
FAILURE(BgL_auxz00_8329,BFALSE,BFALSE);} 
BgL_auxz00_8325 = 
(long)CINT(BgL_tmpz00_8326); } 
BgL_certz00_264 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_8325); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1221z00_284;
BgL_index1221z00_284 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)6)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test4002z00_8338;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2043;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8339;
if(
INTEGERP(BgL_index1221z00_284))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8339 = BgL_index1221z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8342;
BgL_auxz00_8342 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1221z00_284); 
FAILURE(BgL_auxz00_8342,BFALSE,BFALSE);} 
BgL_n1z00_2043 = 
(long)CINT(BgL_tmpz00_8339); } 
BgL_test4002z00_8338 = 
(BgL_n1z00_2043>=((long)0)); } 
if(BgL_test4002z00_8338)
{ 
 long BgL_auxz00_8348;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8349;
if(
INTEGERP(BgL_index1221z00_284))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8349 = BgL_index1221z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8352;
BgL_auxz00_8352 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1221z00_284); 
FAILURE(BgL_auxz00_8352,BFALSE,BFALSE);} 
BgL_auxz00_8348 = 
(long)CINT(BgL_tmpz00_8349); } 
BgL_inbufz00_265 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_8348); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1222z00_286;
BgL_index1222z00_286 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)7)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test4005z00_8361;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2044;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8362;
if(
INTEGERP(BgL_index1222z00_286))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8362 = BgL_index1222z00_286
; }  else 
{ 
 obj_t BgL_auxz00_8365;
BgL_auxz00_8365 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1222z00_286); 
FAILURE(BgL_auxz00_8365,BFALSE,BFALSE);} 
BgL_n1z00_2044 = 
(long)CINT(BgL_tmpz00_8362); } 
BgL_test4005z00_8361 = 
(BgL_n1z00_2044>=((long)0)); } 
if(BgL_test4005z00_8361)
{ 
 long BgL_auxz00_8371;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8372;
if(
INTEGERP(BgL_index1222z00_286))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8372 = BgL_index1222z00_286
; }  else 
{ 
 obj_t BgL_auxz00_8375;
BgL_auxz00_8375 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1222z00_286); 
FAILURE(BgL_auxz00_8375,BFALSE,BFALSE);} 
BgL_auxz00_8371 = 
(long)CINT(BgL_tmpz00_8372); } 
BgL_outbufz00_266 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_8371); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1223z00_288;
BgL_index1223z00_288 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)8)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test4008z00_8384;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2045;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8385;
if(
INTEGERP(BgL_index1223z00_288))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8385 = BgL_index1223z00_288
; }  else 
{ 
 obj_t BgL_auxz00_8388;
BgL_auxz00_8388 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1223z00_288); 
FAILURE(BgL_auxz00_8388,BFALSE,BFALSE);} 
BgL_n1z00_2045 = 
(long)CINT(BgL_tmpz00_8385); } 
BgL_test4008z00_8384 = 
(BgL_n1z00_2045>=((long)0)); } 
if(BgL_test4008z00_8384)
{ 
 long BgL_auxz00_8394;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8395;
if(
INTEGERP(BgL_index1223z00_288))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8395 = BgL_index1223z00_288
; }  else 
{ 
 obj_t BgL_auxz00_8398;
BgL_auxz00_8398 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1223z00_288); 
FAILURE(BgL_auxz00_8398,BFALSE,BFALSE);} 
BgL_auxz00_8394 = 
(long)CINT(BgL_tmpz00_8395); } 
BgL_pkeyz00_267 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_8394); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1224z00_290;
BgL_index1224z00_290 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)9)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test4011z00_8407;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2046;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8408;
if(
INTEGERP(BgL_index1224z00_290))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8408 = BgL_index1224z00_290
; }  else 
{ 
 obj_t BgL_auxz00_8411;
BgL_auxz00_8411 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1224z00_290); 
FAILURE(BgL_auxz00_8411,BFALSE,BFALSE);} 
BgL_n1z00_2046 = 
(long)CINT(BgL_tmpz00_8408); } 
BgL_test4011z00_8407 = 
(BgL_n1z00_2046>=((long)0)); } 
if(BgL_test4011z00_8407)
{ 
 long BgL_auxz00_8417;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8418;
if(
INTEGERP(BgL_index1224z00_290))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8418 = BgL_index1224z00_290
; }  else 
{ 
 obj_t BgL_auxz00_8421;
BgL_auxz00_8421 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1224z00_290); 
FAILURE(BgL_auxz00_8421,BFALSE,BFALSE);} 
BgL_auxz00_8417 = 
(long)CINT(BgL_tmpz00_8418); } 
BgL_protocolz00_268 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_8417); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_index1225z00_292;
BgL_index1225z00_292 = 
BGl_search1215ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1212z00_18), BgL_opt1212z00_18, 
CNST_TABLE_REF(((long)10)), ((long)2)); 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test4014z00_8430;
{ /* Llib/ssl.scm 606 */
 long BgL_n1z00_2047;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8431;
if(
INTEGERP(BgL_index1225z00_292))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8431 = BgL_index1225z00_292
; }  else 
{ 
 obj_t BgL_auxz00_8434;
BgL_auxz00_8434 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1225z00_292); 
FAILURE(BgL_auxz00_8434,BFALSE,BFALSE);} 
BgL_n1z00_2047 = 
(long)CINT(BgL_tmpz00_8431); } 
BgL_test4014z00_8430 = 
(BgL_n1z00_2047>=((long)0)); } 
if(BgL_test4014z00_8430)
{ 
 long BgL_auxz00_8440;
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8441;
if(
INTEGERP(BgL_index1225z00_292))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8441 = BgL_index1225z00_292
; }  else 
{ 
 obj_t BgL_auxz00_8444;
BgL_auxz00_8444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1225z00_292); 
FAILURE(BgL_auxz00_8444,BFALSE,BFALSE);} 
BgL_auxz00_8440 = 
(long)CINT(BgL_tmpz00_8441); } 
BgL_timeoutz00_269 = 
VECTOR_REF(BgL_opt1212z00_18,BgL_auxz00_8440); }  else 
{ /* Llib/ssl.scm 606 */BFALSE; } } } 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_arg1590z00_294; obj_t BgL_arg1591z00_295;
BgL_arg1590z00_294 = 
VECTOR_REF(BgL_opt1212z00_18,((long)0)); 
BgL_arg1591z00_295 = 
VECTOR_REF(BgL_opt1212z00_18,((long)1)); 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_casz00_296;
BgL_casz00_296 = BgL_casz00_262; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_acceptedzd2certszd2_297;
BgL_acceptedzd2certszd2_297 = BgL_acceptedzd2certszd2_263; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_certz00_298;
BgL_certz00_298 = BgL_certz00_264; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_inbufz00_299;
BgL_inbufz00_299 = BgL_inbufz00_265; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_outbufz00_300;
BgL_outbufz00_300 = BgL_outbufz00_266; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_pkeyz00_301;
BgL_pkeyz00_301 = BgL_pkeyz00_267; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_protocolz00_302;
BgL_protocolz00_302 = BgL_protocolz00_268; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_timeoutz00_303;
BgL_timeoutz00_303 = BgL_timeoutz00_269; 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_hostnamez00_2048; int BgL_portz00_2049;
if(
STRINGP(BgL_arg1590z00_294))
{ /* Llib/ssl.scm 606 */
BgL_hostnamez00_2048 = BgL_arg1590z00_294; }  else 
{ 
 obj_t BgL_auxz00_8454;
BgL_auxz00_8454 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_arg1590z00_294); 
FAILURE(BgL_auxz00_8454,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_tmpz00_8458;
if(
INTEGERP(BgL_arg1591z00_295))
{ /* Llib/ssl.scm 606 */
BgL_tmpz00_8458 = BgL_arg1591z00_295
; }  else 
{ 
 obj_t BgL_auxz00_8461;
BgL_auxz00_8461 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)24776)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_arg1591z00_295); 
FAILURE(BgL_auxz00_8461,BFALSE,BFALSE);} 
BgL_portz00_2049 = 
CINT(BgL_tmpz00_8458); } 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)2)), BgL_certz00_298, BgL_pkeyz00_301, BgL_casz00_296, BgL_acceptedzd2certszd2_297); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 616 */
 obj_t BgL_arg1622z00_2050; obj_t BgL_arg1623z00_2051; obj_t BgL_arg1624z00_2052;
BgL_arg1622z00_2050 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_302); 
BgL_arg1623z00_2051 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_inbufz00_299, 
(int)(default_io_bufsiz)); 
BgL_arg1624z00_2052 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_outbufz00_300, 
(int)(default_io_bufsiz)); 
{ /* Llib/ssl.scm 615 */
 obj_t BgL_auxz00_8494; int BgL_auxz00_8485; int BgL_tmpz00_8476;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_296))
{ /* Llib/ssl.scm 618 */
BgL_auxz00_8494 = BgL_casz00_296
; }  else 
{ 
 obj_t BgL_auxz00_8497;
BgL_auxz00_8497 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25165)), BGl_string3026z00zz__ssl_sslz00, BGl_string3029z00zz__ssl_sslz00, BgL_casz00_296); 
FAILURE(BgL_auxz00_8497,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 616 */
 obj_t BgL_tmpz00_8486;
if(
INTEGERP(BgL_arg1622z00_2050))
{ /* Llib/ssl.scm 616 */
BgL_tmpz00_8486 = BgL_arg1622z00_2050
; }  else 
{ 
 obj_t BgL_auxz00_8489;
BgL_auxz00_8489 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25141)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_arg1622z00_2050); 
FAILURE(BgL_auxz00_8489,BFALSE,BFALSE);} 
BgL_auxz00_8485 = 
CINT(BgL_tmpz00_8486); } 
{ /* Llib/ssl.scm 615 */
 obj_t BgL_tmpz00_8477;
if(
INTEGERP(BgL_timeoutz00_303))
{ /* Llib/ssl.scm 615 */
BgL_tmpz00_8477 = BgL_timeoutz00_303
; }  else 
{ 
 obj_t BgL_auxz00_8480;
BgL_auxz00_8480 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25095)), BGl_string3026z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_timeoutz00_303); 
FAILURE(BgL_auxz00_8480,BFALSE,BFALSE);} 
BgL_tmpz00_8476 = 
CINT(BgL_tmpz00_8477); } 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_2048, BgL_portz00_2049, BgL_tmpz00_8476, BgL_auxz00_8485, BgL_certz00_298, BgL_pkeyz00_301, BgL_auxz00_8494, BgL_acceptedzd2certszd2_297, BgL_arg1623z00_2051, BgL_arg1624z00_2052);} } } } } } } } } } } } } } } } } } } } } } } 

}



/* search1215~0 */
obj_t BGl_search1215ze70ze7zz__ssl_sslz00(long BgL_l1214z00_5014, obj_t BgL_opt1212z00_5013, obj_t BgL_k1z00_257, long BgL_iz00_258)
{
{ /* Llib/ssl.scm 606 */
BGl_search1215ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_258==BgL_l1214z00_5014))
{ /* Llib/ssl.scm 606 */
return 
BINT(((long)-1));}  else 
{ /* Llib/ssl.scm 606 */
if(
(BgL_iz00_258==
(BgL_l1214z00_5014-((long)1))))
{ /* Llib/ssl.scm 606 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BGl_string3030z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1212z00_5013)));}  else 
{ /* Llib/ssl.scm 606 */
 obj_t BgL_vz00_308;
BgL_vz00_308 = 
VECTOR_REF(BgL_opt1212z00_5013,BgL_iz00_258); 
if(
(BgL_vz00_308==BgL_k1z00_257))
{ /* Llib/ssl.scm 606 */
return 
BINT(
(BgL_iz00_258+((long)1)));}  else 
{ 
 long BgL_iz00_8517;
BgL_iz00_8517 = 
(BgL_iz00_258+((long)2)); 
BgL_iz00_258 = BgL_iz00_8517; 
goto BGl_search1215ze70ze7zz__ssl_sslz00;} } } } 

}



/* make-ssl-client-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_hostnamez00_8, int BgL_portz00_9, obj_t BgL_casz00_10, obj_t BgL_acceptedzd2certszd2_11, obj_t BgL_certz00_12, obj_t BgL_inbufz00_13, obj_t BgL_outbufz00_14, obj_t BgL_pkeyz00_15, obj_t BgL_protocolz00_16, obj_t BgL_timeoutz00_17)
{
{ /* Llib/ssl.scm 606 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)2)), BgL_certz00_12, BgL_pkeyz00_15, BgL_casz00_10, BgL_acceptedzd2certszd2_11); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 616 */
 obj_t BgL_arg1622z00_2053; obj_t BgL_arg1623z00_2054; obj_t BgL_arg1624z00_2055;
BgL_arg1622z00_2053 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_16); 
BgL_arg1623z00_2054 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_inbufz00_13, 
(int)(default_io_bufsiz)); 
BgL_arg1624z00_2055 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_outbufz00_14, 
(int)(default_io_bufsiz)); 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_8, BgL_portz00_9, 
CINT(BgL_timeoutz00_17), 
CINT(BgL_arg1622z00_2053), BgL_certz00_12, BgL_pkeyz00_15, BgL_casz00_10, BgL_acceptedzd2certszd2_11, BgL_arg1623z00_2054, BgL_arg1624z00_2055);} } 

}



/* _client-socket-use-ssl! */
obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_env1230z00_27, obj_t BgL_opt1229z00_26)
{
{ /* Llib/ssl.scm 629 */
{ /* Llib/ssl.scm 629 */
 obj_t BgL_g1240z00_319;
BgL_g1240z00_319 = 
VECTOR_REF(BgL_opt1229z00_26,((long)0)); 
{ /* Llib/ssl.scm 632 */
 obj_t BgL_casz00_320;
BgL_casz00_320 = BNIL; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_acceptedzd2certszd2_321;
BgL_acceptedzd2certszd2_321 = BFALSE; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_certz00_322;
BgL_certz00_322 = BFALSE; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_pkeyz00_323;
BgL_pkeyz00_323 = BFALSE; 
{ /* Llib/ssl.scm 630 */
 obj_t BgL_protocolz00_324;
BgL_protocolz00_324 = 
CNST_TABLE_REF(((long)0)); 
{ /* Llib/ssl.scm 629 */

{ 
 long BgL_iz00_325;
BgL_iz00_325 = ((long)1); 
BgL_check1233z00_326:
if(
(BgL_iz00_325==
VECTOR_LENGTH(BgL_opt1229z00_26)))
{ /* Llib/ssl.scm 629 */BNIL; }  else 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test4026z00_8537;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_arg1654z00_332;
BgL_arg1654z00_332 = 
VECTOR_REF(BgL_opt1229z00_26,BgL_iz00_325); 
BgL_test4026z00_8537 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1654z00_332, 
CNST_TABLE_REF(((long)11)))); } 
if(BgL_test4026z00_8537)
{ 
 long BgL_iz00_8542;
BgL_iz00_8542 = 
(BgL_iz00_325+((long)2)); 
BgL_iz00_325 = BgL_iz00_8542; 
goto BgL_check1233z00_326;}  else 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_arg1653z00_331;
BgL_arg1653z00_331 = 
VECTOR_REF(BgL_opt1229z00_26,BgL_iz00_325); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string3024z00zz__ssl_sslz00, BgL_arg1653z00_331); } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_index1235z00_333;
BgL_index1235z00_333 = 
BGl_search1232ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1229z00_26), BgL_opt1229z00_26, 
CNST_TABLE_REF(((long)3)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test4027z00_8550;
{ /* Llib/ssl.scm 629 */
 long BgL_n1z00_2071;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8551;
if(
INTEGERP(BgL_index1235z00_333))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8551 = BgL_index1235z00_333
; }  else 
{ 
 obj_t BgL_auxz00_8554;
BgL_auxz00_8554 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string3031z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1235z00_333); 
FAILURE(BgL_auxz00_8554,BFALSE,BFALSE);} 
BgL_n1z00_2071 = 
(long)CINT(BgL_tmpz00_8551); } 
BgL_test4027z00_8550 = 
(BgL_n1z00_2071>=((long)0)); } 
if(BgL_test4027z00_8550)
{ 
 long BgL_auxz00_8560;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8561;
if(
INTEGERP(BgL_index1235z00_333))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8561 = BgL_index1235z00_333
; }  else 
{ 
 obj_t BgL_auxz00_8564;
BgL_auxz00_8564 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string3031z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1235z00_333); 
FAILURE(BgL_auxz00_8564,BFALSE,BFALSE);} 
BgL_auxz00_8560 = 
(long)CINT(BgL_tmpz00_8561); } 
BgL_casz00_320 = 
VECTOR_REF(BgL_opt1229z00_26,BgL_auxz00_8560); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_index1236z00_335;
BgL_index1236z00_335 = 
BGl_search1232ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1229z00_26), BgL_opt1229z00_26, 
CNST_TABLE_REF(((long)4)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test4030z00_8573;
{ /* Llib/ssl.scm 629 */
 long BgL_n1z00_2072;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8574;
if(
INTEGERP(BgL_index1236z00_335))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8574 = BgL_index1236z00_335
; }  else 
{ 
 obj_t BgL_auxz00_8577;
BgL_auxz00_8577 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string3031z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1236z00_335); 
FAILURE(BgL_auxz00_8577,BFALSE,BFALSE);} 
BgL_n1z00_2072 = 
(long)CINT(BgL_tmpz00_8574); } 
BgL_test4030z00_8573 = 
(BgL_n1z00_2072>=((long)0)); } 
if(BgL_test4030z00_8573)
{ 
 long BgL_auxz00_8583;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8584;
if(
INTEGERP(BgL_index1236z00_335))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8584 = BgL_index1236z00_335
; }  else 
{ 
 obj_t BgL_auxz00_8587;
BgL_auxz00_8587 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string3031z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1236z00_335); 
FAILURE(BgL_auxz00_8587,BFALSE,BFALSE);} 
BgL_auxz00_8583 = 
(long)CINT(BgL_tmpz00_8584); } 
BgL_acceptedzd2certszd2_321 = 
VECTOR_REF(BgL_opt1229z00_26,BgL_auxz00_8583); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_index1237z00_337;
BgL_index1237z00_337 = 
BGl_search1232ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1229z00_26), BgL_opt1229z00_26, 
CNST_TABLE_REF(((long)5)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test4033z00_8596;
{ /* Llib/ssl.scm 629 */
 long BgL_n1z00_2073;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8597;
if(
INTEGERP(BgL_index1237z00_337))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8597 = BgL_index1237z00_337
; }  else 
{ 
 obj_t BgL_auxz00_8600;
BgL_auxz00_8600 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string3031z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1237z00_337); 
FAILURE(BgL_auxz00_8600,BFALSE,BFALSE);} 
BgL_n1z00_2073 = 
(long)CINT(BgL_tmpz00_8597); } 
BgL_test4033z00_8596 = 
(BgL_n1z00_2073>=((long)0)); } 
if(BgL_test4033z00_8596)
{ 
 long BgL_auxz00_8606;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8607;
if(
INTEGERP(BgL_index1237z00_337))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8607 = BgL_index1237z00_337
; }  else 
{ 
 obj_t BgL_auxz00_8610;
BgL_auxz00_8610 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string3031z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1237z00_337); 
FAILURE(BgL_auxz00_8610,BFALSE,BFALSE);} 
BgL_auxz00_8606 = 
(long)CINT(BgL_tmpz00_8607); } 
BgL_certz00_322 = 
VECTOR_REF(BgL_opt1229z00_26,BgL_auxz00_8606); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_index1238z00_339;
BgL_index1238z00_339 = 
BGl_search1232ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1229z00_26), BgL_opt1229z00_26, 
CNST_TABLE_REF(((long)8)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test4036z00_8619;
{ /* Llib/ssl.scm 629 */
 long BgL_n1z00_2074;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8620;
if(
INTEGERP(BgL_index1238z00_339))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8620 = BgL_index1238z00_339
; }  else 
{ 
 obj_t BgL_auxz00_8623;
BgL_auxz00_8623 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string3031z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1238z00_339); 
FAILURE(BgL_auxz00_8623,BFALSE,BFALSE);} 
BgL_n1z00_2074 = 
(long)CINT(BgL_tmpz00_8620); } 
BgL_test4036z00_8619 = 
(BgL_n1z00_2074>=((long)0)); } 
if(BgL_test4036z00_8619)
{ 
 long BgL_auxz00_8629;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8630;
if(
INTEGERP(BgL_index1238z00_339))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8630 = BgL_index1238z00_339
; }  else 
{ 
 obj_t BgL_auxz00_8633;
BgL_auxz00_8633 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string3031z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1238z00_339); 
FAILURE(BgL_auxz00_8633,BFALSE,BFALSE);} 
BgL_auxz00_8629 = 
(long)CINT(BgL_tmpz00_8630); } 
BgL_pkeyz00_323 = 
VECTOR_REF(BgL_opt1229z00_26,BgL_auxz00_8629); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_index1239z00_341;
BgL_index1239z00_341 = 
BGl_search1232ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1229z00_26), BgL_opt1229z00_26, 
CNST_TABLE_REF(((long)9)), ((long)1)); 
{ /* Llib/ssl.scm 629 */
 bool_t BgL_test4039z00_8642;
{ /* Llib/ssl.scm 629 */
 long BgL_n1z00_2075;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8643;
if(
INTEGERP(BgL_index1239z00_341))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8643 = BgL_index1239z00_341
; }  else 
{ 
 obj_t BgL_auxz00_8646;
BgL_auxz00_8646 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string3031z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1239z00_341); 
FAILURE(BgL_auxz00_8646,BFALSE,BFALSE);} 
BgL_n1z00_2075 = 
(long)CINT(BgL_tmpz00_8643); } 
BgL_test4039z00_8642 = 
(BgL_n1z00_2075>=((long)0)); } 
if(BgL_test4039z00_8642)
{ 
 long BgL_auxz00_8652;
{ /* Llib/ssl.scm 629 */
 obj_t BgL_tmpz00_8653;
if(
INTEGERP(BgL_index1239z00_341))
{ /* Llib/ssl.scm 629 */
BgL_tmpz00_8653 = BgL_index1239z00_341
; }  else 
{ 
 obj_t BgL_auxz00_8656;
BgL_auxz00_8656 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string3031z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_index1239z00_341); 
FAILURE(BgL_auxz00_8656,BFALSE,BFALSE);} 
BgL_auxz00_8652 = 
(long)CINT(BgL_tmpz00_8653); } 
BgL_protocolz00_324 = 
VECTOR_REF(BgL_opt1229z00_26,BgL_auxz00_8652); }  else 
{ /* Llib/ssl.scm 629 */BFALSE; } } } 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_arg1664z00_343;
BgL_arg1664z00_343 = 
VECTOR_REF(BgL_opt1229z00_26,((long)0)); 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_casz00_344;
BgL_casz00_344 = BgL_casz00_320; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_acceptedzd2certszd2_345;
BgL_acceptedzd2certszd2_345 = BgL_acceptedzd2certszd2_321; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_certz00_346;
BgL_certz00_346 = BgL_certz00_322; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_pkeyz00_347;
BgL_pkeyz00_347 = BgL_pkeyz00_323; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_protocolz00_348;
BgL_protocolz00_348 = BgL_protocolz00_324; 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_sz00_2076;
if(
SOCKETP(BgL_arg1664z00_343))
{ /* Llib/ssl.scm 629 */
BgL_sz00_2076 = BgL_arg1664z00_343; }  else 
{ 
 obj_t BgL_auxz00_8665;
BgL_auxz00_8665 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25566)), BGl_string3031z00zz__ssl_sslz00, BGl_string3032z00zz__ssl_sslz00, BgL_arg1664z00_343); 
FAILURE(BgL_auxz00_8665,BFALSE,BFALSE);} 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)12)), BgL_certz00_346, BgL_pkeyz00_347, BgL_casz00_344, BgL_acceptedzd2certszd2_345); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 636 */
 obj_t BgL_arg1688z00_2077;
BgL_arg1688z00_2077 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_348); 
{ /* Llib/ssl.scm 635 */
 obj_t BgL_auxz00_8682; int BgL_tmpz00_8673;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_344))
{ /* Llib/ssl.scm 638 */
BgL_auxz00_8682 = BgL_casz00_344
; }  else 
{ 
 obj_t BgL_auxz00_8685;
BgL_auxz00_8685 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25880)), BGl_string3031z00zz__ssl_sslz00, BGl_string3029z00zz__ssl_sslz00, BgL_casz00_344); 
FAILURE(BgL_auxz00_8685,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 636 */
 obj_t BgL_tmpz00_8674;
if(
INTEGERP(BgL_arg1688z00_2077))
{ /* Llib/ssl.scm 636 */
BgL_tmpz00_8674 = BgL_arg1688z00_2077
; }  else 
{ 
 obj_t BgL_auxz00_8677;
BgL_auxz00_8677 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)25856)), BGl_string3031z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_arg1688z00_2077); 
FAILURE(BgL_auxz00_8677,BFALSE,BFALSE);} 
BgL_tmpz00_8673 = 
CINT(BgL_tmpz00_8674); } 
return 
bgl_client_socket_use_ssl(BgL_sz00_2076, BgL_tmpz00_8673, BgL_certz00_346, BgL_pkeyz00_347, BgL_auxz00_8682, BgL_acceptedzd2certszd2_345);} } } } } } } } } } } } } } } } } 

}



/* search1232~0 */
obj_t BGl_search1232ze70ze7zz__ssl_sslz00(long BgL_l1231z00_5012, obj_t BgL_opt1229z00_5011, obj_t BgL_k1z00_316, long BgL_iz00_317)
{
{ /* Llib/ssl.scm 629 */
BGl_search1232ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_317==BgL_l1231z00_5012))
{ /* Llib/ssl.scm 629 */
return 
BINT(((long)-1));}  else 
{ /* Llib/ssl.scm 629 */
if(
(BgL_iz00_317==
(BgL_l1231z00_5012-((long)1))))
{ /* Llib/ssl.scm 629 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string3033z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1229z00_5011)));}  else 
{ /* Llib/ssl.scm 629 */
 obj_t BgL_vz00_353;
BgL_vz00_353 = 
VECTOR_REF(BgL_opt1229z00_5011,BgL_iz00_317); 
if(
(BgL_vz00_353==BgL_k1z00_316))
{ /* Llib/ssl.scm 629 */
return 
BINT(
(BgL_iz00_317+((long)1)));}  else 
{ 
 long BgL_iz00_8705;
BgL_iz00_8705 = 
(BgL_iz00_317+((long)2)); 
BgL_iz00_317 = BgL_iz00_8705; 
goto BGl_search1232ze70ze7zz__ssl_sslz00;} } } } 

}



/* client-socket-use-ssl! */
BGL_EXPORTED_DEF obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_sz00_20, obj_t BgL_casz00_21, obj_t BgL_acceptedzd2certszd2_22, obj_t BgL_certz00_23, obj_t BgL_pkeyz00_24, obj_t BgL_protocolz00_25)
{
{ /* Llib/ssl.scm 629 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)12)), BgL_certz00_23, BgL_pkeyz00_24, BgL_casz00_21, BgL_acceptedzd2certszd2_22); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 636 */
 obj_t BgL_arg1688z00_2078;
BgL_arg1688z00_2078 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_25); 
return 
bgl_client_socket_use_ssl(BgL_sz00_20, 
CINT(BgL_arg1688z00_2078), BgL_certz00_23, BgL_pkeyz00_24, BgL_casz00_21, BgL_acceptedzd2certszd2_22);} } 

}



/* ssl-socket? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t BgL_objz00_28)
{
{ /* Llib/ssl.scm 643 */
return 
bgl_ssl_socketp(BgL_objz00_28);} 

}



/* &ssl-socket? */
obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t BgL_envz00_4010, obj_t BgL_objz00_4011)
{
{ /* Llib/ssl.scm 643 */
return 
BBOOL(
BGl_sslzd2socketzf3z21zz__ssl_sslz00(BgL_objz00_4011));} 

}



/* make-ssl-server-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t BgL_portz00_29)
{
{ /* Llib/ssl.scm 651 */
{ /* Llib/ssl.scm 336 */
 obj_t BgL_dsssl1241z00_358;
BgL_dsssl1241z00_358 = BgL_portz00_29; 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_portz00_359;
{ /* Llib/ssl.scm 336 */
 bool_t BgL_test4048z00_8716;
if(
NULLP(BgL_dsssl1241z00_358))
{ /* Llib/ssl.scm 336 */
BgL_test4048z00_8716 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 336 */
BgL_test4048z00_8716 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_dsssl1241z00_358), 
CNST_TABLE_REF(((long)13))))
; } 
if(BgL_test4048z00_8716)
{ /* Llib/ssl.scm 336 */
BgL_portz00_359 = 
BINT(((long)0)); }  else 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_tmp1242z00_385;
BgL_tmp1242z00_385 = 
CAR(BgL_dsssl1241z00_358); 
BgL_dsssl1241z00_358 = 
CDR(BgL_dsssl1241z00_358); 
BgL_portz00_359 = BgL_tmp1242z00_385; } } 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_namez00_360;
BgL_namez00_360 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1241z00_358, 
CNST_TABLE_REF(((long)14)), BFALSE); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_protocolz00_361;
BgL_protocolz00_361 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1241z00_358, 
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)0))); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_certz00_362;
BgL_certz00_362 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1241z00_358, 
CNST_TABLE_REF(((long)5)), BFALSE); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_pkeyz00_363;
BgL_pkeyz00_363 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1241z00_358, 
CNST_TABLE_REF(((long)8)), BFALSE); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_casz00_364;
BgL_casz00_364 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1241z00_358, 
CNST_TABLE_REF(((long)3)), BNIL); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_acceptedzd2certszd2_365;
BgL_acceptedzd2certszd2_365 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1241z00_358, 
CNST_TABLE_REF(((long)4)), BFALSE); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_backlogz00_366;
BgL_backlogz00_366 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1241z00_358, 
CNST_TABLE_REF(((long)15)), 
BINT(((long)5))); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_ipv6z00_367;
BgL_ipv6z00_367 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1241z00_358, 
CNST_TABLE_REF(((long)16)), BFALSE); 
if(
NULLP(
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1241z00_358, 
CNST_TABLE_REF(((long)13)))))
{ /* Llib/ssl.scm 336 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)17)), BgL_certz00_362, BgL_pkeyz00_363, BgL_casz00_364, BgL_acceptedzd2certszd2_365); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 659 */
 obj_t BgL_arg1701z00_370;
BgL_arg1701z00_370 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_361); 
return 
bgl_make_ssl_server_socket(BgL_namez00_360, 
CINT(BgL_portz00_359), 
CINT(BgL_arg1701z00_370), BgL_certz00_362, BgL_pkeyz00_363, BgL_casz00_364, BgL_acceptedzd2certszd2_365, 
CINT(BgL_backlogz00_366), 
CBOOL(BgL_ipv6z00_367));} }  else 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_arg1704z00_371;
{ /* Llib/ssl.scm 336 */
 obj_t BgL_arg1706z00_372;
{ /* Llib/ssl.scm 336 */
 obj_t BgL_arg1710z00_375;
BgL_arg1710z00_375 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1241z00_358, 
CNST_TABLE_REF(((long)13))); 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_list1711z00_376;
BgL_list1711z00_376 = 
MAKE_YOUNG_PAIR(BgL_arg1710z00_375, BNIL); 
BgL_arg1706z00_372 = 
BGl_mapz00zz__r4_control_features_6_9z00(BGl_proc3034z00zz__ssl_sslz00, BgL_list1711z00_376); } } 
{ /* Llib/ssl.scm 336 */
 obj_t BgL_list1707z00_373;
BgL_list1707z00_373 = 
MAKE_YOUNG_PAIR(BgL_arg1706z00_372, BNIL); 
BgL_arg1704z00_371 = 
BGl_applyz00zz__r4_control_features_6_9z00(BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00, BGl_string3035z00zz__ssl_sslz00, BgL_list1707z00_373); } } 
return 
BGl_errorz00zz__errorz00(BGl_string3036z00zz__ssl_sslz00, BgL_arg1704z00_371, BgL_dsssl1241z00_358);} } } } } } } } } } } } 

}



/* &make-ssl-server-socket */
obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t BgL_envz00_4013, obj_t BgL_portz00_4014)
{
{ /* Llib/ssl.scm 651 */
return 
BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(BgL_portz00_4014);} 

}



/* &<@anonymous:1712> */
obj_t BGl_z62zc3z04anonymousza31712ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4015, obj_t BgL_vz00_4016)
{
{ /* Llib/ssl.scm 336 */
{ /* Llib/ssl.scm 336 */
 obj_t BgL_list1713z00_5525;
BgL_list1713z00_5525 = 
MAKE_YOUNG_PAIR(BgL_vz00_4016, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3037z00zz__ssl_sslz00, BgL_list1713z00_5525);} } 

}



/* ssl-protocols->integer */
obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t BgL_protocolz00_30)
{
{ /* Llib/ssl.scm 666 */
{ /* Llib/ssl.scm 667 */
 obj_t BgL_casezd2valuezd2_388;
{ /* Llib/ssl.scm 667 */
 obj_t BgL_arg1741z00_403;
{ /* Llib/ssl.scm 667 */
 obj_t BgL_arg1742z00_404;
BgL_arg1742z00_404 = 
SYMBOL_TO_STRING(
((obj_t)BgL_protocolz00_30)); 
BgL_arg1741z00_403 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1742z00_404); } 
BgL_casezd2valuezd2_388 = 
bstring_to_symbol(BgL_arg1741z00_403); } 
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)18))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_SSLV2);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)19))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_SSLV3);}  else 
{ /* Llib/ssl.scm 667 */
 bool_t BgL_test4053z00_8779;
{ /* Llib/ssl.scm 667 */
 bool_t BgL__ortest_1124z00_402;
BgL__ortest_1124z00_402 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)20))); 
if(BgL__ortest_1124z00_402)
{ /* Llib/ssl.scm 667 */
BgL_test4053z00_8779 = BgL__ortest_1124z00_402
; }  else 
{ /* Llib/ssl.scm 667 */
BgL_test4053z00_8779 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)0)))
; } } 
if(BgL_test4053z00_8779)
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_SSLV23);}  else 
{ /* Llib/ssl.scm 667 */
 bool_t BgL_test4055z00_8786;
{ /* Llib/ssl.scm 667 */
 bool_t BgL__ortest_1125z00_401;
BgL__ortest_1125z00_401 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)21))); 
if(BgL__ortest_1125z00_401)
{ /* Llib/ssl.scm 667 */
BgL_test4055z00_8786 = BgL__ortest_1125z00_401
; }  else 
{ /* Llib/ssl.scm 667 */
BgL_test4055z00_8786 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)22)))
; } } 
if(BgL_test4055z00_8786)
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)23))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1_1);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)24))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1_2);}  else 
{ /* Llib/ssl.scm 667 */
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)25))))
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_TLSV1_3);}  else 
{ /* Llib/ssl.scm 667 */
 bool_t BgL_test4060z00_8805;
{ /* Llib/ssl.scm 667 */
 bool_t BgL__ortest_1126z00_400;
BgL__ortest_1126z00_400 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)26))); 
if(BgL__ortest_1126z00_400)
{ /* Llib/ssl.scm 667 */
BgL_test4060z00_8805 = BgL__ortest_1126z00_400
; }  else 
{ /* Llib/ssl.scm 667 */
BgL_test4060z00_8805 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)27)))
; } } 
if(BgL_test4060z00_8805)
{ /* Llib/ssl.scm 667 */
return 
BINT(BGLSSL_DTLSV1);}  else 
{ /* Llib/ssl.scm 667 */
return 
BGl_errorz00zz__errorz00(BGl_string3038z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_protocolz00_30);} } } } } } } } } } 

}



/* read-private-key */
BGL_EXPORTED_DEF BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t BgL_filez00_31)
{
{ /* Llib/ssl.scm 681 */
return 
((BgL_privatezd2keyzd2_bglt)
bgl_ssl_load_private_key(BgL_filez00_31));} 

}



/* &read-private-key */
BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4019, obj_t BgL_filez00_4020)
{
{ /* Llib/ssl.scm 681 */
{ /* Llib/ssl.scm 682 */
 obj_t BgL_auxz00_8815;
if(
STRINGP(BgL_filez00_4020))
{ /* Llib/ssl.scm 682 */
BgL_auxz00_8815 = BgL_filez00_4020
; }  else 
{ 
 obj_t BgL_auxz00_8818;
BgL_auxz00_8818 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)27886)), BGl_string3040z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_filez00_4020); 
FAILURE(BgL_auxz00_8818,BFALSE,BFALSE);} 
return 
BGl_readzd2privatezd2keyz00zz__ssl_sslz00(BgL_auxz00_8815);} } 

}



/* read-certificate */
BGL_EXPORTED_DEF BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t BgL_filez00_32)
{
{ /* Llib/ssl.scm 687 */
return 
((BgL_certificatez00_bglt)
bgl_ssl_load_certificate(BgL_filez00_32));} 

}



/* &read-certificate */
BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t BgL_envz00_4021, obj_t BgL_filez00_4022)
{
{ /* Llib/ssl.scm 687 */
{ /* Llib/ssl.scm 688 */
 obj_t BgL_auxz00_8825;
if(
STRINGP(BgL_filez00_4022))
{ /* Llib/ssl.scm 688 */
BgL_auxz00_8825 = BgL_filez00_4022
; }  else 
{ 
 obj_t BgL_auxz00_8828;
BgL_auxz00_8828 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)28192)), BGl_string3041z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_filez00_4022); 
FAILURE(BgL_auxz00_8828,BFALSE,BFALSE);} 
return 
BGl_readzd2certificatezd2zz__ssl_sslz00(BgL_auxz00_8825);} } 

}



/* read-pem-file */
BGL_EXPORTED_DEF obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t BgL_filez00_33)
{
{ /* Llib/ssl.scm 693 */
return 
bgl_ssl_load_pem(BgL_filez00_33);} 

}



/* &read-pem-file */
obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t BgL_envz00_4023, obj_t BgL_filez00_4024)
{
{ /* Llib/ssl.scm 693 */
{ /* Llib/ssl.scm 694 */
 obj_t BgL_auxz00_8834;
if(
STRINGP(BgL_filez00_4024))
{ /* Llib/ssl.scm 694 */
BgL_auxz00_8834 = BgL_filez00_4024
; }  else 
{ 
 obj_t BgL_auxz00_8837;
BgL_auxz00_8837 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)28492)), BGl_string3042z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_filez00_4024); 
FAILURE(BgL_auxz00_8837,BFALSE,BFALSE);} 
return 
BGl_readzd2pemzd2filez00zz__ssl_sslz00(BgL_auxz00_8834);} } 

}



/* ssl-rand-status */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 699 */
return 
RAND_status();} 

}



/* &ssl-rand-status */
obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t BgL_envz00_4025)
{
{ /* Llib/ssl.scm 699 */
return 
BBOOL(
BGl_sslzd2randzd2statusz00zz__ssl_sslz00());} 

}



/* ssl-rand-poll */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 707 */
return 
RAND_poll();} 

}



/* &ssl-rand-poll */
obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t BgL_envz00_4026)
{
{ /* Llib/ssl.scm 707 */
return 
BBOOL(
BGl_sslzd2randzd2pollz00zz__ssl_sslz00());} 

}



/* ssl-rand-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int BgL_sza7za7_34)
{
{ /* Llib/ssl.scm 715 */
{ /* Llib/ssl.scm 716 */
 obj_t BgL_strz00_2091;
{ /* Llib/ssl.scm 716 */

BgL_strz00_2091 = 
make_string(
(long)(BgL_sza7za7_34), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 719 */
 char * BgL_tmpz00_8850;
BgL_tmpz00_8850 = 
BSTRING_TO_STRING(BgL_strz00_2091); 
RAND_bytes(BgL_tmpz00_8850, BgL_sza7za7_34); } 
return BgL_strz00_2091;} } 

}



/* &ssl-rand-bytes */
obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_4027, obj_t BgL_sza7za7_4028)
{
{ /* Llib/ssl.scm 715 */
{ /* Llib/ssl.scm 716 */
 int BgL_auxz00_8853;
{ /* Llib/ssl.scm 716 */
 obj_t BgL_tmpz00_8854;
if(
INTEGERP(BgL_sza7za7_4028))
{ /* Llib/ssl.scm 716 */
BgL_tmpz00_8854 = BgL_sza7za7_4028
; }  else 
{ 
 obj_t BgL_auxz00_8857;
BgL_auxz00_8857 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)29415)), BGl_string3043z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_sza7za7_4028); 
FAILURE(BgL_auxz00_8857,BFALSE,BFALSE);} 
BgL_auxz00_8853 = 
CINT(BgL_tmpz00_8854); } 
return 
BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(BgL_auxz00_8853);} } 

}



/* ssl-rand-pseudo-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int BgL_sza7za7_35)
{
{ /* Llib/ssl.scm 732 */
{ /* Llib/ssl.scm 733 */
 obj_t BgL_strz00_2095;
{ /* Llib/ssl.scm 733 */

BgL_strz00_2095 = 
make_string(
(long)(BgL_sza7za7_35), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 736 */
 char * BgL_tmpz00_8865;
BgL_tmpz00_8865 = 
BSTRING_TO_STRING(BgL_strz00_2095); 
RAND_pseudo_bytes(BgL_tmpz00_8865, BgL_sza7za7_35); } 
return BgL_strz00_2095;} } 

}



/* &ssl-rand-pseudo-bytes */
obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t BgL_envz00_4029, obj_t BgL_sza7za7_4030)
{
{ /* Llib/ssl.scm 732 */
{ /* Llib/ssl.scm 733 */
 int BgL_auxz00_8868;
{ /* Llib/ssl.scm 733 */
 obj_t BgL_tmpz00_8869;
if(
INTEGERP(BgL_sza7za7_4030))
{ /* Llib/ssl.scm 733 */
BgL_tmpz00_8869 = BgL_sza7za7_4030
; }  else 
{ 
 obj_t BgL_auxz00_8872;
BgL_auxz00_8872 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)29933)), BGl_string3044z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_sza7za7_4030); 
FAILURE(BgL_auxz00_8872,BFALSE,BFALSE);} 
BgL_auxz00_8868 = 
CINT(BgL_tmpz00_8869); } 
return 
BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(BgL_auxz00_8868);} } 

}



/* certificate-subject */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_36)
{
{ /* Llib/ssl.scm 749 */
return 
bgl_ssl_certificate_subject(
((obj_t)BgL_certz00_36));} 

}



/* &certificate-subject */
obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t BgL_envz00_4031, obj_t BgL_certz00_4032)
{
{ /* Llib/ssl.scm 749 */
{ /* Llib/ssl.scm 750 */
 BgL_certificatez00_bglt BgL_auxz00_8880;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4032, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 750 */
BgL_auxz00_8880 = 
((BgL_certificatez00_bglt)BgL_certz00_4032)
; }  else 
{ 
 obj_t BgL_auxz00_8884;
BgL_auxz00_8884 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)30482)), BGl_string3045z00zz__ssl_sslz00, BGl_string3046z00zz__ssl_sslz00, BgL_certz00_4032); 
FAILURE(BgL_auxz00_8884,BFALSE,BFALSE);} 
return 
BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_auxz00_8880);} } 

}



/* certificate-issuer */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_37)
{
{ /* Llib/ssl.scm 755 */
return 
bgl_ssl_certificate_issuer(
((obj_t)BgL_certz00_37));} 

}



/* &certificate-issuer */
obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t BgL_envz00_4033, obj_t BgL_certz00_4034)
{
{ /* Llib/ssl.scm 755 */
{ /* Llib/ssl.scm 756 */
 BgL_certificatez00_bglt BgL_auxz00_8891;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4034, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 756 */
BgL_auxz00_8891 = 
((BgL_certificatez00_bglt)BgL_certz00_4034)
; }  else 
{ 
 obj_t BgL_auxz00_8895;
BgL_auxz00_8895 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)30800)), BGl_string3047z00zz__ssl_sslz00, BGl_string3046z00zz__ssl_sslz00, BgL_certz00_4034); 
FAILURE(BgL_auxz00_8895,BFALSE,BFALSE);} 
return 
BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_auxz00_8891);} } 

}



/* %make-certificate */
BGL_EXPORTED_DEF obj_t bgl_make_certificate(void * BgL_certz00_38)
{
{ /* Llib/ssl.scm 761 */
{ /* Llib/ssl.scm 762 */
 BgL_certificatez00_bglt BgL_new1128z00_411;
{ /* Llib/ssl.scm 763 */
 BgL_certificatez00_bglt BgL_new1127z00_412;
BgL_new1127z00_412 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 763 */
 long BgL_arg1744z00_413;
BgL_arg1744z00_413 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_412), BgL_arg1744z00_413); } 
BgL_new1128z00_411 = BgL_new1127z00_412; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1128z00_411))->BgL_z42nativez42)=((void *)BgL_certz00_38),BUNSPEC); 
return 
((obj_t)BgL_new1128z00_411);} } 

}



/* &%make-certificate */
obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t BgL_envz00_4035, obj_t BgL_certz00_4036)
{
{ /* Llib/ssl.scm 761 */
{ /* Llib/ssl.scm 762 */
 void * BgL_auxz00_8906;
if(
FOREIGNP(BgL_certz00_4036))
{ /* Llib/ssl.scm 762 */
BgL_auxz00_8906 = 
FOREIGN_TO_COBJ(BgL_certz00_4036)
; }  else 
{ 
 obj_t BgL_auxz00_8910;
BgL_auxz00_8910 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)31087)), BGl_string3048z00zz__ssl_sslz00, BGl_string3049z00zz__ssl_sslz00, BgL_certz00_4036); 
FAILURE(BgL_auxz00_8910,BFALSE,BFALSE);} 
return 
bgl_make_certificate(BgL_auxz00_8906);} } 

}



/* %make-private-key */
BGL_EXPORTED_DEF obj_t bgl_make_private_key(void * BgL_pkeyz00_39)
{
{ /* Llib/ssl.scm 768 */
{ /* Llib/ssl.scm 769 */
 BgL_privatezd2keyzd2_bglt BgL_new1130z00_414;
{ /* Llib/ssl.scm 770 */
 BgL_privatezd2keyzd2_bglt BgL_new1129z00_415;
BgL_new1129z00_415 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 770 */
 long BgL_arg1745z00_416;
BgL_arg1745z00_416 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_415), BgL_arg1745z00_416); } 
BgL_new1130z00_414 = BgL_new1129z00_415; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1130z00_414))->BgL_z42nativez42)=((void *)BgL_pkeyz00_39),BUNSPEC); 
return 
((obj_t)BgL_new1130z00_414);} } 

}



/* &%make-private-key */
obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t BgL_envz00_4037, obj_t BgL_pkeyz00_4038)
{
{ /* Llib/ssl.scm 768 */
{ /* Llib/ssl.scm 769 */
 void * BgL_auxz00_8921;
if(
FOREIGNP(BgL_pkeyz00_4038))
{ /* Llib/ssl.scm 769 */
BgL_auxz00_8921 = 
FOREIGN_TO_COBJ(BgL_pkeyz00_4038)
; }  else 
{ 
 obj_t BgL_auxz00_8925;
BgL_auxz00_8925 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)31395)), BGl_string3050z00zz__ssl_sslz00, BGl_string3049z00zz__ssl_sslz00, BgL_pkeyz00_4038); 
FAILURE(BgL_auxz00_8925,BFALSE,BFALSE);} 
return 
bgl_make_private_key(BgL_auxz00_8921);} } 

}



/* %certificate-$native */
BGL_EXPORTED_DEF void * bgl_certificate_native(obj_t BgL_certz00_40)
{
{ /* Llib/ssl.scm 775 */
return 
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_certz00_40)))->BgL_z42nativez42);} 

}



/* &%certificate-$native */
obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t BgL_envz00_4039, obj_t BgL_certz00_4040)
{
{ /* Llib/ssl.scm 775 */
return 
void_star_to_obj(
bgl_certificate_native(BgL_certz00_4040));} 

}



/* %private-key-$native */
BGL_EXPORTED_DEF void * bgl_private_key_native(obj_t BgL_pkeyz00_41)
{
{ /* Llib/ssl.scm 782 */
return 
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_pkeyz00_41)))->BgL_z42nativez42);} 

}



/* &%private-key-$native */
obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t BgL_envz00_4041, obj_t BgL_pkeyz00_4042)
{
{ /* Llib/ssl.scm 782 */
return 
void_star_to_obj(
bgl_private_key_native(BgL_pkeyz00_4042));} 

}



/* _secure-context-set-key! */
obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t BgL_env1256z00_59, obj_t BgL_opt1255z00_58)
{
{ /* Llib/ssl.scm 839 */
{ /* Llib/ssl.scm 839 */
 obj_t BgL_g1257z00_419; obj_t BgL_g1258z00_420; obj_t BgL_g1259z00_421; obj_t BgL_g1260z00_422;
{ 
 obj_t BgL_auxz00_8938;
if(
VECTORP(BgL_opt1255z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8938 = BgL_opt1255z00_58
; }  else 
{ 
 obj_t BgL_auxz00_8941;
BgL_auxz00_8941 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3052z00zz__ssl_sslz00, BgL_opt1255z00_58); 
FAILURE(BgL_auxz00_8941,BFALSE,BFALSE);} 
BgL_g1257z00_419 = 
VECTOR_REF(BgL_auxz00_8938,((long)0)); } 
{ 
 obj_t BgL_auxz00_8946;
if(
VECTORP(BgL_opt1255z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8946 = BgL_opt1255z00_58
; }  else 
{ 
 obj_t BgL_auxz00_8949;
BgL_auxz00_8949 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3052z00zz__ssl_sslz00, BgL_opt1255z00_58); 
FAILURE(BgL_auxz00_8949,BFALSE,BFALSE);} 
BgL_g1258z00_420 = 
VECTOR_REF(BgL_auxz00_8946,((long)1)); } 
{ 
 obj_t BgL_auxz00_8954;
if(
VECTORP(BgL_opt1255z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8954 = BgL_opt1255z00_58
; }  else 
{ 
 obj_t BgL_auxz00_8957;
BgL_auxz00_8957 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3052z00zz__ssl_sslz00, BgL_opt1255z00_58); 
FAILURE(BgL_auxz00_8957,BFALSE,BFALSE);} 
BgL_g1259z00_421 = 
VECTOR_REF(BgL_auxz00_8954,((long)2)); } 
{ 
 obj_t BgL_auxz00_8962;
if(
VECTORP(BgL_opt1255z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8962 = BgL_opt1255z00_58
; }  else 
{ 
 obj_t BgL_auxz00_8965;
BgL_auxz00_8965 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3052z00zz__ssl_sslz00, BgL_opt1255z00_58); 
FAILURE(BgL_auxz00_8965,BFALSE,BFALSE);} 
BgL_g1260z00_422 = 
VECTOR_REF(BgL_auxz00_8962,((long)3)); } 
{ /* Llib/ssl.scm 839 */
 long BgL_aux1262z00_424;
{ 
 obj_t BgL_auxz00_8970;
if(
VECTORP(BgL_opt1255z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8970 = BgL_opt1255z00_58
; }  else 
{ 
 obj_t BgL_auxz00_8973;
BgL_auxz00_8973 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3052z00zz__ssl_sslz00, BgL_opt1255z00_58); 
FAILURE(BgL_auxz00_8973,BFALSE,BFALSE);} 
BgL_aux1262z00_424 = 
VECTOR_LENGTH(BgL_auxz00_8970); } 
switch( BgL_aux1262z00_424) { case ((long)4) : 

{ /* Llib/ssl.scm 839 */

{ /* Llib/ssl.scm 839 */
 bool_t BgL_tmpz00_8978;
{ /* Llib/ssl.scm 839 */
 long BgL_auxz00_9021; long BgL_auxz00_9012; obj_t BgL_auxz00_9005; BgL_securezd2contextzd2_bglt BgL_auxz00_8979;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_tmpz00_9022;
if(
INTEGERP(BgL_g1260z00_422))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_9022 = BgL_g1260z00_422
; }  else 
{ 
 obj_t BgL_auxz00_9025;
BgL_auxz00_9025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_g1260z00_422); 
FAILURE(BgL_auxz00_9025,BFALSE,BFALSE);} 
BgL_auxz00_9021 = 
(long)CINT(BgL_tmpz00_9022); } 
{ /* Llib/ssl.scm 839 */
 obj_t BgL_tmpz00_9013;
if(
INTEGERP(BgL_g1259z00_421))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_9013 = BgL_g1259z00_421
; }  else 
{ 
 obj_t BgL_auxz00_9016;
BgL_auxz00_9016 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_g1259z00_421); 
FAILURE(BgL_auxz00_9016,BFALSE,BFALSE);} 
BgL_auxz00_9012 = 
(long)CINT(BgL_tmpz00_9013); } 
if(
STRINGP(BgL_g1258z00_420))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_9005 = BgL_g1258z00_420
; }  else 
{ 
 obj_t BgL_auxz00_9008;
BgL_auxz00_9008 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_g1258z00_420); 
FAILURE(BgL_auxz00_9008,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 839 */
 bool_t BgL_test4076z00_8980;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_classz00_5526;
BgL_classz00_5526 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_g1257z00_419))
{ /* Llib/ssl.scm 839 */
 BgL_objectz00_bglt BgL_arg1799z00_5528; long BgL_arg1800z00_5529;
BgL_arg1799z00_5528 = 
(BgL_objectz00_bglt)(BgL_g1257z00_419); 
BgL_arg1800z00_5529 = 
BGL_CLASS_DEPTH(BgL_classz00_5526); 
{ /* Llib/ssl.scm 839 */
 bool_t BgL_arg1794z00_5533; bool_t BgL_arg1795z00_5534;
{ /* Llib/ssl.scm 839 */
 long BgL_idxz00_5538;
BgL_idxz00_5538 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5528); 
{ /* Llib/ssl.scm 839 */
 obj_t BgL_arg1791z00_5539;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1792z00_5540;
BgL_arg1792z00_5540 = 
(BgL_idxz00_5538+BgL_arg1800z00_5529); 
BgL_arg1791z00_5539 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5540); } 
BgL_arg1794z00_5533 = 
(BgL_arg1791z00_5539==BgL_classz00_5526); } } 
{ /* Llib/ssl.scm 839 */
 bool_t BgL_res3414z00_5563;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_oclassz00_5548;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1804z00_5554;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1805z00_5555;
BgL_arg1805z00_5555 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5528); 
BgL_arg1804z00_5554 = 
(BgL_arg1805z00_5555-OBJECT_TYPE); } 
BgL_oclassz00_5548 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5554); } 
{ /* Llib/ssl.scm 839 */
 bool_t BgL__ortest_1111z00_5549;
BgL__ortest_1111z00_5549 = 
(BgL_classz00_5526==BgL_oclassz00_5548); 
if(BgL__ortest_1111z00_5549)
{ /* Llib/ssl.scm 839 */
BgL_res3414z00_5563 = BgL__ortest_1111z00_5549; }  else 
{ /* Llib/ssl.scm 839 */
 long BgL_odepthz00_5550;
BgL_odepthz00_5550 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5548); 
if(
(BgL_arg1800z00_5529<BgL_odepthz00_5550))
{ /* Llib/ssl.scm 839 */
 obj_t BgL_arg1793z00_5552;
BgL_arg1793z00_5552 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5548, BgL_arg1800z00_5529); 
BgL_res3414z00_5563 = 
(BgL_arg1793z00_5552==BgL_classz00_5526); }  else 
{ /* Llib/ssl.scm 839 */
BgL_res3414z00_5563 = ((bool_t)0); } } } } 
BgL_arg1795z00_5534 = BgL_res3414z00_5563; } 
BgL_test4076z00_8980 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5533, BgL_arg1795z00_5534); } }  else 
{ /* Llib/ssl.scm 839 */
BgL_test4076z00_8980 = ((bool_t)0)
; } } 
if(BgL_test4076z00_8980)
{ /* Llib/ssl.scm 839 */
BgL_auxz00_8979 = 
((BgL_securezd2contextzd2_bglt)BgL_g1257z00_419)
; }  else 
{ 
 obj_t BgL_auxz00_9001;
BgL_auxz00_9001 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_g1257z00_419); 
FAILURE(BgL_auxz00_9001,BFALSE,BFALSE);} } 
BgL_tmpz00_8978 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_8979, BgL_auxz00_9005, BgL_auxz00_9012, BgL_auxz00_9021, BFALSE); } 
return 
BBOOL(BgL_tmpz00_8978);} } break;case ((long)5) : 

{ /* Llib/ssl.scm 839 */
 obj_t BgL_passphrasez00_427;
{ 
 obj_t BgL_auxz00_9032;
if(
VECTORP(BgL_opt1255z00_58))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_9032 = BgL_opt1255z00_58
; }  else 
{ 
 obj_t BgL_auxz00_9035;
BgL_auxz00_9035 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3052z00zz__ssl_sslz00, BgL_opt1255z00_58); 
FAILURE(BgL_auxz00_9035,BFALSE,BFALSE);} 
BgL_passphrasez00_427 = 
VECTOR_REF(BgL_auxz00_9032,((long)4)); } 
{ /* Llib/ssl.scm 839 */

{ /* Llib/ssl.scm 839 */
 bool_t BgL_tmpz00_9040;
{ /* Llib/ssl.scm 839 */
 long BgL_auxz00_9083; long BgL_auxz00_9074; obj_t BgL_auxz00_9067; BgL_securezd2contextzd2_bglt BgL_auxz00_9041;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_tmpz00_9084;
if(
INTEGERP(BgL_g1260z00_422))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_9084 = BgL_g1260z00_422
; }  else 
{ 
 obj_t BgL_auxz00_9087;
BgL_auxz00_9087 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_g1260z00_422); 
FAILURE(BgL_auxz00_9087,BFALSE,BFALSE);} 
BgL_auxz00_9083 = 
(long)CINT(BgL_tmpz00_9084); } 
{ /* Llib/ssl.scm 839 */
 obj_t BgL_tmpz00_9075;
if(
INTEGERP(BgL_g1259z00_421))
{ /* Llib/ssl.scm 839 */
BgL_tmpz00_9075 = BgL_g1259z00_421
; }  else 
{ 
 obj_t BgL_auxz00_9078;
BgL_auxz00_9078 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_g1259z00_421); 
FAILURE(BgL_auxz00_9078,BFALSE,BFALSE);} 
BgL_auxz00_9074 = 
(long)CINT(BgL_tmpz00_9075); } 
if(
STRINGP(BgL_g1258z00_420))
{ /* Llib/ssl.scm 839 */
BgL_auxz00_9067 = BgL_g1258z00_420
; }  else 
{ 
 obj_t BgL_auxz00_9070;
BgL_auxz00_9070 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_g1258z00_420); 
FAILURE(BgL_auxz00_9070,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 839 */
 bool_t BgL_test4084z00_9042;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_classz00_5564;
BgL_classz00_5564 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_g1257z00_419))
{ /* Llib/ssl.scm 839 */
 BgL_objectz00_bglt BgL_arg1799z00_5566; long BgL_arg1800z00_5567;
BgL_arg1799z00_5566 = 
(BgL_objectz00_bglt)(BgL_g1257z00_419); 
BgL_arg1800z00_5567 = 
BGL_CLASS_DEPTH(BgL_classz00_5564); 
{ /* Llib/ssl.scm 839 */
 bool_t BgL_arg1794z00_5571; bool_t BgL_arg1795z00_5572;
{ /* Llib/ssl.scm 839 */
 long BgL_idxz00_5576;
BgL_idxz00_5576 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5566); 
{ /* Llib/ssl.scm 839 */
 obj_t BgL_arg1791z00_5577;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1792z00_5578;
BgL_arg1792z00_5578 = 
(BgL_idxz00_5576+BgL_arg1800z00_5567); 
BgL_arg1791z00_5577 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_5578); } 
BgL_arg1794z00_5571 = 
(BgL_arg1791z00_5577==BgL_classz00_5564); } } 
{ /* Llib/ssl.scm 839 */
 bool_t BgL_res3415z00_5601;
{ /* Llib/ssl.scm 839 */
 obj_t BgL_oclassz00_5586;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1804z00_5592;
{ /* Llib/ssl.scm 839 */
 long BgL_arg1805z00_5593;
BgL_arg1805z00_5593 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5566); 
BgL_arg1804z00_5592 = 
(BgL_arg1805z00_5593-OBJECT_TYPE); } 
BgL_oclassz00_5586 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_5592); } 
{ /* Llib/ssl.scm 839 */
 bool_t BgL__ortest_1111z00_5587;
BgL__ortest_1111z00_5587 = 
(BgL_classz00_5564==BgL_oclassz00_5586); 
if(BgL__ortest_1111z00_5587)
{ /* Llib/ssl.scm 839 */
BgL_res3415z00_5601 = BgL__ortest_1111z00_5587; }  else 
{ /* Llib/ssl.scm 839 */
 long BgL_odepthz00_5588;
BgL_odepthz00_5588 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5586); 
if(
(BgL_arg1800z00_5567<BgL_odepthz00_5588))
{ /* Llib/ssl.scm 839 */
 obj_t BgL_arg1793z00_5590;
BgL_arg1793z00_5590 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5586, BgL_arg1800z00_5567); 
BgL_res3415z00_5601 = 
(BgL_arg1793z00_5590==BgL_classz00_5564); }  else 
{ /* Llib/ssl.scm 839 */
BgL_res3415z00_5601 = ((bool_t)0); } } } } 
BgL_arg1795z00_5572 = BgL_res3415z00_5601; } 
BgL_test4084z00_9042 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5571, BgL_arg1795z00_5572); } }  else 
{ /* Llib/ssl.scm 839 */
BgL_test4084z00_9042 = ((bool_t)0)
; } } 
if(BgL_test4084z00_9042)
{ /* Llib/ssl.scm 839 */
BgL_auxz00_9041 = 
((BgL_securezd2contextzd2_bglt)BgL_g1257z00_419)
; }  else 
{ 
 obj_t BgL_auxz00_9063;
BgL_auxz00_9063 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34315)), BGl_string3051z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_g1257z00_419); 
FAILURE(BgL_auxz00_9063,BFALSE,BFALSE);} } 
BgL_tmpz00_9040 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_9041, BgL_auxz00_9067, BgL_auxz00_9074, BgL_auxz00_9083, BgL_passphrasez00_427); } 
return 
BBOOL(BgL_tmpz00_9040);} } } break;
default: 
return BUNSPEC;} } } } 

}



/* bn-bin2bn */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t BgL_stringz00_178)
{
{ /* Llib/ssl.scm 1393 */
{ /* Llib/ssl.scm 1395 */
 void * BgL_arg1747z00_2107;
{ /* Llib/ssl.scm 1395 */
 long BgL_arg1748z00_2108;
BgL_arg1748z00_2108 = 
STRING_LENGTH(BgL_stringz00_178); 
BgL_arg1747z00_2107 = 
bgl_bn_bin2bn(
BSTRING_TO_STRING(BgL_stringz00_178), 
(int)(BgL_arg1748z00_2108)); } 
return 
void_star_to_obj(BgL_arg1747z00_2107);} } 

}



/* &bn-bin2bn */
obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t BgL_envz00_4043, obj_t BgL_stringz00_4044)
{
{ /* Llib/ssl.scm 1393 */
{ /* Llib/ssl.scm 1395 */
 obj_t BgL_auxz00_9100;
if(
STRINGP(BgL_stringz00_4044))
{ /* Llib/ssl.scm 1395 */
BgL_auxz00_9100 = BgL_stringz00_4044
; }  else 
{ 
 obj_t BgL_auxz00_9103;
BgL_auxz00_9103 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)56241)), BGl_string3054z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_stringz00_4044); 
FAILURE(BgL_auxz00_9103,BFALSE,BFALSE);} 
return 
BGl_bnzd2bin2bnzd2zz__ssl_sslz00(BgL_auxz00_9100);} } 

}



/* bn-bn2bin */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t BgL_bnz00_179)
{
{ /* Llib/ssl.scm 1401 */
{ /* Llib/ssl.scm 1404 */
 int BgL_sza7za7_430;
{ /* Llib/ssl.scm 1415 */
 void * BgL_arg1755z00_2111;
BgL_arg1755z00_2111 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_179); 
BgL_sza7za7_430 = 
BN_num_bytes(BgL_arg1755z00_2111); } 
{ /* Llib/ssl.scm 1404 */
 obj_t BgL_stz00_431;
{ /* Llib/ssl.scm 1405 */

BgL_stz00_431 = 
make_string(
(long)(BgL_sza7za7_430), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1405 */

{ /* Llib/ssl.scm 1406 */
 void * BgL_arg1749z00_432;
BgL_arg1749z00_432 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_179); 
{ /* Llib/ssl.scm 1406 */
 char * BgL_tmpz00_9113;
BgL_tmpz00_9113 = 
BSTRING_TO_STRING(BgL_stz00_431); 
BN_bn2bin(BgL_arg1749z00_432, BgL_tmpz00_9113); } } 
return BgL_stz00_431;} } } } 

}



/* &bn-bn2bin */
obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t BgL_envz00_4045, obj_t BgL_bnz00_4046)
{
{ /* Llib/ssl.scm 1401 */
{ /* Llib/ssl.scm 1404 */
 obj_t BgL_auxz00_9116;
if(
FOREIGNP(BgL_bnz00_4046))
{ /* Llib/ssl.scm 1404 */
BgL_auxz00_9116 = BgL_bnz00_4046
; }  else 
{ 
 obj_t BgL_auxz00_9119;
BgL_auxz00_9119 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)56579)), BGl_string3055z00zz__ssl_sslz00, BGl_string3056z00zz__ssl_sslz00, BgL_bnz00_4046); 
FAILURE(BgL_auxz00_9119,BFALSE,BFALSE);} 
return 
BGl_bnzd2bn2binzd2zz__ssl_sslz00(BgL_auxz00_9116);} } 

}



/* bn-num-bytes */
BGL_EXPORTED_DEF int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t BgL_bnz00_180)
{
{ /* Llib/ssl.scm 1413 */
{ /* Llib/ssl.scm 1415 */
 void * BgL_arg1755z00_2113;
BgL_arg1755z00_2113 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_180); 
return 
BN_num_bytes(BgL_arg1755z00_2113);} } 

}



/* &bn-num-bytes */
obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_4047, obj_t BgL_bnz00_4048)
{
{ /* Llib/ssl.scm 1413 */
{ /* Llib/ssl.scm 1415 */
 int BgL_tmpz00_9126;
{ /* Llib/ssl.scm 1415 */
 obj_t BgL_auxz00_9127;
if(
FOREIGNP(BgL_bnz00_4048))
{ /* Llib/ssl.scm 1415 */
BgL_auxz00_9127 = BgL_bnz00_4048
; }  else 
{ 
 obj_t BgL_auxz00_9130;
BgL_auxz00_9130 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)57001)), BGl_string3057z00zz__ssl_sslz00, BGl_string3056z00zz__ssl_sslz00, BgL_bnz00_4048); 
FAILURE(BgL_auxz00_9130,BFALSE,BFALSE);} 
BgL_tmpz00_9126 = 
BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(BgL_auxz00_9127); } 
return 
BINT(BgL_tmpz00_9126);} } 

}



/* bn-free */
BGL_EXPORTED_DEF obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t BgL_bnz00_181)
{
{ /* Llib/ssl.scm 1421 */
{ /* Llib/ssl.scm 1423 */
 void * BgL_arg1756z00_2114;
BgL_arg1756z00_2114 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_181); 
BN_free(BgL_arg1756z00_2114); BUNSPEC; } 
return BUNSPEC;} 

}



/* &bn-free */
obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t BgL_envz00_4049, obj_t BgL_bnz00_4050)
{
{ /* Llib/ssl.scm 1421 */
{ /* Llib/ssl.scm 1423 */
 obj_t BgL_auxz00_9138;
if(
FOREIGNP(BgL_bnz00_4050))
{ /* Llib/ssl.scm 1423 */
BgL_auxz00_9138 = BgL_bnz00_4050
; }  else 
{ 
 obj_t BgL_auxz00_9141;
BgL_auxz00_9141 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)57346)), BGl_string3058z00zz__ssl_sslz00, BGl_string3056z00zz__ssl_sslz00, BgL_bnz00_4050); 
FAILURE(BgL_auxz00_9141,BFALSE,BFALSE);} 
return 
BGl_bnzd2freezd2zz__ssl_sslz00(BgL_auxz00_9138);} } 

}



/* bn-new */
BGL_EXPORTED_DEF obj_t BGl_bnzd2newzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 1429 */
{ /* Llib/ssl.scm 1431 */
 void * BgL_arg1763z00_2115;
BgL_arg1763z00_2115 = 
BN_new(); 
return 
void_star_to_obj(BgL_arg1763z00_2115);} } 

}



/* &bn-new */
obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t BgL_envz00_4051)
{
{ /* Llib/ssl.scm 1429 */
return 
BGl_bnzd2newzd2zz__ssl_sslz00();} 

}



/* bn-set-word */
BGL_EXPORTED_DEF bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t BgL_bnz00_182, int BgL_wz00_183)
{
{ /* Llib/ssl.scm 1437 */
{ /* Llib/ssl.scm 1439 */
 void * BgL_arg1766z00_2116;
BgL_arg1766z00_2116 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_182); 
return 
BN_set_word(BgL_arg1766z00_2116, BgL_wz00_183);} } 

}



/* &bn-set-word */
obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t BgL_envz00_4052, obj_t BgL_bnz00_4053, obj_t BgL_wz00_4054)
{
{ /* Llib/ssl.scm 1437 */
{ /* Llib/ssl.scm 1439 */
 bool_t BgL_tmpz00_9151;
{ /* Llib/ssl.scm 1439 */
 int BgL_auxz00_9159; obj_t BgL_auxz00_9152;
{ /* Llib/ssl.scm 1439 */
 obj_t BgL_tmpz00_9160;
if(
INTEGERP(BgL_wz00_4054))
{ /* Llib/ssl.scm 1439 */
BgL_tmpz00_9160 = BgL_wz00_4054
; }  else 
{ 
 obj_t BgL_auxz00_9163;
BgL_auxz00_9163 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)57980)), BGl_string3059z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_wz00_4054); 
FAILURE(BgL_auxz00_9163,BFALSE,BFALSE);} 
BgL_auxz00_9159 = 
CINT(BgL_tmpz00_9160); } 
if(
FOREIGNP(BgL_bnz00_4053))
{ /* Llib/ssl.scm 1439 */
BgL_auxz00_9152 = BgL_bnz00_4053
; }  else 
{ 
 obj_t BgL_auxz00_9155;
BgL_auxz00_9155 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)57980)), BGl_string3059z00zz__ssl_sslz00, BGl_string3056z00zz__ssl_sslz00, BgL_bnz00_4053); 
FAILURE(BgL_auxz00_9155,BFALSE,BFALSE);} 
BgL_tmpz00_9151 = 
BGl_bnzd2setzd2wordz00zz__ssl_sslz00(BgL_auxz00_9152, BgL_auxz00_9159); } 
return 
BBOOL(BgL_tmpz00_9151);} } 

}



/* ssl-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 1445 */
return 
bgl_ssl_get_ciphers();} 

}



/* &ssl-get-ciphers */
obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_4055)
{
{ /* Llib/ssl.scm 1445 */
return 
BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00();} 

}



/* evp-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 1453 */
return 
bgl_evp_get_ciphers();} 

}



/* &evp-get-ciphers */
obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_4056)
{
{ /* Llib/ssl.scm 1453 */
return 
BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00();} 

}



/* evp-get-hashes */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 1461 */
return 
bgl_evp_get_hashes();} 

}



/* &evp-get-hashes */
obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t BgL_envz00_4057)
{
{ /* Llib/ssl.scm 1461 */
return 
BGl_evpzd2getzd2hashesz00zz__ssl_sslz00();} 

}



/* pkcs5-pbkdf2-hmac-sha1 */
BGL_EXPORTED_DEF obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t BgL_passz00_184, obj_t BgL_saltz00_185, int BgL_iterz00_186, int BgL_keylenz00_187)
{
{ /* Llib/ssl.scm 1469 */
return 
bgl_pkcs5_pbkdf2_hmac_sha1(BgL_passz00_184, BgL_saltz00_185, BgL_iterz00_186, BgL_keylenz00_187);} 

}



/* &pkcs5-pbkdf2-hmac-sha1 */
obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t BgL_envz00_4058, obj_t BgL_passz00_4059, obj_t BgL_saltz00_4060, obj_t BgL_iterz00_4061, obj_t BgL_keylenz00_4062)
{
{ /* Llib/ssl.scm 1469 */
{ /* Llib/ssl.scm 1472 */
 int BgL_auxz00_9200; int BgL_auxz00_9191; obj_t BgL_auxz00_9184; obj_t BgL_auxz00_9177;
{ /* Llib/ssl.scm 1472 */
 obj_t BgL_tmpz00_9201;
if(
INTEGERP(BgL_keylenz00_4062))
{ /* Llib/ssl.scm 1472 */
BgL_tmpz00_9201 = BgL_keylenz00_4062
; }  else 
{ 
 obj_t BgL_auxz00_9204;
BgL_auxz00_9204 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string3060z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_keylenz00_4062); 
FAILURE(BgL_auxz00_9204,BFALSE,BFALSE);} 
BgL_auxz00_9200 = 
CINT(BgL_tmpz00_9201); } 
{ /* Llib/ssl.scm 1472 */
 obj_t BgL_tmpz00_9192;
if(
INTEGERP(BgL_iterz00_4061))
{ /* Llib/ssl.scm 1472 */
BgL_tmpz00_9192 = BgL_iterz00_4061
; }  else 
{ 
 obj_t BgL_auxz00_9195;
BgL_auxz00_9195 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string3060z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_iterz00_4061); 
FAILURE(BgL_auxz00_9195,BFALSE,BFALSE);} 
BgL_auxz00_9191 = 
CINT(BgL_tmpz00_9192); } 
if(
STRINGP(BgL_saltz00_4060))
{ /* Llib/ssl.scm 1472 */
BgL_auxz00_9184 = BgL_saltz00_4060
; }  else 
{ 
 obj_t BgL_auxz00_9187;
BgL_auxz00_9187 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string3060z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_saltz00_4060); 
FAILURE(BgL_auxz00_9187,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passz00_4059))
{ /* Llib/ssl.scm 1472 */
BgL_auxz00_9177 = BgL_passz00_4059
; }  else 
{ 
 obj_t BgL_auxz00_9180;
BgL_auxz00_9180 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)59317)), BGl_string3060z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_passz00_4059); 
FAILURE(BgL_auxz00_9180,BFALSE,BFALSE);} 
return 
BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(BgL_auxz00_9177, BgL_auxz00_9184, BgL_auxz00_9191, BgL_auxz00_9200);} } 

}



/* ssl-op-cipher-server-preference */
BGL_EXPORTED_DEF int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 1479 */
return SSL_OP_CIPHER_SERVER_PREFERENCE;} 

}



/* &ssl-op-cipher-server-preference */
obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t BgL_envz00_4063)
{
{ /* Llib/ssl.scm 1479 */
return 
BINT(
BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 299 */
 obj_t BgL_arg1789z00_442; obj_t BgL_arg1790z00_443;
{ /* Llib/ssl.scm 299 */
 obj_t BgL_v1192z00_454;
BgL_v1192z00_454 = 
create_vector(((long)1)); 
{ /* Llib/ssl.scm 299 */
 obj_t BgL_arg1808z00_455;
BgL_arg1808z00_455 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3062z00zz__ssl_sslz00, BGl_proc3061z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)29))); 
VECTOR_SET(BgL_v1192z00_454,((long)0),BgL_arg1808z00_455); } 
BgL_arg1789z00_442 = BgL_v1192z00_454; } 
{ /* Llib/ssl.scm 299 */
 obj_t BgL_v1193z00_465;
BgL_v1193z00_465 = 
create_vector(((long)0)); 
BgL_arg1790z00_443 = BgL_v1193z00_465; } 
BGl_certificatez00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)30)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)36719), BGl_proc3065z00zz__ssl_sslz00, BGl_proc3064z00zz__ssl_sslz00, BFALSE, BGl_proc3063z00zz__ssl_sslz00, BFALSE, BgL_arg1789z00_442, BgL_arg1790z00_443); } 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_arg1823z00_472; obj_t BgL_arg1824z00_473;
{ /* Llib/ssl.scm 302 */
 obj_t BgL_v1194z00_484;
BgL_v1194z00_484 = 
create_vector(((long)1)); 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_arg1830z00_485;
BgL_arg1830z00_485 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3067z00zz__ssl_sslz00, BGl_proc3066z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1194z00_484,((long)0),BgL_arg1830z00_485); } 
BgL_arg1823z00_472 = BgL_v1194z00_484; } 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_v1195z00_495;
BgL_v1195z00_495 = 
create_vector(((long)0)); 
BgL_arg1824z00_473 = BgL_v1195z00_495; } 
BGl_privatezd2keyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)33)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)36583), BGl_proc3070z00zz__ssl_sslz00, BGl_proc3069z00zz__ssl_sslz00, BFALSE, BGl_proc3068z00zz__ssl_sslz00, BFALSE, BgL_arg1823z00_472, BgL_arg1824z00_473); } 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_arg1838z00_502; obj_t BgL_arg1839z00_503;
{ /* Llib/ssl.scm 405 */
 obj_t BgL_v1196z00_517;
BgL_v1196z00_517 = 
create_vector(((long)3)); 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_arg1846z00_518;
BgL_arg1846z00_518 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3073z00zz__ssl_sslz00, BGl_proc3072z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3071z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)34))); 
VECTOR_SET(BgL_v1196z00_517,((long)0),BgL_arg1846z00_518); } 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_arg1853z00_531;
BgL_arg1853z00_531 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc3076z00zz__ssl_sslz00, BGl_proc3075z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3074z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)36))); 
VECTOR_SET(BgL_v1196z00_517,((long)1),BgL_arg1853z00_531); } 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_arg1860z00_544;
BgL_arg1860z00_544 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc3079z00zz__ssl_sslz00, BGl_proc3078z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3077z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1196z00_517,((long)2),BgL_arg1860z00_544); } 
BgL_arg1838z00_502 = BgL_v1196z00_517; } 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_v1197z00_557;
BgL_v1197z00_557 = 
create_vector(((long)0)); 
BgL_arg1839z00_503 = BgL_v1197z00_557; } 
BGl_securezd2contextzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)52075), BGl_proc3082z00zz__ssl_sslz00, BGl_proc3081z00zz__ssl_sslz00, BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3080z00zz__ssl_sslz00, BFALSE, BgL_arg1838z00_502, BgL_arg1839z00_503); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1871z00_564; obj_t BgL_arg1872z00_565;
{ /* Llib/ssl.scm 411 */
 obj_t BgL_v1198z00_593;
BgL_v1198z00_593 = 
create_vector(((long)17)); 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1879z00_594;
BgL_arg1879z00_594 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3085z00zz__ssl_sslz00, BGl_proc3084z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3083z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)40))); 
VECTOR_SET(BgL_v1198z00_593,((long)0),BgL_arg1879z00_594); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1886z00_607;
BgL_arg1886z00_607 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc3088z00zz__ssl_sslz00, BGl_proc3087z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3086z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)42))); 
VECTOR_SET(BgL_v1198z00_593,((long)1),BgL_arg1886z00_607); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1893z00_620;
BgL_arg1893z00_620 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc3091z00zz__ssl_sslz00, BGl_proc3090z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3089z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)42))); 
VECTOR_SET(BgL_v1198z00_593,((long)2),BgL_arg1893z00_620); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1900z00_633;
BgL_arg1900z00_633 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_proc3094z00zz__ssl_sslz00, BGl_proc3093z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3092z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)45))); 
VECTOR_SET(BgL_v1198z00_593,((long)3),BgL_arg1900z00_633); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1907z00_646;
BgL_arg1907z00_646 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_proc3096z00zz__ssl_sslz00, BGl_proc3095z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_securezd2contextzd2zz__ssl_sslz00); 
VECTOR_SET(BgL_v1198z00_593,((long)4),BgL_arg1907z00_646); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1912z00_656;
BgL_arg1912z00_656 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3098z00zz__ssl_sslz00, BGl_proc3097z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1198z00_593,((long)5),BgL_arg1912z00_656); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1917z00_666;
BgL_arg1917z00_666 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc3101z00zz__ssl_sslz00, BGl_proc3100z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3099z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1198z00_593,((long)6),BgL_arg1917z00_666); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1924z00_679;
BgL_arg1924z00_679 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc3104z00zz__ssl_sslz00, BGl_proc3103z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3102z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)7),BgL_arg1924z00_679); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1931z00_692;
BgL_arg1931z00_692 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc3106z00zz__ssl_sslz00, BGl_proc3105z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1198z00_593,((long)8),BgL_arg1931z00_692); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1936z00_702;
BgL_arg1936z00_702 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_proc3109z00zz__ssl_sslz00, BGl_proc3108z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3107z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)9),BgL_arg1936z00_702); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1943z00_715;
BgL_arg1943z00_715 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc3112z00zz__ssl_sslz00, BGl_proc3111z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3110z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)10),BgL_arg1943z00_715); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1950z00_728;
BgL_arg1950z00_728 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc3115z00zz__ssl_sslz00, BGl_proc3114z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3113z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)56))); 
VECTOR_SET(BgL_v1198z00_593,((long)11),BgL_arg1950z00_728); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1957z00_741;
BgL_arg1957z00_741 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3118z00zz__ssl_sslz00, BGl_proc3117z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3116z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)12),BgL_arg1957z00_741); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1964z00_754;
BgL_arg1964z00_754 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc3121z00zz__ssl_sslz00, BGl_proc3120z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3119z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)13),BgL_arg1964z00_754); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1971z00_767;
BgL_arg1971z00_767 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc3124z00zz__ssl_sslz00, BGl_proc3123z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3122z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1198z00_593,((long)14),BgL_arg1971z00_767); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1978z00_780;
BgL_arg1978z00_780 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc3127z00zz__ssl_sslz00, BGl_proc3126z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3125z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1198z00_593,((long)15),BgL_arg1978z00_780); } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_arg1985z00_793;
BgL_arg1985z00_793 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)61)), BGl_proc3130z00zz__ssl_sslz00, BGl_proc3129z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3128z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1198z00_593,((long)16),BgL_arg1985z00_793); } 
BgL_arg1871z00_564 = BgL_v1198z00_593; } 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_v1199z00_806;
BgL_v1199z00_806 = 
create_vector(((long)0)); 
BgL_arg1872z00_565 = BgL_v1199z00_806; } 
BGl_sslzd2connectionzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)62)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)46618), BGl_proc3133z00zz__ssl_sslz00, BGl_proc3132z00zz__ssl_sslz00, BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3131z00zz__ssl_sslz00, BFALSE, BgL_arg1871z00_564, BgL_arg1872z00_565); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg1995z00_813; obj_t BgL_arg1996z00_814;
{ /* Llib/ssl.scm 431 */
 obj_t BgL_v1200z00_831;
BgL_v1200z00_831 = 
create_vector(((long)11)); 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2003z00_832;
BgL_arg2003z00_832 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3136z00zz__ssl_sslz00, BGl_proc3135z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3134z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)63))); 
VECTOR_SET(BgL_v1200z00_831,((long)0),BgL_arg2003z00_832); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2010z00_845;
BgL_arg2010z00_845 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3139z00zz__ssl_sslz00, BGl_proc3138z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3137z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1200z00_831,((long)1),BgL_arg2010z00_845); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2017z00_858;
BgL_arg2017z00_858 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc3142z00zz__ssl_sslz00, BGl_proc3141z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3140z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1200z00_831,((long)2),BgL_arg2017z00_858); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2024z00_871;
BgL_arg2024z00_871 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc3145z00zz__ssl_sslz00, BGl_proc3144z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3143z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1200z00_831,((long)3),BgL_arg2024z00_871); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2031z00_884;
BgL_arg2031z00_884 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc3148z00zz__ssl_sslz00, BGl_proc3147z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3146z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1200z00_831,((long)4),BgL_arg2031z00_884); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2038z00_897;
BgL_arg2038z00_897 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc3151z00zz__ssl_sslz00, BGl_proc3150z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3149z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)65))); 
VECTOR_SET(BgL_v1200z00_831,((long)5),BgL_arg2038z00_897); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2045z00_910;
BgL_arg2045z00_910 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc3153z00zz__ssl_sslz00, BGl_proc3152z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1200z00_831,((long)6),BgL_arg2045z00_910); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2050z00_920;
BgL_arg2050z00_920 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc3155z00zz__ssl_sslz00, BGl_proc3154z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1200z00_831,((long)7),BgL_arg2050z00_920); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2055z00_930;
BgL_arg2055z00_930 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc3157z00zz__ssl_sslz00, BGl_proc3156z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1200z00_831,((long)8),BgL_arg2055z00_930); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2060z00_940;
BgL_arg2060z00_940 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc3159z00zz__ssl_sslz00, BGl_proc3158z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1200z00_831,((long)9),BgL_arg2060z00_940); } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_arg2065z00_950;
BgL_arg2065z00_950 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc3161z00zz__ssl_sslz00, BGl_proc3160z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1200z00_831,((long)10),BgL_arg2065z00_950); } 
BgL_arg1995z00_813 = BgL_v1200z00_831; } 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_v1201z00_960;
BgL_v1201z00_960 = 
create_vector(((long)5)); 
{ /* Llib/ssl.scm 441 */
 obj_t BgL_arg2070z00_961;
{ /* Llib/ssl.scm 441 */
 obj_t BgL_arg2071z00_962;
BgL_arg2071z00_962 = 
MAKE_YOUNG_PAIR(BGl_proc3162z00zz__ssl_sslz00, BGl_proc3163z00zz__ssl_sslz00); 
BgL_arg2070z00_961 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg2071z00_962); } 
VECTOR_SET(BgL_v1201z00_960,((long)0),BgL_arg2070z00_961); } 
{ /* Llib/ssl.scm 450 */
 obj_t BgL_arg2084z00_989;
{ /* Llib/ssl.scm 450 */
 obj_t BgL_arg2085z00_990;
BgL_arg2085z00_990 = 
MAKE_YOUNG_PAIR(BGl_proc3164z00zz__ssl_sslz00, BGl_proc3165z00zz__ssl_sslz00); 
BgL_arg2084z00_989 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg2085z00_990); } 
VECTOR_SET(BgL_v1201z00_960,((long)1),BgL_arg2084z00_989); } 
{ /* Llib/ssl.scm 459 */
 obj_t BgL_arg2098z00_1017;
{ /* Llib/ssl.scm 459 */
 obj_t BgL_arg2099z00_1018;
BgL_arg2099z00_1018 = 
MAKE_YOUNG_PAIR(BGl_proc3166z00zz__ssl_sslz00, BGl_proc3167z00zz__ssl_sslz00); 
BgL_arg2098z00_1017 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg2099z00_1018); } 
VECTOR_SET(BgL_v1201z00_960,((long)2),BgL_arg2098z00_1017); } 
{ /* Llib/ssl.scm 469 */
 obj_t BgL_arg2112z00_1046;
{ /* Llib/ssl.scm 469 */
 obj_t BgL_arg2113z00_1047;
BgL_arg2113z00_1047 = 
MAKE_YOUNG_PAIR(BGl_proc3168z00zz__ssl_sslz00, BGl_proc3169z00zz__ssl_sslz00); 
BgL_arg2112z00_1046 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg2113z00_1047); } 
VECTOR_SET(BgL_v1201z00_960,((long)3),BgL_arg2112z00_1046); } 
{ /* Llib/ssl.scm 478 */
 obj_t BgL_arg2125z00_1073;
{ /* Llib/ssl.scm 478 */
 obj_t BgL_arg2126z00_1074;
BgL_arg2126z00_1074 = 
MAKE_YOUNG_PAIR(BGl_proc3170z00zz__ssl_sslz00, BGl_proc3171z00zz__ssl_sslz00); 
BgL_arg2125z00_1073 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg2126z00_1074); } 
VECTOR_SET(BgL_v1201z00_960,((long)4),BgL_arg2125z00_1073); } 
BgL_arg1996z00_814 = BgL_v1201z00_960; } 
BGl_dhz00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)74)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)13004), BGl_proc3174z00zz__ssl_sslz00, BGl_proc3173z00zz__ssl_sslz00, BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3172z00zz__ssl_sslz00, BFALSE, BgL_arg1995z00_813, BgL_arg1996z00_814); } 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_arg2141z00_1106; obj_t BgL_arg2142z00_1107;
{ /* Llib/ssl.scm 486 */
 obj_t BgL_v1202z00_1121;
BgL_v1202z00_1121 = 
create_vector(((long)3)); 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_arg2149z00_1122;
BgL_arg2149z00_1122 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3177z00zz__ssl_sslz00, BGl_proc3176z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3175z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1202z00_1121,((long)0),BgL_arg2149z00_1122); } 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_arg2156z00_1135;
BgL_arg2156z00_1135 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3180z00zz__ssl_sslz00, BGl_proc3179z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3178z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1202z00_1121,((long)1),BgL_arg2156z00_1135); } 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_arg2163z00_1148;
BgL_arg2163z00_1148 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)79)), BGl_proc3182z00zz__ssl_sslz00, BGl_proc3181z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1202z00_1121,((long)2),BgL_arg2163z00_1148); } 
BgL_arg2141z00_1106 = BgL_v1202z00_1121; } 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_v1203z00_1158;
BgL_v1203z00_1158 = 
create_vector(((long)0)); 
BgL_arg2142z00_1107 = BgL_v1203z00_1158; } 
BGl_sslzd2hashzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)80)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)4072), BGl_proc3185z00zz__ssl_sslz00, BGl_proc3184z00zz__ssl_sslz00, BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3183z00zz__ssl_sslz00, BFALSE, BgL_arg2141z00_1106, BgL_arg2142z00_1107); } 
{ /* Llib/ssl.scm 496 */
 obj_t BgL_arg2171z00_1165; obj_t BgL_arg2172z00_1166;
{ /* Llib/ssl.scm 496 */
 obj_t BgL_v1204z00_1178;
BgL_v1204z00_1178 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 496 */
 obj_t BgL_arg2178z00_1179;
BgL_arg2178z00_1179 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3188z00zz__ssl_sslz00, BGl_proc3187z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3186z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1204z00_1178,((long)0),BgL_arg2178z00_1179); } 
{ /* Llib/ssl.scm 496 */
 obj_t BgL_arg2185z00_1192;
BgL_arg2185z00_1192 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3191z00zz__ssl_sslz00, BGl_proc3190z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3189z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)81))); 
VECTOR_SET(BgL_v1204z00_1178,((long)1),BgL_arg2185z00_1192); } 
BgL_arg2171z00_1165 = BgL_v1204z00_1178; } 
{ /* Llib/ssl.scm 496 */
 obj_t BgL_v1205z00_1205;
BgL_v1205z00_1205 = 
create_vector(((long)0)); 
BgL_arg2172z00_1166 = BgL_v1205z00_1205; } 
BGl_sslzd2hmaczd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)82)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)62191), BGl_proc3194z00zz__ssl_sslz00, BGl_proc3193z00zz__ssl_sslz00, BFALSE, BGl_proc3192z00zz__ssl_sslz00, BFALSE, BgL_arg2171z00_1165, BgL_arg2172z00_1166); } 
{ /* Llib/ssl.scm 504 */
 obj_t BgL_arg2196z00_1212; obj_t BgL_arg2197z00_1213;
{ /* Llib/ssl.scm 504 */
 obj_t BgL_v1206z00_1225;
BgL_v1206z00_1225 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 504 */
 obj_t BgL_arg2203z00_1226;
BgL_arg2203z00_1226 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3197z00zz__ssl_sslz00, BGl_proc3196z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3195z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1206z00_1225,((long)0),BgL_arg2203z00_1226); } 
{ /* Llib/ssl.scm 504 */
 obj_t BgL_arg2210z00_1239;
BgL_arg2210z00_1239 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3200z00zz__ssl_sslz00, BGl_proc3199z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3198z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)81))); 
VECTOR_SET(BgL_v1206z00_1225,((long)1),BgL_arg2210z00_1239); } 
BgL_arg2196z00_1212 = BgL_v1206z00_1225; } 
{ /* Llib/ssl.scm 504 */
 obj_t BgL_v1207z00_1252;
BgL_v1207z00_1252 = 
create_vector(((long)0)); 
BgL_arg2197z00_1213 = BgL_v1207z00_1252; } 
BGl_sslzd2signzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)83)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)64231), BGl_proc3203z00zz__ssl_sslz00, BGl_proc3202z00zz__ssl_sslz00, BFALSE, BGl_proc3201z00zz__ssl_sslz00, BFALSE, BgL_arg2196z00_1212, BgL_arg2197z00_1213); } 
{ /* Llib/ssl.scm 512 */
 obj_t BgL_arg2220z00_1259; obj_t BgL_arg2221z00_1260;
{ /* Llib/ssl.scm 512 */
 obj_t BgL_v1208z00_1272;
BgL_v1208z00_1272 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 512 */
 obj_t BgL_arg2227z00_1273;
BgL_arg2227z00_1273 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3206z00zz__ssl_sslz00, BGl_proc3205z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3204z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)76))); 
VECTOR_SET(BgL_v1208z00_1272,((long)0),BgL_arg2227z00_1273); } 
{ /* Llib/ssl.scm 512 */
 obj_t BgL_arg2234z00_1286;
BgL_arg2234z00_1286 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3209z00zz__ssl_sslz00, BGl_proc3208z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3207z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)81))); 
VECTOR_SET(BgL_v1208z00_1272,((long)1),BgL_arg2234z00_1286); } 
BgL_arg2220z00_1259 = BgL_v1208z00_1272; } 
{ /* Llib/ssl.scm 512 */
 obj_t BgL_v1209z00_1299;
BgL_v1209z00_1299 = 
create_vector(((long)0)); 
BgL_arg2221z00_1260 = BgL_v1209z00_1299; } 
BGl_sslzd2verifyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)84)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)31563), BGl_proc3212z00zz__ssl_sslz00, BGl_proc3211z00zz__ssl_sslz00, BFALSE, BGl_proc3210z00zz__ssl_sslz00, BFALSE, BgL_arg2220z00_1259, BgL_arg2221z00_1260); } 
{ /* Llib/ssl.scm 520 */
 obj_t BgL_arg2244z00_1306; obj_t BgL_arg2245z00_1307;
{ /* Llib/ssl.scm 520 */
 obj_t BgL_v1210z00_1319;
BgL_v1210z00_1319 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 520 */
 obj_t BgL_arg2251z00_1320;
BgL_arg2251z00_1320 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc3215z00zz__ssl_sslz00, BGl_proc3214z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3213z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)86))); 
VECTOR_SET(BgL_v1210z00_1319,((long)0),BgL_arg2251z00_1320); } 
{ /* Llib/ssl.scm 520 */
 obj_t BgL_arg2258z00_1333;
BgL_arg2258z00_1333 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)87)), BGl_proc3218z00zz__ssl_sslz00, BGl_proc3217z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3216z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)88))); 
VECTOR_SET(BgL_v1210z00_1319,((long)1),BgL_arg2258z00_1333); } 
BgL_arg2244z00_1306 = BgL_v1210z00_1319; } 
{ /* Llib/ssl.scm 520 */
 obj_t BgL_v1211z00_1346;
BgL_v1211z00_1346 = 
create_vector(((long)0)); 
BgL_arg2245z00_1307 = BgL_v1211z00_1346; } 
return ( 
BGl_sslzd2cipherzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)89)), 
CNST_TABLE_REF(((long)31)), BGl_objectz00zz__objectz00, ((long)23017), BGl_proc3221z00zz__ssl_sslz00, BGl_proc3220z00zz__ssl_sslz00, BFALSE, BGl_proc3219z00zz__ssl_sslz00, BFALSE, BgL_arg2244z00_1306, BgL_arg2245z00_1307), BUNSPEC) ;} } 

}



/* &<@anonymous:2250> */
obj_t BGl_z62zc3z04anonymousza32250ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4230, obj_t BgL_new1117z00_4231)
{
{ /* Llib/ssl.scm 520 */
{ 
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_9457;
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1117z00_4231)))->BgL_z42cipherz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1117z00_4231)))->BgL_z42cipherzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9457 = 
((BgL_sslzd2cipherzd2_bglt)BgL_new1117z00_4231); 
return 
((obj_t)BgL_auxz00_9457);} } 

}



/* &lambda2248 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2248z62zz__ssl_sslz00(obj_t BgL_envz00_4232)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
 BgL_sslzd2cipherzd2_bglt BgL_new1116z00_5603;
BgL_new1116z00_5603 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 520 */
 long BgL_arg2249z00_5604;
BgL_arg2249z00_5604 = 
BGL_CLASS_NUM(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_5603), BgL_arg2249z00_5604); } 
return BgL_new1116z00_5603;} } 

}



/* &lambda2246 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2246z62zz__ssl_sslz00(obj_t BgL_envz00_4233, obj_t BgL_z42cipher1114z42_4234, obj_t BgL_z42cipherzd2ctx1115z90_4235)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
 void * BgL_z42cipher1114z42_5605; void * BgL_z42cipherzd2ctx1115z90_5606;
BgL_z42cipher1114z42_5605 = 
FOREIGN_TO_COBJ(BgL_z42cipher1114z42_4234); 
BgL_z42cipherzd2ctx1115z90_5606 = 
FOREIGN_TO_COBJ(BgL_z42cipherzd2ctx1115z90_4235); 
{ /* Llib/ssl.scm 520 */
 BgL_sslzd2cipherzd2_bglt BgL_new1180z00_5607;
{ /* Llib/ssl.scm 520 */
 BgL_sslzd2cipherzd2_bglt BgL_new1179z00_5608;
BgL_new1179z00_5608 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 520 */
 long BgL_arg2247z00_5609;
BgL_arg2247z00_5609 = 
BGL_CLASS_NUM(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1179z00_5608), BgL_arg2247z00_5609); } 
BgL_new1180z00_5607 = BgL_new1179z00_5608; } 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1180z00_5607))->BgL_z42cipherz42)=((void *)BgL_z42cipher1114z42_5605),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1180z00_5607))->BgL_z42cipherzd2ctxz90)=((void *)BgL_z42cipherzd2ctx1115z90_5606),BUNSPEC); 
return BgL_new1180z00_5607;} } } 

}



/* &<@anonymous:2264> */
obj_t BGl_z62zc3z04anonymousza32264ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4236)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2263 */
obj_t BGl_z62lambda2263z62zz__ssl_sslz00(obj_t BgL_envz00_4237, obj_t BgL_oz00_4238, obj_t BgL_vz00_4239)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
 void * BgL_vz00_5611;
BgL_vz00_5611 = 
FOREIGN_TO_COBJ(BgL_vz00_4239); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4238)))->BgL_z42cipherzd2ctxz90)=((void *)BgL_vz00_5611),BUNSPEC);} } 

}



/* &lambda2262 */
obj_t BGl_z62lambda2262z62zz__ssl_sslz00(obj_t BgL_envz00_4240, obj_t BgL_oz00_4241)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4241)))->BgL_z42cipherzd2ctxz90));} 

}



/* &<@anonymous:2257> */
obj_t BGl_z62zc3z04anonymousza32257ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4242)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2256 */
obj_t BGl_z62lambda2256z62zz__ssl_sslz00(obj_t BgL_envz00_4243, obj_t BgL_oz00_4244, obj_t BgL_vz00_4245)
{
{ /* Llib/ssl.scm 520 */
{ /* Llib/ssl.scm 520 */
 void * BgL_vz00_5614;
BgL_vz00_5614 = 
FOREIGN_TO_COBJ(BgL_vz00_4245); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4244)))->BgL_z42cipherz42)=((void *)BgL_vz00_5614),BUNSPEC);} } 

}



/* &lambda2255 */
obj_t BGl_z62lambda2255z62zz__ssl_sslz00(obj_t BgL_envz00_4246, obj_t BgL_oz00_4247)
{
{ /* Llib/ssl.scm 520 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4247)))->BgL_z42cipherz42));} 

}



/* &<@anonymous:2226> */
obj_t BGl_z62zc3z04anonymousza32226ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4248, obj_t BgL_new1112z00_4249)
{
{ /* Llib/ssl.scm 512 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_9492;
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1112z00_4249)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1112z00_4249)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9492 = 
((BgL_sslzd2verifyzd2_bglt)BgL_new1112z00_4249); 
return 
((obj_t)BgL_auxz00_9492);} } 

}



/* &lambda2224 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2224z62zz__ssl_sslz00(obj_t BgL_envz00_4250)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
 BgL_sslzd2verifyzd2_bglt BgL_new1110z00_5617;
BgL_new1110z00_5617 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 512 */
 long BgL_arg2225z00_5618;
BgL_arg2225z00_5618 = 
BGL_CLASS_NUM(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_5617), BgL_arg2225z00_5618); } 
return BgL_new1110z00_5617;} } 

}



/* &lambda2222 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2222z62zz__ssl_sslz00(obj_t BgL_envz00_4251, obj_t BgL_z42md1108z42_4252, obj_t BgL_z42mdzd2ctx1109z90_4253)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
 void * BgL_z42md1108z42_5619; void * BgL_z42mdzd2ctx1109z90_5620;
BgL_z42md1108z42_5619 = 
FOREIGN_TO_COBJ(BgL_z42md1108z42_4252); 
BgL_z42mdzd2ctx1109z90_5620 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1109z90_4253); 
{ /* Llib/ssl.scm 512 */
 BgL_sslzd2verifyzd2_bglt BgL_new1178z00_5621;
{ /* Llib/ssl.scm 512 */
 BgL_sslzd2verifyzd2_bglt BgL_new1177z00_5622;
BgL_new1177z00_5622 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 512 */
 long BgL_arg2223z00_5623;
BgL_arg2223z00_5623 = 
BGL_CLASS_NUM(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_5622), BgL_arg2223z00_5623); } 
BgL_new1178z00_5621 = BgL_new1177z00_5622; } 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1178z00_5621))->BgL_z42mdz42)=((void *)BgL_z42md1108z42_5619),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1178z00_5621))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1109z90_5620),BUNSPEC); 
return BgL_new1178z00_5621;} } } 

}



/* &<@anonymous:2240> */
obj_t BGl_z62zc3z04anonymousza32240ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4254)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2239 */
obj_t BGl_z62lambda2239z62zz__ssl_sslz00(obj_t BgL_envz00_4255, obj_t BgL_oz00_4256, obj_t BgL_vz00_4257)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
 void * BgL_vz00_5625;
BgL_vz00_5625 = 
FOREIGN_TO_COBJ(BgL_vz00_4257); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4256)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5625),BUNSPEC);} } 

}



/* &lambda2238 */
obj_t BGl_z62lambda2238z62zz__ssl_sslz00(obj_t BgL_envz00_4258, obj_t BgL_oz00_4259)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4259)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2233> */
obj_t BGl_z62zc3z04anonymousza32233ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4260)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2232 */
obj_t BGl_z62lambda2232z62zz__ssl_sslz00(obj_t BgL_envz00_4261, obj_t BgL_oz00_4262, obj_t BgL_vz00_4263)
{
{ /* Llib/ssl.scm 512 */
{ /* Llib/ssl.scm 512 */
 void * BgL_vz00_5628;
BgL_vz00_5628 = 
FOREIGN_TO_COBJ(BgL_vz00_4263); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4262)))->BgL_z42mdz42)=((void *)BgL_vz00_5628),BUNSPEC);} } 

}



/* &lambda2231 */
obj_t BGl_z62lambda2231z62zz__ssl_sslz00(obj_t BgL_envz00_4264, obj_t BgL_oz00_4265)
{
{ /* Llib/ssl.scm 512 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4265)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2202> */
obj_t BGl_z62zc3z04anonymousza32202ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4266, obj_t BgL_new1106z00_4267)
{
{ /* Llib/ssl.scm 504 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_9527;
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1106z00_4267)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1106z00_4267)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9527 = 
((BgL_sslzd2signzd2_bglt)BgL_new1106z00_4267); 
return 
((obj_t)BgL_auxz00_9527);} } 

}



/* &lambda2200 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2200z62zz__ssl_sslz00(obj_t BgL_envz00_4268)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
 BgL_sslzd2signzd2_bglt BgL_new1105z00_5631;
BgL_new1105z00_5631 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 504 */
 long BgL_arg2201z00_5632;
BgL_arg2201z00_5632 = 
BGL_CLASS_NUM(BGl_sslzd2signzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_5631), BgL_arg2201z00_5632); } 
return BgL_new1105z00_5631;} } 

}



/* &lambda2198 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2198z62zz__ssl_sslz00(obj_t BgL_envz00_4269, obj_t BgL_z42md1103z42_4270, obj_t BgL_z42mdzd2ctx1104z90_4271)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
 void * BgL_z42md1103z42_5633; void * BgL_z42mdzd2ctx1104z90_5634;
BgL_z42md1103z42_5633 = 
FOREIGN_TO_COBJ(BgL_z42md1103z42_4270); 
BgL_z42mdzd2ctx1104z90_5634 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1104z90_4271); 
{ /* Llib/ssl.scm 504 */
 BgL_sslzd2signzd2_bglt BgL_new1176z00_5635;
{ /* Llib/ssl.scm 504 */
 BgL_sslzd2signzd2_bglt BgL_new1175z00_5636;
BgL_new1175z00_5636 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 504 */
 long BgL_arg2199z00_5637;
BgL_arg2199z00_5637 = 
BGL_CLASS_NUM(BGl_sslzd2signzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_5636), BgL_arg2199z00_5637); } 
BgL_new1176z00_5635 = BgL_new1175z00_5636; } 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1176z00_5635))->BgL_z42mdz42)=((void *)BgL_z42md1103z42_5633),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1176z00_5635))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1104z90_5634),BUNSPEC); 
return BgL_new1176z00_5635;} } } 

}



/* &<@anonymous:2216> */
obj_t BGl_z62zc3z04anonymousza32216ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4272)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2215 */
obj_t BGl_z62lambda2215z62zz__ssl_sslz00(obj_t BgL_envz00_4273, obj_t BgL_oz00_4274, obj_t BgL_vz00_4275)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
 void * BgL_vz00_5639;
BgL_vz00_5639 = 
FOREIGN_TO_COBJ(BgL_vz00_4275); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4274)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5639),BUNSPEC);} } 

}



/* &lambda2214 */
obj_t BGl_z62lambda2214z62zz__ssl_sslz00(obj_t BgL_envz00_4276, obj_t BgL_oz00_4277)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4277)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2209> */
obj_t BGl_z62zc3z04anonymousza32209ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4278)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2208 */
obj_t BGl_z62lambda2208z62zz__ssl_sslz00(obj_t BgL_envz00_4279, obj_t BgL_oz00_4280, obj_t BgL_vz00_4281)
{
{ /* Llib/ssl.scm 504 */
{ /* Llib/ssl.scm 504 */
 void * BgL_vz00_5642;
BgL_vz00_5642 = 
FOREIGN_TO_COBJ(BgL_vz00_4281); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4280)))->BgL_z42mdz42)=((void *)BgL_vz00_5642),BUNSPEC);} } 

}



/* &lambda2207 */
obj_t BGl_z62lambda2207z62zz__ssl_sslz00(obj_t BgL_envz00_4282, obj_t BgL_oz00_4283)
{
{ /* Llib/ssl.scm 504 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4283)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2177> */
obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4284, obj_t BgL_new1101z00_4285)
{
{ /* Llib/ssl.scm 496 */
{ 
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_9562;
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1101z00_4285)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1101z00_4285)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9562 = 
((BgL_sslzd2hmaczd2_bglt)BgL_new1101z00_4285); 
return 
((obj_t)BgL_auxz00_9562);} } 

}



/* &lambda2175 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2175z62zz__ssl_sslz00(obj_t BgL_envz00_4286)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
 BgL_sslzd2hmaczd2_bglt BgL_new1100z00_5645;
BgL_new1100z00_5645 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 496 */
 long BgL_arg2176z00_5646;
BgL_arg2176z00_5646 = 
BGL_CLASS_NUM(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1100z00_5645), BgL_arg2176z00_5646); } 
return BgL_new1100z00_5645;} } 

}



/* &lambda2173 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2173z62zz__ssl_sslz00(obj_t BgL_envz00_4287, obj_t BgL_z42md1098z42_4288, obj_t BgL_z42mdzd2ctx1099z90_4289)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
 void * BgL_z42md1098z42_5647; void * BgL_z42mdzd2ctx1099z90_5648;
BgL_z42md1098z42_5647 = 
FOREIGN_TO_COBJ(BgL_z42md1098z42_4288); 
BgL_z42mdzd2ctx1099z90_5648 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1099z90_4289); 
{ /* Llib/ssl.scm 496 */
 BgL_sslzd2hmaczd2_bglt BgL_new1174z00_5649;
{ /* Llib/ssl.scm 496 */
 BgL_sslzd2hmaczd2_bglt BgL_new1173z00_5650;
BgL_new1173z00_5650 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 496 */
 long BgL_arg2174z00_5651;
BgL_arg2174z00_5651 = 
BGL_CLASS_NUM(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1173z00_5650), BgL_arg2174z00_5651); } 
BgL_new1174z00_5649 = BgL_new1173z00_5650; } 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1174z00_5649))->BgL_z42mdz42)=((void *)BgL_z42md1098z42_5647),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1174z00_5649))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1099z90_5648),BUNSPEC); 
return BgL_new1174z00_5649;} } } 

}



/* &<@anonymous:2191> */
obj_t BGl_z62zc3z04anonymousza32191ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4290)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2190 */
obj_t BGl_z62lambda2190z62zz__ssl_sslz00(obj_t BgL_envz00_4291, obj_t BgL_oz00_4292, obj_t BgL_vz00_4293)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
 void * BgL_vz00_5653;
BgL_vz00_5653 = 
FOREIGN_TO_COBJ(BgL_vz00_4293); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4292)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5653),BUNSPEC);} } 

}



/* &lambda2189 */
obj_t BGl_z62lambda2189z62zz__ssl_sslz00(obj_t BgL_envz00_4294, obj_t BgL_oz00_4295)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4295)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2184> */
obj_t BGl_z62zc3z04anonymousza32184ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4296)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2183 */
obj_t BGl_z62lambda2183z62zz__ssl_sslz00(obj_t BgL_envz00_4297, obj_t BgL_oz00_4298, obj_t BgL_vz00_4299)
{
{ /* Llib/ssl.scm 496 */
{ /* Llib/ssl.scm 496 */
 void * BgL_vz00_5656;
BgL_vz00_5656 = 
FOREIGN_TO_COBJ(BgL_vz00_4299); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4298)))->BgL_z42mdz42)=((void *)BgL_vz00_5656),BUNSPEC);} } 

}



/* &lambda2182 */
obj_t BGl_z62lambda2182z62zz__ssl_sslz00(obj_t BgL_envz00_4300, obj_t BgL_oz00_4301)
{
{ /* Llib/ssl.scm 496 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4301)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2148> */
obj_t BGl_z62zc3z04anonymousza32148ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4302, obj_t BgL_new1096z00_4303)
{
{ /* Llib/ssl.scm 486 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_9597;
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1096z00_4303)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1096z00_4303)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1096z00_4303)))->BgL_typez00)=((obj_t)BGl_string3222z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_9597 = 
((BgL_sslzd2hashzd2_bglt)BgL_new1096z00_4303); 
return 
((obj_t)BgL_auxz00_9597);} } 

}



/* &lambda2146 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2146z62zz__ssl_sslz00(obj_t BgL_envz00_4304)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
 BgL_sslzd2hashzd2_bglt BgL_new1095z00_5659;
BgL_new1095z00_5659 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 486 */
 long BgL_arg2147z00_5660;
BgL_arg2147z00_5660 = 
BGL_CLASS_NUM(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1095z00_5659), BgL_arg2147z00_5660); } 
return BgL_new1095z00_5659;} } 

}



/* &lambda2143 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2143z62zz__ssl_sslz00(obj_t BgL_envz00_4305, obj_t BgL_z42md1092z42_4306, obj_t BgL_z42mdzd2ctx1093z90_4307, obj_t BgL_type1094z00_4308)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
 void * BgL_z42md1092z42_5661; void * BgL_z42mdzd2ctx1093z90_5662;
BgL_z42md1092z42_5661 = 
FOREIGN_TO_COBJ(BgL_z42md1092z42_4306); 
BgL_z42mdzd2ctx1093z90_5662 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1093z90_4307); 
{ /* Llib/ssl.scm 486 */
 BgL_sslzd2hashzd2_bglt BgL_new1172z00_5664;
{ /* Llib/ssl.scm 486 */
 BgL_sslzd2hashzd2_bglt BgL_new1171z00_5665;
BgL_new1171z00_5665 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 486 */
 long BgL_arg2145z00_5666;
BgL_arg2145z00_5666 = 
BGL_CLASS_NUM(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_5665), BgL_arg2145z00_5666); } 
BgL_new1172z00_5664 = BgL_new1171z00_5665; } 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1172z00_5664))->BgL_z42mdz42)=((void *)BgL_z42md1092z42_5661),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1172z00_5664))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1093z90_5662),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1172z00_5664))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1094z00_4308)),BUNSPEC); 
{ /* Llib/ssl.scm 486 */
 obj_t BgL_fun2144z00_5667;
BgL_fun2144z00_5667 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2hashzd2zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun2144z00_5667)(BgL_fun2144z00_5667, 
((obj_t)BgL_new1172z00_5664), BEOA); } 
return BgL_new1172z00_5664;} } } 

}



/* &lambda2167 */
obj_t BGl_z62lambda2167z62zz__ssl_sslz00(obj_t BgL_envz00_4309, obj_t BgL_oz00_4310, obj_t BgL_vz00_4311)
{
{ /* Llib/ssl.scm 486 */
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4310)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_4311)),BUNSPEC);} 

}



/* &lambda2166 */
obj_t BGl_z62lambda2166z62zz__ssl_sslz00(obj_t BgL_envz00_4312, obj_t BgL_oz00_4313)
{
{ /* Llib/ssl.scm 486 */
return 
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4313)))->BgL_typez00);} 

}



/* &<@anonymous:2162> */
obj_t BGl_z62zc3z04anonymousza32162ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4314)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2161 */
obj_t BGl_z62lambda2161z62zz__ssl_sslz00(obj_t BgL_envz00_4315, obj_t BgL_oz00_4316, obj_t BgL_vz00_4317)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
 void * BgL_vz00_5672;
BgL_vz00_5672 = 
FOREIGN_TO_COBJ(BgL_vz00_4317); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4316)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5672),BUNSPEC);} } 

}



/* &lambda2160 */
obj_t BGl_z62lambda2160z62zz__ssl_sslz00(obj_t BgL_envz00_4318, obj_t BgL_oz00_4319)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4319)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2155> */
obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4320)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2154 */
obj_t BGl_z62lambda2154z62zz__ssl_sslz00(obj_t BgL_envz00_4321, obj_t BgL_oz00_4322, obj_t BgL_vz00_4323)
{
{ /* Llib/ssl.scm 486 */
{ /* Llib/ssl.scm 486 */
 void * BgL_vz00_5675;
BgL_vz00_5675 = 
FOREIGN_TO_COBJ(BgL_vz00_4323); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4322)))->BgL_z42mdz42)=((void *)BgL_vz00_5675),BUNSPEC);} } 

}



/* &lambda2153 */
obj_t BGl_z62lambda2153z62zz__ssl_sslz00(obj_t BgL_envz00_4324, obj_t BgL_oz00_4325)
{
{ /* Llib/ssl.scm 486 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4325)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2002> */
obj_t BGl_z62zc3z04anonymousza32002ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4326, obj_t BgL_new1090z00_4327)
{
{ /* Llib/ssl.scm 431 */
{ 
 BgL_dhz00_bglt BgL_auxz00_9647;
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4327)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4327)))->BgL_z52pz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4327)))->BgL_z52qz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4327)))->BgL_z52gz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4327)))->BgL_z52pubz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1090z00_4327)))->BgL_z52privz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9647 = 
((BgL_dhz00_bglt)BgL_new1090z00_4327); 
return 
((obj_t)BgL_auxz00_9647);} } 

}



/* &lambda2000 */
BgL_dhz00_bglt BGl_z62lambda2000z62zz__ssl_sslz00(obj_t BgL_envz00_4328)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 BgL_dhz00_bglt BgL_new1089z00_5678;
BgL_new1089z00_5678 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 431 */
 long BgL_arg2001z00_5679;
BgL_arg2001z00_5679 = 
BGL_CLASS_NUM(BGl_dhz00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_5678), BgL_arg2001z00_5679); } 
return BgL_new1089z00_5678;} } 

}



/* &lambda1997 */
BgL_dhz00_bglt BGl_z62lambda1997z62zz__ssl_sslz00(obj_t BgL_envz00_4329, obj_t BgL_z42native1083z42_4330, obj_t BgL_z52p1084z52_4331, obj_t BgL_z52q1085z52_4332, obj_t BgL_z52g1086z52_4333, obj_t BgL_z52pub1087z52_4334, obj_t BgL_z52priv1088z52_4335)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_z42native1083z42_5680; void * BgL_z52p1084z52_5681; void * BgL_z52q1085z52_5682; void * BgL_z52g1086z52_5683; void * BgL_z52pub1087z52_5684; void * BgL_z52priv1088z52_5685;
BgL_z42native1083z42_5680 = 
FOREIGN_TO_COBJ(BgL_z42native1083z42_4330); 
BgL_z52p1084z52_5681 = 
FOREIGN_TO_COBJ(BgL_z52p1084z52_4331); 
BgL_z52q1085z52_5682 = 
FOREIGN_TO_COBJ(BgL_z52q1085z52_4332); 
BgL_z52g1086z52_5683 = 
FOREIGN_TO_COBJ(BgL_z52g1086z52_4333); 
BgL_z52pub1087z52_5684 = 
FOREIGN_TO_COBJ(BgL_z52pub1087z52_4334); 
BgL_z52priv1088z52_5685 = 
FOREIGN_TO_COBJ(BgL_z52priv1088z52_4335); 
{ /* Llib/ssl.scm 431 */
 BgL_dhz00_bglt BgL_new1159z00_5686;
{ /* Llib/ssl.scm 431 */
 BgL_dhz00_bglt BgL_new1158z00_5687;
BgL_new1158z00_5687 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 431 */
 long BgL_arg1999z00_5688;
BgL_arg1999z00_5688 = 
BGL_CLASS_NUM(BGl_dhz00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1158z00_5687), BgL_arg1999z00_5688); } 
BgL_new1159z00_5686 = BgL_new1158z00_5687; } 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5686))->BgL_z42nativez42)=((void *)BgL_z42native1083z42_5680),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5686))->BgL_z52pz52)=((void *)BgL_z52p1084z52_5681),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5686))->BgL_z52qz52)=((void *)BgL_z52q1085z52_5682),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5686))->BgL_z52gz52)=((void *)BgL_z52g1086z52_5683),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5686))->BgL_z52pubz52)=((void *)BgL_z52pub1087z52_5684),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1159z00_5686))->BgL_z52privz52)=((void *)BgL_z52priv1088z52_5685),BUNSPEC); 
{ /* Llib/ssl.scm 431 */
 obj_t BgL_fun1998z00_5689;
BgL_fun1998z00_5689 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_dhz00zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun1998z00_5689)(BgL_fun1998z00_5689, 
((obj_t)BgL_new1159z00_5686), BEOA); } 
return BgL_new1159z00_5686;} } } 

}



/* &<@anonymous:2133> */
obj_t BGl_z62zc3z04anonymousza32133ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4336, obj_t BgL_oz00_4337, obj_t BgL_vz00_4338)
{
{ /* Llib/ssl.scm 476 */
{ 
 void * BgL_auxz00_9694;
{ /* Llib/ssl.scm 482 */
 obj_t BgL_tmpz00_9696;
BgL_tmpz00_9696 = 
((obj_t)BgL_vz00_4338); 
BgL_auxz00_9694 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9696); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4337)))->BgL_z52pubz52)=((void *)BgL_auxz00_9694),BUNSPEC); } 
{ /* Llib/ssl.scm 483 */
 void * BgL_arg2134z00_5690; void * BgL_arg2135z00_5691; void * BgL_arg2136z00_5692;
BgL_arg2134z00_5690 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4337)))->BgL_z42nativez42); 
BgL_arg2135z00_5691 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4337)))->BgL_z52pubz52); 
BgL_arg2136z00_5692 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4337)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2134z00_5690, BgL_arg2135z00_5691, BgL_arg2136z00_5692); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4338);} 

}



/* &<@anonymous:2129> */
obj_t BGl_z62zc3z04anonymousza32129ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4339, obj_t BgL_oz00_4340)
{
{ /* Llib/ssl.scm 476 */
{ /* Llib/ssl.scm 479 */
 void * BgL_arg2130z00_5693;
{ /* Llib/ssl.scm 479 */
 void * BgL_arg2131z00_5694;
BgL_arg2131z00_5694 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4340)))->BgL_z42nativez42); 
BgL_arg2130z00_5693 = 
bgl_dh_public_key(BgL_arg2131z00_5694); } 
return 
void_star_to_obj(BgL_arg2130z00_5693);} } 

}



/* &<@anonymous:2120> */
obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4341, obj_t BgL_oz00_4342, obj_t BgL_vz00_4343)
{
{ /* Llib/ssl.scm 467 */
{ 
 void * BgL_auxz00_9712;
{ /* Llib/ssl.scm 473 */
 obj_t BgL_tmpz00_9714;
BgL_tmpz00_9714 = 
((obj_t)BgL_vz00_4343); 
BgL_auxz00_9712 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9714); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4342)))->BgL_z52privz52)=((void *)BgL_auxz00_9712),BUNSPEC); } 
{ /* Llib/ssl.scm 474 */
 void * BgL_arg2121z00_5695; void * BgL_arg2122z00_5696; void * BgL_arg2123z00_5697;
BgL_arg2121z00_5695 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4342)))->BgL_z42nativez42); 
BgL_arg2122z00_5696 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4342)))->BgL_z52pubz52); 
BgL_arg2123z00_5697 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4342)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2121z00_5695, BgL_arg2122z00_5696, BgL_arg2123z00_5697); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4343);} 

}



/* &<@anonymous:2116> */
obj_t BGl_z62zc3z04anonymousza32116ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4344, obj_t BgL_oz00_4345)
{
{ /* Llib/ssl.scm 467 */
{ /* Llib/ssl.scm 470 */
 void * BgL_arg2117z00_5698;
{ /* Llib/ssl.scm 470 */
 void * BgL_arg2118z00_5699;
BgL_arg2118z00_5699 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4345)))->BgL_z42nativez42); 
BgL_arg2117z00_5698 = 
bgl_dh_private_key(BgL_arg2118z00_5699); } 
return 
void_star_to_obj(BgL_arg2117z00_5698);} } 

}



/* &<@anonymous:2106> */
obj_t BGl_z62zc3z04anonymousza32106ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4346, obj_t BgL_oz00_4347, obj_t BgL_vz00_4348)
{
{ /* Llib/ssl.scm 457 */
{ 
 void * BgL_auxz00_9730;
{ /* Llib/ssl.scm 464 */
 obj_t BgL_tmpz00_9732;
BgL_tmpz00_9732 = 
((obj_t)BgL_vz00_4348); 
BgL_auxz00_9730 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9732); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4347)))->BgL_z52gz52)=((void *)BgL_auxz00_9730),BUNSPEC); } 
{ /* Llib/ssl.scm 465 */
 void * BgL_arg2107z00_5700; void * BgL_arg2108z00_5701; void * BgL_arg2109z00_5702; void * BgL_arg2110z00_5703;
BgL_arg2107z00_5700 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4347)))->BgL_z42nativez42); 
BgL_arg2108z00_5701 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4347)))->BgL_z52pz52); 
BgL_arg2109z00_5702 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4347)))->BgL_z52qz52); 
BgL_arg2110z00_5703 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4347)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2107z00_5700, BgL_arg2108z00_5701, BgL_arg2109z00_5702, BgL_arg2110z00_5703); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4348);} 

}



/* &<@anonymous:2102> */
obj_t BGl_z62zc3z04anonymousza32102ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4349, obj_t BgL_oz00_4350)
{
{ /* Llib/ssl.scm 457 */
{ /* Llib/ssl.scm 460 */
 void * BgL_arg2103z00_5704;
{ /* Llib/ssl.scm 460 */
 void * BgL_arg2104z00_5705;
BgL_arg2104z00_5705 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4350)))->BgL_z42nativez42); 
BgL_arg2103z00_5704 = 
bgl_dh_g(BgL_arg2104z00_5705); } 
return 
void_star_to_obj(BgL_arg2103z00_5704);} } 

}



/* &<@anonymous:2092> */
obj_t BGl_z62zc3z04anonymousza32092ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4351, obj_t BgL_oz00_4352, obj_t BgL_vz00_4353)
{
{ /* Llib/ssl.scm 448 */
{ 
 void * BgL_auxz00_9750;
{ /* Llib/ssl.scm 454 */
 obj_t BgL_tmpz00_9752;
BgL_tmpz00_9752 = 
((obj_t)BgL_vz00_4353); 
BgL_auxz00_9750 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9752); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4352)))->BgL_z52qz52)=((void *)BgL_auxz00_9750),BUNSPEC); } 
{ /* Llib/ssl.scm 455 */
 void * BgL_arg2093z00_5706; void * BgL_arg2094z00_5707; void * BgL_arg2095z00_5708; void * BgL_arg2096z00_5709;
BgL_arg2093z00_5706 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4352)))->BgL_z42nativez42); 
BgL_arg2094z00_5707 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4352)))->BgL_z52pz52); 
BgL_arg2095z00_5708 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4352)))->BgL_z52qz52); 
BgL_arg2096z00_5709 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4352)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2093z00_5706, BgL_arg2094z00_5707, BgL_arg2095z00_5708, BgL_arg2096z00_5709); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4353);} 

}



/* &<@anonymous:2088> */
obj_t BGl_z62zc3z04anonymousza32088ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4354, obj_t BgL_oz00_4355)
{
{ /* Llib/ssl.scm 448 */
{ /* Llib/ssl.scm 451 */
 void * BgL_arg2089z00_5710;
{ /* Llib/ssl.scm 451 */
 void * BgL_arg2090z00_5711;
BgL_arg2090z00_5711 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4355)))->BgL_z42nativez42); 
BgL_arg2089z00_5710 = 
bgl_dh_p(BgL_arg2090z00_5711); } 
return 
void_star_to_obj(BgL_arg2089z00_5710);} } 

}



/* &<@anonymous:2078> */
obj_t BGl_z62zc3z04anonymousza32078ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4356, obj_t BgL_oz00_4357, obj_t BgL_vz00_4358)
{
{ /* Llib/ssl.scm 439 */
{ 
 void * BgL_auxz00_9770;
{ /* Llib/ssl.scm 445 */
 obj_t BgL_tmpz00_9772;
BgL_tmpz00_9772 = 
((obj_t)BgL_vz00_4358); 
BgL_auxz00_9770 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_9772); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4357)))->BgL_z52pz52)=((void *)BgL_auxz00_9770),BUNSPEC); } 
{ /* Llib/ssl.scm 446 */
 void * BgL_arg2079z00_5712; void * BgL_arg2080z00_5713; void * BgL_arg2081z00_5714; void * BgL_arg2082z00_5715;
BgL_arg2079z00_5712 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4357)))->BgL_z42nativez42); 
BgL_arg2080z00_5713 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4357)))->BgL_z52pz52); 
BgL_arg2081z00_5714 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4357)))->BgL_z52qz52); 
BgL_arg2082z00_5715 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4357)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2079z00_5712, BgL_arg2080z00_5713, BgL_arg2081z00_5714, BgL_arg2082z00_5715); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4358);} 

}



/* &<@anonymous:2074> */
obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4359, obj_t BgL_oz00_4360)
{
{ /* Llib/ssl.scm 439 */
{ /* Llib/ssl.scm 442 */
 void * BgL_arg2075z00_5716;
{ /* Llib/ssl.scm 442 */
 void * BgL_arg2076z00_5717;
BgL_arg2076z00_5717 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4360)))->BgL_z42nativez42); 
BgL_arg2075z00_5716 = 
bgl_dh_p(BgL_arg2076z00_5717); } 
return 
void_star_to_obj(BgL_arg2075z00_5716);} } 

}



/* &<@anonymous:2069> */
obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4361, obj_t BgL_oz00_4362, obj_t BgL_vz00_4363)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4362), 
(int)(((long)4)), BgL_vz00_4363);} 

}



/* &<@anonymous:2068> */
obj_t BGl_z62zc3z04anonymousza32068ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4364, obj_t BgL_oz00_4365)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4365), 
(int)(((long)4)));} 

}



/* &<@anonymous:2064> */
obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4366, obj_t BgL_oz00_4367, obj_t BgL_vz00_4368)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4367), 
(int)(((long)3)), BgL_vz00_4368);} 

}



/* &<@anonymous:2063> */
obj_t BGl_z62zc3z04anonymousza32063ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4369, obj_t BgL_oz00_4370)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4370), 
(int)(((long)3)));} 

}



/* &<@anonymous:2059> */
obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4371, obj_t BgL_oz00_4372, obj_t BgL_vz00_4373)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4372), 
(int)(((long)2)), BgL_vz00_4373);} 

}



/* &<@anonymous:2058> */
obj_t BGl_z62zc3z04anonymousza32058ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4374, obj_t BgL_oz00_4375)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4375), 
(int)(((long)2)));} 

}



/* &<@anonymous:2054> */
obj_t BGl_z62zc3z04anonymousza32054ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4376, obj_t BgL_oz00_4377, obj_t BgL_vz00_4378)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4377), 
(int)(((long)1)), BgL_vz00_4378);} 

}



/* &<@anonymous:2053> */
obj_t BGl_z62zc3z04anonymousza32053ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4379, obj_t BgL_oz00_4380)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4380), 
(int)(((long)1)));} 

}



/* &<@anonymous:2049> */
obj_t BGl_z62zc3z04anonymousza32049ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4381, obj_t BgL_oz00_4382, obj_t BgL_vz00_4383)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4382), 
(int)(((long)0)), BgL_vz00_4383);} 

}



/* &<@anonymous:2048> */
obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4384, obj_t BgL_oz00_4385)
{
{ /* Llib/ssl.scm 431 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4385), 
(int)(((long)0)));} 

}



/* &<@anonymous:2044> */
obj_t BGl_z62zc3z04anonymousza32044ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4386)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2043 */
obj_t BGl_z62lambda2043z62zz__ssl_sslz00(obj_t BgL_envz00_4387, obj_t BgL_oz00_4388, obj_t BgL_vz00_4389)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5719;
BgL_vz00_5719 = 
FOREIGN_TO_COBJ(BgL_vz00_4389); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4388)))->BgL_z52privz52)=((void *)BgL_vz00_5719),BUNSPEC);} } 

}



/* &lambda2042 */
obj_t BGl_z62lambda2042z62zz__ssl_sslz00(obj_t BgL_envz00_4390, obj_t BgL_oz00_4391)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4391)))->BgL_z52privz52));} 

}



/* &<@anonymous:2037> */
obj_t BGl_z62zc3z04anonymousza32037ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4392)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2036 */
obj_t BGl_z62lambda2036z62zz__ssl_sslz00(obj_t BgL_envz00_4393, obj_t BgL_oz00_4394, obj_t BgL_vz00_4395)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5722;
BgL_vz00_5722 = 
FOREIGN_TO_COBJ(BgL_vz00_4395); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4394)))->BgL_z52pubz52)=((void *)BgL_vz00_5722),BUNSPEC);} } 

}



/* &lambda2035 */
obj_t BGl_z62lambda2035z62zz__ssl_sslz00(obj_t BgL_envz00_4396, obj_t BgL_oz00_4397)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4397)))->BgL_z52pubz52));} 

}



/* &<@anonymous:2030> */
obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4398)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2029 */
obj_t BGl_z62lambda2029z62zz__ssl_sslz00(obj_t BgL_envz00_4399, obj_t BgL_oz00_4400, obj_t BgL_vz00_4401)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5725;
BgL_vz00_5725 = 
FOREIGN_TO_COBJ(BgL_vz00_4401); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4400)))->BgL_z52gz52)=((void *)BgL_vz00_5725),BUNSPEC);} } 

}



/* &lambda2028 */
obj_t BGl_z62lambda2028z62zz__ssl_sslz00(obj_t BgL_envz00_4402, obj_t BgL_oz00_4403)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4403)))->BgL_z52gz52));} 

}



/* &<@anonymous:2023> */
obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4404)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2022 */
obj_t BGl_z62lambda2022z62zz__ssl_sslz00(obj_t BgL_envz00_4405, obj_t BgL_oz00_4406, obj_t BgL_vz00_4407)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5728;
BgL_vz00_5728 = 
FOREIGN_TO_COBJ(BgL_vz00_4407); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4406)))->BgL_z52qz52)=((void *)BgL_vz00_5728),BUNSPEC);} } 

}



/* &lambda2021 */
obj_t BGl_z62lambda2021z62zz__ssl_sslz00(obj_t BgL_envz00_4408, obj_t BgL_oz00_4409)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4409)))->BgL_z52qz52));} 

}



/* &<@anonymous:2016> */
obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4410)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2015 */
obj_t BGl_z62lambda2015z62zz__ssl_sslz00(obj_t BgL_envz00_4411, obj_t BgL_oz00_4412, obj_t BgL_vz00_4413)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5731;
BgL_vz00_5731 = 
FOREIGN_TO_COBJ(BgL_vz00_4413); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4412)))->BgL_z52pz52)=((void *)BgL_vz00_5731),BUNSPEC);} } 

}



/* &lambda2014 */
obj_t BGl_z62lambda2014z62zz__ssl_sslz00(obj_t BgL_envz00_4414, obj_t BgL_oz00_4415)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4415)))->BgL_z52pz52));} 

}



/* &<@anonymous:2009> */
obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4416)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2008 */
obj_t BGl_z62lambda2008z62zz__ssl_sslz00(obj_t BgL_envz00_4417, obj_t BgL_oz00_4418, obj_t BgL_vz00_4419)
{
{ /* Llib/ssl.scm 431 */
{ /* Llib/ssl.scm 431 */
 void * BgL_vz00_5734;
BgL_vz00_5734 = 
FOREIGN_TO_COBJ(BgL_vz00_4419); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4418)))->BgL_z42nativez42)=((void *)BgL_vz00_5734),BUNSPEC);} } 

}



/* &lambda2007 */
obj_t BGl_z62lambda2007z62zz__ssl_sslz00(obj_t BgL_envz00_4420, obj_t BgL_oz00_4421)
{
{ /* Llib/ssl.scm 431 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4421)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1878> */
obj_t BGl_z62zc3z04anonymousza31878ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4422, obj_t BgL_new1081z00_4423)
{
{ /* Llib/ssl.scm 411 */
{ 
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_9862;
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_z42biozd2readz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_z42biozd2writez90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_z42nextzd2sessionz90)=((void *)
0L),BUNSPEC); 
{ 
 BgL_securezd2contextzd2_bglt BgL_auxz00_9875;
{ /* Llib/ssl.scm 411 */
 obj_t BgL_classz00_5737;
BgL_classz00_5737 = BGl_securezd2contextzd2zz__ssl_sslz00; 
{ /* Llib/ssl.scm 411 */
 obj_t BgL__ortest_1113z00_5738;
BgL__ortest_1113z00_5738 = 
BGL_CLASS_NIL(BgL_classz00_5737); 
if(
CBOOL(BgL__ortest_1113z00_5738))
{ /* Llib/ssl.scm 411 */
BgL_auxz00_9875 = 
((BgL_securezd2contextzd2_bglt)BgL__ortest_1113z00_5738)
; }  else 
{ /* Llib/ssl.scm 411 */
BgL_auxz00_9875 = 
((BgL_securezd2contextzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5737))
; } } } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)BgL_auxz00_9875),BUNSPEC); } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_isserverz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_requestzd2certzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_serverzd2namezd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_infozd2callbackzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_newsessionzd2callbackzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_npnzd2protoszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_errz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_receivedzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423)))->BgL_sentzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_9862 = 
((BgL_sslzd2connectionzd2_bglt)BgL_new1081z00_4423); 
return 
((obj_t)BgL_auxz00_9862);} } 

}



/* &lambda1876 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1876z62zz__ssl_sslz00(obj_t BgL_envz00_4424)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 BgL_sslzd2connectionzd2_bglt BgL_new1080z00_5739;
BgL_new1080z00_5739 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 411 */
 long BgL_arg1877z00_5740;
BgL_arg1877z00_5740 = 
BGL_CLASS_NUM(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_5739), BgL_arg1877z00_5740); } 
return BgL_new1080z00_5739;} } 

}



/* &lambda1873 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1873z62zz__ssl_sslz00(obj_t BgL_envz00_4425, obj_t BgL_z42native1063z42_4426, obj_t BgL_z42biozd2read1064z90_4427, obj_t BgL_z42biozd2write1065z90_4428, obj_t BgL_z42nextzd2session1066z90_4429, obj_t BgL_ctx1067z00_4430, obj_t BgL_isserver1068z00_4431, obj_t BgL_requestzd2cert1069zd2_4432, obj_t BgL_serverzd2name1070zd2_4433, obj_t BgL_rejectzd2unauthoriza7ed1071z75_4434, obj_t BgL_infozd2callback1072zd2_4435, obj_t BgL_snizd2contextzd2callback1073z00_4436, obj_t BgL_newsessionzd2callback1074zd2_4437, obj_t BgL_selectedzd2npnzd2protos1075z00_4438, obj_t BgL_npnzd2protos1076zd2_4439, obj_t BgL_err1077z00_4440, obj_t BgL_receivedzd2shutdown1078zd2_4441, obj_t BgL_sentzd2shutdown1079zd2_4442)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 void * BgL_z42native1063z42_5741; void * BgL_z42biozd2read1064z90_5742; void * BgL_z42biozd2write1065z90_5743; void * BgL_z42nextzd2session1066z90_5744; bool_t BgL_isserver1068z00_5746; bool_t BgL_requestzd2cert1069zd2_5747; bool_t BgL_rejectzd2unauthoriza7ed1071z75_5748; bool_t BgL_receivedzd2shutdown1078zd2_5750; bool_t BgL_sentzd2shutdown1079zd2_5751;
BgL_z42native1063z42_5741 = 
FOREIGN_TO_COBJ(BgL_z42native1063z42_4426); 
BgL_z42biozd2read1064z90_5742 = 
FOREIGN_TO_COBJ(BgL_z42biozd2read1064z90_4427); 
BgL_z42biozd2write1065z90_5743 = 
FOREIGN_TO_COBJ(BgL_z42biozd2write1065z90_4428); 
BgL_z42nextzd2session1066z90_5744 = 
FOREIGN_TO_COBJ(BgL_z42nextzd2session1066z90_4429); 
BgL_isserver1068z00_5746 = 
CBOOL(BgL_isserver1068z00_4431); 
BgL_requestzd2cert1069zd2_5747 = 
CBOOL(BgL_requestzd2cert1069zd2_4432); 
BgL_rejectzd2unauthoriza7ed1071z75_5748 = 
CBOOL(BgL_rejectzd2unauthoriza7ed1071z75_4434); 
BgL_receivedzd2shutdown1078zd2_5750 = 
CBOOL(BgL_receivedzd2shutdown1078zd2_4441); 
BgL_sentzd2shutdown1079zd2_5751 = 
CBOOL(BgL_sentzd2shutdown1079zd2_4442); 
{ /* Llib/ssl.scm 411 */
 BgL_sslzd2connectionzd2_bglt BgL_new1157z00_5752;
{ /* Llib/ssl.scm 411 */
 BgL_sslzd2connectionzd2_bglt BgL_new1156z00_5753;
BgL_new1156z00_5753 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 411 */
 long BgL_arg1875z00_5754;
BgL_arg1875z00_5754 = 
BGL_CLASS_NUM(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_5753), BgL_arg1875z00_5754); } 
BgL_new1157z00_5752 = BgL_new1156z00_5753; } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_z42nativez42)=((void *)BgL_z42native1063z42_5741),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_z42biozd2readz90)=((void *)BgL_z42biozd2read1064z90_5742),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_z42biozd2writez90)=((void *)BgL_z42biozd2write1065z90_5743),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_z42nextzd2sessionz90)=((void *)BgL_z42nextzd2session1066z90_5744),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_ctx1067z00_4430)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_isserverz00)=((bool_t)BgL_isserver1068z00_5746),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_requestzd2certzd2)=((bool_t)BgL_requestzd2cert1069zd2_5747),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_serverzd2namezd2)=((obj_t)BgL_serverzd2name1070zd2_4433),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_rejectzd2unauthoriza7ed1071z75_5748),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_infozd2callbackzd2)=((obj_t)BgL_infozd2callback1072zd2_4435),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_snizd2contextzd2callback1073z00_4436),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_newsessionzd2callback1074zd2_4437)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_selectedzd2npnzd2protos1075z00_4438),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_npnzd2protoszd2)=((obj_t)BgL_npnzd2protos1076zd2_4439),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_errz00)=((obj_t)BgL_err1077z00_4440),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_receivedzd2shutdown1078zd2_5750),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1157z00_5752))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_sentzd2shutdown1079zd2_5751),BUNSPEC); 
{ /* Llib/ssl.scm 411 */
 obj_t BgL_fun1874z00_5755;
BgL_fun1874z00_5755 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun1874z00_5755)(BgL_fun1874z00_5755, 
((obj_t)BgL_new1157z00_5752), BEOA); } 
return BgL_new1157z00_5752;} } } 

}



/* &<@anonymous:1991> */
obj_t BGl_z62zc3z04anonymousza31991ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4443)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1990 */
obj_t BGl_z62lambda1990z62zz__ssl_sslz00(obj_t BgL_envz00_4444, obj_t BgL_oz00_4445, obj_t BgL_vz00_4446)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 bool_t BgL_vz00_5757;
BgL_vz00_5757 = 
CBOOL(BgL_vz00_4446); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4445)))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_vz00_5757),BUNSPEC);} } 

}



/* &lambda1989 */
obj_t BGl_z62lambda1989z62zz__ssl_sslz00(obj_t BgL_envz00_4447, obj_t BgL_oz00_4448)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4448)))->BgL_sentzd2shutdownzd2));} 

}



/* &<@anonymous:1984> */
obj_t BGl_z62zc3z04anonymousza31984ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4449)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1983 */
obj_t BGl_z62lambda1983z62zz__ssl_sslz00(obj_t BgL_envz00_4450, obj_t BgL_oz00_4451, obj_t BgL_vz00_4452)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 bool_t BgL_vz00_5760;
BgL_vz00_5760 = 
CBOOL(BgL_vz00_4452); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4451)))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_vz00_5760),BUNSPEC);} } 

}



/* &lambda1982 */
obj_t BGl_z62lambda1982z62zz__ssl_sslz00(obj_t BgL_envz00_4453, obj_t BgL_oz00_4454)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4454)))->BgL_receivedzd2shutdownzd2));} 

}



/* &<@anonymous:1977> */
obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4455)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1976 */
obj_t BGl_z62lambda1976z62zz__ssl_sslz00(obj_t BgL_envz00_4456, obj_t BgL_oz00_4457, obj_t BgL_vz00_4458)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4457)))->BgL_errz00)=((obj_t)BgL_vz00_4458),BUNSPEC);} 

}



/* &lambda1975 */
obj_t BGl_z62lambda1975z62zz__ssl_sslz00(obj_t BgL_envz00_4459, obj_t BgL_oz00_4460)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4460)))->BgL_errz00);} 

}



/* &<@anonymous:1970> */
obj_t BGl_z62zc3z04anonymousza31970ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4461)
{
{ /* Llib/ssl.scm 411 */
return BUNSPEC;} 

}



/* &lambda1969 */
obj_t BGl_z62lambda1969z62zz__ssl_sslz00(obj_t BgL_envz00_4462, obj_t BgL_oz00_4463, obj_t BgL_vz00_4464)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4463)))->BgL_npnzd2protoszd2)=((obj_t)BgL_vz00_4464),BUNSPEC);} 

}



/* &lambda1968 */
obj_t BGl_z62lambda1968z62zz__ssl_sslz00(obj_t BgL_envz00_4465, obj_t BgL_oz00_4466)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4466)))->BgL_npnzd2protoszd2);} 

}



/* &<@anonymous:1963> */
obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4467)
{
{ /* Llib/ssl.scm 411 */
return BUNSPEC;} 

}



/* &lambda1962 */
obj_t BGl_z62lambda1962z62zz__ssl_sslz00(obj_t BgL_envz00_4468, obj_t BgL_oz00_4469, obj_t BgL_vz00_4470)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4469)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_vz00_4470),BUNSPEC);} 

}



/* &lambda1961 */
obj_t BGl_z62lambda1961z62zz__ssl_sslz00(obj_t BgL_envz00_4471, obj_t BgL_oz00_4472)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4472)))->BgL_selectedzd2npnzd2protosz00);} 

}



/* &<@anonymous:1956> */
obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4473)
{
{ /* Llib/ssl.scm 411 */
return BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;} 

}



/* &lambda1955 */
obj_t BGl_z62lambda1955z62zz__ssl_sslz00(obj_t BgL_envz00_4474, obj_t BgL_oz00_4475, obj_t BgL_vz00_4476)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4475)))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_vz00_4476)),BUNSPEC);} 

}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__ssl_sslz00(obj_t BgL_envz00_4477, obj_t BgL_oz00_4478)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4478)))->BgL_newsessionzd2callbackzd2);} 

}



/* &<@anonymous:1949> */
obj_t BGl_z62zc3z04anonymousza31949ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4479)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1948 */
obj_t BGl_z62lambda1948z62zz__ssl_sslz00(obj_t BgL_envz00_4480, obj_t BgL_oz00_4481, obj_t BgL_vz00_4482)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4481)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_vz00_4482),BUNSPEC);} 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__ssl_sslz00(obj_t BgL_envz00_4483, obj_t BgL_oz00_4484)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4484)))->BgL_snizd2contextzd2callbackz00);} 

}



/* &<@anonymous:1942> */
obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4485)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1941 */
obj_t BGl_z62lambda1941z62zz__ssl_sslz00(obj_t BgL_envz00_4486, obj_t BgL_oz00_4487, obj_t BgL_vz00_4488)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4487)))->BgL_infozd2callbackzd2)=((obj_t)BgL_vz00_4488),BUNSPEC);} 

}



/* &lambda1940 */
obj_t BGl_z62lambda1940z62zz__ssl_sslz00(obj_t BgL_envz00_4489, obj_t BgL_oz00_4490)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4490)))->BgL_infozd2callbackzd2);} 

}



/* &lambda1935 */
obj_t BGl_z62lambda1935z62zz__ssl_sslz00(obj_t BgL_envz00_4491, obj_t BgL_oz00_4492, obj_t BgL_vz00_4493)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 bool_t BgL_vz00_5776;
BgL_vz00_5776 = 
CBOOL(BgL_vz00_4493); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4492)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_vz00_5776),BUNSPEC);} } 

}



/* &lambda1934 */
obj_t BGl_z62lambda1934z62zz__ssl_sslz00(obj_t BgL_envz00_4494, obj_t BgL_oz00_4495)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4495)))->BgL_rejectzd2unauthoriza7edz75));} 

}



/* &<@anonymous:1930> */
obj_t BGl_z62zc3z04anonymousza31930ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4496)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1929 */
obj_t BGl_z62lambda1929z62zz__ssl_sslz00(obj_t BgL_envz00_4497, obj_t BgL_oz00_4498, obj_t BgL_vz00_4499)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4498)))->BgL_serverzd2namezd2)=((obj_t)BgL_vz00_4499),BUNSPEC);} 

}



/* &lambda1928 */
obj_t BGl_z62lambda1928z62zz__ssl_sslz00(obj_t BgL_envz00_4500, obj_t BgL_oz00_4501)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4501)))->BgL_serverzd2namezd2);} 

}



/* &<@anonymous:1923> */
obj_t BGl_z62zc3z04anonymousza31923ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4502)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1922 */
obj_t BGl_z62lambda1922z62zz__ssl_sslz00(obj_t BgL_envz00_4503, obj_t BgL_oz00_4504, obj_t BgL_vz00_4505)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 bool_t BgL_vz00_5781;
BgL_vz00_5781 = 
CBOOL(BgL_vz00_4505); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4504)))->BgL_requestzd2certzd2)=((bool_t)BgL_vz00_5781),BUNSPEC);} } 

}



/* &lambda1921 */
obj_t BGl_z62lambda1921z62zz__ssl_sslz00(obj_t BgL_envz00_4506, obj_t BgL_oz00_4507)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4507)))->BgL_requestzd2certzd2));} 

}



/* &lambda1916 */
obj_t BGl_z62lambda1916z62zz__ssl_sslz00(obj_t BgL_envz00_4508, obj_t BgL_oz00_4509, obj_t BgL_vz00_4510)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 bool_t BgL_vz00_5784;
BgL_vz00_5784 = 
CBOOL(BgL_vz00_4510); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4509)))->BgL_isserverz00)=((bool_t)BgL_vz00_5784),BUNSPEC);} } 

}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zz__ssl_sslz00(obj_t BgL_envz00_4511, obj_t BgL_oz00_4512)
{
{ /* Llib/ssl.scm 411 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4512)))->BgL_isserverz00));} 

}



/* &lambda1911 */
obj_t BGl_z62lambda1911z62zz__ssl_sslz00(obj_t BgL_envz00_4513, obj_t BgL_oz00_4514, obj_t BgL_vz00_4515)
{
{ /* Llib/ssl.scm 411 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4514)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_vz00_4515)),BUNSPEC);} 

}



/* &lambda1910 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1910z62zz__ssl_sslz00(obj_t BgL_envz00_4516, obj_t BgL_oz00_4517)
{
{ /* Llib/ssl.scm 411 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4517)))->BgL_ctxz00);} 

}



/* &<@anonymous:1906> */
obj_t BGl_z62zc3z04anonymousza31906ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4518)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1905 */
obj_t BGl_z62lambda1905z62zz__ssl_sslz00(obj_t BgL_envz00_4519, obj_t BgL_oz00_4520, obj_t BgL_vz00_4521)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 void * BgL_vz00_5790;
BgL_vz00_5790 = 
FOREIGN_TO_COBJ(BgL_vz00_4521); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4520)))->BgL_z42nextzd2sessionz90)=((void *)BgL_vz00_5790),BUNSPEC);} } 

}



/* &lambda1904 */
obj_t BGl_z62lambda1904z62zz__ssl_sslz00(obj_t BgL_envz00_4522, obj_t BgL_oz00_4523)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4523)))->BgL_z42nextzd2sessionz90));} 

}



/* &<@anonymous:1899> */
obj_t BGl_z62zc3z04anonymousza31899ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4524)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1898 */
obj_t BGl_z62lambda1898z62zz__ssl_sslz00(obj_t BgL_envz00_4525, obj_t BgL_oz00_4526, obj_t BgL_vz00_4527)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 void * BgL_vz00_5793;
BgL_vz00_5793 = 
FOREIGN_TO_COBJ(BgL_vz00_4527); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4526)))->BgL_z42biozd2writez90)=((void *)BgL_vz00_5793),BUNSPEC);} } 

}



/* &lambda1897 */
obj_t BGl_z62lambda1897z62zz__ssl_sslz00(obj_t BgL_envz00_4528, obj_t BgL_oz00_4529)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4529)))->BgL_z42biozd2writez90));} 

}



/* &<@anonymous:1892> */
obj_t BGl_z62zc3z04anonymousza31892ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4530)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1891 */
obj_t BGl_z62lambda1891z62zz__ssl_sslz00(obj_t BgL_envz00_4531, obj_t BgL_oz00_4532, obj_t BgL_vz00_4533)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 void * BgL_vz00_5796;
BgL_vz00_5796 = 
FOREIGN_TO_COBJ(BgL_vz00_4533); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4532)))->BgL_z42biozd2readz90)=((void *)BgL_vz00_5796),BUNSPEC);} } 

}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__ssl_sslz00(obj_t BgL_envz00_4534, obj_t BgL_oz00_4535)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4535)))->BgL_z42biozd2readz90));} 

}



/* &<@anonymous:1885> */
obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4536)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__ssl_sslz00(obj_t BgL_envz00_4537, obj_t BgL_oz00_4538, obj_t BgL_vz00_4539)
{
{ /* Llib/ssl.scm 411 */
{ /* Llib/ssl.scm 411 */
 void * BgL_vz00_5799;
BgL_vz00_5799 = 
FOREIGN_TO_COBJ(BgL_vz00_4539); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4538)))->BgL_z42nativez42)=((void *)BgL_vz00_5799),BUNSPEC);} } 

}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__ssl_sslz00(obj_t BgL_envz00_4540, obj_t BgL_oz00_4541)
{
{ /* Llib/ssl.scm 411 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4541)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1845> */
obj_t BGl_z62zc3z04anonymousza31845ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4542, obj_t BgL_new1061z00_4543)
{
{ /* Llib/ssl.scm 405 */
{ 
 BgL_securezd2contextzd2_bglt BgL_auxz00_10051;
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1061z00_4543)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1061z00_4543)))->BgL_z42cazd2storez90)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1061z00_4543)))->BgL_methodz00)=((obj_t)BGl_string3222z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_10051 = 
((BgL_securezd2contextzd2_bglt)BgL_new1061z00_4543); 
return 
((obj_t)BgL_auxz00_10051);} } 

}



/* &lambda1843 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1843z62zz__ssl_sslz00(obj_t BgL_envz00_4544)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
 BgL_securezd2contextzd2_bglt BgL_new1059z00_5802;
BgL_new1059z00_5802 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 405 */
 long BgL_arg1844z00_5803;
BgL_arg1844z00_5803 = 
BGL_CLASS_NUM(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_5802), BgL_arg1844z00_5803); } 
return BgL_new1059z00_5802;} } 

}



/* &lambda1840 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1840z62zz__ssl_sslz00(obj_t BgL_envz00_4545, obj_t BgL_z42native1056z42_4546, obj_t BgL_z42cazd2store1057z90_4547, obj_t BgL_method1058z00_4548)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
 void * BgL_z42native1056z42_5804; void * BgL_z42cazd2store1057z90_5805;
BgL_z42native1056z42_5804 = 
FOREIGN_TO_COBJ(BgL_z42native1056z42_4546); 
BgL_z42cazd2store1057z90_5805 = 
FOREIGN_TO_COBJ(BgL_z42cazd2store1057z90_4547); 
{ /* Llib/ssl.scm 405 */
 BgL_securezd2contextzd2_bglt BgL_new1155z00_5807;
{ /* Llib/ssl.scm 405 */
 BgL_securezd2contextzd2_bglt BgL_new1154z00_5808;
BgL_new1154z00_5808 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 405 */
 long BgL_arg1842z00_5809;
BgL_arg1842z00_5809 = 
BGL_CLASS_NUM(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_5808), BgL_arg1842z00_5809); } 
BgL_new1155z00_5807 = BgL_new1154z00_5808; } 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1155z00_5807))->BgL_z42nativez42)=((void *)BgL_z42native1056z42_5804),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1155z00_5807))->BgL_z42cazd2storez90)=((void *)BgL_z42cazd2store1057z90_5805),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1155z00_5807))->BgL_methodz00)=((obj_t)
((obj_t)BgL_method1058z00_4548)),BUNSPEC); 
{ /* Llib/ssl.scm 405 */
 obj_t BgL_fun1841z00_5810;
BgL_fun1841z00_5810 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_securezd2contextzd2zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun1841z00_5810)(BgL_fun1841z00_5810, 
((obj_t)BgL_new1155z00_5807), BEOA); } 
return BgL_new1155z00_5807;} } } 

}



/* &<@anonymous:1867> */
obj_t BGl_z62zc3z04anonymousza31867ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4549)
{
{ /* Llib/ssl.scm 405 */
return BGl_string3223z00zz__ssl_sslz00;} 

}



/* &lambda1866 */
obj_t BGl_z62lambda1866z62zz__ssl_sslz00(obj_t BgL_envz00_4550, obj_t BgL_oz00_4551, obj_t BgL_vz00_4552)
{
{ /* Llib/ssl.scm 405 */
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4551)))->BgL_methodz00)=((obj_t)
((obj_t)BgL_vz00_4552)),BUNSPEC);} 

}



/* &lambda1865 */
obj_t BGl_z62lambda1865z62zz__ssl_sslz00(obj_t BgL_envz00_4553, obj_t BgL_oz00_4554)
{
{ /* Llib/ssl.scm 405 */
return 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4554)))->BgL_methodz00);} 

}



/* &<@anonymous:1859> */
obj_t BGl_z62zc3z04anonymousza31859ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4555)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1858 */
obj_t BGl_z62lambda1858z62zz__ssl_sslz00(obj_t BgL_envz00_4556, obj_t BgL_oz00_4557, obj_t BgL_vz00_4558)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
 void * BgL_vz00_5815;
BgL_vz00_5815 = 
FOREIGN_TO_COBJ(BgL_vz00_4558); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4557)))->BgL_z42cazd2storez90)=((void *)BgL_vz00_5815),BUNSPEC);} } 

}



/* &lambda1857 */
obj_t BGl_z62lambda1857z62zz__ssl_sslz00(obj_t BgL_envz00_4559, obj_t BgL_oz00_4560)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4560)))->BgL_z42cazd2storez90));} 

}



/* &<@anonymous:1852> */
obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4561)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1851 */
obj_t BGl_z62lambda1851z62zz__ssl_sslz00(obj_t BgL_envz00_4562, obj_t BgL_oz00_4563, obj_t BgL_vz00_4564)
{
{ /* Llib/ssl.scm 405 */
{ /* Llib/ssl.scm 405 */
 void * BgL_vz00_5818;
BgL_vz00_5818 = 
FOREIGN_TO_COBJ(BgL_vz00_4564); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4563)))->BgL_z42nativez42)=((void *)BgL_vz00_5818),BUNSPEC);} } 

}



/* &lambda1850 */
obj_t BGl_z62lambda1850z62zz__ssl_sslz00(obj_t BgL_envz00_4565, obj_t BgL_oz00_4566)
{
{ /* Llib/ssl.scm 405 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4566)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1829> */
obj_t BGl_z62zc3z04anonymousza31829ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4567, obj_t BgL_new1054z00_4568)
{
{ /* Llib/ssl.scm 302 */
{ 
 BgL_privatezd2keyzd2_bglt BgL_auxz00_10101;
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_new1054z00_4568)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_10101 = 
((BgL_privatezd2keyzd2_bglt)BgL_new1054z00_4568); 
return 
((obj_t)BgL_auxz00_10101);} } 

}



/* &lambda1827 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1827z62zz__ssl_sslz00(obj_t BgL_envz00_4569)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1053z00_5821;
BgL_new1053z00_5821 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 302 */
 long BgL_arg1828z00_5822;
BgL_arg1828z00_5822 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1053z00_5821), BgL_arg1828z00_5822); } 
return BgL_new1053z00_5821;} } 

}



/* &lambda1825 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1825z62zz__ssl_sslz00(obj_t BgL_envz00_4570, obj_t BgL_z42native1052z42_4571)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 void * BgL_z42native1052z42_5823;
BgL_z42native1052z42_5823 = 
FOREIGN_TO_COBJ(BgL_z42native1052z42_4571); 
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1153z00_5824;
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1152z00_5825;
BgL_new1152z00_5825 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 302 */
 long BgL_arg1826z00_5826;
BgL_arg1826z00_5826 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_5825), BgL_arg1826z00_5826); } 
BgL_new1153z00_5824 = BgL_new1152z00_5825; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1153z00_5824))->BgL_z42nativez42)=((void *)BgL_z42native1052z42_5823),BUNSPEC); 
return BgL_new1153z00_5824;} } } 

}



/* &lambda1834 */
obj_t BGl_z62lambda1834z62zz__ssl_sslz00(obj_t BgL_envz00_4572, obj_t BgL_oz00_4573, obj_t BgL_vz00_4574)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 void * BgL_vz00_5828;
BgL_vz00_5828 = 
FOREIGN_TO_COBJ(BgL_vz00_4574); 
return 
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4573)))->BgL_z42nativez42)=((void *)BgL_vz00_5828),BUNSPEC);} } 

}



/* &lambda1833 */
obj_t BGl_z62lambda1833z62zz__ssl_sslz00(obj_t BgL_envz00_4575, obj_t BgL_oz00_4576)
{
{ /* Llib/ssl.scm 302 */
return 
void_star_to_obj(
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4576)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1799> */
obj_t BGl_z62zc3z04anonymousza31799ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4577, obj_t BgL_new1050z00_4578)
{
{ /* Llib/ssl.scm 299 */
{ 
 BgL_certificatez00_bglt BgL_auxz00_10123;
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_new1050z00_4578)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_10123 = 
((BgL_certificatez00_bglt)BgL_new1050z00_4578); 
return 
((obj_t)BgL_auxz00_10123);} } 

}



/* &lambda1797 */
BgL_certificatez00_bglt BGl_z62lambda1797z62zz__ssl_sslz00(obj_t BgL_envz00_4579)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1049z00_5831;
BgL_new1049z00_5831 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 299 */
 long BgL_arg1798z00_5832;
BgL_arg1798z00_5832 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1049z00_5831), BgL_arg1798z00_5832); } 
return BgL_new1049z00_5831;} } 

}



/* &lambda1791 */
BgL_certificatez00_bglt BGl_z62lambda1791z62zz__ssl_sslz00(obj_t BgL_envz00_4580, obj_t BgL_z42native1048z42_4581)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 void * BgL_z42native1048z42_5833;
BgL_z42native1048z42_5833 = 
FOREIGN_TO_COBJ(BgL_z42native1048z42_4581); 
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1151z00_5834;
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1150z00_5835;
BgL_new1150z00_5835 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 299 */
 long BgL_arg1796z00_5836;
BgL_arg1796z00_5836 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1150z00_5835), BgL_arg1796z00_5836); } 
BgL_new1151z00_5834 = BgL_new1150z00_5835; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1151z00_5834))->BgL_z42nativez42)=((void *)BgL_z42native1048z42_5833),BUNSPEC); 
return BgL_new1151z00_5834;} } } 

}



/* &lambda1814 */
obj_t BGl_z62lambda1814z62zz__ssl_sslz00(obj_t BgL_envz00_4582, obj_t BgL_oz00_4583, obj_t BgL_vz00_4584)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 void * BgL_vz00_5838;
BgL_vz00_5838 = 
FOREIGN_TO_COBJ(BgL_vz00_4584); 
return 
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4583)))->BgL_z42nativez42)=((void *)BgL_vz00_5838),BUNSPEC);} } 

}



/* &lambda1813 */
obj_t BGl_z62lambda1813z62zz__ssl_sslz00(obj_t BgL_envz00_4585, obj_t BgL_oz00_4586)
{
{ /* Llib/ssl.scm 299 */
return 
void_star_to_obj(
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4586)))->BgL_z42nativez42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3224z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3225z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3226z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3227z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BGl_proc3228z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3229z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BGl_proc3230z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3231z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BGl_proc3232z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3233z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BGl_proc3234z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3235z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BGl_proc3236z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3237z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BGl_proc3238z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3239z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BGl_proc3240z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3241z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BGl_proc3242z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3243z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BGl_proc3244z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3245z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3246z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3247z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BGl_proc3248z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3249z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3250z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3251z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BGl_proc3252z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3253z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BGl_proc3254z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3255z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BGl_proc3256z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3257z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BGl_proc3258z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3259z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BGl_proc3260z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3261z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BGl_proc3262z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3263z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3264z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3265z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3266z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3267z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3268z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3269z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3270z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3271z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BGl_proc3272z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3273z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3274z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3275z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BGl_proc3276z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3277z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BGl_proc3278z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3279z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BGl_proc3280z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3281z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BGl_proc3282z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3283z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3284z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3285z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BGl_proc3286z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3287z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BGl_proc3288z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3289z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BGl_proc3290z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3291z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BGl_proc3292z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3293z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3294z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3295z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3296z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3297z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3298z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3299z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3300z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3301z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3302z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3303z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BGl_proc3304z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3305z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3306z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3307z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3308z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3309z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3310z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3311z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3312z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3313z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BGl_proc3314z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3315z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3316z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3317z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3318z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3319z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3320z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3321z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3322z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3323z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BGl_proc3324z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3325z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3326z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3327z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BGl_proc3328z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3329z00zz__ssl_sslz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3330z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3331z00zz__ssl_sslz00);} 

}



/* &ssl-cipher-final1357 */
obj_t BGl_z62sslzd2cipherzd2final1357z62zz__ssl_sslz00(obj_t BgL_envz00_4649, obj_t BgL_sslzd2cipherzd2_4650)
{
{ /* Llib/ssl.scm 1383 */
return 
bgl_cipher_final(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4650));} 

}



/* &ssl-cipher-set-auto-1355 */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd21355z62zz__ssl_sslz00(obj_t BgL_envz00_4651, obj_t BgL_sslzd2cipherzd2_4652, obj_t BgL_autozd2paddingzd2_4653)
{
{ /* Llib/ssl.scm 1373 */
{ /* Llib/ssl.scm 1376 */
 bool_t BgL_tmpz00_10201;
{ /* Llib/ssl.scm 1376 */
 bool_t BgL_autozd2paddingzd2_5842;
BgL_autozd2paddingzd2_5842 = 
CBOOL(BgL_autozd2paddingzd2_4653); 
BgL_tmpz00_10201 = 
bgl_cipher_set_auto_padding(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4652), BgL_autozd2paddingzd2_5842); } 
return 
BBOOL(BgL_tmpz00_10201);} } 

}



/* &ssl-cipher-update!1353 */
obj_t BGl_z62sslzd2cipherzd2updatez121353z70zz__ssl_sslz00(obj_t BgL_envz00_4654, obj_t BgL_sslzd2cipherzd2_4655, obj_t BgL_dataz00_4656, obj_t BgL_offsetz00_4657, obj_t BgL_lenz00_4658)
{
{ /* Llib/ssl.scm 1362 */
{ /* Llib/ssl.scm 1365 */
 long BgL_offsetz00_5845; long BgL_lenz00_5846;
BgL_offsetz00_5845 = 
(long)CINT(BgL_offsetz00_4657); 
BgL_lenz00_5846 = 
(long)CINT(BgL_lenz00_4658); 
{ /* Llib/ssl.scm 1365 */
 obj_t BgL__ortest_1149z00_5847;
BgL__ortest_1149z00_5847 = 
bgl_cipher_update(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4655), 
((obj_t)BgL_dataz00_4656), BgL_offsetz00_5845, BgL_lenz00_5846); 
if(
CBOOL(BgL__ortest_1149z00_5847))
{ /* Llib/ssl.scm 1365 */
return BgL__ortest_1149z00_5847;}  else 
{ /* Llib/ssl.scm 1365 */
return 
BGl_errorz00zz__errorz00(BGl_string3332z00zz__ssl_sslz00, BGl_string3333z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4655)));} } } } 

}



/* &ssl-cipher-initiv1351 */
obj_t BGl_z62sslzd2cipherzd2initiv1351z62zz__ssl_sslz00(obj_t BgL_envz00_4659, obj_t BgL_sslzd2cipherzd2_4660, obj_t BgL_cipherz00_4661, obj_t BgL_keyz00_4662, obj_t BgL_offsetz00_4663, obj_t BgL_lenz00_4664, obj_t BgL_ivz00_4665, obj_t BgL_ivoffsetz00_4666, obj_t BgL_ivlenz00_4667, obj_t BgL_encz00_4668)
{
{ /* Llib/ssl.scm 1345 */
{ /* Llib/ssl.scm 1351 */
 long BgL_offsetz00_5851; long BgL_lenz00_5852; long BgL_ivoffsetz00_5854; long BgL_ivlenz00_5855; bool_t BgL_encz00_5856;
BgL_offsetz00_5851 = 
(long)CINT(BgL_offsetz00_4663); 
BgL_lenz00_5852 = 
(long)CINT(BgL_lenz00_4664); 
BgL_ivoffsetz00_5854 = 
(long)CINT(BgL_ivoffsetz00_4666); 
BgL_ivlenz00_5855 = 
(long)CINT(BgL_ivlenz00_4667); 
BgL_encz00_5856 = 
CBOOL(BgL_encz00_4668); 
if(
bgl_ssl_cipher_initiv(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4660), 
((obj_t)BgL_cipherz00_4661), 
((obj_t)BgL_keyz00_4662), BgL_offsetz00_5851, BgL_lenz00_5852, 
((obj_t)BgL_ivz00_4665), BgL_ivoffsetz00_5854, BgL_ivlenz00_5855, BgL_encz00_5856))
{ /* Llib/ssl.scm 1351 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1355 */
 obj_t BgL_arg2351z00_5857;
BgL_arg2351z00_5857 = 
bgl_ssl_error_string(); 
return 
BGl_errorz00zz__errorz00(BGl_string3334z00zz__ssl_sslz00, BgL_arg2351z00_5857, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4660)));} } } 

}



/* &ssl-cipher-init1349 */
obj_t BGl_z62sslzd2cipherzd2init1349z62zz__ssl_sslz00(obj_t BgL_envz00_4669, obj_t BgL_sslzd2cipherzd2_4670, obj_t BgL_cipherz00_4671, obj_t BgL_keyz00_4672, obj_t BgL_offsetz00_4673, obj_t BgL_lenz00_4674, obj_t BgL_encz00_4675)
{
{ /* Llib/ssl.scm 1331 */
{ 
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_10231;
{ /* Llib/ssl.scm 1336 */
 long BgL_offsetz00_5861; long BgL_lenz00_5862; bool_t BgL_encz00_5863;
BgL_offsetz00_5861 = 
(long)CINT(BgL_offsetz00_4673); 
BgL_lenz00_5862 = 
(long)CINT(BgL_lenz00_4674); 
BgL_encz00_5863 = 
CBOOL(BgL_encz00_4675); 
if(
bgl_ssl_cipher_init(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4670), 
((obj_t)BgL_cipherz00_4671), 
((obj_t)BgL_keyz00_4672), BgL_offsetz00_5861, BgL_lenz00_5862, BgL_encz00_5863))
{ /* Llib/ssl.scm 1336 */BFALSE; }  else 
{ /* Llib/ssl.scm 1336 */
BGl_errorz00zz__errorz00(BGl_string3335z00zz__ssl_sslz00, 
bgl_ssl_error_string(), 
((obj_t)BgL_cipherz00_4671)); } 
BgL_auxz00_10231 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4670); } 
return 
((obj_t)BgL_auxz00_10231);} } 

}



/* &ssl-verify-final1347 */
obj_t BGl_z62sslzd2verifyzd2final1347z62zz__ssl_sslz00(obj_t BgL_envz00_4676, obj_t BgL_sslzd2verifyzd2_4677, obj_t BgL_keyz00_4678, obj_t BgL_koffsetz00_4679, obj_t BgL_klenz00_4680, obj_t BgL_sigz00_4681, obj_t BgL_soffsetz00_4682, obj_t BgL_slenz00_4683)
{
{ /* Llib/ssl.scm 1317 */
{ /* Llib/ssl.scm 1322 */
 bool_t BgL_tmpz00_10245;
{ /* Llib/ssl.scm 1322 */
 long BgL_koffsetz00_5866; long BgL_klenz00_5867; long BgL_soffsetz00_5869; long BgL_slenz00_5870;
BgL_koffsetz00_5866 = 
(long)CINT(BgL_koffsetz00_4679); 
BgL_klenz00_5867 = 
(long)CINT(BgL_klenz00_4680); 
BgL_soffsetz00_5869 = 
(long)CINT(BgL_soffsetz00_4682); 
BgL_slenz00_5870 = 
(long)CINT(BgL_slenz00_4683); 
BgL_tmpz00_10245 = 
bgl_ssl_verify_final(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4677), 
((obj_t)BgL_keyz00_4678), BgL_koffsetz00_5866, BgL_klenz00_5867, 
((obj_t)BgL_sigz00_4681), BgL_soffsetz00_5869, BgL_slenz00_5870); } 
return 
BBOOL(BgL_tmpz00_10245);} } 

}



/* &ssl-verify-update!1345 */
obj_t BGl_z62sslzd2verifyzd2updatez121345z70zz__ssl_sslz00(obj_t BgL_envz00_4684, obj_t BgL_sslzd2verifyzd2_4685, obj_t BgL_dataz00_4686, obj_t BgL_offsetz00_4687, obj_t BgL_lenz00_4688)
{
{ /* Llib/ssl.scm 1305 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_10255;
{ /* Llib/ssl.scm 1308 */
 long BgL_offsetz00_5873; long BgL_lenz00_5874;
BgL_offsetz00_5873 = 
(long)CINT(BgL_offsetz00_4687); 
BgL_lenz00_5874 = 
(long)CINT(BgL_lenz00_4688); 
if(
bgl_ssl_verify_update(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4685), 
((obj_t)BgL_dataz00_4686), BgL_offsetz00_5873, BgL_lenz00_5874))
{ /* Llib/ssl.scm 1308 */BFALSE; }  else 
{ /* Llib/ssl.scm 1308 */
BGl_errorz00zz__errorz00(BGl_string3336z00zz__ssl_sslz00, BGl_string3333z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4685))); } 
BgL_auxz00_10255 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4685); } 
return 
((obj_t)BgL_auxz00_10255);} } 

}



/* &ssl-verify-init1343 */
obj_t BGl_z62sslzd2verifyzd2init1343z62zz__ssl_sslz00(obj_t BgL_envz00_4689, obj_t BgL_sslzd2verifyzd2_4690, obj_t BgL_verifyz00_4691)
{
{ /* Llib/ssl.scm 1293 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_10267;
if(
bgl_ssl_verify_init(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4690), 
((obj_t)BgL_verifyz00_4691)))
{ /* Llib/ssl.scm 1296 */BFALSE; }  else 
{ /* Llib/ssl.scm 1296 */
BGl_errorz00zz__errorz00(BGl_string3337z00zz__ssl_sslz00, BGl_string3338z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4690))); } 
BgL_auxz00_10267 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4690); 
return 
((obj_t)BgL_auxz00_10267);} } 

}



/* &ssl-sign-sign1341 */
obj_t BGl_z62sslzd2signzd2sign1341z62zz__ssl_sslz00(obj_t BgL_envz00_4692, obj_t BgL_sslzd2signzd2_4693, obj_t BgL_keyz00_4694, obj_t BgL_offsetz00_4695, obj_t BgL_lenz00_4696)
{
{ /* Llib/ssl.scm 1282 */
{ /* Llib/ssl.scm 1285 */
 long BgL_offsetz00_5879; long BgL_lenz00_5880;
BgL_offsetz00_5879 = 
(long)CINT(BgL_offsetz00_4695); 
BgL_lenz00_5880 = 
(long)CINT(BgL_lenz00_4696); 
{ /* Llib/ssl.scm 1285 */
 obj_t BgL_rz00_5881;
BgL_rz00_5881 = 
bgl_ssl_sign_sign(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4693), 
((obj_t)BgL_keyz00_4694), BgL_offsetz00_5879, BgL_lenz00_5880); 
if(
CBOOL(BgL_rz00_5881))
{ /* Llib/ssl.scm 1286 */
return BgL_rz00_5881;}  else 
{ /* Llib/ssl.scm 1286 */
return 
BGl_errorz00zz__errorz00(BGl_string3339z00zz__ssl_sslz00, BGl_string3340z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4693)));} } } } 

}



/* &ssl-sign-update!1339 */
obj_t BGl_z62sslzd2signzd2updatez121339z70zz__ssl_sslz00(obj_t BgL_envz00_4697, obj_t BgL_sslzd2signzd2_4698, obj_t BgL_dataz00_4699, obj_t BgL_offsetz00_4700, obj_t BgL_lenz00_4701)
{
{ /* Llib/ssl.scm 1270 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_10287;
{ /* Llib/ssl.scm 1273 */
 long BgL_offsetz00_5884; long BgL_lenz00_5885;
BgL_offsetz00_5884 = 
(long)CINT(BgL_offsetz00_4700); 
BgL_lenz00_5885 = 
(long)CINT(BgL_lenz00_4701); 
if(
bgl_ssl_sign_update(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4698), 
((obj_t)BgL_dataz00_4699), BgL_offsetz00_5884, BgL_lenz00_5885))
{ /* Llib/ssl.scm 1273 */BFALSE; }  else 
{ /* Llib/ssl.scm 1273 */
BGl_errorz00zz__errorz00(BGl_string3341z00zz__ssl_sslz00, BGl_string3333z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4698))); } 
BgL_auxz00_10287 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4698); } 
return 
((obj_t)BgL_auxz00_10287);} } 

}



/* &ssl-sign-init1337 */
obj_t BGl_z62sslzd2signzd2init1337z62zz__ssl_sslz00(obj_t BgL_envz00_4702, obj_t BgL_sslzd2signzd2_4703, obj_t BgL_signz00_4704)
{
{ /* Llib/ssl.scm 1258 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_10299;
if(
bgl_ssl_sign_init(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4703), 
((obj_t)BgL_signz00_4704)))
{ /* Llib/ssl.scm 1261 */BFALSE; }  else 
{ /* Llib/ssl.scm 1261 */
BGl_errorz00zz__errorz00(BGl_string3342z00zz__ssl_sslz00, BGl_string3343z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4703))); } 
BgL_auxz00_10299 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4703); 
return 
((obj_t)BgL_auxz00_10299);} } 

}



/* &ssl-hmac-digest1335 */
obj_t BGl_z62sslzd2hmaczd2digest1335z62zz__ssl_sslz00(obj_t BgL_envz00_4705, obj_t BgL_sslzd2hmaczd2_4706)
{
{ /* Llib/ssl.scm 1247 */
{ /* Llib/ssl.scm 1250 */
 obj_t BgL_rz00_5889;
BgL_rz00_5889 = 
bgl_ssl_hmac_digest(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4706)); 
if(
CBOOL(BgL_rz00_5889))
{ /* Llib/ssl.scm 1251 */
return BgL_rz00_5889;}  else 
{ /* Llib/ssl.scm 1251 */
return 
BGl_errorz00zz__errorz00(BGl_string3344z00zz__ssl_sslz00, BGl_string3345z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4706)));} } } 

}



/* &ssl-hmac-update!1333 */
obj_t BGl_z62sslzd2hmaczd2updatez121333z70zz__ssl_sslz00(obj_t BgL_envz00_4707, obj_t BgL_sslzd2hmaczd2_4708, obj_t BgL_dataz00_4709, obj_t BgL_offsetz00_4710, obj_t BgL_lenz00_4711)
{
{ /* Llib/ssl.scm 1235 */
{ 
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_10316;
{ /* Llib/ssl.scm 1238 */
 long BgL_offsetz00_5892; long BgL_lenz00_5893;
BgL_offsetz00_5892 = 
(long)CINT(BgL_offsetz00_4710); 
BgL_lenz00_5893 = 
(long)CINT(BgL_lenz00_4711); 
if(
bgl_ssl_hmac_update(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4708), 
((obj_t)BgL_dataz00_4709), BgL_offsetz00_5892, BgL_lenz00_5893))
{ /* Llib/ssl.scm 1238 */BFALSE; }  else 
{ /* Llib/ssl.scm 1238 */
BGl_errorz00zz__errorz00(BGl_string3346z00zz__ssl_sslz00, BGl_string3333z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4708))); } 
BgL_auxz00_10316 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4708); } 
return 
((obj_t)BgL_auxz00_10316);} } 

}



/* &ssl-hmac-init1331 */
obj_t BGl_z62sslzd2hmaczd2init1331z62zz__ssl_sslz00(obj_t BgL_envz00_4712, obj_t BgL_sslzd2hmaczd2_4713, obj_t BgL_hmacz00_4714, obj_t BgL_keyz00_4715)
{
{ /* Llib/ssl.scm 1223 */
if(
bgl_ssl_hmac_init(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4713), 
((obj_t)BgL_hmacz00_4714), 
((obj_t)BgL_keyz00_4715)))
{ /* Llib/ssl.scm 1226 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1226 */
BGl_errorz00zz__errorz00(BGl_string3347z00zz__ssl_sslz00, BGl_string3348z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4713))); 
return 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4713));} } 

}



/* &ssl-hash-digest1329 */
obj_t BGl_z62sslzd2hashzd2digest1329z62zz__ssl_sslz00(obj_t BgL_envz00_4716, obj_t BgL_sslzd2hashzd2_4717)
{
{ /* Llib/ssl.scm 1212 */
{ /* Llib/ssl.scm 1215 */
 obj_t BgL_rz00_5898;
BgL_rz00_5898 = 
bgl_ssl_hash_digest(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4717)); 
if(
CBOOL(BgL_rz00_5898))
{ /* Llib/ssl.scm 1216 */
return BgL_rz00_5898;}  else 
{ /* Llib/ssl.scm 1216 */
return 
BGl_errorz00zz__errorz00(BGl_string3349z00zz__ssl_sslz00, BGl_string3345z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4717)));} } } 

}



/* &ssl-hash-update!1327 */
obj_t BGl_z62sslzd2hashzd2updatez121327z70zz__ssl_sslz00(obj_t BgL_envz00_4718, obj_t BgL_sslzd2hashzd2_4719, obj_t BgL_dataz00_4720, obj_t BgL_offsetz00_4721, obj_t BgL_lenz00_4722)
{
{ /* Llib/ssl.scm 1200 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_10345;
{ /* Llib/ssl.scm 1203 */
 long BgL_offsetz00_5901; long BgL_lenz00_5902;
BgL_offsetz00_5901 = 
(long)CINT(BgL_offsetz00_4721); 
BgL_lenz00_5902 = 
(long)CINT(BgL_lenz00_4722); 
if(
bgl_ssl_hash_update(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4719), 
((obj_t)BgL_dataz00_4720), BgL_offsetz00_5901, BgL_lenz00_5902))
{ /* Llib/ssl.scm 1203 */BFALSE; }  else 
{ /* Llib/ssl.scm 1203 */
BGl_errorz00zz__errorz00(BGl_string3350z00zz__ssl_sslz00, BGl_string3333z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4719))); } 
BgL_auxz00_10345 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4719); } 
return 
((obj_t)BgL_auxz00_10345);} } 

}



/* &ssl-hash-init1325 */
obj_t BGl_z62sslzd2hashzd2init1325z62zz__ssl_sslz00(obj_t BgL_envz00_4723, obj_t BgL_sslzd2hashzd2_4724)
{
{ /* Llib/ssl.scm 1188 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_10357;
if(
bgl_ssl_hash_init(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4724)))
{ /* Llib/ssl.scm 1191 */BFALSE; }  else 
{ /* Llib/ssl.scm 1191 */
BGl_errorz00zz__errorz00(BGl_string3351z00zz__ssl_sslz00, BGl_string3348z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4724))); } 
BgL_auxz00_10357 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4724); 
return 
((obj_t)BgL_auxz00_10357);} } 

}



/* &dh-generate-key1323 */
obj_t BGl_z62dhzd2generatezd2key1323z62zz__ssl_sslz00(obj_t BgL_envz00_4725, obj_t BgL_dhz00_4726)
{
{ /* Llib/ssl.scm 1177 */
{ /* Llib/ssl.scm 1180 */
 bool_t BgL_tmpz00_10366;
{ /* Llib/ssl.scm 1181 */
 bool_t BgL_test4116z00_10367;
{ /* Llib/ssl.scm 1181 */
 int BgL_arg2324z00_5905;
{ /* Llib/ssl.scm 1181 */
 void * BgL_tmpz00_10368;
BgL_tmpz00_10368 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4726)))->BgL_z42nativez42); 
BgL_arg2324z00_5905 = 
DH_generate_key(BgL_tmpz00_10368); } 
BgL_test4116z00_10367 = 
(
(long)(BgL_arg2324z00_5905)==((long)0)); } 
if(BgL_test4116z00_10367)
{ /* Llib/ssl.scm 1181 */
BgL_tmpz00_10366 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 1181 */
BgL_tmpz00_10366 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_10366);} } 

}



/* &dh-compute-key1321 */
obj_t BGl_z62dhzd2computezd2key1321z62zz__ssl_sslz00(obj_t BgL_envz00_4727, obj_t BgL_dhz00_4728, obj_t BgL_keyz00_4729)
{
{ /* Llib/ssl.scm 1151 */
{ /* Llib/ssl.scm 1155 */
 int BgL_siza7eza7_5908;
BgL_siza7eza7_5908 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(
((BgL_dhz00_bglt)BgL_dhz00_4728)); 
{ /* Llib/ssl.scm 1155 */
 obj_t BgL_strz00_5909;
{ /* Llib/ssl.scm 1156 */

BgL_strz00_5909 = 
make_string(
(long)(BgL_siza7eza7_5908), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1156 */

{ /* Llib/ssl.scm 1157 */
 int BgL_sza7za7_5910;
{ /* Llib/ssl.scm 1157 */
 void * BgL_arg2318z00_5911; void * BgL_arg2319z00_5912;
{ /* Llib/ssl.scm 1157 */
 obj_t BgL_tmpz00_10379;
BgL_tmpz00_10379 = 
((obj_t)BgL_keyz00_4729); 
BgL_arg2318z00_5911 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10379); } 
BgL_arg2319z00_5912 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4728)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1157 */
 char * BgL_tmpz00_10384;
BgL_tmpz00_10384 = 
BSTRING_TO_STRING(BgL_strz00_5909); 
BgL_sza7za7_5910 = 
DH_compute_key(BgL_tmpz00_10384, BgL_arg2318z00_5911, BgL_arg2319z00_5912); } } 
if(
(
(long)(BgL_sza7za7_5910)==((long)-1)))
{ /* Llib/ssl.scm 1159 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1159 */
if(
(
(long)(BgL_sza7za7_5910)==
STRING_LENGTH(BgL_strz00_5909)))
{ /* Llib/ssl.scm 1161 */
return BgL_strz00_5909;}  else 
{ /* Llib/ssl.scm 1161 */
blit_string(BgL_strz00_5909, ((long)0), BgL_strz00_5909, 
(
(long)(BgL_siza7eza7_5908)-
(long)(BgL_sza7za7_5910)), 
(long)(BgL_sza7za7_5910)); 
{ /* Llib/ssl.scm 1165 */
 long BgL_g1144z00_5914;
BgL_g1144z00_5914 = 
(
(long)(BgL_siza7eza7_5908)-
(long)(BgL_sza7za7_5910)); 
{ 
 long BgL_iz00_5916;
BgL_iz00_5916 = BgL_g1144z00_5914; 
BgL_loopz00_5915:
if(
(BgL_iz00_5916>((long)0)))
{ /* Llib/ssl.scm 1167 */
 long BgL_niz00_5917;
BgL_niz00_5917 = 
(BgL_iz00_5916-((long)1)); 
STRING_SET(BgL_strz00_5909, BgL_niz00_5917, ((unsigned char)'\000')); 
{ 
 long BgL_iz00_10406;
BgL_iz00_10406 = BgL_niz00_5917; 
BgL_iz00_5916 = BgL_iz00_10406; 
goto BgL_loopz00_5915;} }  else 
{ /* Llib/ssl.scm 1166 */((bool_t)0); } } } 
return BgL_strz00_5909;} } } } } } } 

}



/* &dh-check-pub-key1319 */
obj_t BGl_z62dhzd2checkzd2pubzd2key1319zb0zz__ssl_sslz00(obj_t BgL_envz00_4730, obj_t BgL_dhz00_4731, obj_t BgL_keyz00_4732)
{
{ /* Llib/ssl.scm 1140 */
{ /* Llib/ssl.scm 1144 */
 void * BgL_arg2308z00_5920; void * BgL_arg2309z00_5921;
BgL_arg2308z00_5920 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4731)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1144 */
 obj_t BgL_tmpz00_10409;
BgL_tmpz00_10409 = 
((obj_t)BgL_keyz00_4732); 
BgL_arg2309z00_5921 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10409); } 
return 
bgl_dh_check_pub_key(BgL_arg2308z00_5920, BgL_arg2309z00_5921);} } 

}



/* &dh-check1317 */
obj_t BGl_z62dhzd2check1317zb0zz__ssl_sslz00(obj_t BgL_envz00_4733, obj_t BgL_dhz00_4734)
{
{ /* Llib/ssl.scm 1129 */
return 
bgl_dh_check(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4734)))->BgL_z42nativez42));} 

}



/* &dh-generate-paramete1315 */
obj_t BGl_z62dhzd2generatezd2paramete1315z62zz__ssl_sslz00(obj_t BgL_envz00_4735, obj_t BgL_dhz00_4736, obj_t BgL_lenz00_4737, obj_t BgL_generatorz00_4738)
{
{ /* Llib/ssl.scm 1113 */
{ /* Llib/ssl.scm 1116 */
 int BgL_tmpz00_10416;
{ /* Llib/ssl.scm 1116 */
 int BgL_lenz00_5924;
BgL_lenz00_5924 = 
CINT(BgL_lenz00_4737); 
{ /* Llib/ssl.scm 1117 */
 void * BgL_arg2302z00_5926; obj_t BgL_arg2303z00_5927;
BgL_arg2302z00_5926 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4736)))->BgL_z42nativez42); 
if(
(
((obj_t)BgL_generatorz00_4738)==
CNST_TABLE_REF(((long)90))))
{ /* Llib/ssl.scm 1118 */
BgL_arg2303z00_5927 = 
BINT(DH_GENERATOR_2); }  else 
{ /* Llib/ssl.scm 1118 */
BgL_arg2303z00_5927 = 
BGl_errorz00zz__errorz00(BGl_string3352z00zz__ssl_sslz00, BGl_string3353z00zz__ssl_sslz00, 
((obj_t)BgL_generatorz00_4738)); } 
{ /* Llib/ssl.scm 1117 */
 int BgL_tmpz00_10427;
BgL_tmpz00_10427 = 
CINT(BgL_arg2303z00_5927); 
BgL_tmpz00_10416 = 
DH_generate_parameters_ex(BgL_arg2302z00_5926, BgL_lenz00_5924, BgL_tmpz00_10427, ((long)0)); } } } 
return 
BINT(BgL_tmpz00_10416);} } 

}



/* &dh-size1313 */
obj_t BGl_z62dhzd2siza7e1313z17zz__ssl_sslz00(obj_t BgL_envz00_4739, obj_t BgL_dhz00_4740)
{
{ /* Llib/ssl.scm 1105 */
{ /* Llib/ssl.scm 1107 */
 int BgL_tmpz00_10431;
{ /* Llib/ssl.scm 1107 */
 void * BgL_tmpz00_10432;
BgL_tmpz00_10432 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4740)))->BgL_z42nativez42); 
BgL_tmpz00_10431 = 
DH_size(BgL_tmpz00_10432); } 
return 
BINT(BgL_tmpz00_10431);} } 

}



/* &dh-init1311 */
obj_t BGl_z62dhzd2init1311zb0zz__ssl_sslz00(obj_t BgL_envz00_4741, obj_t BgL_dhz00_4742)
{
{ /* Llib/ssl.scm 1094 */
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4742)))->BgL_z42nativez42)=((void *)
DH_new()),BUNSPEC);} 

}



/* &ssl-connection-get-n1309 */
obj_t BGl_z62sslzd2connectionzd2getzd2n1309zb0zz__ssl_sslz00(obj_t BgL_envz00_4743, obj_t BgL_sslz00_4744)
{
{ /* Llib/ssl.scm 1084 */
return 
bgl_ssl_connection_get_negotiated_protocol(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4744));} 

}



/* &ssl-connection-reuse1307 */
obj_t BGl_z62sslzd2connectionzd2reuse1307z62zz__ssl_sslz00(obj_t BgL_envz00_4745, obj_t BgL_sslz00_4746)
{
{ /* Llib/ssl.scm 1073 */
{ /* Llib/ssl.scm 1076 */
 bool_t BgL_tmpz00_10442;
{ /* Llib/ssl.scm 1077 */
 void * BgL_tmpz00_10443;
BgL_tmpz00_10443 = 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4746)))->BgL_z42nativez42); 
BgL_tmpz00_10442 = 
SSL_session_reused(BgL_tmpz00_10443); } 
return 
BBOOL(BgL_tmpz00_10442);} } 

}



/* &ssl-connection-get-p1305 */
obj_t BGl_z62sslzd2connectionzd2getzd2p1305zb0zz__ssl_sslz00(obj_t BgL_envz00_4747, obj_t BgL_sslz00_4748)
{
{ /* Llib/ssl.scm 1063 */
return 
bgl_ssl_connection_get_peer_certificate(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4748));} 

}



/* &ssl-connection-verif1303 */
obj_t BGl_z62sslzd2connectionzd2verif1303z62zz__ssl_sslz00(obj_t BgL_envz00_4749, obj_t BgL_sslz00_4750)
{
{ /* Llib/ssl.scm 1053 */
return 
bgl_ssl_connection_verify_error(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4750));} 

}



/* &ssl-connection-load-1301 */
obj_t BGl_z62sslzd2connectionzd2loadzd21301zb0zz__ssl_sslz00(obj_t BgL_envz00_4751, obj_t BgL_sslz00_4752, obj_t BgL_bufz00_4753)
{
{ /* Llib/ssl.scm 1043 */
return 
BINT(
bgl_ssl_connection_load_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4752), 
((obj_t)BgL_bufz00_4753)));} 

}



/* &ssl-connection-get-c1299 */
obj_t BGl_z62sslzd2connectionzd2getzd2c1299zb0zz__ssl_sslz00(obj_t BgL_envz00_4754, obj_t BgL_sslz00_4755)
{
{ /* Llib/ssl.scm 1033 */
return 
bgl_ssl_connection_get_current_cipher(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4755));} 

}



/* &ssl-connection-get-s1297 */
obj_t BGl_z62sslzd2connectionzd2getzd2s1297zb0zz__ssl_sslz00(obj_t BgL_envz00_4756, obj_t BgL_sslz00_4757)
{
{ /* Llib/ssl.scm 1023 */
return 
bgl_ssl_connection_get_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4757));} 

}



/* &ssl-connection-set-s1295 */
obj_t BGl_z62sslzd2connectionzd2setzd2s1295zb0zz__ssl_sslz00(obj_t BgL_envz00_4758, obj_t BgL_sslz00_4759, obj_t BgL_bufz00_4760)
{
{ /* Llib/ssl.scm 1013 */
return 
BINT(
bgl_ssl_connection_set_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4759), 
((obj_t)BgL_bufz00_4760)));} 

}



/* &ssl-connection-clear1293 */
obj_t BGl_z62sslzd2connectionzd2clear1293z62zz__ssl_sslz00(obj_t BgL_envz00_4761, obj_t BgL_sslz00_4762)
{
{ /* Llib/ssl.scm 1003 */
return 
BINT(
bgl_ssl_connection_clear_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4762)));} 

}



/* &ssl-connection-enc-p1291 */
obj_t BGl_z62sslzd2connectionzd2enczd2p1291zb0zz__ssl_sslz00(obj_t BgL_envz00_4763, obj_t BgL_sslz00_4764)
{
{ /* Llib/ssl.scm 993 */
return 
BINT(
bgl_ssl_connection_enc_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4764)));} 

}



/* &ssl-connection-init-1289 */
obj_t BGl_z62sslzd2connectionzd2initzd21289zb0zz__ssl_sslz00(obj_t BgL_envz00_4765, obj_t BgL_sslz00_4766)
{
{ /* Llib/ssl.scm 983 */
return 
BBOOL(
bgl_ssl_connection_init_finishedp(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4766)));} 

}



/* &ssl-connection-clear1287 */
obj_t BGl_z62sslzd2connectionzd2clear1287z62zz__ssl_sslz00(obj_t BgL_envz00_4767, obj_t BgL_sslz00_4768, obj_t BgL_bufferz00_4769, obj_t BgL_offsetz00_4770, obj_t BgL_lenz00_4771)
{
{ /* Llib/ssl.scm 973 */
{ /* Llib/ssl.scm 976 */
 long BgL_tmpz00_10473;
{ /* Llib/ssl.scm 976 */
 long BgL_offsetz00_5945; long BgL_lenz00_5946;
BgL_offsetz00_5945 = 
(long)CINT(BgL_offsetz00_4770); 
BgL_lenz00_5946 = 
(long)CINT(BgL_lenz00_4771); 
BgL_tmpz00_10473 = 
bgl_ssl_connection_clear_out(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4768), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4769)), BgL_offsetz00_5945, BgL_lenz00_5946); } 
return 
BINT(BgL_tmpz00_10473);} } 

}



/* &ssl-connection-clear1285 */
obj_t BGl_z62sslzd2connectionzd2clear1285z62zz__ssl_sslz00(obj_t BgL_envz00_4772, obj_t BgL_sslz00_4773, obj_t BgL_bufferz00_4774, obj_t BgL_offsetz00_4775, obj_t BgL_lenz00_4776)
{
{ /* Llib/ssl.scm 963 */
{ /* Llib/ssl.scm 966 */
 long BgL_tmpz00_10481;
{ /* Llib/ssl.scm 966 */
 long BgL_offsetz00_5949; long BgL_lenz00_5950;
BgL_offsetz00_5949 = 
(long)CINT(BgL_offsetz00_4775); 
BgL_lenz00_5950 = 
(long)CINT(BgL_lenz00_4776); 
BgL_tmpz00_10481 = 
bgl_ssl_connection_clear_in(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4773), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4774)), BgL_offsetz00_5949, BgL_lenz00_5950); } 
return 
BINT(BgL_tmpz00_10481);} } 

}



/* &ssl-connection-write1283 */
obj_t BGl_z62sslzd2connectionzd2write1283z62zz__ssl_sslz00(obj_t BgL_envz00_4777, obj_t BgL_sslz00_4778, obj_t BgL_bufferz00_4779, obj_t BgL_offsetz00_4780, obj_t BgL_lenz00_4781)
{
{ /* Llib/ssl.scm 953 */
{ /* Llib/ssl.scm 956 */
 long BgL_tmpz00_10489;
{ /* Llib/ssl.scm 956 */
 long BgL_offsetz00_5953; long BgL_lenz00_5954;
BgL_offsetz00_5953 = 
(long)CINT(BgL_offsetz00_4780); 
BgL_lenz00_5954 = 
(long)CINT(BgL_lenz00_4781); 
BgL_tmpz00_10489 = 
bgl_ssl_connection_write(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4778), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4779)), BgL_offsetz00_5953, BgL_lenz00_5954); } 
return 
BINT(BgL_tmpz00_10489);} } 

}



/* &ssl-connection-read1281 */
obj_t BGl_z62sslzd2connectionzd2read1281z62zz__ssl_sslz00(obj_t BgL_envz00_4782, obj_t BgL_sslz00_4783, obj_t BgL_bufferz00_4784, obj_t BgL_offsetz00_4785, obj_t BgL_lenz00_4786)
{
{ /* Llib/ssl.scm 943 */
{ /* Llib/ssl.scm 946 */
 long BgL_tmpz00_10497;
{ /* Llib/ssl.scm 946 */
 long BgL_offsetz00_5957; long BgL_lenz00_5958;
BgL_offsetz00_5957 = 
(long)CINT(BgL_offsetz00_4785); 
BgL_lenz00_5958 = 
(long)CINT(BgL_lenz00_4786); 
BgL_tmpz00_10497 = 
bgl_ssl_connection_read(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4783), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4784)), BgL_offsetz00_5957, BgL_lenz00_5958); } 
return 
BINT(BgL_tmpz00_10497);} } 

}



/* &ssl-connection-shutd1279 */
obj_t BGl_z62sslzd2connectionzd2shutd1279z62zz__ssl_sslz00(obj_t BgL_envz00_4787, obj_t BgL_sslz00_4788)
{
{ /* Llib/ssl.scm 933 */
return 
bgl_ssl_connection_shutdown(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4788));} 

}



/* &ssl-connection-close1277 */
obj_t BGl_z62sslzd2connectionzd2close1277z62zz__ssl_sslz00(obj_t BgL_envz00_4789, obj_t BgL_sslz00_4790)
{
{ /* Llib/ssl.scm 923 */
return 
BINT(
bgl_ssl_connection_close(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4790)));} 

}



/* &ssl-connection-start1275 */
obj_t BGl_z62sslzd2connectionzd2start1275z62zz__ssl_sslz00(obj_t BgL_envz00_4791, obj_t BgL_sslz00_4792)
{
{ /* Llib/ssl.scm 913 */
return 
BINT(
bgl_ssl_connection_start(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4792)));} 

}



/* &ssl-connection-init1273 */
obj_t BGl_z62sslzd2connectionzd2init1273z62zz__ssl_sslz00(obj_t BgL_envz00_4793, obj_t BgL_sslz00_4794)
{
{ /* Llib/ssl.scm 903 */
return 
bgl_ssl_connection_init(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4794));} 

}



/* &secure-context-set-o1271 */
obj_t BGl_z62securezd2contextzd2setzd2o1271zb0zz__ssl_sslz00(obj_t BgL_envz00_4795, obj_t BgL_scz00_4796, obj_t BgL_optionsz00_4797)
{
{ /* Llib/ssl.scm 891 */
{ /* Llib/ssl.scm 894 */
 bool_t BgL_tmpz00_10515;
{ /* Llib/ssl.scm 894 */
 int BgL_optionsz00_5964;
BgL_optionsz00_5964 = 
CINT(BgL_optionsz00_4797); 
{ /* Llib/ssl.scm 895 */
 void * BgL_arg2277z00_5965;
BgL_arg2277z00_5965 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4796)))->BgL_z42nativez42); 
SSL_CTX_set_options(BgL_arg2277z00_5965, BgL_optionsz00_5964); BUNSPEC; } 
BgL_tmpz00_10515 = ((bool_t)1); } 
return 
BBOOL(BgL_tmpz00_10515);} } 

}



/* &secure-context-set-c1269 */
obj_t BGl_z62securezd2contextzd2setzd2c1269zb0zz__ssl_sslz00(obj_t BgL_envz00_4798, obj_t BgL_scz00_4799, obj_t BgL_ciphersz00_4800)
{
{ /* Llib/ssl.scm 879 */
{ /* Llib/ssl.scm 882 */
 bool_t BgL_tmpz00_10521;
{ /* Llib/ssl.scm 883 */
 char * BgL_auxz00_10525; void * BgL_tmpz00_10522;
BgL_auxz00_10525 = 
BSTRING_TO_STRING(
((obj_t)BgL_ciphersz00_4800)); 
BgL_tmpz00_10522 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4799)))->BgL_z42nativez42); 
SSL_CTX_set_cipher_list(BgL_tmpz00_10522, BgL_auxz00_10525); } 
BgL_tmpz00_10521 = ((bool_t)1); 
return 
BBOOL(BgL_tmpz00_10521);} } 

}



/* &secure-context-load-1267 */
obj_t BGl_z62securezd2contextzd2loadzd21267zb0zz__ssl_sslz00(obj_t BgL_envz00_4801, obj_t BgL_scz00_4802, obj_t BgL_pfxz00_4803, obj_t BgL_passz00_4804)
{
{ /* Llib/ssl.scm 869 */
return 
BBOOL(
bgl_load_pkcs12(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4802), 
((obj_t)BgL_pfxz00_4803), BgL_passz00_4804));} 

}



/* &secure-context-set-s1265 */
obj_t BGl_z62securezd2contextzd2setzd2s1265zb0zz__ssl_sslz00(obj_t BgL_envz00_4805, obj_t BgL_scz00_4806, obj_t BgL_sicz00_4807, obj_t BgL_offsetz00_4808, obj_t BgL_lenz00_4809)
{
{ /* Llib/ssl.scm 859 */
{ /* Llib/ssl.scm 862 */
 bool_t BgL_tmpz00_10534;
{ /* Llib/ssl.scm 862 */
 long BgL_offsetz00_5972; long BgL_lenz00_5973;
BgL_offsetz00_5972 = 
(long)CINT(BgL_offsetz00_4808); 
BgL_lenz00_5973 = 
(long)CINT(BgL_lenz00_4809); 
BgL_tmpz00_10534 = 
bgl_ssl_ctx_set_session_id_context(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4806), 
((obj_t)BgL_sicz00_4807), BgL_offsetz00_5972, BgL_lenz00_5973); } 
return 
BBOOL(BgL_tmpz00_10534);} } 

}



/* &secure-context-set-c1263 */
obj_t BGl_z62securezd2contextzd2setzd2c1263zb0zz__ssl_sslz00(obj_t BgL_envz00_4810, obj_t BgL_scz00_4811, obj_t BgL_certz00_4812, obj_t BgL_offsetz00_4813, obj_t BgL_lenz00_4814)
{
{ /* Llib/ssl.scm 849 */
{ /* Llib/ssl.scm 852 */
 bool_t BgL_tmpz00_10541;
{ /* Llib/ssl.scm 852 */
 long BgL_offsetz00_5976; long BgL_lenz00_5977;
BgL_offsetz00_5976 = 
(long)CINT(BgL_offsetz00_4813); 
BgL_lenz00_5977 = 
(long)CINT(BgL_lenz00_4814); 
BgL_tmpz00_10541 = 
bgl_ssl_ctx_set_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4811), 
((obj_t)BgL_certz00_4812), BgL_offsetz00_5976, BgL_lenz00_5977); } 
return 
BBOOL(BgL_tmpz00_10541);} } 

}



/* &secure-context-set-k1253 */
obj_t BGl_z62securezd2contextzd2setzd2k1253zb0zz__ssl_sslz00(obj_t BgL_envz00_4815, obj_t BgL_scz00_4816, obj_t BgL_certz00_4817, obj_t BgL_offsetz00_4818, obj_t BgL_lenz00_4819, obj_t BgL_passphrasez00_4820)
{
{ /* Llib/ssl.scm 839 */
return 
BBOOL(
bgl_ssl_ctx_set_key(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4816), BgL_certz00_4817, 
(long)CINT(BgL_offsetz00_4818), 
(long)CINT(BgL_lenz00_4819), BgL_passphrasez00_4820));} 

}



/* &secure-context-add-c1251 */
obj_t BGl_z62securezd2contextzd2addzd2c1251zb0zz__ssl_sslz00(obj_t BgL_envz00_4821, obj_t BgL_scz00_4822, obj_t BgL_certz00_4823, obj_t BgL_offsetz00_4824, obj_t BgL_lenz00_4825)
{
{ /* Llib/ssl.scm 829 */
{ /* Llib/ssl.scm 832 */
 bool_t BgL_tmpz00_10553;
{ /* Llib/ssl.scm 832 */
 long BgL_offsetz00_5980; long BgL_lenz00_5981;
BgL_offsetz00_5980 = 
(long)CINT(BgL_offsetz00_4824); 
BgL_lenz00_5981 = 
(long)CINT(BgL_lenz00_4825); 
BgL_tmpz00_10553 = 
bgl_ssl_ctx_add_crl(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4822), 
((obj_t)BgL_certz00_4823), BgL_offsetz00_5980, BgL_lenz00_5981); } 
return 
BBOOL(BgL_tmpz00_10553);} } 

}



/* &secure-context-add-c1249 */
obj_t BGl_z62securezd2contextzd2addzd2c1249zb0zz__ssl_sslz00(obj_t BgL_envz00_4826, obj_t BgL_scz00_4827, obj_t BgL_certz00_4828, obj_t BgL_offsetz00_4829, obj_t BgL_lenz00_4830)
{
{ /* Llib/ssl.scm 819 */
{ /* Llib/ssl.scm 822 */
 bool_t BgL_tmpz00_10560;
{ /* Llib/ssl.scm 822 */
 long BgL_offsetz00_5984; long BgL_lenz00_5985;
BgL_offsetz00_5984 = 
(long)CINT(BgL_offsetz00_4829); 
BgL_lenz00_5985 = 
(long)CINT(BgL_lenz00_4830); 
BgL_tmpz00_10560 = 
bgl_ssl_ctx_add_ca_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4827), 
((obj_t)BgL_certz00_4828), BgL_offsetz00_5984, BgL_lenz00_5985); } 
return 
BBOOL(BgL_tmpz00_10560);} } 

}



/* &secure-context-add-r1247 */
obj_t BGl_z62securezd2contextzd2addzd2r1247zb0zz__ssl_sslz00(obj_t BgL_envz00_4831, obj_t BgL_scz00_4832)
{
{ /* Llib/ssl.scm 809 */
return 
BBOOL(
bgl_ssl_ctx_add_root_certs(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4832)));} 

}



/* &secure-context-close1245 */
obj_t BGl_z62securezd2contextzd2close1245z62zz__ssl_sslz00(obj_t BgL_envz00_4833, obj_t BgL_scz00_4834)
{
{ /* Llib/ssl.scm 799 */
return 
bgl_ssl_ctx_close(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4834));} 

}



/* &secure-context-init1243 */
obj_t BGl_z62securezd2contextzd2init1243z62zz__ssl_sslz00(obj_t BgL_envz00_4835, obj_t BgL_scz00_4836)
{
{ /* Llib/ssl.scm 789 */
return 
bgl_ssl_ctx_init(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4836));} 

}



/* secure-context-init */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_42)
{
{ /* Llib/ssl.scm 789 */
{ /* Llib/ssl.scm 789 */
 obj_t BgL_method1244z00_1710;
{ /* Llib/ssl.scm 789 */
 obj_t BgL_res2368z00_2364;
{ /* Llib/ssl.scm 789 */
 long BgL_objzd2classzd2numz00_2335;
BgL_objzd2classzd2numz00_2335 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_42)); 
{ /* Llib/ssl.scm 789 */
 obj_t BgL_arg1801z00_2336;
BgL_arg1801z00_2336 = 
PROCEDURE_REF(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 789 */
 int BgL_offsetz00_2339;
BgL_offsetz00_2339 = 
(int)(BgL_objzd2classzd2numz00_2335); 
{ /* Llib/ssl.scm 789 */
 long BgL_offsetz00_2340;
BgL_offsetz00_2340 = 
(
(long)(BgL_offsetz00_2339)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 789 */
 long BgL_modz00_2341;
BgL_modz00_2341 = 
(BgL_offsetz00_2340 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 789 */
 long BgL_restz00_2343;
BgL_restz00_2343 = 
(BgL_offsetz00_2340 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 789 */

{ /* Llib/ssl.scm 789 */
 obj_t BgL_bucketz00_2345;
BgL_bucketz00_2345 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2336),BgL_modz00_2341); 
BgL_res2368z00_2364 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2345),BgL_restz00_2343); } } } } } } } } 
BgL_method1244z00_1710 = BgL_res2368z00_2364; } 
return 
PROCEDURE_ENTRY(BgL_method1244z00_1710)(BgL_method1244z00_1710, 
((obj_t)BgL_scz00_42), BEOA);} } 

}



/* &secure-context-init */
obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4587, obj_t BgL_scz00_4588)
{
{ /* Llib/ssl.scm 789 */
{ /* Llib/ssl.scm 789 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_10604;
{ /* Llib/ssl.scm 789 */
 bool_t BgL_test4121z00_10605;
{ /* Llib/ssl.scm 789 */
 obj_t BgL_classz00_5989;
BgL_classz00_5989 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4588))
{ /* Llib/ssl.scm 789 */
 BgL_objectz00_bglt BgL_arg1799z00_5991; long BgL_arg1800z00_5992;
BgL_arg1799z00_5991 = 
(BgL_objectz00_bglt)(BgL_scz00_4588); 
BgL_arg1800z00_5992 = 
BGL_CLASS_DEPTH(BgL_classz00_5989); 
{ /* Llib/ssl.scm 789 */
 bool_t BgL_arg1794z00_5996; bool_t BgL_arg1795z00_5997;
{ /* Llib/ssl.scm 789 */
 long BgL_idxz00_6001;
BgL_idxz00_6001 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_5991); 
{ /* Llib/ssl.scm 789 */
 obj_t BgL_arg1791z00_6002;
{ /* Llib/ssl.scm 789 */
 long BgL_arg1792z00_6003;
BgL_arg1792z00_6003 = 
(BgL_idxz00_6001+BgL_arg1800z00_5992); 
BgL_arg1791z00_6002 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6003); } 
BgL_arg1794z00_5996 = 
(BgL_arg1791z00_6002==BgL_classz00_5989); } } 
{ /* Llib/ssl.scm 789 */
 bool_t BgL_res3416z00_6026;
{ /* Llib/ssl.scm 789 */
 obj_t BgL_oclassz00_6011;
{ /* Llib/ssl.scm 789 */
 long BgL_arg1804z00_6017;
{ /* Llib/ssl.scm 789 */
 long BgL_arg1805z00_6018;
BgL_arg1805z00_6018 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_5991); 
BgL_arg1804z00_6017 = 
(BgL_arg1805z00_6018-OBJECT_TYPE); } 
BgL_oclassz00_6011 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6017); } 
{ /* Llib/ssl.scm 789 */
 bool_t BgL__ortest_1111z00_6012;
BgL__ortest_1111z00_6012 = 
(BgL_classz00_5989==BgL_oclassz00_6011); 
if(BgL__ortest_1111z00_6012)
{ /* Llib/ssl.scm 789 */
BgL_res3416z00_6026 = BgL__ortest_1111z00_6012; }  else 
{ /* Llib/ssl.scm 789 */
 long BgL_odepthz00_6013;
BgL_odepthz00_6013 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6011); 
if(
(BgL_arg1800z00_5992<BgL_odepthz00_6013))
{ /* Llib/ssl.scm 789 */
 obj_t BgL_arg1793z00_6015;
BgL_arg1793z00_6015 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6011, BgL_arg1800z00_5992); 
BgL_res3416z00_6026 = 
(BgL_arg1793z00_6015==BgL_classz00_5989); }  else 
{ /* Llib/ssl.scm 789 */
BgL_res3416z00_6026 = ((bool_t)0); } } } } 
BgL_arg1795z00_5997 = BgL_res3416z00_6026; } 
BgL_test4121z00_10605 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_5996, BgL_arg1795z00_5997); } }  else 
{ /* Llib/ssl.scm 789 */
BgL_test4121z00_10605 = ((bool_t)0)
; } } 
if(BgL_test4121z00_10605)
{ /* Llib/ssl.scm 789 */
BgL_auxz00_10604 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4588)
; }  else 
{ 
 obj_t BgL_auxz00_10626;
BgL_auxz00_10626 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)32305)), BGl_string3354z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_scz00_4588); 
FAILURE(BgL_auxz00_10626,BFALSE,BFALSE);} } 
return 
BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_auxz00_10604);} } 

}



/* secure-context-close */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_43)
{
{ /* Llib/ssl.scm 799 */
{ /* Llib/ssl.scm 799 */
 obj_t BgL_method1246z00_1711;
{ /* Llib/ssl.scm 799 */
 obj_t BgL_res2373z00_2395;
{ /* Llib/ssl.scm 799 */
 long BgL_objzd2classzd2numz00_2366;
BgL_objzd2classzd2numz00_2366 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_43)); 
{ /* Llib/ssl.scm 799 */
 obj_t BgL_arg1801z00_2367;
BgL_arg1801z00_2367 = 
PROCEDURE_REF(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 799 */
 int BgL_offsetz00_2370;
BgL_offsetz00_2370 = 
(int)(BgL_objzd2classzd2numz00_2366); 
{ /* Llib/ssl.scm 799 */
 long BgL_offsetz00_2371;
BgL_offsetz00_2371 = 
(
(long)(BgL_offsetz00_2370)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 799 */
 long BgL_modz00_2372;
BgL_modz00_2372 = 
(BgL_offsetz00_2371 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 799 */
 long BgL_restz00_2374;
BgL_restz00_2374 = 
(BgL_offsetz00_2371 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 799 */

{ /* Llib/ssl.scm 799 */
 obj_t BgL_bucketz00_2376;
BgL_bucketz00_2376 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2367),BgL_modz00_2372); 
BgL_res2373z00_2395 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2376),BgL_restz00_2374); } } } } } } } } 
BgL_method1246z00_1711 = BgL_res2373z00_2395; } 
return 
PROCEDURE_ENTRY(BgL_method1246z00_1711)(BgL_method1246z00_1711, 
((obj_t)BgL_scz00_43), BEOA);} } 

}



/* &secure-context-close */
obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4837, obj_t BgL_scz00_4838)
{
{ /* Llib/ssl.scm 799 */
{ /* Llib/ssl.scm 799 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_10661;
{ /* Llib/ssl.scm 799 */
 bool_t BgL_test4125z00_10662;
{ /* Llib/ssl.scm 799 */
 obj_t BgL_classz00_6027;
BgL_classz00_6027 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4838))
{ /* Llib/ssl.scm 799 */
 BgL_objectz00_bglt BgL_arg1799z00_6029; long BgL_arg1800z00_6030;
BgL_arg1799z00_6029 = 
(BgL_objectz00_bglt)(BgL_scz00_4838); 
BgL_arg1800z00_6030 = 
BGL_CLASS_DEPTH(BgL_classz00_6027); 
{ /* Llib/ssl.scm 799 */
 bool_t BgL_arg1794z00_6034; bool_t BgL_arg1795z00_6035;
{ /* Llib/ssl.scm 799 */
 long BgL_idxz00_6039;
BgL_idxz00_6039 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6029); 
{ /* Llib/ssl.scm 799 */
 obj_t BgL_arg1791z00_6040;
{ /* Llib/ssl.scm 799 */
 long BgL_arg1792z00_6041;
BgL_arg1792z00_6041 = 
(BgL_idxz00_6039+BgL_arg1800z00_6030); 
BgL_arg1791z00_6040 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6041); } 
BgL_arg1794z00_6034 = 
(BgL_arg1791z00_6040==BgL_classz00_6027); } } 
{ /* Llib/ssl.scm 799 */
 bool_t BgL_res3417z00_6064;
{ /* Llib/ssl.scm 799 */
 obj_t BgL_oclassz00_6049;
{ /* Llib/ssl.scm 799 */
 long BgL_arg1804z00_6055;
{ /* Llib/ssl.scm 799 */
 long BgL_arg1805z00_6056;
BgL_arg1805z00_6056 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6029); 
BgL_arg1804z00_6055 = 
(BgL_arg1805z00_6056-OBJECT_TYPE); } 
BgL_oclassz00_6049 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6055); } 
{ /* Llib/ssl.scm 799 */
 bool_t BgL__ortest_1111z00_6050;
BgL__ortest_1111z00_6050 = 
(BgL_classz00_6027==BgL_oclassz00_6049); 
if(BgL__ortest_1111z00_6050)
{ /* Llib/ssl.scm 799 */
BgL_res3417z00_6064 = BgL__ortest_1111z00_6050; }  else 
{ /* Llib/ssl.scm 799 */
 long BgL_odepthz00_6051;
BgL_odepthz00_6051 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6049); 
if(
(BgL_arg1800z00_6030<BgL_odepthz00_6051))
{ /* Llib/ssl.scm 799 */
 obj_t BgL_arg1793z00_6053;
BgL_arg1793z00_6053 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6049, BgL_arg1800z00_6030); 
BgL_res3417z00_6064 = 
(BgL_arg1793z00_6053==BgL_classz00_6027); }  else 
{ /* Llib/ssl.scm 799 */
BgL_res3417z00_6064 = ((bool_t)0); } } } } 
BgL_arg1795z00_6035 = BgL_res3417z00_6064; } 
BgL_test4125z00_10662 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6034, BgL_arg1795z00_6035); } }  else 
{ /* Llib/ssl.scm 799 */
BgL_test4125z00_10662 = ((bool_t)0)
; } } 
if(BgL_test4125z00_10662)
{ /* Llib/ssl.scm 799 */
BgL_auxz00_10661 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4838)
; }  else 
{ 
 obj_t BgL_auxz00_10683;
BgL_auxz00_10683 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)32681)), BGl_string3355z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_scz00_4838); 
FAILURE(BgL_auxz00_10683,BFALSE,BFALSE);} } 
return 
BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_auxz00_10661);} } 

}



/* secure-context-add-root-certs! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_44)
{
{ /* Llib/ssl.scm 809 */
{ /* Llib/ssl.scm 809 */
 obj_t BgL_method1248z00_1712;
{ /* Llib/ssl.scm 809 */
 obj_t BgL_res2378z00_2426;
{ /* Llib/ssl.scm 809 */
 long BgL_objzd2classzd2numz00_2397;
BgL_objzd2classzd2numz00_2397 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_44)); 
{ /* Llib/ssl.scm 809 */
 obj_t BgL_arg1801z00_2398;
BgL_arg1801z00_2398 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 809 */
 int BgL_offsetz00_2401;
BgL_offsetz00_2401 = 
(int)(BgL_objzd2classzd2numz00_2397); 
{ /* Llib/ssl.scm 809 */
 long BgL_offsetz00_2402;
BgL_offsetz00_2402 = 
(
(long)(BgL_offsetz00_2401)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 809 */
 long BgL_modz00_2403;
BgL_modz00_2403 = 
(BgL_offsetz00_2402 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 809 */
 long BgL_restz00_2405;
BgL_restz00_2405 = 
(BgL_offsetz00_2402 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 809 */

{ /* Llib/ssl.scm 809 */
 obj_t BgL_bucketz00_2407;
BgL_bucketz00_2407 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2398),BgL_modz00_2403); 
BgL_res2378z00_2426 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2407),BgL_restz00_2405); } } } } } } } } 
BgL_method1248z00_1712 = BgL_res2378z00_2426; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1248z00_1712)(BgL_method1248z00_1712, 
((obj_t)BgL_scz00_44), BEOA));} } 

}



/* &secure-context-add-root-certs! */
obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t BgL_envz00_4839, obj_t BgL_scz00_4840)
{
{ /* Llib/ssl.scm 809 */
{ /* Llib/ssl.scm 809 */
 bool_t BgL_tmpz00_10719;
{ /* Llib/ssl.scm 809 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_10720;
{ /* Llib/ssl.scm 809 */
 bool_t BgL_test4129z00_10721;
{ /* Llib/ssl.scm 809 */
 obj_t BgL_classz00_6065;
BgL_classz00_6065 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4840))
{ /* Llib/ssl.scm 809 */
 BgL_objectz00_bglt BgL_arg1799z00_6067; long BgL_arg1800z00_6068;
BgL_arg1799z00_6067 = 
(BgL_objectz00_bglt)(BgL_scz00_4840); 
BgL_arg1800z00_6068 = 
BGL_CLASS_DEPTH(BgL_classz00_6065); 
{ /* Llib/ssl.scm 809 */
 bool_t BgL_arg1794z00_6072; bool_t BgL_arg1795z00_6073;
{ /* Llib/ssl.scm 809 */
 long BgL_idxz00_6077;
BgL_idxz00_6077 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6067); 
{ /* Llib/ssl.scm 809 */
 obj_t BgL_arg1791z00_6078;
{ /* Llib/ssl.scm 809 */
 long BgL_arg1792z00_6079;
BgL_arg1792z00_6079 = 
(BgL_idxz00_6077+BgL_arg1800z00_6068); 
BgL_arg1791z00_6078 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6079); } 
BgL_arg1794z00_6072 = 
(BgL_arg1791z00_6078==BgL_classz00_6065); } } 
{ /* Llib/ssl.scm 809 */
 bool_t BgL_res3418z00_6102;
{ /* Llib/ssl.scm 809 */
 obj_t BgL_oclassz00_6087;
{ /* Llib/ssl.scm 809 */
 long BgL_arg1804z00_6093;
{ /* Llib/ssl.scm 809 */
 long BgL_arg1805z00_6094;
BgL_arg1805z00_6094 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6067); 
BgL_arg1804z00_6093 = 
(BgL_arg1805z00_6094-OBJECT_TYPE); } 
BgL_oclassz00_6087 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6093); } 
{ /* Llib/ssl.scm 809 */
 bool_t BgL__ortest_1111z00_6088;
BgL__ortest_1111z00_6088 = 
(BgL_classz00_6065==BgL_oclassz00_6087); 
if(BgL__ortest_1111z00_6088)
{ /* Llib/ssl.scm 809 */
BgL_res3418z00_6102 = BgL__ortest_1111z00_6088; }  else 
{ /* Llib/ssl.scm 809 */
 long BgL_odepthz00_6089;
BgL_odepthz00_6089 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6087); 
if(
(BgL_arg1800z00_6068<BgL_odepthz00_6089))
{ /* Llib/ssl.scm 809 */
 obj_t BgL_arg1793z00_6091;
BgL_arg1793z00_6091 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6087, BgL_arg1800z00_6068); 
BgL_res3418z00_6102 = 
(BgL_arg1793z00_6091==BgL_classz00_6065); }  else 
{ /* Llib/ssl.scm 809 */
BgL_res3418z00_6102 = ((bool_t)0); } } } } 
BgL_arg1795z00_6073 = BgL_res3418z00_6102; } 
BgL_test4129z00_10721 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6072, BgL_arg1795z00_6073); } }  else 
{ /* Llib/ssl.scm 809 */
BgL_test4129z00_10721 = ((bool_t)0)
; } } 
if(BgL_test4129z00_10721)
{ /* Llib/ssl.scm 809 */
BgL_auxz00_10720 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4840)
; }  else 
{ 
 obj_t BgL_auxz00_10742;
BgL_auxz00_10742 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)33059)), BGl_string3356z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_scz00_4840); 
FAILURE(BgL_auxz00_10742,BFALSE,BFALSE);} } 
BgL_tmpz00_10719 = 
BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_auxz00_10720); } 
return 
BBOOL(BgL_tmpz00_10719);} } 

}



/* secure-context-add-ca-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_45, obj_t BgL_certz00_46, long BgL_offsetz00_47, long BgL_lenz00_48)
{
{ /* Llib/ssl.scm 819 */
{ /* Llib/ssl.scm 819 */
 obj_t BgL_method1250z00_1713;
{ /* Llib/ssl.scm 819 */
 obj_t BgL_res2383z00_2457;
{ /* Llib/ssl.scm 819 */
 long BgL_objzd2classzd2numz00_2428;
BgL_objzd2classzd2numz00_2428 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_45)); 
{ /* Llib/ssl.scm 819 */
 obj_t BgL_arg1801z00_2429;
BgL_arg1801z00_2429 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 819 */
 int BgL_offsetz00_2432;
BgL_offsetz00_2432 = 
(int)(BgL_objzd2classzd2numz00_2428); 
{ /* Llib/ssl.scm 819 */
 long BgL_offsetz00_2433;
BgL_offsetz00_2433 = 
(
(long)(BgL_offsetz00_2432)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 819 */
 long BgL_modz00_2434;
BgL_modz00_2434 = 
(BgL_offsetz00_2433 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 819 */
 long BgL_restz00_2436;
BgL_restz00_2436 = 
(BgL_offsetz00_2433 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 819 */

{ /* Llib/ssl.scm 819 */
 obj_t BgL_bucketz00_2438;
BgL_bucketz00_2438 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2429),BgL_modz00_2434); 
BgL_res2383z00_2457 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2438),BgL_restz00_2436); } } } } } } } } 
BgL_method1250z00_1713 = BgL_res2383z00_2457; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1250z00_1713)(BgL_method1250z00_1713, 
((obj_t)BgL_scz00_45), BgL_certz00_46, 
BINT(BgL_offsetz00_47), 
BINT(BgL_lenz00_48), BEOA));} } 

}



/* &secure-context-add-ca-cert! */
obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t BgL_envz00_4841, obj_t BgL_scz00_4842, obj_t BgL_certz00_4843, obj_t BgL_offsetz00_4844, obj_t BgL_lenz00_4845)
{
{ /* Llib/ssl.scm 819 */
{ /* Llib/ssl.scm 819 */
 bool_t BgL_tmpz00_10784;
{ /* Llib/ssl.scm 819 */
 long BgL_auxz00_10827; long BgL_auxz00_10818; obj_t BgL_auxz00_10811; BgL_securezd2contextzd2_bglt BgL_auxz00_10785;
{ /* Llib/ssl.scm 819 */
 obj_t BgL_tmpz00_10828;
if(
INTEGERP(BgL_lenz00_4845))
{ /* Llib/ssl.scm 819 */
BgL_tmpz00_10828 = BgL_lenz00_4845
; }  else 
{ 
 obj_t BgL_auxz00_10831;
BgL_auxz00_10831 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3357z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4845); 
FAILURE(BgL_auxz00_10831,BFALSE,BFALSE);} 
BgL_auxz00_10827 = 
(long)CINT(BgL_tmpz00_10828); } 
{ /* Llib/ssl.scm 819 */
 obj_t BgL_tmpz00_10819;
if(
INTEGERP(BgL_offsetz00_4844))
{ /* Llib/ssl.scm 819 */
BgL_tmpz00_10819 = BgL_offsetz00_4844
; }  else 
{ 
 obj_t BgL_auxz00_10822;
BgL_auxz00_10822 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3357z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4844); 
FAILURE(BgL_auxz00_10822,BFALSE,BFALSE);} 
BgL_auxz00_10818 = 
(long)CINT(BgL_tmpz00_10819); } 
if(
STRINGP(BgL_certz00_4843))
{ /* Llib/ssl.scm 819 */
BgL_auxz00_10811 = BgL_certz00_4843
; }  else 
{ 
 obj_t BgL_auxz00_10814;
BgL_auxz00_10814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3357z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_certz00_4843); 
FAILURE(BgL_auxz00_10814,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 819 */
 bool_t BgL_test4133z00_10786;
{ /* Llib/ssl.scm 819 */
 obj_t BgL_classz00_6103;
BgL_classz00_6103 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4842))
{ /* Llib/ssl.scm 819 */
 BgL_objectz00_bglt BgL_arg1799z00_6105; long BgL_arg1800z00_6106;
BgL_arg1799z00_6105 = 
(BgL_objectz00_bglt)(BgL_scz00_4842); 
BgL_arg1800z00_6106 = 
BGL_CLASS_DEPTH(BgL_classz00_6103); 
{ /* Llib/ssl.scm 819 */
 bool_t BgL_arg1794z00_6110; bool_t BgL_arg1795z00_6111;
{ /* Llib/ssl.scm 819 */
 long BgL_idxz00_6115;
BgL_idxz00_6115 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6105); 
{ /* Llib/ssl.scm 819 */
 obj_t BgL_arg1791z00_6116;
{ /* Llib/ssl.scm 819 */
 long BgL_arg1792z00_6117;
BgL_arg1792z00_6117 = 
(BgL_idxz00_6115+BgL_arg1800z00_6106); 
BgL_arg1791z00_6116 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6117); } 
BgL_arg1794z00_6110 = 
(BgL_arg1791z00_6116==BgL_classz00_6103); } } 
{ /* Llib/ssl.scm 819 */
 bool_t BgL_res3419z00_6140;
{ /* Llib/ssl.scm 819 */
 obj_t BgL_oclassz00_6125;
{ /* Llib/ssl.scm 819 */
 long BgL_arg1804z00_6131;
{ /* Llib/ssl.scm 819 */
 long BgL_arg1805z00_6132;
BgL_arg1805z00_6132 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6105); 
BgL_arg1804z00_6131 = 
(BgL_arg1805z00_6132-OBJECT_TYPE); } 
BgL_oclassz00_6125 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6131); } 
{ /* Llib/ssl.scm 819 */
 bool_t BgL__ortest_1111z00_6126;
BgL__ortest_1111z00_6126 = 
(BgL_classz00_6103==BgL_oclassz00_6125); 
if(BgL__ortest_1111z00_6126)
{ /* Llib/ssl.scm 819 */
BgL_res3419z00_6140 = BgL__ortest_1111z00_6126; }  else 
{ /* Llib/ssl.scm 819 */
 long BgL_odepthz00_6127;
BgL_odepthz00_6127 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6125); 
if(
(BgL_arg1800z00_6106<BgL_odepthz00_6127))
{ /* Llib/ssl.scm 819 */
 obj_t BgL_arg1793z00_6129;
BgL_arg1793z00_6129 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6125, BgL_arg1800z00_6106); 
BgL_res3419z00_6140 = 
(BgL_arg1793z00_6129==BgL_classz00_6103); }  else 
{ /* Llib/ssl.scm 819 */
BgL_res3419z00_6140 = ((bool_t)0); } } } } 
BgL_arg1795z00_6111 = BgL_res3419z00_6140; } 
BgL_test4133z00_10786 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6110, BgL_arg1795z00_6111); } }  else 
{ /* Llib/ssl.scm 819 */
BgL_test4133z00_10786 = ((bool_t)0)
; } } 
if(BgL_test4133z00_10786)
{ /* Llib/ssl.scm 819 */
BgL_auxz00_10785 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4842)
; }  else 
{ 
 obj_t BgL_auxz00_10807;
BgL_auxz00_10807 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)33456)), BGl_string3357z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_scz00_4842); 
FAILURE(BgL_auxz00_10807,BFALSE,BFALSE);} } 
BgL_tmpz00_10784 = 
BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_auxz00_10785, BgL_auxz00_10811, BgL_auxz00_10818, BgL_auxz00_10827); } 
return 
BBOOL(BgL_tmpz00_10784);} } 

}



/* secure-context-add-crl! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_49, obj_t BgL_certz00_50, long BgL_offsetz00_51, long BgL_lenz00_52)
{
{ /* Llib/ssl.scm 829 */
{ /* Llib/ssl.scm 829 */
 obj_t BgL_method1252z00_1714;
{ /* Llib/ssl.scm 829 */
 obj_t BgL_res2388z00_2488;
{ /* Llib/ssl.scm 829 */
 long BgL_objzd2classzd2numz00_2459;
BgL_objzd2classzd2numz00_2459 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_49)); 
{ /* Llib/ssl.scm 829 */
 obj_t BgL_arg1801z00_2460;
BgL_arg1801z00_2460 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 829 */
 int BgL_offsetz00_2463;
BgL_offsetz00_2463 = 
(int)(BgL_objzd2classzd2numz00_2459); 
{ /* Llib/ssl.scm 829 */
 long BgL_offsetz00_2464;
BgL_offsetz00_2464 = 
(
(long)(BgL_offsetz00_2463)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 829 */
 long BgL_modz00_2465;
BgL_modz00_2465 = 
(BgL_offsetz00_2464 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 829 */
 long BgL_restz00_2467;
BgL_restz00_2467 = 
(BgL_offsetz00_2464 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 829 */

{ /* Llib/ssl.scm 829 */
 obj_t BgL_bucketz00_2469;
BgL_bucketz00_2469 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2460),BgL_modz00_2465); 
BgL_res2388z00_2488 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2469),BgL_restz00_2467); } } } } } } } } 
BgL_method1252z00_1714 = BgL_res2388z00_2488; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1252z00_1714)(BgL_method1252z00_1714, 
((obj_t)BgL_scz00_49), BgL_certz00_50, 
BINT(BgL_offsetz00_51), 
BINT(BgL_lenz00_52), BEOA));} } 

}



/* &secure-context-add-crl! */
obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t BgL_envz00_4846, obj_t BgL_scz00_4847, obj_t BgL_certz00_4848, obj_t BgL_offsetz00_4849, obj_t BgL_lenz00_4850)
{
{ /* Llib/ssl.scm 829 */
{ /* Llib/ssl.scm 829 */
 bool_t BgL_tmpz00_10874;
{ /* Llib/ssl.scm 829 */
 long BgL_auxz00_10917; long BgL_auxz00_10908; obj_t BgL_auxz00_10901; BgL_securezd2contextzd2_bglt BgL_auxz00_10875;
{ /* Llib/ssl.scm 829 */
 obj_t BgL_tmpz00_10918;
if(
INTEGERP(BgL_lenz00_4850))
{ /* Llib/ssl.scm 829 */
BgL_tmpz00_10918 = BgL_lenz00_4850
; }  else 
{ 
 obj_t BgL_auxz00_10921;
BgL_auxz00_10921 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3358z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4850); 
FAILURE(BgL_auxz00_10921,BFALSE,BFALSE);} 
BgL_auxz00_10917 = 
(long)CINT(BgL_tmpz00_10918); } 
{ /* Llib/ssl.scm 829 */
 obj_t BgL_tmpz00_10909;
if(
INTEGERP(BgL_offsetz00_4849))
{ /* Llib/ssl.scm 829 */
BgL_tmpz00_10909 = BgL_offsetz00_4849
; }  else 
{ 
 obj_t BgL_auxz00_10912;
BgL_auxz00_10912 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3358z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4849); 
FAILURE(BgL_auxz00_10912,BFALSE,BFALSE);} 
BgL_auxz00_10908 = 
(long)CINT(BgL_tmpz00_10909); } 
if(
STRINGP(BgL_certz00_4848))
{ /* Llib/ssl.scm 829 */
BgL_auxz00_10901 = BgL_certz00_4848
; }  else 
{ 
 obj_t BgL_auxz00_10904;
BgL_auxz00_10904 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3358z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_certz00_4848); 
FAILURE(BgL_auxz00_10904,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 829 */
 bool_t BgL_test4140z00_10876;
{ /* Llib/ssl.scm 829 */
 obj_t BgL_classz00_6141;
BgL_classz00_6141 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4847))
{ /* Llib/ssl.scm 829 */
 BgL_objectz00_bglt BgL_arg1799z00_6143; long BgL_arg1800z00_6144;
BgL_arg1799z00_6143 = 
(BgL_objectz00_bglt)(BgL_scz00_4847); 
BgL_arg1800z00_6144 = 
BGL_CLASS_DEPTH(BgL_classz00_6141); 
{ /* Llib/ssl.scm 829 */
 bool_t BgL_arg1794z00_6148; bool_t BgL_arg1795z00_6149;
{ /* Llib/ssl.scm 829 */
 long BgL_idxz00_6153;
BgL_idxz00_6153 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6143); 
{ /* Llib/ssl.scm 829 */
 obj_t BgL_arg1791z00_6154;
{ /* Llib/ssl.scm 829 */
 long BgL_arg1792z00_6155;
BgL_arg1792z00_6155 = 
(BgL_idxz00_6153+BgL_arg1800z00_6144); 
BgL_arg1791z00_6154 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6155); } 
BgL_arg1794z00_6148 = 
(BgL_arg1791z00_6154==BgL_classz00_6141); } } 
{ /* Llib/ssl.scm 829 */
 bool_t BgL_res3420z00_6178;
{ /* Llib/ssl.scm 829 */
 obj_t BgL_oclassz00_6163;
{ /* Llib/ssl.scm 829 */
 long BgL_arg1804z00_6169;
{ /* Llib/ssl.scm 829 */
 long BgL_arg1805z00_6170;
BgL_arg1805z00_6170 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6143); 
BgL_arg1804z00_6169 = 
(BgL_arg1805z00_6170-OBJECT_TYPE); } 
BgL_oclassz00_6163 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6169); } 
{ /* Llib/ssl.scm 829 */
 bool_t BgL__ortest_1111z00_6164;
BgL__ortest_1111z00_6164 = 
(BgL_classz00_6141==BgL_oclassz00_6163); 
if(BgL__ortest_1111z00_6164)
{ /* Llib/ssl.scm 829 */
BgL_res3420z00_6178 = BgL__ortest_1111z00_6164; }  else 
{ /* Llib/ssl.scm 829 */
 long BgL_odepthz00_6165;
BgL_odepthz00_6165 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6163); 
if(
(BgL_arg1800z00_6144<BgL_odepthz00_6165))
{ /* Llib/ssl.scm 829 */
 obj_t BgL_arg1793z00_6167;
BgL_arg1793z00_6167 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6163, BgL_arg1800z00_6144); 
BgL_res3420z00_6178 = 
(BgL_arg1793z00_6167==BgL_classz00_6141); }  else 
{ /* Llib/ssl.scm 829 */
BgL_res3420z00_6178 = ((bool_t)0); } } } } 
BgL_arg1795z00_6149 = BgL_res3420z00_6178; } 
BgL_test4140z00_10876 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6148, BgL_arg1795z00_6149); } }  else 
{ /* Llib/ssl.scm 829 */
BgL_test4140z00_10876 = ((bool_t)0)
; } } 
if(BgL_test4140z00_10876)
{ /* Llib/ssl.scm 829 */
BgL_auxz00_10875 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4847)
; }  else 
{ 
 obj_t BgL_auxz00_10897;
BgL_auxz00_10897 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)33879)), BGl_string3358z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_scz00_4847); 
FAILURE(BgL_auxz00_10897,BFALSE,BFALSE);} } 
BgL_tmpz00_10874 = 
BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_auxz00_10875, BgL_auxz00_10901, BgL_auxz00_10908, BgL_auxz00_10917); } 
return 
BBOOL(BgL_tmpz00_10874);} } 

}



/* secure-context-set-key! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_53, obj_t BgL_certz00_54, long BgL_offsetz00_55, long BgL_lenz00_56, obj_t BgL_passphrasez00_57)
{
{ /* Llib/ssl.scm 839 */
{ /* Llib/ssl.scm 353 */
 obj_t BgL_method1254z00_1715;
{ /* Llib/ssl.scm 353 */
 obj_t BgL_res2393z00_2519;
{ /* Llib/ssl.scm 353 */
 long BgL_objzd2classzd2numz00_2490;
BgL_objzd2classzd2numz00_2490 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_53)); 
{ /* Llib/ssl.scm 353 */
 obj_t BgL_arg1801z00_2491;
BgL_arg1801z00_2491 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 353 */
 int BgL_offsetz00_2494;
BgL_offsetz00_2494 = 
(int)(BgL_objzd2classzd2numz00_2490); 
{ /* Llib/ssl.scm 353 */
 long BgL_offsetz00_2495;
BgL_offsetz00_2495 = 
(
(long)(BgL_offsetz00_2494)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 353 */
 long BgL_modz00_2496;
BgL_modz00_2496 = 
(BgL_offsetz00_2495 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 353 */
 long BgL_restz00_2498;
BgL_restz00_2498 = 
(BgL_offsetz00_2495 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 353 */

{ /* Llib/ssl.scm 353 */
 obj_t BgL_bucketz00_2500;
BgL_bucketz00_2500 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2491),BgL_modz00_2496); 
BgL_res2393z00_2519 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2500),BgL_restz00_2498); } } } } } } } } 
BgL_method1254z00_1715 = BgL_res2393z00_2519; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1254z00_1715)(BgL_method1254z00_1715, 
((obj_t)BgL_scz00_53), BgL_certz00_54, 
BINT(BgL_offsetz00_55), 
BINT(BgL_lenz00_56), BgL_passphrasez00_57, BEOA));} } 

}



/* secure-context-set-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_60, obj_t BgL_certz00_61, long BgL_offsetz00_62, long BgL_lenz00_63)
{
{ /* Llib/ssl.scm 849 */
{ /* Llib/ssl.scm 849 */
 obj_t BgL_method1264z00_1716;
{ /* Llib/ssl.scm 849 */
 obj_t BgL_res2398z00_2550;
{ /* Llib/ssl.scm 849 */
 long BgL_objzd2classzd2numz00_2521;
BgL_objzd2classzd2numz00_2521 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_60)); 
{ /* Llib/ssl.scm 849 */
 obj_t BgL_arg1801z00_2522;
BgL_arg1801z00_2522 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 849 */
 int BgL_offsetz00_2525;
BgL_offsetz00_2525 = 
(int)(BgL_objzd2classzd2numz00_2521); 
{ /* Llib/ssl.scm 849 */
 long BgL_offsetz00_2526;
BgL_offsetz00_2526 = 
(
(long)(BgL_offsetz00_2525)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 849 */
 long BgL_modz00_2527;
BgL_modz00_2527 = 
(BgL_offsetz00_2526 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 849 */
 long BgL_restz00_2529;
BgL_restz00_2529 = 
(BgL_offsetz00_2526 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 849 */

{ /* Llib/ssl.scm 849 */
 obj_t BgL_bucketz00_2531;
BgL_bucketz00_2531 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2522),BgL_modz00_2527); 
BgL_res2398z00_2550 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2531),BgL_restz00_2529); } } } } } } } } 
BgL_method1264z00_1716 = BgL_res2398z00_2550; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1264z00_1716)(BgL_method1264z00_1716, 
((obj_t)BgL_scz00_60), BgL_certz00_61, 
BINT(BgL_offsetz00_62), 
BINT(BgL_lenz00_63), BEOA));} } 

}



/* &secure-context-set-cert! */
obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t BgL_envz00_4851, obj_t BgL_scz00_4852, obj_t BgL_certz00_4853, obj_t BgL_offsetz00_4854, obj_t BgL_lenz00_4855)
{
{ /* Llib/ssl.scm 849 */
{ /* Llib/ssl.scm 849 */
 bool_t BgL_tmpz00_11001;
{ /* Llib/ssl.scm 849 */
 long BgL_auxz00_11044; long BgL_auxz00_11035; obj_t BgL_auxz00_11028; BgL_securezd2contextzd2_bglt BgL_auxz00_11002;
{ /* Llib/ssl.scm 849 */
 obj_t BgL_tmpz00_11045;
if(
INTEGERP(BgL_lenz00_4855))
{ /* Llib/ssl.scm 849 */
BgL_tmpz00_11045 = BgL_lenz00_4855
; }  else 
{ 
 obj_t BgL_auxz00_11048;
BgL_auxz00_11048 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3359z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4855); 
FAILURE(BgL_auxz00_11048,BFALSE,BFALSE);} 
BgL_auxz00_11044 = 
(long)CINT(BgL_tmpz00_11045); } 
{ /* Llib/ssl.scm 849 */
 obj_t BgL_tmpz00_11036;
if(
INTEGERP(BgL_offsetz00_4854))
{ /* Llib/ssl.scm 849 */
BgL_tmpz00_11036 = BgL_offsetz00_4854
; }  else 
{ 
 obj_t BgL_auxz00_11039;
BgL_auxz00_11039 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3359z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4854); 
FAILURE(BgL_auxz00_11039,BFALSE,BFALSE);} 
BgL_auxz00_11035 = 
(long)CINT(BgL_tmpz00_11036); } 
if(
STRINGP(BgL_certz00_4853))
{ /* Llib/ssl.scm 849 */
BgL_auxz00_11028 = BgL_certz00_4853
; }  else 
{ 
 obj_t BgL_auxz00_11031;
BgL_auxz00_11031 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3359z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_certz00_4853); 
FAILURE(BgL_auxz00_11031,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 849 */
 bool_t BgL_test4147z00_11003;
{ /* Llib/ssl.scm 849 */
 obj_t BgL_classz00_6179;
BgL_classz00_6179 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4852))
{ /* Llib/ssl.scm 849 */
 BgL_objectz00_bglt BgL_arg1799z00_6181; long BgL_arg1800z00_6182;
BgL_arg1799z00_6181 = 
(BgL_objectz00_bglt)(BgL_scz00_4852); 
BgL_arg1800z00_6182 = 
BGL_CLASS_DEPTH(BgL_classz00_6179); 
{ /* Llib/ssl.scm 849 */
 bool_t BgL_arg1794z00_6186; bool_t BgL_arg1795z00_6187;
{ /* Llib/ssl.scm 849 */
 long BgL_idxz00_6191;
BgL_idxz00_6191 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6181); 
{ /* Llib/ssl.scm 849 */
 obj_t BgL_arg1791z00_6192;
{ /* Llib/ssl.scm 849 */
 long BgL_arg1792z00_6193;
BgL_arg1792z00_6193 = 
(BgL_idxz00_6191+BgL_arg1800z00_6182); 
BgL_arg1791z00_6192 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6193); } 
BgL_arg1794z00_6186 = 
(BgL_arg1791z00_6192==BgL_classz00_6179); } } 
{ /* Llib/ssl.scm 849 */
 bool_t BgL_res3421z00_6216;
{ /* Llib/ssl.scm 849 */
 obj_t BgL_oclassz00_6201;
{ /* Llib/ssl.scm 849 */
 long BgL_arg1804z00_6207;
{ /* Llib/ssl.scm 849 */
 long BgL_arg1805z00_6208;
BgL_arg1805z00_6208 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6181); 
BgL_arg1804z00_6207 = 
(BgL_arg1805z00_6208-OBJECT_TYPE); } 
BgL_oclassz00_6201 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6207); } 
{ /* Llib/ssl.scm 849 */
 bool_t BgL__ortest_1111z00_6202;
BgL__ortest_1111z00_6202 = 
(BgL_classz00_6179==BgL_oclassz00_6201); 
if(BgL__ortest_1111z00_6202)
{ /* Llib/ssl.scm 849 */
BgL_res3421z00_6216 = BgL__ortest_1111z00_6202; }  else 
{ /* Llib/ssl.scm 849 */
 long BgL_odepthz00_6203;
BgL_odepthz00_6203 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6201); 
if(
(BgL_arg1800z00_6182<BgL_odepthz00_6203))
{ /* Llib/ssl.scm 849 */
 obj_t BgL_arg1793z00_6205;
BgL_arg1793z00_6205 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6201, BgL_arg1800z00_6182); 
BgL_res3421z00_6216 = 
(BgL_arg1793z00_6205==BgL_classz00_6179); }  else 
{ /* Llib/ssl.scm 849 */
BgL_res3421z00_6216 = ((bool_t)0); } } } } 
BgL_arg1795z00_6187 = BgL_res3421z00_6216; } 
BgL_test4147z00_11003 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6186, BgL_arg1795z00_6187); } }  else 
{ /* Llib/ssl.scm 849 */
BgL_test4147z00_11003 = ((bool_t)0)
; } } 
if(BgL_test4147z00_11003)
{ /* Llib/ssl.scm 849 */
BgL_auxz00_11002 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4852)
; }  else 
{ 
 obj_t BgL_auxz00_11024;
BgL_auxz00_11024 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)34763)), BGl_string3359z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_scz00_4852); 
FAILURE(BgL_auxz00_11024,BFALSE,BFALSE);} } 
BgL_tmpz00_11001 = 
BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_auxz00_11002, BgL_auxz00_11028, BgL_auxz00_11035, BgL_auxz00_11044); } 
return 
BBOOL(BgL_tmpz00_11001);} } 

}



/* secure-context-set-session-id-context! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_64, obj_t BgL_sicz00_65, long BgL_offsetz00_66, long BgL_lenz00_67)
{
{ /* Llib/ssl.scm 859 */
{ /* Llib/ssl.scm 859 */
 obj_t BgL_method1266z00_1717;
{ /* Llib/ssl.scm 859 */
 obj_t BgL_res2403z00_2581;
{ /* Llib/ssl.scm 859 */
 long BgL_objzd2classzd2numz00_2552;
BgL_objzd2classzd2numz00_2552 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_64)); 
{ /* Llib/ssl.scm 859 */
 obj_t BgL_arg1801z00_2553;
BgL_arg1801z00_2553 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 859 */
 int BgL_offsetz00_2556;
BgL_offsetz00_2556 = 
(int)(BgL_objzd2classzd2numz00_2552); 
{ /* Llib/ssl.scm 859 */
 long BgL_offsetz00_2557;
BgL_offsetz00_2557 = 
(
(long)(BgL_offsetz00_2556)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 859 */
 long BgL_modz00_2558;
BgL_modz00_2558 = 
(BgL_offsetz00_2557 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 859 */
 long BgL_restz00_2560;
BgL_restz00_2560 = 
(BgL_offsetz00_2557 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 859 */

{ /* Llib/ssl.scm 859 */
 obj_t BgL_bucketz00_2562;
BgL_bucketz00_2562 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2553),BgL_modz00_2558); 
BgL_res2403z00_2581 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2562),BgL_restz00_2560); } } } } } } } } 
BgL_method1266z00_1717 = BgL_res2403z00_2581; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1266z00_1717)(BgL_method1266z00_1717, 
((obj_t)BgL_scz00_64), BgL_sicz00_65, 
BINT(BgL_offsetz00_66), 
BINT(BgL_lenz00_67), BEOA));} } 

}



/* &secure-context-set-session-id-context! */
obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t BgL_envz00_4856, obj_t BgL_scz00_4857, obj_t BgL_sicz00_4858, obj_t BgL_offsetz00_4859, obj_t BgL_lenz00_4860)
{
{ /* Llib/ssl.scm 859 */
{ /* Llib/ssl.scm 859 */
 bool_t BgL_tmpz00_11091;
{ /* Llib/ssl.scm 859 */
 long BgL_auxz00_11134; long BgL_auxz00_11125; obj_t BgL_auxz00_11118; BgL_securezd2contextzd2_bglt BgL_auxz00_11092;
{ /* Llib/ssl.scm 859 */
 obj_t BgL_tmpz00_11135;
if(
INTEGERP(BgL_lenz00_4860))
{ /* Llib/ssl.scm 859 */
BgL_tmpz00_11135 = BgL_lenz00_4860
; }  else 
{ 
 obj_t BgL_auxz00_11138;
BgL_auxz00_11138 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3360z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4860); 
FAILURE(BgL_auxz00_11138,BFALSE,BFALSE);} 
BgL_auxz00_11134 = 
(long)CINT(BgL_tmpz00_11135); } 
{ /* Llib/ssl.scm 859 */
 obj_t BgL_tmpz00_11126;
if(
INTEGERP(BgL_offsetz00_4859))
{ /* Llib/ssl.scm 859 */
BgL_tmpz00_11126 = BgL_offsetz00_4859
; }  else 
{ 
 obj_t BgL_auxz00_11129;
BgL_auxz00_11129 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3360z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4859); 
FAILURE(BgL_auxz00_11129,BFALSE,BFALSE);} 
BgL_auxz00_11125 = 
(long)CINT(BgL_tmpz00_11126); } 
if(
STRINGP(BgL_sicz00_4858))
{ /* Llib/ssl.scm 859 */
BgL_auxz00_11118 = BgL_sicz00_4858
; }  else 
{ 
 obj_t BgL_auxz00_11121;
BgL_auxz00_11121 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3360z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_sicz00_4858); 
FAILURE(BgL_auxz00_11121,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 859 */
 bool_t BgL_test4154z00_11093;
{ /* Llib/ssl.scm 859 */
 obj_t BgL_classz00_6217;
BgL_classz00_6217 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4857))
{ /* Llib/ssl.scm 859 */
 BgL_objectz00_bglt BgL_arg1799z00_6219; long BgL_arg1800z00_6220;
BgL_arg1799z00_6219 = 
(BgL_objectz00_bglt)(BgL_scz00_4857); 
BgL_arg1800z00_6220 = 
BGL_CLASS_DEPTH(BgL_classz00_6217); 
{ /* Llib/ssl.scm 859 */
 bool_t BgL_arg1794z00_6224; bool_t BgL_arg1795z00_6225;
{ /* Llib/ssl.scm 859 */
 long BgL_idxz00_6229;
BgL_idxz00_6229 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6219); 
{ /* Llib/ssl.scm 859 */
 obj_t BgL_arg1791z00_6230;
{ /* Llib/ssl.scm 859 */
 long BgL_arg1792z00_6231;
BgL_arg1792z00_6231 = 
(BgL_idxz00_6229+BgL_arg1800z00_6220); 
BgL_arg1791z00_6230 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6231); } 
BgL_arg1794z00_6224 = 
(BgL_arg1791z00_6230==BgL_classz00_6217); } } 
{ /* Llib/ssl.scm 859 */
 bool_t BgL_res3422z00_6254;
{ /* Llib/ssl.scm 859 */
 obj_t BgL_oclassz00_6239;
{ /* Llib/ssl.scm 859 */
 long BgL_arg1804z00_6245;
{ /* Llib/ssl.scm 859 */
 long BgL_arg1805z00_6246;
BgL_arg1805z00_6246 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6219); 
BgL_arg1804z00_6245 = 
(BgL_arg1805z00_6246-OBJECT_TYPE); } 
BgL_oclassz00_6239 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6245); } 
{ /* Llib/ssl.scm 859 */
 bool_t BgL__ortest_1111z00_6240;
BgL__ortest_1111z00_6240 = 
(BgL_classz00_6217==BgL_oclassz00_6239); 
if(BgL__ortest_1111z00_6240)
{ /* Llib/ssl.scm 859 */
BgL_res3422z00_6254 = BgL__ortest_1111z00_6240; }  else 
{ /* Llib/ssl.scm 859 */
 long BgL_odepthz00_6241;
BgL_odepthz00_6241 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6239); 
if(
(BgL_arg1800z00_6220<BgL_odepthz00_6241))
{ /* Llib/ssl.scm 859 */
 obj_t BgL_arg1793z00_6243;
BgL_arg1793z00_6243 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6239, BgL_arg1800z00_6220); 
BgL_res3422z00_6254 = 
(BgL_arg1793z00_6243==BgL_classz00_6217); }  else 
{ /* Llib/ssl.scm 859 */
BgL_res3422z00_6254 = ((bool_t)0); } } } } 
BgL_arg1795z00_6225 = BgL_res3422z00_6254; } 
BgL_test4154z00_11093 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6224, BgL_arg1795z00_6225); } }  else 
{ /* Llib/ssl.scm 859 */
BgL_test4154z00_11093 = ((bool_t)0)
; } } 
if(BgL_test4154z00_11093)
{ /* Llib/ssl.scm 859 */
BgL_auxz00_11092 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4857)
; }  else 
{ 
 obj_t BgL_auxz00_11114;
BgL_auxz00_11114 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)35180)), BGl_string3360z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_scz00_4857); 
FAILURE(BgL_auxz00_11114,BFALSE,BFALSE);} } 
BgL_tmpz00_11091 = 
BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_auxz00_11092, BgL_auxz00_11118, BgL_auxz00_11125, BgL_auxz00_11134); } 
return 
BBOOL(BgL_tmpz00_11091);} } 

}



/* secure-context-load-pkcs12 */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_68, obj_t BgL_pfxz00_69, obj_t BgL_passz00_70)
{
{ /* Llib/ssl.scm 869 */
{ /* Llib/ssl.scm 869 */
 obj_t BgL_method1268z00_1718;
{ /* Llib/ssl.scm 869 */
 obj_t BgL_res2408z00_2612;
{ /* Llib/ssl.scm 869 */
 long BgL_objzd2classzd2numz00_2583;
BgL_objzd2classzd2numz00_2583 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_68)); 
{ /* Llib/ssl.scm 869 */
 obj_t BgL_arg1801z00_2584;
BgL_arg1801z00_2584 = 
PROCEDURE_REF(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 869 */
 int BgL_offsetz00_2587;
BgL_offsetz00_2587 = 
(int)(BgL_objzd2classzd2numz00_2583); 
{ /* Llib/ssl.scm 869 */
 long BgL_offsetz00_2588;
BgL_offsetz00_2588 = 
(
(long)(BgL_offsetz00_2587)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 869 */
 long BgL_modz00_2589;
BgL_modz00_2589 = 
(BgL_offsetz00_2588 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 869 */
 long BgL_restz00_2591;
BgL_restz00_2591 = 
(BgL_offsetz00_2588 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 869 */

{ /* Llib/ssl.scm 869 */
 obj_t BgL_bucketz00_2593;
BgL_bucketz00_2593 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2584),BgL_modz00_2589); 
BgL_res2408z00_2612 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2593),BgL_restz00_2591); } } } } } } } } 
BgL_method1268z00_1718 = BgL_res2408z00_2612; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1268z00_1718)(BgL_method1268z00_1718, 
((obj_t)BgL_scz00_68), BgL_pfxz00_69, BgL_passz00_70, BEOA));} } 

}



/* &secure-context-load-pkcs12 */
obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t BgL_envz00_4861, obj_t BgL_scz00_4862, obj_t BgL_pfxz00_4863, obj_t BgL_passz00_4864)
{
{ /* Llib/ssl.scm 869 */
{ /* Llib/ssl.scm 869 */
 bool_t BgL_tmpz00_11178;
{ /* Llib/ssl.scm 869 */
 obj_t BgL_auxz00_11205; BgL_securezd2contextzd2_bglt BgL_auxz00_11179;
if(
STRINGP(BgL_pfxz00_4863))
{ /* Llib/ssl.scm 869 */
BgL_auxz00_11205 = BgL_pfxz00_4863
; }  else 
{ 
 obj_t BgL_auxz00_11208;
BgL_auxz00_11208 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)35623)), BGl_string3361z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_pfxz00_4863); 
FAILURE(BgL_auxz00_11208,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 869 */
 bool_t BgL_test4161z00_11180;
{ /* Llib/ssl.scm 869 */
 obj_t BgL_classz00_6255;
BgL_classz00_6255 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4862))
{ /* Llib/ssl.scm 869 */
 BgL_objectz00_bglt BgL_arg1799z00_6257; long BgL_arg1800z00_6258;
BgL_arg1799z00_6257 = 
(BgL_objectz00_bglt)(BgL_scz00_4862); 
BgL_arg1800z00_6258 = 
BGL_CLASS_DEPTH(BgL_classz00_6255); 
{ /* Llib/ssl.scm 869 */
 bool_t BgL_arg1794z00_6262; bool_t BgL_arg1795z00_6263;
{ /* Llib/ssl.scm 869 */
 long BgL_idxz00_6267;
BgL_idxz00_6267 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6257); 
{ /* Llib/ssl.scm 869 */
 obj_t BgL_arg1791z00_6268;
{ /* Llib/ssl.scm 869 */
 long BgL_arg1792z00_6269;
BgL_arg1792z00_6269 = 
(BgL_idxz00_6267+BgL_arg1800z00_6258); 
BgL_arg1791z00_6268 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6269); } 
BgL_arg1794z00_6262 = 
(BgL_arg1791z00_6268==BgL_classz00_6255); } } 
{ /* Llib/ssl.scm 869 */
 bool_t BgL_res3423z00_6292;
{ /* Llib/ssl.scm 869 */
 obj_t BgL_oclassz00_6277;
{ /* Llib/ssl.scm 869 */
 long BgL_arg1804z00_6283;
{ /* Llib/ssl.scm 869 */
 long BgL_arg1805z00_6284;
BgL_arg1805z00_6284 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6257); 
BgL_arg1804z00_6283 = 
(BgL_arg1805z00_6284-OBJECT_TYPE); } 
BgL_oclassz00_6277 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6283); } 
{ /* Llib/ssl.scm 869 */
 bool_t BgL__ortest_1111z00_6278;
BgL__ortest_1111z00_6278 = 
(BgL_classz00_6255==BgL_oclassz00_6277); 
if(BgL__ortest_1111z00_6278)
{ /* Llib/ssl.scm 869 */
BgL_res3423z00_6292 = BgL__ortest_1111z00_6278; }  else 
{ /* Llib/ssl.scm 869 */
 long BgL_odepthz00_6279;
BgL_odepthz00_6279 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6277); 
if(
(BgL_arg1800z00_6258<BgL_odepthz00_6279))
{ /* Llib/ssl.scm 869 */
 obj_t BgL_arg1793z00_6281;
BgL_arg1793z00_6281 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6277, BgL_arg1800z00_6258); 
BgL_res3423z00_6292 = 
(BgL_arg1793z00_6281==BgL_classz00_6255); }  else 
{ /* Llib/ssl.scm 869 */
BgL_res3423z00_6292 = ((bool_t)0); } } } } 
BgL_arg1795z00_6263 = BgL_res3423z00_6292; } 
BgL_test4161z00_11180 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6262, BgL_arg1795z00_6263); } }  else 
{ /* Llib/ssl.scm 869 */
BgL_test4161z00_11180 = ((bool_t)0)
; } } 
if(BgL_test4161z00_11180)
{ /* Llib/ssl.scm 869 */
BgL_auxz00_11179 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4862)
; }  else 
{ 
 obj_t BgL_auxz00_11201;
BgL_auxz00_11201 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)35623)), BGl_string3361z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_scz00_4862); 
FAILURE(BgL_auxz00_11201,BFALSE,BFALSE);} } 
BgL_tmpz00_11178 = 
BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_auxz00_11179, BgL_auxz00_11205, BgL_passz00_4864); } 
return 
BBOOL(BgL_tmpz00_11178);} } 

}



/* secure-context-set-ciphers! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_71, obj_t BgL_ciphersz00_72)
{
{ /* Llib/ssl.scm 879 */
{ /* Llib/ssl.scm 879 */
 obj_t BgL_method1270z00_1719;
{ /* Llib/ssl.scm 879 */
 obj_t BgL_res2413z00_2643;
{ /* Llib/ssl.scm 879 */
 long BgL_objzd2classzd2numz00_2614;
BgL_objzd2classzd2numz00_2614 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_71)); 
{ /* Llib/ssl.scm 879 */
 obj_t BgL_arg1801z00_2615;
BgL_arg1801z00_2615 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 879 */
 int BgL_offsetz00_2618;
BgL_offsetz00_2618 = 
(int)(BgL_objzd2classzd2numz00_2614); 
{ /* Llib/ssl.scm 879 */
 long BgL_offsetz00_2619;
BgL_offsetz00_2619 = 
(
(long)(BgL_offsetz00_2618)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 879 */
 long BgL_modz00_2620;
BgL_modz00_2620 = 
(BgL_offsetz00_2619 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 879 */
 long BgL_restz00_2622;
BgL_restz00_2622 = 
(BgL_offsetz00_2619 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 879 */

{ /* Llib/ssl.scm 879 */
 obj_t BgL_bucketz00_2624;
BgL_bucketz00_2624 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2615),BgL_modz00_2620); 
BgL_res2413z00_2643 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2624),BgL_restz00_2622); } } } } } } } } 
BgL_method1270z00_1719 = BgL_res2413z00_2643; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1270z00_1719)(BgL_method1270z00_1719, 
((obj_t)BgL_scz00_71), BgL_ciphersz00_72, BEOA));} } 

}



/* &secure-context-set-ciphers! */
obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t BgL_envz00_4865, obj_t BgL_scz00_4866, obj_t BgL_ciphersz00_4867)
{
{ /* Llib/ssl.scm 879 */
{ /* Llib/ssl.scm 879 */
 bool_t BgL_tmpz00_11246;
{ /* Llib/ssl.scm 879 */
 obj_t BgL_auxz00_11273; BgL_securezd2contextzd2_bglt BgL_auxz00_11247;
if(
STRINGP(BgL_ciphersz00_4867))
{ /* Llib/ssl.scm 879 */
BgL_auxz00_11273 = BgL_ciphersz00_4867
; }  else 
{ 
 obj_t BgL_auxz00_11276;
BgL_auxz00_11276 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)36030)), BGl_string3362z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_ciphersz00_4867); 
FAILURE(BgL_auxz00_11276,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 879 */
 bool_t BgL_test4166z00_11248;
{ /* Llib/ssl.scm 879 */
 obj_t BgL_classz00_6293;
BgL_classz00_6293 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4866))
{ /* Llib/ssl.scm 879 */
 BgL_objectz00_bglt BgL_arg1799z00_6295; long BgL_arg1800z00_6296;
BgL_arg1799z00_6295 = 
(BgL_objectz00_bglt)(BgL_scz00_4866); 
BgL_arg1800z00_6296 = 
BGL_CLASS_DEPTH(BgL_classz00_6293); 
{ /* Llib/ssl.scm 879 */
 bool_t BgL_arg1794z00_6300; bool_t BgL_arg1795z00_6301;
{ /* Llib/ssl.scm 879 */
 long BgL_idxz00_6305;
BgL_idxz00_6305 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6295); 
{ /* Llib/ssl.scm 879 */
 obj_t BgL_arg1791z00_6306;
{ /* Llib/ssl.scm 879 */
 long BgL_arg1792z00_6307;
BgL_arg1792z00_6307 = 
(BgL_idxz00_6305+BgL_arg1800z00_6296); 
BgL_arg1791z00_6306 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6307); } 
BgL_arg1794z00_6300 = 
(BgL_arg1791z00_6306==BgL_classz00_6293); } } 
{ /* Llib/ssl.scm 879 */
 bool_t BgL_res3424z00_6330;
{ /* Llib/ssl.scm 879 */
 obj_t BgL_oclassz00_6315;
{ /* Llib/ssl.scm 879 */
 long BgL_arg1804z00_6321;
{ /* Llib/ssl.scm 879 */
 long BgL_arg1805z00_6322;
BgL_arg1805z00_6322 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6295); 
BgL_arg1804z00_6321 = 
(BgL_arg1805z00_6322-OBJECT_TYPE); } 
BgL_oclassz00_6315 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6321); } 
{ /* Llib/ssl.scm 879 */
 bool_t BgL__ortest_1111z00_6316;
BgL__ortest_1111z00_6316 = 
(BgL_classz00_6293==BgL_oclassz00_6315); 
if(BgL__ortest_1111z00_6316)
{ /* Llib/ssl.scm 879 */
BgL_res3424z00_6330 = BgL__ortest_1111z00_6316; }  else 
{ /* Llib/ssl.scm 879 */
 long BgL_odepthz00_6317;
BgL_odepthz00_6317 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6315); 
if(
(BgL_arg1800z00_6296<BgL_odepthz00_6317))
{ /* Llib/ssl.scm 879 */
 obj_t BgL_arg1793z00_6319;
BgL_arg1793z00_6319 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6315, BgL_arg1800z00_6296); 
BgL_res3424z00_6330 = 
(BgL_arg1793z00_6319==BgL_classz00_6293); }  else 
{ /* Llib/ssl.scm 879 */
BgL_res3424z00_6330 = ((bool_t)0); } } } } 
BgL_arg1795z00_6301 = BgL_res3424z00_6330; } 
BgL_test4166z00_11248 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6300, BgL_arg1795z00_6301); } }  else 
{ /* Llib/ssl.scm 879 */
BgL_test4166z00_11248 = ((bool_t)0)
; } } 
if(BgL_test4166z00_11248)
{ /* Llib/ssl.scm 879 */
BgL_auxz00_11247 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4866)
; }  else 
{ 
 obj_t BgL_auxz00_11269;
BgL_auxz00_11269 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)36030)), BGl_string3362z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_scz00_4866); 
FAILURE(BgL_auxz00_11269,BFALSE,BFALSE);} } 
BgL_tmpz00_11246 = 
BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_auxz00_11247, BgL_auxz00_11273); } 
return 
BBOOL(BgL_tmpz00_11246);} } 

}



/* secure-context-set-options! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_73, int BgL_optionsz00_74)
{
{ /* Llib/ssl.scm 891 */
{ /* Llib/ssl.scm 891 */
 obj_t BgL_method1272z00_1720;
{ /* Llib/ssl.scm 891 */
 obj_t BgL_res2418z00_2674;
{ /* Llib/ssl.scm 891 */
 long BgL_objzd2classzd2numz00_2645;
BgL_objzd2classzd2numz00_2645 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_73)); 
{ /* Llib/ssl.scm 891 */
 obj_t BgL_arg1801z00_2646;
BgL_arg1801z00_2646 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 891 */
 int BgL_offsetz00_2649;
BgL_offsetz00_2649 = 
(int)(BgL_objzd2classzd2numz00_2645); 
{ /* Llib/ssl.scm 891 */
 long BgL_offsetz00_2650;
BgL_offsetz00_2650 = 
(
(long)(BgL_offsetz00_2649)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 891 */
 long BgL_modz00_2651;
BgL_modz00_2651 = 
(BgL_offsetz00_2650 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 891 */
 long BgL_restz00_2653;
BgL_restz00_2653 = 
(BgL_offsetz00_2650 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 891 */

{ /* Llib/ssl.scm 891 */
 obj_t BgL_bucketz00_2655;
BgL_bucketz00_2655 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2646),BgL_modz00_2651); 
BgL_res2418z00_2674 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2655),BgL_restz00_2653); } } } } } } } } 
BgL_method1272z00_1720 = BgL_res2418z00_2674; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1272z00_1720)(BgL_method1272z00_1720, 
((obj_t)BgL_scz00_73), 
BINT(BgL_optionsz00_74), BEOA));} } 

}



/* &secure-context-set-options! */
obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t BgL_envz00_4868, obj_t BgL_scz00_4869, obj_t BgL_optionsz00_4870)
{
{ /* Llib/ssl.scm 891 */
{ /* Llib/ssl.scm 891 */
 bool_t BgL_tmpz00_11315;
{ /* Llib/ssl.scm 891 */
 int BgL_auxz00_11342; BgL_securezd2contextzd2_bglt BgL_auxz00_11316;
{ /* Llib/ssl.scm 891 */
 obj_t BgL_tmpz00_11343;
if(
INTEGERP(BgL_optionsz00_4870))
{ /* Llib/ssl.scm 891 */
BgL_tmpz00_11343 = BgL_optionsz00_4870
; }  else 
{ 
 obj_t BgL_auxz00_11346;
BgL_auxz00_11346 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)36490)), BGl_string3363z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_optionsz00_4870); 
FAILURE(BgL_auxz00_11346,BFALSE,BFALSE);} 
BgL_auxz00_11342 = 
CINT(BgL_tmpz00_11343); } 
{ /* Llib/ssl.scm 891 */
 bool_t BgL_test4171z00_11317;
{ /* Llib/ssl.scm 891 */
 obj_t BgL_classz00_6331;
BgL_classz00_6331 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4869))
{ /* Llib/ssl.scm 891 */
 BgL_objectz00_bglt BgL_arg1799z00_6333; long BgL_arg1800z00_6334;
BgL_arg1799z00_6333 = 
(BgL_objectz00_bglt)(BgL_scz00_4869); 
BgL_arg1800z00_6334 = 
BGL_CLASS_DEPTH(BgL_classz00_6331); 
{ /* Llib/ssl.scm 891 */
 bool_t BgL_arg1794z00_6338; bool_t BgL_arg1795z00_6339;
{ /* Llib/ssl.scm 891 */
 long BgL_idxz00_6343;
BgL_idxz00_6343 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6333); 
{ /* Llib/ssl.scm 891 */
 obj_t BgL_arg1791z00_6344;
{ /* Llib/ssl.scm 891 */
 long BgL_arg1792z00_6345;
BgL_arg1792z00_6345 = 
(BgL_idxz00_6343+BgL_arg1800z00_6334); 
BgL_arg1791z00_6344 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6345); } 
BgL_arg1794z00_6338 = 
(BgL_arg1791z00_6344==BgL_classz00_6331); } } 
{ /* Llib/ssl.scm 891 */
 bool_t BgL_res3425z00_6368;
{ /* Llib/ssl.scm 891 */
 obj_t BgL_oclassz00_6353;
{ /* Llib/ssl.scm 891 */
 long BgL_arg1804z00_6359;
{ /* Llib/ssl.scm 891 */
 long BgL_arg1805z00_6360;
BgL_arg1805z00_6360 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6333); 
BgL_arg1804z00_6359 = 
(BgL_arg1805z00_6360-OBJECT_TYPE); } 
BgL_oclassz00_6353 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6359); } 
{ /* Llib/ssl.scm 891 */
 bool_t BgL__ortest_1111z00_6354;
BgL__ortest_1111z00_6354 = 
(BgL_classz00_6331==BgL_oclassz00_6353); 
if(BgL__ortest_1111z00_6354)
{ /* Llib/ssl.scm 891 */
BgL_res3425z00_6368 = BgL__ortest_1111z00_6354; }  else 
{ /* Llib/ssl.scm 891 */
 long BgL_odepthz00_6355;
BgL_odepthz00_6355 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6353); 
if(
(BgL_arg1800z00_6334<BgL_odepthz00_6355))
{ /* Llib/ssl.scm 891 */
 obj_t BgL_arg1793z00_6357;
BgL_arg1793z00_6357 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6353, BgL_arg1800z00_6334); 
BgL_res3425z00_6368 = 
(BgL_arg1793z00_6357==BgL_classz00_6331); }  else 
{ /* Llib/ssl.scm 891 */
BgL_res3425z00_6368 = ((bool_t)0); } } } } 
BgL_arg1795z00_6339 = BgL_res3425z00_6368; } 
BgL_test4171z00_11317 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6338, BgL_arg1795z00_6339); } }  else 
{ /* Llib/ssl.scm 891 */
BgL_test4171z00_11317 = ((bool_t)0)
; } } 
if(BgL_test4171z00_11317)
{ /* Llib/ssl.scm 891 */
BgL_auxz00_11316 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4869)
; }  else 
{ 
 obj_t BgL_auxz00_11338;
BgL_auxz00_11338 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)36490)), BGl_string3363z00zz__ssl_sslz00, BGl_string3053z00zz__ssl_sslz00, BgL_scz00_4869); 
FAILURE(BgL_auxz00_11338,BFALSE,BFALSE);} } 
BgL_tmpz00_11315 = 
BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_auxz00_11316, BgL_auxz00_11342); } 
return 
BBOOL(BgL_tmpz00_11315);} } 

}



/* ssl-connection-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_75)
{
{ /* Llib/ssl.scm 903 */
{ /* Llib/ssl.scm 903 */
 obj_t BgL_method1274z00_1721;
{ /* Llib/ssl.scm 903 */
 obj_t BgL_res2423z00_2705;
{ /* Llib/ssl.scm 903 */
 long BgL_objzd2classzd2numz00_2676;
BgL_objzd2classzd2numz00_2676 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_75)); 
{ /* Llib/ssl.scm 903 */
 obj_t BgL_arg1801z00_2677;
BgL_arg1801z00_2677 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 903 */
 int BgL_offsetz00_2680;
BgL_offsetz00_2680 = 
(int)(BgL_objzd2classzd2numz00_2676); 
{ /* Llib/ssl.scm 903 */
 long BgL_offsetz00_2681;
BgL_offsetz00_2681 = 
(
(long)(BgL_offsetz00_2680)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 903 */
 long BgL_modz00_2682;
BgL_modz00_2682 = 
(BgL_offsetz00_2681 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 903 */
 long BgL_restz00_2684;
BgL_restz00_2684 = 
(BgL_offsetz00_2681 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 903 */

{ /* Llib/ssl.scm 903 */
 obj_t BgL_bucketz00_2686;
BgL_bucketz00_2686 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2677),BgL_modz00_2682); 
BgL_res2423z00_2705 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2686),BgL_restz00_2684); } } } } } } } } 
BgL_method1274z00_1721 = BgL_res2423z00_2705; } 
return 
PROCEDURE_ENTRY(BgL_method1274z00_1721)(BgL_method1274z00_1721, 
((obj_t)BgL_sslz00_75), BEOA);} } 

}



/* &ssl-connection-init */
obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4589, obj_t BgL_sslz00_4590)
{
{ /* Llib/ssl.scm 903 */
{ /* Llib/ssl.scm 903 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11383;
{ /* Llib/ssl.scm 903 */
 bool_t BgL_test4176z00_11384;
{ /* Llib/ssl.scm 903 */
 obj_t BgL_classz00_6369;
BgL_classz00_6369 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4590))
{ /* Llib/ssl.scm 903 */
 BgL_objectz00_bglt BgL_arg1799z00_6371; long BgL_arg1800z00_6372;
BgL_arg1799z00_6371 = 
(BgL_objectz00_bglt)(BgL_sslz00_4590); 
BgL_arg1800z00_6372 = 
BGL_CLASS_DEPTH(BgL_classz00_6369); 
{ /* Llib/ssl.scm 903 */
 bool_t BgL_arg1794z00_6376; bool_t BgL_arg1795z00_6377;
{ /* Llib/ssl.scm 903 */
 long BgL_idxz00_6381;
BgL_idxz00_6381 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6371); 
{ /* Llib/ssl.scm 903 */
 obj_t BgL_arg1791z00_6382;
{ /* Llib/ssl.scm 903 */
 long BgL_arg1792z00_6383;
BgL_arg1792z00_6383 = 
(BgL_idxz00_6381+BgL_arg1800z00_6372); 
BgL_arg1791z00_6382 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6383); } 
BgL_arg1794z00_6376 = 
(BgL_arg1791z00_6382==BgL_classz00_6369); } } 
{ /* Llib/ssl.scm 903 */
 bool_t BgL_res3426z00_6406;
{ /* Llib/ssl.scm 903 */
 obj_t BgL_oclassz00_6391;
{ /* Llib/ssl.scm 903 */
 long BgL_arg1804z00_6397;
{ /* Llib/ssl.scm 903 */
 long BgL_arg1805z00_6398;
BgL_arg1805z00_6398 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6371); 
BgL_arg1804z00_6397 = 
(BgL_arg1805z00_6398-OBJECT_TYPE); } 
BgL_oclassz00_6391 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6397); } 
{ /* Llib/ssl.scm 903 */
 bool_t BgL__ortest_1111z00_6392;
BgL__ortest_1111z00_6392 = 
(BgL_classz00_6369==BgL_oclassz00_6391); 
if(BgL__ortest_1111z00_6392)
{ /* Llib/ssl.scm 903 */
BgL_res3426z00_6406 = BgL__ortest_1111z00_6392; }  else 
{ /* Llib/ssl.scm 903 */
 long BgL_odepthz00_6393;
BgL_odepthz00_6393 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6391); 
if(
(BgL_arg1800z00_6372<BgL_odepthz00_6393))
{ /* Llib/ssl.scm 903 */
 obj_t BgL_arg1793z00_6395;
BgL_arg1793z00_6395 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6391, BgL_arg1800z00_6372); 
BgL_res3426z00_6406 = 
(BgL_arg1793z00_6395==BgL_classz00_6369); }  else 
{ /* Llib/ssl.scm 903 */
BgL_res3426z00_6406 = ((bool_t)0); } } } } 
BgL_arg1795z00_6377 = BgL_res3426z00_6406; } 
BgL_test4176z00_11384 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6376, BgL_arg1795z00_6377); } }  else 
{ /* Llib/ssl.scm 903 */
BgL_test4176z00_11384 = ((bool_t)0)
; } } 
if(BgL_test4176z00_11384)
{ /* Llib/ssl.scm 903 */
BgL_auxz00_11383 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4590)
; }  else 
{ 
 obj_t BgL_auxz00_11405;
BgL_auxz00_11405 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)36946)), BGl_string3364z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4590); 
FAILURE(BgL_auxz00_11405,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_auxz00_11383);} } 

}



/* ssl-connection-start */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_76)
{
{ /* Llib/ssl.scm 913 */
{ /* Llib/ssl.scm 913 */
 obj_t BgL_method1276z00_1722;
{ /* Llib/ssl.scm 913 */
 obj_t BgL_res2428z00_2736;
{ /* Llib/ssl.scm 913 */
 long BgL_objzd2classzd2numz00_2707;
BgL_objzd2classzd2numz00_2707 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_76)); 
{ /* Llib/ssl.scm 913 */
 obj_t BgL_arg1801z00_2708;
BgL_arg1801z00_2708 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 913 */
 int BgL_offsetz00_2711;
BgL_offsetz00_2711 = 
(int)(BgL_objzd2classzd2numz00_2707); 
{ /* Llib/ssl.scm 913 */
 long BgL_offsetz00_2712;
BgL_offsetz00_2712 = 
(
(long)(BgL_offsetz00_2711)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 913 */
 long BgL_modz00_2713;
BgL_modz00_2713 = 
(BgL_offsetz00_2712 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 913 */
 long BgL_restz00_2715;
BgL_restz00_2715 = 
(BgL_offsetz00_2712 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 913 */

{ /* Llib/ssl.scm 913 */
 obj_t BgL_bucketz00_2717;
BgL_bucketz00_2717 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2708),BgL_modz00_2713); 
BgL_res2428z00_2736 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2717),BgL_restz00_2715); } } } } } } } } 
BgL_method1276z00_1722 = BgL_res2428z00_2736; } 
return 
CINT(
PROCEDURE_ENTRY(BgL_method1276z00_1722)(BgL_method1276z00_1722, 
((obj_t)BgL_sslz00_76), BEOA));} } 

}



/* &ssl-connection-start */
obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t BgL_envz00_4871, obj_t BgL_sslz00_4872)
{
{ /* Llib/ssl.scm 913 */
{ /* Llib/ssl.scm 913 */
 int BgL_tmpz00_11441;
{ /* Llib/ssl.scm 913 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11442;
{ /* Llib/ssl.scm 913 */
 bool_t BgL_test4180z00_11443;
{ /* Llib/ssl.scm 913 */
 obj_t BgL_classz00_6407;
BgL_classz00_6407 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4872))
{ /* Llib/ssl.scm 913 */
 BgL_objectz00_bglt BgL_arg1799z00_6409; long BgL_arg1800z00_6410;
BgL_arg1799z00_6409 = 
(BgL_objectz00_bglt)(BgL_sslz00_4872); 
BgL_arg1800z00_6410 = 
BGL_CLASS_DEPTH(BgL_classz00_6407); 
{ /* Llib/ssl.scm 913 */
 bool_t BgL_arg1794z00_6414; bool_t BgL_arg1795z00_6415;
{ /* Llib/ssl.scm 913 */
 long BgL_idxz00_6419;
BgL_idxz00_6419 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6409); 
{ /* Llib/ssl.scm 913 */
 obj_t BgL_arg1791z00_6420;
{ /* Llib/ssl.scm 913 */
 long BgL_arg1792z00_6421;
BgL_arg1792z00_6421 = 
(BgL_idxz00_6419+BgL_arg1800z00_6410); 
BgL_arg1791z00_6420 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6421); } 
BgL_arg1794z00_6414 = 
(BgL_arg1791z00_6420==BgL_classz00_6407); } } 
{ /* Llib/ssl.scm 913 */
 bool_t BgL_res3427z00_6444;
{ /* Llib/ssl.scm 913 */
 obj_t BgL_oclassz00_6429;
{ /* Llib/ssl.scm 913 */
 long BgL_arg1804z00_6435;
{ /* Llib/ssl.scm 913 */
 long BgL_arg1805z00_6436;
BgL_arg1805z00_6436 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6409); 
BgL_arg1804z00_6435 = 
(BgL_arg1805z00_6436-OBJECT_TYPE); } 
BgL_oclassz00_6429 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6435); } 
{ /* Llib/ssl.scm 913 */
 bool_t BgL__ortest_1111z00_6430;
BgL__ortest_1111z00_6430 = 
(BgL_classz00_6407==BgL_oclassz00_6429); 
if(BgL__ortest_1111z00_6430)
{ /* Llib/ssl.scm 913 */
BgL_res3427z00_6444 = BgL__ortest_1111z00_6430; }  else 
{ /* Llib/ssl.scm 913 */
 long BgL_odepthz00_6431;
BgL_odepthz00_6431 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6429); 
if(
(BgL_arg1800z00_6410<BgL_odepthz00_6431))
{ /* Llib/ssl.scm 913 */
 obj_t BgL_arg1793z00_6433;
BgL_arg1793z00_6433 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6429, BgL_arg1800z00_6410); 
BgL_res3427z00_6444 = 
(BgL_arg1793z00_6433==BgL_classz00_6407); }  else 
{ /* Llib/ssl.scm 913 */
BgL_res3427z00_6444 = ((bool_t)0); } } } } 
BgL_arg1795z00_6415 = BgL_res3427z00_6444; } 
BgL_test4180z00_11443 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6414, BgL_arg1795z00_6415); } }  else 
{ /* Llib/ssl.scm 913 */
BgL_test4180z00_11443 = ((bool_t)0)
; } } 
if(BgL_test4180z00_11443)
{ /* Llib/ssl.scm 913 */
BgL_auxz00_11442 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4872)
; }  else 
{ 
 obj_t BgL_auxz00_11464;
BgL_auxz00_11464 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)37325)), BGl_string3366z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4872); 
FAILURE(BgL_auxz00_11464,BFALSE,BFALSE);} } 
BgL_tmpz00_11441 = 
BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_auxz00_11442); } 
return 
BINT(BgL_tmpz00_11441);} } 

}



/* ssl-connection-close */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_77)
{
{ /* Llib/ssl.scm 923 */
{ /* Llib/ssl.scm 923 */
 obj_t BgL_method1278z00_1723;
{ /* Llib/ssl.scm 923 */
 obj_t BgL_res2433z00_2767;
{ /* Llib/ssl.scm 923 */
 long BgL_objzd2classzd2numz00_2738;
BgL_objzd2classzd2numz00_2738 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_77)); 
{ /* Llib/ssl.scm 923 */
 obj_t BgL_arg1801z00_2739;
BgL_arg1801z00_2739 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 923 */
 int BgL_offsetz00_2742;
BgL_offsetz00_2742 = 
(int)(BgL_objzd2classzd2numz00_2738); 
{ /* Llib/ssl.scm 923 */
 long BgL_offsetz00_2743;
BgL_offsetz00_2743 = 
(
(long)(BgL_offsetz00_2742)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 923 */
 long BgL_modz00_2744;
BgL_modz00_2744 = 
(BgL_offsetz00_2743 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 923 */
 long BgL_restz00_2746;
BgL_restz00_2746 = 
(BgL_offsetz00_2743 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 923 */

{ /* Llib/ssl.scm 923 */
 obj_t BgL_bucketz00_2748;
BgL_bucketz00_2748 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2739),BgL_modz00_2744); 
BgL_res2433z00_2767 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2748),BgL_restz00_2746); } } } } } } } } 
BgL_method1278z00_1723 = BgL_res2433z00_2767; } 
return 
CINT(
PROCEDURE_ENTRY(BgL_method1278z00_1723)(BgL_method1278z00_1723, 
((obj_t)BgL_sslz00_77), BEOA));} } 

}



/* &ssl-connection-close */
obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4873, obj_t BgL_sslz00_4874)
{
{ /* Llib/ssl.scm 923 */
{ /* Llib/ssl.scm 923 */
 int BgL_tmpz00_11501;
{ /* Llib/ssl.scm 923 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11502;
{ /* Llib/ssl.scm 923 */
 bool_t BgL_test4184z00_11503;
{ /* Llib/ssl.scm 923 */
 obj_t BgL_classz00_6445;
BgL_classz00_6445 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4874))
{ /* Llib/ssl.scm 923 */
 BgL_objectz00_bglt BgL_arg1799z00_6447; long BgL_arg1800z00_6448;
BgL_arg1799z00_6447 = 
(BgL_objectz00_bglt)(BgL_sslz00_4874); 
BgL_arg1800z00_6448 = 
BGL_CLASS_DEPTH(BgL_classz00_6445); 
{ /* Llib/ssl.scm 923 */
 bool_t BgL_arg1794z00_6452; bool_t BgL_arg1795z00_6453;
{ /* Llib/ssl.scm 923 */
 long BgL_idxz00_6457;
BgL_idxz00_6457 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6447); 
{ /* Llib/ssl.scm 923 */
 obj_t BgL_arg1791z00_6458;
{ /* Llib/ssl.scm 923 */
 long BgL_arg1792z00_6459;
BgL_arg1792z00_6459 = 
(BgL_idxz00_6457+BgL_arg1800z00_6448); 
BgL_arg1791z00_6458 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6459); } 
BgL_arg1794z00_6452 = 
(BgL_arg1791z00_6458==BgL_classz00_6445); } } 
{ /* Llib/ssl.scm 923 */
 bool_t BgL_res3428z00_6482;
{ /* Llib/ssl.scm 923 */
 obj_t BgL_oclassz00_6467;
{ /* Llib/ssl.scm 923 */
 long BgL_arg1804z00_6473;
{ /* Llib/ssl.scm 923 */
 long BgL_arg1805z00_6474;
BgL_arg1805z00_6474 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6447); 
BgL_arg1804z00_6473 = 
(BgL_arg1805z00_6474-OBJECT_TYPE); } 
BgL_oclassz00_6467 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6473); } 
{ /* Llib/ssl.scm 923 */
 bool_t BgL__ortest_1111z00_6468;
BgL__ortest_1111z00_6468 = 
(BgL_classz00_6445==BgL_oclassz00_6467); 
if(BgL__ortest_1111z00_6468)
{ /* Llib/ssl.scm 923 */
BgL_res3428z00_6482 = BgL__ortest_1111z00_6468; }  else 
{ /* Llib/ssl.scm 923 */
 long BgL_odepthz00_6469;
BgL_odepthz00_6469 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6467); 
if(
(BgL_arg1800z00_6448<BgL_odepthz00_6469))
{ /* Llib/ssl.scm 923 */
 obj_t BgL_arg1793z00_6471;
BgL_arg1793z00_6471 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6467, BgL_arg1800z00_6448); 
BgL_res3428z00_6482 = 
(BgL_arg1793z00_6471==BgL_classz00_6445); }  else 
{ /* Llib/ssl.scm 923 */
BgL_res3428z00_6482 = ((bool_t)0); } } } } 
BgL_arg1795z00_6453 = BgL_res3428z00_6482; } 
BgL_test4184z00_11503 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6452, BgL_arg1795z00_6453); } }  else 
{ /* Llib/ssl.scm 923 */
BgL_test4184z00_11503 = ((bool_t)0)
; } } 
if(BgL_test4184z00_11503)
{ /* Llib/ssl.scm 923 */
BgL_auxz00_11502 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4874)
; }  else 
{ 
 obj_t BgL_auxz00_11524;
BgL_auxz00_11524 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)37705)), BGl_string3367z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4874); 
FAILURE(BgL_auxz00_11524,BFALSE,BFALSE);} } 
BgL_tmpz00_11501 = 
BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_auxz00_11502); } 
return 
BINT(BgL_tmpz00_11501);} } 

}



/* ssl-connection-shutdown */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_78)
{
{ /* Llib/ssl.scm 933 */
{ /* Llib/ssl.scm 933 */
 obj_t BgL_method1280z00_1724;
{ /* Llib/ssl.scm 933 */
 obj_t BgL_res2438z00_2798;
{ /* Llib/ssl.scm 933 */
 long BgL_objzd2classzd2numz00_2769;
BgL_objzd2classzd2numz00_2769 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_78)); 
{ /* Llib/ssl.scm 933 */
 obj_t BgL_arg1801z00_2770;
BgL_arg1801z00_2770 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 933 */
 int BgL_offsetz00_2773;
BgL_offsetz00_2773 = 
(int)(BgL_objzd2classzd2numz00_2769); 
{ /* Llib/ssl.scm 933 */
 long BgL_offsetz00_2774;
BgL_offsetz00_2774 = 
(
(long)(BgL_offsetz00_2773)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 933 */
 long BgL_modz00_2775;
BgL_modz00_2775 = 
(BgL_offsetz00_2774 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 933 */
 long BgL_restz00_2777;
BgL_restz00_2777 = 
(BgL_offsetz00_2774 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 933 */

{ /* Llib/ssl.scm 933 */
 obj_t BgL_bucketz00_2779;
BgL_bucketz00_2779 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2770),BgL_modz00_2775); 
BgL_res2438z00_2798 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2779),BgL_restz00_2777); } } } } } } } } 
BgL_method1280z00_1724 = BgL_res2438z00_2798; } 
return 
PROCEDURE_ENTRY(BgL_method1280z00_1724)(BgL_method1280z00_1724, 
((obj_t)BgL_sslz00_78), BEOA);} } 

}



/* &ssl-connection-shutdown */
obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t BgL_envz00_4875, obj_t BgL_sslz00_4876)
{
{ /* Llib/ssl.scm 933 */
{ /* Llib/ssl.scm 933 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11560;
{ /* Llib/ssl.scm 933 */
 bool_t BgL_test4188z00_11561;
{ /* Llib/ssl.scm 933 */
 obj_t BgL_classz00_6483;
BgL_classz00_6483 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4876))
{ /* Llib/ssl.scm 933 */
 BgL_objectz00_bglt BgL_arg1799z00_6485; long BgL_arg1800z00_6486;
BgL_arg1799z00_6485 = 
(BgL_objectz00_bglt)(BgL_sslz00_4876); 
BgL_arg1800z00_6486 = 
BGL_CLASS_DEPTH(BgL_classz00_6483); 
{ /* Llib/ssl.scm 933 */
 bool_t BgL_arg1794z00_6490; bool_t BgL_arg1795z00_6491;
{ /* Llib/ssl.scm 933 */
 long BgL_idxz00_6495;
BgL_idxz00_6495 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6485); 
{ /* Llib/ssl.scm 933 */
 obj_t BgL_arg1791z00_6496;
{ /* Llib/ssl.scm 933 */
 long BgL_arg1792z00_6497;
BgL_arg1792z00_6497 = 
(BgL_idxz00_6495+BgL_arg1800z00_6486); 
BgL_arg1791z00_6496 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6497); } 
BgL_arg1794z00_6490 = 
(BgL_arg1791z00_6496==BgL_classz00_6483); } } 
{ /* Llib/ssl.scm 933 */
 bool_t BgL_res3429z00_6520;
{ /* Llib/ssl.scm 933 */
 obj_t BgL_oclassz00_6505;
{ /* Llib/ssl.scm 933 */
 long BgL_arg1804z00_6511;
{ /* Llib/ssl.scm 933 */
 long BgL_arg1805z00_6512;
BgL_arg1805z00_6512 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6485); 
BgL_arg1804z00_6511 = 
(BgL_arg1805z00_6512-OBJECT_TYPE); } 
BgL_oclassz00_6505 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6511); } 
{ /* Llib/ssl.scm 933 */
 bool_t BgL__ortest_1111z00_6506;
BgL__ortest_1111z00_6506 = 
(BgL_classz00_6483==BgL_oclassz00_6505); 
if(BgL__ortest_1111z00_6506)
{ /* Llib/ssl.scm 933 */
BgL_res3429z00_6520 = BgL__ortest_1111z00_6506; }  else 
{ /* Llib/ssl.scm 933 */
 long BgL_odepthz00_6507;
BgL_odepthz00_6507 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6505); 
if(
(BgL_arg1800z00_6486<BgL_odepthz00_6507))
{ /* Llib/ssl.scm 933 */
 obj_t BgL_arg1793z00_6509;
BgL_arg1793z00_6509 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6505, BgL_arg1800z00_6486); 
BgL_res3429z00_6520 = 
(BgL_arg1793z00_6509==BgL_classz00_6483); }  else 
{ /* Llib/ssl.scm 933 */
BgL_res3429z00_6520 = ((bool_t)0); } } } } 
BgL_arg1795z00_6491 = BgL_res3429z00_6520; } 
BgL_test4188z00_11561 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6490, BgL_arg1795z00_6491); } }  else 
{ /* Llib/ssl.scm 933 */
BgL_test4188z00_11561 = ((bool_t)0)
; } } 
if(BgL_test4188z00_11561)
{ /* Llib/ssl.scm 933 */
BgL_auxz00_11560 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4876)
; }  else 
{ 
 obj_t BgL_auxz00_11582;
BgL_auxz00_11582 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)38085)), BGl_string3368z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4876); 
FAILURE(BgL_auxz00_11582,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_auxz00_11560);} } 

}



/* ssl-connection-read */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_79, obj_t BgL_bufferz00_80, long BgL_offsetz00_81, long BgL_lenz00_82)
{
{ /* Llib/ssl.scm 943 */
{ /* Llib/ssl.scm 943 */
 obj_t BgL_method1282z00_1725;
{ /* Llib/ssl.scm 943 */
 obj_t BgL_res2443z00_2829;
{ /* Llib/ssl.scm 943 */
 long BgL_objzd2classzd2numz00_2800;
BgL_objzd2classzd2numz00_2800 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_79)); 
{ /* Llib/ssl.scm 943 */
 obj_t BgL_arg1801z00_2801;
BgL_arg1801z00_2801 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 943 */
 int BgL_offsetz00_2804;
BgL_offsetz00_2804 = 
(int)(BgL_objzd2classzd2numz00_2800); 
{ /* Llib/ssl.scm 943 */
 long BgL_offsetz00_2805;
BgL_offsetz00_2805 = 
(
(long)(BgL_offsetz00_2804)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 943 */
 long BgL_modz00_2806;
BgL_modz00_2806 = 
(BgL_offsetz00_2805 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 943 */
 long BgL_restz00_2808;
BgL_restz00_2808 = 
(BgL_offsetz00_2805 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 943 */

{ /* Llib/ssl.scm 943 */
 obj_t BgL_bucketz00_2810;
BgL_bucketz00_2810 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2801),BgL_modz00_2806); 
BgL_res2443z00_2829 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2810),BgL_restz00_2808); } } } } } } } } 
BgL_method1282z00_1725 = BgL_res2443z00_2829; } 
return 
PROCEDURE_ENTRY(BgL_method1282z00_1725)(BgL_method1282z00_1725, 
((obj_t)BgL_sslz00_79), BgL_bufferz00_80, 
BINT(BgL_offsetz00_81), 
BINT(BgL_lenz00_82), BEOA);} } 

}



/* &ssl-connection-read */
obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t BgL_envz00_4877, obj_t BgL_sslz00_4878, obj_t BgL_bufferz00_4879, obj_t BgL_offsetz00_4880, obj_t BgL_lenz00_4881)
{
{ /* Llib/ssl.scm 943 */
{ /* Llib/ssl.scm 943 */
 long BgL_auxz00_11664; long BgL_auxz00_11655; obj_t BgL_auxz00_11648; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11622;
{ /* Llib/ssl.scm 943 */
 obj_t BgL_tmpz00_11665;
if(
INTEGERP(BgL_lenz00_4881))
{ /* Llib/ssl.scm 943 */
BgL_tmpz00_11665 = BgL_lenz00_4881
; }  else 
{ 
 obj_t BgL_auxz00_11668;
BgL_auxz00_11668 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3369z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4881); 
FAILURE(BgL_auxz00_11668,BFALSE,BFALSE);} 
BgL_auxz00_11664 = 
(long)CINT(BgL_tmpz00_11665); } 
{ /* Llib/ssl.scm 943 */
 obj_t BgL_tmpz00_11656;
if(
INTEGERP(BgL_offsetz00_4880))
{ /* Llib/ssl.scm 943 */
BgL_tmpz00_11656 = BgL_offsetz00_4880
; }  else 
{ 
 obj_t BgL_auxz00_11659;
BgL_auxz00_11659 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3369z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4880); 
FAILURE(BgL_auxz00_11659,BFALSE,BFALSE);} 
BgL_auxz00_11655 = 
(long)CINT(BgL_tmpz00_11656); } 
if(
STRINGP(BgL_bufferz00_4879))
{ /* Llib/ssl.scm 943 */
BgL_auxz00_11648 = BgL_bufferz00_4879
; }  else 
{ 
 obj_t BgL_auxz00_11651;
BgL_auxz00_11651 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3369z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_bufferz00_4879); 
FAILURE(BgL_auxz00_11651,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 943 */
 bool_t BgL_test4192z00_11623;
{ /* Llib/ssl.scm 943 */
 obj_t BgL_classz00_6521;
BgL_classz00_6521 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4878))
{ /* Llib/ssl.scm 943 */
 BgL_objectz00_bglt BgL_arg1799z00_6523; long BgL_arg1800z00_6524;
BgL_arg1799z00_6523 = 
(BgL_objectz00_bglt)(BgL_sslz00_4878); 
BgL_arg1800z00_6524 = 
BGL_CLASS_DEPTH(BgL_classz00_6521); 
{ /* Llib/ssl.scm 943 */
 bool_t BgL_arg1794z00_6528; bool_t BgL_arg1795z00_6529;
{ /* Llib/ssl.scm 943 */
 long BgL_idxz00_6533;
BgL_idxz00_6533 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6523); 
{ /* Llib/ssl.scm 943 */
 obj_t BgL_arg1791z00_6534;
{ /* Llib/ssl.scm 943 */
 long BgL_arg1792z00_6535;
BgL_arg1792z00_6535 = 
(BgL_idxz00_6533+BgL_arg1800z00_6524); 
BgL_arg1791z00_6534 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6535); } 
BgL_arg1794z00_6528 = 
(BgL_arg1791z00_6534==BgL_classz00_6521); } } 
{ /* Llib/ssl.scm 943 */
 bool_t BgL_res3430z00_6558;
{ /* Llib/ssl.scm 943 */
 obj_t BgL_oclassz00_6543;
{ /* Llib/ssl.scm 943 */
 long BgL_arg1804z00_6549;
{ /* Llib/ssl.scm 943 */
 long BgL_arg1805z00_6550;
BgL_arg1805z00_6550 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6523); 
BgL_arg1804z00_6549 = 
(BgL_arg1805z00_6550-OBJECT_TYPE); } 
BgL_oclassz00_6543 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6549); } 
{ /* Llib/ssl.scm 943 */
 bool_t BgL__ortest_1111z00_6544;
BgL__ortest_1111z00_6544 = 
(BgL_classz00_6521==BgL_oclassz00_6543); 
if(BgL__ortest_1111z00_6544)
{ /* Llib/ssl.scm 943 */
BgL_res3430z00_6558 = BgL__ortest_1111z00_6544; }  else 
{ /* Llib/ssl.scm 943 */
 long BgL_odepthz00_6545;
BgL_odepthz00_6545 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6543); 
if(
(BgL_arg1800z00_6524<BgL_odepthz00_6545))
{ /* Llib/ssl.scm 943 */
 obj_t BgL_arg1793z00_6547;
BgL_arg1793z00_6547 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6543, BgL_arg1800z00_6524); 
BgL_res3430z00_6558 = 
(BgL_arg1793z00_6547==BgL_classz00_6521); }  else 
{ /* Llib/ssl.scm 943 */
BgL_res3430z00_6558 = ((bool_t)0); } } } } 
BgL_arg1795z00_6529 = BgL_res3430z00_6558; } 
BgL_test4192z00_11623 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6528, BgL_arg1795z00_6529); } }  else 
{ /* Llib/ssl.scm 943 */
BgL_test4192z00_11623 = ((bool_t)0)
; } } 
if(BgL_test4192z00_11623)
{ /* Llib/ssl.scm 943 */
BgL_auxz00_11622 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4878)
; }  else 
{ 
 obj_t BgL_auxz00_11644;
BgL_auxz00_11644 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)38471)), BGl_string3369z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4878); 
FAILURE(BgL_auxz00_11644,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_auxz00_11622, BgL_auxz00_11648, BgL_auxz00_11655, BgL_auxz00_11664);} } 

}



/* ssl-connection-write */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_83, obj_t BgL_bufferz00_84, long BgL_offsetz00_85, long BgL_lenz00_86)
{
{ /* Llib/ssl.scm 953 */
{ /* Llib/ssl.scm 953 */
 obj_t BgL_method1284z00_1726;
{ /* Llib/ssl.scm 953 */
 obj_t BgL_res2448z00_2860;
{ /* Llib/ssl.scm 953 */
 long BgL_objzd2classzd2numz00_2831;
BgL_objzd2classzd2numz00_2831 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_83)); 
{ /* Llib/ssl.scm 953 */
 obj_t BgL_arg1801z00_2832;
BgL_arg1801z00_2832 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 953 */
 int BgL_offsetz00_2835;
BgL_offsetz00_2835 = 
(int)(BgL_objzd2classzd2numz00_2831); 
{ /* Llib/ssl.scm 953 */
 long BgL_offsetz00_2836;
BgL_offsetz00_2836 = 
(
(long)(BgL_offsetz00_2835)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 953 */
 long BgL_modz00_2837;
BgL_modz00_2837 = 
(BgL_offsetz00_2836 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 953 */
 long BgL_restz00_2839;
BgL_restz00_2839 = 
(BgL_offsetz00_2836 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 953 */

{ /* Llib/ssl.scm 953 */
 obj_t BgL_bucketz00_2841;
BgL_bucketz00_2841 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2832),BgL_modz00_2837); 
BgL_res2448z00_2860 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2841),BgL_restz00_2839); } } } } } } } } 
BgL_method1284z00_1726 = BgL_res2448z00_2860; } 
return 
PROCEDURE_ENTRY(BgL_method1284z00_1726)(BgL_method1284z00_1726, 
((obj_t)BgL_sslz00_83), BgL_bufferz00_84, 
BINT(BgL_offsetz00_85), 
BINT(BgL_lenz00_86), BEOA);} } 

}



/* &ssl-connection-write */
obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t BgL_envz00_4882, obj_t BgL_sslz00_4883, obj_t BgL_bufferz00_4884, obj_t BgL_offsetz00_4885, obj_t BgL_lenz00_4886)
{
{ /* Llib/ssl.scm 953 */
{ /* Llib/ssl.scm 953 */
 long BgL_auxz00_11751; long BgL_auxz00_11742; obj_t BgL_auxz00_11735; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11709;
{ /* Llib/ssl.scm 953 */
 obj_t BgL_tmpz00_11752;
if(
INTEGERP(BgL_lenz00_4886))
{ /* Llib/ssl.scm 953 */
BgL_tmpz00_11752 = BgL_lenz00_4886
; }  else 
{ 
 obj_t BgL_auxz00_11755;
BgL_auxz00_11755 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3370z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4886); 
FAILURE(BgL_auxz00_11755,BFALSE,BFALSE);} 
BgL_auxz00_11751 = 
(long)CINT(BgL_tmpz00_11752); } 
{ /* Llib/ssl.scm 953 */
 obj_t BgL_tmpz00_11743;
if(
INTEGERP(BgL_offsetz00_4885))
{ /* Llib/ssl.scm 953 */
BgL_tmpz00_11743 = BgL_offsetz00_4885
; }  else 
{ 
 obj_t BgL_auxz00_11746;
BgL_auxz00_11746 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3370z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4885); 
FAILURE(BgL_auxz00_11746,BFALSE,BFALSE);} 
BgL_auxz00_11742 = 
(long)CINT(BgL_tmpz00_11743); } 
if(
STRINGP(BgL_bufferz00_4884))
{ /* Llib/ssl.scm 953 */
BgL_auxz00_11735 = BgL_bufferz00_4884
; }  else 
{ 
 obj_t BgL_auxz00_11738;
BgL_auxz00_11738 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3370z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_bufferz00_4884); 
FAILURE(BgL_auxz00_11738,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 953 */
 bool_t BgL_test4199z00_11710;
{ /* Llib/ssl.scm 953 */
 obj_t BgL_classz00_6559;
BgL_classz00_6559 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4883))
{ /* Llib/ssl.scm 953 */
 BgL_objectz00_bglt BgL_arg1799z00_6561; long BgL_arg1800z00_6562;
BgL_arg1799z00_6561 = 
(BgL_objectz00_bglt)(BgL_sslz00_4883); 
BgL_arg1800z00_6562 = 
BGL_CLASS_DEPTH(BgL_classz00_6559); 
{ /* Llib/ssl.scm 953 */
 bool_t BgL_arg1794z00_6566; bool_t BgL_arg1795z00_6567;
{ /* Llib/ssl.scm 953 */
 long BgL_idxz00_6571;
BgL_idxz00_6571 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6561); 
{ /* Llib/ssl.scm 953 */
 obj_t BgL_arg1791z00_6572;
{ /* Llib/ssl.scm 953 */
 long BgL_arg1792z00_6573;
BgL_arg1792z00_6573 = 
(BgL_idxz00_6571+BgL_arg1800z00_6562); 
BgL_arg1791z00_6572 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6573); } 
BgL_arg1794z00_6566 = 
(BgL_arg1791z00_6572==BgL_classz00_6559); } } 
{ /* Llib/ssl.scm 953 */
 bool_t BgL_res3431z00_6596;
{ /* Llib/ssl.scm 953 */
 obj_t BgL_oclassz00_6581;
{ /* Llib/ssl.scm 953 */
 long BgL_arg1804z00_6587;
{ /* Llib/ssl.scm 953 */
 long BgL_arg1805z00_6588;
BgL_arg1805z00_6588 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6561); 
BgL_arg1804z00_6587 = 
(BgL_arg1805z00_6588-OBJECT_TYPE); } 
BgL_oclassz00_6581 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6587); } 
{ /* Llib/ssl.scm 953 */
 bool_t BgL__ortest_1111z00_6582;
BgL__ortest_1111z00_6582 = 
(BgL_classz00_6559==BgL_oclassz00_6581); 
if(BgL__ortest_1111z00_6582)
{ /* Llib/ssl.scm 953 */
BgL_res3431z00_6596 = BgL__ortest_1111z00_6582; }  else 
{ /* Llib/ssl.scm 953 */
 long BgL_odepthz00_6583;
BgL_odepthz00_6583 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6581); 
if(
(BgL_arg1800z00_6562<BgL_odepthz00_6583))
{ /* Llib/ssl.scm 953 */
 obj_t BgL_arg1793z00_6585;
BgL_arg1793z00_6585 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6581, BgL_arg1800z00_6562); 
BgL_res3431z00_6596 = 
(BgL_arg1793z00_6585==BgL_classz00_6559); }  else 
{ /* Llib/ssl.scm 953 */
BgL_res3431z00_6596 = ((bool_t)0); } } } } 
BgL_arg1795z00_6567 = BgL_res3431z00_6596; } 
BgL_test4199z00_11710 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6566, BgL_arg1795z00_6567); } }  else 
{ /* Llib/ssl.scm 953 */
BgL_test4199z00_11710 = ((bool_t)0)
; } } 
if(BgL_test4199z00_11710)
{ /* Llib/ssl.scm 953 */
BgL_auxz00_11709 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4883)
; }  else 
{ 
 obj_t BgL_auxz00_11731;
BgL_auxz00_11731 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)38883)), BGl_string3370z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4883); 
FAILURE(BgL_auxz00_11731,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_auxz00_11709, BgL_auxz00_11735, BgL_auxz00_11742, BgL_auxz00_11751);} } 

}



/* ssl-connection-clear-in */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_87, obj_t BgL_bufferz00_88, long BgL_offsetz00_89, long BgL_lenz00_90)
{
{ /* Llib/ssl.scm 963 */
{ /* Llib/ssl.scm 963 */
 obj_t BgL_method1286z00_1727;
{ /* Llib/ssl.scm 963 */
 obj_t BgL_res2453z00_2891;
{ /* Llib/ssl.scm 963 */
 long BgL_objzd2classzd2numz00_2862;
BgL_objzd2classzd2numz00_2862 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_87)); 
{ /* Llib/ssl.scm 963 */
 obj_t BgL_arg1801z00_2863;
BgL_arg1801z00_2863 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 963 */
 int BgL_offsetz00_2866;
BgL_offsetz00_2866 = 
(int)(BgL_objzd2classzd2numz00_2862); 
{ /* Llib/ssl.scm 963 */
 long BgL_offsetz00_2867;
BgL_offsetz00_2867 = 
(
(long)(BgL_offsetz00_2866)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 963 */
 long BgL_modz00_2868;
BgL_modz00_2868 = 
(BgL_offsetz00_2867 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 963 */
 long BgL_restz00_2870;
BgL_restz00_2870 = 
(BgL_offsetz00_2867 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 963 */

{ /* Llib/ssl.scm 963 */
 obj_t BgL_bucketz00_2872;
BgL_bucketz00_2872 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2863),BgL_modz00_2868); 
BgL_res2453z00_2891 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2872),BgL_restz00_2870); } } } } } } } } 
BgL_method1286z00_1727 = BgL_res2453z00_2891; } 
return 
PROCEDURE_ENTRY(BgL_method1286z00_1727)(BgL_method1286z00_1727, 
((obj_t)BgL_sslz00_87), BgL_bufferz00_88, 
BINT(BgL_offsetz00_89), 
BINT(BgL_lenz00_90), BEOA);} } 

}



/* &ssl-connection-clear-in */
obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t BgL_envz00_4887, obj_t BgL_sslz00_4888, obj_t BgL_bufferz00_4889, obj_t BgL_offsetz00_4890, obj_t BgL_lenz00_4891)
{
{ /* Llib/ssl.scm 963 */
{ /* Llib/ssl.scm 963 */
 long BgL_auxz00_11838; long BgL_auxz00_11829; obj_t BgL_auxz00_11822; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11796;
{ /* Llib/ssl.scm 963 */
 obj_t BgL_tmpz00_11839;
if(
INTEGERP(BgL_lenz00_4891))
{ /* Llib/ssl.scm 963 */
BgL_tmpz00_11839 = BgL_lenz00_4891
; }  else 
{ 
 obj_t BgL_auxz00_11842;
BgL_auxz00_11842 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3371z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4891); 
FAILURE(BgL_auxz00_11842,BFALSE,BFALSE);} 
BgL_auxz00_11838 = 
(long)CINT(BgL_tmpz00_11839); } 
{ /* Llib/ssl.scm 963 */
 obj_t BgL_tmpz00_11830;
if(
INTEGERP(BgL_offsetz00_4890))
{ /* Llib/ssl.scm 963 */
BgL_tmpz00_11830 = BgL_offsetz00_4890
; }  else 
{ 
 obj_t BgL_auxz00_11833;
BgL_auxz00_11833 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3371z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4890); 
FAILURE(BgL_auxz00_11833,BFALSE,BFALSE);} 
BgL_auxz00_11829 = 
(long)CINT(BgL_tmpz00_11830); } 
if(
STRINGP(BgL_bufferz00_4889))
{ /* Llib/ssl.scm 963 */
BgL_auxz00_11822 = BgL_bufferz00_4889
; }  else 
{ 
 obj_t BgL_auxz00_11825;
BgL_auxz00_11825 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3371z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_bufferz00_4889); 
FAILURE(BgL_auxz00_11825,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 963 */
 bool_t BgL_test4206z00_11797;
{ /* Llib/ssl.scm 963 */
 obj_t BgL_classz00_6597;
BgL_classz00_6597 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4888))
{ /* Llib/ssl.scm 963 */
 BgL_objectz00_bglt BgL_arg1799z00_6599; long BgL_arg1800z00_6600;
BgL_arg1799z00_6599 = 
(BgL_objectz00_bglt)(BgL_sslz00_4888); 
BgL_arg1800z00_6600 = 
BGL_CLASS_DEPTH(BgL_classz00_6597); 
{ /* Llib/ssl.scm 963 */
 bool_t BgL_arg1794z00_6604; bool_t BgL_arg1795z00_6605;
{ /* Llib/ssl.scm 963 */
 long BgL_idxz00_6609;
BgL_idxz00_6609 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6599); 
{ /* Llib/ssl.scm 963 */
 obj_t BgL_arg1791z00_6610;
{ /* Llib/ssl.scm 963 */
 long BgL_arg1792z00_6611;
BgL_arg1792z00_6611 = 
(BgL_idxz00_6609+BgL_arg1800z00_6600); 
BgL_arg1791z00_6610 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6611); } 
BgL_arg1794z00_6604 = 
(BgL_arg1791z00_6610==BgL_classz00_6597); } } 
{ /* Llib/ssl.scm 963 */
 bool_t BgL_res3432z00_6634;
{ /* Llib/ssl.scm 963 */
 obj_t BgL_oclassz00_6619;
{ /* Llib/ssl.scm 963 */
 long BgL_arg1804z00_6625;
{ /* Llib/ssl.scm 963 */
 long BgL_arg1805z00_6626;
BgL_arg1805z00_6626 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6599); 
BgL_arg1804z00_6625 = 
(BgL_arg1805z00_6626-OBJECT_TYPE); } 
BgL_oclassz00_6619 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6625); } 
{ /* Llib/ssl.scm 963 */
 bool_t BgL__ortest_1111z00_6620;
BgL__ortest_1111z00_6620 = 
(BgL_classz00_6597==BgL_oclassz00_6619); 
if(BgL__ortest_1111z00_6620)
{ /* Llib/ssl.scm 963 */
BgL_res3432z00_6634 = BgL__ortest_1111z00_6620; }  else 
{ /* Llib/ssl.scm 963 */
 long BgL_odepthz00_6621;
BgL_odepthz00_6621 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6619); 
if(
(BgL_arg1800z00_6600<BgL_odepthz00_6621))
{ /* Llib/ssl.scm 963 */
 obj_t BgL_arg1793z00_6623;
BgL_arg1793z00_6623 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6619, BgL_arg1800z00_6600); 
BgL_res3432z00_6634 = 
(BgL_arg1793z00_6623==BgL_classz00_6597); }  else 
{ /* Llib/ssl.scm 963 */
BgL_res3432z00_6634 = ((bool_t)0); } } } } 
BgL_arg1795z00_6605 = BgL_res3432z00_6634; } 
BgL_test4206z00_11797 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6604, BgL_arg1795z00_6605); } }  else 
{ /* Llib/ssl.scm 963 */
BgL_test4206z00_11797 = ((bool_t)0)
; } } 
if(BgL_test4206z00_11797)
{ /* Llib/ssl.scm 963 */
BgL_auxz00_11796 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4888)
; }  else 
{ 
 obj_t BgL_auxz00_11818;
BgL_auxz00_11818 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)39297)), BGl_string3371z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4888); 
FAILURE(BgL_auxz00_11818,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_auxz00_11796, BgL_auxz00_11822, BgL_auxz00_11829, BgL_auxz00_11838);} } 

}



/* ssl-connection-clear-out */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_91, obj_t BgL_bufferz00_92, long BgL_offsetz00_93, long BgL_lenz00_94)
{
{ /* Llib/ssl.scm 973 */
{ /* Llib/ssl.scm 973 */
 obj_t BgL_method1288z00_1728;
{ /* Llib/ssl.scm 973 */
 obj_t BgL_res2458z00_2922;
{ /* Llib/ssl.scm 973 */
 long BgL_objzd2classzd2numz00_2893;
BgL_objzd2classzd2numz00_2893 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_91)); 
{ /* Llib/ssl.scm 973 */
 obj_t BgL_arg1801z00_2894;
BgL_arg1801z00_2894 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 973 */
 int BgL_offsetz00_2897;
BgL_offsetz00_2897 = 
(int)(BgL_objzd2classzd2numz00_2893); 
{ /* Llib/ssl.scm 973 */
 long BgL_offsetz00_2898;
BgL_offsetz00_2898 = 
(
(long)(BgL_offsetz00_2897)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 973 */
 long BgL_modz00_2899;
BgL_modz00_2899 = 
(BgL_offsetz00_2898 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 973 */
 long BgL_restz00_2901;
BgL_restz00_2901 = 
(BgL_offsetz00_2898 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 973 */

{ /* Llib/ssl.scm 973 */
 obj_t BgL_bucketz00_2903;
BgL_bucketz00_2903 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2894),BgL_modz00_2899); 
BgL_res2458z00_2922 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2903),BgL_restz00_2901); } } } } } } } } 
BgL_method1288z00_1728 = BgL_res2458z00_2922; } 
return 
PROCEDURE_ENTRY(BgL_method1288z00_1728)(BgL_method1288z00_1728, 
((obj_t)BgL_sslz00_91), BgL_bufferz00_92, 
BINT(BgL_offsetz00_93), 
BINT(BgL_lenz00_94), BEOA);} } 

}



/* &ssl-connection-clear-out */
obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t BgL_envz00_4892, obj_t BgL_sslz00_4893, obj_t BgL_bufferz00_4894, obj_t BgL_offsetz00_4895, obj_t BgL_lenz00_4896)
{
{ /* Llib/ssl.scm 973 */
{ /* Llib/ssl.scm 973 */
 long BgL_auxz00_11925; long BgL_auxz00_11916; obj_t BgL_auxz00_11909; BgL_sslzd2connectionzd2_bglt BgL_auxz00_11883;
{ /* Llib/ssl.scm 973 */
 obj_t BgL_tmpz00_11926;
if(
INTEGERP(BgL_lenz00_4896))
{ /* Llib/ssl.scm 973 */
BgL_tmpz00_11926 = BgL_lenz00_4896
; }  else 
{ 
 obj_t BgL_auxz00_11929;
BgL_auxz00_11929 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3372z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4896); 
FAILURE(BgL_auxz00_11929,BFALSE,BFALSE);} 
BgL_auxz00_11925 = 
(long)CINT(BgL_tmpz00_11926); } 
{ /* Llib/ssl.scm 973 */
 obj_t BgL_tmpz00_11917;
if(
INTEGERP(BgL_offsetz00_4895))
{ /* Llib/ssl.scm 973 */
BgL_tmpz00_11917 = BgL_offsetz00_4895
; }  else 
{ 
 obj_t BgL_auxz00_11920;
BgL_auxz00_11920 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3372z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4895); 
FAILURE(BgL_auxz00_11920,BFALSE,BFALSE);} 
BgL_auxz00_11916 = 
(long)CINT(BgL_tmpz00_11917); } 
if(
STRINGP(BgL_bufferz00_4894))
{ /* Llib/ssl.scm 973 */
BgL_auxz00_11909 = BgL_bufferz00_4894
; }  else 
{ 
 obj_t BgL_auxz00_11912;
BgL_auxz00_11912 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3372z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_bufferz00_4894); 
FAILURE(BgL_auxz00_11912,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 973 */
 bool_t BgL_test4213z00_11884;
{ /* Llib/ssl.scm 973 */
 obj_t BgL_classz00_6635;
BgL_classz00_6635 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4893))
{ /* Llib/ssl.scm 973 */
 BgL_objectz00_bglt BgL_arg1799z00_6637; long BgL_arg1800z00_6638;
BgL_arg1799z00_6637 = 
(BgL_objectz00_bglt)(BgL_sslz00_4893); 
BgL_arg1800z00_6638 = 
BGL_CLASS_DEPTH(BgL_classz00_6635); 
{ /* Llib/ssl.scm 973 */
 bool_t BgL_arg1794z00_6642; bool_t BgL_arg1795z00_6643;
{ /* Llib/ssl.scm 973 */
 long BgL_idxz00_6647;
BgL_idxz00_6647 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6637); 
{ /* Llib/ssl.scm 973 */
 obj_t BgL_arg1791z00_6648;
{ /* Llib/ssl.scm 973 */
 long BgL_arg1792z00_6649;
BgL_arg1792z00_6649 = 
(BgL_idxz00_6647+BgL_arg1800z00_6638); 
BgL_arg1791z00_6648 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6649); } 
BgL_arg1794z00_6642 = 
(BgL_arg1791z00_6648==BgL_classz00_6635); } } 
{ /* Llib/ssl.scm 973 */
 bool_t BgL_res3433z00_6672;
{ /* Llib/ssl.scm 973 */
 obj_t BgL_oclassz00_6657;
{ /* Llib/ssl.scm 973 */
 long BgL_arg1804z00_6663;
{ /* Llib/ssl.scm 973 */
 long BgL_arg1805z00_6664;
BgL_arg1805z00_6664 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6637); 
BgL_arg1804z00_6663 = 
(BgL_arg1805z00_6664-OBJECT_TYPE); } 
BgL_oclassz00_6657 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6663); } 
{ /* Llib/ssl.scm 973 */
 bool_t BgL__ortest_1111z00_6658;
BgL__ortest_1111z00_6658 = 
(BgL_classz00_6635==BgL_oclassz00_6657); 
if(BgL__ortest_1111z00_6658)
{ /* Llib/ssl.scm 973 */
BgL_res3433z00_6672 = BgL__ortest_1111z00_6658; }  else 
{ /* Llib/ssl.scm 973 */
 long BgL_odepthz00_6659;
BgL_odepthz00_6659 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6657); 
if(
(BgL_arg1800z00_6638<BgL_odepthz00_6659))
{ /* Llib/ssl.scm 973 */
 obj_t BgL_arg1793z00_6661;
BgL_arg1793z00_6661 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6657, BgL_arg1800z00_6638); 
BgL_res3433z00_6672 = 
(BgL_arg1793z00_6661==BgL_classz00_6635); }  else 
{ /* Llib/ssl.scm 973 */
BgL_res3433z00_6672 = ((bool_t)0); } } } } 
BgL_arg1795z00_6643 = BgL_res3433z00_6672; } 
BgL_test4213z00_11884 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6642, BgL_arg1795z00_6643); } }  else 
{ /* Llib/ssl.scm 973 */
BgL_test4213z00_11884 = ((bool_t)0)
; } } 
if(BgL_test4213z00_11884)
{ /* Llib/ssl.scm 973 */
BgL_auxz00_11883 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4893)
; }  else 
{ 
 obj_t BgL_auxz00_11905;
BgL_auxz00_11905 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)39717)), BGl_string3372z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4893); 
FAILURE(BgL_auxz00_11905,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_auxz00_11883, BgL_auxz00_11909, BgL_auxz00_11916, BgL_auxz00_11925);} } 

}



/* ssl-connection-init-finished? */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_95)
{
{ /* Llib/ssl.scm 983 */
{ /* Llib/ssl.scm 983 */
 obj_t BgL_method1290z00_1729;
{ /* Llib/ssl.scm 983 */
 obj_t BgL_res2463z00_2953;
{ /* Llib/ssl.scm 983 */
 long BgL_objzd2classzd2numz00_2924;
BgL_objzd2classzd2numz00_2924 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_95)); 
{ /* Llib/ssl.scm 983 */
 obj_t BgL_arg1801z00_2925;
BgL_arg1801z00_2925 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 983 */
 int BgL_offsetz00_2928;
BgL_offsetz00_2928 = 
(int)(BgL_objzd2classzd2numz00_2924); 
{ /* Llib/ssl.scm 983 */
 long BgL_offsetz00_2929;
BgL_offsetz00_2929 = 
(
(long)(BgL_offsetz00_2928)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 983 */
 long BgL_modz00_2930;
BgL_modz00_2930 = 
(BgL_offsetz00_2929 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 983 */
 long BgL_restz00_2932;
BgL_restz00_2932 = 
(BgL_offsetz00_2929 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 983 */

{ /* Llib/ssl.scm 983 */
 obj_t BgL_bucketz00_2934;
BgL_bucketz00_2934 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2925),BgL_modz00_2930); 
BgL_res2463z00_2953 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2934),BgL_restz00_2932); } } } } } } } } 
BgL_method1290z00_1729 = BgL_res2463z00_2953; } 
return 
PROCEDURE_ENTRY(BgL_method1290z00_1729)(BgL_method1290z00_1729, 
((obj_t)BgL_sslz00_95), BEOA);} } 

}



/* &ssl-connection-init-finished? */
obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t BgL_envz00_4897, obj_t BgL_sslz00_4898)
{
{ /* Llib/ssl.scm 983 */
{ /* Llib/ssl.scm 983 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11965;
{ /* Llib/ssl.scm 983 */
 bool_t BgL_test4220z00_11966;
{ /* Llib/ssl.scm 983 */
 obj_t BgL_classz00_6673;
BgL_classz00_6673 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4898))
{ /* Llib/ssl.scm 983 */
 BgL_objectz00_bglt BgL_arg1799z00_6675; long BgL_arg1800z00_6676;
BgL_arg1799z00_6675 = 
(BgL_objectz00_bglt)(BgL_sslz00_4898); 
BgL_arg1800z00_6676 = 
BGL_CLASS_DEPTH(BgL_classz00_6673); 
{ /* Llib/ssl.scm 983 */
 bool_t BgL_arg1794z00_6680; bool_t BgL_arg1795z00_6681;
{ /* Llib/ssl.scm 983 */
 long BgL_idxz00_6685;
BgL_idxz00_6685 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6675); 
{ /* Llib/ssl.scm 983 */
 obj_t BgL_arg1791z00_6686;
{ /* Llib/ssl.scm 983 */
 long BgL_arg1792z00_6687;
BgL_arg1792z00_6687 = 
(BgL_idxz00_6685+BgL_arg1800z00_6676); 
BgL_arg1791z00_6686 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6687); } 
BgL_arg1794z00_6680 = 
(BgL_arg1791z00_6686==BgL_classz00_6673); } } 
{ /* Llib/ssl.scm 983 */
 bool_t BgL_res3434z00_6710;
{ /* Llib/ssl.scm 983 */
 obj_t BgL_oclassz00_6695;
{ /* Llib/ssl.scm 983 */
 long BgL_arg1804z00_6701;
{ /* Llib/ssl.scm 983 */
 long BgL_arg1805z00_6702;
BgL_arg1805z00_6702 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6675); 
BgL_arg1804z00_6701 = 
(BgL_arg1805z00_6702-OBJECT_TYPE); } 
BgL_oclassz00_6695 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6701); } 
{ /* Llib/ssl.scm 983 */
 bool_t BgL__ortest_1111z00_6696;
BgL__ortest_1111z00_6696 = 
(BgL_classz00_6673==BgL_oclassz00_6695); 
if(BgL__ortest_1111z00_6696)
{ /* Llib/ssl.scm 983 */
BgL_res3434z00_6710 = BgL__ortest_1111z00_6696; }  else 
{ /* Llib/ssl.scm 983 */
 long BgL_odepthz00_6697;
BgL_odepthz00_6697 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6695); 
if(
(BgL_arg1800z00_6676<BgL_odepthz00_6697))
{ /* Llib/ssl.scm 983 */
 obj_t BgL_arg1793z00_6699;
BgL_arg1793z00_6699 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6695, BgL_arg1800z00_6676); 
BgL_res3434z00_6710 = 
(BgL_arg1793z00_6699==BgL_classz00_6673); }  else 
{ /* Llib/ssl.scm 983 */
BgL_res3434z00_6710 = ((bool_t)0); } } } } 
BgL_arg1795z00_6681 = BgL_res3434z00_6710; } 
BgL_test4220z00_11966 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6680, BgL_arg1795z00_6681); } }  else 
{ /* Llib/ssl.scm 983 */
BgL_test4220z00_11966 = ((bool_t)0)
; } } 
if(BgL_test4220z00_11966)
{ /* Llib/ssl.scm 983 */
BgL_auxz00_11965 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4898)
; }  else 
{ 
 obj_t BgL_auxz00_11987;
BgL_auxz00_11987 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)40139)), BGl_string3373z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4898); 
FAILURE(BgL_auxz00_11987,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_auxz00_11965);} } 

}



/* ssl-connection-enc-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_96)
{
{ /* Llib/ssl.scm 993 */
{ /* Llib/ssl.scm 993 */
 obj_t BgL_method1292z00_1730;
{ /* Llib/ssl.scm 993 */
 obj_t BgL_res2468z00_2984;
{ /* Llib/ssl.scm 993 */
 long BgL_objzd2classzd2numz00_2955;
BgL_objzd2classzd2numz00_2955 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_96)); 
{ /* Llib/ssl.scm 993 */
 obj_t BgL_arg1801z00_2956;
BgL_arg1801z00_2956 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 993 */
 int BgL_offsetz00_2959;
BgL_offsetz00_2959 = 
(int)(BgL_objzd2classzd2numz00_2955); 
{ /* Llib/ssl.scm 993 */
 long BgL_offsetz00_2960;
BgL_offsetz00_2960 = 
(
(long)(BgL_offsetz00_2959)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 993 */
 long BgL_modz00_2961;
BgL_modz00_2961 = 
(BgL_offsetz00_2960 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 993 */
 long BgL_restz00_2963;
BgL_restz00_2963 = 
(BgL_offsetz00_2960 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 993 */

{ /* Llib/ssl.scm 993 */
 obj_t BgL_bucketz00_2965;
BgL_bucketz00_2965 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2956),BgL_modz00_2961); 
BgL_res2468z00_2984 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2965),BgL_restz00_2963); } } } } } } } } 
BgL_method1292z00_1730 = BgL_res2468z00_2984; } 
return 
PROCEDURE_ENTRY(BgL_method1292z00_1730)(BgL_method1292z00_1730, 
((obj_t)BgL_sslz00_96), BEOA);} } 

}



/* &ssl-connection-enc-pending */
obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4899, obj_t BgL_sslz00_4900)
{
{ /* Llib/ssl.scm 993 */
{ /* Llib/ssl.scm 993 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12022;
{ /* Llib/ssl.scm 993 */
 bool_t BgL_test4224z00_12023;
{ /* Llib/ssl.scm 993 */
 obj_t BgL_classz00_6711;
BgL_classz00_6711 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4900))
{ /* Llib/ssl.scm 993 */
 BgL_objectz00_bglt BgL_arg1799z00_6713; long BgL_arg1800z00_6714;
BgL_arg1799z00_6713 = 
(BgL_objectz00_bglt)(BgL_sslz00_4900); 
BgL_arg1800z00_6714 = 
BGL_CLASS_DEPTH(BgL_classz00_6711); 
{ /* Llib/ssl.scm 993 */
 bool_t BgL_arg1794z00_6718; bool_t BgL_arg1795z00_6719;
{ /* Llib/ssl.scm 993 */
 long BgL_idxz00_6723;
BgL_idxz00_6723 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6713); 
{ /* Llib/ssl.scm 993 */
 obj_t BgL_arg1791z00_6724;
{ /* Llib/ssl.scm 993 */
 long BgL_arg1792z00_6725;
BgL_arg1792z00_6725 = 
(BgL_idxz00_6723+BgL_arg1800z00_6714); 
BgL_arg1791z00_6724 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6725); } 
BgL_arg1794z00_6718 = 
(BgL_arg1791z00_6724==BgL_classz00_6711); } } 
{ /* Llib/ssl.scm 993 */
 bool_t BgL_res3435z00_6748;
{ /* Llib/ssl.scm 993 */
 obj_t BgL_oclassz00_6733;
{ /* Llib/ssl.scm 993 */
 long BgL_arg1804z00_6739;
{ /* Llib/ssl.scm 993 */
 long BgL_arg1805z00_6740;
BgL_arg1805z00_6740 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6713); 
BgL_arg1804z00_6739 = 
(BgL_arg1805z00_6740-OBJECT_TYPE); } 
BgL_oclassz00_6733 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6739); } 
{ /* Llib/ssl.scm 993 */
 bool_t BgL__ortest_1111z00_6734;
BgL__ortest_1111z00_6734 = 
(BgL_classz00_6711==BgL_oclassz00_6733); 
if(BgL__ortest_1111z00_6734)
{ /* Llib/ssl.scm 993 */
BgL_res3435z00_6748 = BgL__ortest_1111z00_6734; }  else 
{ /* Llib/ssl.scm 993 */
 long BgL_odepthz00_6735;
BgL_odepthz00_6735 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6733); 
if(
(BgL_arg1800z00_6714<BgL_odepthz00_6735))
{ /* Llib/ssl.scm 993 */
 obj_t BgL_arg1793z00_6737;
BgL_arg1793z00_6737 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6733, BgL_arg1800z00_6714); 
BgL_res3435z00_6748 = 
(BgL_arg1793z00_6737==BgL_classz00_6711); }  else 
{ /* Llib/ssl.scm 993 */
BgL_res3435z00_6748 = ((bool_t)0); } } } } 
BgL_arg1795z00_6719 = BgL_res3435z00_6748; } 
BgL_test4224z00_12023 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6718, BgL_arg1795z00_6719); } }  else 
{ /* Llib/ssl.scm 993 */
BgL_test4224z00_12023 = ((bool_t)0)
; } } 
if(BgL_test4224z00_12023)
{ /* Llib/ssl.scm 993 */
BgL_auxz00_12022 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4900)
; }  else 
{ 
 obj_t BgL_auxz00_12044;
BgL_auxz00_12044 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)40535)), BGl_string3374z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4900); 
FAILURE(BgL_auxz00_12044,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_auxz00_12022);} } 

}



/* ssl-connection-clear-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_97)
{
{ /* Llib/ssl.scm 1003 */
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_method1294z00_1731;
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_res2473z00_3015;
{ /* Llib/ssl.scm 1003 */
 long BgL_objzd2classzd2numz00_2986;
BgL_objzd2classzd2numz00_2986 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_97)); 
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_arg1801z00_2987;
BgL_arg1801z00_2987 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1003 */
 int BgL_offsetz00_2990;
BgL_offsetz00_2990 = 
(int)(BgL_objzd2classzd2numz00_2986); 
{ /* Llib/ssl.scm 1003 */
 long BgL_offsetz00_2991;
BgL_offsetz00_2991 = 
(
(long)(BgL_offsetz00_2990)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1003 */
 long BgL_modz00_2992;
BgL_modz00_2992 = 
(BgL_offsetz00_2991 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1003 */
 long BgL_restz00_2994;
BgL_restz00_2994 = 
(BgL_offsetz00_2991 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1003 */

{ /* Llib/ssl.scm 1003 */
 obj_t BgL_bucketz00_2996;
BgL_bucketz00_2996 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_2987),BgL_modz00_2992); 
BgL_res2473z00_3015 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2996),BgL_restz00_2994); } } } } } } } } 
BgL_method1294z00_1731 = BgL_res2473z00_3015; } 
return 
PROCEDURE_ENTRY(BgL_method1294z00_1731)(BgL_method1294z00_1731, 
((obj_t)BgL_sslz00_97), BEOA);} } 

}



/* &ssl-connection-clear-pending */
obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4901, obj_t BgL_sslz00_4902)
{
{ /* Llib/ssl.scm 1003 */
{ /* Llib/ssl.scm 1003 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12079;
{ /* Llib/ssl.scm 1003 */
 bool_t BgL_test4228z00_12080;
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_classz00_6749;
BgL_classz00_6749 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4902))
{ /* Llib/ssl.scm 1003 */
 BgL_objectz00_bglt BgL_arg1799z00_6751; long BgL_arg1800z00_6752;
BgL_arg1799z00_6751 = 
(BgL_objectz00_bglt)(BgL_sslz00_4902); 
BgL_arg1800z00_6752 = 
BGL_CLASS_DEPTH(BgL_classz00_6749); 
{ /* Llib/ssl.scm 1003 */
 bool_t BgL_arg1794z00_6756; bool_t BgL_arg1795z00_6757;
{ /* Llib/ssl.scm 1003 */
 long BgL_idxz00_6761;
BgL_idxz00_6761 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6751); 
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_arg1791z00_6762;
{ /* Llib/ssl.scm 1003 */
 long BgL_arg1792z00_6763;
BgL_arg1792z00_6763 = 
(BgL_idxz00_6761+BgL_arg1800z00_6752); 
BgL_arg1791z00_6762 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6763); } 
BgL_arg1794z00_6756 = 
(BgL_arg1791z00_6762==BgL_classz00_6749); } } 
{ /* Llib/ssl.scm 1003 */
 bool_t BgL_res3436z00_6786;
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_oclassz00_6771;
{ /* Llib/ssl.scm 1003 */
 long BgL_arg1804z00_6777;
{ /* Llib/ssl.scm 1003 */
 long BgL_arg1805z00_6778;
BgL_arg1805z00_6778 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6751); 
BgL_arg1804z00_6777 = 
(BgL_arg1805z00_6778-OBJECT_TYPE); } 
BgL_oclassz00_6771 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6777); } 
{ /* Llib/ssl.scm 1003 */
 bool_t BgL__ortest_1111z00_6772;
BgL__ortest_1111z00_6772 = 
(BgL_classz00_6749==BgL_oclassz00_6771); 
if(BgL__ortest_1111z00_6772)
{ /* Llib/ssl.scm 1003 */
BgL_res3436z00_6786 = BgL__ortest_1111z00_6772; }  else 
{ /* Llib/ssl.scm 1003 */
 long BgL_odepthz00_6773;
BgL_odepthz00_6773 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6771); 
if(
(BgL_arg1800z00_6752<BgL_odepthz00_6773))
{ /* Llib/ssl.scm 1003 */
 obj_t BgL_arg1793z00_6775;
BgL_arg1793z00_6775 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6771, BgL_arg1800z00_6752); 
BgL_res3436z00_6786 = 
(BgL_arg1793z00_6775==BgL_classz00_6749); }  else 
{ /* Llib/ssl.scm 1003 */
BgL_res3436z00_6786 = ((bool_t)0); } } } } 
BgL_arg1795z00_6757 = BgL_res3436z00_6786; } 
BgL_test4228z00_12080 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6756, BgL_arg1795z00_6757); } }  else 
{ /* Llib/ssl.scm 1003 */
BgL_test4228z00_12080 = ((bool_t)0)
; } } 
if(BgL_test4228z00_12080)
{ /* Llib/ssl.scm 1003 */
BgL_auxz00_12079 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4902)
; }  else 
{ 
 obj_t BgL_auxz00_12101;
BgL_auxz00_12101 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)40925)), BGl_string3375z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4902); 
FAILURE(BgL_auxz00_12101,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_auxz00_12079);} } 

}



/* ssl-connection-set-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_98, obj_t BgL_bufz00_99)
{
{ /* Llib/ssl.scm 1013 */
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_method1296z00_1732;
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_res2478z00_3046;
{ /* Llib/ssl.scm 1013 */
 long BgL_objzd2classzd2numz00_3017;
BgL_objzd2classzd2numz00_3017 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_98)); 
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_arg1801z00_3018;
BgL_arg1801z00_3018 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1013 */
 int BgL_offsetz00_3021;
BgL_offsetz00_3021 = 
(int)(BgL_objzd2classzd2numz00_3017); 
{ /* Llib/ssl.scm 1013 */
 long BgL_offsetz00_3022;
BgL_offsetz00_3022 = 
(
(long)(BgL_offsetz00_3021)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1013 */
 long BgL_modz00_3023;
BgL_modz00_3023 = 
(BgL_offsetz00_3022 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1013 */
 long BgL_restz00_3025;
BgL_restz00_3025 = 
(BgL_offsetz00_3022 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1013 */

{ /* Llib/ssl.scm 1013 */
 obj_t BgL_bucketz00_3027;
BgL_bucketz00_3027 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3018),BgL_modz00_3023); 
BgL_res2478z00_3046 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3027),BgL_restz00_3025); } } } } } } } } 
BgL_method1296z00_1732 = BgL_res2478z00_3046; } 
return 
PROCEDURE_ENTRY(BgL_method1296z00_1732)(BgL_method1296z00_1732, 
((obj_t)BgL_sslz00_98), BgL_bufz00_99, BEOA);} } 

}



/* &ssl-connection-set-session */
obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4903, obj_t BgL_sslz00_4904, obj_t BgL_bufz00_4905)
{
{ /* Llib/ssl.scm 1013 */
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_auxz00_12163; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12137;
if(
STRINGP(BgL_bufz00_4905))
{ /* Llib/ssl.scm 1013 */
BgL_auxz00_12163 = BgL_bufz00_4905
; }  else 
{ 
 obj_t BgL_auxz00_12166;
BgL_auxz00_12166 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)41319)), BGl_string3376z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_bufz00_4905); 
FAILURE(BgL_auxz00_12166,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1013 */
 bool_t BgL_test4232z00_12138;
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_classz00_6787;
BgL_classz00_6787 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4904))
{ /* Llib/ssl.scm 1013 */
 BgL_objectz00_bglt BgL_arg1799z00_6789; long BgL_arg1800z00_6790;
BgL_arg1799z00_6789 = 
(BgL_objectz00_bglt)(BgL_sslz00_4904); 
BgL_arg1800z00_6790 = 
BGL_CLASS_DEPTH(BgL_classz00_6787); 
{ /* Llib/ssl.scm 1013 */
 bool_t BgL_arg1794z00_6794; bool_t BgL_arg1795z00_6795;
{ /* Llib/ssl.scm 1013 */
 long BgL_idxz00_6799;
BgL_idxz00_6799 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6789); 
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_arg1791z00_6800;
{ /* Llib/ssl.scm 1013 */
 long BgL_arg1792z00_6801;
BgL_arg1792z00_6801 = 
(BgL_idxz00_6799+BgL_arg1800z00_6790); 
BgL_arg1791z00_6800 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6801); } 
BgL_arg1794z00_6794 = 
(BgL_arg1791z00_6800==BgL_classz00_6787); } } 
{ /* Llib/ssl.scm 1013 */
 bool_t BgL_res3437z00_6824;
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_oclassz00_6809;
{ /* Llib/ssl.scm 1013 */
 long BgL_arg1804z00_6815;
{ /* Llib/ssl.scm 1013 */
 long BgL_arg1805z00_6816;
BgL_arg1805z00_6816 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6789); 
BgL_arg1804z00_6815 = 
(BgL_arg1805z00_6816-OBJECT_TYPE); } 
BgL_oclassz00_6809 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6815); } 
{ /* Llib/ssl.scm 1013 */
 bool_t BgL__ortest_1111z00_6810;
BgL__ortest_1111z00_6810 = 
(BgL_classz00_6787==BgL_oclassz00_6809); 
if(BgL__ortest_1111z00_6810)
{ /* Llib/ssl.scm 1013 */
BgL_res3437z00_6824 = BgL__ortest_1111z00_6810; }  else 
{ /* Llib/ssl.scm 1013 */
 long BgL_odepthz00_6811;
BgL_odepthz00_6811 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6809); 
if(
(BgL_arg1800z00_6790<BgL_odepthz00_6811))
{ /* Llib/ssl.scm 1013 */
 obj_t BgL_arg1793z00_6813;
BgL_arg1793z00_6813 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6809, BgL_arg1800z00_6790); 
BgL_res3437z00_6824 = 
(BgL_arg1793z00_6813==BgL_classz00_6787); }  else 
{ /* Llib/ssl.scm 1013 */
BgL_res3437z00_6824 = ((bool_t)0); } } } } 
BgL_arg1795z00_6795 = BgL_res3437z00_6824; } 
BgL_test4232z00_12138 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6794, BgL_arg1795z00_6795); } }  else 
{ /* Llib/ssl.scm 1013 */
BgL_test4232z00_12138 = ((bool_t)0)
; } } 
if(BgL_test4232z00_12138)
{ /* Llib/ssl.scm 1013 */
BgL_auxz00_12137 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4904)
; }  else 
{ 
 obj_t BgL_auxz00_12159;
BgL_auxz00_12159 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)41319)), BGl_string3376z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4904); 
FAILURE(BgL_auxz00_12159,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12137, BgL_auxz00_12163);} } 

}



/* ssl-connection-get-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_100)
{
{ /* Llib/ssl.scm 1023 */
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_method1298z00_1733;
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_res2483z00_3077;
{ /* Llib/ssl.scm 1023 */
 long BgL_objzd2classzd2numz00_3048;
BgL_objzd2classzd2numz00_3048 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_100)); 
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_arg1801z00_3049;
BgL_arg1801z00_3049 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1023 */
 int BgL_offsetz00_3052;
BgL_offsetz00_3052 = 
(int)(BgL_objzd2classzd2numz00_3048); 
{ /* Llib/ssl.scm 1023 */
 long BgL_offsetz00_3053;
BgL_offsetz00_3053 = 
(
(long)(BgL_offsetz00_3052)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1023 */
 long BgL_modz00_3054;
BgL_modz00_3054 = 
(BgL_offsetz00_3053 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1023 */
 long BgL_restz00_3056;
BgL_restz00_3056 = 
(BgL_offsetz00_3053 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1023 */

{ /* Llib/ssl.scm 1023 */
 obj_t BgL_bucketz00_3058;
BgL_bucketz00_3058 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3049),BgL_modz00_3054); 
BgL_res2483z00_3077 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3058),BgL_restz00_3056); } } } } } } } } 
BgL_method1298z00_1733 = BgL_res2483z00_3077; } 
return 
PROCEDURE_ENTRY(BgL_method1298z00_1733)(BgL_method1298z00_1733, 
((obj_t)BgL_sslz00_100), BEOA);} } 

}



/* &ssl-connection-get-session */
obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4906, obj_t BgL_sslz00_4907)
{
{ /* Llib/ssl.scm 1023 */
{ /* Llib/ssl.scm 1023 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12201;
{ /* Llib/ssl.scm 1023 */
 bool_t BgL_test4237z00_12202;
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_classz00_6825;
BgL_classz00_6825 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4907))
{ /* Llib/ssl.scm 1023 */
 BgL_objectz00_bglt BgL_arg1799z00_6827; long BgL_arg1800z00_6828;
BgL_arg1799z00_6827 = 
(BgL_objectz00_bglt)(BgL_sslz00_4907); 
BgL_arg1800z00_6828 = 
BGL_CLASS_DEPTH(BgL_classz00_6825); 
{ /* Llib/ssl.scm 1023 */
 bool_t BgL_arg1794z00_6832; bool_t BgL_arg1795z00_6833;
{ /* Llib/ssl.scm 1023 */
 long BgL_idxz00_6837;
BgL_idxz00_6837 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6827); 
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_arg1791z00_6838;
{ /* Llib/ssl.scm 1023 */
 long BgL_arg1792z00_6839;
BgL_arg1792z00_6839 = 
(BgL_idxz00_6837+BgL_arg1800z00_6828); 
BgL_arg1791z00_6838 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6839); } 
BgL_arg1794z00_6832 = 
(BgL_arg1791z00_6838==BgL_classz00_6825); } } 
{ /* Llib/ssl.scm 1023 */
 bool_t BgL_res3438z00_6862;
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_oclassz00_6847;
{ /* Llib/ssl.scm 1023 */
 long BgL_arg1804z00_6853;
{ /* Llib/ssl.scm 1023 */
 long BgL_arg1805z00_6854;
BgL_arg1805z00_6854 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6827); 
BgL_arg1804z00_6853 = 
(BgL_arg1805z00_6854-OBJECT_TYPE); } 
BgL_oclassz00_6847 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6853); } 
{ /* Llib/ssl.scm 1023 */
 bool_t BgL__ortest_1111z00_6848;
BgL__ortest_1111z00_6848 = 
(BgL_classz00_6825==BgL_oclassz00_6847); 
if(BgL__ortest_1111z00_6848)
{ /* Llib/ssl.scm 1023 */
BgL_res3438z00_6862 = BgL__ortest_1111z00_6848; }  else 
{ /* Llib/ssl.scm 1023 */
 long BgL_odepthz00_6849;
BgL_odepthz00_6849 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6847); 
if(
(BgL_arg1800z00_6828<BgL_odepthz00_6849))
{ /* Llib/ssl.scm 1023 */
 obj_t BgL_arg1793z00_6851;
BgL_arg1793z00_6851 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6847, BgL_arg1800z00_6828); 
BgL_res3438z00_6862 = 
(BgL_arg1793z00_6851==BgL_classz00_6825); }  else 
{ /* Llib/ssl.scm 1023 */
BgL_res3438z00_6862 = ((bool_t)0); } } } } 
BgL_arg1795z00_6833 = BgL_res3438z00_6862; } 
BgL_test4237z00_12202 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6832, BgL_arg1795z00_6833); } }  else 
{ /* Llib/ssl.scm 1023 */
BgL_test4237z00_12202 = ((bool_t)0)
; } } 
if(BgL_test4237z00_12202)
{ /* Llib/ssl.scm 1023 */
BgL_auxz00_12201 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4907)
; }  else 
{ 
 obj_t BgL_auxz00_12223;
BgL_auxz00_12223 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)41727)), BGl_string3377z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4907); 
FAILURE(BgL_auxz00_12223,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12201);} } 

}



/* ssl-connection-get-current-cipher */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_101)
{
{ /* Llib/ssl.scm 1033 */
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_method1300z00_1734;
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_res2488z00_3108;
{ /* Llib/ssl.scm 1033 */
 long BgL_objzd2classzd2numz00_3079;
BgL_objzd2classzd2numz00_3079 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_101)); 
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_arg1801z00_3080;
BgL_arg1801z00_3080 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1033 */
 int BgL_offsetz00_3083;
BgL_offsetz00_3083 = 
(int)(BgL_objzd2classzd2numz00_3079); 
{ /* Llib/ssl.scm 1033 */
 long BgL_offsetz00_3084;
BgL_offsetz00_3084 = 
(
(long)(BgL_offsetz00_3083)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1033 */
 long BgL_modz00_3085;
BgL_modz00_3085 = 
(BgL_offsetz00_3084 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1033 */
 long BgL_restz00_3087;
BgL_restz00_3087 = 
(BgL_offsetz00_3084 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1033 */

{ /* Llib/ssl.scm 1033 */
 obj_t BgL_bucketz00_3089;
BgL_bucketz00_3089 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3080),BgL_modz00_3085); 
BgL_res2488z00_3108 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3089),BgL_restz00_3087); } } } } } } } } 
BgL_method1300z00_1734 = BgL_res2488z00_3108; } 
return 
PROCEDURE_ENTRY(BgL_method1300z00_1734)(BgL_method1300z00_1734, 
((obj_t)BgL_sslz00_101), BEOA);} } 

}



/* &ssl-connection-get-current-cipher */
obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t BgL_envz00_4908, obj_t BgL_sslz00_4909)
{
{ /* Llib/ssl.scm 1033 */
{ /* Llib/ssl.scm 1033 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12258;
{ /* Llib/ssl.scm 1033 */
 bool_t BgL_test4241z00_12259;
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_classz00_6863;
BgL_classz00_6863 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4909))
{ /* Llib/ssl.scm 1033 */
 BgL_objectz00_bglt BgL_arg1799z00_6865; long BgL_arg1800z00_6866;
BgL_arg1799z00_6865 = 
(BgL_objectz00_bglt)(BgL_sslz00_4909); 
BgL_arg1800z00_6866 = 
BGL_CLASS_DEPTH(BgL_classz00_6863); 
{ /* Llib/ssl.scm 1033 */
 bool_t BgL_arg1794z00_6870; bool_t BgL_arg1795z00_6871;
{ /* Llib/ssl.scm 1033 */
 long BgL_idxz00_6875;
BgL_idxz00_6875 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6865); 
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_arg1791z00_6876;
{ /* Llib/ssl.scm 1033 */
 long BgL_arg1792z00_6877;
BgL_arg1792z00_6877 = 
(BgL_idxz00_6875+BgL_arg1800z00_6866); 
BgL_arg1791z00_6876 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6877); } 
BgL_arg1794z00_6870 = 
(BgL_arg1791z00_6876==BgL_classz00_6863); } } 
{ /* Llib/ssl.scm 1033 */
 bool_t BgL_res3439z00_6900;
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_oclassz00_6885;
{ /* Llib/ssl.scm 1033 */
 long BgL_arg1804z00_6891;
{ /* Llib/ssl.scm 1033 */
 long BgL_arg1805z00_6892;
BgL_arg1805z00_6892 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6865); 
BgL_arg1804z00_6891 = 
(BgL_arg1805z00_6892-OBJECT_TYPE); } 
BgL_oclassz00_6885 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6891); } 
{ /* Llib/ssl.scm 1033 */
 bool_t BgL__ortest_1111z00_6886;
BgL__ortest_1111z00_6886 = 
(BgL_classz00_6863==BgL_oclassz00_6885); 
if(BgL__ortest_1111z00_6886)
{ /* Llib/ssl.scm 1033 */
BgL_res3439z00_6900 = BgL__ortest_1111z00_6886; }  else 
{ /* Llib/ssl.scm 1033 */
 long BgL_odepthz00_6887;
BgL_odepthz00_6887 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6885); 
if(
(BgL_arg1800z00_6866<BgL_odepthz00_6887))
{ /* Llib/ssl.scm 1033 */
 obj_t BgL_arg1793z00_6889;
BgL_arg1793z00_6889 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6885, BgL_arg1800z00_6866); 
BgL_res3439z00_6900 = 
(BgL_arg1793z00_6889==BgL_classz00_6863); }  else 
{ /* Llib/ssl.scm 1033 */
BgL_res3439z00_6900 = ((bool_t)0); } } } } 
BgL_arg1795z00_6871 = BgL_res3439z00_6900; } 
BgL_test4241z00_12259 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6870, BgL_arg1795z00_6871); } }  else 
{ /* Llib/ssl.scm 1033 */
BgL_test4241z00_12259 = ((bool_t)0)
; } } 
if(BgL_test4241z00_12259)
{ /* Llib/ssl.scm 1033 */
BgL_auxz00_12258 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4909)
; }  else 
{ 
 obj_t BgL_auxz00_12280;
BgL_auxz00_12280 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)42118)), BGl_string3378z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4909); 
FAILURE(BgL_auxz00_12280,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_auxz00_12258);} } 

}



/* ssl-connection-load-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_102, obj_t BgL_bufz00_103)
{
{ /* Llib/ssl.scm 1043 */
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_method1302z00_1735;
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_res2493z00_3139;
{ /* Llib/ssl.scm 1043 */
 long BgL_objzd2classzd2numz00_3110;
BgL_objzd2classzd2numz00_3110 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_102)); 
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_arg1801z00_3111;
BgL_arg1801z00_3111 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1043 */
 int BgL_offsetz00_3114;
BgL_offsetz00_3114 = 
(int)(BgL_objzd2classzd2numz00_3110); 
{ /* Llib/ssl.scm 1043 */
 long BgL_offsetz00_3115;
BgL_offsetz00_3115 = 
(
(long)(BgL_offsetz00_3114)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1043 */
 long BgL_modz00_3116;
BgL_modz00_3116 = 
(BgL_offsetz00_3115 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1043 */
 long BgL_restz00_3118;
BgL_restz00_3118 = 
(BgL_offsetz00_3115 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1043 */

{ /* Llib/ssl.scm 1043 */
 obj_t BgL_bucketz00_3120;
BgL_bucketz00_3120 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3111),BgL_modz00_3116); 
BgL_res2493z00_3139 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3120),BgL_restz00_3118); } } } } } } } } 
BgL_method1302z00_1735 = BgL_res2493z00_3139; } 
return 
PROCEDURE_ENTRY(BgL_method1302z00_1735)(BgL_method1302z00_1735, 
((obj_t)BgL_sslz00_102), BgL_bufz00_103, BEOA);} } 

}



/* &ssl-connection-load-session */
obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4910, obj_t BgL_sslz00_4911, obj_t BgL_bufz00_4912)
{
{ /* Llib/ssl.scm 1043 */
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_auxz00_12342; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12316;
if(
STRINGP(BgL_bufz00_4912))
{ /* Llib/ssl.scm 1043 */
BgL_auxz00_12342 = BgL_bufz00_4912
; }  else 
{ 
 obj_t BgL_auxz00_12345;
BgL_auxz00_12345 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)42523)), BGl_string3379z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_bufz00_4912); 
FAILURE(BgL_auxz00_12345,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1043 */
 bool_t BgL_test4245z00_12317;
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_classz00_6901;
BgL_classz00_6901 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4911))
{ /* Llib/ssl.scm 1043 */
 BgL_objectz00_bglt BgL_arg1799z00_6903; long BgL_arg1800z00_6904;
BgL_arg1799z00_6903 = 
(BgL_objectz00_bglt)(BgL_sslz00_4911); 
BgL_arg1800z00_6904 = 
BGL_CLASS_DEPTH(BgL_classz00_6901); 
{ /* Llib/ssl.scm 1043 */
 bool_t BgL_arg1794z00_6908; bool_t BgL_arg1795z00_6909;
{ /* Llib/ssl.scm 1043 */
 long BgL_idxz00_6913;
BgL_idxz00_6913 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6903); 
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_arg1791z00_6914;
{ /* Llib/ssl.scm 1043 */
 long BgL_arg1792z00_6915;
BgL_arg1792z00_6915 = 
(BgL_idxz00_6913+BgL_arg1800z00_6904); 
BgL_arg1791z00_6914 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6915); } 
BgL_arg1794z00_6908 = 
(BgL_arg1791z00_6914==BgL_classz00_6901); } } 
{ /* Llib/ssl.scm 1043 */
 bool_t BgL_res3440z00_6938;
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_oclassz00_6923;
{ /* Llib/ssl.scm 1043 */
 long BgL_arg1804z00_6929;
{ /* Llib/ssl.scm 1043 */
 long BgL_arg1805z00_6930;
BgL_arg1805z00_6930 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6903); 
BgL_arg1804z00_6929 = 
(BgL_arg1805z00_6930-OBJECT_TYPE); } 
BgL_oclassz00_6923 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6929); } 
{ /* Llib/ssl.scm 1043 */
 bool_t BgL__ortest_1111z00_6924;
BgL__ortest_1111z00_6924 = 
(BgL_classz00_6901==BgL_oclassz00_6923); 
if(BgL__ortest_1111z00_6924)
{ /* Llib/ssl.scm 1043 */
BgL_res3440z00_6938 = BgL__ortest_1111z00_6924; }  else 
{ /* Llib/ssl.scm 1043 */
 long BgL_odepthz00_6925;
BgL_odepthz00_6925 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6923); 
if(
(BgL_arg1800z00_6904<BgL_odepthz00_6925))
{ /* Llib/ssl.scm 1043 */
 obj_t BgL_arg1793z00_6927;
BgL_arg1793z00_6927 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6923, BgL_arg1800z00_6904); 
BgL_res3440z00_6938 = 
(BgL_arg1793z00_6927==BgL_classz00_6901); }  else 
{ /* Llib/ssl.scm 1043 */
BgL_res3440z00_6938 = ((bool_t)0); } } } } 
BgL_arg1795z00_6909 = BgL_res3440z00_6938; } 
BgL_test4245z00_12317 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6908, BgL_arg1795z00_6909); } }  else 
{ /* Llib/ssl.scm 1043 */
BgL_test4245z00_12317 = ((bool_t)0)
; } } 
if(BgL_test4245z00_12317)
{ /* Llib/ssl.scm 1043 */
BgL_auxz00_12316 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4911)
; }  else 
{ 
 obj_t BgL_auxz00_12338;
BgL_auxz00_12338 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)42523)), BGl_string3379z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4911); 
FAILURE(BgL_auxz00_12338,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12316, BgL_auxz00_12342);} } 

}



/* ssl-connection-verify-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_104)
{
{ /* Llib/ssl.scm 1053 */
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_method1304z00_1736;
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_res2498z00_3170;
{ /* Llib/ssl.scm 1053 */
 long BgL_objzd2classzd2numz00_3141;
BgL_objzd2classzd2numz00_3141 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_104)); 
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_arg1801z00_3142;
BgL_arg1801z00_3142 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1053 */
 int BgL_offsetz00_3145;
BgL_offsetz00_3145 = 
(int)(BgL_objzd2classzd2numz00_3141); 
{ /* Llib/ssl.scm 1053 */
 long BgL_offsetz00_3146;
BgL_offsetz00_3146 = 
(
(long)(BgL_offsetz00_3145)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1053 */
 long BgL_modz00_3147;
BgL_modz00_3147 = 
(BgL_offsetz00_3146 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1053 */
 long BgL_restz00_3149;
BgL_restz00_3149 = 
(BgL_offsetz00_3146 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1053 */

{ /* Llib/ssl.scm 1053 */
 obj_t BgL_bucketz00_3151;
BgL_bucketz00_3151 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3142),BgL_modz00_3147); 
BgL_res2498z00_3170 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3151),BgL_restz00_3149); } } } } } } } } 
BgL_method1304z00_1736 = BgL_res2498z00_3170; } 
return 
PROCEDURE_ENTRY(BgL_method1304z00_1736)(BgL_method1304z00_1736, 
((obj_t)BgL_sslz00_104), BEOA);} } 

}



/* &ssl-connection-verify-error */
obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t BgL_envz00_4913, obj_t BgL_sslz00_4914)
{
{ /* Llib/ssl.scm 1053 */
{ /* Llib/ssl.scm 1053 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12380;
{ /* Llib/ssl.scm 1053 */
 bool_t BgL_test4250z00_12381;
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_classz00_6939;
BgL_classz00_6939 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4914))
{ /* Llib/ssl.scm 1053 */
 BgL_objectz00_bglt BgL_arg1799z00_6941; long BgL_arg1800z00_6942;
BgL_arg1799z00_6941 = 
(BgL_objectz00_bglt)(BgL_sslz00_4914); 
BgL_arg1800z00_6942 = 
BGL_CLASS_DEPTH(BgL_classz00_6939); 
{ /* Llib/ssl.scm 1053 */
 bool_t BgL_arg1794z00_6946; bool_t BgL_arg1795z00_6947;
{ /* Llib/ssl.scm 1053 */
 long BgL_idxz00_6951;
BgL_idxz00_6951 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6941); 
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_arg1791z00_6952;
{ /* Llib/ssl.scm 1053 */
 long BgL_arg1792z00_6953;
BgL_arg1792z00_6953 = 
(BgL_idxz00_6951+BgL_arg1800z00_6942); 
BgL_arg1791z00_6952 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6953); } 
BgL_arg1794z00_6946 = 
(BgL_arg1791z00_6952==BgL_classz00_6939); } } 
{ /* Llib/ssl.scm 1053 */
 bool_t BgL_res3441z00_6976;
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_oclassz00_6961;
{ /* Llib/ssl.scm 1053 */
 long BgL_arg1804z00_6967;
{ /* Llib/ssl.scm 1053 */
 long BgL_arg1805z00_6968;
BgL_arg1805z00_6968 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6941); 
BgL_arg1804z00_6967 = 
(BgL_arg1805z00_6968-OBJECT_TYPE); } 
BgL_oclassz00_6961 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_6967); } 
{ /* Llib/ssl.scm 1053 */
 bool_t BgL__ortest_1111z00_6962;
BgL__ortest_1111z00_6962 = 
(BgL_classz00_6939==BgL_oclassz00_6961); 
if(BgL__ortest_1111z00_6962)
{ /* Llib/ssl.scm 1053 */
BgL_res3441z00_6976 = BgL__ortest_1111z00_6962; }  else 
{ /* Llib/ssl.scm 1053 */
 long BgL_odepthz00_6963;
BgL_odepthz00_6963 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6961); 
if(
(BgL_arg1800z00_6942<BgL_odepthz00_6963))
{ /* Llib/ssl.scm 1053 */
 obj_t BgL_arg1793z00_6965;
BgL_arg1793z00_6965 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6961, BgL_arg1800z00_6942); 
BgL_res3441z00_6976 = 
(BgL_arg1793z00_6965==BgL_classz00_6939); }  else 
{ /* Llib/ssl.scm 1053 */
BgL_res3441z00_6976 = ((bool_t)0); } } } } 
BgL_arg1795z00_6947 = BgL_res3441z00_6976; } 
BgL_test4250z00_12381 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6946, BgL_arg1795z00_6947); } }  else 
{ /* Llib/ssl.scm 1053 */
BgL_test4250z00_12381 = ((bool_t)0)
; } } 
if(BgL_test4250z00_12381)
{ /* Llib/ssl.scm 1053 */
BgL_auxz00_12380 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4914)
; }  else 
{ 
 obj_t BgL_auxz00_12402;
BgL_auxz00_12402 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)42933)), BGl_string3380z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4914); 
FAILURE(BgL_auxz00_12402,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_auxz00_12380);} } 

}



/* ssl-connection-get-peer-certificate */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_105)
{
{ /* Llib/ssl.scm 1063 */
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_method1306z00_1737;
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_res2503z00_3201;
{ /* Llib/ssl.scm 1063 */
 long BgL_objzd2classzd2numz00_3172;
BgL_objzd2classzd2numz00_3172 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_105)); 
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_arg1801z00_3173;
BgL_arg1801z00_3173 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1063 */
 int BgL_offsetz00_3176;
BgL_offsetz00_3176 = 
(int)(BgL_objzd2classzd2numz00_3172); 
{ /* Llib/ssl.scm 1063 */
 long BgL_offsetz00_3177;
BgL_offsetz00_3177 = 
(
(long)(BgL_offsetz00_3176)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1063 */
 long BgL_modz00_3178;
BgL_modz00_3178 = 
(BgL_offsetz00_3177 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1063 */
 long BgL_restz00_3180;
BgL_restz00_3180 = 
(BgL_offsetz00_3177 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1063 */

{ /* Llib/ssl.scm 1063 */
 obj_t BgL_bucketz00_3182;
BgL_bucketz00_3182 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3173),BgL_modz00_3178); 
BgL_res2503z00_3201 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3182),BgL_restz00_3180); } } } } } } } } 
BgL_method1306z00_1737 = BgL_res2503z00_3201; } 
return 
PROCEDURE_ENTRY(BgL_method1306z00_1737)(BgL_method1306z00_1737, 
((obj_t)BgL_sslz00_105), BEOA);} } 

}



/* &ssl-connection-get-peer-certificate */
obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t BgL_envz00_4915, obj_t BgL_sslz00_4916)
{
{ /* Llib/ssl.scm 1063 */
{ /* Llib/ssl.scm 1063 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12437;
{ /* Llib/ssl.scm 1063 */
 bool_t BgL_test4254z00_12438;
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_classz00_6977;
BgL_classz00_6977 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4916))
{ /* Llib/ssl.scm 1063 */
 BgL_objectz00_bglt BgL_arg1799z00_6979; long BgL_arg1800z00_6980;
BgL_arg1799z00_6979 = 
(BgL_objectz00_bglt)(BgL_sslz00_4916); 
BgL_arg1800z00_6980 = 
BGL_CLASS_DEPTH(BgL_classz00_6977); 
{ /* Llib/ssl.scm 1063 */
 bool_t BgL_arg1794z00_6984; bool_t BgL_arg1795z00_6985;
{ /* Llib/ssl.scm 1063 */
 long BgL_idxz00_6989;
BgL_idxz00_6989 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_6979); 
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_arg1791z00_6990;
{ /* Llib/ssl.scm 1063 */
 long BgL_arg1792z00_6991;
BgL_arg1792z00_6991 = 
(BgL_idxz00_6989+BgL_arg1800z00_6980); 
BgL_arg1791z00_6990 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_6991); } 
BgL_arg1794z00_6984 = 
(BgL_arg1791z00_6990==BgL_classz00_6977); } } 
{ /* Llib/ssl.scm 1063 */
 bool_t BgL_res3442z00_7014;
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_oclassz00_6999;
{ /* Llib/ssl.scm 1063 */
 long BgL_arg1804z00_7005;
{ /* Llib/ssl.scm 1063 */
 long BgL_arg1805z00_7006;
BgL_arg1805z00_7006 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_6979); 
BgL_arg1804z00_7005 = 
(BgL_arg1805z00_7006-OBJECT_TYPE); } 
BgL_oclassz00_6999 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7005); } 
{ /* Llib/ssl.scm 1063 */
 bool_t BgL__ortest_1111z00_7000;
BgL__ortest_1111z00_7000 = 
(BgL_classz00_6977==BgL_oclassz00_6999); 
if(BgL__ortest_1111z00_7000)
{ /* Llib/ssl.scm 1063 */
BgL_res3442z00_7014 = BgL__ortest_1111z00_7000; }  else 
{ /* Llib/ssl.scm 1063 */
 long BgL_odepthz00_7001;
BgL_odepthz00_7001 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6999); 
if(
(BgL_arg1800z00_6980<BgL_odepthz00_7001))
{ /* Llib/ssl.scm 1063 */
 obj_t BgL_arg1793z00_7003;
BgL_arg1793z00_7003 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6999, BgL_arg1800z00_6980); 
BgL_res3442z00_7014 = 
(BgL_arg1793z00_7003==BgL_classz00_6977); }  else 
{ /* Llib/ssl.scm 1063 */
BgL_res3442z00_7014 = ((bool_t)0); } } } } 
BgL_arg1795z00_6985 = BgL_res3442z00_7014; } 
BgL_test4254z00_12438 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_6984, BgL_arg1795z00_6985); } }  else 
{ /* Llib/ssl.scm 1063 */
BgL_test4254z00_12438 = ((bool_t)0)
; } } 
if(BgL_test4254z00_12438)
{ /* Llib/ssl.scm 1063 */
BgL_auxz00_12437 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4916)
; }  else 
{ 
 obj_t BgL_auxz00_12459;
BgL_auxz00_12459 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)43326)), BGl_string3381z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4916); 
FAILURE(BgL_auxz00_12459,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_auxz00_12437);} } 

}



/* ssl-connection-reused? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_106)
{
{ /* Llib/ssl.scm 1073 */
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_method1308z00_1738;
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_res2508z00_3232;
{ /* Llib/ssl.scm 1073 */
 long BgL_objzd2classzd2numz00_3203;
BgL_objzd2classzd2numz00_3203 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_106)); 
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_arg1801z00_3204;
BgL_arg1801z00_3204 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1073 */
 int BgL_offsetz00_3207;
BgL_offsetz00_3207 = 
(int)(BgL_objzd2classzd2numz00_3203); 
{ /* Llib/ssl.scm 1073 */
 long BgL_offsetz00_3208;
BgL_offsetz00_3208 = 
(
(long)(BgL_offsetz00_3207)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1073 */
 long BgL_modz00_3209;
BgL_modz00_3209 = 
(BgL_offsetz00_3208 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1073 */
 long BgL_restz00_3211;
BgL_restz00_3211 = 
(BgL_offsetz00_3208 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1073 */

{ /* Llib/ssl.scm 1073 */
 obj_t BgL_bucketz00_3213;
BgL_bucketz00_3213 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3204),BgL_modz00_3209); 
BgL_res2508z00_3232 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3213),BgL_restz00_3211); } } } } } } } } 
BgL_method1308z00_1738 = BgL_res2508z00_3232; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1308z00_1738)(BgL_method1308z00_1738, 
((obj_t)BgL_sslz00_106), BEOA));} } 

}



/* &ssl-connection-reused? */
obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t BgL_envz00_4917, obj_t BgL_sslz00_4918)
{
{ /* Llib/ssl.scm 1073 */
{ /* Llib/ssl.scm 1073 */
 bool_t BgL_tmpz00_12495;
{ /* Llib/ssl.scm 1073 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12496;
{ /* Llib/ssl.scm 1073 */
 bool_t BgL_test4258z00_12497;
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_classz00_7015;
BgL_classz00_7015 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4918))
{ /* Llib/ssl.scm 1073 */
 BgL_objectz00_bglt BgL_arg1799z00_7017; long BgL_arg1800z00_7018;
BgL_arg1799z00_7017 = 
(BgL_objectz00_bglt)(BgL_sslz00_4918); 
BgL_arg1800z00_7018 = 
BGL_CLASS_DEPTH(BgL_classz00_7015); 
{ /* Llib/ssl.scm 1073 */
 bool_t BgL_arg1794z00_7022; bool_t BgL_arg1795z00_7023;
{ /* Llib/ssl.scm 1073 */
 long BgL_idxz00_7027;
BgL_idxz00_7027 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7017); 
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_arg1791z00_7028;
{ /* Llib/ssl.scm 1073 */
 long BgL_arg1792z00_7029;
BgL_arg1792z00_7029 = 
(BgL_idxz00_7027+BgL_arg1800z00_7018); 
BgL_arg1791z00_7028 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7029); } 
BgL_arg1794z00_7022 = 
(BgL_arg1791z00_7028==BgL_classz00_7015); } } 
{ /* Llib/ssl.scm 1073 */
 bool_t BgL_res3443z00_7052;
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_oclassz00_7037;
{ /* Llib/ssl.scm 1073 */
 long BgL_arg1804z00_7043;
{ /* Llib/ssl.scm 1073 */
 long BgL_arg1805z00_7044;
BgL_arg1805z00_7044 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7017); 
BgL_arg1804z00_7043 = 
(BgL_arg1805z00_7044-OBJECT_TYPE); } 
BgL_oclassz00_7037 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7043); } 
{ /* Llib/ssl.scm 1073 */
 bool_t BgL__ortest_1111z00_7038;
BgL__ortest_1111z00_7038 = 
(BgL_classz00_7015==BgL_oclassz00_7037); 
if(BgL__ortest_1111z00_7038)
{ /* Llib/ssl.scm 1073 */
BgL_res3443z00_7052 = BgL__ortest_1111z00_7038; }  else 
{ /* Llib/ssl.scm 1073 */
 long BgL_odepthz00_7039;
BgL_odepthz00_7039 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7037); 
if(
(BgL_arg1800z00_7018<BgL_odepthz00_7039))
{ /* Llib/ssl.scm 1073 */
 obj_t BgL_arg1793z00_7041;
BgL_arg1793z00_7041 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7037, BgL_arg1800z00_7018); 
BgL_res3443z00_7052 = 
(BgL_arg1793z00_7041==BgL_classz00_7015); }  else 
{ /* Llib/ssl.scm 1073 */
BgL_res3443z00_7052 = ((bool_t)0); } } } } 
BgL_arg1795z00_7023 = BgL_res3443z00_7052; } 
BgL_test4258z00_12497 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7022, BgL_arg1795z00_7023); } }  else 
{ /* Llib/ssl.scm 1073 */
BgL_test4258z00_12497 = ((bool_t)0)
; } } 
if(BgL_test4258z00_12497)
{ /* Llib/ssl.scm 1073 */
BgL_auxz00_12496 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4918)
; }  else 
{ 
 obj_t BgL_auxz00_12518;
BgL_auxz00_12518 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)43735)), BGl_string3382z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4918); 
FAILURE(BgL_auxz00_12518,BFALSE,BFALSE);} } 
BgL_tmpz00_12495 = 
BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_auxz00_12496); } 
return 
BBOOL(BgL_tmpz00_12495);} } 

}



/* ssl-connection-get-negotiated-protocol */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_107)
{
{ /* Llib/ssl.scm 1084 */
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_method1310z00_1739;
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_res2513z00_3263;
{ /* Llib/ssl.scm 1084 */
 long BgL_objzd2classzd2numz00_3234;
BgL_objzd2classzd2numz00_3234 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_107)); 
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_arg1801z00_3235;
BgL_arg1801z00_3235 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1084 */
 int BgL_offsetz00_3238;
BgL_offsetz00_3238 = 
(int)(BgL_objzd2classzd2numz00_3234); 
{ /* Llib/ssl.scm 1084 */
 long BgL_offsetz00_3239;
BgL_offsetz00_3239 = 
(
(long)(BgL_offsetz00_3238)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1084 */
 long BgL_modz00_3240;
BgL_modz00_3240 = 
(BgL_offsetz00_3239 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1084 */
 long BgL_restz00_3242;
BgL_restz00_3242 = 
(BgL_offsetz00_3239 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1084 */

{ /* Llib/ssl.scm 1084 */
 obj_t BgL_bucketz00_3244;
BgL_bucketz00_3244 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3235),BgL_modz00_3240); 
BgL_res2513z00_3263 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3244),BgL_restz00_3242); } } } } } } } } 
BgL_method1310z00_1739 = BgL_res2513z00_3263; } 
return 
PROCEDURE_ENTRY(BgL_method1310z00_1739)(BgL_method1310z00_1739, 
((obj_t)BgL_sslz00_107), BEOA);} } 

}



/* &ssl-connection-get-negotiated-protocol */
obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t BgL_envz00_4919, obj_t BgL_sslz00_4920)
{
{ /* Llib/ssl.scm 1084 */
{ /* Llib/ssl.scm 1084 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12554;
{ /* Llib/ssl.scm 1084 */
 bool_t BgL_test4262z00_12555;
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_classz00_7053;
BgL_classz00_7053 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4920))
{ /* Llib/ssl.scm 1084 */
 BgL_objectz00_bglt BgL_arg1799z00_7055; long BgL_arg1800z00_7056;
BgL_arg1799z00_7055 = 
(BgL_objectz00_bglt)(BgL_sslz00_4920); 
BgL_arg1800z00_7056 = 
BGL_CLASS_DEPTH(BgL_classz00_7053); 
{ /* Llib/ssl.scm 1084 */
 bool_t BgL_arg1794z00_7060; bool_t BgL_arg1795z00_7061;
{ /* Llib/ssl.scm 1084 */
 long BgL_idxz00_7065;
BgL_idxz00_7065 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7055); 
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_arg1791z00_7066;
{ /* Llib/ssl.scm 1084 */
 long BgL_arg1792z00_7067;
BgL_arg1792z00_7067 = 
(BgL_idxz00_7065+BgL_arg1800z00_7056); 
BgL_arg1791z00_7066 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7067); } 
BgL_arg1794z00_7060 = 
(BgL_arg1791z00_7066==BgL_classz00_7053); } } 
{ /* Llib/ssl.scm 1084 */
 bool_t BgL_res3444z00_7090;
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_oclassz00_7075;
{ /* Llib/ssl.scm 1084 */
 long BgL_arg1804z00_7081;
{ /* Llib/ssl.scm 1084 */
 long BgL_arg1805z00_7082;
BgL_arg1805z00_7082 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7055); 
BgL_arg1804z00_7081 = 
(BgL_arg1805z00_7082-OBJECT_TYPE); } 
BgL_oclassz00_7075 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7081); } 
{ /* Llib/ssl.scm 1084 */
 bool_t BgL__ortest_1111z00_7076;
BgL__ortest_1111z00_7076 = 
(BgL_classz00_7053==BgL_oclassz00_7075); 
if(BgL__ortest_1111z00_7076)
{ /* Llib/ssl.scm 1084 */
BgL_res3444z00_7090 = BgL__ortest_1111z00_7076; }  else 
{ /* Llib/ssl.scm 1084 */
 long BgL_odepthz00_7077;
BgL_odepthz00_7077 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7075); 
if(
(BgL_arg1800z00_7056<BgL_odepthz00_7077))
{ /* Llib/ssl.scm 1084 */
 obj_t BgL_arg1793z00_7079;
BgL_arg1793z00_7079 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7075, BgL_arg1800z00_7056); 
BgL_res3444z00_7090 = 
(BgL_arg1793z00_7079==BgL_classz00_7053); }  else 
{ /* Llib/ssl.scm 1084 */
BgL_res3444z00_7090 = ((bool_t)0); } } } } 
BgL_arg1795z00_7061 = BgL_res3444z00_7090; } 
BgL_test4262z00_12555 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7060, BgL_arg1795z00_7061); } }  else 
{ /* Llib/ssl.scm 1084 */
BgL_test4262z00_12555 = ((bool_t)0)
; } } 
if(BgL_test4262z00_12555)
{ /* Llib/ssl.scm 1084 */
BgL_auxz00_12554 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4920)
; }  else 
{ 
 obj_t BgL_auxz00_12576;
BgL_auxz00_12576 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)44161)), BGl_string3383z00zz__ssl_sslz00, BGl_string3365z00zz__ssl_sslz00, BgL_sslz00_4920); 
FAILURE(BgL_auxz00_12576,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_auxz00_12554);} } 

}



/* &dh-init */
obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t BgL_envz00_4591, obj_t BgL_dhz00_4592)
{
{ /* Llib/ssl.scm 1094 */
{ /* Llib/ssl.scm 1094 */
 BgL_dhz00_bglt BgL_dhz00_7129;
{ /* Llib/ssl.scm 1094 */
 bool_t BgL_test4266z00_12581;
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_classz00_7091;
BgL_classz00_7091 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4592))
{ /* Llib/ssl.scm 1094 */
 BgL_objectz00_bglt BgL_arg1799z00_7093; long BgL_arg1800z00_7094;
BgL_arg1799z00_7093 = 
(BgL_objectz00_bglt)(BgL_dhz00_4592); 
BgL_arg1800z00_7094 = 
BGL_CLASS_DEPTH(BgL_classz00_7091); 
{ /* Llib/ssl.scm 1094 */
 bool_t BgL_arg1794z00_7098; bool_t BgL_arg1795z00_7099;
{ /* Llib/ssl.scm 1094 */
 long BgL_idxz00_7103;
BgL_idxz00_7103 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7093); 
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_arg1791z00_7104;
{ /* Llib/ssl.scm 1094 */
 long BgL_arg1792z00_7105;
BgL_arg1792z00_7105 = 
(BgL_idxz00_7103+BgL_arg1800z00_7094); 
BgL_arg1791z00_7104 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7105); } 
BgL_arg1794z00_7098 = 
(BgL_arg1791z00_7104==BgL_classz00_7091); } } 
{ /* Llib/ssl.scm 1094 */
 bool_t BgL_res3445z00_7128;
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_oclassz00_7113;
{ /* Llib/ssl.scm 1094 */
 long BgL_arg1804z00_7119;
{ /* Llib/ssl.scm 1094 */
 long BgL_arg1805z00_7120;
BgL_arg1805z00_7120 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7093); 
BgL_arg1804z00_7119 = 
(BgL_arg1805z00_7120-OBJECT_TYPE); } 
BgL_oclassz00_7113 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7119); } 
{ /* Llib/ssl.scm 1094 */
 bool_t BgL__ortest_1111z00_7114;
BgL__ortest_1111z00_7114 = 
(BgL_classz00_7091==BgL_oclassz00_7113); 
if(BgL__ortest_1111z00_7114)
{ /* Llib/ssl.scm 1094 */
BgL_res3445z00_7128 = BgL__ortest_1111z00_7114; }  else 
{ /* Llib/ssl.scm 1094 */
 long BgL_odepthz00_7115;
BgL_odepthz00_7115 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7113); 
if(
(BgL_arg1800z00_7094<BgL_odepthz00_7115))
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_arg1793z00_7117;
BgL_arg1793z00_7117 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7113, BgL_arg1800z00_7094); 
BgL_res3445z00_7128 = 
(BgL_arg1793z00_7117==BgL_classz00_7091); }  else 
{ /* Llib/ssl.scm 1094 */
BgL_res3445z00_7128 = ((bool_t)0); } } } } 
BgL_arg1795z00_7099 = BgL_res3445z00_7128; } 
BgL_test4266z00_12581 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7098, BgL_arg1795z00_7099); } }  else 
{ /* Llib/ssl.scm 1094 */
BgL_test4266z00_12581 = ((bool_t)0)
; } } 
if(BgL_test4266z00_12581)
{ /* Llib/ssl.scm 1094 */
BgL_dhz00_7129 = 
((BgL_dhz00_bglt)BgL_dhz00_4592); }  else 
{ 
 obj_t BgL_auxz00_12602;
BgL_auxz00_12602 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)44576)), BGl_string3384z00zz__ssl_sslz00, BGl_string3385z00zz__ssl_sslz00, BgL_dhz00_4592); 
FAILURE(BgL_auxz00_12602,BFALSE,BFALSE);} } 
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_method1312z00_7130;
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_res2518z00_7131;
{ /* Llib/ssl.scm 1094 */
 long BgL_objzd2classzd2numz00_7132;
BgL_objzd2classzd2numz00_7132 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_7129)); 
{ /* Llib/ssl.scm 1094 */
 obj_t BgL_arg1801z00_7133;
BgL_arg1801z00_7133 = 
PROCEDURE_REF(BGl_dhzd2initzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1094 */
 int BgL_offsetz00_7134;
BgL_offsetz00_7134 = 
(int)(BgL_objzd2classzd2numz00_7132); 
{ /* Llib/ssl.scm 1094 */
 long BgL_offsetz00_7135;
BgL_offsetz00_7135 = 
(
(long)(BgL_offsetz00_7134)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1094 */
 long BgL_modz00_7136;
BgL_modz00_7136 = 
(BgL_offsetz00_7135 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1094 */
 long BgL_restz00_7137;
BgL_restz00_7137 = 
(BgL_offsetz00_7135 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1094 */

{ /* Llib/ssl.scm 1094 */
 obj_t BgL_bucketz00_7138;
BgL_bucketz00_7138 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_7133),BgL_modz00_7136); 
BgL_res2518z00_7131 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_7138),BgL_restz00_7137); } } } } } } } } 
BgL_method1312z00_7130 = BgL_res2518z00_7131; } 
return 
PROCEDURE_ENTRY(BgL_method1312z00_7130)(BgL_method1312z00_7130, 
((obj_t)BgL_dhz00_7129), BEOA);} } } 

}



/* dh-size */
BGL_EXPORTED_DEF int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_109)
{
{ /* Llib/ssl.scm 1105 */
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_method1314z00_1741;
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_res2523z00_3325;
{ /* Llib/ssl.scm 1105 */
 long BgL_objzd2classzd2numz00_3296;
BgL_objzd2classzd2numz00_3296 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_109)); 
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_arg1801z00_3297;
BgL_arg1801z00_3297 = 
PROCEDURE_REF(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1105 */
 int BgL_offsetz00_3300;
BgL_offsetz00_3300 = 
(int)(BgL_objzd2classzd2numz00_3296); 
{ /* Llib/ssl.scm 1105 */
 long BgL_offsetz00_3301;
BgL_offsetz00_3301 = 
(
(long)(BgL_offsetz00_3300)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1105 */
 long BgL_modz00_3302;
BgL_modz00_3302 = 
(BgL_offsetz00_3301 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1105 */
 long BgL_restz00_3304;
BgL_restz00_3304 = 
(BgL_offsetz00_3301 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1105 */

{ /* Llib/ssl.scm 1105 */
 obj_t BgL_bucketz00_3306;
BgL_bucketz00_3306 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3297),BgL_modz00_3302); 
BgL_res2523z00_3325 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3306),BgL_restz00_3304); } } } } } } } } 
BgL_method1314z00_1741 = BgL_res2523z00_3325; } 
return 
CINT(
PROCEDURE_ENTRY(BgL_method1314z00_1741)(BgL_method1314z00_1741, 
((obj_t)BgL_dhz00_109), BEOA));} } 

}



/* &dh-size */
obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t BgL_envz00_4921, obj_t BgL_dhz00_4922)
{
{ /* Llib/ssl.scm 1105 */
{ /* Llib/ssl.scm 1105 */
 int BgL_tmpz00_12667;
{ /* Llib/ssl.scm 1105 */
 BgL_dhz00_bglt BgL_auxz00_12668;
{ /* Llib/ssl.scm 1105 */
 bool_t BgL_test4270z00_12669;
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_classz00_7139;
BgL_classz00_7139 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4922))
{ /* Llib/ssl.scm 1105 */
 BgL_objectz00_bglt BgL_arg1799z00_7141; long BgL_arg1800z00_7142;
BgL_arg1799z00_7141 = 
(BgL_objectz00_bglt)(BgL_dhz00_4922); 
BgL_arg1800z00_7142 = 
BGL_CLASS_DEPTH(BgL_classz00_7139); 
{ /* Llib/ssl.scm 1105 */
 bool_t BgL_arg1794z00_7146; bool_t BgL_arg1795z00_7147;
{ /* Llib/ssl.scm 1105 */
 long BgL_idxz00_7151;
BgL_idxz00_7151 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7141); 
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_arg1791z00_7152;
{ /* Llib/ssl.scm 1105 */
 long BgL_arg1792z00_7153;
BgL_arg1792z00_7153 = 
(BgL_idxz00_7151+BgL_arg1800z00_7142); 
BgL_arg1791z00_7152 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7153); } 
BgL_arg1794z00_7146 = 
(BgL_arg1791z00_7152==BgL_classz00_7139); } } 
{ /* Llib/ssl.scm 1105 */
 bool_t BgL_res3446z00_7176;
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_oclassz00_7161;
{ /* Llib/ssl.scm 1105 */
 long BgL_arg1804z00_7167;
{ /* Llib/ssl.scm 1105 */
 long BgL_arg1805z00_7168;
BgL_arg1805z00_7168 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7141); 
BgL_arg1804z00_7167 = 
(BgL_arg1805z00_7168-OBJECT_TYPE); } 
BgL_oclassz00_7161 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7167); } 
{ /* Llib/ssl.scm 1105 */
 bool_t BgL__ortest_1111z00_7162;
BgL__ortest_1111z00_7162 = 
(BgL_classz00_7139==BgL_oclassz00_7161); 
if(BgL__ortest_1111z00_7162)
{ /* Llib/ssl.scm 1105 */
BgL_res3446z00_7176 = BgL__ortest_1111z00_7162; }  else 
{ /* Llib/ssl.scm 1105 */
 long BgL_odepthz00_7163;
BgL_odepthz00_7163 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7161); 
if(
(BgL_arg1800z00_7142<BgL_odepthz00_7163))
{ /* Llib/ssl.scm 1105 */
 obj_t BgL_arg1793z00_7165;
BgL_arg1793z00_7165 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7161, BgL_arg1800z00_7142); 
BgL_res3446z00_7176 = 
(BgL_arg1793z00_7165==BgL_classz00_7139); }  else 
{ /* Llib/ssl.scm 1105 */
BgL_res3446z00_7176 = ((bool_t)0); } } } } 
BgL_arg1795z00_7147 = BgL_res3446z00_7176; } 
BgL_test4270z00_12669 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7146, BgL_arg1795z00_7147); } }  else 
{ /* Llib/ssl.scm 1105 */
BgL_test4270z00_12669 = ((bool_t)0)
; } } 
if(BgL_test4270z00_12669)
{ /* Llib/ssl.scm 1105 */
BgL_auxz00_12668 = 
((BgL_dhz00_bglt)BgL_dhz00_4922)
; }  else 
{ 
 obj_t BgL_auxz00_12690;
BgL_auxz00_12690 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)44956)), BGl_string3386z00zz__ssl_sslz00, BGl_string3385z00zz__ssl_sslz00, BgL_dhz00_4922); 
FAILURE(BgL_auxz00_12690,BFALSE,BFALSE);} } 
BgL_tmpz00_12667 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_auxz00_12668); } 
return 
BINT(BgL_tmpz00_12667);} } 

}



/* dh-generate-parameters-ex */
BGL_EXPORTED_DEF obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_110, int BgL_lenz00_111, obj_t BgL_generatorz00_112)
{
{ /* Llib/ssl.scm 1113 */
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_method1316z00_1742;
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_res2528z00_3356;
{ /* Llib/ssl.scm 1113 */
 long BgL_objzd2classzd2numz00_3327;
BgL_objzd2classzd2numz00_3327 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_110)); 
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_arg1801z00_3328;
BgL_arg1801z00_3328 = 
PROCEDURE_REF(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1113 */
 int BgL_offsetz00_3331;
BgL_offsetz00_3331 = 
(int)(BgL_objzd2classzd2numz00_3327); 
{ /* Llib/ssl.scm 1113 */
 long BgL_offsetz00_3332;
BgL_offsetz00_3332 = 
(
(long)(BgL_offsetz00_3331)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1113 */
 long BgL_modz00_3333;
BgL_modz00_3333 = 
(BgL_offsetz00_3332 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1113 */
 long BgL_restz00_3335;
BgL_restz00_3335 = 
(BgL_offsetz00_3332 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1113 */

{ /* Llib/ssl.scm 1113 */
 obj_t BgL_bucketz00_3337;
BgL_bucketz00_3337 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3328),BgL_modz00_3333); 
BgL_res2528z00_3356 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3337),BgL_restz00_3335); } } } } } } } } 
BgL_method1316z00_1742 = BgL_res2528z00_3356; } 
return 
PROCEDURE_ENTRY(BgL_method1316z00_1742)(BgL_method1316z00_1742, 
((obj_t)BgL_dhz00_110), 
BINT(BgL_lenz00_111), BgL_generatorz00_112, BEOA);} } 

}



/* &dh-generate-parameters-ex */
obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t BgL_envz00_4923, obj_t BgL_dhz00_4924, obj_t BgL_lenz00_4925, obj_t BgL_generatorz00_4926)
{
{ /* Llib/ssl.scm 1113 */
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_auxz00_12764; int BgL_auxz00_12755; BgL_dhz00_bglt BgL_auxz00_12729;
if(
SYMBOLP(BgL_generatorz00_4926))
{ /* Llib/ssl.scm 1113 */
BgL_auxz00_12764 = BgL_generatorz00_4926
; }  else 
{ 
 obj_t BgL_auxz00_12767;
BgL_auxz00_12767 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)45320)), BGl_string3387z00zz__ssl_sslz00, BGl_string3388z00zz__ssl_sslz00, BgL_generatorz00_4926); 
FAILURE(BgL_auxz00_12767,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_tmpz00_12756;
if(
INTEGERP(BgL_lenz00_4925))
{ /* Llib/ssl.scm 1113 */
BgL_tmpz00_12756 = BgL_lenz00_4925
; }  else 
{ 
 obj_t BgL_auxz00_12759;
BgL_auxz00_12759 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)45320)), BGl_string3387z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4925); 
FAILURE(BgL_auxz00_12759,BFALSE,BFALSE);} 
BgL_auxz00_12755 = 
CINT(BgL_tmpz00_12756); } 
{ /* Llib/ssl.scm 1113 */
 bool_t BgL_test4274z00_12730;
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_classz00_7177;
BgL_classz00_7177 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4924))
{ /* Llib/ssl.scm 1113 */
 BgL_objectz00_bglt BgL_arg1799z00_7179; long BgL_arg1800z00_7180;
BgL_arg1799z00_7179 = 
(BgL_objectz00_bglt)(BgL_dhz00_4924); 
BgL_arg1800z00_7180 = 
BGL_CLASS_DEPTH(BgL_classz00_7177); 
{ /* Llib/ssl.scm 1113 */
 bool_t BgL_arg1794z00_7184; bool_t BgL_arg1795z00_7185;
{ /* Llib/ssl.scm 1113 */
 long BgL_idxz00_7189;
BgL_idxz00_7189 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7179); 
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_arg1791z00_7190;
{ /* Llib/ssl.scm 1113 */
 long BgL_arg1792z00_7191;
BgL_arg1792z00_7191 = 
(BgL_idxz00_7189+BgL_arg1800z00_7180); 
BgL_arg1791z00_7190 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7191); } 
BgL_arg1794z00_7184 = 
(BgL_arg1791z00_7190==BgL_classz00_7177); } } 
{ /* Llib/ssl.scm 1113 */
 bool_t BgL_res3447z00_7214;
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_oclassz00_7199;
{ /* Llib/ssl.scm 1113 */
 long BgL_arg1804z00_7205;
{ /* Llib/ssl.scm 1113 */
 long BgL_arg1805z00_7206;
BgL_arg1805z00_7206 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7179); 
BgL_arg1804z00_7205 = 
(BgL_arg1805z00_7206-OBJECT_TYPE); } 
BgL_oclassz00_7199 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7205); } 
{ /* Llib/ssl.scm 1113 */
 bool_t BgL__ortest_1111z00_7200;
BgL__ortest_1111z00_7200 = 
(BgL_classz00_7177==BgL_oclassz00_7199); 
if(BgL__ortest_1111z00_7200)
{ /* Llib/ssl.scm 1113 */
BgL_res3447z00_7214 = BgL__ortest_1111z00_7200; }  else 
{ /* Llib/ssl.scm 1113 */
 long BgL_odepthz00_7201;
BgL_odepthz00_7201 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7199); 
if(
(BgL_arg1800z00_7180<BgL_odepthz00_7201))
{ /* Llib/ssl.scm 1113 */
 obj_t BgL_arg1793z00_7203;
BgL_arg1793z00_7203 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7199, BgL_arg1800z00_7180); 
BgL_res3447z00_7214 = 
(BgL_arg1793z00_7203==BgL_classz00_7177); }  else 
{ /* Llib/ssl.scm 1113 */
BgL_res3447z00_7214 = ((bool_t)0); } } } } 
BgL_arg1795z00_7185 = BgL_res3447z00_7214; } 
BgL_test4274z00_12730 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7184, BgL_arg1795z00_7185); } }  else 
{ /* Llib/ssl.scm 1113 */
BgL_test4274z00_12730 = ((bool_t)0)
; } } 
if(BgL_test4274z00_12730)
{ /* Llib/ssl.scm 1113 */
BgL_auxz00_12729 = 
((BgL_dhz00_bglt)BgL_dhz00_4924)
; }  else 
{ 
 obj_t BgL_auxz00_12751;
BgL_auxz00_12751 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)45320)), BGl_string3387z00zz__ssl_sslz00, BGl_string3385z00zz__ssl_sslz00, BgL_dhz00_4924); 
FAILURE(BgL_auxz00_12751,BFALSE,BFALSE);} } 
return 
BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_auxz00_12729, BgL_auxz00_12755, BgL_auxz00_12764);} } 

}



/* dh-check */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_113)
{
{ /* Llib/ssl.scm 1129 */
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_method1318z00_1743;
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_res2533z00_3387;
{ /* Llib/ssl.scm 1129 */
 long BgL_objzd2classzd2numz00_3358;
BgL_objzd2classzd2numz00_3358 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_113)); 
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_arg1801z00_3359;
BgL_arg1801z00_3359 = 
PROCEDURE_REF(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1129 */
 int BgL_offsetz00_3362;
BgL_offsetz00_3362 = 
(int)(BgL_objzd2classzd2numz00_3358); 
{ /* Llib/ssl.scm 1129 */
 long BgL_offsetz00_3363;
BgL_offsetz00_3363 = 
(
(long)(BgL_offsetz00_3362)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1129 */
 long BgL_modz00_3364;
BgL_modz00_3364 = 
(BgL_offsetz00_3363 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1129 */
 long BgL_restz00_3366;
BgL_restz00_3366 = 
(BgL_offsetz00_3363 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1129 */

{ /* Llib/ssl.scm 1129 */
 obj_t BgL_bucketz00_3368;
BgL_bucketz00_3368 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3359),BgL_modz00_3364); 
BgL_res2533z00_3387 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3368),BgL_restz00_3366); } } } } } } } } 
BgL_method1318z00_1743 = BgL_res2533z00_3387; } 
return 
PROCEDURE_ENTRY(BgL_method1318z00_1743)(BgL_method1318z00_1743, 
((obj_t)BgL_dhz00_113), BEOA);} } 

}



/* &dh-check */
obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t BgL_envz00_4927, obj_t BgL_dhz00_4928)
{
{ /* Llib/ssl.scm 1129 */
{ /* Llib/ssl.scm 1129 */
 BgL_dhz00_bglt BgL_auxz00_12802;
{ /* Llib/ssl.scm 1129 */
 bool_t BgL_test4280z00_12803;
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_classz00_7215;
BgL_classz00_7215 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4928))
{ /* Llib/ssl.scm 1129 */
 BgL_objectz00_bglt BgL_arg1799z00_7217; long BgL_arg1800z00_7218;
BgL_arg1799z00_7217 = 
(BgL_objectz00_bglt)(BgL_dhz00_4928); 
BgL_arg1800z00_7218 = 
BGL_CLASS_DEPTH(BgL_classz00_7215); 
{ /* Llib/ssl.scm 1129 */
 bool_t BgL_arg1794z00_7222; bool_t BgL_arg1795z00_7223;
{ /* Llib/ssl.scm 1129 */
 long BgL_idxz00_7227;
BgL_idxz00_7227 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7217); 
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_arg1791z00_7228;
{ /* Llib/ssl.scm 1129 */
 long BgL_arg1792z00_7229;
BgL_arg1792z00_7229 = 
(BgL_idxz00_7227+BgL_arg1800z00_7218); 
BgL_arg1791z00_7228 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7229); } 
BgL_arg1794z00_7222 = 
(BgL_arg1791z00_7228==BgL_classz00_7215); } } 
{ /* Llib/ssl.scm 1129 */
 bool_t BgL_res3448z00_7252;
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_oclassz00_7237;
{ /* Llib/ssl.scm 1129 */
 long BgL_arg1804z00_7243;
{ /* Llib/ssl.scm 1129 */
 long BgL_arg1805z00_7244;
BgL_arg1805z00_7244 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7217); 
BgL_arg1804z00_7243 = 
(BgL_arg1805z00_7244-OBJECT_TYPE); } 
BgL_oclassz00_7237 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7243); } 
{ /* Llib/ssl.scm 1129 */
 bool_t BgL__ortest_1111z00_7238;
BgL__ortest_1111z00_7238 = 
(BgL_classz00_7215==BgL_oclassz00_7237); 
if(BgL__ortest_1111z00_7238)
{ /* Llib/ssl.scm 1129 */
BgL_res3448z00_7252 = BgL__ortest_1111z00_7238; }  else 
{ /* Llib/ssl.scm 1129 */
 long BgL_odepthz00_7239;
BgL_odepthz00_7239 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7237); 
if(
(BgL_arg1800z00_7218<BgL_odepthz00_7239))
{ /* Llib/ssl.scm 1129 */
 obj_t BgL_arg1793z00_7241;
BgL_arg1793z00_7241 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7237, BgL_arg1800z00_7218); 
BgL_res3448z00_7252 = 
(BgL_arg1793z00_7241==BgL_classz00_7215); }  else 
{ /* Llib/ssl.scm 1129 */
BgL_res3448z00_7252 = ((bool_t)0); } } } } 
BgL_arg1795z00_7223 = BgL_res3448z00_7252; } 
BgL_test4280z00_12803 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7222, BgL_arg1795z00_7223); } }  else 
{ /* Llib/ssl.scm 1129 */
BgL_test4280z00_12803 = ((bool_t)0)
; } } 
if(BgL_test4280z00_12803)
{ /* Llib/ssl.scm 1129 */
BgL_auxz00_12802 = 
((BgL_dhz00_bglt)BgL_dhz00_4928)
; }  else 
{ 
 obj_t BgL_auxz00_12824;
BgL_auxz00_12824 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)45908)), BGl_string3389z00zz__ssl_sslz00, BGl_string3385z00zz__ssl_sslz00, BgL_dhz00_4928); 
FAILURE(BgL_auxz00_12824,BFALSE,BFALSE);} } 
return 
BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_auxz00_12802);} } 

}



/* dh-check-pub-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_114, obj_t BgL_keyz00_115)
{
{ /* Llib/ssl.scm 1140 */
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_method1320z00_1744;
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_res2538z00_3418;
{ /* Llib/ssl.scm 1140 */
 long BgL_objzd2classzd2numz00_3389;
BgL_objzd2classzd2numz00_3389 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_114)); 
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_arg1801z00_3390;
BgL_arg1801z00_3390 = 
PROCEDURE_REF(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1140 */
 int BgL_offsetz00_3393;
BgL_offsetz00_3393 = 
(int)(BgL_objzd2classzd2numz00_3389); 
{ /* Llib/ssl.scm 1140 */
 long BgL_offsetz00_3394;
BgL_offsetz00_3394 = 
(
(long)(BgL_offsetz00_3393)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1140 */
 long BgL_modz00_3395;
BgL_modz00_3395 = 
(BgL_offsetz00_3394 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1140 */
 long BgL_restz00_3397;
BgL_restz00_3397 = 
(BgL_offsetz00_3394 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1140 */

{ /* Llib/ssl.scm 1140 */
 obj_t BgL_bucketz00_3399;
BgL_bucketz00_3399 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3390),BgL_modz00_3395); 
BgL_res2538z00_3418 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3399),BgL_restz00_3397); } } } } } } } } 
BgL_method1320z00_1744 = BgL_res2538z00_3418; } 
return 
PROCEDURE_ENTRY(BgL_method1320z00_1744)(BgL_method1320z00_1744, 
((obj_t)BgL_dhz00_114), BgL_keyz00_115, BEOA);} } 

}



/* &dh-check-pub-key */
obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t BgL_envz00_4929, obj_t BgL_dhz00_4930, obj_t BgL_keyz00_4931)
{
{ /* Llib/ssl.scm 1140 */
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_auxz00_12886; BgL_dhz00_bglt BgL_auxz00_12860;
if(
FOREIGNP(BgL_keyz00_4931))
{ /* Llib/ssl.scm 1140 */
BgL_auxz00_12886 = BgL_keyz00_4931
; }  else 
{ 
 obj_t BgL_auxz00_12889;
BgL_auxz00_12889 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)46288)), BGl_string3390z00zz__ssl_sslz00, BGl_string3056z00zz__ssl_sslz00, BgL_keyz00_4931); 
FAILURE(BgL_auxz00_12889,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1140 */
 bool_t BgL_test4284z00_12861;
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_classz00_7253;
BgL_classz00_7253 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4930))
{ /* Llib/ssl.scm 1140 */
 BgL_objectz00_bglt BgL_arg1799z00_7255; long BgL_arg1800z00_7256;
BgL_arg1799z00_7255 = 
(BgL_objectz00_bglt)(BgL_dhz00_4930); 
BgL_arg1800z00_7256 = 
BGL_CLASS_DEPTH(BgL_classz00_7253); 
{ /* Llib/ssl.scm 1140 */
 bool_t BgL_arg1794z00_7260; bool_t BgL_arg1795z00_7261;
{ /* Llib/ssl.scm 1140 */
 long BgL_idxz00_7265;
BgL_idxz00_7265 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7255); 
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_arg1791z00_7266;
{ /* Llib/ssl.scm 1140 */
 long BgL_arg1792z00_7267;
BgL_arg1792z00_7267 = 
(BgL_idxz00_7265+BgL_arg1800z00_7256); 
BgL_arg1791z00_7266 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7267); } 
BgL_arg1794z00_7260 = 
(BgL_arg1791z00_7266==BgL_classz00_7253); } } 
{ /* Llib/ssl.scm 1140 */
 bool_t BgL_res3449z00_7290;
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_oclassz00_7275;
{ /* Llib/ssl.scm 1140 */
 long BgL_arg1804z00_7281;
{ /* Llib/ssl.scm 1140 */
 long BgL_arg1805z00_7282;
BgL_arg1805z00_7282 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7255); 
BgL_arg1804z00_7281 = 
(BgL_arg1805z00_7282-OBJECT_TYPE); } 
BgL_oclassz00_7275 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7281); } 
{ /* Llib/ssl.scm 1140 */
 bool_t BgL__ortest_1111z00_7276;
BgL__ortest_1111z00_7276 = 
(BgL_classz00_7253==BgL_oclassz00_7275); 
if(BgL__ortest_1111z00_7276)
{ /* Llib/ssl.scm 1140 */
BgL_res3449z00_7290 = BgL__ortest_1111z00_7276; }  else 
{ /* Llib/ssl.scm 1140 */
 long BgL_odepthz00_7277;
BgL_odepthz00_7277 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7275); 
if(
(BgL_arg1800z00_7256<BgL_odepthz00_7277))
{ /* Llib/ssl.scm 1140 */
 obj_t BgL_arg1793z00_7279;
BgL_arg1793z00_7279 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7275, BgL_arg1800z00_7256); 
BgL_res3449z00_7290 = 
(BgL_arg1793z00_7279==BgL_classz00_7253); }  else 
{ /* Llib/ssl.scm 1140 */
BgL_res3449z00_7290 = ((bool_t)0); } } } } 
BgL_arg1795z00_7261 = BgL_res3449z00_7290; } 
BgL_test4284z00_12861 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7260, BgL_arg1795z00_7261); } }  else 
{ /* Llib/ssl.scm 1140 */
BgL_test4284z00_12861 = ((bool_t)0)
; } } 
if(BgL_test4284z00_12861)
{ /* Llib/ssl.scm 1140 */
BgL_auxz00_12860 = 
((BgL_dhz00_bglt)BgL_dhz00_4930)
; }  else 
{ 
 obj_t BgL_auxz00_12882;
BgL_auxz00_12882 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)46288)), BGl_string3390z00zz__ssl_sslz00, BGl_string3385z00zz__ssl_sslz00, BgL_dhz00_4930); 
FAILURE(BgL_auxz00_12882,BFALSE,BFALSE);} } 
return 
BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_auxz00_12860, BgL_auxz00_12886);} } 

}



/* dh-compute-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_116, obj_t BgL_keyz00_117)
{
{ /* Llib/ssl.scm 1151 */
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_method1322z00_1745;
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_res2543z00_3449;
{ /* Llib/ssl.scm 1151 */
 long BgL_objzd2classzd2numz00_3420;
BgL_objzd2classzd2numz00_3420 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_116)); 
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_arg1801z00_3421;
BgL_arg1801z00_3421 = 
PROCEDURE_REF(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1151 */
 int BgL_offsetz00_3424;
BgL_offsetz00_3424 = 
(int)(BgL_objzd2classzd2numz00_3420); 
{ /* Llib/ssl.scm 1151 */
 long BgL_offsetz00_3425;
BgL_offsetz00_3425 = 
(
(long)(BgL_offsetz00_3424)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1151 */
 long BgL_modz00_3426;
BgL_modz00_3426 = 
(BgL_offsetz00_3425 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1151 */
 long BgL_restz00_3428;
BgL_restz00_3428 = 
(BgL_offsetz00_3425 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1151 */

{ /* Llib/ssl.scm 1151 */
 obj_t BgL_bucketz00_3430;
BgL_bucketz00_3430 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3421),BgL_modz00_3426); 
BgL_res2543z00_3449 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3430),BgL_restz00_3428); } } } } } } } } 
BgL_method1322z00_1745 = BgL_res2543z00_3449; } 
return 
PROCEDURE_ENTRY(BgL_method1322z00_1745)(BgL_method1322z00_1745, 
((obj_t)BgL_dhz00_116), BgL_keyz00_117, BEOA);} } 

}



/* &dh-compute-key */
obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4932, obj_t BgL_dhz00_4933, obj_t BgL_keyz00_4934)
{
{ /* Llib/ssl.scm 1151 */
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_auxz00_12951; BgL_dhz00_bglt BgL_auxz00_12925;
if(
FOREIGNP(BgL_keyz00_4934))
{ /* Llib/ssl.scm 1151 */
BgL_auxz00_12951 = BgL_keyz00_4934
; }  else 
{ 
 obj_t BgL_auxz00_12954;
BgL_auxz00_12954 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)46716)), BGl_string3391z00zz__ssl_sslz00, BGl_string3056z00zz__ssl_sslz00, BgL_keyz00_4934); 
FAILURE(BgL_auxz00_12954,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1151 */
 bool_t BgL_test4289z00_12926;
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_classz00_7291;
BgL_classz00_7291 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4933))
{ /* Llib/ssl.scm 1151 */
 BgL_objectz00_bglt BgL_arg1799z00_7293; long BgL_arg1800z00_7294;
BgL_arg1799z00_7293 = 
(BgL_objectz00_bglt)(BgL_dhz00_4933); 
BgL_arg1800z00_7294 = 
BGL_CLASS_DEPTH(BgL_classz00_7291); 
{ /* Llib/ssl.scm 1151 */
 bool_t BgL_arg1794z00_7298; bool_t BgL_arg1795z00_7299;
{ /* Llib/ssl.scm 1151 */
 long BgL_idxz00_7303;
BgL_idxz00_7303 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7293); 
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_arg1791z00_7304;
{ /* Llib/ssl.scm 1151 */
 long BgL_arg1792z00_7305;
BgL_arg1792z00_7305 = 
(BgL_idxz00_7303+BgL_arg1800z00_7294); 
BgL_arg1791z00_7304 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7305); } 
BgL_arg1794z00_7298 = 
(BgL_arg1791z00_7304==BgL_classz00_7291); } } 
{ /* Llib/ssl.scm 1151 */
 bool_t BgL_res3450z00_7328;
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_oclassz00_7313;
{ /* Llib/ssl.scm 1151 */
 long BgL_arg1804z00_7319;
{ /* Llib/ssl.scm 1151 */
 long BgL_arg1805z00_7320;
BgL_arg1805z00_7320 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7293); 
BgL_arg1804z00_7319 = 
(BgL_arg1805z00_7320-OBJECT_TYPE); } 
BgL_oclassz00_7313 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7319); } 
{ /* Llib/ssl.scm 1151 */
 bool_t BgL__ortest_1111z00_7314;
BgL__ortest_1111z00_7314 = 
(BgL_classz00_7291==BgL_oclassz00_7313); 
if(BgL__ortest_1111z00_7314)
{ /* Llib/ssl.scm 1151 */
BgL_res3450z00_7328 = BgL__ortest_1111z00_7314; }  else 
{ /* Llib/ssl.scm 1151 */
 long BgL_odepthz00_7315;
BgL_odepthz00_7315 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7313); 
if(
(BgL_arg1800z00_7294<BgL_odepthz00_7315))
{ /* Llib/ssl.scm 1151 */
 obj_t BgL_arg1793z00_7317;
BgL_arg1793z00_7317 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7313, BgL_arg1800z00_7294); 
BgL_res3450z00_7328 = 
(BgL_arg1793z00_7317==BgL_classz00_7291); }  else 
{ /* Llib/ssl.scm 1151 */
BgL_res3450z00_7328 = ((bool_t)0); } } } } 
BgL_arg1795z00_7299 = BgL_res3450z00_7328; } 
BgL_test4289z00_12926 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7298, BgL_arg1795z00_7299); } }  else 
{ /* Llib/ssl.scm 1151 */
BgL_test4289z00_12926 = ((bool_t)0)
; } } 
if(BgL_test4289z00_12926)
{ /* Llib/ssl.scm 1151 */
BgL_auxz00_12925 = 
((BgL_dhz00_bglt)BgL_dhz00_4933)
; }  else 
{ 
 obj_t BgL_auxz00_12947;
BgL_auxz00_12947 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)46716)), BGl_string3391z00zz__ssl_sslz00, BGl_string3385z00zz__ssl_sslz00, BgL_dhz00_4933); 
FAILURE(BgL_auxz00_12947,BFALSE,BFALSE);} } 
return 
BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_auxz00_12925, BgL_auxz00_12951);} } 

}



/* dh-generate-key */
BGL_EXPORTED_DEF bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_118)
{
{ /* Llib/ssl.scm 1177 */
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_method1324z00_1746;
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_res2548z00_3480;
{ /* Llib/ssl.scm 1177 */
 long BgL_objzd2classzd2numz00_3451;
BgL_objzd2classzd2numz00_3451 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_118)); 
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_arg1801z00_3452;
BgL_arg1801z00_3452 = 
PROCEDURE_REF(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1177 */
 int BgL_offsetz00_3455;
BgL_offsetz00_3455 = 
(int)(BgL_objzd2classzd2numz00_3451); 
{ /* Llib/ssl.scm 1177 */
 long BgL_offsetz00_3456;
BgL_offsetz00_3456 = 
(
(long)(BgL_offsetz00_3455)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1177 */
 long BgL_modz00_3457;
BgL_modz00_3457 = 
(BgL_offsetz00_3456 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1177 */
 long BgL_restz00_3459;
BgL_restz00_3459 = 
(BgL_offsetz00_3456 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1177 */

{ /* Llib/ssl.scm 1177 */
 obj_t BgL_bucketz00_3461;
BgL_bucketz00_3461 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3452),BgL_modz00_3457); 
BgL_res2548z00_3480 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3461),BgL_restz00_3459); } } } } } } } } 
BgL_method1324z00_1746 = BgL_res2548z00_3480; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1324z00_1746)(BgL_method1324z00_1746, 
((obj_t)BgL_dhz00_118), BEOA));} } 

}



/* &dh-generate-key */
obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4935, obj_t BgL_dhz00_4936)
{
{ /* Llib/ssl.scm 1177 */
{ /* Llib/ssl.scm 1177 */
 bool_t BgL_tmpz00_12990;
{ /* Llib/ssl.scm 1177 */
 BgL_dhz00_bglt BgL_auxz00_12991;
{ /* Llib/ssl.scm 1177 */
 bool_t BgL_test4294z00_12992;
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_classz00_7329;
BgL_classz00_7329 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4936))
{ /* Llib/ssl.scm 1177 */
 BgL_objectz00_bglt BgL_arg1799z00_7331; long BgL_arg1800z00_7332;
BgL_arg1799z00_7331 = 
(BgL_objectz00_bglt)(BgL_dhz00_4936); 
BgL_arg1800z00_7332 = 
BGL_CLASS_DEPTH(BgL_classz00_7329); 
{ /* Llib/ssl.scm 1177 */
 bool_t BgL_arg1794z00_7336; bool_t BgL_arg1795z00_7337;
{ /* Llib/ssl.scm 1177 */
 long BgL_idxz00_7341;
BgL_idxz00_7341 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7331); 
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_arg1791z00_7342;
{ /* Llib/ssl.scm 1177 */
 long BgL_arg1792z00_7343;
BgL_arg1792z00_7343 = 
(BgL_idxz00_7341+BgL_arg1800z00_7332); 
BgL_arg1791z00_7342 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7343); } 
BgL_arg1794z00_7336 = 
(BgL_arg1791z00_7342==BgL_classz00_7329); } } 
{ /* Llib/ssl.scm 1177 */
 bool_t BgL_res3451z00_7366;
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_oclassz00_7351;
{ /* Llib/ssl.scm 1177 */
 long BgL_arg1804z00_7357;
{ /* Llib/ssl.scm 1177 */
 long BgL_arg1805z00_7358;
BgL_arg1805z00_7358 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7331); 
BgL_arg1804z00_7357 = 
(BgL_arg1805z00_7358-OBJECT_TYPE); } 
BgL_oclassz00_7351 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7357); } 
{ /* Llib/ssl.scm 1177 */
 bool_t BgL__ortest_1111z00_7352;
BgL__ortest_1111z00_7352 = 
(BgL_classz00_7329==BgL_oclassz00_7351); 
if(BgL__ortest_1111z00_7352)
{ /* Llib/ssl.scm 1177 */
BgL_res3451z00_7366 = BgL__ortest_1111z00_7352; }  else 
{ /* Llib/ssl.scm 1177 */
 long BgL_odepthz00_7353;
BgL_odepthz00_7353 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7351); 
if(
(BgL_arg1800z00_7332<BgL_odepthz00_7353))
{ /* Llib/ssl.scm 1177 */
 obj_t BgL_arg1793z00_7355;
BgL_arg1793z00_7355 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7351, BgL_arg1800z00_7332); 
BgL_res3451z00_7366 = 
(BgL_arg1793z00_7355==BgL_classz00_7329); }  else 
{ /* Llib/ssl.scm 1177 */
BgL_res3451z00_7366 = ((bool_t)0); } } } } 
BgL_arg1795z00_7337 = BgL_res3451z00_7366; } 
BgL_test4294z00_12992 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7336, BgL_arg1795z00_7337); } }  else 
{ /* Llib/ssl.scm 1177 */
BgL_test4294z00_12992 = ((bool_t)0)
; } } 
if(BgL_test4294z00_12992)
{ /* Llib/ssl.scm 1177 */
BgL_auxz00_12991 = 
((BgL_dhz00_bglt)BgL_dhz00_4936)
; }  else 
{ 
 obj_t BgL_auxz00_13013;
BgL_auxz00_13013 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)47513)), BGl_string3392z00zz__ssl_sslz00, BGl_string3385z00zz__ssl_sslz00, BgL_dhz00_4936); 
FAILURE(BgL_auxz00_13013,BFALSE,BFALSE);} } 
BgL_tmpz00_12990 = 
BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_auxz00_12991); } 
return 
BBOOL(BgL_tmpz00_12990);} } 

}



/* ssl-hash-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_119)
{
{ /* Llib/ssl.scm 1188 */
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_method1326z00_1747;
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_res2553z00_3511;
{ /* Llib/ssl.scm 1188 */
 long BgL_objzd2classzd2numz00_3482;
BgL_objzd2classzd2numz00_3482 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_119)); 
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_arg1801z00_3483;
BgL_arg1801z00_3483 = 
PROCEDURE_REF(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1188 */
 int BgL_offsetz00_3486;
BgL_offsetz00_3486 = 
(int)(BgL_objzd2classzd2numz00_3482); 
{ /* Llib/ssl.scm 1188 */
 long BgL_offsetz00_3487;
BgL_offsetz00_3487 = 
(
(long)(BgL_offsetz00_3486)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1188 */
 long BgL_modz00_3488;
BgL_modz00_3488 = 
(BgL_offsetz00_3487 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1188 */
 long BgL_restz00_3490;
BgL_restz00_3490 = 
(BgL_offsetz00_3487 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1188 */

{ /* Llib/ssl.scm 1188 */
 obj_t BgL_bucketz00_3492;
BgL_bucketz00_3492 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3483),BgL_modz00_3488); 
BgL_res2553z00_3511 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3492),BgL_restz00_3490); } } } } } } } } 
BgL_method1326z00_1747 = BgL_res2553z00_3511; } 
return 
PROCEDURE_ENTRY(BgL_method1326z00_1747)(BgL_method1326z00_1747, 
((obj_t)BgL_sslzd2hashzd2_119), BEOA);} } 

}



/* &ssl-hash-init */
obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4593, obj_t BgL_sslzd2hashzd2_4594)
{
{ /* Llib/ssl.scm 1188 */
{ /* Llib/ssl.scm 1188 */
 BgL_sslzd2hashzd2_bglt BgL_auxz00_13049;
{ /* Llib/ssl.scm 1188 */
 bool_t BgL_test4298z00_13050;
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_classz00_7367;
BgL_classz00_7367 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4594))
{ /* Llib/ssl.scm 1188 */
 BgL_objectz00_bglt BgL_arg1799z00_7369; long BgL_arg1800z00_7370;
BgL_arg1799z00_7369 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4594); 
BgL_arg1800z00_7370 = 
BGL_CLASS_DEPTH(BgL_classz00_7367); 
{ /* Llib/ssl.scm 1188 */
 bool_t BgL_arg1794z00_7374; bool_t BgL_arg1795z00_7375;
{ /* Llib/ssl.scm 1188 */
 long BgL_idxz00_7379;
BgL_idxz00_7379 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7369); 
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_arg1791z00_7380;
{ /* Llib/ssl.scm 1188 */
 long BgL_arg1792z00_7381;
BgL_arg1792z00_7381 = 
(BgL_idxz00_7379+BgL_arg1800z00_7370); 
BgL_arg1791z00_7380 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7381); } 
BgL_arg1794z00_7374 = 
(BgL_arg1791z00_7380==BgL_classz00_7367); } } 
{ /* Llib/ssl.scm 1188 */
 bool_t BgL_res3452z00_7404;
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_oclassz00_7389;
{ /* Llib/ssl.scm 1188 */
 long BgL_arg1804z00_7395;
{ /* Llib/ssl.scm 1188 */
 long BgL_arg1805z00_7396;
BgL_arg1805z00_7396 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7369); 
BgL_arg1804z00_7395 = 
(BgL_arg1805z00_7396-OBJECT_TYPE); } 
BgL_oclassz00_7389 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7395); } 
{ /* Llib/ssl.scm 1188 */
 bool_t BgL__ortest_1111z00_7390;
BgL__ortest_1111z00_7390 = 
(BgL_classz00_7367==BgL_oclassz00_7389); 
if(BgL__ortest_1111z00_7390)
{ /* Llib/ssl.scm 1188 */
BgL_res3452z00_7404 = BgL__ortest_1111z00_7390; }  else 
{ /* Llib/ssl.scm 1188 */
 long BgL_odepthz00_7391;
BgL_odepthz00_7391 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7389); 
if(
(BgL_arg1800z00_7370<BgL_odepthz00_7391))
{ /* Llib/ssl.scm 1188 */
 obj_t BgL_arg1793z00_7393;
BgL_arg1793z00_7393 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7389, BgL_arg1800z00_7370); 
BgL_res3452z00_7404 = 
(BgL_arg1793z00_7393==BgL_classz00_7367); }  else 
{ /* Llib/ssl.scm 1188 */
BgL_res3452z00_7404 = ((bool_t)0); } } } } 
BgL_arg1795z00_7375 = BgL_res3452z00_7404; } 
BgL_test4298z00_13050 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7374, BgL_arg1795z00_7375); } }  else 
{ /* Llib/ssl.scm 1188 */
BgL_test4298z00_13050 = ((bool_t)0)
; } } 
if(BgL_test4298z00_13050)
{ /* Llib/ssl.scm 1188 */
BgL_auxz00_13049 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4594)
; }  else 
{ 
 obj_t BgL_auxz00_13071;
BgL_auxz00_13071 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)47920)), BGl_string3393z00zz__ssl_sslz00, BGl_string3351z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4594); 
FAILURE(BgL_auxz00_13071,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_auxz00_13049);} } 

}



/* ssl-hash-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_120, obj_t BgL_dataz00_121, long BgL_offsetz00_122, long BgL_lenz00_123)
{
{ /* Llib/ssl.scm 1200 */
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_method1328z00_1748;
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_res2558z00_3542;
{ /* Llib/ssl.scm 1200 */
 long BgL_objzd2classzd2numz00_3513;
BgL_objzd2classzd2numz00_3513 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_120)); 
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_arg1801z00_3514;
BgL_arg1801z00_3514 = 
PROCEDURE_REF(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1200 */
 int BgL_offsetz00_3517;
BgL_offsetz00_3517 = 
(int)(BgL_objzd2classzd2numz00_3513); 
{ /* Llib/ssl.scm 1200 */
 long BgL_offsetz00_3518;
BgL_offsetz00_3518 = 
(
(long)(BgL_offsetz00_3517)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1200 */
 long BgL_modz00_3519;
BgL_modz00_3519 = 
(BgL_offsetz00_3518 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1200 */
 long BgL_restz00_3521;
BgL_restz00_3521 = 
(BgL_offsetz00_3518 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1200 */

{ /* Llib/ssl.scm 1200 */
 obj_t BgL_bucketz00_3523;
BgL_bucketz00_3523 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3514),BgL_modz00_3519); 
BgL_res2558z00_3542 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3523),BgL_restz00_3521); } } } } } } } } 
BgL_method1328z00_1748 = BgL_res2558z00_3542; } 
return 
PROCEDURE_ENTRY(BgL_method1328z00_1748)(BgL_method1328z00_1748, 
((obj_t)BgL_sslzd2hashzd2_120), BgL_dataz00_121, 
BINT(BgL_offsetz00_122), 
BINT(BgL_lenz00_123), BEOA);} } 

}



/* &ssl-hash-update! */
obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4937, obj_t BgL_sslzd2hashzd2_4938, obj_t BgL_dataz00_4939, obj_t BgL_offsetz00_4940, obj_t BgL_lenz00_4941)
{
{ /* Llib/ssl.scm 1200 */
{ /* Llib/ssl.scm 1200 */
 long BgL_auxz00_13153; long BgL_auxz00_13144; obj_t BgL_auxz00_13137; BgL_sslzd2hashzd2_bglt BgL_auxz00_13111;
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_tmpz00_13154;
if(
INTEGERP(BgL_lenz00_4941))
{ /* Llib/ssl.scm 1200 */
BgL_tmpz00_13154 = BgL_lenz00_4941
; }  else 
{ 
 obj_t BgL_auxz00_13157;
BgL_auxz00_13157 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3394z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4941); 
FAILURE(BgL_auxz00_13157,BFALSE,BFALSE);} 
BgL_auxz00_13153 = 
(long)CINT(BgL_tmpz00_13154); } 
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_tmpz00_13145;
if(
INTEGERP(BgL_offsetz00_4940))
{ /* Llib/ssl.scm 1200 */
BgL_tmpz00_13145 = BgL_offsetz00_4940
; }  else 
{ 
 obj_t BgL_auxz00_13148;
BgL_auxz00_13148 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3394z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4940); 
FAILURE(BgL_auxz00_13148,BFALSE,BFALSE);} 
BgL_auxz00_13144 = 
(long)CINT(BgL_tmpz00_13145); } 
if(
STRINGP(BgL_dataz00_4939))
{ /* Llib/ssl.scm 1200 */
BgL_auxz00_13137 = BgL_dataz00_4939
; }  else 
{ 
 obj_t BgL_auxz00_13140;
BgL_auxz00_13140 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3394z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_dataz00_4939); 
FAILURE(BgL_auxz00_13140,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1200 */
 bool_t BgL_test4302z00_13112;
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_classz00_7405;
BgL_classz00_7405 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4938))
{ /* Llib/ssl.scm 1200 */
 BgL_objectz00_bglt BgL_arg1799z00_7407; long BgL_arg1800z00_7408;
BgL_arg1799z00_7407 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4938); 
BgL_arg1800z00_7408 = 
BGL_CLASS_DEPTH(BgL_classz00_7405); 
{ /* Llib/ssl.scm 1200 */
 bool_t BgL_arg1794z00_7412; bool_t BgL_arg1795z00_7413;
{ /* Llib/ssl.scm 1200 */
 long BgL_idxz00_7417;
BgL_idxz00_7417 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7407); 
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_arg1791z00_7418;
{ /* Llib/ssl.scm 1200 */
 long BgL_arg1792z00_7419;
BgL_arg1792z00_7419 = 
(BgL_idxz00_7417+BgL_arg1800z00_7408); 
BgL_arg1791z00_7418 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7419); } 
BgL_arg1794z00_7412 = 
(BgL_arg1791z00_7418==BgL_classz00_7405); } } 
{ /* Llib/ssl.scm 1200 */
 bool_t BgL_res3453z00_7442;
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_oclassz00_7427;
{ /* Llib/ssl.scm 1200 */
 long BgL_arg1804z00_7433;
{ /* Llib/ssl.scm 1200 */
 long BgL_arg1805z00_7434;
BgL_arg1805z00_7434 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7407); 
BgL_arg1804z00_7433 = 
(BgL_arg1805z00_7434-OBJECT_TYPE); } 
BgL_oclassz00_7427 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7433); } 
{ /* Llib/ssl.scm 1200 */
 bool_t BgL__ortest_1111z00_7428;
BgL__ortest_1111z00_7428 = 
(BgL_classz00_7405==BgL_oclassz00_7427); 
if(BgL__ortest_1111z00_7428)
{ /* Llib/ssl.scm 1200 */
BgL_res3453z00_7442 = BgL__ortest_1111z00_7428; }  else 
{ /* Llib/ssl.scm 1200 */
 long BgL_odepthz00_7429;
BgL_odepthz00_7429 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7427); 
if(
(BgL_arg1800z00_7408<BgL_odepthz00_7429))
{ /* Llib/ssl.scm 1200 */
 obj_t BgL_arg1793z00_7431;
BgL_arg1793z00_7431 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7427, BgL_arg1800z00_7408); 
BgL_res3453z00_7442 = 
(BgL_arg1793z00_7431==BgL_classz00_7405); }  else 
{ /* Llib/ssl.scm 1200 */
BgL_res3453z00_7442 = ((bool_t)0); } } } } 
BgL_arg1795z00_7413 = BgL_res3453z00_7442; } 
BgL_test4302z00_13112 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7412, BgL_arg1795z00_7413); } }  else 
{ /* Llib/ssl.scm 1200 */
BgL_test4302z00_13112 = ((bool_t)0)
; } } 
if(BgL_test4302z00_13112)
{ /* Llib/ssl.scm 1200 */
BgL_auxz00_13111 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4938)
; }  else 
{ 
 obj_t BgL_auxz00_13133;
BgL_auxz00_13133 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)48375)), BGl_string3394z00zz__ssl_sslz00, BGl_string3351z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4938); 
FAILURE(BgL_auxz00_13133,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13111, BgL_auxz00_13137, BgL_auxz00_13144, BgL_auxz00_13153);} } 

}



/* ssl-hash-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_124)
{
{ /* Llib/ssl.scm 1212 */
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_method1330z00_1749;
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_res2563z00_3573;
{ /* Llib/ssl.scm 1212 */
 long BgL_objzd2classzd2numz00_3544;
BgL_objzd2classzd2numz00_3544 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_124)); 
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_arg1801z00_3545;
BgL_arg1801z00_3545 = 
PROCEDURE_REF(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1212 */
 int BgL_offsetz00_3548;
BgL_offsetz00_3548 = 
(int)(BgL_objzd2classzd2numz00_3544); 
{ /* Llib/ssl.scm 1212 */
 long BgL_offsetz00_3549;
BgL_offsetz00_3549 = 
(
(long)(BgL_offsetz00_3548)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1212 */
 long BgL_modz00_3550;
BgL_modz00_3550 = 
(BgL_offsetz00_3549 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1212 */
 long BgL_restz00_3552;
BgL_restz00_3552 = 
(BgL_offsetz00_3549 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1212 */

{ /* Llib/ssl.scm 1212 */
 obj_t BgL_bucketz00_3554;
BgL_bucketz00_3554 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3545),BgL_modz00_3550); 
BgL_res2563z00_3573 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3554),BgL_restz00_3552); } } } } } } } } 
BgL_method1330z00_1749 = BgL_res2563z00_3573; } 
return 
PROCEDURE_ENTRY(BgL_method1330z00_1749)(BgL_method1330z00_1749, 
((obj_t)BgL_sslzd2hashzd2_124), BEOA);} } 

}



/* &ssl-hash-digest */
obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4942, obj_t BgL_sslzd2hashzd2_4943)
{
{ /* Llib/ssl.scm 1212 */
{ /* Llib/ssl.scm 1212 */
 BgL_sslzd2hashzd2_bglt BgL_auxz00_13193;
{ /* Llib/ssl.scm 1212 */
 bool_t BgL_test4309z00_13194;
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_classz00_7443;
BgL_classz00_7443 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4943))
{ /* Llib/ssl.scm 1212 */
 BgL_objectz00_bglt BgL_arg1799z00_7445; long BgL_arg1800z00_7446;
BgL_arg1799z00_7445 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4943); 
BgL_arg1800z00_7446 = 
BGL_CLASS_DEPTH(BgL_classz00_7443); 
{ /* Llib/ssl.scm 1212 */
 bool_t BgL_arg1794z00_7450; bool_t BgL_arg1795z00_7451;
{ /* Llib/ssl.scm 1212 */
 long BgL_idxz00_7455;
BgL_idxz00_7455 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7445); 
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_arg1791z00_7456;
{ /* Llib/ssl.scm 1212 */
 long BgL_arg1792z00_7457;
BgL_arg1792z00_7457 = 
(BgL_idxz00_7455+BgL_arg1800z00_7446); 
BgL_arg1791z00_7456 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7457); } 
BgL_arg1794z00_7450 = 
(BgL_arg1791z00_7456==BgL_classz00_7443); } } 
{ /* Llib/ssl.scm 1212 */
 bool_t BgL_res3454z00_7480;
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_oclassz00_7465;
{ /* Llib/ssl.scm 1212 */
 long BgL_arg1804z00_7471;
{ /* Llib/ssl.scm 1212 */
 long BgL_arg1805z00_7472;
BgL_arg1805z00_7472 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7445); 
BgL_arg1804z00_7471 = 
(BgL_arg1805z00_7472-OBJECT_TYPE); } 
BgL_oclassz00_7465 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7471); } 
{ /* Llib/ssl.scm 1212 */
 bool_t BgL__ortest_1111z00_7466;
BgL__ortest_1111z00_7466 = 
(BgL_classz00_7443==BgL_oclassz00_7465); 
if(BgL__ortest_1111z00_7466)
{ /* Llib/ssl.scm 1212 */
BgL_res3454z00_7480 = BgL__ortest_1111z00_7466; }  else 
{ /* Llib/ssl.scm 1212 */
 long BgL_odepthz00_7467;
BgL_odepthz00_7467 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7465); 
if(
(BgL_arg1800z00_7446<BgL_odepthz00_7467))
{ /* Llib/ssl.scm 1212 */
 obj_t BgL_arg1793z00_7469;
BgL_arg1793z00_7469 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7465, BgL_arg1800z00_7446); 
BgL_res3454z00_7480 = 
(BgL_arg1793z00_7469==BgL_classz00_7443); }  else 
{ /* Llib/ssl.scm 1212 */
BgL_res3454z00_7480 = ((bool_t)0); } } } } 
BgL_arg1795z00_7451 = BgL_res3454z00_7480; } 
BgL_test4309z00_13194 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7450, BgL_arg1795z00_7451); } }  else 
{ /* Llib/ssl.scm 1212 */
BgL_test4309z00_13194 = ((bool_t)0)
; } } 
if(BgL_test4309z00_13194)
{ /* Llib/ssl.scm 1212 */
BgL_auxz00_13193 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4943)
; }  else 
{ 
 obj_t BgL_auxz00_13215;
BgL_auxz00_13215 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)48871)), BGl_string3395z00zz__ssl_sslz00, BGl_string3351z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4943); 
FAILURE(BgL_auxz00_13215,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_auxz00_13193);} } 

}



/* ssl-hmac-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_125, obj_t BgL_hmacz00_126, obj_t BgL_keyz00_127)
{
{ /* Llib/ssl.scm 1223 */
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_method1332z00_1750;
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_res2568z00_3604;
{ /* Llib/ssl.scm 1223 */
 long BgL_objzd2classzd2numz00_3575;
BgL_objzd2classzd2numz00_3575 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_125)); 
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_arg1801z00_3576;
BgL_arg1801z00_3576 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1223 */
 int BgL_offsetz00_3579;
BgL_offsetz00_3579 = 
(int)(BgL_objzd2classzd2numz00_3575); 
{ /* Llib/ssl.scm 1223 */
 long BgL_offsetz00_3580;
BgL_offsetz00_3580 = 
(
(long)(BgL_offsetz00_3579)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1223 */
 long BgL_modz00_3581;
BgL_modz00_3581 = 
(BgL_offsetz00_3580 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1223 */
 long BgL_restz00_3583;
BgL_restz00_3583 = 
(BgL_offsetz00_3580 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1223 */

{ /* Llib/ssl.scm 1223 */
 obj_t BgL_bucketz00_3585;
BgL_bucketz00_3585 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3576),BgL_modz00_3581); 
BgL_res2568z00_3604 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3585),BgL_restz00_3583); } } } } } } } } 
BgL_method1332z00_1750 = BgL_res2568z00_3604; } 
return 
PROCEDURE_ENTRY(BgL_method1332z00_1750)(BgL_method1332z00_1750, 
((obj_t)BgL_sslzd2hmaczd2_125), BgL_hmacz00_126, BgL_keyz00_127, BEOA);} } 

}



/* &ssl-hmac-init */
obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4944, obj_t BgL_sslzd2hmaczd2_4945, obj_t BgL_hmacz00_4946, obj_t BgL_keyz00_4947)
{
{ /* Llib/ssl.scm 1223 */
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_auxz00_13285; obj_t BgL_auxz00_13278; BgL_sslzd2hmaczd2_bglt BgL_auxz00_13252;
if(
STRINGP(BgL_keyz00_4947))
{ /* Llib/ssl.scm 1223 */
BgL_auxz00_13285 = BgL_keyz00_4947
; }  else 
{ 
 obj_t BgL_auxz00_13288;
BgL_auxz00_13288 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)49317)), BGl_string3396z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_keyz00_4947); 
FAILURE(BgL_auxz00_13288,BFALSE,BFALSE);} 
if(
STRINGP(BgL_hmacz00_4946))
{ /* Llib/ssl.scm 1223 */
BgL_auxz00_13278 = BgL_hmacz00_4946
; }  else 
{ 
 obj_t BgL_auxz00_13281;
BgL_auxz00_13281 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)49317)), BGl_string3396z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_hmacz00_4946); 
FAILURE(BgL_auxz00_13281,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1223 */
 bool_t BgL_test4313z00_13253;
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_classz00_7481;
BgL_classz00_7481 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4945))
{ /* Llib/ssl.scm 1223 */
 BgL_objectz00_bglt BgL_arg1799z00_7483; long BgL_arg1800z00_7484;
BgL_arg1799z00_7483 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4945); 
BgL_arg1800z00_7484 = 
BGL_CLASS_DEPTH(BgL_classz00_7481); 
{ /* Llib/ssl.scm 1223 */
 bool_t BgL_arg1794z00_7488; bool_t BgL_arg1795z00_7489;
{ /* Llib/ssl.scm 1223 */
 long BgL_idxz00_7493;
BgL_idxz00_7493 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7483); 
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_arg1791z00_7494;
{ /* Llib/ssl.scm 1223 */
 long BgL_arg1792z00_7495;
BgL_arg1792z00_7495 = 
(BgL_idxz00_7493+BgL_arg1800z00_7484); 
BgL_arg1791z00_7494 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7495); } 
BgL_arg1794z00_7488 = 
(BgL_arg1791z00_7494==BgL_classz00_7481); } } 
{ /* Llib/ssl.scm 1223 */
 bool_t BgL_res3455z00_7518;
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_oclassz00_7503;
{ /* Llib/ssl.scm 1223 */
 long BgL_arg1804z00_7509;
{ /* Llib/ssl.scm 1223 */
 long BgL_arg1805z00_7510;
BgL_arg1805z00_7510 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7483); 
BgL_arg1804z00_7509 = 
(BgL_arg1805z00_7510-OBJECT_TYPE); } 
BgL_oclassz00_7503 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7509); } 
{ /* Llib/ssl.scm 1223 */
 bool_t BgL__ortest_1111z00_7504;
BgL__ortest_1111z00_7504 = 
(BgL_classz00_7481==BgL_oclassz00_7503); 
if(BgL__ortest_1111z00_7504)
{ /* Llib/ssl.scm 1223 */
BgL_res3455z00_7518 = BgL__ortest_1111z00_7504; }  else 
{ /* Llib/ssl.scm 1223 */
 long BgL_odepthz00_7505;
BgL_odepthz00_7505 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7503); 
if(
(BgL_arg1800z00_7484<BgL_odepthz00_7505))
{ /* Llib/ssl.scm 1223 */
 obj_t BgL_arg1793z00_7507;
BgL_arg1793z00_7507 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7503, BgL_arg1800z00_7484); 
BgL_res3455z00_7518 = 
(BgL_arg1793z00_7507==BgL_classz00_7481); }  else 
{ /* Llib/ssl.scm 1223 */
BgL_res3455z00_7518 = ((bool_t)0); } } } } 
BgL_arg1795z00_7489 = BgL_res3455z00_7518; } 
BgL_test4313z00_13253 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7488, BgL_arg1795z00_7489); } }  else 
{ /* Llib/ssl.scm 1223 */
BgL_test4313z00_13253 = ((bool_t)0)
; } } 
if(BgL_test4313z00_13253)
{ /* Llib/ssl.scm 1223 */
BgL_auxz00_13252 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4945)
; }  else 
{ 
 obj_t BgL_auxz00_13274;
BgL_auxz00_13274 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)49317)), BGl_string3396z00zz__ssl_sslz00, BGl_string3347z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4945); 
FAILURE(BgL_auxz00_13274,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_auxz00_13252, BgL_auxz00_13278, BgL_auxz00_13285);} } 

}



/* ssl-hmac-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_128, obj_t BgL_dataz00_129, long BgL_offsetz00_130, long BgL_lenz00_131)
{
{ /* Llib/ssl.scm 1235 */
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_method1334z00_1751;
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_res2573z00_3635;
{ /* Llib/ssl.scm 1235 */
 long BgL_objzd2classzd2numz00_3606;
BgL_objzd2classzd2numz00_3606 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_128)); 
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_arg1801z00_3607;
BgL_arg1801z00_3607 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1235 */
 int BgL_offsetz00_3610;
BgL_offsetz00_3610 = 
(int)(BgL_objzd2classzd2numz00_3606); 
{ /* Llib/ssl.scm 1235 */
 long BgL_offsetz00_3611;
BgL_offsetz00_3611 = 
(
(long)(BgL_offsetz00_3610)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1235 */
 long BgL_modz00_3612;
BgL_modz00_3612 = 
(BgL_offsetz00_3611 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1235 */
 long BgL_restz00_3614;
BgL_restz00_3614 = 
(BgL_offsetz00_3611 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1235 */

{ /* Llib/ssl.scm 1235 */
 obj_t BgL_bucketz00_3616;
BgL_bucketz00_3616 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3607),BgL_modz00_3612); 
BgL_res2573z00_3635 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3616),BgL_restz00_3614); } } } } } } } } 
BgL_method1334z00_1751 = BgL_res2573z00_3635; } 
return 
PROCEDURE_ENTRY(BgL_method1334z00_1751)(BgL_method1334z00_1751, 
((obj_t)BgL_sslzd2hmaczd2_128), BgL_dataz00_129, 
BINT(BgL_offsetz00_130), 
BINT(BgL_lenz00_131), BEOA);} } 

}



/* &ssl-hmac-update! */
obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4948, obj_t BgL_sslzd2hmaczd2_4949, obj_t BgL_dataz00_4950, obj_t BgL_offsetz00_4951, obj_t BgL_lenz00_4952)
{
{ /* Llib/ssl.scm 1235 */
{ /* Llib/ssl.scm 1235 */
 long BgL_auxz00_13370; long BgL_auxz00_13361; obj_t BgL_auxz00_13354; BgL_sslzd2hmaczd2_bglt BgL_auxz00_13328;
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_tmpz00_13371;
if(
INTEGERP(BgL_lenz00_4952))
{ /* Llib/ssl.scm 1235 */
BgL_tmpz00_13371 = BgL_lenz00_4952
; }  else 
{ 
 obj_t BgL_auxz00_13374;
BgL_auxz00_13374 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3397z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4952); 
FAILURE(BgL_auxz00_13374,BFALSE,BFALSE);} 
BgL_auxz00_13370 = 
(long)CINT(BgL_tmpz00_13371); } 
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_tmpz00_13362;
if(
INTEGERP(BgL_offsetz00_4951))
{ /* Llib/ssl.scm 1235 */
BgL_tmpz00_13362 = BgL_offsetz00_4951
; }  else 
{ 
 obj_t BgL_auxz00_13365;
BgL_auxz00_13365 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3397z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4951); 
FAILURE(BgL_auxz00_13365,BFALSE,BFALSE);} 
BgL_auxz00_13361 = 
(long)CINT(BgL_tmpz00_13362); } 
if(
STRINGP(BgL_dataz00_4950))
{ /* Llib/ssl.scm 1235 */
BgL_auxz00_13354 = BgL_dataz00_4950
; }  else 
{ 
 obj_t BgL_auxz00_13357;
BgL_auxz00_13357 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3397z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_dataz00_4950); 
FAILURE(BgL_auxz00_13357,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1235 */
 bool_t BgL_test4319z00_13329;
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_classz00_7519;
BgL_classz00_7519 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4949))
{ /* Llib/ssl.scm 1235 */
 BgL_objectz00_bglt BgL_arg1799z00_7521; long BgL_arg1800z00_7522;
BgL_arg1799z00_7521 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4949); 
BgL_arg1800z00_7522 = 
BGL_CLASS_DEPTH(BgL_classz00_7519); 
{ /* Llib/ssl.scm 1235 */
 bool_t BgL_arg1794z00_7526; bool_t BgL_arg1795z00_7527;
{ /* Llib/ssl.scm 1235 */
 long BgL_idxz00_7531;
BgL_idxz00_7531 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7521); 
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_arg1791z00_7532;
{ /* Llib/ssl.scm 1235 */
 long BgL_arg1792z00_7533;
BgL_arg1792z00_7533 = 
(BgL_idxz00_7531+BgL_arg1800z00_7522); 
BgL_arg1791z00_7532 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7533); } 
BgL_arg1794z00_7526 = 
(BgL_arg1791z00_7532==BgL_classz00_7519); } } 
{ /* Llib/ssl.scm 1235 */
 bool_t BgL_res3456z00_7556;
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_oclassz00_7541;
{ /* Llib/ssl.scm 1235 */
 long BgL_arg1804z00_7547;
{ /* Llib/ssl.scm 1235 */
 long BgL_arg1805z00_7548;
BgL_arg1805z00_7548 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7521); 
BgL_arg1804z00_7547 = 
(BgL_arg1805z00_7548-OBJECT_TYPE); } 
BgL_oclassz00_7541 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7547); } 
{ /* Llib/ssl.scm 1235 */
 bool_t BgL__ortest_1111z00_7542;
BgL__ortest_1111z00_7542 = 
(BgL_classz00_7519==BgL_oclassz00_7541); 
if(BgL__ortest_1111z00_7542)
{ /* Llib/ssl.scm 1235 */
BgL_res3456z00_7556 = BgL__ortest_1111z00_7542; }  else 
{ /* Llib/ssl.scm 1235 */
 long BgL_odepthz00_7543;
BgL_odepthz00_7543 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7541); 
if(
(BgL_arg1800z00_7522<BgL_odepthz00_7543))
{ /* Llib/ssl.scm 1235 */
 obj_t BgL_arg1793z00_7545;
BgL_arg1793z00_7545 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7541, BgL_arg1800z00_7522); 
BgL_res3456z00_7556 = 
(BgL_arg1793z00_7545==BgL_classz00_7519); }  else 
{ /* Llib/ssl.scm 1235 */
BgL_res3456z00_7556 = ((bool_t)0); } } } } 
BgL_arg1795z00_7527 = BgL_res3456z00_7556; } 
BgL_test4319z00_13329 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7526, BgL_arg1795z00_7527); } }  else 
{ /* Llib/ssl.scm 1235 */
BgL_test4319z00_13329 = ((bool_t)0)
; } } 
if(BgL_test4319z00_13329)
{ /* Llib/ssl.scm 1235 */
BgL_auxz00_13328 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4949)
; }  else 
{ 
 obj_t BgL_auxz00_13350;
BgL_auxz00_13350 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)49786)), BGl_string3397z00zz__ssl_sslz00, BGl_string3347z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4949); 
FAILURE(BgL_auxz00_13350,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13328, BgL_auxz00_13354, BgL_auxz00_13361, BgL_auxz00_13370);} } 

}



/* ssl-hmac-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_132)
{
{ /* Llib/ssl.scm 1247 */
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_method1336z00_1752;
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_res2578z00_3666;
{ /* Llib/ssl.scm 1247 */
 long BgL_objzd2classzd2numz00_3637;
BgL_objzd2classzd2numz00_3637 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_132)); 
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_arg1801z00_3638;
BgL_arg1801z00_3638 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1247 */
 int BgL_offsetz00_3641;
BgL_offsetz00_3641 = 
(int)(BgL_objzd2classzd2numz00_3637); 
{ /* Llib/ssl.scm 1247 */
 long BgL_offsetz00_3642;
BgL_offsetz00_3642 = 
(
(long)(BgL_offsetz00_3641)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1247 */
 long BgL_modz00_3643;
BgL_modz00_3643 = 
(BgL_offsetz00_3642 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1247 */
 long BgL_restz00_3645;
BgL_restz00_3645 = 
(BgL_offsetz00_3642 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1247 */

{ /* Llib/ssl.scm 1247 */
 obj_t BgL_bucketz00_3647;
BgL_bucketz00_3647 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3638),BgL_modz00_3643); 
BgL_res2578z00_3666 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3647),BgL_restz00_3645); } } } } } } } } 
BgL_method1336z00_1752 = BgL_res2578z00_3666; } 
return 
PROCEDURE_ENTRY(BgL_method1336z00_1752)(BgL_method1336z00_1752, 
((obj_t)BgL_sslzd2hmaczd2_132), BEOA);} } 

}



/* &ssl-hmac-digest */
obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4953, obj_t BgL_sslzd2hmaczd2_4954)
{
{ /* Llib/ssl.scm 1247 */
{ /* Llib/ssl.scm 1247 */
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_13410;
{ /* Llib/ssl.scm 1247 */
 bool_t BgL_test4326z00_13411;
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_classz00_7557;
BgL_classz00_7557 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4954))
{ /* Llib/ssl.scm 1247 */
 BgL_objectz00_bglt BgL_arg1799z00_7559; long BgL_arg1800z00_7560;
BgL_arg1799z00_7559 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4954); 
BgL_arg1800z00_7560 = 
BGL_CLASS_DEPTH(BgL_classz00_7557); 
{ /* Llib/ssl.scm 1247 */
 bool_t BgL_arg1794z00_7564; bool_t BgL_arg1795z00_7565;
{ /* Llib/ssl.scm 1247 */
 long BgL_idxz00_7569;
BgL_idxz00_7569 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7559); 
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_arg1791z00_7570;
{ /* Llib/ssl.scm 1247 */
 long BgL_arg1792z00_7571;
BgL_arg1792z00_7571 = 
(BgL_idxz00_7569+BgL_arg1800z00_7560); 
BgL_arg1791z00_7570 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7571); } 
BgL_arg1794z00_7564 = 
(BgL_arg1791z00_7570==BgL_classz00_7557); } } 
{ /* Llib/ssl.scm 1247 */
 bool_t BgL_res3457z00_7594;
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_oclassz00_7579;
{ /* Llib/ssl.scm 1247 */
 long BgL_arg1804z00_7585;
{ /* Llib/ssl.scm 1247 */
 long BgL_arg1805z00_7586;
BgL_arg1805z00_7586 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7559); 
BgL_arg1804z00_7585 = 
(BgL_arg1805z00_7586-OBJECT_TYPE); } 
BgL_oclassz00_7579 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7585); } 
{ /* Llib/ssl.scm 1247 */
 bool_t BgL__ortest_1111z00_7580;
BgL__ortest_1111z00_7580 = 
(BgL_classz00_7557==BgL_oclassz00_7579); 
if(BgL__ortest_1111z00_7580)
{ /* Llib/ssl.scm 1247 */
BgL_res3457z00_7594 = BgL__ortest_1111z00_7580; }  else 
{ /* Llib/ssl.scm 1247 */
 long BgL_odepthz00_7581;
BgL_odepthz00_7581 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7579); 
if(
(BgL_arg1800z00_7560<BgL_odepthz00_7581))
{ /* Llib/ssl.scm 1247 */
 obj_t BgL_arg1793z00_7583;
BgL_arg1793z00_7583 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7579, BgL_arg1800z00_7560); 
BgL_res3457z00_7594 = 
(BgL_arg1793z00_7583==BgL_classz00_7557); }  else 
{ /* Llib/ssl.scm 1247 */
BgL_res3457z00_7594 = ((bool_t)0); } } } } 
BgL_arg1795z00_7565 = BgL_res3457z00_7594; } 
BgL_test4326z00_13411 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7564, BgL_arg1795z00_7565); } }  else 
{ /* Llib/ssl.scm 1247 */
BgL_test4326z00_13411 = ((bool_t)0)
; } } 
if(BgL_test4326z00_13411)
{ /* Llib/ssl.scm 1247 */
BgL_auxz00_13410 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4954)
; }  else 
{ 
 obj_t BgL_auxz00_13432;
BgL_auxz00_13432 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)50282)), BGl_string3398z00zz__ssl_sslz00, BGl_string3347z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4954); 
FAILURE(BgL_auxz00_13432,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_auxz00_13410);} } 

}



/* ssl-sign-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_133, obj_t BgL_signz00_134)
{
{ /* Llib/ssl.scm 1258 */
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_method1338z00_1753;
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_res2583z00_3697;
{ /* Llib/ssl.scm 1258 */
 long BgL_objzd2classzd2numz00_3668;
BgL_objzd2classzd2numz00_3668 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_133)); 
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_arg1801z00_3669;
BgL_arg1801z00_3669 = 
PROCEDURE_REF(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1258 */
 int BgL_offsetz00_3672;
BgL_offsetz00_3672 = 
(int)(BgL_objzd2classzd2numz00_3668); 
{ /* Llib/ssl.scm 1258 */
 long BgL_offsetz00_3673;
BgL_offsetz00_3673 = 
(
(long)(BgL_offsetz00_3672)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1258 */
 long BgL_modz00_3674;
BgL_modz00_3674 = 
(BgL_offsetz00_3673 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1258 */
 long BgL_restz00_3676;
BgL_restz00_3676 = 
(BgL_offsetz00_3673 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1258 */

{ /* Llib/ssl.scm 1258 */
 obj_t BgL_bucketz00_3678;
BgL_bucketz00_3678 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3669),BgL_modz00_3674); 
BgL_res2583z00_3697 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3678),BgL_restz00_3676); } } } } } } } } 
BgL_method1338z00_1753 = BgL_res2583z00_3697; } 
return 
PROCEDURE_ENTRY(BgL_method1338z00_1753)(BgL_method1338z00_1753, 
((obj_t)BgL_sslzd2signzd2_133), BgL_signz00_134, BEOA);} } 

}



/* &ssl-sign-init */
obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4955, obj_t BgL_sslzd2signzd2_4956, obj_t BgL_signz00_4957)
{
{ /* Llib/ssl.scm 1258 */
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_auxz00_13494; BgL_sslzd2signzd2_bglt BgL_auxz00_13468;
if(
STRINGP(BgL_signz00_4957))
{ /* Llib/ssl.scm 1258 */
BgL_auxz00_13494 = BgL_signz00_4957
; }  else 
{ 
 obj_t BgL_auxz00_13497;
BgL_auxz00_13497 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)50728)), BGl_string3399z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_signz00_4957); 
FAILURE(BgL_auxz00_13497,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1258 */
 bool_t BgL_test4330z00_13469;
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_classz00_7595;
BgL_classz00_7595 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4956))
{ /* Llib/ssl.scm 1258 */
 BgL_objectz00_bglt BgL_arg1799z00_7597; long BgL_arg1800z00_7598;
BgL_arg1799z00_7597 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4956); 
BgL_arg1800z00_7598 = 
BGL_CLASS_DEPTH(BgL_classz00_7595); 
{ /* Llib/ssl.scm 1258 */
 bool_t BgL_arg1794z00_7602; bool_t BgL_arg1795z00_7603;
{ /* Llib/ssl.scm 1258 */
 long BgL_idxz00_7607;
BgL_idxz00_7607 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7597); 
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_arg1791z00_7608;
{ /* Llib/ssl.scm 1258 */
 long BgL_arg1792z00_7609;
BgL_arg1792z00_7609 = 
(BgL_idxz00_7607+BgL_arg1800z00_7598); 
BgL_arg1791z00_7608 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7609); } 
BgL_arg1794z00_7602 = 
(BgL_arg1791z00_7608==BgL_classz00_7595); } } 
{ /* Llib/ssl.scm 1258 */
 bool_t BgL_res3458z00_7632;
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_oclassz00_7617;
{ /* Llib/ssl.scm 1258 */
 long BgL_arg1804z00_7623;
{ /* Llib/ssl.scm 1258 */
 long BgL_arg1805z00_7624;
BgL_arg1805z00_7624 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7597); 
BgL_arg1804z00_7623 = 
(BgL_arg1805z00_7624-OBJECT_TYPE); } 
BgL_oclassz00_7617 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7623); } 
{ /* Llib/ssl.scm 1258 */
 bool_t BgL__ortest_1111z00_7618;
BgL__ortest_1111z00_7618 = 
(BgL_classz00_7595==BgL_oclassz00_7617); 
if(BgL__ortest_1111z00_7618)
{ /* Llib/ssl.scm 1258 */
BgL_res3458z00_7632 = BgL__ortest_1111z00_7618; }  else 
{ /* Llib/ssl.scm 1258 */
 long BgL_odepthz00_7619;
BgL_odepthz00_7619 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7617); 
if(
(BgL_arg1800z00_7598<BgL_odepthz00_7619))
{ /* Llib/ssl.scm 1258 */
 obj_t BgL_arg1793z00_7621;
BgL_arg1793z00_7621 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7617, BgL_arg1800z00_7598); 
BgL_res3458z00_7632 = 
(BgL_arg1793z00_7621==BgL_classz00_7595); }  else 
{ /* Llib/ssl.scm 1258 */
BgL_res3458z00_7632 = ((bool_t)0); } } } } 
BgL_arg1795z00_7603 = BgL_res3458z00_7632; } 
BgL_test4330z00_13469 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7602, BgL_arg1795z00_7603); } }  else 
{ /* Llib/ssl.scm 1258 */
BgL_test4330z00_13469 = ((bool_t)0)
; } } 
if(BgL_test4330z00_13469)
{ /* Llib/ssl.scm 1258 */
BgL_auxz00_13468 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4956)
; }  else 
{ 
 obj_t BgL_auxz00_13490;
BgL_auxz00_13490 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)50728)), BGl_string3399z00zz__ssl_sslz00, BGl_string3342z00zz__ssl_sslz00, BgL_sslzd2signzd2_4956); 
FAILURE(BgL_auxz00_13490,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_auxz00_13468, BgL_auxz00_13494);} } 

}



/* ssl-sign-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_135, obj_t BgL_dataz00_136, long BgL_offsetz00_137, long BgL_lenz00_138)
{
{ /* Llib/ssl.scm 1270 */
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_method1340z00_1754;
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_res2588z00_3728;
{ /* Llib/ssl.scm 1270 */
 long BgL_objzd2classzd2numz00_3699;
BgL_objzd2classzd2numz00_3699 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_135)); 
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_arg1801z00_3700;
BgL_arg1801z00_3700 = 
PROCEDURE_REF(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1270 */
 int BgL_offsetz00_3703;
BgL_offsetz00_3703 = 
(int)(BgL_objzd2classzd2numz00_3699); 
{ /* Llib/ssl.scm 1270 */
 long BgL_offsetz00_3704;
BgL_offsetz00_3704 = 
(
(long)(BgL_offsetz00_3703)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1270 */
 long BgL_modz00_3705;
BgL_modz00_3705 = 
(BgL_offsetz00_3704 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1270 */
 long BgL_restz00_3707;
BgL_restz00_3707 = 
(BgL_offsetz00_3704 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1270 */

{ /* Llib/ssl.scm 1270 */
 obj_t BgL_bucketz00_3709;
BgL_bucketz00_3709 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3700),BgL_modz00_3705); 
BgL_res2588z00_3728 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3709),BgL_restz00_3707); } } } } } } } } 
BgL_method1340z00_1754 = BgL_res2588z00_3728; } 
return 
PROCEDURE_ENTRY(BgL_method1340z00_1754)(BgL_method1340z00_1754, 
((obj_t)BgL_sslzd2signzd2_135), BgL_dataz00_136, 
BINT(BgL_offsetz00_137), 
BINT(BgL_lenz00_138), BEOA);} } 

}



/* &ssl-sign-update! */
obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4958, obj_t BgL_sslzd2signzd2_4959, obj_t BgL_dataz00_4960, obj_t BgL_offsetz00_4961, obj_t BgL_lenz00_4962)
{
{ /* Llib/ssl.scm 1270 */
{ /* Llib/ssl.scm 1270 */
 long BgL_auxz00_13579; long BgL_auxz00_13570; obj_t BgL_auxz00_13563; BgL_sslzd2signzd2_bglt BgL_auxz00_13537;
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_tmpz00_13580;
if(
INTEGERP(BgL_lenz00_4962))
{ /* Llib/ssl.scm 1270 */
BgL_tmpz00_13580 = BgL_lenz00_4962
; }  else 
{ 
 obj_t BgL_auxz00_13583;
BgL_auxz00_13583 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3400z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4962); 
FAILURE(BgL_auxz00_13583,BFALSE,BFALSE);} 
BgL_auxz00_13579 = 
(long)CINT(BgL_tmpz00_13580); } 
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_tmpz00_13571;
if(
INTEGERP(BgL_offsetz00_4961))
{ /* Llib/ssl.scm 1270 */
BgL_tmpz00_13571 = BgL_offsetz00_4961
; }  else 
{ 
 obj_t BgL_auxz00_13574;
BgL_auxz00_13574 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3400z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4961); 
FAILURE(BgL_auxz00_13574,BFALSE,BFALSE);} 
BgL_auxz00_13570 = 
(long)CINT(BgL_tmpz00_13571); } 
if(
STRINGP(BgL_dataz00_4960))
{ /* Llib/ssl.scm 1270 */
BgL_auxz00_13563 = BgL_dataz00_4960
; }  else 
{ 
 obj_t BgL_auxz00_13566;
BgL_auxz00_13566 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3400z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_dataz00_4960); 
FAILURE(BgL_auxz00_13566,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1270 */
 bool_t BgL_test4335z00_13538;
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_classz00_7633;
BgL_classz00_7633 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4959))
{ /* Llib/ssl.scm 1270 */
 BgL_objectz00_bglt BgL_arg1799z00_7635; long BgL_arg1800z00_7636;
BgL_arg1799z00_7635 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4959); 
BgL_arg1800z00_7636 = 
BGL_CLASS_DEPTH(BgL_classz00_7633); 
{ /* Llib/ssl.scm 1270 */
 bool_t BgL_arg1794z00_7640; bool_t BgL_arg1795z00_7641;
{ /* Llib/ssl.scm 1270 */
 long BgL_idxz00_7645;
BgL_idxz00_7645 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7635); 
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_arg1791z00_7646;
{ /* Llib/ssl.scm 1270 */
 long BgL_arg1792z00_7647;
BgL_arg1792z00_7647 = 
(BgL_idxz00_7645+BgL_arg1800z00_7636); 
BgL_arg1791z00_7646 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7647); } 
BgL_arg1794z00_7640 = 
(BgL_arg1791z00_7646==BgL_classz00_7633); } } 
{ /* Llib/ssl.scm 1270 */
 bool_t BgL_res3459z00_7670;
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_oclassz00_7655;
{ /* Llib/ssl.scm 1270 */
 long BgL_arg1804z00_7661;
{ /* Llib/ssl.scm 1270 */
 long BgL_arg1805z00_7662;
BgL_arg1805z00_7662 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7635); 
BgL_arg1804z00_7661 = 
(BgL_arg1805z00_7662-OBJECT_TYPE); } 
BgL_oclassz00_7655 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7661); } 
{ /* Llib/ssl.scm 1270 */
 bool_t BgL__ortest_1111z00_7656;
BgL__ortest_1111z00_7656 = 
(BgL_classz00_7633==BgL_oclassz00_7655); 
if(BgL__ortest_1111z00_7656)
{ /* Llib/ssl.scm 1270 */
BgL_res3459z00_7670 = BgL__ortest_1111z00_7656; }  else 
{ /* Llib/ssl.scm 1270 */
 long BgL_odepthz00_7657;
BgL_odepthz00_7657 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7655); 
if(
(BgL_arg1800z00_7636<BgL_odepthz00_7657))
{ /* Llib/ssl.scm 1270 */
 obj_t BgL_arg1793z00_7659;
BgL_arg1793z00_7659 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7655, BgL_arg1800z00_7636); 
BgL_res3459z00_7670 = 
(BgL_arg1793z00_7659==BgL_classz00_7633); }  else 
{ /* Llib/ssl.scm 1270 */
BgL_res3459z00_7670 = ((bool_t)0); } } } } 
BgL_arg1795z00_7641 = BgL_res3459z00_7670; } 
BgL_test4335z00_13538 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7640, BgL_arg1795z00_7641); } }  else 
{ /* Llib/ssl.scm 1270 */
BgL_test4335z00_13538 = ((bool_t)0)
; } } 
if(BgL_test4335z00_13538)
{ /* Llib/ssl.scm 1270 */
BgL_auxz00_13537 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4959)
; }  else 
{ 
 obj_t BgL_auxz00_13559;
BgL_auxz00_13559 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)51191)), BGl_string3400z00zz__ssl_sslz00, BGl_string3342z00zz__ssl_sslz00, BgL_sslzd2signzd2_4959); 
FAILURE(BgL_auxz00_13559,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13537, BgL_auxz00_13563, BgL_auxz00_13570, BgL_auxz00_13579);} } 

}



/* ssl-sign-sign */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_139, obj_t BgL_keyz00_140, long BgL_offsetz00_141, long BgL_lenz00_142)
{
{ /* Llib/ssl.scm 1282 */
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_method1342z00_1755;
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_res2593z00_3759;
{ /* Llib/ssl.scm 1282 */
 long BgL_objzd2classzd2numz00_3730;
BgL_objzd2classzd2numz00_3730 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_139)); 
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_arg1801z00_3731;
BgL_arg1801z00_3731 = 
PROCEDURE_REF(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1282 */
 int BgL_offsetz00_3734;
BgL_offsetz00_3734 = 
(int)(BgL_objzd2classzd2numz00_3730); 
{ /* Llib/ssl.scm 1282 */
 long BgL_offsetz00_3735;
BgL_offsetz00_3735 = 
(
(long)(BgL_offsetz00_3734)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1282 */
 long BgL_modz00_3736;
BgL_modz00_3736 = 
(BgL_offsetz00_3735 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1282 */
 long BgL_restz00_3738;
BgL_restz00_3738 = 
(BgL_offsetz00_3735 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1282 */

{ /* Llib/ssl.scm 1282 */
 obj_t BgL_bucketz00_3740;
BgL_bucketz00_3740 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3731),BgL_modz00_3736); 
BgL_res2593z00_3759 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3740),BgL_restz00_3738); } } } } } } } } 
BgL_method1342z00_1755 = BgL_res2593z00_3759; } 
return 
PROCEDURE_ENTRY(BgL_method1342z00_1755)(BgL_method1342z00_1755, 
((obj_t)BgL_sslzd2signzd2_139), BgL_keyz00_140, 
BINT(BgL_offsetz00_141), 
BINT(BgL_lenz00_142), BEOA);} } 

}



/* &ssl-sign-sign */
obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t BgL_envz00_4963, obj_t BgL_sslzd2signzd2_4964, obj_t BgL_keyz00_4965, obj_t BgL_offsetz00_4966, obj_t BgL_lenz00_4967)
{
{ /* Llib/ssl.scm 1282 */
{ /* Llib/ssl.scm 1282 */
 long BgL_auxz00_13666; long BgL_auxz00_13657; obj_t BgL_auxz00_13650; BgL_sslzd2signzd2_bglt BgL_auxz00_13624;
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_tmpz00_13667;
if(
INTEGERP(BgL_lenz00_4967))
{ /* Llib/ssl.scm 1282 */
BgL_tmpz00_13667 = BgL_lenz00_4967
; }  else 
{ 
 obj_t BgL_auxz00_13670;
BgL_auxz00_13670 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3401z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4967); 
FAILURE(BgL_auxz00_13670,BFALSE,BFALSE);} 
BgL_auxz00_13666 = 
(long)CINT(BgL_tmpz00_13667); } 
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_tmpz00_13658;
if(
INTEGERP(BgL_offsetz00_4966))
{ /* Llib/ssl.scm 1282 */
BgL_tmpz00_13658 = BgL_offsetz00_4966
; }  else 
{ 
 obj_t BgL_auxz00_13661;
BgL_auxz00_13661 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3401z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4966); 
FAILURE(BgL_auxz00_13661,BFALSE,BFALSE);} 
BgL_auxz00_13657 = 
(long)CINT(BgL_tmpz00_13658); } 
if(
STRINGP(BgL_keyz00_4965))
{ /* Llib/ssl.scm 1282 */
BgL_auxz00_13650 = BgL_keyz00_4965
; }  else 
{ 
 obj_t BgL_auxz00_13653;
BgL_auxz00_13653 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3401z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_keyz00_4965); 
FAILURE(BgL_auxz00_13653,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1282 */
 bool_t BgL_test4342z00_13625;
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_classz00_7671;
BgL_classz00_7671 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4964))
{ /* Llib/ssl.scm 1282 */
 BgL_objectz00_bglt BgL_arg1799z00_7673; long BgL_arg1800z00_7674;
BgL_arg1799z00_7673 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4964); 
BgL_arg1800z00_7674 = 
BGL_CLASS_DEPTH(BgL_classz00_7671); 
{ /* Llib/ssl.scm 1282 */
 bool_t BgL_arg1794z00_7678; bool_t BgL_arg1795z00_7679;
{ /* Llib/ssl.scm 1282 */
 long BgL_idxz00_7683;
BgL_idxz00_7683 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7673); 
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_arg1791z00_7684;
{ /* Llib/ssl.scm 1282 */
 long BgL_arg1792z00_7685;
BgL_arg1792z00_7685 = 
(BgL_idxz00_7683+BgL_arg1800z00_7674); 
BgL_arg1791z00_7684 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7685); } 
BgL_arg1794z00_7678 = 
(BgL_arg1791z00_7684==BgL_classz00_7671); } } 
{ /* Llib/ssl.scm 1282 */
 bool_t BgL_res3460z00_7708;
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_oclassz00_7693;
{ /* Llib/ssl.scm 1282 */
 long BgL_arg1804z00_7699;
{ /* Llib/ssl.scm 1282 */
 long BgL_arg1805z00_7700;
BgL_arg1805z00_7700 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7673); 
BgL_arg1804z00_7699 = 
(BgL_arg1805z00_7700-OBJECT_TYPE); } 
BgL_oclassz00_7693 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7699); } 
{ /* Llib/ssl.scm 1282 */
 bool_t BgL__ortest_1111z00_7694;
BgL__ortest_1111z00_7694 = 
(BgL_classz00_7671==BgL_oclassz00_7693); 
if(BgL__ortest_1111z00_7694)
{ /* Llib/ssl.scm 1282 */
BgL_res3460z00_7708 = BgL__ortest_1111z00_7694; }  else 
{ /* Llib/ssl.scm 1282 */
 long BgL_odepthz00_7695;
BgL_odepthz00_7695 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7693); 
if(
(BgL_arg1800z00_7674<BgL_odepthz00_7695))
{ /* Llib/ssl.scm 1282 */
 obj_t BgL_arg1793z00_7697;
BgL_arg1793z00_7697 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7693, BgL_arg1800z00_7674); 
BgL_res3460z00_7708 = 
(BgL_arg1793z00_7697==BgL_classz00_7671); }  else 
{ /* Llib/ssl.scm 1282 */
BgL_res3460z00_7708 = ((bool_t)0); } } } } 
BgL_arg1795z00_7679 = BgL_res3460z00_7708; } 
BgL_test4342z00_13625 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7678, BgL_arg1795z00_7679); } }  else 
{ /* Llib/ssl.scm 1282 */
BgL_test4342z00_13625 = ((bool_t)0)
; } } 
if(BgL_test4342z00_13625)
{ /* Llib/ssl.scm 1282 */
BgL_auxz00_13624 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4964)
; }  else 
{ 
 obj_t BgL_auxz00_13646;
BgL_auxz00_13646 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)51687)), BGl_string3401z00zz__ssl_sslz00, BGl_string3342z00zz__ssl_sslz00, BgL_sslzd2signzd2_4964); 
FAILURE(BgL_auxz00_13646,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_auxz00_13624, BgL_auxz00_13650, BgL_auxz00_13657, BgL_auxz00_13666);} } 

}



/* ssl-verify-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_143, obj_t BgL_verifyz00_144)
{
{ /* Llib/ssl.scm 1293 */
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_method1344z00_1756;
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_res2598z00_3790;
{ /* Llib/ssl.scm 1293 */
 long BgL_objzd2classzd2numz00_3761;
BgL_objzd2classzd2numz00_3761 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_143)); 
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_arg1801z00_3762;
BgL_arg1801z00_3762 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1293 */
 int BgL_offsetz00_3765;
BgL_offsetz00_3765 = 
(int)(BgL_objzd2classzd2numz00_3761); 
{ /* Llib/ssl.scm 1293 */
 long BgL_offsetz00_3766;
BgL_offsetz00_3766 = 
(
(long)(BgL_offsetz00_3765)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1293 */
 long BgL_modz00_3767;
BgL_modz00_3767 = 
(BgL_offsetz00_3766 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1293 */
 long BgL_restz00_3769;
BgL_restz00_3769 = 
(BgL_offsetz00_3766 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1293 */

{ /* Llib/ssl.scm 1293 */
 obj_t BgL_bucketz00_3771;
BgL_bucketz00_3771 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3762),BgL_modz00_3767); 
BgL_res2598z00_3790 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3771),BgL_restz00_3769); } } } } } } } } 
BgL_method1344z00_1756 = BgL_res2598z00_3790; } 
return 
PROCEDURE_ENTRY(BgL_method1344z00_1756)(BgL_method1344z00_1756, 
((obj_t)BgL_sslzd2verifyzd2_143), BgL_verifyz00_144, BEOA);} } 

}



/* &ssl-verify-init */
obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4968, obj_t BgL_sslzd2verifyzd2_4969, obj_t BgL_verifyz00_4970)
{
{ /* Llib/ssl.scm 1293 */
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_auxz00_13733; BgL_sslzd2verifyzd2_bglt BgL_auxz00_13707;
if(
STRINGP(BgL_verifyz00_4970))
{ /* Llib/ssl.scm 1293 */
BgL_auxz00_13733 = BgL_verifyz00_4970
; }  else 
{ 
 obj_t BgL_auxz00_13736;
BgL_auxz00_13736 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)52164)), BGl_string3402z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_verifyz00_4970); 
FAILURE(BgL_auxz00_13736,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1293 */
 bool_t BgL_test4349z00_13708;
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_classz00_7709;
BgL_classz00_7709 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_4969))
{ /* Llib/ssl.scm 1293 */
 BgL_objectz00_bglt BgL_arg1799z00_7711; long BgL_arg1800z00_7712;
BgL_arg1799z00_7711 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_4969); 
BgL_arg1800z00_7712 = 
BGL_CLASS_DEPTH(BgL_classz00_7709); 
{ /* Llib/ssl.scm 1293 */
 bool_t BgL_arg1794z00_7716; bool_t BgL_arg1795z00_7717;
{ /* Llib/ssl.scm 1293 */
 long BgL_idxz00_7721;
BgL_idxz00_7721 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7711); 
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_arg1791z00_7722;
{ /* Llib/ssl.scm 1293 */
 long BgL_arg1792z00_7723;
BgL_arg1792z00_7723 = 
(BgL_idxz00_7721+BgL_arg1800z00_7712); 
BgL_arg1791z00_7722 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7723); } 
BgL_arg1794z00_7716 = 
(BgL_arg1791z00_7722==BgL_classz00_7709); } } 
{ /* Llib/ssl.scm 1293 */
 bool_t BgL_res3461z00_7746;
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_oclassz00_7731;
{ /* Llib/ssl.scm 1293 */
 long BgL_arg1804z00_7737;
{ /* Llib/ssl.scm 1293 */
 long BgL_arg1805z00_7738;
BgL_arg1805z00_7738 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7711); 
BgL_arg1804z00_7737 = 
(BgL_arg1805z00_7738-OBJECT_TYPE); } 
BgL_oclassz00_7731 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7737); } 
{ /* Llib/ssl.scm 1293 */
 bool_t BgL__ortest_1111z00_7732;
BgL__ortest_1111z00_7732 = 
(BgL_classz00_7709==BgL_oclassz00_7731); 
if(BgL__ortest_1111z00_7732)
{ /* Llib/ssl.scm 1293 */
BgL_res3461z00_7746 = BgL__ortest_1111z00_7732; }  else 
{ /* Llib/ssl.scm 1293 */
 long BgL_odepthz00_7733;
BgL_odepthz00_7733 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7731); 
if(
(BgL_arg1800z00_7712<BgL_odepthz00_7733))
{ /* Llib/ssl.scm 1293 */
 obj_t BgL_arg1793z00_7735;
BgL_arg1793z00_7735 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7731, BgL_arg1800z00_7712); 
BgL_res3461z00_7746 = 
(BgL_arg1793z00_7735==BgL_classz00_7709); }  else 
{ /* Llib/ssl.scm 1293 */
BgL_res3461z00_7746 = ((bool_t)0); } } } } 
BgL_arg1795z00_7717 = BgL_res3461z00_7746; } 
BgL_test4349z00_13708 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7716, BgL_arg1795z00_7717); } }  else 
{ /* Llib/ssl.scm 1293 */
BgL_test4349z00_13708 = ((bool_t)0)
; } } 
if(BgL_test4349z00_13708)
{ /* Llib/ssl.scm 1293 */
BgL_auxz00_13707 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4969)
; }  else 
{ 
 obj_t BgL_auxz00_13729;
BgL_auxz00_13729 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)52164)), BGl_string3402z00zz__ssl_sslz00, BGl_string3337z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4969); 
FAILURE(BgL_auxz00_13729,BFALSE,BFALSE);} } 
return 
BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_auxz00_13707, BgL_auxz00_13733);} } 

}



/* ssl-verify-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_145, obj_t BgL_dataz00_146, long BgL_offsetz00_147, long BgL_lenz00_148)
{
{ /* Llib/ssl.scm 1305 */
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_method1346z00_1757;
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_res2603z00_3821;
{ /* Llib/ssl.scm 1305 */
 long BgL_objzd2classzd2numz00_3792;
BgL_objzd2classzd2numz00_3792 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_145)); 
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_arg1801z00_3793;
BgL_arg1801z00_3793 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1305 */
 int BgL_offsetz00_3796;
BgL_offsetz00_3796 = 
(int)(BgL_objzd2classzd2numz00_3792); 
{ /* Llib/ssl.scm 1305 */
 long BgL_offsetz00_3797;
BgL_offsetz00_3797 = 
(
(long)(BgL_offsetz00_3796)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1305 */
 long BgL_modz00_3798;
BgL_modz00_3798 = 
(BgL_offsetz00_3797 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1305 */
 long BgL_restz00_3800;
BgL_restz00_3800 = 
(BgL_offsetz00_3797 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1305 */

{ /* Llib/ssl.scm 1305 */
 obj_t BgL_bucketz00_3802;
BgL_bucketz00_3802 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3793),BgL_modz00_3798); 
BgL_res2603z00_3821 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3802),BgL_restz00_3800); } } } } } } } } 
BgL_method1346z00_1757 = BgL_res2603z00_3821; } 
return 
PROCEDURE_ENTRY(BgL_method1346z00_1757)(BgL_method1346z00_1757, 
((obj_t)BgL_sslzd2verifyzd2_145), BgL_dataz00_146, 
BINT(BgL_offsetz00_147), 
BINT(BgL_lenz00_148), BEOA);} } 

}



/* &ssl-verify-update! */
obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4971, obj_t BgL_sslzd2verifyzd2_4972, obj_t BgL_dataz00_4973, obj_t BgL_offsetz00_4974, obj_t BgL_lenz00_4975)
{
{ /* Llib/ssl.scm 1305 */
{ /* Llib/ssl.scm 1305 */
 long BgL_auxz00_13818; long BgL_auxz00_13809; obj_t BgL_auxz00_13802; BgL_sslzd2verifyzd2_bglt BgL_auxz00_13776;
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_tmpz00_13819;
if(
INTEGERP(BgL_lenz00_4975))
{ /* Llib/ssl.scm 1305 */
BgL_tmpz00_13819 = BgL_lenz00_4975
; }  else 
{ 
 obj_t BgL_auxz00_13822;
BgL_auxz00_13822 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3403z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4975); 
FAILURE(BgL_auxz00_13822,BFALSE,BFALSE);} 
BgL_auxz00_13818 = 
(long)CINT(BgL_tmpz00_13819); } 
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_tmpz00_13810;
if(
INTEGERP(BgL_offsetz00_4974))
{ /* Llib/ssl.scm 1305 */
BgL_tmpz00_13810 = BgL_offsetz00_4974
; }  else 
{ 
 obj_t BgL_auxz00_13813;
BgL_auxz00_13813 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3403z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4974); 
FAILURE(BgL_auxz00_13813,BFALSE,BFALSE);} 
BgL_auxz00_13809 = 
(long)CINT(BgL_tmpz00_13810); } 
if(
STRINGP(BgL_dataz00_4973))
{ /* Llib/ssl.scm 1305 */
BgL_auxz00_13802 = BgL_dataz00_4973
; }  else 
{ 
 obj_t BgL_auxz00_13805;
BgL_auxz00_13805 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3403z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_dataz00_4973); 
FAILURE(BgL_auxz00_13805,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1305 */
 bool_t BgL_test4354z00_13777;
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_classz00_7747;
BgL_classz00_7747 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_4972))
{ /* Llib/ssl.scm 1305 */
 BgL_objectz00_bglt BgL_arg1799z00_7749; long BgL_arg1800z00_7750;
BgL_arg1799z00_7749 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_4972); 
BgL_arg1800z00_7750 = 
BGL_CLASS_DEPTH(BgL_classz00_7747); 
{ /* Llib/ssl.scm 1305 */
 bool_t BgL_arg1794z00_7754; bool_t BgL_arg1795z00_7755;
{ /* Llib/ssl.scm 1305 */
 long BgL_idxz00_7759;
BgL_idxz00_7759 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7749); 
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_arg1791z00_7760;
{ /* Llib/ssl.scm 1305 */
 long BgL_arg1792z00_7761;
BgL_arg1792z00_7761 = 
(BgL_idxz00_7759+BgL_arg1800z00_7750); 
BgL_arg1791z00_7760 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7761); } 
BgL_arg1794z00_7754 = 
(BgL_arg1791z00_7760==BgL_classz00_7747); } } 
{ /* Llib/ssl.scm 1305 */
 bool_t BgL_res3462z00_7784;
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_oclassz00_7769;
{ /* Llib/ssl.scm 1305 */
 long BgL_arg1804z00_7775;
{ /* Llib/ssl.scm 1305 */
 long BgL_arg1805z00_7776;
BgL_arg1805z00_7776 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7749); 
BgL_arg1804z00_7775 = 
(BgL_arg1805z00_7776-OBJECT_TYPE); } 
BgL_oclassz00_7769 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7775); } 
{ /* Llib/ssl.scm 1305 */
 bool_t BgL__ortest_1111z00_7770;
BgL__ortest_1111z00_7770 = 
(BgL_classz00_7747==BgL_oclassz00_7769); 
if(BgL__ortest_1111z00_7770)
{ /* Llib/ssl.scm 1305 */
BgL_res3462z00_7784 = BgL__ortest_1111z00_7770; }  else 
{ /* Llib/ssl.scm 1305 */
 long BgL_odepthz00_7771;
BgL_odepthz00_7771 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7769); 
if(
(BgL_arg1800z00_7750<BgL_odepthz00_7771))
{ /* Llib/ssl.scm 1305 */
 obj_t BgL_arg1793z00_7773;
BgL_arg1793z00_7773 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7769, BgL_arg1800z00_7750); 
BgL_res3462z00_7784 = 
(BgL_arg1793z00_7773==BgL_classz00_7747); }  else 
{ /* Llib/ssl.scm 1305 */
BgL_res3462z00_7784 = ((bool_t)0); } } } } 
BgL_arg1795z00_7755 = BgL_res3462z00_7784; } 
BgL_test4354z00_13777 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7754, BgL_arg1795z00_7755); } }  else 
{ /* Llib/ssl.scm 1305 */
BgL_test4354z00_13777 = ((bool_t)0)
; } } 
if(BgL_test4354z00_13777)
{ /* Llib/ssl.scm 1305 */
BgL_auxz00_13776 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4972)
; }  else 
{ 
 obj_t BgL_auxz00_13798;
BgL_auxz00_13798 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)52649)), BGl_string3403z00zz__ssl_sslz00, BGl_string3337z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4972); 
FAILURE(BgL_auxz00_13798,BFALSE,BFALSE);} } 
return 
BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13776, BgL_auxz00_13802, BgL_auxz00_13809, BgL_auxz00_13818);} } 

}



/* ssl-verify-final */
BGL_EXPORTED_DEF bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_149, obj_t BgL_keyz00_150, long BgL_koffsetz00_151, long BgL_klenz00_152, obj_t BgL_sigz00_153, long BgL_soffsetz00_154, long BgL_slenz00_155)
{
{ /* Llib/ssl.scm 1317 */
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_method1348z00_1758;
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_res2608z00_3852;
{ /* Llib/ssl.scm 1317 */
 long BgL_objzd2classzd2numz00_3823;
BgL_objzd2classzd2numz00_3823 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_149)); 
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_arg1801z00_3824;
BgL_arg1801z00_3824 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1317 */
 int BgL_offsetz00_3827;
BgL_offsetz00_3827 = 
(int)(BgL_objzd2classzd2numz00_3823); 
{ /* Llib/ssl.scm 1317 */
 long BgL_offsetz00_3828;
BgL_offsetz00_3828 = 
(
(long)(BgL_offsetz00_3827)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1317 */
 long BgL_modz00_3829;
BgL_modz00_3829 = 
(BgL_offsetz00_3828 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1317 */
 long BgL_restz00_3831;
BgL_restz00_3831 = 
(BgL_offsetz00_3828 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1317 */

{ /* Llib/ssl.scm 1317 */
 obj_t BgL_bucketz00_3833;
BgL_bucketz00_3833 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3824),BgL_modz00_3829); 
BgL_res2608z00_3852 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3833),BgL_restz00_3831); } } } } } } } } 
BgL_method1348z00_1758 = BgL_res2608z00_3852; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1348z00_1758)(BgL_method1348z00_1758, 
((obj_t)BgL_sslzd2verifyzd2_149), BgL_keyz00_150, 
BINT(BgL_koffsetz00_151), 
BINT(BgL_klenz00_152), BgL_sigz00_153, 
BINT(BgL_soffsetz00_154), 
BINT(BgL_slenz00_155), BEOA));} } 

}



/* &ssl-verify-final */
obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_4976, obj_t BgL_sslzd2verifyzd2_4977, obj_t BgL_keyz00_4978, obj_t BgL_koffsetz00_4979, obj_t BgL_klenz00_4980, obj_t BgL_sigz00_4981, obj_t BgL_soffsetz00_4982, obj_t BgL_slenz00_4983)
{
{ /* Llib/ssl.scm 1317 */
{ /* Llib/ssl.scm 1317 */
 bool_t BgL_tmpz00_13869;
{ /* Llib/ssl.scm 1317 */
 long BgL_auxz00_13937; long BgL_auxz00_13928; obj_t BgL_auxz00_13921; long BgL_auxz00_13912; long BgL_auxz00_13903; obj_t BgL_auxz00_13896; BgL_sslzd2verifyzd2_bglt BgL_auxz00_13870;
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_tmpz00_13938;
if(
INTEGERP(BgL_slenz00_4983))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_13938 = BgL_slenz00_4983
; }  else 
{ 
 obj_t BgL_auxz00_13941;
BgL_auxz00_13941 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3404z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_slenz00_4983); 
FAILURE(BgL_auxz00_13941,BFALSE,BFALSE);} 
BgL_auxz00_13937 = 
(long)CINT(BgL_tmpz00_13938); } 
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_tmpz00_13929;
if(
INTEGERP(BgL_soffsetz00_4982))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_13929 = BgL_soffsetz00_4982
; }  else 
{ 
 obj_t BgL_auxz00_13932;
BgL_auxz00_13932 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3404z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_soffsetz00_4982); 
FAILURE(BgL_auxz00_13932,BFALSE,BFALSE);} 
BgL_auxz00_13928 = 
(long)CINT(BgL_tmpz00_13929); } 
if(
STRINGP(BgL_sigz00_4981))
{ /* Llib/ssl.scm 1317 */
BgL_auxz00_13921 = BgL_sigz00_4981
; }  else 
{ 
 obj_t BgL_auxz00_13924;
BgL_auxz00_13924 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3404z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_sigz00_4981); 
FAILURE(BgL_auxz00_13924,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_tmpz00_13913;
if(
INTEGERP(BgL_klenz00_4980))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_13913 = BgL_klenz00_4980
; }  else 
{ 
 obj_t BgL_auxz00_13916;
BgL_auxz00_13916 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3404z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_klenz00_4980); 
FAILURE(BgL_auxz00_13916,BFALSE,BFALSE);} 
BgL_auxz00_13912 = 
(long)CINT(BgL_tmpz00_13913); } 
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_tmpz00_13904;
if(
INTEGERP(BgL_koffsetz00_4979))
{ /* Llib/ssl.scm 1317 */
BgL_tmpz00_13904 = BgL_koffsetz00_4979
; }  else 
{ 
 obj_t BgL_auxz00_13907;
BgL_auxz00_13907 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3404z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_koffsetz00_4979); 
FAILURE(BgL_auxz00_13907,BFALSE,BFALSE);} 
BgL_auxz00_13903 = 
(long)CINT(BgL_tmpz00_13904); } 
if(
STRINGP(BgL_keyz00_4978))
{ /* Llib/ssl.scm 1317 */
BgL_auxz00_13896 = BgL_keyz00_4978
; }  else 
{ 
 obj_t BgL_auxz00_13899;
BgL_auxz00_13899 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3404z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_keyz00_4978); 
FAILURE(BgL_auxz00_13899,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1317 */
 bool_t BgL_test4361z00_13871;
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_classz00_7785;
BgL_classz00_7785 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_4977))
{ /* Llib/ssl.scm 1317 */
 BgL_objectz00_bglt BgL_arg1799z00_7787; long BgL_arg1800z00_7788;
BgL_arg1799z00_7787 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_4977); 
BgL_arg1800z00_7788 = 
BGL_CLASS_DEPTH(BgL_classz00_7785); 
{ /* Llib/ssl.scm 1317 */
 bool_t BgL_arg1794z00_7792; bool_t BgL_arg1795z00_7793;
{ /* Llib/ssl.scm 1317 */
 long BgL_idxz00_7797;
BgL_idxz00_7797 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7787); 
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_arg1791z00_7798;
{ /* Llib/ssl.scm 1317 */
 long BgL_arg1792z00_7799;
BgL_arg1792z00_7799 = 
(BgL_idxz00_7797+BgL_arg1800z00_7788); 
BgL_arg1791z00_7798 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7799); } 
BgL_arg1794z00_7792 = 
(BgL_arg1791z00_7798==BgL_classz00_7785); } } 
{ /* Llib/ssl.scm 1317 */
 bool_t BgL_res3463z00_7822;
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_oclassz00_7807;
{ /* Llib/ssl.scm 1317 */
 long BgL_arg1804z00_7813;
{ /* Llib/ssl.scm 1317 */
 long BgL_arg1805z00_7814;
BgL_arg1805z00_7814 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7787); 
BgL_arg1804z00_7813 = 
(BgL_arg1805z00_7814-OBJECT_TYPE); } 
BgL_oclassz00_7807 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7813); } 
{ /* Llib/ssl.scm 1317 */
 bool_t BgL__ortest_1111z00_7808;
BgL__ortest_1111z00_7808 = 
(BgL_classz00_7785==BgL_oclassz00_7807); 
if(BgL__ortest_1111z00_7808)
{ /* Llib/ssl.scm 1317 */
BgL_res3463z00_7822 = BgL__ortest_1111z00_7808; }  else 
{ /* Llib/ssl.scm 1317 */
 long BgL_odepthz00_7809;
BgL_odepthz00_7809 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7807); 
if(
(BgL_arg1800z00_7788<BgL_odepthz00_7809))
{ /* Llib/ssl.scm 1317 */
 obj_t BgL_arg1793z00_7811;
BgL_arg1793z00_7811 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7807, BgL_arg1800z00_7788); 
BgL_res3463z00_7822 = 
(BgL_arg1793z00_7811==BgL_classz00_7785); }  else 
{ /* Llib/ssl.scm 1317 */
BgL_res3463z00_7822 = ((bool_t)0); } } } } 
BgL_arg1795z00_7793 = BgL_res3463z00_7822; } 
BgL_test4361z00_13871 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7792, BgL_arg1795z00_7793); } }  else 
{ /* Llib/ssl.scm 1317 */
BgL_test4361z00_13871 = ((bool_t)0)
; } } 
if(BgL_test4361z00_13871)
{ /* Llib/ssl.scm 1317 */
BgL_auxz00_13870 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4977)
; }  else 
{ 
 obj_t BgL_auxz00_13892;
BgL_auxz00_13892 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53161)), BGl_string3404z00zz__ssl_sslz00, BGl_string3337z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4977); 
FAILURE(BgL_auxz00_13892,BFALSE,BFALSE);} } 
BgL_tmpz00_13869 = 
BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_auxz00_13870, BgL_auxz00_13896, BgL_auxz00_13903, BgL_auxz00_13912, BgL_auxz00_13921, BgL_auxz00_13928, BgL_auxz00_13937); } 
return 
BBOOL(BgL_tmpz00_13869);} } 

}



/* ssl-cipher-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_156, obj_t BgL_cipherz00_157, obj_t BgL_keyz00_158, long BgL_offsetz00_159, long BgL_lenz00_160, bool_t BgL_encz00_161)
{
{ /* Llib/ssl.scm 1331 */
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_method1350z00_1759;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_res2613z00_3883;
{ /* Llib/ssl.scm 1331 */
 long BgL_objzd2classzd2numz00_3854;
BgL_objzd2classzd2numz00_3854 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_156)); 
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1801z00_3855;
BgL_arg1801z00_3855 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1331 */
 int BgL_offsetz00_3858;
BgL_offsetz00_3858 = 
(int)(BgL_objzd2classzd2numz00_3854); 
{ /* Llib/ssl.scm 1331 */
 long BgL_offsetz00_3859;
BgL_offsetz00_3859 = 
(
(long)(BgL_offsetz00_3858)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1331 */
 long BgL_modz00_3860;
BgL_modz00_3860 = 
(BgL_offsetz00_3859 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1331 */
 long BgL_restz00_3862;
BgL_restz00_3862 = 
(BgL_offsetz00_3859 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1331 */

{ /* Llib/ssl.scm 1331 */
 obj_t BgL_bucketz00_3864;
BgL_bucketz00_3864 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3855),BgL_modz00_3860); 
BgL_res2613z00_3883 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3864),BgL_restz00_3862); } } } } } } } } 
BgL_method1350z00_1759 = BgL_res2613z00_3883; } 
return 
PROCEDURE_ENTRY(BgL_method1350z00_1759)(BgL_method1350z00_1759, 
((obj_t)BgL_sslzd2cipherzd2_156), BgL_cipherz00_157, BgL_keyz00_158, 
BINT(BgL_offsetz00_159), 
BINT(BgL_lenz00_160), 
BBOOL(BgL_encz00_161), BEOA);} } 

}



/* &ssl-cipher-init */
obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4984, obj_t BgL_sslzd2cipherzd2_4985, obj_t BgL_cipherz00_4986, obj_t BgL_keyz00_4987, obj_t BgL_offsetz00_4988, obj_t BgL_lenz00_4989, obj_t BgL_encz00_4990)
{
{ /* Llib/ssl.scm 1331 */
{ /* Llib/ssl.scm 1331 */
 long BgL_auxz00_14035; long BgL_auxz00_14026; obj_t BgL_auxz00_14019; obj_t BgL_auxz00_14012; BgL_sslzd2cipherzd2_bglt BgL_auxz00_13986;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_tmpz00_14036;
if(
INTEGERP(BgL_lenz00_4989))
{ /* Llib/ssl.scm 1331 */
BgL_tmpz00_14036 = BgL_lenz00_4989
; }  else 
{ 
 obj_t BgL_auxz00_14039;
BgL_auxz00_14039 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3405z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4989); 
FAILURE(BgL_auxz00_14039,BFALSE,BFALSE);} 
BgL_auxz00_14035 = 
(long)CINT(BgL_tmpz00_14036); } 
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_tmpz00_14027;
if(
INTEGERP(BgL_offsetz00_4988))
{ /* Llib/ssl.scm 1331 */
BgL_tmpz00_14027 = BgL_offsetz00_4988
; }  else 
{ 
 obj_t BgL_auxz00_14030;
BgL_auxz00_14030 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3405z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4988); 
FAILURE(BgL_auxz00_14030,BFALSE,BFALSE);} 
BgL_auxz00_14026 = 
(long)CINT(BgL_tmpz00_14027); } 
if(
STRINGP(BgL_keyz00_4987))
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_14019 = BgL_keyz00_4987
; }  else 
{ 
 obj_t BgL_auxz00_14022;
BgL_auxz00_14022 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3405z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_keyz00_4987); 
FAILURE(BgL_auxz00_14022,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_4986))
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_14012 = BgL_cipherz00_4986
; }  else 
{ 
 obj_t BgL_auxz00_14015;
BgL_auxz00_14015 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3405z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_cipherz00_4986); 
FAILURE(BgL_auxz00_14015,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1331 */
 bool_t BgL_test4371z00_13987;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_classz00_7823;
BgL_classz00_7823 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_4985))
{ /* Llib/ssl.scm 1331 */
 BgL_objectz00_bglt BgL_arg1799z00_7825; long BgL_arg1800z00_7826;
BgL_arg1799z00_7825 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_4985); 
BgL_arg1800z00_7826 = 
BGL_CLASS_DEPTH(BgL_classz00_7823); 
{ /* Llib/ssl.scm 1331 */
 bool_t BgL_arg1794z00_7830; bool_t BgL_arg1795z00_7831;
{ /* Llib/ssl.scm 1331 */
 long BgL_idxz00_7835;
BgL_idxz00_7835 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7825); 
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1791z00_7836;
{ /* Llib/ssl.scm 1331 */
 long BgL_arg1792z00_7837;
BgL_arg1792z00_7837 = 
(BgL_idxz00_7835+BgL_arg1800z00_7826); 
BgL_arg1791z00_7836 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7837); } 
BgL_arg1794z00_7830 = 
(BgL_arg1791z00_7836==BgL_classz00_7823); } } 
{ /* Llib/ssl.scm 1331 */
 bool_t BgL_res3464z00_7860;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_oclassz00_7845;
{ /* Llib/ssl.scm 1331 */
 long BgL_arg1804z00_7851;
{ /* Llib/ssl.scm 1331 */
 long BgL_arg1805z00_7852;
BgL_arg1805z00_7852 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7825); 
BgL_arg1804z00_7851 = 
(BgL_arg1805z00_7852-OBJECT_TYPE); } 
BgL_oclassz00_7845 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7851); } 
{ /* Llib/ssl.scm 1331 */
 bool_t BgL__ortest_1111z00_7846;
BgL__ortest_1111z00_7846 = 
(BgL_classz00_7823==BgL_oclassz00_7845); 
if(BgL__ortest_1111z00_7846)
{ /* Llib/ssl.scm 1331 */
BgL_res3464z00_7860 = BgL__ortest_1111z00_7846; }  else 
{ /* Llib/ssl.scm 1331 */
 long BgL_odepthz00_7847;
BgL_odepthz00_7847 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7845); 
if(
(BgL_arg1800z00_7826<BgL_odepthz00_7847))
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1793z00_7849;
BgL_arg1793z00_7849 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7845, BgL_arg1800z00_7826); 
BgL_res3464z00_7860 = 
(BgL_arg1793z00_7849==BgL_classz00_7823); }  else 
{ /* Llib/ssl.scm 1331 */
BgL_res3464z00_7860 = ((bool_t)0); } } } } 
BgL_arg1795z00_7831 = BgL_res3464z00_7860; } 
BgL_test4371z00_13987 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7830, BgL_arg1795z00_7831); } }  else 
{ /* Llib/ssl.scm 1331 */
BgL_test4371z00_13987 = ((bool_t)0)
; } } 
if(BgL_test4371z00_13987)
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_13986 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4985)
; }  else 
{ 
 obj_t BgL_auxz00_14008;
BgL_auxz00_14008 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)53644)), BGl_string3405z00zz__ssl_sslz00, BGl_string3406z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4985); 
FAILURE(BgL_auxz00_14008,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_auxz00_13986, BgL_auxz00_14012, BgL_auxz00_14019, BgL_auxz00_14026, BgL_auxz00_14035, 
CBOOL(BgL_encz00_4990));} } 

}



/* ssl-cipher-initiv */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_162, obj_t BgL_cipherz00_163, obj_t BgL_keyz00_164, long BgL_offsetz00_165, long BgL_lenz00_166, obj_t BgL_ivz00_167, long BgL_ivoffsetz00_168, long BgL_ivlenz00_169, bool_t BgL_encz00_170)
{
{ /* Llib/ssl.scm 1345 */
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_method1352z00_1760;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_res2618z00_3914;
{ /* Llib/ssl.scm 1345 */
 long BgL_objzd2classzd2numz00_3885;
BgL_objzd2classzd2numz00_3885 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_162)); 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1801z00_3886;
BgL_arg1801z00_3886 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1345 */
 int BgL_offsetz00_3889;
BgL_offsetz00_3889 = 
(int)(BgL_objzd2classzd2numz00_3885); 
{ /* Llib/ssl.scm 1345 */
 long BgL_offsetz00_3890;
BgL_offsetz00_3890 = 
(
(long)(BgL_offsetz00_3889)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1345 */
 long BgL_modz00_3891;
BgL_modz00_3891 = 
(BgL_offsetz00_3890 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1345 */
 long BgL_restz00_3893;
BgL_restz00_3893 = 
(BgL_offsetz00_3890 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1345 */

{ /* Llib/ssl.scm 1345 */
 obj_t BgL_bucketz00_3895;
BgL_bucketz00_3895 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3886),BgL_modz00_3891); 
BgL_res2618z00_3914 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3895),BgL_restz00_3893); } } } } } } } } 
BgL_method1352z00_1760 = BgL_res2618z00_3914; } 
return 
PROCEDURE_ENTRY(BgL_method1352z00_1760)(BgL_method1352z00_1760, 
((obj_t)BgL_sslzd2cipherzd2_162), BgL_cipherz00_163, BgL_keyz00_164, 
BINT(BgL_offsetz00_165), 
BINT(BgL_lenz00_166), BgL_ivz00_167, 
BINT(BgL_ivoffsetz00_168), 
BINT(BgL_ivlenz00_169), 
BBOOL(BgL_encz00_170), BEOA);} } 

}



/* &ssl-cipher-initiv */
obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t BgL_envz00_4991, obj_t BgL_sslzd2cipherzd2_4992, obj_t BgL_cipherz00_4993, obj_t BgL_keyz00_4994, obj_t BgL_offsetz00_4995, obj_t BgL_lenz00_4996, obj_t BgL_ivz00_4997, obj_t BgL_ivoffsetz00_4998, obj_t BgL_ivlenz00_4999, obj_t BgL_encz00_5000)
{
{ /* Llib/ssl.scm 1345 */
{ /* Llib/ssl.scm 1345 */
 long BgL_auxz00_14163; long BgL_auxz00_14154; obj_t BgL_auxz00_14147; long BgL_auxz00_14138; long BgL_auxz00_14129; obj_t BgL_auxz00_14122; obj_t BgL_auxz00_14115; BgL_sslzd2cipherzd2_bglt BgL_auxz00_14089;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_tmpz00_14164;
if(
INTEGERP(BgL_ivlenz00_4999))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_14164 = BgL_ivlenz00_4999
; }  else 
{ 
 obj_t BgL_auxz00_14167;
BgL_auxz00_14167 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3407z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_ivlenz00_4999); 
FAILURE(BgL_auxz00_14167,BFALSE,BFALSE);} 
BgL_auxz00_14163 = 
(long)CINT(BgL_tmpz00_14164); } 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_tmpz00_14155;
if(
INTEGERP(BgL_ivoffsetz00_4998))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_14155 = BgL_ivoffsetz00_4998
; }  else 
{ 
 obj_t BgL_auxz00_14158;
BgL_auxz00_14158 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3407z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_ivoffsetz00_4998); 
FAILURE(BgL_auxz00_14158,BFALSE,BFALSE);} 
BgL_auxz00_14154 = 
(long)CINT(BgL_tmpz00_14155); } 
if(
STRINGP(BgL_ivz00_4997))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_14147 = BgL_ivz00_4997
; }  else 
{ 
 obj_t BgL_auxz00_14150;
BgL_auxz00_14150 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3407z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_ivz00_4997); 
FAILURE(BgL_auxz00_14150,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_tmpz00_14139;
if(
INTEGERP(BgL_lenz00_4996))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_14139 = BgL_lenz00_4996
; }  else 
{ 
 obj_t BgL_auxz00_14142;
BgL_auxz00_14142 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3407z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_4996); 
FAILURE(BgL_auxz00_14142,BFALSE,BFALSE);} 
BgL_auxz00_14138 = 
(long)CINT(BgL_tmpz00_14139); } 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_tmpz00_14130;
if(
INTEGERP(BgL_offsetz00_4995))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_14130 = BgL_offsetz00_4995
; }  else 
{ 
 obj_t BgL_auxz00_14133;
BgL_auxz00_14133 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3407z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_4995); 
FAILURE(BgL_auxz00_14133,BFALSE,BFALSE);} 
BgL_auxz00_14129 = 
(long)CINT(BgL_tmpz00_14130); } 
if(
STRINGP(BgL_keyz00_4994))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_14122 = BgL_keyz00_4994
; }  else 
{ 
 obj_t BgL_auxz00_14125;
BgL_auxz00_14125 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3407z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_keyz00_4994); 
FAILURE(BgL_auxz00_14125,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_4993))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_14115 = BgL_cipherz00_4993
; }  else 
{ 
 obj_t BgL_auxz00_14118;
BgL_auxz00_14118 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3407z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_cipherz00_4993); 
FAILURE(BgL_auxz00_14118,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1345 */
 bool_t BgL_test4379z00_14090;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_classz00_7861;
BgL_classz00_7861 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_4992))
{ /* Llib/ssl.scm 1345 */
 BgL_objectz00_bglt BgL_arg1799z00_7863; long BgL_arg1800z00_7864;
BgL_arg1799z00_7863 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_4992); 
BgL_arg1800z00_7864 = 
BGL_CLASS_DEPTH(BgL_classz00_7861); 
{ /* Llib/ssl.scm 1345 */
 bool_t BgL_arg1794z00_7868; bool_t BgL_arg1795z00_7869;
{ /* Llib/ssl.scm 1345 */
 long BgL_idxz00_7873;
BgL_idxz00_7873 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7863); 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1791z00_7874;
{ /* Llib/ssl.scm 1345 */
 long BgL_arg1792z00_7875;
BgL_arg1792z00_7875 = 
(BgL_idxz00_7873+BgL_arg1800z00_7864); 
BgL_arg1791z00_7874 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7875); } 
BgL_arg1794z00_7868 = 
(BgL_arg1791z00_7874==BgL_classz00_7861); } } 
{ /* Llib/ssl.scm 1345 */
 bool_t BgL_res3465z00_7898;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_oclassz00_7883;
{ /* Llib/ssl.scm 1345 */
 long BgL_arg1804z00_7889;
{ /* Llib/ssl.scm 1345 */
 long BgL_arg1805z00_7890;
BgL_arg1805z00_7890 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7863); 
BgL_arg1804z00_7889 = 
(BgL_arg1805z00_7890-OBJECT_TYPE); } 
BgL_oclassz00_7883 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7889); } 
{ /* Llib/ssl.scm 1345 */
 bool_t BgL__ortest_1111z00_7884;
BgL__ortest_1111z00_7884 = 
(BgL_classz00_7861==BgL_oclassz00_7883); 
if(BgL__ortest_1111z00_7884)
{ /* Llib/ssl.scm 1345 */
BgL_res3465z00_7898 = BgL__ortest_1111z00_7884; }  else 
{ /* Llib/ssl.scm 1345 */
 long BgL_odepthz00_7885;
BgL_odepthz00_7885 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7883); 
if(
(BgL_arg1800z00_7864<BgL_odepthz00_7885))
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1793z00_7887;
BgL_arg1793z00_7887 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7883, BgL_arg1800z00_7864); 
BgL_res3465z00_7898 = 
(BgL_arg1793z00_7887==BgL_classz00_7861); }  else 
{ /* Llib/ssl.scm 1345 */
BgL_res3465z00_7898 = ((bool_t)0); } } } } 
BgL_arg1795z00_7869 = BgL_res3465z00_7898; } 
BgL_test4379z00_14090 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7868, BgL_arg1795z00_7869); } }  else 
{ /* Llib/ssl.scm 1345 */
BgL_test4379z00_14090 = ((bool_t)0)
; } } 
if(BgL_test4379z00_14090)
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_14089 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4992)
; }  else 
{ 
 obj_t BgL_auxz00_14111;
BgL_auxz00_14111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54168)), BGl_string3407z00zz__ssl_sslz00, BGl_string3406z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4992); 
FAILURE(BgL_auxz00_14111,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_auxz00_14089, BgL_auxz00_14115, BgL_auxz00_14122, BgL_auxz00_14129, BgL_auxz00_14138, BgL_auxz00_14147, BgL_auxz00_14154, BgL_auxz00_14163, 
CBOOL(BgL_encz00_5000));} } 

}



/* ssl-cipher-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_171, obj_t BgL_dataz00_172, long BgL_offsetz00_173, long BgL_lenz00_174)
{
{ /* Llib/ssl.scm 1362 */
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_method1354z00_1761;
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_res2623z00_3945;
{ /* Llib/ssl.scm 1362 */
 long BgL_objzd2classzd2numz00_3916;
BgL_objzd2classzd2numz00_3916 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_171)); 
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_arg1801z00_3917;
BgL_arg1801z00_3917 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1362 */
 int BgL_offsetz00_3920;
BgL_offsetz00_3920 = 
(int)(BgL_objzd2classzd2numz00_3916); 
{ /* Llib/ssl.scm 1362 */
 long BgL_offsetz00_3921;
BgL_offsetz00_3921 = 
(
(long)(BgL_offsetz00_3920)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1362 */
 long BgL_modz00_3922;
BgL_modz00_3922 = 
(BgL_offsetz00_3921 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1362 */
 long BgL_restz00_3924;
BgL_restz00_3924 = 
(BgL_offsetz00_3921 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1362 */

{ /* Llib/ssl.scm 1362 */
 obj_t BgL_bucketz00_3926;
BgL_bucketz00_3926 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3917),BgL_modz00_3922); 
BgL_res2623z00_3945 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3926),BgL_restz00_3924); } } } } } } } } 
BgL_method1354z00_1761 = BgL_res2623z00_3945; } 
return 
PROCEDURE_ENTRY(BgL_method1354z00_1761)(BgL_method1354z00_1761, 
((obj_t)BgL_sslzd2cipherzd2_171), BgL_dataz00_172, 
BINT(BgL_offsetz00_173), 
BINT(BgL_lenz00_174), BEOA);} } 

}



/* &ssl-cipher-update! */
obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_5001, obj_t BgL_sslzd2cipherzd2_5002, obj_t BgL_dataz00_5003, obj_t BgL_offsetz00_5004, obj_t BgL_lenz00_5005)
{
{ /* Llib/ssl.scm 1362 */
{ /* Llib/ssl.scm 1362 */
 long BgL_auxz00_14251; long BgL_auxz00_14242; obj_t BgL_auxz00_14235; BgL_sslzd2cipherzd2_bglt BgL_auxz00_14209;
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_tmpz00_14252;
if(
INTEGERP(BgL_lenz00_5005))
{ /* Llib/ssl.scm 1362 */
BgL_tmpz00_14252 = BgL_lenz00_5005
; }  else 
{ 
 obj_t BgL_auxz00_14255;
BgL_auxz00_14255 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3408z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_lenz00_5005); 
FAILURE(BgL_auxz00_14255,BFALSE,BFALSE);} 
BgL_auxz00_14251 = 
(long)CINT(BgL_tmpz00_14252); } 
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_tmpz00_14243;
if(
INTEGERP(BgL_offsetz00_5004))
{ /* Llib/ssl.scm 1362 */
BgL_tmpz00_14243 = BgL_offsetz00_5004
; }  else 
{ 
 obj_t BgL_auxz00_14246;
BgL_auxz00_14246 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3408z00zz__ssl_sslz00, BGl_string3027z00zz__ssl_sslz00, BgL_offsetz00_5004); 
FAILURE(BgL_auxz00_14246,BFALSE,BFALSE);} 
BgL_auxz00_14242 = 
(long)CINT(BgL_tmpz00_14243); } 
if(
STRINGP(BgL_dataz00_5003))
{ /* Llib/ssl.scm 1362 */
BgL_auxz00_14235 = BgL_dataz00_5003
; }  else 
{ 
 obj_t BgL_auxz00_14238;
BgL_auxz00_14238 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3408z00zz__ssl_sslz00, BGl_string3028z00zz__ssl_sslz00, BgL_dataz00_5003); 
FAILURE(BgL_auxz00_14238,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1362 */
 bool_t BgL_test4390z00_14210;
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_classz00_7899;
BgL_classz00_7899 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_5002))
{ /* Llib/ssl.scm 1362 */
 BgL_objectz00_bglt BgL_arg1799z00_7901; long BgL_arg1800z00_7902;
BgL_arg1799z00_7901 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_5002); 
BgL_arg1800z00_7902 = 
BGL_CLASS_DEPTH(BgL_classz00_7899); 
{ /* Llib/ssl.scm 1362 */
 bool_t BgL_arg1794z00_7906; bool_t BgL_arg1795z00_7907;
{ /* Llib/ssl.scm 1362 */
 long BgL_idxz00_7911;
BgL_idxz00_7911 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7901); 
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_arg1791z00_7912;
{ /* Llib/ssl.scm 1362 */
 long BgL_arg1792z00_7913;
BgL_arg1792z00_7913 = 
(BgL_idxz00_7911+BgL_arg1800z00_7902); 
BgL_arg1791z00_7912 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7913); } 
BgL_arg1794z00_7906 = 
(BgL_arg1791z00_7912==BgL_classz00_7899); } } 
{ /* Llib/ssl.scm 1362 */
 bool_t BgL_res3466z00_7936;
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_oclassz00_7921;
{ /* Llib/ssl.scm 1362 */
 long BgL_arg1804z00_7927;
{ /* Llib/ssl.scm 1362 */
 long BgL_arg1805z00_7928;
BgL_arg1805z00_7928 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7901); 
BgL_arg1804z00_7927 = 
(BgL_arg1805z00_7928-OBJECT_TYPE); } 
BgL_oclassz00_7921 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7927); } 
{ /* Llib/ssl.scm 1362 */
 bool_t BgL__ortest_1111z00_7922;
BgL__ortest_1111z00_7922 = 
(BgL_classz00_7899==BgL_oclassz00_7921); 
if(BgL__ortest_1111z00_7922)
{ /* Llib/ssl.scm 1362 */
BgL_res3466z00_7936 = BgL__ortest_1111z00_7922; }  else 
{ /* Llib/ssl.scm 1362 */
 long BgL_odepthz00_7923;
BgL_odepthz00_7923 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7921); 
if(
(BgL_arg1800z00_7902<BgL_odepthz00_7923))
{ /* Llib/ssl.scm 1362 */
 obj_t BgL_arg1793z00_7925;
BgL_arg1793z00_7925 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7921, BgL_arg1800z00_7902); 
BgL_res3466z00_7936 = 
(BgL_arg1793z00_7925==BgL_classz00_7899); }  else 
{ /* Llib/ssl.scm 1362 */
BgL_res3466z00_7936 = ((bool_t)0); } } } } 
BgL_arg1795z00_7907 = BgL_res3466z00_7936; } 
BgL_test4390z00_14210 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7906, BgL_arg1795z00_7907); } }  else 
{ /* Llib/ssl.scm 1362 */
BgL_test4390z00_14210 = ((bool_t)0)
; } } 
if(BgL_test4390z00_14210)
{ /* Llib/ssl.scm 1362 */
BgL_auxz00_14209 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_5002)
; }  else 
{ 
 obj_t BgL_auxz00_14231;
BgL_auxz00_14231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)54737)), BGl_string3408z00zz__ssl_sslz00, BGl_string3406z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_5002); 
FAILURE(BgL_auxz00_14231,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_14209, BgL_auxz00_14235, BgL_auxz00_14242, BgL_auxz00_14251);} } 

}



/* ssl-cipher-set-auto-padding */
BGL_EXPORTED_DEF bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_175, bool_t BgL_autozd2paddingzd2_176)
{
{ /* Llib/ssl.scm 1373 */
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_method1356z00_1762;
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_res2628z00_3976;
{ /* Llib/ssl.scm 1373 */
 long BgL_objzd2classzd2numz00_3947;
BgL_objzd2classzd2numz00_3947 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_175)); 
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_arg1801z00_3948;
BgL_arg1801z00_3948 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1373 */
 int BgL_offsetz00_3951;
BgL_offsetz00_3951 = 
(int)(BgL_objzd2classzd2numz00_3947); 
{ /* Llib/ssl.scm 1373 */
 long BgL_offsetz00_3952;
BgL_offsetz00_3952 = 
(
(long)(BgL_offsetz00_3951)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1373 */
 long BgL_modz00_3953;
BgL_modz00_3953 = 
(BgL_offsetz00_3952 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1373 */
 long BgL_restz00_3955;
BgL_restz00_3955 = 
(BgL_offsetz00_3952 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1373 */

{ /* Llib/ssl.scm 1373 */
 obj_t BgL_bucketz00_3957;
BgL_bucketz00_3957 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3948),BgL_modz00_3953); 
BgL_res2628z00_3976 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3957),BgL_restz00_3955); } } } } } } } } 
BgL_method1356z00_1762 = BgL_res2628z00_3976; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1356z00_1762)(BgL_method1356z00_1762, 
((obj_t)BgL_sslzd2cipherzd2_175), 
BBOOL(BgL_autozd2paddingzd2_176), BEOA));} } 

}



/* &ssl-cipher-set-auto-padding */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t BgL_envz00_5006, obj_t BgL_sslzd2cipherzd2_5007, obj_t BgL_autozd2paddingzd2_5008)
{
{ /* Llib/ssl.scm 1373 */
{ /* Llib/ssl.scm 1373 */
 bool_t BgL_tmpz00_14294;
{ /* Llib/ssl.scm 1373 */
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_14295;
{ /* Llib/ssl.scm 1373 */
 bool_t BgL_test4397z00_14296;
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_classz00_7937;
BgL_classz00_7937 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_5007))
{ /* Llib/ssl.scm 1373 */
 BgL_objectz00_bglt BgL_arg1799z00_7939; long BgL_arg1800z00_7940;
BgL_arg1799z00_7939 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_5007); 
BgL_arg1800z00_7940 = 
BGL_CLASS_DEPTH(BgL_classz00_7937); 
{ /* Llib/ssl.scm 1373 */
 bool_t BgL_arg1794z00_7944; bool_t BgL_arg1795z00_7945;
{ /* Llib/ssl.scm 1373 */
 long BgL_idxz00_7949;
BgL_idxz00_7949 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7939); 
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_arg1791z00_7950;
{ /* Llib/ssl.scm 1373 */
 long BgL_arg1792z00_7951;
BgL_arg1792z00_7951 = 
(BgL_idxz00_7949+BgL_arg1800z00_7940); 
BgL_arg1791z00_7950 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7951); } 
BgL_arg1794z00_7944 = 
(BgL_arg1791z00_7950==BgL_classz00_7937); } } 
{ /* Llib/ssl.scm 1373 */
 bool_t BgL_res3467z00_7974;
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_oclassz00_7959;
{ /* Llib/ssl.scm 1373 */
 long BgL_arg1804z00_7965;
{ /* Llib/ssl.scm 1373 */
 long BgL_arg1805z00_7966;
BgL_arg1805z00_7966 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7939); 
BgL_arg1804z00_7965 = 
(BgL_arg1805z00_7966-OBJECT_TYPE); } 
BgL_oclassz00_7959 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7965); } 
{ /* Llib/ssl.scm 1373 */
 bool_t BgL__ortest_1111z00_7960;
BgL__ortest_1111z00_7960 = 
(BgL_classz00_7937==BgL_oclassz00_7959); 
if(BgL__ortest_1111z00_7960)
{ /* Llib/ssl.scm 1373 */
BgL_res3467z00_7974 = BgL__ortest_1111z00_7960; }  else 
{ /* Llib/ssl.scm 1373 */
 long BgL_odepthz00_7961;
BgL_odepthz00_7961 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7959); 
if(
(BgL_arg1800z00_7940<BgL_odepthz00_7961))
{ /* Llib/ssl.scm 1373 */
 obj_t BgL_arg1793z00_7963;
BgL_arg1793z00_7963 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7959, BgL_arg1800z00_7940); 
BgL_res3467z00_7974 = 
(BgL_arg1793z00_7963==BgL_classz00_7937); }  else 
{ /* Llib/ssl.scm 1373 */
BgL_res3467z00_7974 = ((bool_t)0); } } } } 
BgL_arg1795z00_7945 = BgL_res3467z00_7974; } 
BgL_test4397z00_14296 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7944, BgL_arg1795z00_7945); } }  else 
{ /* Llib/ssl.scm 1373 */
BgL_test4397z00_14296 = ((bool_t)0)
; } } 
if(BgL_test4397z00_14296)
{ /* Llib/ssl.scm 1373 */
BgL_auxz00_14295 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_5007)
; }  else 
{ 
 obj_t BgL_auxz00_14317;
BgL_auxz00_14317 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)55279)), BGl_string3409z00zz__ssl_sslz00, BGl_string3406z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_5007); 
FAILURE(BgL_auxz00_14317,BFALSE,BFALSE);} } 
BgL_tmpz00_14294 = 
BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_auxz00_14295, 
CBOOL(BgL_autozd2paddingzd2_5008)); } 
return 
BBOOL(BgL_tmpz00_14294);} } 

}



/* ssl-cipher-final */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_177)
{
{ /* Llib/ssl.scm 1383 */
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_method1358z00_1763;
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_res2633z00_4007;
{ /* Llib/ssl.scm 1383 */
 long BgL_objzd2classzd2numz00_3978;
BgL_objzd2classzd2numz00_3978 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_177)); 
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_arg1801z00_3979;
BgL_arg1801z00_3979 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1383 */
 int BgL_offsetz00_3982;
BgL_offsetz00_3982 = 
(int)(BgL_objzd2classzd2numz00_3978); 
{ /* Llib/ssl.scm 1383 */
 long BgL_offsetz00_3983;
BgL_offsetz00_3983 = 
(
(long)(BgL_offsetz00_3982)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1383 */
 long BgL_modz00_3984;
BgL_modz00_3984 = 
(BgL_offsetz00_3983 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/ssl.scm 1383 */
 long BgL_restz00_3986;
BgL_restz00_3986 = 
(BgL_offsetz00_3983 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/ssl.scm 1383 */

{ /* Llib/ssl.scm 1383 */
 obj_t BgL_bucketz00_3988;
BgL_bucketz00_3988 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_3979),BgL_modz00_3984); 
BgL_res2633z00_4007 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3988),BgL_restz00_3986); } } } } } } } } 
BgL_method1358z00_1763 = BgL_res2633z00_4007; } 
return 
PROCEDURE_ENTRY(BgL_method1358z00_1763)(BgL_method1358z00_1763, 
((obj_t)BgL_sslzd2cipherzd2_177), BEOA);} } 

}



/* &ssl-cipher-final */
obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_5009, obj_t BgL_sslzd2cipherzd2_5010)
{
{ /* Llib/ssl.scm 1383 */
{ /* Llib/ssl.scm 1383 */
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_14354;
{ /* Llib/ssl.scm 1383 */
 bool_t BgL_test4401z00_14355;
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_classz00_7975;
BgL_classz00_7975 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_5010))
{ /* Llib/ssl.scm 1383 */
 BgL_objectz00_bglt BgL_arg1799z00_7977; long BgL_arg1800z00_7978;
BgL_arg1799z00_7977 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_5010); 
BgL_arg1800z00_7978 = 
BGL_CLASS_DEPTH(BgL_classz00_7975); 
{ /* Llib/ssl.scm 1383 */
 bool_t BgL_arg1794z00_7982; bool_t BgL_arg1795z00_7983;
{ /* Llib/ssl.scm 1383 */
 long BgL_idxz00_7987;
BgL_idxz00_7987 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_7977); 
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_arg1791z00_7988;
{ /* Llib/ssl.scm 1383 */
 long BgL_arg1792z00_7989;
BgL_arg1792z00_7989 = 
(BgL_idxz00_7987+BgL_arg1800z00_7978); 
BgL_arg1791z00_7988 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_7989); } 
BgL_arg1794z00_7982 = 
(BgL_arg1791z00_7988==BgL_classz00_7975); } } 
{ /* Llib/ssl.scm 1383 */
 bool_t BgL_res3468z00_8012;
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_oclassz00_7997;
{ /* Llib/ssl.scm 1383 */
 long BgL_arg1804z00_8003;
{ /* Llib/ssl.scm 1383 */
 long BgL_arg1805z00_8004;
BgL_arg1805z00_8004 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_7977); 
BgL_arg1804z00_8003 = 
(BgL_arg1805z00_8004-OBJECT_TYPE); } 
BgL_oclassz00_7997 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_8003); } 
{ /* Llib/ssl.scm 1383 */
 bool_t BgL__ortest_1111z00_7998;
BgL__ortest_1111z00_7998 = 
(BgL_classz00_7975==BgL_oclassz00_7997); 
if(BgL__ortest_1111z00_7998)
{ /* Llib/ssl.scm 1383 */
BgL_res3468z00_8012 = BgL__ortest_1111z00_7998; }  else 
{ /* Llib/ssl.scm 1383 */
 long BgL_odepthz00_7999;
BgL_odepthz00_7999 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7997); 
if(
(BgL_arg1800z00_7978<BgL_odepthz00_7999))
{ /* Llib/ssl.scm 1383 */
 obj_t BgL_arg1793z00_8001;
BgL_arg1793z00_8001 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7997, BgL_arg1800z00_7978); 
BgL_res3468z00_8012 = 
(BgL_arg1793z00_8001==BgL_classz00_7975); }  else 
{ /* Llib/ssl.scm 1383 */
BgL_res3468z00_8012 = ((bool_t)0); } } } } 
BgL_arg1795z00_7983 = BgL_res3468z00_8012; } 
BgL_test4401z00_14355 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7982, BgL_arg1795z00_7983); } }  else 
{ /* Llib/ssl.scm 1383 */
BgL_test4401z00_14355 = ((bool_t)0)
; } } 
if(BgL_test4401z00_14355)
{ /* Llib/ssl.scm 1383 */
BgL_auxz00_14354 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_5010)
; }  else 
{ 
 obj_t BgL_auxz00_14376;
BgL_auxz00_14376 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3025z00zz__ssl_sslz00, 
BINT(((long)55708)), BGl_string3410z00zz__ssl_sslz00, BGl_string3406z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_5010); 
FAILURE(BgL_auxz00_14376,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_auxz00_14354);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ssl_sslz00()
{
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
