/*===========================================================================*/
/*   (Llib/bibtex.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -srfi text -unsafe -safee -copt -fPIC -copt -IPosix Llib/bibtex.scm -o objs/bibtex.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;


BGL_IMPORT obj_t BGl_callzd2withzd2inputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__text_bibtexz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT bool_t bigloo_strcicmp(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t, obj_t);
static obj_t BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__text_bibtexz00();
static obj_t BGl_z62bibtexzd2filezb0zz__text_bibtexz00(obj_t, obj_t);
static obj_t BGl_z62bibtexz62zz__text_bibtexz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse(obj_t);
BGL_IMPORT obj_t BGl_z62iozd2parsezd2errorz62zz__objectz00;
static obj_t BGl_genericzd2initzd2zz__text_bibtexz00();
static obj_t BGl_objectzd2initzd2zz__text_bibtexz00();
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_parsezd2authorze70z35zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_pregexpz00zz__regexpz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31313ze3ze5zz__text_bibtexz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_bibtexzd2parserzd2zz__text_bibtexz00 = BUNSPEC;
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_IMPORT bool_t BGl_hashtablezf3zf3zz__hashz00(obj_t);
BGL_IMPORT obj_t BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_zc3z04exitza33347ze3ze70z60zz__text_bibtexz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33928ze3ze5zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_thezd2substringze70z35zz__text_bibtexz00(obj_t, int, int);
static obj_t BGl_thezd2substringze71z35zz__text_bibtexz00(obj_t, int, int);
BGL_IMPORT obj_t BGl_readzf2lalrpzf2zz__r4_input_6_10_2z00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__text_bibtexz00(obj_t, obj_t);
static obj_t BGl_untexifyz00zz__text_bibtexz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__text_bibtexz00();
static obj_t BGl_z62bibtexzd2parsezd2authorsz62zz__text_bibtexz00(obj_t, obj_t);
static obj_t BGl_parsezd2entryzd2valuez00zz__text_bibtexz00(obj_t);
static obj_t BGl_z62bibtexzd2stringzb0zz__text_bibtexz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
static obj_t BGl_zd2ze3stringze70zd6zz__text_bibtexz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bibtexzd2portzd2zz__text_bibtexz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bibtexzd2parsezd2authorsz00zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_parsezd2bibtexzd2zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_ignoreze70ze7zz__text_bibtexz00(obj_t);
static obj_t BGl_ignoreze71ze7zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__text_bibtexz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_pregexpzd2replaceza2z70zz__regexpz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_bibtexzd2lexerzd2zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_z62bibtexzd2portzb0zz__text_bibtexz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__text_bibtexz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__text_bibtexz00();
static obj_t BGl_makezd2bibtexzd2entryz00zz__text_bibtexz00(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__text_bibtexz00();
BGL_IMPORT bool_t bigloo_strcmp_at(obj_t, obj_t, long);
static obj_t BGl_bibtexzd2stringzd2defz12z12zz__text_bibtexz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_pregexpzd2splitzd2zz__regexpz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bibtexzd2stringzd2zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62__reducez62zz__text_bibtexz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_makezd2bibtexzd2hashtablez00zz__text_bibtexz00();
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bibtexz00zz__text_bibtexz00(obj_t);
static obj_t BGl_pregexp1260z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_pregexp1261z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_pregexp1262z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_pregexp1263z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_pregexp1264z00zz__text_bibtexz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_pregexp1271z00zz__text_bibtexz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_bibtexzd2filezd2zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
static obj_t BGl_pregexp1291z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_pregexp1292z00zz__text_bibtexz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33635ze3ze5zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
static obj_t __cnst[ 33 ] ;


DEFINE_STRING( BGl_string4100z00zz__text_bibtexz00, BgL_bgl_string4100za700za7za7_4115za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/text/src/Llib/bibtex.scm", 64 );
DEFINE_STRING( BGl_string4101z00zz__text_bibtexz00, BgL_bgl_string4101za700za7za7_4116za7, "&bibtex-port", 12 );
DEFINE_STRING( BGl_string4102z00zz__text_bibtexz00, BgL_bgl_string4102za700za7za7_4117za7, "input-port", 10 );
DEFINE_STRING( BGl_string4103z00zz__text_bibtexz00, BgL_bgl_string4103za700za7za7_4118za7, "&bibtex-file", 12 );
DEFINE_STRING( BGl_string4104z00zz__text_bibtexz00, BgL_bgl_string4104za700za7za7_4119za7, "bstring", 7 );
DEFINE_STRING( BGl_string4105z00zz__text_bibtexz00, BgL_bgl_string4105za700za7za7_4120za7, "&bibtex-string", 14 );
DEFINE_STRING( BGl_string4106z00zz__text_bibtexz00, BgL_bgl_string4106za700za7za7_4121za7, "bibtex parse error", 18 );
DEFINE_STRING( BGl_string4107z00zz__text_bibtexz00, BgL_bgl_string4107za700za7za7_4122za7, " et al.", 7 );
DEFINE_STRING( BGl_string4108z00zz__text_bibtexz00, BgL_bgl_string4108za700za7za7_4123za7, "", 0 );
DEFINE_STRING( BGl_string4109z00zz__text_bibtexz00, BgL_bgl_string4109za700za7za7_4124za7, "&bibtex-parse-authors", 21 );
DEFINE_STRING( BGl_string4110z00zz__text_bibtexz00, BgL_bgl_string4110za700za7za7_4125za7, "C++", 3 );
DEFINE_STRING( BGl_string4111z00zz__text_bibtexz00, BgL_bgl_string4111za700za7za7_4126za7, "author et-al (\"jan\" \"feb\" \"mar\" \"apr\" \"may\" \"jun\" \"jul\" \"aug\" \"sep\" \"oct\" \"nov\" \"dec\") BLANK EGAL SHARP BRA-OPEN BRA-CLO COMMA (#\\$ #\\& #\\% #\\# #\\_ #\\{ #\\}) SPECIAL (\"pi\" \"Pi\" \"lambda\" \"Lambda\") BIBITEM BIBSTRING STRING NUMBER IDENT AUTHOR CHAR bibtex-entry-value-block bibtex-entry-value-block* ref bibtex-entry-value-string-simple bibtex-entry-value-string bibtex-entry-value bibtex-entry-item bibtex-entry-item* bibtex-entry string-def blank* bibtex #(((bibtex . 1)) ((string-def . 2) (bibtex-entry . 3)) () () () () () ((blank* . 9)) ((blank* . 10)) () () ((blank* . 14)) () ((blank* . 15)) () () ((blank* . 18)) ((blank* . 19)) () ((bibtex-entry-value . 21) (bibtex-entry-value-string . 22) (bibtex-entry-value-string-simple . 23)) ((blank* . 28) (bibtex-entry-item* . 29) (bibtex-entry-item . 30)) ((blank* . 31)) () () () () ((bibtex-entry-value-block* . 33)) () () () () () ((bibtex-entry-value-string-simple . 39)) ((bibtex-entry-value-block . 40)) ((blank* . 52)) ((blank* . "
"53)) () ((blank* . 28) (bibtex-entry-item* . 54) (bibtex-entry-item . 30)) () () () () () () () () ((bibtex-entry-value-block* . 55)) () () () () () () () () ((bibtex-entry-value-block . 40)) ((blank* . 59)) ((blank* . 60)) () ((bibtex-entry-value . 61) (bibtex-entry-value-string . 22) (bibtex-entry-value-string-simple . 23)) ((bibtex-entry-value . 62) (bibtex-entry-value-string . 22) (bibtex-entry-value-string-simple . 23)) ((blank* . 63)) ((blank* . 64)) () ()) #(((default1000 . -2)) ((default1000 . *error*) (BIBITEM . 7) (BIBSTRING . 6) (BLANK . 5) (*eoi* . 4)) ((default1000 . -3)) ((default1000 . -4)) ((default1000 . -1) (*eoi* . accept)) ((default1000 . -5)) ((default1000 . *error*) (BRA-OPEN . 8)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . *error*) (BLANK . 12) (BRA-OPEN . 11)) ((default1000 . *error*) (BLANK . 12) (IDENT . 13)) ((default1000 . -6)) ((default1000 . -7)) ((default1000 . -6)) ((default1000 . *error*) (BLANK . 12) (IDENT . 16)) ((default1000 . *error*) (EGAL . 17) (BLANK . 1"
"2)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . *error*) (BLANK . 12) (COMMA . 20)) ((default1000 . *error*) (NUMBER . 27) (BLANK . 12) (BRA-OPEN . 26) (STRING . 25) (IDENT . 24)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . -16) (SHARP . 32)) ((default1000 . -18)) ((default1000 . -21)) ((default1000 . -20)) ((default1000 . -22)) ((default1000 . -15)) ((default1000 . -10) (BLANK . 12) (AUTHOR . 35) (IDENT . 34)) ((default1000 . *error*) (BRA-CLO . 36)) ((default1000 . -11) (COMMA . 37)) ((default1000 . *error*) (BLANK . 12) (BRA-CLO . 38)) ((default1000 . *error*) (STRING . 25) (IDENT . 24)) ((default1000 . *error*) (EGAL . 51) (NUMBER . 50) (BLANK . 49) (SHARP . 48) (BRA-CLO . 47) (BRA-OPEN . 46) (COMMA . 45) (STRING . 44) (IDENT . 43) (SPECIAL . 42) (CHAR . 41)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . -9)) ((default1000 . -6)) ((default1000 . -8)) ((default1000 . -19)) ((default1000 . -23)) ((default1000 . -30)) ((default1000 . -31)) ((default1000 . -27)) ((defau"
"lt1000 . -33)) ((default1000 . -25)) ((default1000 . -22)) ((default1000 . -17)) ((default1000 . -26)) ((default1000 . -28)) ((default1000 . -32)) ((default1000 . -29)) ((default1000 . *error*) (EGAL . 56) (BLANK . 12)) ((default1000 . *error*) (EGAL . 57) (BLANK . 12)) ((default1000 . -12)) ((default1000 . *error*) (EGAL . 51) (NUMBER . 50) (BLANK . 49) (SHARP . 48) (BRA-CLO . 58) (BRA-OPEN . 46) (COMMA . 45) (STRING . 44) (IDENT . 43) (SPECIAL . 42) (CHAR . 41)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . -24)) ((default1000 . *error*) (NUMBER . 27) (BLANK . 12) (BRA-OPEN . 26) (STRING . 25) (IDENT . 24)) ((default1000 . *error*) (NUMBER . 27) (BLANK . 12) (BRA-OPEN . 26) (STRING . 25) (IDENT . 24)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . -13) (BLANK . 12)) ((default1000 . -14) (BLANK . 12))) ", 3871 );
DEFINE_STRING( BGl_string4050z00zz__text_bibtexz00, BgL_bgl_string4050za700za7za7_4127za7, "[{}]", 4 );
DEFINE_STRING( BGl_string4051z00zz__text_bibtexz00, BgL_bgl_string4051za700za7za7_4128za7, "C[$]\\^[$]_[+][+][$][$]", 22 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bibtexzd2filezd2envz00zz__text_bibtexz00, BgL_bgl_za762bibtexza7d2file4129z00, BGl_z62bibtexzd2filezb0zz__text_bibtexz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4052z00zz__text_bibtexz00, BgL_bgl_string4052za700za7za7_4130za7, "[ \t\n]and[ \t\n]", 13 );
DEFINE_STRING( BGl_string4053z00zz__text_bibtexz00, BgL_bgl_string4053za700za7za7_4131za7, "^((?:[A-Z][^A-Z]|[^A-Z ]+| [A-Z][^ A-Z])+)[ \t\n]([A-Z \n\t]+)$", 59 );
DEFINE_STRING( BGl_string4054z00zz__text_bibtexz00, BgL_bgl_string4054za700za7za7_4132za7, "^([^,]+),+[ \t\n](.+)$", 20 );
DEFINE_STRING( BGl_string4055z00zz__text_bibtexz00, BgL_bgl_string4055za700za7za7_4133za7, "^({[^}]+}) ({[^}]+})", 20 );
DEFINE_STRING( BGl_string4056z00zz__text_bibtexz00, BgL_bgl_string4056za700za7za7_4134za7, "char[0-9]+", 10 );
DEFINE_STRING( BGl_string4058z00zz__text_bibtexz00, BgL_bgl_string4058za700za7za7_4135za7, ",", 1 );
DEFINE_STRING( BGl_string4059z00zz__text_bibtexz00, BgL_bgl_string4059za700za7za7_4136za7, "#", 1 );
DEFINE_STRING( BGl_string4060z00zz__text_bibtexz00, BgL_bgl_string4060za700za7za7_4137za7, " ", 1 );
DEFINE_STRING( BGl_string4061z00zz__text_bibtexz00, BgL_bgl_string4061za700za7za7_4138za7, "=", 1 );
DEFINE_STRING( BGl_string4062z00zz__text_bibtexz00, BgL_bgl_string4062za700za7za7_4139za7, "\"", 1 );
DEFINE_STRING( BGl_string4063z00zz__text_bibtexz00, BgL_bgl_string4063za700za7za7_4140za7, "author", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4057z00zz__text_bibtexz00, BgL_bgl_za762za7c3za704anonymo4141za7, BGl_z62zc3z04anonymousza31313ze3ze5zz__text_bibtexz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4064z00zz__text_bibtexz00, BgL_bgl_string4064za700za7za7_4142za7, "char", 4 );
DEFINE_STRING( BGl_string4065z00zz__text_bibtexz00, BgL_bgl_string4065za700za7za7_4143za7, "\\", 1 );
DEFINE_STRING( BGl_string4066z00zz__text_bibtexz00, BgL_bgl_string4066za700za7za7_4144za7, "Ù", 2 );
DEFINE_STRING( BGl_string4067z00zz__text_bibtexz00, BgL_bgl_string4067za700za7za7_4145za7, "ù", 2 );
DEFINE_STRING( BGl_string4068z00zz__text_bibtexz00, BgL_bgl_string4068za700za7za7_4146za7, "Ü", 2 );
DEFINE_STRING( BGl_string4069z00zz__text_bibtexz00, BgL_bgl_string4069za700za7za7_4147za7, "ü", 2 );
DEFINE_STRING( BGl_string4070z00zz__text_bibtexz00, BgL_bgl_string4070za700za7za7_4148za7, "Í", 2 );
DEFINE_STRING( BGl_string4071z00zz__text_bibtexz00, BgL_bgl_string4071za700za7za7_4149za7, "í", 2 );
DEFINE_STRING( BGl_string4072z00zz__text_bibtexz00, BgL_bgl_string4072za700za7za7_4150za7, "Î", 2 );
DEFINE_STRING( BGl_string4073z00zz__text_bibtexz00, BgL_bgl_string4073za700za7za7_4151za7, "î", 2 );
DEFINE_STRING( BGl_string4074z00zz__text_bibtexz00, BgL_bgl_string4074za700za7za7_4152za7, "Ï", 2 );
DEFINE_STRING( BGl_string4075z00zz__text_bibtexz00, BgL_bgl_string4075za700za7za7_4153za7, "ï", 2 );
DEFINE_STRING( BGl_string4076z00zz__text_bibtexz00, BgL_bgl_string4076za700za7za7_4154za7, "Á", 2 );
DEFINE_STRING( BGl_string4077z00zz__text_bibtexz00, BgL_bgl_string4077za700za7za7_4155za7, "À", 2 );
DEFINE_STRING( BGl_string4078z00zz__text_bibtexz00, BgL_bgl_string4078za700za7za7_4156za7, "á", 2 );
DEFINE_STRING( BGl_string4079z00zz__text_bibtexz00, BgL_bgl_string4079za700za7za7_4157za7, "à", 2 );
DEFINE_STRING( BGl_string4080z00zz__text_bibtexz00, BgL_bgl_string4080za700za7za7_4158za7, "Ê", 2 );
DEFINE_STRING( BGl_string4081z00zz__text_bibtexz00, BgL_bgl_string4081za700za7za7_4159za7, "ê", 2 );
DEFINE_STRING( BGl_string4082z00zz__text_bibtexz00, BgL_bgl_string4082za700za7za7_4160za7, "È", 2 );
DEFINE_STRING( BGl_string4083z00zz__text_bibtexz00, BgL_bgl_string4083za700za7za7_4161za7, "è", 2 );
DEFINE_STRING( BGl_string4084z00zz__text_bibtexz00, BgL_bgl_string4084za700za7za7_4162za7, "Ö", 2 );
DEFINE_STRING( BGl_string4085z00zz__text_bibtexz00, BgL_bgl_string4085za700za7za7_4163za7, "ö", 2 );
DEFINE_STRING( BGl_string4086z00zz__text_bibtexz00, BgL_bgl_string4086za700za7za7_4164za7, "Ô", 2 );
DEFINE_STRING( BGl_string4087z00zz__text_bibtexz00, BgL_bgl_string4087za700za7za7_4165za7, "ô", 2 );
DEFINE_STRING( BGl_string4088z00zz__text_bibtexz00, BgL_bgl_string4088za700za7za7_4166za7, "Ñ", 2 );
DEFINE_STRING( BGl_string4089z00zz__text_bibtexz00, BgL_bgl_string4089za700za7za7_4167za7, "ñ", 2 );
DEFINE_STRING( BGl_string4090z00zz__text_bibtexz00, BgL_bgl_string4090za700za7za7_4168za7, "Ø", 2 );
DEFINE_STRING( BGl_string4091z00zz__text_bibtexz00, BgL_bgl_string4091za700za7za7_4169za7, "ø", 2 );
DEFINE_STRING( BGl_string4092z00zz__text_bibtexz00, BgL_bgl_string4092za700za7za7_4170za7, "É", 2 );
DEFINE_STRING( BGl_string4093z00zz__text_bibtexz00, BgL_bgl_string4093za700za7za7_4171za7, "é", 2 );
DEFINE_STRING( BGl_string4094z00zz__text_bibtexz00, BgL_bgl_string4094za700za7za7_4172za7, "regular-grammar", 15 );
DEFINE_STRING( BGl_string4095z00zz__text_bibtexz00, BgL_bgl_string4095za700za7za7_4173za7, "Illegal match", 13 );
DEFINE_STRING( BGl_string4096z00zz__text_bibtexz00, BgL_bgl_string4096za700za7za7_4174za7, "Illegal range `~a'", 18 );
DEFINE_STRING( BGl_string4097z00zz__text_bibtexz00, BgL_bgl_string4097za700za7za7_4175za7, "the-substring", 13 );
DEFINE_STRING( BGl_string4098z00zz__text_bibtexz00, BgL_bgl_string4098za700za7za7_4176za7, "bibtex", 6 );
DEFINE_STRING( BGl_string4099z00zz__text_bibtexz00, BgL_bgl_string4099za700za7za7_4177za7, "Illegal argument", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bibtexzd2portzd2envz00zz__text_bibtexz00, BgL_bgl_za762bibtexza7d2port4178z00, BGl_z62bibtexzd2portzb0zz__text_bibtexz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bibtexzd2parsezd2authorszd2envzd2zz__text_bibtexz00, BgL_bgl_za762bibtexza7d2pars4179z00, BGl_z62bibtexzd2parsezd2authorsz62zz__text_bibtexz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bibtexzd2envzd2zz__text_bibtexz00, BgL_bgl_za762bibtexza762za7za7__4180z00, BGl_z62bibtexz62zz__text_bibtexz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bibtexzd2stringzd2envz00zz__text_bibtexz00, BgL_bgl_za762bibtexza7d2stri4181z00, BGl_z62bibtexzd2stringzb0zz__text_bibtexz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_bibtexzd2parserzd2zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_bibtexzd2lexerzd2zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1260z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1261z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1262z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1263z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1264z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1271z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1291z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1292z00zz__text_bibtexz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__text_bibtexz00(long BgL_checksumz00_9970, char * BgL_fromz00_9971)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__text_bibtexz00))
{ 
BGl_requirezd2initializa7ationz75zz__text_bibtexz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__text_bibtexz00(); 
BGl_libraryzd2moduleszd2initz00zz__text_bibtexz00(); 
BGl_cnstzd2initzd2zz__text_bibtexz00(); 
return 
BGl_toplevelzd2initzd2zz__text_bibtexz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__lalr_driverz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__regexpz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__rgcz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__text_bibtex"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
{ /* Llib/bibtex.scm 15 */
 obj_t BgL_cportz00_8062;
{ /* Llib/bibtex.scm 15 */
 obj_t BgL_stringz00_8070;
BgL_stringz00_8070 = BGl_string4111z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 15 */
 obj_t BgL_startz00_8071;
BgL_startz00_8071 = 
BINT(((long)0)); 
{ /* Llib/bibtex.scm 15 */
 obj_t BgL_endz00_8072;
BgL_endz00_8072 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_8070))); 
{ /* Llib/bibtex.scm 15 */

BgL_cportz00_8062 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_8070, BgL_startz00_8071, BgL_endz00_8072); } } } } 
{ 
 long BgL_iz00_8063;
BgL_iz00_8063 = ((long)32); 
BgL_loopz00_8064:
if(
(BgL_iz00_8063==((long)-1)))
{ /* Llib/bibtex.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/bibtex.scm 15 */
{ /* Llib/bibtex.scm 15 */
 obj_t BgL_arg4113z00_8066;
{ /* Llib/bibtex.scm 15 */

{ /* Llib/bibtex.scm 15 */
 obj_t BgL_locationz00_8068;
BgL_locationz00_8068 = 
BBOOL(((bool_t)0)); 
{ /* Llib/bibtex.scm 15 */

BgL_arg4113z00_8066 = 
BGl_readz00zz__readerz00(BgL_cportz00_8062, BgL_locationz00_8068); } } } 
{ /* Llib/bibtex.scm 15 */
 int BgL_tmpz00_10010;
BgL_tmpz00_10010 = 
(int)(BgL_iz00_8063); 
CNST_TABLE_SET(BgL_tmpz00_10010, BgL_arg4113z00_8066); } } 
{ /* Llib/bibtex.scm 15 */
 int BgL_auxz00_8069;
BgL_auxz00_8069 = 
(int)(
(BgL_iz00_8063-((long)1))); 
{ 
 long BgL_iz00_10015;
BgL_iz00_10015 = 
(long)(BgL_auxz00_8069); 
BgL_iz00_8063 = BgL_iz00_10015; 
goto BgL_loopz00_8064;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
BGl_pregexp1292z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4050z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1291z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4051z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1271z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4052z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1264z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4052z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1263z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4053z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1262z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4054z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1261z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4055z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1260z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4056z00zz__text_bibtexz00, BNIL); 
BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00 = BUNSPEC; 
BGl_bibtexzd2lexerzd2zz__text_bibtexz00 = BGl_proc4057z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL___actionzd2tablezd2_2897;
BgL___actionzd2tablezd2_2897 = 
CNST_TABLE_REF(((long)0)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL___gotozd2tablezd2_2898;
BgL___gotozd2tablezd2_2898 = 
CNST_TABLE_REF(((long)1)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL___reducez00_8020;
BgL___reducez00_8020 = 
MAKE_FX_PROCEDURE(BGl_z62__reducez62zz__text_bibtexz00, 
(int)(((long)3)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL___reducez00_8020, 
(int)(((long)0)), BgL___gotozd2tablezd2_2898); 
{ /* Llib/bibtex.scm 238 */

return ( 
BGl_bibtexzd2parserzd2zz__text_bibtexz00 = 
BGl___makezd2parserzd2zz__lalr_driverz00(BgL___actionzd2tablezd2_2897, BgL___reducez00_8020), BUNSPEC) ;} } } } } 

}



/* &__reduce */
obj_t BGl_z62__reducez62zz__text_bibtexz00(obj_t BgL_envz00_8022, obj_t BgL_nz00_8024, obj_t BgL___stackz00_8025, obj_t BgL___spz00_8026)
{
{ /* Llib/bibtex.scm 238 */
{ /* Llib/bibtex.scm 238 */
 obj_t BgL___gotozd2tablezd2_8023;
BgL___gotozd2tablezd2_8023 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_8022, 
(int)(((long)0)))); 
if(
INTEGERP(BgL_nz00_8024))
{ /* Llib/bibtex.scm 238 */
switch( 
(long)CINT(BgL_nz00_8024)) { case ((long)1) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexz00_8074;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3163z00_8075;
BgL_arg3163z00_8075 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexz00_8074 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3163z00_8075); } 
return BgL_bibtexz00_8074;} break;case ((long)2) : 

{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3165z00_8076; obj_t BgL_arg3166z00_8077;
BgL_arg3165z00_8076 = 
(
(long)CINT(BgL___spz00_8026)-((long)0)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3166z00_8077 = BNIL; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8078;
BgL_newzd2catzd2_8078 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8079;
BgL_statez00_8079 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3165z00_8076); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8080;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8081;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8082;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8083;
BgL_kz00_8083 = 
(long)CINT(BgL_statez00_8079); 
BgL_arg3334z00_8082 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8083); } 
BgL_arg3333z00_8081 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8078, BgL_arg3334z00_8082); } 
BgL_newzd2statezd2_8080 = 
CDR(
((obj_t)BgL_arg3333z00_8081)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8084;
BgL_newzd2spzd2_8084 = 
(BgL_arg3165z00_8076+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8084,BgL_newzd2statezd2_8080); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8085;
BgL_arg3332z00_8085 = 
(BgL_newzd2spzd2_8084-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8085,BgL_arg3166z00_8077); } 
return 
BINT(BgL_newzd2spzd2_8084);} } } } } } } break;case ((long)3) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexz00_8086;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3169z00_8087;
BgL_arg3169z00_8087 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexz00_8086 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3169z00_8087); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3167z00_8088; obj_t BgL_arg3168z00_8089;
BgL_arg3167z00_8088 = 
(
(long)CINT(BgL___spz00_8026)-((long)4)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3168z00_8089 = BgL_bibtexz00_8086; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8090;
BgL_newzd2catzd2_8090 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8091;
BgL_statez00_8091 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3167z00_8088); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8092;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8093;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8094;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8095;
BgL_kz00_8095 = 
(long)CINT(BgL_statez00_8091); 
BgL_arg3334z00_8094 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8095); } 
BgL_arg3333z00_8093 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8090, BgL_arg3334z00_8094); } 
BgL_newzd2statezd2_8092 = 
CDR(
((obj_t)BgL_arg3333z00_8093)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8096;
BgL_newzd2spzd2_8096 = 
(BgL_arg3167z00_8088+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8096,BgL_newzd2statezd2_8092); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8097;
BgL_arg3332z00_8097 = 
(BgL_newzd2spzd2_8096-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8097,BgL_arg3168z00_8089); } 
return 
BINT(BgL_newzd2spzd2_8096);} } } } } } } break;case ((long)4) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexz00_8098; obj_t BgL_bibtexzd2entryzd2_8099;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3173z00_8100;
BgL_arg3173z00_8100 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexz00_8098 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3173z00_8100); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3174z00_8101;
BgL_arg3174z00_8101 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2_8099 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3174z00_8101); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3171z00_8102; obj_t BgL_arg3172z00_8103;
BgL_arg3171z00_8102 = 
(
(long)CINT(BgL___spz00_8026)-((long)4)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3172z00_8103 = 
MAKE_YOUNG_PAIR(BgL_bibtexzd2entryzd2_8099, BgL_bibtexz00_8098); } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8104;
BgL_newzd2catzd2_8104 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8105;
BgL_statez00_8105 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3171z00_8102); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8106;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8107;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8108;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8109;
BgL_kz00_8109 = 
(long)CINT(BgL_statez00_8105); 
BgL_arg3334z00_8108 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8109); } 
BgL_arg3333z00_8107 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8104, BgL_arg3334z00_8108); } 
BgL_newzd2statezd2_8106 = 
CDR(
((obj_t)BgL_arg3333z00_8107)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8110;
BgL_newzd2spzd2_8110 = 
(BgL_arg3171z00_8102+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8110,BgL_newzd2statezd2_8106); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8111;
BgL_arg3332z00_8111 = 
(BgL_newzd2spzd2_8110-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8111,BgL_arg3172z00_8103); } 
return 
BINT(BgL_newzd2spzd2_8110);} } } } } } } break;case ((long)5) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexz00_8112;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3177z00_8113;
BgL_arg3177z00_8113 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexz00_8112 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3177z00_8113); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3175z00_8114; obj_t BgL_arg3176z00_8115;
BgL_arg3175z00_8114 = 
(
(long)CINT(BgL___spz00_8026)-((long)4)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3176z00_8115 = BgL_bibtexz00_8112; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8116;
BgL_newzd2catzd2_8116 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8117;
BgL_statez00_8117 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3175z00_8114); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8118;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8119;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8120;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8121;
BgL_kz00_8121 = 
(long)CINT(BgL_statez00_8117); 
BgL_arg3334z00_8120 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8121); } 
BgL_arg3333z00_8119 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8116, BgL_arg3334z00_8120); } 
BgL_newzd2statezd2_8118 = 
CDR(
((obj_t)BgL_arg3333z00_8119)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8122;
BgL_newzd2spzd2_8122 = 
(BgL_arg3175z00_8114+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8122,BgL_newzd2statezd2_8118); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8123;
BgL_arg3332z00_8123 = 
(BgL_newzd2spzd2_8122-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8123,BgL_arg3176z00_8115); } 
return 
BINT(BgL_newzd2spzd2_8122);} } } } } } } break;case ((long)6) : 

{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3179z00_8124; obj_t BgL_arg3180z00_8125;
BgL_arg3179z00_8124 = 
(
(long)CINT(BgL___spz00_8026)-((long)0)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3180z00_8125 = BNIL; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8126;
BgL_newzd2catzd2_8126 = 
CNST_TABLE_REF(((long)3)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8127;
BgL_statez00_8127 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3179z00_8124); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8128;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8129;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8130;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8131;
BgL_kz00_8131 = 
(long)CINT(BgL_statez00_8127); 
BgL_arg3334z00_8130 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8131); } 
BgL_arg3333z00_8129 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8126, BgL_arg3334z00_8130); } 
BgL_newzd2statezd2_8128 = 
CDR(
((obj_t)BgL_arg3333z00_8129)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8132;
BgL_newzd2spzd2_8132 = 
(BgL_arg3179z00_8124+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8132,BgL_newzd2statezd2_8128); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8133;
BgL_arg3332z00_8133 = 
(BgL_newzd2spzd2_8132-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8133,BgL_arg3180z00_8125); } 
return 
BINT(BgL_newzd2spzd2_8132);} } } } } } } break;case ((long)7) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3181z00_8134; obj_t BgL_arg3182z00_8135;
BgL_arg3181z00_8134 = 
(
(long)CINT(BgL___spz00_8026)-((long)4)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3182z00_8135 = BNIL; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8136;
BgL_newzd2catzd2_8136 = 
CNST_TABLE_REF(((long)3)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8137;
BgL_statez00_8137 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3181z00_8134); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8138;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8139;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8140;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8141;
BgL_kz00_8141 = 
(long)CINT(BgL_statez00_8137); 
BgL_arg3334z00_8140 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8141); } 
BgL_arg3333z00_8139 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8136, BgL_arg3334z00_8140); } 
BgL_newzd2statezd2_8138 = 
CDR(
((obj_t)BgL_arg3333z00_8139)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8142;
BgL_newzd2spzd2_8142 = 
(BgL_arg3181z00_8134+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8142,BgL_newzd2statezd2_8138); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8143;
BgL_arg3332z00_8143 = 
(BgL_newzd2spzd2_8142-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8143,BgL_arg3182z00_8135); } 
return 
BINT(BgL_newzd2spzd2_8142);} } } } } } break;case ((long)8) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_identz00_8144; obj_t BgL_bibtexzd2entryzd2valuez00_8145;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3191z00_8146;
BgL_arg3191z00_8146 = 
(
(long)CINT(BgL___spz00_8026)-((long)13)); 
BgL_identz00_8144 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3191z00_8146); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3195z00_8147;
BgL_arg3195z00_8147 = 
(
(long)CINT(BgL___spz00_8026)-((long)5)); 
BgL_bibtexzd2entryzd2valuez00_8145 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3195z00_8147); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3185z00_8148; obj_t BgL_arg3186z00_8149;
BgL_arg3185z00_8148 = 
(
(long)CINT(BgL___spz00_8026)-((long)20)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 263 */
 obj_t BgL_arg3187z00_8150;
{ /* Llib/bibtex.scm 263 */
 obj_t BgL_pairz00_8151;
BgL_pairz00_8151 = 
CDR(
((obj_t)BgL_identz00_8144)); 
BgL_arg3187z00_8150 = 
CAR(BgL_pairz00_8151); } 
BgL_arg3186z00_8149 = 
BGl_bibtexzd2stringzd2defz12z12zz__text_bibtexz00(BgL_arg3187z00_8150, BgL_bibtexzd2entryzd2valuez00_8145); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8152;
BgL_newzd2catzd2_8152 = 
CNST_TABLE_REF(((long)4)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8153;
BgL_statez00_8153 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3185z00_8148); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8154;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8155;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8156;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8157;
BgL_kz00_8157 = 
(long)CINT(BgL_statez00_8153); 
BgL_arg3334z00_8156 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8157); } 
BgL_arg3333z00_8155 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8152, BgL_arg3334z00_8156); } 
BgL_newzd2statezd2_8154 = 
CDR(
((obj_t)BgL_arg3333z00_8155)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8158;
BgL_newzd2spzd2_8158 = 
(BgL_arg3185z00_8148+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8158,BgL_newzd2statezd2_8154); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8159;
BgL_arg3332z00_8159 = 
(BgL_newzd2spzd2_8158-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8159,BgL_arg3186z00_8149); } 
return 
BINT(BgL_newzd2spzd2_8158);} } } } } } } break;case ((long)9) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibitemz00_8160; obj_t BgL_identz00_8161; obj_t BgL_bibtexzd2entryzd2itemza2za2_8162;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3202z00_8163;
BgL_arg3202z00_8163 = 
(
(long)CINT(BgL___spz00_8026)-((long)17)); 
BgL_bibitemz00_8160 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3202z00_8163); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3206z00_8164;
BgL_arg3206z00_8164 = 
(
(long)CINT(BgL___spz00_8026)-((long)9)); 
BgL_identz00_8161 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3206z00_8164); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3209z00_8165;
BgL_arg3209z00_8165 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2itemza2za2_8162 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3209z00_8165); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3198z00_8166; obj_t BgL_arg3199z00_8167;
BgL_arg3198z00_8166 = 
(
(long)CINT(BgL___spz00_8026)-((long)18)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 269 */
 obj_t BgL_arg3200z00_8168; obj_t BgL_arg3201z00_8169;
{ /* Llib/bibtex.scm 269 */
 obj_t BgL_pairz00_8170;
BgL_pairz00_8170 = 
CDR(
((obj_t)BgL_bibitemz00_8160)); 
BgL_arg3200z00_8168 = 
CAR(BgL_pairz00_8170); } 
{ /* Llib/bibtex.scm 270 */
 obj_t BgL_pairz00_8171;
BgL_pairz00_8171 = 
CDR(
((obj_t)BgL_identz00_8161)); 
BgL_arg3201z00_8169 = 
CAR(BgL_pairz00_8171); } 
BgL_arg3199z00_8167 = 
BGl_makezd2bibtexzd2entryz00zz__text_bibtexz00(BgL_arg3200z00_8168, BgL_arg3201z00_8169, BgL_bibtexzd2entryzd2itemza2za2_8162); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8172;
BgL_newzd2catzd2_8172 = 
CNST_TABLE_REF(((long)5)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8173;
BgL_statez00_8173 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3198z00_8166); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8174;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8175;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8176;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8177;
BgL_kz00_8177 = 
(long)CINT(BgL_statez00_8173); 
BgL_arg3334z00_8176 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8177); } 
BgL_arg3333z00_8175 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8172, BgL_arg3334z00_8176); } 
BgL_newzd2statezd2_8174 = 
CDR(
((obj_t)BgL_arg3333z00_8175)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8178;
BgL_newzd2spzd2_8178 = 
(BgL_arg3198z00_8166+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8178,BgL_newzd2statezd2_8174); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8179;
BgL_arg3332z00_8179 = 
(BgL_newzd2spzd2_8178-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8179,BgL_arg3199z00_8167); } 
return 
BINT(BgL_newzd2spzd2_8178);} } } } } } } break;case ((long)10) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3211z00_8180; obj_t BgL_arg3212z00_8181;
BgL_arg3211z00_8180 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3212z00_8181 = BNIL; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8182;
BgL_newzd2catzd2_8182 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8183;
BgL_statez00_8183 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3211z00_8180); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8184;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8185;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8186;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8187;
BgL_kz00_8187 = 
(long)CINT(BgL_statez00_8183); 
BgL_arg3334z00_8186 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8187); } 
BgL_arg3333z00_8185 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8182, BgL_arg3334z00_8186); } 
BgL_newzd2statezd2_8184 = 
CDR(
((obj_t)BgL_arg3333z00_8185)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8188;
BgL_newzd2spzd2_8188 = 
(BgL_arg3211z00_8180+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8188,BgL_newzd2statezd2_8184); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8189;
BgL_arg3332z00_8189 = 
(BgL_newzd2spzd2_8188-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8189,BgL_arg3212z00_8181); } 
return 
BINT(BgL_newzd2spzd2_8188);} } } } } } break;case ((long)11) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2itemz00_8190;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3217z00_8191;
BgL_arg3217z00_8191 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2itemz00_8190 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3217z00_8191); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3214z00_8192; obj_t BgL_arg3215z00_8193;
BgL_arg3214z00_8192 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 278 */
 obj_t BgL_list3216z00_8194;
BgL_list3216z00_8194 = 
MAKE_YOUNG_PAIR(BgL_bibtexzd2entryzd2itemz00_8190, BNIL); 
BgL_arg3215z00_8193 = BgL_list3216z00_8194; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8195;
BgL_newzd2catzd2_8195 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8196;
BgL_statez00_8196 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3214z00_8192); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8197;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8198;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8199;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8200;
BgL_kz00_8200 = 
(long)CINT(BgL_statez00_8196); 
BgL_arg3334z00_8199 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8200); } 
BgL_arg3333z00_8198 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8195, BgL_arg3334z00_8199); } 
BgL_newzd2statezd2_8197 = 
CDR(
((obj_t)BgL_arg3333z00_8198)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8201;
BgL_newzd2spzd2_8201 = 
(BgL_arg3214z00_8192+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8201,BgL_newzd2statezd2_8197); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8202;
BgL_arg3332z00_8202 = 
(BgL_newzd2spzd2_8201-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8202,BgL_arg3215z00_8193); } 
return 
BINT(BgL_newzd2spzd2_8201);} } } } } } } break;case ((long)12) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2itemz00_8203; obj_t BgL_bibtexzd2entryzd2itemza2za2_8204;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3220z00_8205;
BgL_arg3220z00_8205 = 
(
(long)CINT(BgL___spz00_8026)-((long)5)); 
BgL_bibtexzd2entryzd2itemz00_8203 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3220z00_8205); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3222z00_8206;
BgL_arg3222z00_8206 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2itemza2za2_8204 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3222z00_8206); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3218z00_8207; obj_t BgL_arg3219z00_8208;
BgL_arg3218z00_8207 = 
(
(long)CINT(BgL___spz00_8026)-((long)6)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3219z00_8208 = 
MAKE_YOUNG_PAIR(BgL_bibtexzd2entryzd2itemz00_8203, BgL_bibtexzd2entryzd2itemza2za2_8204); } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8209;
BgL_newzd2catzd2_8209 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8210;
BgL_statez00_8210 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3218z00_8207); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8211;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8212;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8213;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8214;
BgL_kz00_8214 = 
(long)CINT(BgL_statez00_8210); 
BgL_arg3334z00_8213 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8214); } 
BgL_arg3333z00_8212 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8209, BgL_arg3334z00_8213); } 
BgL_newzd2statezd2_8211 = 
CDR(
((obj_t)BgL_arg3333z00_8212)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8215;
BgL_newzd2spzd2_8215 = 
(BgL_arg3218z00_8207+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8215,BgL_newzd2statezd2_8211); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8216;
BgL_arg3332z00_8216 = 
(BgL_newzd2spzd2_8215-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8216,BgL_arg3219z00_8208); } 
return 
BINT(BgL_newzd2spzd2_8215);} } } } } } } break;case ((long)13) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_identz00_8217; obj_t BgL_bibtexzd2entryzd2valuez00_8218;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3229z00_8219;
BgL_arg3229z00_8219 = 
(
(long)CINT(BgL___spz00_8026)-((long)11)); 
BgL_identz00_8217 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3229z00_8219); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3233z00_8220;
BgL_arg3233z00_8220 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2valuez00_8218 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3233z00_8220); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3223z00_8221; obj_t BgL_arg3224z00_8222;
BgL_arg3223z00_8221 = 
(
(long)CINT(BgL___spz00_8026)-((long)14)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 285 */
 obj_t BgL_arg3225z00_8223;
{ /* Llib/bibtex.scm 285 */
 obj_t BgL_arg3226z00_8224;
{ /* Llib/bibtex.scm 285 */
 obj_t BgL_arg3227z00_8225;
{ /* Llib/bibtex.scm 285 */
 obj_t BgL_pairz00_8226;
BgL_pairz00_8226 = 
CDR(
((obj_t)BgL_identz00_8217)); 
BgL_arg3227z00_8225 = 
CAR(BgL_pairz00_8226); } 
BgL_arg3226z00_8224 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg3227z00_8225); } 
BgL_arg3225z00_8223 = 
bstring_to_symbol(BgL_arg3226z00_8224); } 
BgL_arg3224z00_8222 = 
MAKE_YOUNG_PAIR(BgL_arg3225z00_8223, BgL_bibtexzd2entryzd2valuez00_8218); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8227;
BgL_newzd2catzd2_8227 = 
CNST_TABLE_REF(((long)7)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8228;
BgL_statez00_8228 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3223z00_8221); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8229;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8230;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8231;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8232;
BgL_kz00_8232 = 
(long)CINT(BgL_statez00_8228); 
BgL_arg3334z00_8231 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8232); } 
BgL_arg3333z00_8230 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8227, BgL_arg3334z00_8231); } 
BgL_newzd2statezd2_8229 = 
CDR(
((obj_t)BgL_arg3333z00_8230)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8233;
BgL_newzd2spzd2_8233 = 
(BgL_arg3223z00_8221+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8233,BgL_newzd2statezd2_8229); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8234;
BgL_arg3332z00_8234 = 
(BgL_newzd2spzd2_8233-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8234,BgL_arg3224z00_8222); } 
return 
BINT(BgL_newzd2spzd2_8233);} } } } } } } break;case ((long)14) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_authorz00_8235; obj_t BgL_bibtexzd2entryzd2valuez00_8236;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3241z00_8237;
BgL_arg3241z00_8237 = 
(
(long)CINT(BgL___spz00_8026)-((long)11)); 
BgL_authorz00_8235 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3241z00_8237); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3245z00_8238;
BgL_arg3245z00_8238 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2valuez00_8236 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3245z00_8238); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3235z00_8239; obj_t BgL_arg3236z00_8240;
BgL_arg3235z00_8239 = 
(
(long)CINT(BgL___spz00_8026)-((long)14)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 288 */
 obj_t BgL_arg3237z00_8241;
{ /* Llib/bibtex.scm 288 */
 obj_t BgL_arg3238z00_8242;
{ /* Llib/bibtex.scm 288 */
 obj_t BgL_arg3239z00_8243;
{ /* Llib/bibtex.scm 288 */
 obj_t BgL_pairz00_8244;
BgL_pairz00_8244 = 
CDR(
((obj_t)BgL_authorz00_8235)); 
BgL_arg3239z00_8243 = 
CAR(BgL_pairz00_8244); } 
BgL_arg3238z00_8242 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg3239z00_8243); } 
BgL_arg3237z00_8241 = 
bstring_to_symbol(BgL_arg3238z00_8242); } 
BgL_arg3236z00_8240 = 
MAKE_YOUNG_PAIR(BgL_arg3237z00_8241, BgL_bibtexzd2entryzd2valuez00_8236); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8245;
BgL_newzd2catzd2_8245 = 
CNST_TABLE_REF(((long)7)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8246;
BgL_statez00_8246 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3235z00_8239); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8247;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8248;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8249;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8250;
BgL_kz00_8250 = 
(long)CINT(BgL_statez00_8246); 
BgL_arg3334z00_8249 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8250); } 
BgL_arg3333z00_8248 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8245, BgL_arg3334z00_8249); } 
BgL_newzd2statezd2_8247 = 
CDR(
((obj_t)BgL_arg3333z00_8248)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8251;
BgL_newzd2spzd2_8251 = 
(BgL_arg3235z00_8239+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8251,BgL_newzd2statezd2_8247); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8252;
BgL_arg3332z00_8252 = 
(BgL_newzd2spzd2_8251-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8252,BgL_arg3236z00_8240); } 
return 
BINT(BgL_newzd2spzd2_8251);} } } } } } } break;case ((long)15) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_numberz00_8253;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3251z00_8254;
BgL_arg3251z00_8254 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_numberz00_8253 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3251z00_8254); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3247z00_8255; obj_t BgL_arg3248z00_8256;
BgL_arg3247z00_8255 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 294 */
 obj_t BgL_arg3249z00_8257;
{ /* Llib/bibtex.scm 294 */
 obj_t BgL_pairz00_8258;
BgL_pairz00_8258 = 
CDR(
((obj_t)BgL_numberz00_8253)); 
BgL_arg3249z00_8257 = 
CAR(BgL_pairz00_8258); } 
{ /* Llib/bibtex.scm 294 */
 obj_t BgL_list3250z00_8259;
BgL_list3250z00_8259 = 
MAKE_YOUNG_PAIR(BgL_arg3249z00_8257, BNIL); 
BgL_arg3248z00_8256 = BgL_list3250z00_8259; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8260;
BgL_newzd2catzd2_8260 = 
CNST_TABLE_REF(((long)8)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8261;
BgL_statez00_8261 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3247z00_8255); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8262;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8263;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8264;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8265;
BgL_kz00_8265 = 
(long)CINT(BgL_statez00_8261); 
BgL_arg3334z00_8264 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8265); } 
BgL_arg3333z00_8263 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8260, BgL_arg3334z00_8264); } 
BgL_newzd2statezd2_8262 = 
CDR(
((obj_t)BgL_arg3333z00_8263)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8266;
BgL_newzd2spzd2_8266 = 
(BgL_arg3247z00_8255+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8266,BgL_newzd2statezd2_8262); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8267;
BgL_arg3332z00_8267 = 
(BgL_newzd2spzd2_8266-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8267,BgL_arg3248z00_8256); } 
return 
BINT(BgL_newzd2spzd2_8266);} } } } } } } break;case ((long)16) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2stringzd2_8268;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3254z00_8269;
BgL_arg3254z00_8269 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2valuezd2stringzd2_8268 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3254z00_8269); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3252z00_8270; obj_t BgL_arg3253z00_8271;
BgL_arg3252z00_8270 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3253z00_8271 = BgL_bibtexzd2entryzd2valuezd2stringzd2_8268; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8272;
BgL_newzd2catzd2_8272 = 
CNST_TABLE_REF(((long)8)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8273;
BgL_statez00_8273 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3252z00_8270); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8274;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8275;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8276;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8277;
BgL_kz00_8277 = 
(long)CINT(BgL_statez00_8273); 
BgL_arg3334z00_8276 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8277); } 
BgL_arg3333z00_8275 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8272, BgL_arg3334z00_8276); } 
BgL_newzd2statezd2_8274 = 
CDR(
((obj_t)BgL_arg3333z00_8275)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8278;
BgL_newzd2spzd2_8278 = 
(BgL_arg3252z00_8270+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8278,BgL_newzd2statezd2_8274); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8279;
BgL_arg3332z00_8279 = 
(BgL_newzd2spzd2_8278-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8279,BgL_arg3253z00_8271); } 
return 
BINT(BgL_newzd2spzd2_8278);} } } } } } } break;case ((long)17) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2blockza2z70_8280;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3258z00_8281;
BgL_arg3258z00_8281 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2valuezd2blockza2z70_8280 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3258z00_8281); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3255z00_8282; obj_t BgL_arg3256z00_8283;
BgL_arg3255z00_8282 = 
(
(long)CINT(BgL___spz00_8026)-((long)6)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3256z00_8283 = BgL_bibtexzd2entryzd2valuezd2blockza2z70_8280; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8284;
BgL_newzd2catzd2_8284 = 
CNST_TABLE_REF(((long)8)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8285;
BgL_statez00_8285 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3255z00_8282); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8286;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8287;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8288;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8289;
BgL_kz00_8289 = 
(long)CINT(BgL_statez00_8285); 
BgL_arg3334z00_8288 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8289); } 
BgL_arg3333z00_8287 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8284, BgL_arg3334z00_8288); } 
BgL_newzd2statezd2_8286 = 
CDR(
((obj_t)BgL_arg3333z00_8287)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8290;
BgL_newzd2spzd2_8290 = 
(BgL_arg3255z00_8282+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8290,BgL_newzd2statezd2_8286); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8291;
BgL_arg3332z00_8291 = 
(BgL_newzd2spzd2_8290-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8291,BgL_arg3256z00_8283); } 
return 
BINT(BgL_newzd2spzd2_8290);} } } } } } } break;case ((long)18) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8292;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3263z00_8293;
BgL_arg3263z00_8293 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8292 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3263z00_8293); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3260z00_8294; obj_t BgL_arg3261z00_8295;
BgL_arg3260z00_8294 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 303 */
 obj_t BgL_list3262z00_8296;
BgL_list3262z00_8296 = 
MAKE_YOUNG_PAIR(BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8292, BNIL); 
BgL_arg3261z00_8295 = BgL_list3262z00_8296; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8297;
BgL_newzd2catzd2_8297 = 
CNST_TABLE_REF(((long)9)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8298;
BgL_statez00_8298 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3260z00_8294); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8299;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8300;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8301;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8302;
BgL_kz00_8302 = 
(long)CINT(BgL_statez00_8298); 
BgL_arg3334z00_8301 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8302); } 
BgL_arg3333z00_8300 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8297, BgL_arg3334z00_8301); } 
BgL_newzd2statezd2_8299 = 
CDR(
((obj_t)BgL_arg3333z00_8300)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8303;
BgL_newzd2spzd2_8303 = 
(BgL_arg3260z00_8294+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8303,BgL_newzd2statezd2_8299); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8304;
BgL_arg3332z00_8304 = 
(BgL_newzd2spzd2_8303-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8304,BgL_arg3261z00_8295); } 
return 
BINT(BgL_newzd2spzd2_8303);} } } } } } } break;case ((long)19) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2stringzd2_8305; obj_t BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8306;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3267z00_8307;
BgL_arg3267z00_8307 = 
(
(long)CINT(BgL___spz00_8026)-((long)5)); 
BgL_bibtexzd2entryzd2valuezd2stringzd2_8305 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3267z00_8307); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3269z00_8308;
BgL_arg3269z00_8308 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8306 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3269z00_8308); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3264z00_8309; obj_t BgL_arg3265z00_8310;
BgL_arg3264z00_8309 = 
(
(long)CINT(BgL___spz00_8026)-((long)6)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 305 */
 obj_t BgL_arg3266z00_8311;
BgL_arg3266z00_8311 = 
MAKE_YOUNG_PAIR(BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8306, BNIL); 
BgL_arg3265z00_8310 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bibtexzd2entryzd2valuezd2stringzd2_8305, BgL_arg3266z00_8311); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8312;
BgL_newzd2catzd2_8312 = 
CNST_TABLE_REF(((long)9)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8313;
BgL_statez00_8313 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3264z00_8309); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8314;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8315;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8316;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8317;
BgL_kz00_8317 = 
(long)CINT(BgL_statez00_8313); 
BgL_arg3334z00_8316 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8317); } 
BgL_arg3333z00_8315 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8312, BgL_arg3334z00_8316); } 
BgL_newzd2statezd2_8314 = 
CDR(
((obj_t)BgL_arg3333z00_8315)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8318;
BgL_newzd2spzd2_8318 = 
(BgL_arg3264z00_8309+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8318,BgL_newzd2statezd2_8314); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8319;
BgL_arg3332z00_8319 = 
(BgL_newzd2spzd2_8318-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8319,BgL_arg3265z00_8310); } 
return 
BINT(BgL_newzd2spzd2_8318);} } } } } } } break;case ((long)20) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_stringz00_8320;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3272z00_8321;
BgL_arg3272z00_8321 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_stringz00_8320 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3272z00_8321); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3270z00_8322; obj_t BgL_arg3271z00_8323;
BgL_arg3270z00_8322 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 310 */
 obj_t BgL_pairz00_8324;
BgL_pairz00_8324 = 
CDR(
((obj_t)BgL_stringz00_8320)); 
BgL_arg3271z00_8323 = 
CAR(BgL_pairz00_8324); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8325;
BgL_newzd2catzd2_8325 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8326;
BgL_statez00_8326 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3270z00_8322); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8327;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8328;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8329;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8330;
BgL_kz00_8330 = 
(long)CINT(BgL_statez00_8326); 
BgL_arg3334z00_8329 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8330); } 
BgL_arg3333z00_8328 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8325, BgL_arg3334z00_8329); } 
BgL_newzd2statezd2_8327 = 
CDR(
((obj_t)BgL_arg3333z00_8328)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8331;
BgL_newzd2spzd2_8331 = 
(BgL_arg3270z00_8322+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8331,BgL_newzd2statezd2_8327); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8332;
BgL_arg3332z00_8332 = 
(BgL_newzd2spzd2_8331-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8332,BgL_arg3271z00_8323); } 
return 
BINT(BgL_newzd2spzd2_8331);} } } } } } } break;case ((long)21) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_identz00_8333;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3277z00_8334;
BgL_arg3277z00_8334 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_identz00_8333 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3277z00_8334); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3273z00_8335; obj_t BgL_arg3274z00_8336;
BgL_arg3273z00_8335 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 312 */
 obj_t BgL_arg3275z00_8337;
{ /* Llib/bibtex.scm 312 */
 obj_t BgL_arg3276z00_8338;
{ /* Llib/bibtex.scm 312 */
 obj_t BgL_pairz00_8339;
BgL_pairz00_8339 = 
CDR(
((obj_t)BgL_identz00_8333)); 
BgL_arg3276z00_8338 = 
CAR(BgL_pairz00_8339); } 
BgL_arg3275z00_8337 = 
MAKE_YOUNG_PAIR(BgL_arg3276z00_8338, BNIL); } 
BgL_arg3274z00_8336 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)11)), BgL_arg3275z00_8337); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8340;
BgL_newzd2catzd2_8340 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8341;
BgL_statez00_8341 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3273z00_8335); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8342;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8343;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8344;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8345;
BgL_kz00_8345 = 
(long)CINT(BgL_statez00_8341); 
BgL_arg3334z00_8344 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8345); } 
BgL_arg3333z00_8343 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8340, BgL_arg3334z00_8344); } 
BgL_newzd2statezd2_8342 = 
CDR(
((obj_t)BgL_arg3333z00_8343)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8346;
BgL_newzd2spzd2_8346 = 
(BgL_arg3273z00_8335+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8346,BgL_newzd2statezd2_8342); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8347;
BgL_arg3332z00_8347 = 
(BgL_newzd2spzd2_8346-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8347,BgL_arg3274z00_8336); } 
return 
BINT(BgL_newzd2spzd2_8346);} } } } } } } break;case ((long)22) : 

{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3278z00_8348; obj_t BgL_arg3279z00_8349;
BgL_arg3278z00_8348 = 
(
(long)CINT(BgL___spz00_8026)-((long)0)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3279z00_8349 = BNIL; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8350;
BgL_newzd2catzd2_8350 = 
CNST_TABLE_REF(((long)12)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8351;
BgL_statez00_8351 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3278z00_8348); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8352;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8353;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8354;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8355;
BgL_kz00_8355 = 
(long)CINT(BgL_statez00_8351); 
BgL_arg3334z00_8354 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8355); } 
BgL_arg3333z00_8353 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8350, BgL_arg3334z00_8354); } 
BgL_newzd2statezd2_8352 = 
CDR(
((obj_t)BgL_arg3333z00_8353)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8356;
BgL_newzd2spzd2_8356 = 
(BgL_arg3278z00_8348+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8356,BgL_newzd2statezd2_8352); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8357;
BgL_arg3332z00_8357 = 
(BgL_newzd2spzd2_8356-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8357,BgL_arg3279z00_8349); } 
return 
BINT(BgL_newzd2spzd2_8356);} } } } } } } break;case ((long)23) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2blockza2z70_8358; obj_t BgL_bibtexzd2entryzd2valuezd2blockzd2_8359;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3282z00_8360;
BgL_arg3282z00_8360 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2valuezd2blockza2z70_8358 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3282z00_8360); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3283z00_8361;
BgL_arg3283z00_8361 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2valuezd2blockzd2_8359 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3283z00_8361); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3280z00_8362; obj_t BgL_arg3281z00_8363;
BgL_arg3280z00_8362 = 
(
(long)CINT(BgL___spz00_8026)-((long)4)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3281z00_8363 = 
BGl_appendzd221010zd2zz__text_bibtexz00(BgL_bibtexzd2entryzd2valuezd2blockza2z70_8358, BgL_bibtexzd2entryzd2valuezd2blockzd2_8359); } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8364;
BgL_newzd2catzd2_8364 = 
CNST_TABLE_REF(((long)12)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8365;
BgL_statez00_8365 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3280z00_8362); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8366;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8367;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8368;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8369;
BgL_kz00_8369 = 
(long)CINT(BgL_statez00_8365); 
BgL_arg3334z00_8368 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8369); } 
BgL_arg3333z00_8367 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8364, BgL_arg3334z00_8368); } 
BgL_newzd2statezd2_8366 = 
CDR(
((obj_t)BgL_arg3333z00_8367)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8370;
BgL_newzd2spzd2_8370 = 
(BgL_arg3280z00_8362+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8370,BgL_newzd2statezd2_8366); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8371;
BgL_arg3332z00_8371 = 
(BgL_newzd2spzd2_8370-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8371,BgL_arg3281z00_8363); } 
return 
BINT(BgL_newzd2spzd2_8370);} } } } } } } break;case ((long)24) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2blockza2z70_8372;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3287z00_8373;
BgL_arg3287z00_8373 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2valuezd2blockza2z70_8372 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3287z00_8373); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3284z00_8374; obj_t BgL_arg3285z00_8375;
BgL_arg3284z00_8374 = 
(
(long)CINT(BgL___spz00_8026)-((long)6)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3285z00_8375 = BgL_bibtexzd2entryzd2valuezd2blockza2z70_8372; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8376;
BgL_newzd2catzd2_8376 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8377;
BgL_statez00_8377 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3284z00_8374); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8378;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8379;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8380;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8381;
BgL_kz00_8381 = 
(long)CINT(BgL_statez00_8377); 
BgL_arg3334z00_8380 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8381); } 
BgL_arg3333z00_8379 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8376, BgL_arg3334z00_8380); } 
BgL_newzd2statezd2_8378 = 
CDR(
((obj_t)BgL_arg3333z00_8379)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8382;
BgL_newzd2spzd2_8382 = 
(BgL_arg3284z00_8374+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8382,BgL_newzd2statezd2_8378); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8383;
BgL_arg3332z00_8383 = 
(BgL_newzd2spzd2_8382-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8383,BgL_arg3285z00_8375); } 
return 
BINT(BgL_newzd2spzd2_8382);} } } } } } } break;case ((long)25) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3289z00_8384; obj_t BgL_arg3290z00_8385;
BgL_arg3289z00_8384 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 326 */
 obj_t BgL_list3291z00_8386;
BgL_list3291z00_8386 = 
MAKE_YOUNG_PAIR(BGl_string4058z00zz__text_bibtexz00, BNIL); 
BgL_arg3290z00_8385 = BgL_list3291z00_8386; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8387;
BgL_newzd2catzd2_8387 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8388;
BgL_statez00_8388 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3289z00_8384); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8389;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8390;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8391;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8392;
BgL_kz00_8392 = 
(long)CINT(BgL_statez00_8388); 
BgL_arg3334z00_8391 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8392); } 
BgL_arg3333z00_8390 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8387, BgL_arg3334z00_8391); } 
BgL_newzd2statezd2_8389 = 
CDR(
((obj_t)BgL_arg3333z00_8390)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8393;
BgL_newzd2spzd2_8393 = 
(BgL_arg3289z00_8384+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8393,BgL_newzd2statezd2_8389); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8394;
BgL_arg3332z00_8394 = 
(BgL_newzd2spzd2_8393-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8394,BgL_arg3290z00_8385); } 
return 
BINT(BgL_newzd2spzd2_8393);} } } } } } break;case ((long)26) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3293z00_8395; obj_t BgL_arg3294z00_8396;
BgL_arg3293z00_8395 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 328 */
 obj_t BgL_list3295z00_8397;
BgL_list3295z00_8397 = 
MAKE_YOUNG_PAIR(BGl_string4059z00zz__text_bibtexz00, BNIL); 
BgL_arg3294z00_8396 = BgL_list3295z00_8397; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8398;
BgL_newzd2catzd2_8398 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8399;
BgL_statez00_8399 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3293z00_8395); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8400;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8401;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8402;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8403;
BgL_kz00_8403 = 
(long)CINT(BgL_statez00_8399); 
BgL_arg3334z00_8402 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8403); } 
BgL_arg3333z00_8401 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8398, BgL_arg3334z00_8402); } 
BgL_newzd2statezd2_8400 = 
CDR(
((obj_t)BgL_arg3333z00_8401)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8404;
BgL_newzd2spzd2_8404 = 
(BgL_arg3293z00_8395+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8404,BgL_newzd2statezd2_8400); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8405;
BgL_arg3332z00_8405 = 
(BgL_newzd2spzd2_8404-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8405,BgL_arg3294z00_8396); } 
return 
BINT(BgL_newzd2spzd2_8404);} } } } } } break;case ((long)27) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_identz00_8406;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3301z00_8407;
BgL_arg3301z00_8407 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_identz00_8406 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3301z00_8407); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3297z00_8408; obj_t BgL_arg3298z00_8409;
BgL_arg3297z00_8408 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 330 */
 obj_t BgL_arg3299z00_8410;
{ /* Llib/bibtex.scm 330 */
 obj_t BgL_pairz00_8411;
BgL_pairz00_8411 = 
CDR(
((obj_t)BgL_identz00_8406)); 
BgL_arg3299z00_8410 = 
CAR(BgL_pairz00_8411); } 
{ /* Llib/bibtex.scm 330 */
 obj_t BgL_list3300z00_8412;
BgL_list3300z00_8412 = 
MAKE_YOUNG_PAIR(BgL_arg3299z00_8410, BNIL); 
BgL_arg3298z00_8409 = BgL_list3300z00_8412; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8413;
BgL_newzd2catzd2_8413 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8414;
BgL_statez00_8414 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3297z00_8408); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8415;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8416;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8417;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8418;
BgL_kz00_8418 = 
(long)CINT(BgL_statez00_8414); 
BgL_arg3334z00_8417 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8418); } 
BgL_arg3333z00_8416 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8413, BgL_arg3334z00_8417); } 
BgL_newzd2statezd2_8415 = 
CDR(
((obj_t)BgL_arg3333z00_8416)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8419;
BgL_newzd2spzd2_8419 = 
(BgL_arg3297z00_8408+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8419,BgL_newzd2statezd2_8415); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8420;
BgL_arg3332z00_8420 = 
(BgL_newzd2spzd2_8419-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8420,BgL_arg3298z00_8409); } 
return 
BINT(BgL_newzd2spzd2_8419);} } } } } } } break;case ((long)28) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3302z00_8421; obj_t BgL_arg3303z00_8422;
BgL_arg3302z00_8421 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 332 */
 obj_t BgL_list3304z00_8423;
BgL_list3304z00_8423 = 
MAKE_YOUNG_PAIR(BGl_string4060z00zz__text_bibtexz00, BNIL); 
BgL_arg3303z00_8422 = BgL_list3304z00_8423; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8424;
BgL_newzd2catzd2_8424 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8425;
BgL_statez00_8425 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3302z00_8421); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8426;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8427;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8428;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8429;
BgL_kz00_8429 = 
(long)CINT(BgL_statez00_8425); 
BgL_arg3334z00_8428 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8429); } 
BgL_arg3333z00_8427 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8424, BgL_arg3334z00_8428); } 
BgL_newzd2statezd2_8426 = 
CDR(
((obj_t)BgL_arg3333z00_8427)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8430;
BgL_newzd2spzd2_8430 = 
(BgL_arg3302z00_8421+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8430,BgL_newzd2statezd2_8426); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8431;
BgL_arg3332z00_8431 = 
(BgL_newzd2spzd2_8430-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8431,BgL_arg3303z00_8422); } 
return 
BINT(BgL_newzd2spzd2_8430);} } } } } } break;case ((long)29) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3306z00_8432; obj_t BgL_arg3307z00_8433;
BgL_arg3306z00_8432 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 334 */
 obj_t BgL_list3308z00_8434;
BgL_list3308z00_8434 = 
MAKE_YOUNG_PAIR(BGl_string4061z00zz__text_bibtexz00, BNIL); 
BgL_arg3307z00_8433 = BgL_list3308z00_8434; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8435;
BgL_newzd2catzd2_8435 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8436;
BgL_statez00_8436 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3306z00_8432); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8437;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8438;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8439;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8440;
BgL_kz00_8440 = 
(long)CINT(BgL_statez00_8436); 
BgL_arg3334z00_8439 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8440); } 
BgL_arg3333z00_8438 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8435, BgL_arg3334z00_8439); } 
BgL_newzd2statezd2_8437 = 
CDR(
((obj_t)BgL_arg3333z00_8438)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8441;
BgL_newzd2spzd2_8441 = 
(BgL_arg3306z00_8432+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8441,BgL_newzd2statezd2_8437); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8442;
BgL_arg3332z00_8442 = 
(BgL_newzd2spzd2_8441-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8442,BgL_arg3307z00_8433); } 
return 
BINT(BgL_newzd2spzd2_8441);} } } } } } break;case ((long)30) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_charz00_8443;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3314z00_8444;
BgL_arg3314z00_8444 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_charz00_8443 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3314z00_8444); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3310z00_8445; obj_t BgL_arg3311z00_8446;
BgL_arg3310z00_8445 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 336 */
 obj_t BgL_arg3312z00_8447;
{ /* Llib/bibtex.scm 336 */
 obj_t BgL_pairz00_8448;
BgL_pairz00_8448 = 
CDR(
((obj_t)BgL_charz00_8443)); 
BgL_arg3312z00_8447 = 
CAR(BgL_pairz00_8448); } 
{ /* Llib/bibtex.scm 336 */
 obj_t BgL_list3313z00_8449;
BgL_list3313z00_8449 = 
MAKE_YOUNG_PAIR(BgL_arg3312z00_8447, BNIL); 
BgL_arg3311z00_8446 = BgL_list3313z00_8449; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8450;
BgL_newzd2catzd2_8450 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8451;
BgL_statez00_8451 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3310z00_8445); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8452;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8453;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8454;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8455;
BgL_kz00_8455 = 
(long)CINT(BgL_statez00_8451); 
BgL_arg3334z00_8454 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8455); } 
BgL_arg3333z00_8453 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8450, BgL_arg3334z00_8454); } 
BgL_newzd2statezd2_8452 = 
CDR(
((obj_t)BgL_arg3333z00_8453)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8456;
BgL_newzd2spzd2_8456 = 
(BgL_arg3310z00_8445+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8456,BgL_newzd2statezd2_8452); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8457;
BgL_arg3332z00_8457 = 
(BgL_newzd2spzd2_8456-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8457,BgL_arg3311z00_8446); } 
return 
BINT(BgL_newzd2spzd2_8456);} } } } } } } break;case ((long)31) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_specialz00_8458;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3319z00_8459;
BgL_arg3319z00_8459 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_specialz00_8458 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3319z00_8459); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3315z00_8460; obj_t BgL_arg3316z00_8461;
BgL_arg3315z00_8460 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 338 */
 obj_t BgL_arg3317z00_8462;
{ /* Llib/bibtex.scm 338 */
 obj_t BgL_pairz00_8463;
BgL_pairz00_8463 = 
CDR(
((obj_t)BgL_specialz00_8458)); 
BgL_arg3317z00_8462 = 
CAR(BgL_pairz00_8463); } 
{ /* Llib/bibtex.scm 338 */
 obj_t BgL_list3318z00_8464;
BgL_list3318z00_8464 = 
MAKE_YOUNG_PAIR(BgL_arg3317z00_8462, BNIL); 
BgL_arg3316z00_8461 = BgL_list3318z00_8464; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8465;
BgL_newzd2catzd2_8465 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8466;
BgL_statez00_8466 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3315z00_8460); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8467;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8468;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8469;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8470;
BgL_kz00_8470 = 
(long)CINT(BgL_statez00_8466); 
BgL_arg3334z00_8469 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8470); } 
BgL_arg3333z00_8468 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8465, BgL_arg3334z00_8469); } 
BgL_newzd2statezd2_8467 = 
CDR(
((obj_t)BgL_arg3333z00_8468)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8471;
BgL_newzd2spzd2_8471 = 
(BgL_arg3315z00_8460+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8471,BgL_newzd2statezd2_8467); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8472;
BgL_arg3332z00_8472 = 
(BgL_newzd2spzd2_8471-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8472,BgL_arg3316z00_8461); } 
return 
BINT(BgL_newzd2spzd2_8471);} } } } } } } break;case ((long)32) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_numberz00_8473;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3324z00_8474;
BgL_arg3324z00_8474 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_numberz00_8473 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3324z00_8474); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3320z00_8475; obj_t BgL_arg3321z00_8476;
BgL_arg3320z00_8475 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 340 */
 obj_t BgL_arg3322z00_8477;
{ /* Llib/bibtex.scm 340 */
 obj_t BgL_pairz00_8478;
BgL_pairz00_8478 = 
CDR(
((obj_t)BgL_numberz00_8473)); 
BgL_arg3322z00_8477 = 
CAR(BgL_pairz00_8478); } 
{ /* Llib/bibtex.scm 340 */
 obj_t BgL_list3323z00_8479;
BgL_list3323z00_8479 = 
MAKE_YOUNG_PAIR(BgL_arg3322z00_8477, BNIL); 
BgL_arg3321z00_8476 = BgL_list3323z00_8479; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8480;
BgL_newzd2catzd2_8480 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8481;
BgL_statez00_8481 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3320z00_8475); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8482;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8483;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8484;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8485;
BgL_kz00_8485 = 
(long)CINT(BgL_statez00_8481); 
BgL_arg3334z00_8484 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8485); } 
BgL_arg3333z00_8483 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8480, BgL_arg3334z00_8484); } 
BgL_newzd2statezd2_8482 = 
CDR(
((obj_t)BgL_arg3333z00_8483)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8486;
BgL_newzd2spzd2_8486 = 
(BgL_arg3320z00_8475+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8486,BgL_newzd2statezd2_8482); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8487;
BgL_arg3332z00_8487 = 
(BgL_newzd2spzd2_8486-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8487,BgL_arg3321z00_8476); } 
return 
BINT(BgL_newzd2spzd2_8486);} } } } } } } break;case ((long)33) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_stringz00_8488;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3330z00_8489;
BgL_arg3330z00_8489 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_stringz00_8488 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3330z00_8489); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3325z00_8490; obj_t BgL_arg3326z00_8491;
BgL_arg3325z00_8490 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 342 */
 obj_t BgL_arg3327z00_8492;
{ /* Llib/bibtex.scm 342 */
 obj_t BgL_arg3329z00_8493;
{ /* Llib/bibtex.scm 342 */
 obj_t BgL_pairz00_8494;
BgL_pairz00_8494 = 
CDR(
((obj_t)BgL_stringz00_8488)); 
BgL_arg3329z00_8493 = 
CAR(BgL_pairz00_8494); } 
BgL_arg3327z00_8492 = 
string_append_3(BGl_string4062z00zz__text_bibtexz00, BgL_arg3329z00_8493, BGl_string4062z00zz__text_bibtexz00); } 
{ /* Llib/bibtex.scm 342 */
 obj_t BgL_list3328z00_8495;
BgL_list3328z00_8495 = 
MAKE_YOUNG_PAIR(BgL_arg3327z00_8492, BNIL); 
BgL_arg3326z00_8491 = BgL_list3328z00_8495; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8496;
BgL_newzd2catzd2_8496 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8497;
BgL_statez00_8497 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3325z00_8490); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8498;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3333z00_8499;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3334z00_8500;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8501;
BgL_kz00_8501 = 
(long)CINT(BgL_statez00_8497); 
BgL_arg3334z00_8500 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8501); } 
BgL_arg3333z00_8499 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8496, BgL_arg3334z00_8500); } 
BgL_newzd2statezd2_8498 = 
CDR(
((obj_t)BgL_arg3333z00_8499)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8502;
BgL_newzd2spzd2_8502 = 
(BgL_arg3325z00_8490+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8502,BgL_newzd2statezd2_8498); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3332z00_8503;
BgL_arg3332z00_8503 = 
(BgL_newzd2spzd2_8502-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3332z00_8503,BgL_arg3326z00_8491); } 
return 
BINT(BgL_newzd2spzd2_8502);} } } } } } } break;
default: 
return BUNSPEC;} }  else 
{ /* Llib/bibtex.scm 238 */
return BUNSPEC;} } } 

}



/* &<@anonymous:1313> */
obj_t BGl_z62zc3z04anonymousza31313ze3ze5zz__text_bibtexz00(obj_t BgL_envz00_8027, obj_t BgL_iportz00_8028)
{
{ /* Llib/bibtex.scm 103 */
{ 
 obj_t BgL_iportz00_9671; long BgL_lastzd2matchzd2_9672; long BgL_forwardz00_9673; long BgL_bufposz00_9674; obj_t BgL_iportz00_9664; long BgL_lastzd2matchzd2_9665; long BgL_forwardz00_9666; long BgL_bufposz00_9667; obj_t BgL_iportz00_9655; long BgL_lastzd2matchzd2_9656; long BgL_forwardz00_9657; long BgL_bufposz00_9658; obj_t BgL_iportz00_9646; long BgL_lastzd2matchzd2_9647; long BgL_forwardz00_9648; long BgL_bufposz00_9649; obj_t BgL_iportz00_9637; long BgL_lastzd2matchzd2_9638; long BgL_forwardz00_9639; long BgL_bufposz00_9640; obj_t BgL_iportz00_9630; long BgL_lastzd2matchzd2_9631; long BgL_forwardz00_9632; long BgL_bufposz00_9633; obj_t BgL_iportz00_9623; long BgL_lastzd2matchzd2_9624; long BgL_forwardz00_9625; long BgL_bufposz00_9626; obj_t BgL_iportz00_9614; long BgL_lastzd2matchzd2_9615; long BgL_forwardz00_9616; long BgL_bufposz00_9617; obj_t BgL_iportz00_9605; long BgL_lastzd2matchzd2_9606; long BgL_forwardz00_9607; long BgL_bufposz00_9608; obj_t BgL_iportz00_9597; long BgL_lastzd2matchzd2_9598; long BgL_forwardz00_9599; long BgL_bufposz00_9600; obj_t BgL_iportz00_9590; long BgL_lastzd2matchzd2_9591; long BgL_forwardz00_9592; long BgL_bufposz00_9593; obj_t BgL_iportz00_9582; long BgL_lastzd2matchzd2_9583; long BgL_forwardz00_9584; long BgL_bufposz00_9585; obj_t BgL_iportz00_9575; long BgL_lastzd2matchzd2_9576; long BgL_forwardz00_9577; long BgL_bufposz00_9578; obj_t BgL_iportz00_9568; long BgL_lastzd2matchzd2_9569; long BgL_forwardz00_9570; long BgL_bufposz00_9571; obj_t BgL_iportz00_9561; long BgL_lastzd2matchzd2_9562; long BgL_forwardz00_9563; long BgL_bufposz00_9564; obj_t BgL_iportz00_9551; long BgL_lastzd2matchzd2_9552; long BgL_forwardz00_9553; long BgL_bufposz00_9554; obj_t BgL_iportz00_9542; long BgL_lastzd2matchzd2_9543; long BgL_forwardz00_9544; long BgL_bufposz00_9545; obj_t BgL_iportz00_9533; long BgL_lastzd2matchzd2_9534; long BgL_forwardz00_9535; long BgL_bufposz00_9536; obj_t BgL_iportz00_9526; long BgL_lastzd2matchzd2_9527; long BgL_forwardz00_9528; long BgL_bufposz00_9529; obj_t BgL_iportz00_9517; long BgL_lastzd2matchzd2_9518; long BgL_forwardz00_9519; long BgL_bufposz00_9520; obj_t BgL_iportz00_9508; long BgL_lastzd2matchzd2_9509; long BgL_forwardz00_9510; long BgL_bufposz00_9511; obj_t BgL_iportz00_9499; long BgL_lastzd2matchzd2_9500; long BgL_forwardz00_9501; long BgL_bufposz00_9502; obj_t BgL_iportz00_9491; long BgL_lastzd2matchzd2_9492; long BgL_forwardz00_9493; long BgL_bufposz00_9494; obj_t BgL_iportz00_9484; long BgL_lastzd2matchzd2_9485; long BgL_forwardz00_9486; long BgL_bufposz00_9487; obj_t BgL_iportz00_9476; long BgL_lastzd2matchzd2_9477; long BgL_forwardz00_9478; long BgL_bufposz00_9479; obj_t BgL_iportz00_9469; long BgL_lastzd2matchzd2_9470; long BgL_forwardz00_9471; long BgL_bufposz00_9472; obj_t BgL_iportz00_9462; long BgL_lastzd2matchzd2_9463; long BgL_forwardz00_9464; long BgL_bufposz00_9465; obj_t BgL_iportz00_9453; long BgL_lastzd2matchzd2_9454; long BgL_forwardz00_9455; long BgL_bufposz00_9456; obj_t BgL_iportz00_9444; long BgL_lastzd2matchzd2_9445; long BgL_forwardz00_9446; long BgL_bufposz00_9447; obj_t BgL_iportz00_9435; long BgL_lastzd2matchzd2_9436; long BgL_forwardz00_9437; long BgL_bufposz00_9438; obj_t BgL_iportz00_9426; long BgL_lastzd2matchzd2_9427; long BgL_forwardz00_9428; long BgL_bufposz00_9429; obj_t BgL_iportz00_9407; long BgL_lastzd2matchzd2_9408; long BgL_forwardz00_9409; long BgL_bufposz00_9410; obj_t BgL_iportz00_9398; long BgL_lastzd2matchzd2_9399; long BgL_forwardz00_9400; long BgL_bufposz00_9401; obj_t BgL_iportz00_9389; long BgL_lastzd2matchzd2_9390; long BgL_forwardz00_9391; long BgL_bufposz00_9392; obj_t BgL_iportz00_9380; long BgL_lastzd2matchzd2_9381; long BgL_forwardz00_9382; long BgL_bufposz00_9383; obj_t BgL_iportz00_9371; long BgL_lastzd2matchzd2_9372; long BgL_forwardz00_9373; long BgL_bufposz00_9374; obj_t BgL_iportz00_9364; long BgL_lastzd2matchzd2_9365; long BgL_forwardz00_9366; long BgL_bufposz00_9367; obj_t BgL_iportz00_9357; long BgL_lastzd2matchzd2_9358; long BgL_forwardz00_9359; long BgL_bufposz00_9360; obj_t BgL_iportz00_9350; long BgL_lastzd2matchzd2_9351; long BgL_forwardz00_9352; long BgL_bufposz00_9353; obj_t BgL_iportz00_9341; long BgL_lastzd2matchzd2_9342; long BgL_forwardz00_9343; long BgL_bufposz00_9344; obj_t BgL_iportz00_9333; long BgL_lastzd2matchzd2_9334; long BgL_forwardz00_9335; long BgL_bufposz00_9336; obj_t BgL_iportz00_9324; long BgL_lastzd2matchzd2_9325; long BgL_forwardz00_9326; long BgL_bufposz00_9327; obj_t BgL_iportz00_9315; long BgL_lastzd2matchzd2_9316; long BgL_forwardz00_9317; long BgL_bufposz00_9318; obj_t BgL_iportz00_9306; long BgL_lastzd2matchzd2_9307; long BgL_forwardz00_9308; long BgL_bufposz00_9309; obj_t BgL_iportz00_9297; long BgL_lastzd2matchzd2_9298; long BgL_forwardz00_9299; long BgL_bufposz00_9300; obj_t BgL_iportz00_9278; long BgL_lastzd2matchzd2_9279; long BgL_forwardz00_9280; long BgL_bufposz00_9281; obj_t BgL_iportz00_9271; long BgL_lastzd2matchzd2_9272; long BgL_forwardz00_9273; long BgL_bufposz00_9274; obj_t BgL_iportz00_9264; long BgL_lastzd2matchzd2_9265; long BgL_forwardz00_9266; long BgL_bufposz00_9267; obj_t BgL_iportz00_9257; long BgL_lastzd2matchzd2_9258; long BgL_forwardz00_9259; long BgL_bufposz00_9260; obj_t BgL_iportz00_9248; long BgL_lastzd2matchzd2_9249; long BgL_forwardz00_9250; long BgL_bufposz00_9251; obj_t BgL_iportz00_9239; long BgL_lastzd2matchzd2_9240; long BgL_forwardz00_9241; long BgL_bufposz00_9242; obj_t BgL_iportz00_9230; long BgL_lastzd2matchzd2_9231; long BgL_forwardz00_9232; long BgL_bufposz00_9233; obj_t BgL_iportz00_9221; long BgL_lastzd2matchzd2_9222; long BgL_forwardz00_9223; long BgL_bufposz00_9224; obj_t BgL_iportz00_9214; long BgL_lastzd2matchzd2_9215; long BgL_forwardz00_9216; long BgL_bufposz00_9217; obj_t BgL_iportz00_9207; long BgL_lastzd2matchzd2_9208; long BgL_forwardz00_9209; long BgL_bufposz00_9210; obj_t BgL_iportz00_9198; long BgL_lastzd2matchzd2_9199; long BgL_forwardz00_9200; long BgL_bufposz00_9201; obj_t BgL_iportz00_9189; long BgL_lastzd2matchzd2_9190; long BgL_forwardz00_9191; long BgL_bufposz00_9192; obj_t BgL_iportz00_9180; long BgL_lastzd2matchzd2_9181; long BgL_forwardz00_9182; long BgL_bufposz00_9183; obj_t BgL_iportz00_9172; long BgL_lastzd2matchzd2_9173; long BgL_forwardz00_9174; long BgL_bufposz00_9175; obj_t BgL_iportz00_9160; long BgL_lastzd2matchzd2_9161; long BgL_forwardz00_9162; long BgL_bufposz00_9163; obj_t BgL_iportz00_9152; long BgL_lastzd2matchzd2_9153; long BgL_forwardz00_9154; long BgL_bufposz00_9155; obj_t BgL_iportz00_9144; long BgL_lastzd2matchzd2_9145; long BgL_forwardz00_9146; long BgL_bufposz00_9147; obj_t BgL_iportz00_9135; long BgL_lastzd2matchzd2_9136; long BgL_forwardz00_9137; long BgL_bufposz00_9138; obj_t BgL_iportz00_9127; long BgL_lastzd2matchzd2_9128; long BgL_forwardz00_9129; long BgL_bufposz00_9130; obj_t BgL_iportz00_9112; long BgL_lastzd2matchzd2_9113; long BgL_forwardz00_9114; long BgL_bufposz00_9115; obj_t BgL_iportz00_9103; long BgL_lastzd2matchzd2_9104; long BgL_forwardz00_9105; long BgL_bufposz00_9106; obj_t BgL_iportz00_9094; long BgL_lastzd2matchzd2_9095; long BgL_forwardz00_9096; long BgL_bufposz00_9097; obj_t BgL_iportz00_9085; long BgL_lastzd2matchzd2_9086; long BgL_forwardz00_9087; long BgL_bufposz00_9088; obj_t BgL_iportz00_9076; long BgL_lastzd2matchzd2_9077; long BgL_forwardz00_9078; long BgL_bufposz00_9079; obj_t BgL_iportz00_9067; long BgL_lastzd2matchzd2_9068; long BgL_forwardz00_9069; long BgL_bufposz00_9070; obj_t BgL_iportz00_9060; long BgL_lastzd2matchzd2_9061; long BgL_forwardz00_9062; long BgL_bufposz00_9063; obj_t BgL_iportz00_9053; long BgL_lastzd2matchzd2_9054; long BgL_forwardz00_9055; long BgL_bufposz00_9056; obj_t BgL_iportz00_9044; long BgL_lastzd2matchzd2_9045; long BgL_forwardz00_9046; long BgL_bufposz00_9047; obj_t BgL_iportz00_9037; long BgL_lastzd2matchzd2_9038; long BgL_forwardz00_9039; long BgL_bufposz00_9040; obj_t BgL_iportz00_9028; long BgL_lastzd2matchzd2_9029; long BgL_forwardz00_9030; long BgL_bufposz00_9031; obj_t BgL_iportz00_9019; long BgL_lastzd2matchzd2_9020; long BgL_forwardz00_9021; long BgL_bufposz00_9022; obj_t BgL_iportz00_9012; long BgL_lastzd2matchzd2_9013; long BgL_forwardz00_9014; long BgL_bufposz00_9015; obj_t BgL_iportz00_9005; long BgL_lastzd2matchzd2_9006; long BgL_forwardz00_9007; long BgL_bufposz00_9008; obj_t BgL_iportz00_8998; long BgL_lastzd2matchzd2_8999; long BgL_forwardz00_9000; long BgL_bufposz00_9001; obj_t BgL_iportz00_8991; long BgL_lastzd2matchzd2_8992; long BgL_forwardz00_8993; long BgL_bufposz00_8994; obj_t BgL_iportz00_8983; long BgL_lastzd2matchzd2_8984; long BgL_forwardz00_8985; long BgL_bufposz00_8986; obj_t BgL_iportz00_8976; long BgL_lastzd2matchzd2_8977; long BgL_forwardz00_8978; long BgL_bufposz00_8979; obj_t BgL_iportz00_8968; long BgL_lastzd2matchzd2_8969; long BgL_forwardz00_8970; long BgL_bufposz00_8971; obj_t BgL_iportz00_8959; long BgL_lastzd2matchzd2_8960; long BgL_forwardz00_8961; long BgL_bufposz00_8962; obj_t BgL_iportz00_8950; long BgL_lastzd2matchzd2_8951; long BgL_forwardz00_8952; long BgL_bufposz00_8953; obj_t BgL_iportz00_8941; long BgL_lastzd2matchzd2_8942; long BgL_forwardz00_8943; long BgL_bufposz00_8944; obj_t BgL_iportz00_8932; long BgL_lastzd2matchzd2_8933; long BgL_forwardz00_8934; long BgL_bufposz00_8935; obj_t BgL_iportz00_8923; long BgL_lastzd2matchzd2_8924; long BgL_forwardz00_8925; long BgL_bufposz00_8926; obj_t BgL_iportz00_8914; long BgL_lastzd2matchzd2_8915; long BgL_forwardz00_8916; long BgL_bufposz00_8917; obj_t BgL_iportz00_8899; long BgL_lastzd2matchzd2_8900; long BgL_forwardz00_8901; long BgL_bufposz00_8902; obj_t BgL_iportz00_8890; long BgL_lastzd2matchzd2_8891; long BgL_forwardz00_8892; long BgL_bufposz00_8893; obj_t BgL_iportz00_8881; long BgL_lastzd2matchzd2_8882; long BgL_forwardz00_8883; long BgL_bufposz00_8884; obj_t BgL_iportz00_8874; long BgL_lastzd2matchzd2_8875; long BgL_forwardz00_8876; long BgL_bufposz00_8877; obj_t BgL_iportz00_8867; long BgL_lastzd2matchzd2_8868; long BgL_forwardz00_8869; long BgL_bufposz00_8870; obj_t BgL_iportz00_8858; long BgL_lastzd2matchzd2_8859; long BgL_forwardz00_8860; long BgL_bufposz00_8861; obj_t BgL_iportz00_8851; long BgL_lastzd2matchzd2_8852; long BgL_forwardz00_8853; long BgL_bufposz00_8854; obj_t BgL_iportz00_8844; long BgL_lastzd2matchzd2_8845; long BgL_forwardz00_8846; long BgL_bufposz00_8847; obj_t BgL_iportz00_8837; long BgL_lastzd2matchzd2_8838; long BgL_forwardz00_8839; long BgL_bufposz00_8840; obj_t BgL_iportz00_8829; long BgL_lastzd2matchzd2_8830; long BgL_forwardz00_8831; long BgL_bufposz00_8832; obj_t BgL_iportz00_8821; long BgL_lastzd2matchzd2_8822; long BgL_forwardz00_8823; long BgL_bufposz00_8824; obj_t BgL_iportz00_8812; long BgL_lastzd2matchzd2_8813; long BgL_forwardz00_8814; long BgL_bufposz00_8815; obj_t BgL_iportz00_8803; long BgL_lastzd2matchzd2_8804; long BgL_forwardz00_8805; long BgL_bufposz00_8806; obj_t BgL_iportz00_8794; long BgL_lastzd2matchzd2_8795; long BgL_forwardz00_8796; long BgL_bufposz00_8797; obj_t BgL_iportz00_8785; long BgL_lastzd2matchzd2_8786; long BgL_forwardz00_8787; long BgL_bufposz00_8788; obj_t BgL_iportz00_8778; long BgL_lastzd2matchzd2_8779; long BgL_forwardz00_8780; long BgL_bufposz00_8781; obj_t BgL_iportz00_8771; long BgL_lastzd2matchzd2_8772; long BgL_forwardz00_8773; long BgL_bufposz00_8774; obj_t BgL_iportz00_8762; long BgL_lastzd2matchzd2_8763; long BgL_forwardz00_8764; long BgL_bufposz00_8765; obj_t BgL_iportz00_8753; long BgL_lastzd2matchzd2_8754; long BgL_forwardz00_8755; long BgL_bufposz00_8756; obj_t BgL_iportz00_8745; long BgL_lastzd2matchzd2_8746; long BgL_forwardz00_8747; long BgL_bufposz00_8748; obj_t BgL_iportz00_8738; long BgL_lastzd2matchzd2_8739; long BgL_forwardz00_8740; long BgL_bufposz00_8741; obj_t BgL_iportz00_8730; long BgL_lastzd2matchzd2_8731; long BgL_forwardz00_8732; long BgL_bufposz00_8733; obj_t BgL_iportz00_8714; long BgL_lastzd2matchzd2_8715; long BgL_forwardz00_8716; long BgL_bufposz00_8717; obj_t BgL_iportz00_8706; long BgL_lastzd2matchzd2_8707; long BgL_forwardz00_8708; long BgL_bufposz00_8709; obj_t BgL_iportz00_8699; long BgL_lastzd2matchzd2_8700; long BgL_forwardz00_8701; long BgL_bufposz00_8702; obj_t BgL_iportz00_8690; long BgL_lastzd2matchzd2_8691; long BgL_forwardz00_8692; long BgL_bufposz00_8693; obj_t BgL_iportz00_8681; long BgL_lastzd2matchzd2_8682; long BgL_forwardz00_8683; long BgL_bufposz00_8684; obj_t BgL_iportz00_8672; long BgL_lastzd2matchzd2_8673; long BgL_forwardz00_8674; long BgL_bufposz00_8675; obj_t BgL_iportz00_8663; long BgL_lastzd2matchzd2_8664; long BgL_forwardz00_8665; long BgL_bufposz00_8666; obj_t BgL_iportz00_8654; long BgL_lastzd2matchzd2_8655; long BgL_forwardz00_8656; long BgL_bufposz00_8657; obj_t BgL_iportz00_8645; long BgL_lastzd2matchzd2_8646; long BgL_forwardz00_8647; long BgL_bufposz00_8648; obj_t BgL_iportz00_8637; long BgL_lastzd2matchzd2_8638; long BgL_forwardz00_8639; long BgL_bufposz00_8640; obj_t BgL_iportz00_8628; long BgL_lastzd2matchzd2_8629; long BgL_forwardz00_8630; long BgL_bufposz00_8631;
BgL_ignorez00_8627:
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10817;
BgL_tmpz00_10817 = 
((obj_t)BgL_iportz00_8028); 
RGC_START_MATCH(BgL_tmpz00_10817); } 
{ /* Llib/bibtex.scm 103 */
 long BgL_matchz00_9679;
{ /* Llib/bibtex.scm 103 */
 long BgL_arg3159z00_9680; long BgL_arg3160z00_9681;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10820;
BgL_tmpz00_10820 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3159z00_9680 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10820); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10823;
BgL_tmpz00_10823 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3160z00_9681 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10823); } 
BgL_iportz00_8899 = BgL_iportz00_8028; 
BgL_lastzd2matchzd2_8900 = ((long)42); 
BgL_forwardz00_8901 = BgL_arg3159z00_9680; 
BgL_bufposz00_8902 = BgL_arg3160z00_9681; 
BgL_statezd20zd21029z00_8536:
if(
(BgL_forwardz00_8901==BgL_bufposz00_8902))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8899)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1959z00_8903; long BgL_arg1960z00_8904;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10831;
BgL_tmpz00_10831 = 
((obj_t)BgL_iportz00_8899); 
BgL_arg1959z00_8903 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10831); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10834;
BgL_tmpz00_10834 = 
((obj_t)BgL_iportz00_8899); 
BgL_arg1960z00_8904 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10834); } 
{ 
 long BgL_bufposz00_10838; long BgL_forwardz00_10837;
BgL_forwardz00_10837 = BgL_arg1959z00_8903; 
BgL_bufposz00_10838 = BgL_arg1960z00_8904; 
BgL_bufposz00_8902 = BgL_bufposz00_10838; 
BgL_forwardz00_8901 = BgL_forwardz00_10837; 
goto BgL_statezd20zd21029z00_8536;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8900; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8905;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10839;
BgL_tmpz00_10839 = 
((obj_t)BgL_iportz00_8899); 
BgL_curz00_8905 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10839, BgL_forwardz00_8901); } 
{ /* Llib/bibtex.scm 103 */

switch( 
(long)(BgL_curz00_8905)) { case ((long)125) : 

{ /* Llib/bibtex.scm 103 */
 long BgL_arg1962z00_8906;
BgL_arg1962z00_8906 = 
(((long)1)+BgL_forwardz00_8901); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8907;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10843;
BgL_tmpz00_10843 = 
((obj_t)BgL_iportz00_8899); 
RGC_STOP_MATCH(BgL_tmpz00_10843, BgL_arg1962z00_8906); } 
BgL_newzd2matchzd2_8907 = ((long)5); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8907; } } break;case ((long)123) : 

BgL_iportz00_8637 = BgL_iportz00_8899; 
BgL_lastzd2matchzd2_8638 = BgL_lastzd2matchzd2_8900; 
BgL_forwardz00_8639 = 
(((long)1)+BgL_forwardz00_8901); 
BgL_bufposz00_8640 = BgL_bufposz00_8902; 
BgL_statezd212zd21041z00_8505:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8641;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10846;
BgL_tmpz00_10846 = 
((obj_t)BgL_iportz00_8637); 
RGC_STOP_MATCH(BgL_tmpz00_10846, BgL_forwardz00_8639); } 
BgL_newzd2matchzd2_8641 = ((long)4); 
if(
(BgL_forwardz00_8639==BgL_bufposz00_8640))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8637)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1345z00_8642; long BgL_arg1348z00_8643;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10854;
BgL_tmpz00_10854 = 
((obj_t)BgL_iportz00_8637); 
BgL_arg1345z00_8642 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10854); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10857;
BgL_tmpz00_10857 = 
((obj_t)BgL_iportz00_8637); 
BgL_arg1348z00_8643 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10857); } 
{ 
 long BgL_bufposz00_10861; long BgL_forwardz00_10860;
BgL_forwardz00_10860 = BgL_arg1345z00_8642; 
BgL_bufposz00_10861 = BgL_arg1348z00_8643; 
BgL_bufposz00_8640 = BgL_bufposz00_10861; 
BgL_forwardz00_8639 = BgL_forwardz00_10860; 
goto BgL_statezd212zd21041z00_8505;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8641; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8644;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10862;
BgL_tmpz00_10862 = 
((obj_t)BgL_iportz00_8637); 
BgL_curz00_8644 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10862, BgL_forwardz00_8639); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8644)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8699 = BgL_iportz00_8637; 
BgL_lastzd2matchzd2_8700 = BgL_newzd2matchzd2_8641; 
BgL_forwardz00_8701 = 
(((long)1)+BgL_forwardz00_8639); 
BgL_bufposz00_8702 = BgL_bufposz00_8640; 
BgL_statezd215zd21044z00_8512:
if(
(BgL_forwardz00_8701==BgL_bufposz00_8702))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8699)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1609z00_8703; long BgL_arg1611z00_8704;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10873;
BgL_tmpz00_10873 = 
((obj_t)BgL_iportz00_8699); 
BgL_arg1609z00_8703 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10873); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10876;
BgL_tmpz00_10876 = 
((obj_t)BgL_iportz00_8699); 
BgL_arg1611z00_8704 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10876); } 
{ 
 long BgL_bufposz00_10880; long BgL_forwardz00_10879;
BgL_forwardz00_10879 = BgL_arg1609z00_8703; 
BgL_bufposz00_10880 = BgL_arg1611z00_8704; 
BgL_bufposz00_8702 = BgL_bufposz00_10880; 
BgL_forwardz00_8701 = BgL_forwardz00_10879; 
goto BgL_statezd215zd21044z00_8512;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8700; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8705;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10881;
BgL_tmpz00_10881 = 
((obj_t)BgL_iportz00_8699); 
BgL_curz00_8705 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10881, BgL_forwardz00_8701); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8705)==((long)126)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8991 = BgL_iportz00_8699; 
BgL_lastzd2matchzd2_8992 = BgL_lastzd2matchzd2_8700; 
BgL_forwardz00_8993 = 
(((long)1)+BgL_forwardz00_8701); 
BgL_bufposz00_8994 = BgL_bufposz00_8702; 
BgL_statezd222zd21051z00_8546:
if(
(BgL_forwardz00_8993==BgL_bufposz00_8994))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8991)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2065z00_8995; long BgL_arg2066z00_8996;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10892;
BgL_tmpz00_10892 = 
((obj_t)BgL_iportz00_8991); 
BgL_arg2065z00_8995 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10892); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10895;
BgL_tmpz00_10895 = 
((obj_t)BgL_iportz00_8991); 
BgL_arg2066z00_8996 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10895); } 
{ 
 long BgL_bufposz00_10899; long BgL_forwardz00_10898;
BgL_forwardz00_10898 = BgL_arg2065z00_8995; 
BgL_bufposz00_10899 = BgL_arg2066z00_8996; 
BgL_bufposz00_8994 = BgL_bufposz00_10899; 
BgL_forwardz00_8993 = BgL_forwardz00_10898; 
goto BgL_statezd222zd21051z00_8546;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8992; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8997;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10900;
BgL_tmpz00_10900 = 
((obj_t)BgL_iportz00_8991); 
BgL_curz00_8997 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10900, BgL_forwardz00_8993); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8997)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8998 = BgL_iportz00_8991; 
BgL_lastzd2matchzd2_8999 = BgL_lastzd2matchzd2_8992; 
BgL_forwardz00_9000 = 
(((long)1)+BgL_forwardz00_8993); 
BgL_bufposz00_9001 = BgL_bufposz00_8994; 
BgL_statezd223zd21052z00_8547:
if(
(BgL_forwardz00_9000==BgL_bufposz00_9001))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8998)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2072z00_9002; long BgL_arg2073z00_9003;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10911;
BgL_tmpz00_10911 = 
((obj_t)BgL_iportz00_8998); 
BgL_arg2072z00_9002 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10911); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10914;
BgL_tmpz00_10914 = 
((obj_t)BgL_iportz00_8998); 
BgL_arg2073z00_9003 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10914); } 
{ 
 long BgL_bufposz00_10918; long BgL_forwardz00_10917;
BgL_forwardz00_10917 = BgL_arg2072z00_9002; 
BgL_bufposz00_10918 = BgL_arg2073z00_9003; 
BgL_bufposz00_9001 = BgL_bufposz00_10918; 
BgL_forwardz00_9000 = BgL_forwardz00_10917; 
goto BgL_statezd223zd21052z00_8547;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8999; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9004;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10919;
BgL_tmpz00_10919 = 
((obj_t)BgL_iportz00_8998); 
BgL_curz00_9004 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10919, BgL_forwardz00_9000); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9004)==((long)110)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9012 = BgL_iportz00_8998; 
BgL_lastzd2matchzd2_9013 = BgL_lastzd2matchzd2_8999; 
BgL_forwardz00_9014 = 
(((long)1)+BgL_forwardz00_9000); 
BgL_bufposz00_9015 = BgL_bufposz00_9001; 
BgL_statezd225zd21054z00_8549:
if(
(BgL_forwardz00_9014==BgL_bufposz00_9015))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9012)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2088z00_9016; long BgL_arg2089z00_9017;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10930;
BgL_tmpz00_10930 = 
((obj_t)BgL_iportz00_9012); 
BgL_arg2088z00_9016 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10930); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10933;
BgL_tmpz00_10933 = 
((obj_t)BgL_iportz00_9012); 
BgL_arg2089z00_9017 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10933); } 
{ 
 long BgL_bufposz00_10937; long BgL_forwardz00_10936;
BgL_forwardz00_10936 = BgL_arg2088z00_9016; 
BgL_bufposz00_10937 = BgL_arg2089z00_9017; 
BgL_bufposz00_9015 = BgL_bufposz00_10937; 
BgL_forwardz00_9014 = BgL_forwardz00_10936; 
goto BgL_statezd225zd21054z00_8549;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9013; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9018;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10938;
BgL_tmpz00_10938 = 
((obj_t)BgL_iportz00_9012); 
BgL_curz00_9018 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10938, BgL_forwardz00_9014); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9018)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9019 = BgL_iportz00_9012; 
BgL_lastzd2matchzd2_9020 = BgL_lastzd2matchzd2_9013; 
BgL_forwardz00_9021 = 
(((long)1)+BgL_forwardz00_9014); 
BgL_bufposz00_9022 = BgL_bufposz00_9015; 
BgL_statezd226zd21055z00_8550:
if(
(BgL_forwardz00_9021==BgL_bufposz00_9022))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9019)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2095z00_9023; long BgL_arg2096z00_9024;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10949;
BgL_tmpz00_10949 = 
((obj_t)BgL_iportz00_9019); 
BgL_arg2095z00_9023 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10949); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10952;
BgL_tmpz00_10952 = 
((obj_t)BgL_iportz00_9019); 
BgL_arg2096z00_9024 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10952); } 
{ 
 long BgL_bufposz00_10956; long BgL_forwardz00_10955;
BgL_forwardz00_10955 = BgL_arg2095z00_9023; 
BgL_bufposz00_10956 = BgL_arg2096z00_9024; 
BgL_bufposz00_9022 = BgL_bufposz00_10956; 
BgL_forwardz00_9021 = BgL_forwardz00_10955; 
goto BgL_statezd226zd21055z00_8550;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9020; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9025;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10957;
BgL_tmpz00_10957 = 
((obj_t)BgL_iportz00_9019); 
BgL_curz00_9025 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10957, BgL_forwardz00_9021); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9025)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2098z00_9026;
BgL_arg2098z00_9026 = 
(((long)1)+BgL_forwardz00_9021); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9027;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10964;
BgL_tmpz00_10964 = 
((obj_t)BgL_iportz00_9019); 
RGC_STOP_MATCH(BgL_tmpz00_10964, BgL_arg2098z00_9026); } 
BgL_newzd2matchzd2_9027 = ((long)13); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9027; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9020; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9013; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9004)==((long)78)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9005 = BgL_iportz00_8998; 
BgL_lastzd2matchzd2_9006 = BgL_lastzd2matchzd2_8999; 
BgL_forwardz00_9007 = 
(((long)1)+BgL_forwardz00_9000); 
BgL_bufposz00_9008 = BgL_bufposz00_9001; 
BgL_statezd224zd21053z00_8548:
if(
(BgL_forwardz00_9007==BgL_bufposz00_9008))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9005)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2081z00_9009; long BgL_arg2082z00_9010;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10977;
BgL_tmpz00_10977 = 
((obj_t)BgL_iportz00_9005); 
BgL_arg2081z00_9009 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10977); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10980;
BgL_tmpz00_10980 = 
((obj_t)BgL_iportz00_9005); 
BgL_arg2082z00_9010 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10980); } 
{ 
 long BgL_bufposz00_10984; long BgL_forwardz00_10983;
BgL_forwardz00_10983 = BgL_arg2081z00_9009; 
BgL_bufposz00_10984 = BgL_arg2082z00_9010; 
BgL_bufposz00_9008 = BgL_bufposz00_10984; 
BgL_forwardz00_9007 = BgL_forwardz00_10983; 
goto BgL_statezd224zd21053z00_8548;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9006; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9011;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10985;
BgL_tmpz00_10985 = 
((obj_t)BgL_iportz00_9005); 
BgL_curz00_9011 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10985, BgL_forwardz00_9007); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9011)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9028 = BgL_iportz00_9005; 
BgL_lastzd2matchzd2_9029 = BgL_lastzd2matchzd2_9006; 
BgL_forwardz00_9030 = 
(((long)1)+BgL_forwardz00_9007); 
BgL_bufposz00_9031 = BgL_bufposz00_9008; 
BgL_statezd228zd21057z00_8551:
if(
(BgL_forwardz00_9030==BgL_bufposz00_9031))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9028)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2103z00_9032; long BgL_arg2104z00_9033;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10996;
BgL_tmpz00_10996 = 
((obj_t)BgL_iportz00_9028); 
BgL_arg2103z00_9032 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10996); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10999;
BgL_tmpz00_10999 = 
((obj_t)BgL_iportz00_9028); 
BgL_arg2104z00_9033 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10999); } 
{ 
 long BgL_bufposz00_11003; long BgL_forwardz00_11002;
BgL_forwardz00_11002 = BgL_arg2103z00_9032; 
BgL_bufposz00_11003 = BgL_arg2104z00_9033; 
BgL_bufposz00_9031 = BgL_bufposz00_11003; 
BgL_forwardz00_9030 = BgL_forwardz00_11002; 
goto BgL_statezd228zd21057z00_8551;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9029; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9034;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11004;
BgL_tmpz00_11004 = 
((obj_t)BgL_iportz00_9028); 
BgL_curz00_9034 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11004, BgL_forwardz00_9030); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9034)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2106z00_9035;
BgL_arg2106z00_9035 = 
(((long)1)+BgL_forwardz00_9030); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9036;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11011;
BgL_tmpz00_11011 = 
((obj_t)BgL_iportz00_9028); 
RGC_STOP_MATCH(BgL_tmpz00_11011, BgL_arg2106z00_9035); } 
BgL_newzd2matchzd2_9036 = ((long)14); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9036; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9029; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9006; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8999; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8992; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8705)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9306 = BgL_iportz00_8699; 
BgL_lastzd2matchzd2_9307 = BgL_lastzd2matchzd2_8700; 
BgL_forwardz00_9308 = 
(((long)1)+BgL_forwardz00_8701); 
BgL_bufposz00_9309 = BgL_bufposz00_8702; 
BgL_statezd221zd21050z00_8582:
if(
(BgL_forwardz00_9308==BgL_bufposz00_9309))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9306)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2419z00_9310; long BgL_arg2420z00_9311;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11026;
BgL_tmpz00_11026 = 
((obj_t)BgL_iportz00_9306); 
BgL_arg2419z00_9310 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11026); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11029;
BgL_tmpz00_11029 = 
((obj_t)BgL_iportz00_9306); 
BgL_arg2420z00_9311 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11029); } 
{ 
 long BgL_bufposz00_11033; long BgL_forwardz00_11032;
BgL_forwardz00_11032 = BgL_arg2419z00_9310; 
BgL_bufposz00_11033 = BgL_arg2420z00_9311; 
BgL_bufposz00_9309 = BgL_bufposz00_11033; 
BgL_forwardz00_9308 = BgL_forwardz00_11032; 
goto BgL_statezd221zd21050z00_8582;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9307; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9312;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11034;
BgL_tmpz00_11034 = 
((obj_t)BgL_iportz00_9306); 
BgL_curz00_9312 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11034, BgL_forwardz00_9308); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9312)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2422z00_9313;
BgL_arg2422z00_9313 = 
(((long)1)+BgL_forwardz00_9308); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9314;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11041;
BgL_tmpz00_11041 = 
((obj_t)BgL_iportz00_9306); 
RGC_STOP_MATCH(BgL_tmpz00_11041, BgL_arg2422z00_9313); } 
BgL_newzd2matchzd2_9314 = ((long)11); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9314; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9307; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8705)==((long)96)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9664 = BgL_iportz00_8699; 
BgL_lastzd2matchzd2_9665 = BgL_lastzd2matchzd2_8700; 
BgL_forwardz00_9666 = 
(((long)1)+BgL_forwardz00_8701); 
BgL_bufposz00_9667 = BgL_bufposz00_8702; 
BgL_statezd220zd21049z00_8624:
if(
(BgL_forwardz00_9666==BgL_bufposz00_9667))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9664)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2803z00_9668; long BgL_arg2804z00_9669;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11053;
BgL_tmpz00_11053 = 
((obj_t)BgL_iportz00_9664); 
BgL_arg2803z00_9668 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11053); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11056;
BgL_tmpz00_11056 = 
((obj_t)BgL_iportz00_9664); 
BgL_arg2804z00_9669 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11056); } 
{ 
 long BgL_bufposz00_11060; long BgL_forwardz00_11059;
BgL_forwardz00_11059 = BgL_arg2803z00_9668; 
BgL_bufposz00_11060 = BgL_arg2804z00_9669; 
BgL_bufposz00_9667 = BgL_bufposz00_11060; 
BgL_forwardz00_9666 = BgL_forwardz00_11059; 
goto BgL_statezd220zd21049z00_8624;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9665; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9670;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11061;
BgL_tmpz00_11061 = 
((obj_t)BgL_iportz00_9664); 
BgL_curz00_9670 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11061, BgL_forwardz00_9666); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9670)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9350 = BgL_iportz00_9664; 
BgL_lastzd2matchzd2_9351 = BgL_lastzd2matchzd2_9665; 
BgL_forwardz00_9352 = 
(((long)1)+BgL_forwardz00_9666); 
BgL_bufposz00_9353 = BgL_bufposz00_9667; 
BgL_statezd237zd21066z00_8587:
if(
(BgL_forwardz00_9352==BgL_bufposz00_9353))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9350)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2470z00_9354; long BgL_arg2471z00_9355;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11072;
BgL_tmpz00_11072 = 
((obj_t)BgL_iportz00_9350); 
BgL_arg2470z00_9354 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11072); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11075;
BgL_tmpz00_11075 = 
((obj_t)BgL_iportz00_9350); 
BgL_arg2471z00_9355 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11075); } 
{ 
 long BgL_bufposz00_11079; long BgL_forwardz00_11078;
BgL_forwardz00_11078 = BgL_arg2470z00_9354; 
BgL_bufposz00_11079 = BgL_arg2471z00_9355; 
BgL_bufposz00_9353 = BgL_bufposz00_11079; 
BgL_forwardz00_9352 = BgL_forwardz00_11078; 
goto BgL_statezd237zd21066z00_8587;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9351; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9356;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11080;
BgL_tmpz00_11080 = 
((obj_t)BgL_iportz00_9350); 
BgL_curz00_9356 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11080, BgL_forwardz00_9352); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9356)==((long)101)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9364 = BgL_iportz00_9350; 
BgL_lastzd2matchzd2_9365 = BgL_lastzd2matchzd2_9351; 
BgL_forwardz00_9366 = 
(((long)1)+BgL_forwardz00_9352); 
BgL_bufposz00_9367 = BgL_bufposz00_9353; 
BgL_statezd239zd21068z00_8589:
if(
(BgL_forwardz00_9366==BgL_bufposz00_9367))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9364)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2486z00_9368; long BgL_arg2487z00_9369;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11091;
BgL_tmpz00_11091 = 
((obj_t)BgL_iportz00_9364); 
BgL_arg2486z00_9368 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11091); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11094;
BgL_tmpz00_11094 = 
((obj_t)BgL_iportz00_9364); 
BgL_arg2487z00_9369 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11094); } 
{ 
 long BgL_bufposz00_11098; long BgL_forwardz00_11097;
BgL_forwardz00_11097 = BgL_arg2486z00_9368; 
BgL_bufposz00_11098 = BgL_arg2487z00_9369; 
BgL_bufposz00_9367 = BgL_bufposz00_11098; 
BgL_forwardz00_9366 = BgL_forwardz00_11097; 
goto BgL_statezd239zd21068z00_8589;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9365; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9370;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11099;
BgL_tmpz00_11099 = 
((obj_t)BgL_iportz00_9364); 
BgL_curz00_9370 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11099, BgL_forwardz00_9366); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9370)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9371 = BgL_iportz00_9364; 
BgL_lastzd2matchzd2_9372 = BgL_lastzd2matchzd2_9365; 
BgL_forwardz00_9373 = 
(((long)1)+BgL_forwardz00_9366); 
BgL_bufposz00_9374 = BgL_bufposz00_9367; 
BgL_statezd240zd21069z00_8590:
if(
(BgL_forwardz00_9373==BgL_bufposz00_9374))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9371)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2493z00_9375; long BgL_arg2494z00_9376;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11110;
BgL_tmpz00_11110 = 
((obj_t)BgL_iportz00_9371); 
BgL_arg2493z00_9375 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11110); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11113;
BgL_tmpz00_11113 = 
((obj_t)BgL_iportz00_9371); 
BgL_arg2494z00_9376 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11113); } 
{ 
 long BgL_bufposz00_11117; long BgL_forwardz00_11116;
BgL_forwardz00_11116 = BgL_arg2493z00_9375; 
BgL_bufposz00_11117 = BgL_arg2494z00_9376; 
BgL_bufposz00_9374 = BgL_bufposz00_11117; 
BgL_forwardz00_9373 = BgL_forwardz00_11116; 
goto BgL_statezd240zd21069z00_8590;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9372; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9377;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11118;
BgL_tmpz00_11118 = 
((obj_t)BgL_iportz00_9371); 
BgL_curz00_9377 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11118, BgL_forwardz00_9373); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9377)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2496z00_9378;
BgL_arg2496z00_9378 = 
(((long)1)+BgL_forwardz00_9373); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9379;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11125;
BgL_tmpz00_11125 = 
((obj_t)BgL_iportz00_9371); 
RGC_STOP_MATCH(BgL_tmpz00_11125, BgL_arg2496z00_9378); } 
BgL_newzd2matchzd2_9379 = ((long)9); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9379; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9372; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9365; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9356)==((long)69)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9357 = BgL_iportz00_9350; 
BgL_lastzd2matchzd2_9358 = BgL_lastzd2matchzd2_9351; 
BgL_forwardz00_9359 = 
(((long)1)+BgL_forwardz00_9352); 
BgL_bufposz00_9360 = BgL_bufposz00_9353; 
BgL_statezd238zd21067z00_8588:
if(
(BgL_forwardz00_9359==BgL_bufposz00_9360))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9357)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2479z00_9361; long BgL_arg2480z00_9362;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11138;
BgL_tmpz00_11138 = 
((obj_t)BgL_iportz00_9357); 
BgL_arg2479z00_9361 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11138); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11141;
BgL_tmpz00_11141 = 
((obj_t)BgL_iportz00_9357); 
BgL_arg2480z00_9362 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11141); } 
{ 
 long BgL_bufposz00_11145; long BgL_forwardz00_11144;
BgL_forwardz00_11144 = BgL_arg2479z00_9361; 
BgL_bufposz00_11145 = BgL_arg2480z00_9362; 
BgL_bufposz00_9360 = BgL_bufposz00_11145; 
BgL_forwardz00_9359 = BgL_forwardz00_11144; 
goto BgL_statezd238zd21067z00_8588;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9358; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9363;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11146;
BgL_tmpz00_11146 = 
((obj_t)BgL_iportz00_9357); 
BgL_curz00_9363 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11146, BgL_forwardz00_9359); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9363)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9380 = BgL_iportz00_9357; 
BgL_lastzd2matchzd2_9381 = BgL_lastzd2matchzd2_9358; 
BgL_forwardz00_9382 = 
(((long)1)+BgL_forwardz00_9359); 
BgL_bufposz00_9383 = BgL_bufposz00_9360; 
BgL_statezd242zd21071z00_8591:
if(
(BgL_forwardz00_9382==BgL_bufposz00_9383))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9380)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2501z00_9384; long BgL_arg2502z00_9385;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11157;
BgL_tmpz00_11157 = 
((obj_t)BgL_iportz00_9380); 
BgL_arg2501z00_9384 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11157); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11160;
BgL_tmpz00_11160 = 
((obj_t)BgL_iportz00_9380); 
BgL_arg2502z00_9385 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11160); } 
{ 
 long BgL_bufposz00_11164; long BgL_forwardz00_11163;
BgL_forwardz00_11163 = BgL_arg2501z00_9384; 
BgL_bufposz00_11164 = BgL_arg2502z00_9385; 
BgL_bufposz00_9383 = BgL_bufposz00_11164; 
BgL_forwardz00_9382 = BgL_forwardz00_11163; 
goto BgL_statezd242zd21071z00_8591;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9381; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9386;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11165;
BgL_tmpz00_11165 = 
((obj_t)BgL_iportz00_9380); 
BgL_curz00_9386 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11165, BgL_forwardz00_9382); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9386)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2504z00_9387;
BgL_arg2504z00_9387 = 
(((long)1)+BgL_forwardz00_9382); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9388;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11172;
BgL_tmpz00_11172 = 
((obj_t)BgL_iportz00_9380); 
RGC_STOP_MATCH(BgL_tmpz00_11172, BgL_arg2504z00_9387); } 
BgL_newzd2matchzd2_9388 = ((long)10); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9388; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9381; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9358; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9351; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9670)==((long)117)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8803 = BgL_iportz00_9664; 
BgL_lastzd2matchzd2_8804 = BgL_lastzd2matchzd2_9665; 
BgL_forwardz00_8805 = 
(((long)1)+BgL_forwardz00_9666); 
BgL_bufposz00_8806 = BgL_bufposz00_9667; 
BgL_statezd236zd21065z00_8524:
if(
(BgL_forwardz00_8805==BgL_bufposz00_8806))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8803)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1850z00_8807; long BgL_arg1851z00_8808;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11186;
BgL_tmpz00_11186 = 
((obj_t)BgL_iportz00_8803); 
BgL_arg1850z00_8807 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11186); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11189;
BgL_tmpz00_11189 = 
((obj_t)BgL_iportz00_8803); 
BgL_arg1851z00_8808 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11189); } 
{ 
 long BgL_bufposz00_11193; long BgL_forwardz00_11192;
BgL_forwardz00_11192 = BgL_arg1850z00_8807; 
BgL_bufposz00_11193 = BgL_arg1851z00_8808; 
BgL_bufposz00_8806 = BgL_bufposz00_11193; 
BgL_forwardz00_8805 = BgL_forwardz00_11192; 
goto BgL_statezd236zd21065z00_8524;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8804; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8809;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11194;
BgL_tmpz00_11194 = 
((obj_t)BgL_iportz00_8803); 
BgL_curz00_8809 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11194, BgL_forwardz00_8805); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8809)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1853z00_8810;
BgL_arg1853z00_8810 = 
(((long)1)+BgL_forwardz00_8805); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8811;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11201;
BgL_tmpz00_11201 = 
((obj_t)BgL_iportz00_8803); 
RGC_STOP_MATCH(BgL_tmpz00_11201, BgL_arg1853z00_8810); } 
BgL_newzd2matchzd2_8811 = ((long)35); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8811; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8804; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9670)==((long)101)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8762 = BgL_iportz00_9664; 
BgL_lastzd2matchzd2_8763 = BgL_lastzd2matchzd2_9665; 
BgL_forwardz00_8764 = 
(((long)1)+BgL_forwardz00_9666); 
BgL_bufposz00_8765 = BgL_bufposz00_9667; 
BgL_statezd235zd21064z00_8519:
if(
(BgL_forwardz00_8764==BgL_bufposz00_8765))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8762)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1808z00_8766; long BgL_arg1809z00_8767;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11213;
BgL_tmpz00_11213 = 
((obj_t)BgL_iportz00_8762); 
BgL_arg1808z00_8766 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11213); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11216;
BgL_tmpz00_11216 = 
((obj_t)BgL_iportz00_8762); 
BgL_arg1809z00_8767 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11216); } 
{ 
 long BgL_bufposz00_11220; long BgL_forwardz00_11219;
BgL_forwardz00_11219 = BgL_arg1808z00_8766; 
BgL_bufposz00_11220 = BgL_arg1809z00_8767; 
BgL_bufposz00_8765 = BgL_bufposz00_11220; 
BgL_forwardz00_8764 = BgL_forwardz00_11219; 
goto BgL_statezd235zd21064z00_8519;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8763; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8768;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11221;
BgL_tmpz00_11221 = 
((obj_t)BgL_iportz00_8762); 
BgL_curz00_8768 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11221, BgL_forwardz00_8764); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8768)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1812z00_8769;
BgL_arg1812z00_8769 = 
(((long)1)+BgL_forwardz00_8764); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8770;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11228;
BgL_tmpz00_11228 = 
((obj_t)BgL_iportz00_8762); 
RGC_STOP_MATCH(BgL_tmpz00_11228, BgL_arg1812z00_8769); } 
BgL_newzd2matchzd2_8770 = ((long)19); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8770; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8763; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9670)==((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8923 = BgL_iportz00_9664; 
BgL_lastzd2matchzd2_8924 = BgL_lastzd2matchzd2_9665; 
BgL_forwardz00_8925 = 
(((long)1)+BgL_forwardz00_9666); 
BgL_bufposz00_8926 = BgL_bufposz00_9667; 
BgL_statezd234zd21063z00_8538:
if(
(BgL_forwardz00_8925==BgL_bufposz00_8926))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8923)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1985z00_8927; long BgL_arg1986z00_8928;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11240;
BgL_tmpz00_11240 = 
((obj_t)BgL_iportz00_8923); 
BgL_arg1985z00_8927 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11240); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11243;
BgL_tmpz00_11243 = 
((obj_t)BgL_iportz00_8923); 
BgL_arg1986z00_8928 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11243); } 
{ 
 long BgL_bufposz00_11247; long BgL_forwardz00_11246;
BgL_forwardz00_11246 = BgL_arg1985z00_8927; 
BgL_bufposz00_11247 = BgL_arg1986z00_8928; 
BgL_bufposz00_8926 = BgL_bufposz00_11247; 
BgL_forwardz00_8925 = BgL_forwardz00_11246; 
goto BgL_statezd234zd21063z00_8538;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8924; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8929;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11248;
BgL_tmpz00_11248 = 
((obj_t)BgL_iportz00_8923); 
BgL_curz00_8929 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11248, BgL_forwardz00_8925); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8929)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1988z00_8930;
BgL_arg1988z00_8930 = 
(((long)1)+BgL_forwardz00_8925); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8931;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11255;
BgL_tmpz00_11255 = 
((obj_t)BgL_iportz00_8923); 
RGC_STOP_MATCH(BgL_tmpz00_11255, BgL_arg1988z00_8930); } 
BgL_newzd2matchzd2_8931 = ((long)23); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8931; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8924; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9670)==((long)85)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9499 = BgL_iportz00_9664; 
BgL_lastzd2matchzd2_9500 = BgL_lastzd2matchzd2_9665; 
BgL_forwardz00_9501 = 
(((long)1)+BgL_forwardz00_9666); 
BgL_bufposz00_9502 = BgL_bufposz00_9667; 
BgL_statezd233zd21062z00_8604:
if(
(BgL_forwardz00_9501==BgL_bufposz00_9502))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9499)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2633z00_9503; long BgL_arg2634z00_9504;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11267;
BgL_tmpz00_11267 = 
((obj_t)BgL_iportz00_9499); 
BgL_arg2633z00_9503 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11267); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11270;
BgL_tmpz00_11270 = 
((obj_t)BgL_iportz00_9499); 
BgL_arg2634z00_9504 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11270); } 
{ 
 long BgL_bufposz00_11274; long BgL_forwardz00_11273;
BgL_forwardz00_11273 = BgL_arg2633z00_9503; 
BgL_bufposz00_11274 = BgL_arg2634z00_9504; 
BgL_bufposz00_9502 = BgL_bufposz00_11274; 
BgL_forwardz00_9501 = BgL_forwardz00_11273; 
goto BgL_statezd233zd21062z00_8604;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9500; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9505;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11275;
BgL_tmpz00_11275 = 
((obj_t)BgL_iportz00_9499); 
BgL_curz00_9505 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11275, BgL_forwardz00_9501); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9505)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2636z00_9506;
BgL_arg2636z00_9506 = 
(((long)1)+BgL_forwardz00_9501); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9507;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11282;
BgL_tmpz00_11282 = 
((obj_t)BgL_iportz00_9499); 
RGC_STOP_MATCH(BgL_tmpz00_11282, BgL_arg2636z00_9506); } 
BgL_newzd2matchzd2_9507 = ((long)36); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9507; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9500; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9670)==((long)69)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8753 = BgL_iportz00_9664; 
BgL_lastzd2matchzd2_8754 = BgL_lastzd2matchzd2_9665; 
BgL_forwardz00_8755 = 
(((long)1)+BgL_forwardz00_9666); 
BgL_bufposz00_8756 = BgL_bufposz00_9667; 
BgL_statezd232zd21061z00_8518:
if(
(BgL_forwardz00_8755==BgL_bufposz00_8756))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8753)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1789z00_8757; long BgL_arg1790z00_8758;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11294;
BgL_tmpz00_11294 = 
((obj_t)BgL_iportz00_8753); 
BgL_arg1789z00_8757 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11294); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11297;
BgL_tmpz00_11297 = 
((obj_t)BgL_iportz00_8753); 
BgL_arg1790z00_8758 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11297); } 
{ 
 long BgL_bufposz00_11301; long BgL_forwardz00_11300;
BgL_forwardz00_11300 = BgL_arg1789z00_8757; 
BgL_bufposz00_11301 = BgL_arg1790z00_8758; 
BgL_bufposz00_8756 = BgL_bufposz00_11301; 
BgL_forwardz00_8755 = BgL_forwardz00_11300; 
goto BgL_statezd232zd21061z00_8518;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8754; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8759;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11302;
BgL_tmpz00_11302 = 
((obj_t)BgL_iportz00_8753); 
BgL_curz00_8759 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11302, BgL_forwardz00_8755); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8759)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1796z00_8760;
BgL_arg1796z00_8760 = 
(((long)1)+BgL_forwardz00_8755); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8761;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11309;
BgL_tmpz00_11309 = 
((obj_t)BgL_iportz00_8753); 
RGC_STOP_MATCH(BgL_tmpz00_11309, BgL_arg1796z00_8760); } 
BgL_newzd2matchzd2_8761 = ((long)20); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8761; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8754; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9670)==((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8914 = BgL_iportz00_9664; 
BgL_lastzd2matchzd2_8915 = BgL_lastzd2matchzd2_9665; 
BgL_forwardz00_8916 = 
(((long)1)+BgL_forwardz00_9666); 
BgL_bufposz00_8917 = BgL_bufposz00_9667; 
BgL_statezd231zd21060z00_8537:
if(
(BgL_forwardz00_8916==BgL_bufposz00_8917))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8914)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1978z00_8918; long BgL_arg1979z00_8919;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11321;
BgL_tmpz00_11321 = 
((obj_t)BgL_iportz00_8914); 
BgL_arg1978z00_8918 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11321); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11324;
BgL_tmpz00_11324 = 
((obj_t)BgL_iportz00_8914); 
BgL_arg1979z00_8919 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11324); } 
{ 
 long BgL_bufposz00_11328; long BgL_forwardz00_11327;
BgL_forwardz00_11327 = BgL_arg1978z00_8918; 
BgL_bufposz00_11328 = BgL_arg1979z00_8919; 
BgL_bufposz00_8917 = BgL_bufposz00_11328; 
BgL_forwardz00_8916 = BgL_forwardz00_11327; 
goto BgL_statezd231zd21060z00_8537;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8915; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8920;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11329;
BgL_tmpz00_11329 = 
((obj_t)BgL_iportz00_8914); 
BgL_curz00_8920 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11329, BgL_forwardz00_8916); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8920)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1981z00_8921;
BgL_arg1981z00_8921 = 
(((long)1)+BgL_forwardz00_8916); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8922;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11336;
BgL_tmpz00_11336 = 
((obj_t)BgL_iportz00_8914); 
RGC_STOP_MATCH(BgL_tmpz00_11336, BgL_arg1981z00_8921); } 
BgL_newzd2matchzd2_8922 = ((long)25); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8922; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8915; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9665; } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8705)==((long)94)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8976 = BgL_iportz00_8699; 
BgL_lastzd2matchzd2_8977 = BgL_lastzd2matchzd2_8700; 
BgL_forwardz00_8978 = 
(((long)1)+BgL_forwardz00_8701); 
BgL_bufposz00_8979 = BgL_bufposz00_8702; 
BgL_statezd219zd21048z00_8544:
if(
(BgL_forwardz00_8978==BgL_bufposz00_8979))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8976)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2036z00_8980; long BgL_arg2037z00_8981;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11349;
BgL_tmpz00_11349 = 
((obj_t)BgL_iportz00_8976); 
BgL_arg2036z00_8980 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11349); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11352;
BgL_tmpz00_11352 = 
((obj_t)BgL_iportz00_8976); 
BgL_arg2037z00_8981 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11352); } 
{ 
 long BgL_bufposz00_11356; long BgL_forwardz00_11355;
BgL_forwardz00_11355 = BgL_arg2036z00_8980; 
BgL_bufposz00_11356 = BgL_arg2037z00_8981; 
BgL_bufposz00_8979 = BgL_bufposz00_11356; 
BgL_forwardz00_8978 = BgL_forwardz00_11355; 
goto BgL_statezd219zd21048z00_8544;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8977; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8982;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11357;
BgL_tmpz00_11357 = 
((obj_t)BgL_iportz00_8976); 
BgL_curz00_8982 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11357, BgL_forwardz00_8978); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8982)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9469 = BgL_iportz00_8976; 
BgL_lastzd2matchzd2_9470 = BgL_lastzd2matchzd2_8977; 
BgL_forwardz00_9471 = 
(((long)1)+BgL_forwardz00_8978); 
BgL_bufposz00_9472 = BgL_bufposz00_8979; 
BgL_statezd255zd21084z00_8600:
if(
(BgL_forwardz00_9471==BgL_bufposz00_9472))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9469)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2581z00_9473; long BgL_arg2582z00_9474;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11368;
BgL_tmpz00_11368 = 
((obj_t)BgL_iportz00_9469); 
BgL_arg2581z00_9473 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11368); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11371;
BgL_tmpz00_11371 = 
((obj_t)BgL_iportz00_9469); 
BgL_arg2582z00_9474 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11371); } 
{ 
 long BgL_bufposz00_11375; long BgL_forwardz00_11374;
BgL_forwardz00_11374 = BgL_arg2581z00_9473; 
BgL_bufposz00_11375 = BgL_arg2582z00_9474; 
BgL_bufposz00_9472 = BgL_bufposz00_11375; 
BgL_forwardz00_9471 = BgL_forwardz00_11374; 
goto BgL_statezd255zd21084z00_8600;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9470; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9475;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11376;
BgL_tmpz00_11376 = 
((obj_t)BgL_iportz00_9469); 
BgL_curz00_9475 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11376, BgL_forwardz00_9471); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9475)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9037 = BgL_iportz00_9469; 
BgL_lastzd2matchzd2_9038 = BgL_lastzd2matchzd2_9470; 
BgL_forwardz00_9039 = 
(((long)1)+BgL_forwardz00_9471); 
BgL_bufposz00_9040 = BgL_bufposz00_9472; 
BgL_statezd259zd21088z00_8552:
if(
(BgL_forwardz00_9039==BgL_bufposz00_9040))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9037)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2112z00_9041; long BgL_arg2113z00_9042;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11387;
BgL_tmpz00_11387 = 
((obj_t)BgL_iportz00_9037); 
BgL_arg2112z00_9041 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11387); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11390;
BgL_tmpz00_11390 = 
((obj_t)BgL_iportz00_9037); 
BgL_arg2113z00_9042 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11390); } 
{ 
 long BgL_bufposz00_11394; long BgL_forwardz00_11393;
BgL_forwardz00_11393 = BgL_arg2112z00_9041; 
BgL_bufposz00_11394 = BgL_arg2113z00_9042; 
BgL_bufposz00_9040 = BgL_bufposz00_11394; 
BgL_forwardz00_9039 = BgL_forwardz00_11393; 
goto BgL_statezd259zd21088z00_8552;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9038; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9043;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11395;
BgL_tmpz00_11395 = 
((obj_t)BgL_iportz00_9037); 
BgL_curz00_9043 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11395, BgL_forwardz00_9039); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9043)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9044 = BgL_iportz00_9037; 
BgL_lastzd2matchzd2_9045 = BgL_lastzd2matchzd2_9038; 
BgL_forwardz00_9046 = 
(((long)1)+BgL_forwardz00_9039); 
BgL_bufposz00_9047 = BgL_bufposz00_9040; 
BgL_statezd260zd21089z00_8553:
if(
(BgL_forwardz00_9046==BgL_bufposz00_9047))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9044)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2119z00_9048; long BgL_arg2120z00_9049;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11406;
BgL_tmpz00_11406 = 
((obj_t)BgL_iportz00_9044); 
BgL_arg2119z00_9048 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11406); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11409;
BgL_tmpz00_11409 = 
((obj_t)BgL_iportz00_9044); 
BgL_arg2120z00_9049 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11409); } 
{ 
 long BgL_bufposz00_11413; long BgL_forwardz00_11412;
BgL_forwardz00_11412 = BgL_arg2119z00_9048; 
BgL_bufposz00_11413 = BgL_arg2120z00_9049; 
BgL_bufposz00_9047 = BgL_bufposz00_11413; 
BgL_forwardz00_9046 = BgL_forwardz00_11412; 
goto BgL_statezd260zd21089z00_8553;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9045; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9050;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11414;
BgL_tmpz00_11414 = 
((obj_t)BgL_iportz00_9044); 
BgL_curz00_9050 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11414, BgL_forwardz00_9046); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9050)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2122z00_9051;
BgL_arg2122z00_9051 = 
(((long)1)+BgL_forwardz00_9046); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9052;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11421;
BgL_tmpz00_11421 = 
((obj_t)BgL_iportz00_9044); 
RGC_STOP_MATCH(BgL_tmpz00_11421, BgL_arg2122z00_9051); } 
BgL_newzd2matchzd2_9052 = ((long)15); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9052; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9045; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9038; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9475)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8874 = BgL_iportz00_9469; 
BgL_lastzd2matchzd2_8875 = BgL_lastzd2matchzd2_9470; 
BgL_forwardz00_8876 = 
(((long)1)+BgL_forwardz00_9471); 
BgL_bufposz00_8877 = BgL_bufposz00_9472; 
BgL_statezd258zd21087z00_8533:
if(
(BgL_forwardz00_8876==BgL_bufposz00_8877))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8874)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1938z00_8878; long BgL_arg1939z00_8879;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11434;
BgL_tmpz00_11434 = 
((obj_t)BgL_iportz00_8874); 
BgL_arg1938z00_8878 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11434); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11437;
BgL_tmpz00_11437 = 
((obj_t)BgL_iportz00_8874); 
BgL_arg1939z00_8879 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11437); } 
{ 
 long BgL_bufposz00_11441; long BgL_forwardz00_11440;
BgL_forwardz00_11440 = BgL_arg1938z00_8878; 
BgL_bufposz00_11441 = BgL_arg1939z00_8879; 
BgL_bufposz00_8877 = BgL_bufposz00_11441; 
BgL_forwardz00_8876 = BgL_forwardz00_11440; 
goto BgL_statezd258zd21087z00_8533;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8875; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8880;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11442;
BgL_tmpz00_11442 = 
((obj_t)BgL_iportz00_8874); 
BgL_curz00_8880 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11442, BgL_forwardz00_8876); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8880)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9426 = BgL_iportz00_8874; 
BgL_lastzd2matchzd2_9427 = BgL_lastzd2matchzd2_8875; 
BgL_forwardz00_9428 = 
(((long)1)+BgL_forwardz00_8876); 
BgL_bufposz00_9429 = BgL_bufposz00_8877; 
BgL_statezd262zd21091z00_8595:
if(
(BgL_forwardz00_9428==BgL_bufposz00_9429))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9426)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2543z00_9430; long BgL_arg2544z00_9431;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11453;
BgL_tmpz00_11453 = 
((obj_t)BgL_iportz00_9426); 
BgL_arg2543z00_9430 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11453); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11456;
BgL_tmpz00_11456 = 
((obj_t)BgL_iportz00_9426); 
BgL_arg2544z00_9431 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11456); } 
{ 
 long BgL_bufposz00_11460; long BgL_forwardz00_11459;
BgL_forwardz00_11459 = BgL_arg2543z00_9430; 
BgL_bufposz00_11460 = BgL_arg2544z00_9431; 
BgL_bufposz00_9429 = BgL_bufposz00_11460; 
BgL_forwardz00_9428 = BgL_forwardz00_11459; 
goto BgL_statezd262zd21091z00_8595;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9427; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9432;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11461;
BgL_tmpz00_11461 = 
((obj_t)BgL_iportz00_9426); 
BgL_curz00_9432 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11461, BgL_forwardz00_9428); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9432)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2546z00_9433;
BgL_arg2546z00_9433 = 
(((long)1)+BgL_forwardz00_9428); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9434;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11468;
BgL_tmpz00_11468 = 
((obj_t)BgL_iportz00_9426); 
RGC_STOP_MATCH(BgL_tmpz00_11468, BgL_arg2546z00_9433); } 
BgL_newzd2matchzd2_9434 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9434; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9427; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8875; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9475)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8771 = BgL_iportz00_9469; 
BgL_lastzd2matchzd2_8772 = BgL_lastzd2matchzd2_9470; 
BgL_forwardz00_8773 = 
(((long)1)+BgL_forwardz00_9471); 
BgL_bufposz00_8774 = BgL_bufposz00_9472; 
BgL_statezd257zd21086z00_8520:
if(
(BgL_forwardz00_8773==BgL_bufposz00_8774))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8771)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1820z00_8775; long BgL_arg1821z00_8776;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11481;
BgL_tmpz00_11481 = 
((obj_t)BgL_iportz00_8771); 
BgL_arg1820z00_8775 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11481); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11484;
BgL_tmpz00_11484 = 
((obj_t)BgL_iportz00_8771); 
BgL_arg1821z00_8776 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11484); } 
{ 
 long BgL_bufposz00_11488; long BgL_forwardz00_11487;
BgL_forwardz00_11487 = BgL_arg1820z00_8775; 
BgL_bufposz00_11488 = BgL_arg1821z00_8776; 
BgL_bufposz00_8774 = BgL_bufposz00_11488; 
BgL_forwardz00_8773 = BgL_forwardz00_11487; 
goto BgL_statezd257zd21086z00_8520;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8772; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8777;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11489;
BgL_tmpz00_11489 = 
((obj_t)BgL_iportz00_8771); 
BgL_curz00_8777 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11489, BgL_forwardz00_8773); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8777)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9094 = BgL_iportz00_8771; 
BgL_lastzd2matchzd2_9095 = BgL_lastzd2matchzd2_8772; 
BgL_forwardz00_9096 = 
(((long)1)+BgL_forwardz00_8773); 
BgL_bufposz00_9097 = BgL_bufposz00_8774; 
BgL_statezd264zd21093z00_8559:
if(
(BgL_forwardz00_9096==BgL_bufposz00_9097))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9094)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2164z00_9098; long BgL_arg2165z00_9099;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11500;
BgL_tmpz00_11500 = 
((obj_t)BgL_iportz00_9094); 
BgL_arg2164z00_9098 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11500); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11503;
BgL_tmpz00_11503 = 
((obj_t)BgL_iportz00_9094); 
BgL_arg2165z00_9099 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11503); } 
{ 
 long BgL_bufposz00_11507; long BgL_forwardz00_11506;
BgL_forwardz00_11506 = BgL_arg2164z00_9098; 
BgL_bufposz00_11507 = BgL_arg2165z00_9099; 
BgL_bufposz00_9097 = BgL_bufposz00_11507; 
BgL_forwardz00_9096 = BgL_forwardz00_11506; 
goto BgL_statezd264zd21093z00_8559;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9095; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9100;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11508;
BgL_tmpz00_11508 = 
((obj_t)BgL_iportz00_9094); 
BgL_curz00_9100 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11508, BgL_forwardz00_9096); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9100)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2167z00_9101;
BgL_arg2167z00_9101 = 
(((long)1)+BgL_forwardz00_9096); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9102;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11515;
BgL_tmpz00_11515 = 
((obj_t)BgL_iportz00_9094); 
RGC_STOP_MATCH(BgL_tmpz00_11515, BgL_arg2167z00_9101); } 
BgL_newzd2matchzd2_9102 = ((long)16); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9102; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9095; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8772; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9475)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8867 = BgL_iportz00_9469; 
BgL_lastzd2matchzd2_8868 = BgL_lastzd2matchzd2_9470; 
BgL_forwardz00_8869 = 
(((long)1)+BgL_forwardz00_9471); 
BgL_bufposz00_8870 = BgL_bufposz00_9472; 
BgL_statezd256zd21085z00_8532:
if(
(BgL_forwardz00_8869==BgL_bufposz00_8870))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8867)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1931z00_8871; long BgL_arg1932z00_8872;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11528;
BgL_tmpz00_11528 = 
((obj_t)BgL_iportz00_8867); 
BgL_arg1931z00_8871 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11528); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11531;
BgL_tmpz00_11531 = 
((obj_t)BgL_iportz00_8867); 
BgL_arg1932z00_8872 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11531); } 
{ 
 long BgL_bufposz00_11535; long BgL_forwardz00_11534;
BgL_forwardz00_11534 = BgL_arg1931z00_8871; 
BgL_bufposz00_11535 = BgL_arg1932z00_8872; 
BgL_bufposz00_8870 = BgL_bufposz00_11535; 
BgL_forwardz00_8869 = BgL_forwardz00_11534; 
goto BgL_statezd256zd21085z00_8532;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8868; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8873;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11536;
BgL_tmpz00_11536 = 
((obj_t)BgL_iportz00_8867); 
BgL_curz00_8873 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11536, BgL_forwardz00_8869); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8873)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8881 = BgL_iportz00_8867; 
BgL_lastzd2matchzd2_8882 = BgL_lastzd2matchzd2_8868; 
BgL_forwardz00_8883 = 
(((long)1)+BgL_forwardz00_8869); 
BgL_bufposz00_8884 = BgL_bufposz00_8870; 
BgL_statezd266zd21095z00_8534:
if(
(BgL_forwardz00_8883==BgL_bufposz00_8884))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8881)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1945z00_8885; long BgL_arg1946z00_8886;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11547;
BgL_tmpz00_11547 = 
((obj_t)BgL_iportz00_8881); 
BgL_arg1945z00_8885 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11547); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11550;
BgL_tmpz00_11550 = 
((obj_t)BgL_iportz00_8881); 
BgL_arg1946z00_8886 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11550); } 
{ 
 long BgL_bufposz00_11554; long BgL_forwardz00_11553;
BgL_forwardz00_11553 = BgL_arg1945z00_8885; 
BgL_bufposz00_11554 = BgL_arg1946z00_8886; 
BgL_bufposz00_8884 = BgL_bufposz00_11554; 
BgL_forwardz00_8883 = BgL_forwardz00_11553; 
goto BgL_statezd266zd21095z00_8534;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8882; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8887;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11555;
BgL_tmpz00_11555 = 
((obj_t)BgL_iportz00_8881); 
BgL_curz00_8887 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11555, BgL_forwardz00_8883); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8887)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1948z00_8888;
BgL_arg1948z00_8888 = 
(((long)1)+BgL_forwardz00_8883); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8889;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11562;
BgL_tmpz00_11562 = 
((obj_t)BgL_iportz00_8881); 
RGC_STOP_MATCH(BgL_tmpz00_11562, BgL_arg1948z00_8888); } 
BgL_newzd2matchzd2_8889 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8889; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8882; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8868; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9470; } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8982)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8858 = BgL_iportz00_8976; 
BgL_lastzd2matchzd2_8859 = BgL_lastzd2matchzd2_8977; 
BgL_forwardz00_8860 = 
(((long)1)+BgL_forwardz00_8978); 
BgL_bufposz00_8861 = BgL_bufposz00_8979; 
BgL_statezd254zd21083z00_8531:
if(
(BgL_forwardz00_8860==BgL_bufposz00_8861))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8858)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1924z00_8862; long BgL_arg1925z00_8863;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11576;
BgL_tmpz00_11576 = 
((obj_t)BgL_iportz00_8858); 
BgL_arg1924z00_8862 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11576); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11579;
BgL_tmpz00_11579 = 
((obj_t)BgL_iportz00_8858); 
BgL_arg1925z00_8863 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11579); } 
{ 
 long BgL_bufposz00_11583; long BgL_forwardz00_11582;
BgL_forwardz00_11582 = BgL_arg1924z00_8862; 
BgL_bufposz00_11583 = BgL_arg1925z00_8863; 
BgL_bufposz00_8861 = BgL_bufposz00_11583; 
BgL_forwardz00_8860 = BgL_forwardz00_11582; 
goto BgL_statezd254zd21083z00_8531;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8859; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8864;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11584;
BgL_tmpz00_11584 = 
((obj_t)BgL_iportz00_8858); 
BgL_curz00_8864 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11584, BgL_forwardz00_8860); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8864)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1927z00_8865;
BgL_arg1927z00_8865 = 
(((long)1)+BgL_forwardz00_8860); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8866;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11591;
BgL_tmpz00_11591 = 
((obj_t)BgL_iportz00_8858); 
RGC_STOP_MATCH(BgL_tmpz00_11591, BgL_arg1927z00_8865); } 
BgL_newzd2matchzd2_8866 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8866; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8859; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8982)==((long)101)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9103 = BgL_iportz00_8976; 
BgL_lastzd2matchzd2_9104 = BgL_lastzd2matchzd2_8977; 
BgL_forwardz00_9105 = 
(((long)1)+BgL_forwardz00_8978); 
BgL_bufposz00_9106 = BgL_bufposz00_8979; 
BgL_statezd253zd21082z00_8560:
if(
(BgL_forwardz00_9105==BgL_bufposz00_9106))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9103)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2171z00_9107; long BgL_arg2172z00_9108;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11603;
BgL_tmpz00_11603 = 
((obj_t)BgL_iportz00_9103); 
BgL_arg2171z00_9107 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11603); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11606;
BgL_tmpz00_11606 = 
((obj_t)BgL_iportz00_9103); 
BgL_arg2172z00_9108 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11606); } 
{ 
 long BgL_bufposz00_11610; long BgL_forwardz00_11609;
BgL_forwardz00_11609 = BgL_arg2171z00_9107; 
BgL_bufposz00_11610 = BgL_arg2172z00_9108; 
BgL_bufposz00_9106 = BgL_bufposz00_11610; 
BgL_forwardz00_9105 = BgL_forwardz00_11609; 
goto BgL_statezd253zd21082z00_8560;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9104; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9109;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11611;
BgL_tmpz00_11611 = 
((obj_t)BgL_iportz00_9103); 
BgL_curz00_9109 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11611, BgL_forwardz00_9105); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9109)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2174z00_9110;
BgL_arg2174z00_9110 = 
(((long)1)+BgL_forwardz00_9105); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9111;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11618;
BgL_tmpz00_11618 = 
((obj_t)BgL_iportz00_9103); 
RGC_STOP_MATCH(BgL_tmpz00_11618, BgL_arg2174z00_9110); } 
BgL_newzd2matchzd2_9111 = ((long)21); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9111; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9104; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8982)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9257 = BgL_iportz00_8976; 
BgL_lastzd2matchzd2_9258 = BgL_lastzd2matchzd2_8977; 
BgL_forwardz00_9259 = 
(((long)1)+BgL_forwardz00_8978); 
BgL_bufposz00_9260 = BgL_bufposz00_8979; 
BgL_statezd252zd21081z00_8577:
if(
(BgL_forwardz00_9259==BgL_bufposz00_9260))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9257)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2353z00_9261; long BgL_arg2354z00_9262;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11630;
BgL_tmpz00_11630 = 
((obj_t)BgL_iportz00_9257); 
BgL_arg2353z00_9261 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11630); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11633;
BgL_tmpz00_11633 = 
((obj_t)BgL_iportz00_9257); 
BgL_arg2354z00_9262 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11633); } 
{ 
 long BgL_bufposz00_11637; long BgL_forwardz00_11636;
BgL_forwardz00_11636 = BgL_arg2353z00_9261; 
BgL_bufposz00_11637 = BgL_arg2354z00_9262; 
BgL_bufposz00_9260 = BgL_bufposz00_11637; 
BgL_forwardz00_9259 = BgL_forwardz00_11636; 
goto BgL_statezd252zd21081z00_8577;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9258; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9263;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11638;
BgL_tmpz00_11638 = 
((obj_t)BgL_iportz00_9257); 
BgL_curz00_9263 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11638, BgL_forwardz00_9259); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9263)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9315 = BgL_iportz00_9257; 
BgL_lastzd2matchzd2_9316 = BgL_lastzd2matchzd2_9258; 
BgL_forwardz00_9317 = 
(((long)1)+BgL_forwardz00_9259); 
BgL_bufposz00_9318 = BgL_bufposz00_9260; 
BgL_statezd270zd21099z00_8583:
if(
(BgL_forwardz00_9317==BgL_bufposz00_9318))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9315)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2427z00_9319; long BgL_arg2428z00_9320;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11649;
BgL_tmpz00_11649 = 
((obj_t)BgL_iportz00_9315); 
BgL_arg2427z00_9319 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11649); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11652;
BgL_tmpz00_11652 = 
((obj_t)BgL_iportz00_9315); 
BgL_arg2428z00_9320 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11652); } 
{ 
 long BgL_bufposz00_11656; long BgL_forwardz00_11655;
BgL_forwardz00_11655 = BgL_arg2427z00_9319; 
BgL_bufposz00_11656 = BgL_arg2428z00_9320; 
BgL_bufposz00_9318 = BgL_bufposz00_11656; 
BgL_forwardz00_9317 = BgL_forwardz00_11655; 
goto BgL_statezd270zd21099z00_8583;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9316; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9321;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11657;
BgL_tmpz00_11657 = 
((obj_t)BgL_iportz00_9315); 
BgL_curz00_9321 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11657, BgL_forwardz00_9317); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9321)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2430z00_9322;
BgL_arg2430z00_9322 = 
(((long)1)+BgL_forwardz00_9317); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9323;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11664;
BgL_tmpz00_11664 = 
((obj_t)BgL_iportz00_9315); 
RGC_STOP_MATCH(BgL_tmpz00_11664, BgL_arg2430z00_9322); } 
BgL_newzd2matchzd2_9323 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9323; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9316; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9263)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9435 = BgL_iportz00_9257; 
BgL_lastzd2matchzd2_9436 = BgL_lastzd2matchzd2_9258; 
BgL_forwardz00_9437 = 
(((long)1)+BgL_forwardz00_9259); 
BgL_bufposz00_9438 = BgL_bufposz00_9260; 
BgL_statezd269zd21098z00_8596:
if(
(BgL_forwardz00_9437==BgL_bufposz00_9438))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9435)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2551z00_9439; long BgL_arg2552z00_9440;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11676;
BgL_tmpz00_11676 = 
((obj_t)BgL_iportz00_9435); 
BgL_arg2551z00_9439 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11676); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11679;
BgL_tmpz00_11679 = 
((obj_t)BgL_iportz00_9435); 
BgL_arg2552z00_9440 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11679); } 
{ 
 long BgL_bufposz00_11683; long BgL_forwardz00_11682;
BgL_forwardz00_11682 = BgL_arg2551z00_9439; 
BgL_bufposz00_11683 = BgL_arg2552z00_9440; 
BgL_bufposz00_9438 = BgL_bufposz00_11683; 
BgL_forwardz00_9437 = BgL_forwardz00_11682; 
goto BgL_statezd269zd21098z00_8596;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9436; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9441;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11684;
BgL_tmpz00_11684 = 
((obj_t)BgL_iportz00_9435); 
BgL_curz00_9441 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11684, BgL_forwardz00_9437); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9441)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2554z00_9442;
BgL_arg2554z00_9442 = 
(((long)1)+BgL_forwardz00_9437); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9443;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11691;
BgL_tmpz00_11691 = 
((obj_t)BgL_iportz00_9435); 
RGC_STOP_MATCH(BgL_tmpz00_11691, BgL_arg2554z00_9442); } 
BgL_newzd2matchzd2_9443 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9443; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9436; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9258; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8982)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8645 = BgL_iportz00_8976; 
BgL_lastzd2matchzd2_8646 = BgL_lastzd2matchzd2_8977; 
BgL_forwardz00_8647 = 
(((long)1)+BgL_forwardz00_8978); 
BgL_bufposz00_8648 = BgL_bufposz00_8979; 
BgL_statezd251zd21080z00_8506:
if(
(BgL_forwardz00_8647==BgL_bufposz00_8648))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8645)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1358z00_8649; long BgL_arg1360z00_8650;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11704;
BgL_tmpz00_11704 = 
((obj_t)BgL_iportz00_8645); 
BgL_arg1358z00_8649 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11704); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11707;
BgL_tmpz00_11707 = 
((obj_t)BgL_iportz00_8645); 
BgL_arg1360z00_8650 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11707); } 
{ 
 long BgL_bufposz00_11711; long BgL_forwardz00_11710;
BgL_forwardz00_11710 = BgL_arg1358z00_8649; 
BgL_bufposz00_11711 = BgL_arg1360z00_8650; 
BgL_bufposz00_8648 = BgL_bufposz00_11711; 
BgL_forwardz00_8647 = BgL_forwardz00_11710; 
goto BgL_statezd251zd21080z00_8506;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8646; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8651;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11712;
BgL_tmpz00_11712 = 
((obj_t)BgL_iportz00_8645); 
BgL_curz00_8651 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11712, BgL_forwardz00_8647); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8651)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1363z00_8652;
BgL_arg1363z00_8652 = 
(((long)1)+BgL_forwardz00_8647); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8653;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11719;
BgL_tmpz00_11719 = 
((obj_t)BgL_iportz00_8645); 
RGC_STOP_MATCH(BgL_tmpz00_11719, BgL_arg1363z00_8652); } 
BgL_newzd2matchzd2_8653 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8653; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8646; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8982)==((long)69)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8932 = BgL_iportz00_8976; 
BgL_lastzd2matchzd2_8933 = BgL_lastzd2matchzd2_8977; 
BgL_forwardz00_8934 = 
(((long)1)+BgL_forwardz00_8978); 
BgL_bufposz00_8935 = BgL_bufposz00_8979; 
BgL_statezd250zd21079z00_8539:
if(
(BgL_forwardz00_8934==BgL_bufposz00_8935))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8932)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1993z00_8936; long BgL_arg1994z00_8937;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11731;
BgL_tmpz00_11731 = 
((obj_t)BgL_iportz00_8932); 
BgL_arg1993z00_8936 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11731); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11734;
BgL_tmpz00_11734 = 
((obj_t)BgL_iportz00_8932); 
BgL_arg1994z00_8937 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11734); } 
{ 
 long BgL_bufposz00_11738; long BgL_forwardz00_11737;
BgL_forwardz00_11737 = BgL_arg1993z00_8936; 
BgL_bufposz00_11738 = BgL_arg1994z00_8937; 
BgL_bufposz00_8935 = BgL_bufposz00_11738; 
BgL_forwardz00_8934 = BgL_forwardz00_11737; 
goto BgL_statezd250zd21079z00_8539;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8933; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8938;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11739;
BgL_tmpz00_11739 = 
((obj_t)BgL_iportz00_8932); 
BgL_curz00_8938 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11739, BgL_forwardz00_8934); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8938)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1996z00_8939;
BgL_arg1996z00_8939 = 
(((long)1)+BgL_forwardz00_8934); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8940;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11746;
BgL_tmpz00_11746 = 
((obj_t)BgL_iportz00_8932); 
RGC_STOP_MATCH(BgL_tmpz00_11746, BgL_arg1996z00_8939); } 
BgL_newzd2matchzd2_8940 = ((long)22); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8940; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8933; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8977; } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8705)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9297 = BgL_iportz00_8699; 
BgL_lastzd2matchzd2_9298 = BgL_lastzd2matchzd2_8700; 
BgL_forwardz00_9299 = 
(((long)1)+BgL_forwardz00_8701); 
BgL_bufposz00_9300 = BgL_bufposz00_8702; 
BgL_statezd218zd21047z00_8581:
if(
(BgL_forwardz00_9299==BgL_bufposz00_9300))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9297)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2412z00_9301; long BgL_arg2413z00_9302;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11759;
BgL_tmpz00_11759 = 
((obj_t)BgL_iportz00_9297); 
BgL_arg2412z00_9301 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11759); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11762;
BgL_tmpz00_11762 = 
((obj_t)BgL_iportz00_9297); 
BgL_arg2413z00_9302 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11762); } 
{ 
 long BgL_bufposz00_11766; long BgL_forwardz00_11765;
BgL_forwardz00_11765 = BgL_arg2412z00_9301; 
BgL_bufposz00_11766 = BgL_arg2413z00_9302; 
BgL_bufposz00_9300 = BgL_bufposz00_11766; 
BgL_forwardz00_9299 = BgL_forwardz00_11765; 
goto BgL_statezd218zd21047z00_8581;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9298; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9303;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11767;
BgL_tmpz00_11767 = 
((obj_t)BgL_iportz00_9297); 
BgL_curz00_9303 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11767, BgL_forwardz00_9299); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9303)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2415z00_9304;
BgL_arg2415z00_9304 = 
(((long)1)+BgL_forwardz00_9299); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9305;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11774;
BgL_tmpz00_11774 = 
((obj_t)BgL_iportz00_9297); 
RGC_STOP_MATCH(BgL_tmpz00_11774, BgL_arg2415z00_9304); } 
BgL_newzd2matchzd2_9305 = ((long)12); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9305; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9298; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8705)==((long)39)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9264 = BgL_iportz00_8699; 
BgL_lastzd2matchzd2_9265 = BgL_lastzd2matchzd2_8700; 
BgL_forwardz00_9266 = 
(((long)1)+BgL_forwardz00_8701); 
BgL_bufposz00_9267 = BgL_bufposz00_8702; 
BgL_statezd217zd21046z00_8578:
if(
(BgL_forwardz00_9266==BgL_bufposz00_9267))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9264)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2362z00_9268; long BgL_arg2363z00_9269;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11786;
BgL_tmpz00_11786 = 
((obj_t)BgL_iportz00_9264); 
BgL_arg2362z00_9268 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11786); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11789;
BgL_tmpz00_11789 = 
((obj_t)BgL_iportz00_9264); 
BgL_arg2363z00_9269 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11789); } 
{ 
 long BgL_bufposz00_11793; long BgL_forwardz00_11792;
BgL_forwardz00_11792 = BgL_arg2362z00_9268; 
BgL_bufposz00_11793 = BgL_arg2363z00_9269; 
BgL_bufposz00_9267 = BgL_bufposz00_11793; 
BgL_forwardz00_9266 = BgL_forwardz00_11792; 
goto BgL_statezd217zd21046z00_8578;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9265; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9270;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11794;
BgL_tmpz00_11794 = 
((obj_t)BgL_iportz00_9264); 
BgL_curz00_9270 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11794, BgL_forwardz00_9266); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9270)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9271 = BgL_iportz00_9264; 
BgL_lastzd2matchzd2_9272 = BgL_lastzd2matchzd2_9265; 
BgL_forwardz00_9273 = 
(((long)1)+BgL_forwardz00_9266); 
BgL_bufposz00_9274 = BgL_bufposz00_9267; 
BgL_statezd280zd21109z00_8579:
if(
(BgL_forwardz00_9273==BgL_bufposz00_9274))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9271)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2384z00_9275; long BgL_arg2385z00_9276;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11805;
BgL_tmpz00_11805 = 
((obj_t)BgL_iportz00_9271); 
BgL_arg2384z00_9275 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11805); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11808;
BgL_tmpz00_11808 = 
((obj_t)BgL_iportz00_9271); 
BgL_arg2385z00_9276 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11808); } 
{ 
 long BgL_bufposz00_11812; long BgL_forwardz00_11811;
BgL_forwardz00_11811 = BgL_arg2384z00_9275; 
BgL_bufposz00_11812 = BgL_arg2385z00_9276; 
BgL_bufposz00_9274 = BgL_bufposz00_11812; 
BgL_forwardz00_9273 = BgL_forwardz00_11811; 
goto BgL_statezd280zd21109z00_8579;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9272; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9277;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11813;
BgL_tmpz00_11813 = 
((obj_t)BgL_iportz00_9271); 
BgL_curz00_9277 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11813, BgL_forwardz00_9273); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9277)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9214 = BgL_iportz00_9271; 
BgL_lastzd2matchzd2_9215 = BgL_lastzd2matchzd2_9272; 
BgL_forwardz00_9216 = 
(((long)1)+BgL_forwardz00_9273); 
BgL_bufposz00_9217 = BgL_bufposz00_9274; 
BgL_statezd282zd21111z00_8572:
if(
(BgL_forwardz00_9216==BgL_bufposz00_9217))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9214)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2317z00_9218; long BgL_arg2318z00_9219;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11824;
BgL_tmpz00_11824 = 
((obj_t)BgL_iportz00_9214); 
BgL_arg2317z00_9218 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11824); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11827;
BgL_tmpz00_11827 = 
((obj_t)BgL_iportz00_9214); 
BgL_arg2318z00_9219 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11827); } 
{ 
 long BgL_bufposz00_11831; long BgL_forwardz00_11830;
BgL_forwardz00_11830 = BgL_arg2317z00_9218; 
BgL_bufposz00_11831 = BgL_arg2318z00_9219; 
BgL_bufposz00_9217 = BgL_bufposz00_11831; 
BgL_forwardz00_9216 = BgL_forwardz00_11830; 
goto BgL_statezd282zd21111z00_8572;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9215; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9220;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11832;
BgL_tmpz00_11832 = 
((obj_t)BgL_iportz00_9214); 
BgL_curz00_9220 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11832, BgL_forwardz00_9216); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9220)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9189 = BgL_iportz00_9214; 
BgL_lastzd2matchzd2_9190 = BgL_lastzd2matchzd2_9215; 
BgL_forwardz00_9191 = 
(((long)1)+BgL_forwardz00_9216); 
BgL_bufposz00_9192 = BgL_bufposz00_9217; 
BgL_statezd283zd21112z00_8569:
if(
(BgL_forwardz00_9191==BgL_bufposz00_9192))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9189)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2293z00_9193; long BgL_arg2294z00_9194;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11843;
BgL_tmpz00_11843 = 
((obj_t)BgL_iportz00_9189); 
BgL_arg2293z00_9193 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11843); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11846;
BgL_tmpz00_11846 = 
((obj_t)BgL_iportz00_9189); 
BgL_arg2294z00_9194 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11846); } 
{ 
 long BgL_bufposz00_11850; long BgL_forwardz00_11849;
BgL_forwardz00_11849 = BgL_arg2293z00_9193; 
BgL_bufposz00_11850 = BgL_arg2294z00_9194; 
BgL_bufposz00_9192 = BgL_bufposz00_11850; 
BgL_forwardz00_9191 = BgL_forwardz00_11849; 
goto BgL_statezd283zd21112z00_8569;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9190; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9195;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11851;
BgL_tmpz00_11851 = 
((obj_t)BgL_iportz00_9189); 
BgL_curz00_9195 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11851, BgL_forwardz00_9191); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9195)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2296z00_9196;
BgL_arg2296z00_9196 = 
(((long)1)+BgL_forwardz00_9191); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9197;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11858;
BgL_tmpz00_11858 = 
((obj_t)BgL_iportz00_9189); 
RGC_STOP_MATCH(BgL_tmpz00_11858, BgL_arg2296z00_9196); } 
BgL_newzd2matchzd2_9197 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9197; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9190; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9215; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9277)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8851 = BgL_iportz00_9271; 
BgL_lastzd2matchzd2_8852 = BgL_lastzd2matchzd2_9272; 
BgL_forwardz00_8853 = 
(((long)1)+BgL_forwardz00_9273); 
BgL_bufposz00_8854 = BgL_bufposz00_9274; 
BgL_statezd281zd21110z00_8530:
if(
(BgL_forwardz00_8853==BgL_bufposz00_8854))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8851)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1917z00_8855; long BgL_arg1918z00_8856;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11871;
BgL_tmpz00_11871 = 
((obj_t)BgL_iportz00_8851); 
BgL_arg1917z00_8855 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11871); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11874;
BgL_tmpz00_11874 = 
((obj_t)BgL_iportz00_8851); 
BgL_arg1918z00_8856 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11874); } 
{ 
 long BgL_bufposz00_11878; long BgL_forwardz00_11877;
BgL_forwardz00_11877 = BgL_arg1917z00_8855; 
BgL_bufposz00_11878 = BgL_arg1918z00_8856; 
BgL_bufposz00_8854 = BgL_bufposz00_11878; 
BgL_forwardz00_8853 = BgL_forwardz00_11877; 
goto BgL_statezd281zd21110z00_8530;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8852; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8857;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11879;
BgL_tmpz00_11879 = 
((obj_t)BgL_iportz00_8851); 
BgL_curz00_8857 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11879, BgL_forwardz00_8853); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8857)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8628 = BgL_iportz00_8851; 
BgL_lastzd2matchzd2_8629 = BgL_lastzd2matchzd2_8852; 
BgL_forwardz00_8630 = 
(((long)1)+BgL_forwardz00_8853); 
BgL_bufposz00_8631 = BgL_bufposz00_8854; 
BgL_statezd285zd21114z00_8504:
if(
(BgL_forwardz00_8630==BgL_bufposz00_8631))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8628)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1331z00_8632; long BgL_arg1332z00_8633;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11890;
BgL_tmpz00_11890 = 
((obj_t)BgL_iportz00_8628); 
BgL_arg1331z00_8632 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11890); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11893;
BgL_tmpz00_11893 = 
((obj_t)BgL_iportz00_8628); 
BgL_arg1332z00_8633 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11893); } 
{ 
 long BgL_bufposz00_11897; long BgL_forwardz00_11896;
BgL_forwardz00_11896 = BgL_arg1331z00_8632; 
BgL_bufposz00_11897 = BgL_arg1332z00_8633; 
BgL_bufposz00_8631 = BgL_bufposz00_11897; 
BgL_forwardz00_8630 = BgL_forwardz00_11896; 
goto BgL_statezd285zd21114z00_8504;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8629; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8634;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11898;
BgL_tmpz00_11898 = 
((obj_t)BgL_iportz00_8628); 
BgL_curz00_8634 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11898, BgL_forwardz00_8630); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8634)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1338z00_8635;
BgL_arg1338z00_8635 = 
(((long)1)+BgL_forwardz00_8630); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8636;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11905;
BgL_tmpz00_11905 = 
((obj_t)BgL_iportz00_8628); 
RGC_STOP_MATCH(BgL_tmpz00_11905, BgL_arg1338z00_8635); } 
BgL_newzd2matchzd2_8636 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8636; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8629; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8852; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9272; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9270)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9180 = BgL_iportz00_9264; 
BgL_lastzd2matchzd2_9181 = BgL_lastzd2matchzd2_9265; 
BgL_forwardz00_9182 = 
(((long)1)+BgL_forwardz00_9266); 
BgL_bufposz00_9183 = BgL_bufposz00_9267; 
BgL_statezd279zd21108z00_8568:
if(
(BgL_forwardz00_9182==BgL_bufposz00_9183))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9180)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2286z00_9184; long BgL_arg2287z00_9185;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11919;
BgL_tmpz00_11919 = 
((obj_t)BgL_iportz00_9180); 
BgL_arg2286z00_9184 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11919); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11922;
BgL_tmpz00_11922 = 
((obj_t)BgL_iportz00_9180); 
BgL_arg2287z00_9185 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11922); } 
{ 
 long BgL_bufposz00_11926; long BgL_forwardz00_11925;
BgL_forwardz00_11925 = BgL_arg2286z00_9184; 
BgL_bufposz00_11926 = BgL_arg2287z00_9185; 
BgL_bufposz00_9183 = BgL_bufposz00_11926; 
BgL_forwardz00_9182 = BgL_forwardz00_11925; 
goto BgL_statezd279zd21108z00_8568;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9181; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9186;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11927;
BgL_tmpz00_11927 = 
((obj_t)BgL_iportz00_9180); 
BgL_curz00_9186 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11927, BgL_forwardz00_9182); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9186)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2289z00_9187;
BgL_arg2289z00_9187 = 
(((long)1)+BgL_forwardz00_9182); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9188;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11934;
BgL_tmpz00_11934 = 
((obj_t)BgL_iportz00_9180); 
RGC_STOP_MATCH(BgL_tmpz00_11934, BgL_arg2289z00_9187); } 
BgL_newzd2matchzd2_9188 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9188; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9181; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9270)==((long)101)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9389 = BgL_iportz00_9264; 
BgL_lastzd2matchzd2_9390 = BgL_lastzd2matchzd2_9265; 
BgL_forwardz00_9391 = 
(((long)1)+BgL_forwardz00_9266); 
BgL_bufposz00_9392 = BgL_bufposz00_9267; 
BgL_statezd278zd21107z00_8592:
if(
(BgL_forwardz00_9391==BgL_bufposz00_9392))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9389)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2509z00_9393; long BgL_arg2510z00_9394;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11946;
BgL_tmpz00_11946 = 
((obj_t)BgL_iportz00_9389); 
BgL_arg2509z00_9393 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11946); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11949;
BgL_tmpz00_11949 = 
((obj_t)BgL_iportz00_9389); 
BgL_arg2510z00_9394 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11949); } 
{ 
 long BgL_bufposz00_11953; long BgL_forwardz00_11952;
BgL_forwardz00_11952 = BgL_arg2509z00_9393; 
BgL_bufposz00_11953 = BgL_arg2510z00_9394; 
BgL_bufposz00_9392 = BgL_bufposz00_11953; 
BgL_forwardz00_9391 = BgL_forwardz00_11952; 
goto BgL_statezd278zd21107z00_8592;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9390; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9395;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11954;
BgL_tmpz00_11954 = 
((obj_t)BgL_iportz00_9389); 
BgL_curz00_9395 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11954, BgL_forwardz00_9391); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9395)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2512z00_9396;
BgL_arg2512z00_9396 = 
(((long)1)+BgL_forwardz00_9391); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9397;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11961;
BgL_tmpz00_11961 = 
((obj_t)BgL_iportz00_9389); 
RGC_STOP_MATCH(BgL_tmpz00_11961, BgL_arg2512z00_9396); } 
BgL_newzd2matchzd2_9397 = ((long)9); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9397; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9390; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9270)==((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8950 = BgL_iportz00_9264; 
BgL_lastzd2matchzd2_8951 = BgL_lastzd2matchzd2_9265; 
BgL_forwardz00_8952 = 
(((long)1)+BgL_forwardz00_9266); 
BgL_bufposz00_8953 = BgL_bufposz00_9267; 
BgL_statezd277zd21106z00_8541:
if(
(BgL_forwardz00_8952==BgL_bufposz00_8953))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8950)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2007z00_8954; long BgL_arg2008z00_8955;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11973;
BgL_tmpz00_11973 = 
((obj_t)BgL_iportz00_8950); 
BgL_arg2007z00_8954 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11973); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11976;
BgL_tmpz00_11976 = 
((obj_t)BgL_iportz00_8950); 
BgL_arg2008z00_8955 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11976); } 
{ 
 long BgL_bufposz00_11980; long BgL_forwardz00_11979;
BgL_forwardz00_11979 = BgL_arg2007z00_8954; 
BgL_bufposz00_11980 = BgL_arg2008z00_8955; 
BgL_bufposz00_8953 = BgL_bufposz00_11980; 
BgL_forwardz00_8952 = BgL_forwardz00_11979; 
goto BgL_statezd277zd21106z00_8541;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8951; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8956;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11981;
BgL_tmpz00_11981 = 
((obj_t)BgL_iportz00_8950); 
BgL_curz00_8956 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11981, BgL_forwardz00_8952); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8956)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2010z00_8957;
BgL_arg2010z00_8957 = 
(((long)1)+BgL_forwardz00_8952); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8958;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11988;
BgL_tmpz00_11988 = 
((obj_t)BgL_iportz00_8950); 
RGC_STOP_MATCH(BgL_tmpz00_11988, BgL_arg2010z00_8957); } 
BgL_newzd2matchzd2_8958 = ((long)24); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8958; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8951; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9270)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9207 = BgL_iportz00_9264; 
BgL_lastzd2matchzd2_9208 = BgL_lastzd2matchzd2_9265; 
BgL_forwardz00_9209 = 
(((long)1)+BgL_forwardz00_9266); 
BgL_bufposz00_9210 = BgL_bufposz00_9267; 
BgL_statezd276zd21105z00_8571:
if(
(BgL_forwardz00_9209==BgL_bufposz00_9210))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9207)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2308z00_9211; long BgL_arg2309z00_9212;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12000;
BgL_tmpz00_12000 = 
((obj_t)BgL_iportz00_9207); 
BgL_arg2308z00_9211 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12000); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12003;
BgL_tmpz00_12003 = 
((obj_t)BgL_iportz00_9207); 
BgL_arg2309z00_9212 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12003); } 
{ 
 long BgL_bufposz00_12007; long BgL_forwardz00_12006;
BgL_forwardz00_12006 = BgL_arg2308z00_9211; 
BgL_bufposz00_12007 = BgL_arg2309z00_9212; 
BgL_bufposz00_9210 = BgL_bufposz00_12007; 
BgL_forwardz00_9209 = BgL_forwardz00_12006; 
goto BgL_statezd276zd21105z00_8571;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9208; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9213;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12008;
BgL_tmpz00_12008 = 
((obj_t)BgL_iportz00_9207); 
BgL_curz00_9213 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12008, BgL_forwardz00_9209); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9213)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9198 = BgL_iportz00_9207; 
BgL_lastzd2matchzd2_9199 = BgL_lastzd2matchzd2_9208; 
BgL_forwardz00_9200 = 
(((long)1)+BgL_forwardz00_9209); 
BgL_bufposz00_9201 = BgL_bufposz00_9210; 
BgL_statezd289zd21118z00_8570:
if(
(BgL_forwardz00_9200==BgL_bufposz00_9201))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9198)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2301z00_9202; long BgL_arg2302z00_9203;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12019;
BgL_tmpz00_12019 = 
((obj_t)BgL_iportz00_9198); 
BgL_arg2301z00_9202 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12019); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12022;
BgL_tmpz00_12022 = 
((obj_t)BgL_iportz00_9198); 
BgL_arg2302z00_9203 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12022); } 
{ 
 long BgL_bufposz00_12026; long BgL_forwardz00_12025;
BgL_forwardz00_12025 = BgL_arg2301z00_9202; 
BgL_bufposz00_12026 = BgL_arg2302z00_9203; 
BgL_bufposz00_9201 = BgL_bufposz00_12026; 
BgL_forwardz00_9200 = BgL_forwardz00_12025; 
goto BgL_statezd289zd21118z00_8570;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9199; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9204;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12027;
BgL_tmpz00_12027 = 
((obj_t)BgL_iportz00_9198); 
BgL_curz00_9204 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12027, BgL_forwardz00_9200); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9204)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2304z00_9205;
BgL_arg2304z00_9205 = 
(((long)1)+BgL_forwardz00_9200); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9206;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12034;
BgL_tmpz00_12034 = 
((obj_t)BgL_iportz00_9198); 
RGC_STOP_MATCH(BgL_tmpz00_12034, BgL_arg2304z00_9205); } 
BgL_newzd2matchzd2_9206 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9206; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9199; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9213)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9221 = BgL_iportz00_9207; 
BgL_lastzd2matchzd2_9222 = BgL_lastzd2matchzd2_9208; 
BgL_forwardz00_9223 = 
(((long)1)+BgL_forwardz00_9209); 
BgL_bufposz00_9224 = BgL_bufposz00_9210; 
BgL_statezd288zd21117z00_8573:
if(
(BgL_forwardz00_9223==BgL_bufposz00_9224))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9221)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2324z00_9225; long BgL_arg2325z00_9226;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12046;
BgL_tmpz00_12046 = 
((obj_t)BgL_iportz00_9221); 
BgL_arg2324z00_9225 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12046); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12049;
BgL_tmpz00_12049 = 
((obj_t)BgL_iportz00_9221); 
BgL_arg2325z00_9226 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12049); } 
{ 
 long BgL_bufposz00_12053; long BgL_forwardz00_12052;
BgL_forwardz00_12052 = BgL_arg2324z00_9225; 
BgL_bufposz00_12053 = BgL_arg2325z00_9226; 
BgL_bufposz00_9224 = BgL_bufposz00_12053; 
BgL_forwardz00_9223 = BgL_forwardz00_12052; 
goto BgL_statezd288zd21117z00_8573;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9222; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9227;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12054;
BgL_tmpz00_12054 = 
((obj_t)BgL_iportz00_9221); 
BgL_curz00_9227 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12054, BgL_forwardz00_9223); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9227)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2327z00_9228;
BgL_arg2327z00_9228 = 
(((long)1)+BgL_forwardz00_9223); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9229;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12061;
BgL_tmpz00_12061 = 
((obj_t)BgL_iportz00_9221); 
RGC_STOP_MATCH(BgL_tmpz00_12061, BgL_arg2327z00_9228); } 
BgL_newzd2matchzd2_9229 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9229; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9222; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9208; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9270)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9135 = BgL_iportz00_9264; 
BgL_lastzd2matchzd2_9136 = BgL_lastzd2matchzd2_9265; 
BgL_forwardz00_9137 = 
(((long)1)+BgL_forwardz00_9266); 
BgL_bufposz00_9138 = BgL_bufposz00_9267; 
BgL_statezd275zd21104z00_8563:
if(
(BgL_forwardz00_9137==BgL_bufposz00_9138))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9135)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2200z00_9139; long BgL_arg2201z00_9140;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12074;
BgL_tmpz00_12074 = 
((obj_t)BgL_iportz00_9135); 
BgL_arg2200z00_9139 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12074); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12077;
BgL_tmpz00_12077 = 
((obj_t)BgL_iportz00_9135); 
BgL_arg2201z00_9140 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12077); } 
{ 
 long BgL_bufposz00_12081; long BgL_forwardz00_12080;
BgL_forwardz00_12080 = BgL_arg2200z00_9139; 
BgL_bufposz00_12081 = BgL_arg2201z00_9140; 
BgL_bufposz00_9138 = BgL_bufposz00_12081; 
BgL_forwardz00_9137 = BgL_forwardz00_12080; 
goto BgL_statezd275zd21104z00_8563;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9136; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9141;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12082;
BgL_tmpz00_12082 = 
((obj_t)BgL_iportz00_9135); 
BgL_curz00_9141 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12082, BgL_forwardz00_9137); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9141)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2203z00_9142;
BgL_arg2203z00_9142 = 
(((long)1)+BgL_forwardz00_9137); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9143;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12089;
BgL_tmpz00_12089 = 
((obj_t)BgL_iportz00_9135); 
RGC_STOP_MATCH(BgL_tmpz00_12089, BgL_arg2203z00_9142); } 
BgL_newzd2matchzd2_9143 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9143; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9136; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9270)==((long)69)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8672 = BgL_iportz00_9264; 
BgL_lastzd2matchzd2_8673 = BgL_lastzd2matchzd2_9265; 
BgL_forwardz00_8674 = 
(((long)1)+BgL_forwardz00_9266); 
BgL_bufposz00_8675 = BgL_bufposz00_9267; 
BgL_statezd274zd21103z00_8509:
if(
(BgL_forwardz00_8674==BgL_bufposz00_8675))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8672)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1541z00_8676; long BgL_arg1554z00_8677;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12101;
BgL_tmpz00_12101 = 
((obj_t)BgL_iportz00_8672); 
BgL_arg1541z00_8676 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12101); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12104;
BgL_tmpz00_12104 = 
((obj_t)BgL_iportz00_8672); 
BgL_arg1554z00_8677 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12104); } 
{ 
 long BgL_bufposz00_12108; long BgL_forwardz00_12107;
BgL_forwardz00_12107 = BgL_arg1541z00_8676; 
BgL_bufposz00_12108 = BgL_arg1554z00_8677; 
BgL_bufposz00_8675 = BgL_bufposz00_12108; 
BgL_forwardz00_8674 = BgL_forwardz00_12107; 
goto BgL_statezd274zd21103z00_8509;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8673; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8678;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12109;
BgL_tmpz00_12109 = 
((obj_t)BgL_iportz00_8672); 
BgL_curz00_8678 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12109, BgL_forwardz00_8674); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8678)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1563z00_8679;
BgL_arg1563z00_8679 = 
(((long)1)+BgL_forwardz00_8674); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8680;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12116;
BgL_tmpz00_12116 = 
((obj_t)BgL_iportz00_8672); 
RGC_STOP_MATCH(BgL_tmpz00_12116, BgL_arg1563z00_8679); } 
BgL_newzd2matchzd2_8680 = ((long)10); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8680; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8673; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9270)==((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8941 = BgL_iportz00_9264; 
BgL_lastzd2matchzd2_8942 = BgL_lastzd2matchzd2_9265; 
BgL_forwardz00_8943 = 
(((long)1)+BgL_forwardz00_9266); 
BgL_bufposz00_8944 = BgL_bufposz00_9267; 
BgL_statezd273zd21102z00_8540:
if(
(BgL_forwardz00_8943==BgL_bufposz00_8944))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8941)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2000z00_8945; long BgL_arg2001z00_8946;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12128;
BgL_tmpz00_12128 = 
((obj_t)BgL_iportz00_8941); 
BgL_arg2000z00_8945 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12128); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12131;
BgL_tmpz00_12131 = 
((obj_t)BgL_iportz00_8941); 
BgL_arg2001z00_8946 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12131); } 
{ 
 long BgL_bufposz00_12135; long BgL_forwardz00_12134;
BgL_forwardz00_12134 = BgL_arg2000z00_8945; 
BgL_bufposz00_12135 = BgL_arg2001z00_8946; 
BgL_bufposz00_8944 = BgL_bufposz00_12135; 
BgL_forwardz00_8943 = BgL_forwardz00_12134; 
goto BgL_statezd273zd21102z00_8540;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8942; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8947;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12136;
BgL_tmpz00_12136 = 
((obj_t)BgL_iportz00_8941); 
BgL_curz00_8947 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12136, BgL_forwardz00_8943); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8947)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2003z00_8948;
BgL_arg2003z00_8948 = 
(((long)1)+BgL_forwardz00_8943); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8949;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12143;
BgL_tmpz00_12143 = 
((obj_t)BgL_iportz00_8941); 
RGC_STOP_MATCH(BgL_tmpz00_12143, BgL_arg2003z00_8948); } 
BgL_newzd2matchzd2_8949 = ((long)26); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8949; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8942; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9265; } } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8705)==((long)34)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8738 = BgL_iportz00_8699; 
BgL_lastzd2matchzd2_8739 = BgL_lastzd2matchzd2_8700; 
BgL_forwardz00_8740 = 
(((long)1)+BgL_forwardz00_8701); 
BgL_bufposz00_8741 = BgL_bufposz00_8702; 
BgL_statezd216zd21045z00_8516:
if(
(BgL_forwardz00_8740==BgL_bufposz00_8741))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8738)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1739z00_8742; long BgL_arg1740z00_8743;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12156;
BgL_tmpz00_12156 = 
((obj_t)BgL_iportz00_8738); 
BgL_arg1739z00_8742 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12156); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12159;
BgL_tmpz00_12159 = 
((obj_t)BgL_iportz00_8738); 
BgL_arg1740z00_8743 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12159); } 
{ 
 long BgL_bufposz00_12163; long BgL_forwardz00_12162;
BgL_forwardz00_12162 = BgL_arg1739z00_8742; 
BgL_bufposz00_12163 = BgL_arg1740z00_8743; 
BgL_bufposz00_8741 = BgL_bufposz00_12163; 
BgL_forwardz00_8740 = BgL_forwardz00_12162; 
goto BgL_statezd216zd21045z00_8516;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8739; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8744;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12164;
BgL_tmpz00_12164 = 
((obj_t)BgL_iportz00_8738); 
BgL_curz00_8744 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12164, BgL_forwardz00_8740); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8744)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9575 = BgL_iportz00_8738; 
BgL_lastzd2matchzd2_9576 = BgL_lastzd2matchzd2_8739; 
BgL_forwardz00_9577 = 
(((long)1)+BgL_forwardz00_8740); 
BgL_bufposz00_9578 = BgL_bufposz00_8741; 
BgL_statezd296zd21125z00_8613:
if(
(BgL_forwardz00_9577==BgL_bufposz00_9578))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9575)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2711z00_9579; long BgL_arg2712z00_9580;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12175;
BgL_tmpz00_12175 = 
((obj_t)BgL_iportz00_9575); 
BgL_arg2711z00_9579 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12175); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12178;
BgL_tmpz00_12178 = 
((obj_t)BgL_iportz00_9575); 
BgL_arg2712z00_9580 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12178); } 
{ 
 long BgL_bufposz00_12182; long BgL_forwardz00_12181;
BgL_forwardz00_12181 = BgL_arg2711z00_9579; 
BgL_bufposz00_12182 = BgL_arg2712z00_9580; 
BgL_bufposz00_9578 = BgL_bufposz00_12182; 
BgL_forwardz00_9577 = BgL_forwardz00_12181; 
goto BgL_statezd296zd21125z00_8613;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9576; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9581;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12183;
BgL_tmpz00_12183 = 
((obj_t)BgL_iportz00_9575); 
BgL_curz00_9581 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12183, BgL_forwardz00_9577); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9581)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9526 = BgL_iportz00_9575; 
BgL_lastzd2matchzd2_9527 = BgL_lastzd2matchzd2_9576; 
BgL_forwardz00_9528 = 
(((long)1)+BgL_forwardz00_9577); 
BgL_bufposz00_9529 = BgL_bufposz00_9578; 
BgL_statezd2100zd21129z00_8607:
if(
(BgL_forwardz00_9528==BgL_bufposz00_9529))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9526)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2656z00_9530; long BgL_arg2657z00_9531;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12194;
BgL_tmpz00_12194 = 
((obj_t)BgL_iportz00_9526); 
BgL_arg2656z00_9530 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12194); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12197;
BgL_tmpz00_12197 = 
((obj_t)BgL_iportz00_9526); 
BgL_arg2657z00_9531 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12197); } 
{ 
 long BgL_bufposz00_12201; long BgL_forwardz00_12200;
BgL_forwardz00_12200 = BgL_arg2656z00_9530; 
BgL_bufposz00_12201 = BgL_arg2657z00_9531; 
BgL_bufposz00_9529 = BgL_bufposz00_12201; 
BgL_forwardz00_9528 = BgL_forwardz00_12200; 
goto BgL_statezd2100zd21129z00_8607;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9527; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9532;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12202;
BgL_tmpz00_12202 = 
((obj_t)BgL_iportz00_9526); 
BgL_curz00_9532 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12202, BgL_forwardz00_9528); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9532)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9533 = BgL_iportz00_9526; 
BgL_lastzd2matchzd2_9534 = BgL_lastzd2matchzd2_9527; 
BgL_forwardz00_9535 = 
(((long)1)+BgL_forwardz00_9528); 
BgL_bufposz00_9536 = BgL_bufposz00_9529; 
BgL_statezd2101zd21130z00_8608:
if(
(BgL_forwardz00_9535==BgL_bufposz00_9536))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9533)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2663z00_9537; long BgL_arg2664z00_9538;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12213;
BgL_tmpz00_12213 = 
((obj_t)BgL_iportz00_9533); 
BgL_arg2663z00_9537 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12213); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12216;
BgL_tmpz00_12216 = 
((obj_t)BgL_iportz00_9533); 
BgL_arg2664z00_9538 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12216); } 
{ 
 long BgL_bufposz00_12220; long BgL_forwardz00_12219;
BgL_forwardz00_12219 = BgL_arg2663z00_9537; 
BgL_bufposz00_12220 = BgL_arg2664z00_9538; 
BgL_bufposz00_9536 = BgL_bufposz00_12220; 
BgL_forwardz00_9535 = BgL_forwardz00_12219; 
goto BgL_statezd2101zd21130z00_8608;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9534; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9539;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12221;
BgL_tmpz00_12221 = 
((obj_t)BgL_iportz00_9533); 
BgL_curz00_9539 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12221, BgL_forwardz00_9535); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9539)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2666z00_9540;
BgL_arg2666z00_9540 = 
(((long)1)+BgL_forwardz00_9535); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9541;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12228;
BgL_tmpz00_12228 = 
((obj_t)BgL_iportz00_9533); 
RGC_STOP_MATCH(BgL_tmpz00_12228, BgL_arg2666z00_9540); } 
BgL_newzd2matchzd2_9541 = ((long)17); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9541; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9534; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9527; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9581)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9630 = BgL_iportz00_9575; 
BgL_lastzd2matchzd2_9631 = BgL_lastzd2matchzd2_9576; 
BgL_forwardz00_9632 = 
(((long)1)+BgL_forwardz00_9577); 
BgL_bufposz00_9633 = BgL_bufposz00_9578; 
BgL_statezd299zd21128z00_8620:
if(
(BgL_forwardz00_9632==BgL_bufposz00_9633))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9630)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2775z00_9634; long BgL_arg2776z00_9635;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12241;
BgL_tmpz00_12241 = 
((obj_t)BgL_iportz00_9630); 
BgL_arg2775z00_9634 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12241); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12244;
BgL_tmpz00_12244 = 
((obj_t)BgL_iportz00_9630); 
BgL_arg2776z00_9635 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12244); } 
{ 
 long BgL_bufposz00_12248; long BgL_forwardz00_12247;
BgL_forwardz00_12247 = BgL_arg2775z00_9634; 
BgL_bufposz00_12248 = BgL_arg2776z00_9635; 
BgL_bufposz00_9633 = BgL_bufposz00_12248; 
BgL_forwardz00_9632 = BgL_forwardz00_12247; 
goto BgL_statezd299zd21128z00_8620;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9631; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9636;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12249;
BgL_tmpz00_12249 = 
((obj_t)BgL_iportz00_9630); 
BgL_curz00_9636 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12249, BgL_forwardz00_9632); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9636)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8681 = BgL_iportz00_9630; 
BgL_lastzd2matchzd2_8682 = BgL_lastzd2matchzd2_9631; 
BgL_forwardz00_8683 = 
(((long)1)+BgL_forwardz00_9632); 
BgL_bufposz00_8684 = BgL_bufposz00_9633; 
BgL_statezd2103zd21132z00_8510:
if(
(BgL_forwardz00_8683==BgL_bufposz00_8684))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8681)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1572z00_8685; long BgL_arg1573z00_8686;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12260;
BgL_tmpz00_12260 = 
((obj_t)BgL_iportz00_8681); 
BgL_arg1572z00_8685 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12260); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12263;
BgL_tmpz00_12263 = 
((obj_t)BgL_iportz00_8681); 
BgL_arg1573z00_8686 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12263); } 
{ 
 long BgL_bufposz00_12267; long BgL_forwardz00_12266;
BgL_forwardz00_12266 = BgL_arg1572z00_8685; 
BgL_bufposz00_12267 = BgL_arg1573z00_8686; 
BgL_bufposz00_8684 = BgL_bufposz00_12267; 
BgL_forwardz00_8683 = BgL_forwardz00_12266; 
goto BgL_statezd2103zd21132z00_8510;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8682; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8687;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12268;
BgL_tmpz00_12268 = 
((obj_t)BgL_iportz00_8681); 
BgL_curz00_8687 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12268, BgL_forwardz00_8683); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8687)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1576z00_8688;
BgL_arg1576z00_8688 = 
(((long)1)+BgL_forwardz00_8683); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8689;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12275;
BgL_tmpz00_12275 = 
((obj_t)BgL_iportz00_8681); 
RGC_STOP_MATCH(BgL_tmpz00_12275, BgL_arg1576z00_8688); } 
BgL_newzd2matchzd2_8689 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8689; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8682; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9631; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9581)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8778 = BgL_iportz00_9575; 
BgL_lastzd2matchzd2_8779 = BgL_lastzd2matchzd2_9576; 
BgL_forwardz00_8780 = 
(((long)1)+BgL_forwardz00_9577); 
BgL_bufposz00_8781 = BgL_bufposz00_9578; 
BgL_statezd298zd21127z00_8521:
if(
(BgL_forwardz00_8780==BgL_bufposz00_8781))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8778)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1827z00_8782; long BgL_arg1828z00_8783;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12288;
BgL_tmpz00_12288 = 
((obj_t)BgL_iportz00_8778); 
BgL_arg1827z00_8782 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12288); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12291;
BgL_tmpz00_12291 = 
((obj_t)BgL_iportz00_8778); 
BgL_arg1828z00_8783 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12291); } 
{ 
 long BgL_bufposz00_12295; long BgL_forwardz00_12294;
BgL_forwardz00_12294 = BgL_arg1827z00_8782; 
BgL_bufposz00_12295 = BgL_arg1828z00_8783; 
BgL_bufposz00_8781 = BgL_bufposz00_12295; 
BgL_forwardz00_8780 = BgL_forwardz00_12294; 
goto BgL_statezd298zd21127z00_8521;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8779; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8784;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12296;
BgL_tmpz00_12296 = 
((obj_t)BgL_iportz00_8778); 
BgL_curz00_8784 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12296, BgL_forwardz00_8780); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8784)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8785 = BgL_iportz00_8778; 
BgL_lastzd2matchzd2_8786 = BgL_lastzd2matchzd2_8779; 
BgL_forwardz00_8787 = 
(((long)1)+BgL_forwardz00_8780); 
BgL_bufposz00_8788 = BgL_bufposz00_8781; 
BgL_statezd2105zd21134z00_8522:
if(
(BgL_forwardz00_8787==BgL_bufposz00_8788))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8785)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1835z00_8789; long BgL_arg1836z00_8790;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12307;
BgL_tmpz00_12307 = 
((obj_t)BgL_iportz00_8785); 
BgL_arg1835z00_8789 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12307); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12310;
BgL_tmpz00_12310 = 
((obj_t)BgL_iportz00_8785); 
BgL_arg1836z00_8790 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12310); } 
{ 
 long BgL_bufposz00_12314; long BgL_forwardz00_12313;
BgL_forwardz00_12313 = BgL_arg1835z00_8789; 
BgL_bufposz00_12314 = BgL_arg1836z00_8790; 
BgL_bufposz00_8788 = BgL_bufposz00_12314; 
BgL_forwardz00_8787 = BgL_forwardz00_12313; 
goto BgL_statezd2105zd21134z00_8522;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8786; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8791;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12315;
BgL_tmpz00_12315 = 
((obj_t)BgL_iportz00_8785); 
BgL_curz00_8791 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12315, BgL_forwardz00_8787); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8791)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1838z00_8792;
BgL_arg1838z00_8792 = 
(((long)1)+BgL_forwardz00_8787); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8793;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12322;
BgL_tmpz00_12322 = 
((obj_t)BgL_iportz00_8785); 
RGC_STOP_MATCH(BgL_tmpz00_12322, BgL_arg1838z00_8792); } 
BgL_newzd2matchzd2_8793 = ((long)18); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8793; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8786; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8779; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9581)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9623 = BgL_iportz00_9575; 
BgL_lastzd2matchzd2_9624 = BgL_lastzd2matchzd2_9576; 
BgL_forwardz00_9625 = 
(((long)1)+BgL_forwardz00_9577); 
BgL_bufposz00_9626 = BgL_bufposz00_9578; 
BgL_statezd297zd21126z00_8619:
if(
(BgL_forwardz00_9625==BgL_bufposz00_9626))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9623)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2768z00_9627; long BgL_arg2769z00_9628;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12335;
BgL_tmpz00_12335 = 
((obj_t)BgL_iportz00_9623); 
BgL_arg2768z00_9627 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12335); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12338;
BgL_tmpz00_12338 = 
((obj_t)BgL_iportz00_9623); 
BgL_arg2769z00_9628 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12338); } 
{ 
 long BgL_bufposz00_12342; long BgL_forwardz00_12341;
BgL_forwardz00_12341 = BgL_arg2768z00_9627; 
BgL_bufposz00_12342 = BgL_arg2769z00_9628; 
BgL_bufposz00_9626 = BgL_bufposz00_12342; 
BgL_forwardz00_9625 = BgL_forwardz00_12341; 
goto BgL_statezd297zd21126z00_8619;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9624; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9629;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12343;
BgL_tmpz00_12343 = 
((obj_t)BgL_iportz00_9623); 
BgL_curz00_9629 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12343, BgL_forwardz00_9625); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9629)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9637 = BgL_iportz00_9623; 
BgL_lastzd2matchzd2_9638 = BgL_lastzd2matchzd2_9624; 
BgL_forwardz00_9639 = 
(((long)1)+BgL_forwardz00_9625); 
BgL_bufposz00_9640 = BgL_bufposz00_9626; 
BgL_statezd2107zd21136z00_8621:
if(
(BgL_forwardz00_9639==BgL_bufposz00_9640))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9637)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2782z00_9641; long BgL_arg2783z00_9642;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12354;
BgL_tmpz00_12354 = 
((obj_t)BgL_iportz00_9637); 
BgL_arg2782z00_9641 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12354); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12357;
BgL_tmpz00_12357 = 
((obj_t)BgL_iportz00_9637); 
BgL_arg2783z00_9642 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12357); } 
{ 
 long BgL_bufposz00_12361; long BgL_forwardz00_12360;
BgL_forwardz00_12360 = BgL_arg2782z00_9641; 
BgL_bufposz00_12361 = BgL_arg2783z00_9642; 
BgL_bufposz00_9640 = BgL_bufposz00_12361; 
BgL_forwardz00_9639 = BgL_forwardz00_12360; 
goto BgL_statezd2107zd21136z00_8621;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9638; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9643;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12362;
BgL_tmpz00_12362 = 
((obj_t)BgL_iportz00_9637); 
BgL_curz00_9643 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12362, BgL_forwardz00_9639); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9643)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2785z00_9644;
BgL_arg2785z00_9644 = 
(((long)1)+BgL_forwardz00_9639); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9645;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12369;
BgL_tmpz00_12369 = 
((obj_t)BgL_iportz00_9637); 
RGC_STOP_MATCH(BgL_tmpz00_12369, BgL_arg2785z00_9644); } 
BgL_newzd2matchzd2_9645 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9645; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9638; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9624; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9576; } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8744)==((long)117)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8812 = BgL_iportz00_8738; 
BgL_lastzd2matchzd2_8813 = BgL_lastzd2matchzd2_8739; 
BgL_forwardz00_8814 = 
(((long)1)+BgL_forwardz00_8740); 
BgL_bufposz00_8815 = BgL_bufposz00_8741; 
BgL_statezd295zd21124z00_8525:
if(
(BgL_forwardz00_8814==BgL_bufposz00_8815))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8812)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1858z00_8816; long BgL_arg1859z00_8817;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12383;
BgL_tmpz00_12383 = 
((obj_t)BgL_iportz00_8812); 
BgL_arg1858z00_8816 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12383); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12386;
BgL_tmpz00_12386 = 
((obj_t)BgL_iportz00_8812); 
BgL_arg1859z00_8817 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12386); } 
{ 
 long BgL_bufposz00_12390; long BgL_forwardz00_12389;
BgL_forwardz00_12389 = BgL_arg1858z00_8816; 
BgL_bufposz00_12390 = BgL_arg1859z00_8817; 
BgL_bufposz00_8815 = BgL_bufposz00_12390; 
BgL_forwardz00_8814 = BgL_forwardz00_12389; 
goto BgL_statezd295zd21124z00_8525;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8813; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8818;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12391;
BgL_tmpz00_12391 = 
((obj_t)BgL_iportz00_8812); 
BgL_curz00_8818 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12391, BgL_forwardz00_8814); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8818)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1861z00_8819;
BgL_arg1861z00_8819 = 
(((long)1)+BgL_forwardz00_8814); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8820;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12398;
BgL_tmpz00_12398 = 
((obj_t)BgL_iportz00_8812); 
RGC_STOP_MATCH(BgL_tmpz00_12398, BgL_arg1861z00_8819); } 
BgL_newzd2matchzd2_8820 = ((long)33); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8820; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8813; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8744)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9614 = BgL_iportz00_8738; 
BgL_lastzd2matchzd2_9615 = BgL_lastzd2matchzd2_8739; 
BgL_forwardz00_9616 = 
(((long)1)+BgL_forwardz00_8740); 
BgL_bufposz00_9617 = BgL_bufposz00_8741; 
BgL_statezd294zd21123z00_8618:
if(
(BgL_forwardz00_9616==BgL_bufposz00_9617))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9614)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2761z00_9618; long BgL_arg2762z00_9619;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12410;
BgL_tmpz00_12410 = 
((obj_t)BgL_iportz00_9614); 
BgL_arg2761z00_9618 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12410); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12413;
BgL_tmpz00_12413 = 
((obj_t)BgL_iportz00_9614); 
BgL_arg2762z00_9619 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12413); } 
{ 
 long BgL_bufposz00_12417; long BgL_forwardz00_12416;
BgL_forwardz00_12416 = BgL_arg2761z00_9618; 
BgL_bufposz00_12417 = BgL_arg2762z00_9619; 
BgL_bufposz00_9617 = BgL_bufposz00_12417; 
BgL_forwardz00_9616 = BgL_forwardz00_12416; 
goto BgL_statezd294zd21123z00_8618;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9615; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9620;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12418;
BgL_tmpz00_12418 = 
((obj_t)BgL_iportz00_9614); 
BgL_curz00_9620 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12418, BgL_forwardz00_9616); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9620)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2764z00_9621;
BgL_arg2764z00_9621 = 
(((long)1)+BgL_forwardz00_9616); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9622;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12425;
BgL_tmpz00_12425 = 
((obj_t)BgL_iportz00_9614); 
RGC_STOP_MATCH(BgL_tmpz00_12425, BgL_arg2764z00_9621); } 
BgL_newzd2matchzd2_9622 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9622; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9615; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8744)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9568 = BgL_iportz00_8738; 
BgL_lastzd2matchzd2_9569 = BgL_lastzd2matchzd2_8739; 
BgL_forwardz00_9570 = 
(((long)1)+BgL_forwardz00_8740); 
BgL_bufposz00_9571 = BgL_bufposz00_8741; 
BgL_statezd293zd21122z00_8612:
if(
(BgL_forwardz00_9570==BgL_bufposz00_9571))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9568)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2702z00_9572; long BgL_arg2703z00_9573;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12437;
BgL_tmpz00_12437 = 
((obj_t)BgL_iportz00_9568); 
BgL_arg2702z00_9572 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12437); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12440;
BgL_tmpz00_12440 = 
((obj_t)BgL_iportz00_9568); 
BgL_arg2703z00_9573 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12440); } 
{ 
 long BgL_bufposz00_12444; long BgL_forwardz00_12443;
BgL_forwardz00_12443 = BgL_arg2702z00_9572; 
BgL_bufposz00_12444 = BgL_arg2703z00_9573; 
BgL_bufposz00_9571 = BgL_bufposz00_12444; 
BgL_forwardz00_9570 = BgL_forwardz00_12443; 
goto BgL_statezd293zd21122z00_8612;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9569; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9574;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12445;
BgL_tmpz00_12445 = 
((obj_t)BgL_iportz00_9568); 
BgL_curz00_9574 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12445, BgL_forwardz00_9570); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9574)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8663 = BgL_iportz00_9568; 
BgL_lastzd2matchzd2_8664 = BgL_lastzd2matchzd2_9569; 
BgL_forwardz00_8665 = 
(((long)1)+BgL_forwardz00_9570); 
BgL_bufposz00_8666 = BgL_bufposz00_9571; 
BgL_statezd2111zd21140z00_8508:
if(
(BgL_forwardz00_8665==BgL_bufposz00_8666))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8663)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1455z00_8667; long BgL_arg1456z00_8668;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12456;
BgL_tmpz00_12456 = 
((obj_t)BgL_iportz00_8663); 
BgL_arg1455z00_8667 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12456); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12459;
BgL_tmpz00_12459 = 
((obj_t)BgL_iportz00_8663); 
BgL_arg1456z00_8668 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12459); } 
{ 
 long BgL_bufposz00_12463; long BgL_forwardz00_12462;
BgL_forwardz00_12462 = BgL_arg1455z00_8667; 
BgL_bufposz00_12463 = BgL_arg1456z00_8668; 
BgL_bufposz00_8666 = BgL_bufposz00_12463; 
BgL_forwardz00_8665 = BgL_forwardz00_12462; 
goto BgL_statezd2111zd21140z00_8508;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8664; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8669;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12464;
BgL_tmpz00_12464 = 
((obj_t)BgL_iportz00_8663); 
BgL_curz00_8669 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12464, BgL_forwardz00_8665); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8669)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1535z00_8670;
BgL_arg1535z00_8670 = 
(((long)1)+BgL_forwardz00_8665); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8671;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12471;
BgL_tmpz00_12471 = 
((obj_t)BgL_iportz00_8663); 
RGC_STOP_MATCH(BgL_tmpz00_12471, BgL_arg1535z00_8670); } 
BgL_newzd2matchzd2_8671 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8671; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8664; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9574)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8690 = BgL_iportz00_9568; 
BgL_lastzd2matchzd2_8691 = BgL_lastzd2matchzd2_9569; 
BgL_forwardz00_8692 = 
(((long)1)+BgL_forwardz00_9570); 
BgL_bufposz00_8693 = BgL_bufposz00_9571; 
BgL_statezd2110zd21139z00_8511:
if(
(BgL_forwardz00_8692==BgL_bufposz00_8693))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8690)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1590z00_8694; long BgL_arg1591z00_8695;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12483;
BgL_tmpz00_12483 = 
((obj_t)BgL_iportz00_8690); 
BgL_arg1590z00_8694 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12483); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12486;
BgL_tmpz00_12486 = 
((obj_t)BgL_iportz00_8690); 
BgL_arg1591z00_8695 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12486); } 
{ 
 long BgL_bufposz00_12490; long BgL_forwardz00_12489;
BgL_forwardz00_12489 = BgL_arg1590z00_8694; 
BgL_bufposz00_12490 = BgL_arg1591z00_8695; 
BgL_bufposz00_8693 = BgL_bufposz00_12490; 
BgL_forwardz00_8692 = BgL_forwardz00_12489; 
goto BgL_statezd2110zd21139z00_8511;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8691; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8696;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12491;
BgL_tmpz00_12491 = 
((obj_t)BgL_iportz00_8690); 
BgL_curz00_8696 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12491, BgL_forwardz00_8692); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8696)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1594z00_8697;
BgL_arg1594z00_8697 = 
(((long)1)+BgL_forwardz00_8692); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8698;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12498;
BgL_tmpz00_12498 = 
((obj_t)BgL_iportz00_8690); 
RGC_STOP_MATCH(BgL_tmpz00_12498, BgL_arg1594z00_8697); } 
BgL_newzd2matchzd2_8698 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8698; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8691; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9569; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8744)==((long)85)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9508 = BgL_iportz00_8738; 
BgL_lastzd2matchzd2_9509 = BgL_lastzd2matchzd2_8739; 
BgL_forwardz00_9510 = 
(((long)1)+BgL_forwardz00_8740); 
BgL_bufposz00_9511 = BgL_bufposz00_8741; 
BgL_statezd292zd21121z00_8605:
if(
(BgL_forwardz00_9510==BgL_bufposz00_9511))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9508)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2641z00_9512; long BgL_arg2642z00_9513;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12511;
BgL_tmpz00_12511 = 
((obj_t)BgL_iportz00_9508); 
BgL_arg2641z00_9512 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12511); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12514;
BgL_tmpz00_12514 = 
((obj_t)BgL_iportz00_9508); 
BgL_arg2642z00_9513 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12514); } 
{ 
 long BgL_bufposz00_12518; long BgL_forwardz00_12517;
BgL_forwardz00_12517 = BgL_arg2641z00_9512; 
BgL_bufposz00_12518 = BgL_arg2642z00_9513; 
BgL_bufposz00_9511 = BgL_bufposz00_12518; 
BgL_forwardz00_9510 = BgL_forwardz00_12517; 
goto BgL_statezd292zd21121z00_8605;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9509; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9514;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12519;
BgL_tmpz00_12519 = 
((obj_t)BgL_iportz00_9508); 
BgL_curz00_9514 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12519, BgL_forwardz00_9510); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9514)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2644z00_9515;
BgL_arg2644z00_9515 = 
(((long)1)+BgL_forwardz00_9510); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9516;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12526;
BgL_tmpz00_12526 = 
((obj_t)BgL_iportz00_9508); 
RGC_STOP_MATCH(BgL_tmpz00_12526, BgL_arg2644z00_9515); } 
BgL_newzd2matchzd2_9516 = ((long)34); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9516; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9509; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8744)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9605 = BgL_iportz00_8738; 
BgL_lastzd2matchzd2_9606 = BgL_lastzd2matchzd2_8739; 
BgL_forwardz00_9607 = 
(((long)1)+BgL_forwardz00_8740); 
BgL_bufposz00_9608 = BgL_bufposz00_8741; 
BgL_statezd291zd21120z00_8617:
if(
(BgL_forwardz00_9607==BgL_bufposz00_9608))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9605)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2754z00_9609; long BgL_arg2755z00_9610;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12538;
BgL_tmpz00_12538 = 
((obj_t)BgL_iportz00_9605); 
BgL_arg2754z00_9609 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12538); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12541;
BgL_tmpz00_12541 = 
((obj_t)BgL_iportz00_9605); 
BgL_arg2755z00_9610 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12541); } 
{ 
 long BgL_bufposz00_12545; long BgL_forwardz00_12544;
BgL_forwardz00_12544 = BgL_arg2754z00_9609; 
BgL_bufposz00_12545 = BgL_arg2755z00_9610; 
BgL_bufposz00_9608 = BgL_bufposz00_12545; 
BgL_forwardz00_9607 = BgL_forwardz00_12544; 
goto BgL_statezd291zd21120z00_8617;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9606; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9611;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12546;
BgL_tmpz00_12546 = 
((obj_t)BgL_iportz00_9605); 
BgL_curz00_9611 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12546, BgL_forwardz00_9607); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9611)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2757z00_9612;
BgL_arg2757z00_9612 = 
(((long)1)+BgL_forwardz00_9607); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9613;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12553;
BgL_tmpz00_12553 = 
((obj_t)BgL_iportz00_9605); 
RGC_STOP_MATCH(BgL_tmpz00_12553, BgL_arg2757z00_9612); } 
BgL_newzd2matchzd2_9613 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9613; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9606; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8739; } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8700; } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8641; } } } } break;case ((long)92) : 

BgL_iportz00_9160 = BgL_iportz00_8899; 
BgL_lastzd2matchzd2_9161 = BgL_lastzd2matchzd2_8900; 
BgL_forwardz00_9162 = 
(((long)1)+BgL_forwardz00_8901); 
BgL_bufposz00_9163 = BgL_bufposz00_8902; 
BgL_statezd211zd21040z00_8566:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9164;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12560;
BgL_tmpz00_12560 = 
((obj_t)BgL_iportz00_9160); 
RGC_STOP_MATCH(BgL_tmpz00_12560, BgL_forwardz00_9162); } 
BgL_newzd2matchzd2_9164 = ((long)42); 
if(
(BgL_forwardz00_9162==BgL_bufposz00_9163))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9160)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2240z00_9165; long BgL_arg2241z00_9166;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12568;
BgL_tmpz00_12568 = 
((obj_t)BgL_iportz00_9160); 
BgL_arg2240z00_9165 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12568); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12571;
BgL_tmpz00_12571 = 
((obj_t)BgL_iportz00_9160); 
BgL_arg2241z00_9166 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12571); } 
{ 
 long BgL_bufposz00_12575; long BgL_forwardz00_12574;
BgL_forwardz00_12574 = BgL_arg2240z00_9165; 
BgL_bufposz00_12575 = BgL_arg2241z00_9166; 
BgL_bufposz00_9163 = BgL_bufposz00_12575; 
BgL_forwardz00_9162 = BgL_forwardz00_12574; 
goto BgL_statezd211zd21040z00_8566;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9164; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9167;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12576;
BgL_tmpz00_12576 = 
((obj_t)BgL_iportz00_9160); 
BgL_curz00_9167 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12576, BgL_forwardz00_9162); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9167)==((long)126)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9053 = BgL_iportz00_9160; 
BgL_lastzd2matchzd2_9054 = BgL_newzd2matchzd2_9164; 
BgL_forwardz00_9055 = 
(((long)1)+BgL_forwardz00_9162); 
BgL_bufposz00_9056 = BgL_bufposz00_9163; 
BgL_statezd2123zd21152z00_8554:
if(
(BgL_forwardz00_9055==BgL_bufposz00_9056))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9053)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2127z00_9057; long BgL_arg2128z00_9058;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12587;
BgL_tmpz00_12587 = 
((obj_t)BgL_iportz00_9053); 
BgL_arg2127z00_9057 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12587); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12590;
BgL_tmpz00_12590 = 
((obj_t)BgL_iportz00_9053); 
BgL_arg2128z00_9058 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12590); } 
{ 
 long BgL_bufposz00_12594; long BgL_forwardz00_12593;
BgL_forwardz00_12593 = BgL_arg2127z00_9057; 
BgL_bufposz00_12594 = BgL_arg2128z00_9058; 
BgL_bufposz00_9056 = BgL_bufposz00_12594; 
BgL_forwardz00_9055 = BgL_forwardz00_12593; 
goto BgL_statezd2123zd21152z00_8554;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9054; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9059;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12595;
BgL_tmpz00_12595 = 
((obj_t)BgL_iportz00_9053); 
BgL_curz00_9059 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12595, BgL_forwardz00_9055); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9059)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9060 = BgL_iportz00_9053; 
BgL_lastzd2matchzd2_9061 = BgL_lastzd2matchzd2_9054; 
BgL_forwardz00_9062 = 
(((long)1)+BgL_forwardz00_9055); 
BgL_bufposz00_9063 = BgL_bufposz00_9056; 
BgL_statezd2124zd21153z00_8555:
if(
(BgL_forwardz00_9062==BgL_bufposz00_9063))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9060)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2134z00_9064; long BgL_arg2135z00_9065;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12606;
BgL_tmpz00_12606 = 
((obj_t)BgL_iportz00_9060); 
BgL_arg2134z00_9064 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12606); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12609;
BgL_tmpz00_12609 = 
((obj_t)BgL_iportz00_9060); 
BgL_arg2135z00_9065 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12609); } 
{ 
 long BgL_bufposz00_12613; long BgL_forwardz00_12612;
BgL_forwardz00_12612 = BgL_arg2134z00_9064; 
BgL_bufposz00_12613 = BgL_arg2135z00_9065; 
BgL_bufposz00_9063 = BgL_bufposz00_12613; 
BgL_forwardz00_9062 = BgL_forwardz00_12612; 
goto BgL_statezd2124zd21153z00_8555;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9061; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9066;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12614;
BgL_tmpz00_12614 = 
((obj_t)BgL_iportz00_9060); 
BgL_curz00_9066 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12614, BgL_forwardz00_9062); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9066)==((long)110)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9076 = BgL_iportz00_9060; 
BgL_lastzd2matchzd2_9077 = BgL_lastzd2matchzd2_9061; 
BgL_forwardz00_9078 = 
(((long)1)+BgL_forwardz00_9062); 
BgL_bufposz00_9079 = BgL_bufposz00_9063; 
BgL_statezd2126zd21155z00_8557:
if(
(BgL_forwardz00_9078==BgL_bufposz00_9079))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9076)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2150z00_9080; long BgL_arg2151z00_9081;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12625;
BgL_tmpz00_12625 = 
((obj_t)BgL_iportz00_9076); 
BgL_arg2150z00_9080 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12625); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12628;
BgL_tmpz00_12628 = 
((obj_t)BgL_iportz00_9076); 
BgL_arg2151z00_9081 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12628); } 
{ 
 long BgL_bufposz00_12632; long BgL_forwardz00_12631;
BgL_forwardz00_12631 = BgL_arg2150z00_9080; 
BgL_bufposz00_12632 = BgL_arg2151z00_9081; 
BgL_bufposz00_9079 = BgL_bufposz00_12632; 
BgL_forwardz00_9078 = BgL_forwardz00_12631; 
goto BgL_statezd2126zd21155z00_8557;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9077; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9082;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12633;
BgL_tmpz00_12633 = 
((obj_t)BgL_iportz00_9076); 
BgL_curz00_9082 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12633, BgL_forwardz00_9078); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9082)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2153z00_9083;
BgL_arg2153z00_9083 = 
(((long)1)+BgL_forwardz00_9078); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9084;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12640;
BgL_tmpz00_12640 = 
((obj_t)BgL_iportz00_9076); 
RGC_STOP_MATCH(BgL_tmpz00_12640, BgL_arg2153z00_9083); } 
BgL_newzd2matchzd2_9084 = ((long)13); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9084; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9077; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9066)==((long)78)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9067 = BgL_iportz00_9060; 
BgL_lastzd2matchzd2_9068 = BgL_lastzd2matchzd2_9061; 
BgL_forwardz00_9069 = 
(((long)1)+BgL_forwardz00_9062); 
BgL_bufposz00_9070 = BgL_bufposz00_9063; 
BgL_statezd2125zd21154z00_8556:
if(
(BgL_forwardz00_9069==BgL_bufposz00_9070))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9067)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2143z00_9071; long BgL_arg2144z00_9072;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12652;
BgL_tmpz00_12652 = 
((obj_t)BgL_iportz00_9067); 
BgL_arg2143z00_9071 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12652); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12655;
BgL_tmpz00_12655 = 
((obj_t)BgL_iportz00_9067); 
BgL_arg2144z00_9072 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12655); } 
{ 
 long BgL_bufposz00_12659; long BgL_forwardz00_12658;
BgL_forwardz00_12658 = BgL_arg2143z00_9071; 
BgL_bufposz00_12659 = BgL_arg2144z00_9072; 
BgL_bufposz00_9070 = BgL_bufposz00_12659; 
BgL_forwardz00_9069 = BgL_forwardz00_12658; 
goto BgL_statezd2125zd21154z00_8556;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9068; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9073;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12660;
BgL_tmpz00_12660 = 
((obj_t)BgL_iportz00_9067); 
BgL_curz00_9073 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12660, BgL_forwardz00_9069); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9073)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2146z00_9074;
BgL_arg2146z00_9074 = 
(((long)1)+BgL_forwardz00_9069); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9075;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12667;
BgL_tmpz00_12667 = 
((obj_t)BgL_iportz00_9067); 
RGC_STOP_MATCH(BgL_tmpz00_12667, BgL_arg2146z00_9074); } 
BgL_newzd2matchzd2_9075 = ((long)14); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9075; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9068; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9061; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9054; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9167)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8821 = BgL_iportz00_9160; 
BgL_lastzd2matchzd2_8822 = BgL_newzd2matchzd2_9164; 
BgL_forwardz00_8823 = 
(((long)1)+BgL_forwardz00_9162); 
BgL_bufposz00_8824 = BgL_bufposz00_9163; 
BgL_statezd2122zd21151z00_8526:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8825;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12676;
BgL_tmpz00_12676 = 
((obj_t)BgL_iportz00_8821); 
RGC_STOP_MATCH(BgL_tmpz00_12676, BgL_forwardz00_8823); } 
BgL_newzd2matchzd2_8825 = ((long)11); 
if(
(BgL_forwardz00_8823==BgL_bufposz00_8824))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8821)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1866z00_8826; long BgL_arg1868z00_8827;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12684;
BgL_tmpz00_12684 = 
((obj_t)BgL_iportz00_8821); 
BgL_arg1866z00_8826 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12684); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12687;
BgL_tmpz00_12687 = 
((obj_t)BgL_iportz00_8821); 
BgL_arg1868z00_8827 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12687); } 
{ 
 long BgL_bufposz00_12691; long BgL_forwardz00_12690;
BgL_forwardz00_12690 = BgL_arg1866z00_8826; 
BgL_bufposz00_12691 = BgL_arg1868z00_8827; 
BgL_bufposz00_8824 = BgL_bufposz00_12691; 
BgL_forwardz00_8823 = BgL_forwardz00_12690; 
goto BgL_statezd2122zd21151z00_8526;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8825; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8828;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12692;
BgL_tmpz00_12692 = 
((obj_t)BgL_iportz00_8821); 
BgL_curz00_8828 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12692, BgL_forwardz00_8823); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4460z00_12695;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4461z00_12696;
if(
(
(long)(BgL_curz00_8828)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4461z00_12696 = 
(
(long)(BgL_curz00_8828)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4461z00_12696 = ((bool_t)0)
; } 
if(BgL_test4461z00_12696)
{ /* Llib/bibtex.scm 103 */
BgL_test4460z00_12695 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4463z00_12702;
if(
(
(long)(BgL_curz00_8828)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4463z00_12702 = 
(
(long)(BgL_curz00_8828)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4463z00_12702 = ((bool_t)0)
; } 
if(BgL_test4463z00_12702)
{ /* Llib/bibtex.scm 103 */
BgL_test4460z00_12695 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8828)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4460z00_12695 = 
(
(long)(BgL_curz00_8828)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4460z00_12695 = ((bool_t)0)
; } } } } 
if(BgL_test4460z00_12695)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9152 = BgL_iportz00_8821; 
BgL_lastzd2matchzd2_9153 = BgL_newzd2matchzd2_8825; 
BgL_forwardz00_9154 = 
(((long)1)+BgL_forwardz00_8823); 
BgL_bufposz00_9155 = BgL_bufposz00_8824; 
BgL_statezd2114zd21143z00_8565:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9156;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12713;
BgL_tmpz00_12713 = 
((obj_t)BgL_iportz00_9152); 
RGC_STOP_MATCH(BgL_tmpz00_12713, BgL_forwardz00_9154); } 
BgL_newzd2matchzd2_9156 = ((long)37); 
if(
(BgL_forwardz00_9154==BgL_bufposz00_9155))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9152)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2229z00_9157; long BgL_arg2230z00_9158;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12721;
BgL_tmpz00_12721 = 
((obj_t)BgL_iportz00_9152); 
BgL_arg2229z00_9157 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12721); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12724;
BgL_tmpz00_12724 = 
((obj_t)BgL_iportz00_9152); 
BgL_arg2230z00_9158 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12724); } 
{ 
 long BgL_bufposz00_12728; long BgL_forwardz00_12727;
BgL_forwardz00_12727 = BgL_arg2229z00_9157; 
BgL_bufposz00_12728 = BgL_arg2230z00_9158; 
BgL_bufposz00_9155 = BgL_bufposz00_12728; 
BgL_forwardz00_9154 = BgL_forwardz00_12727; 
goto BgL_statezd2114zd21143z00_8565;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9156; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9159;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12729;
BgL_tmpz00_12729 = 
((obj_t)BgL_iportz00_9152); 
BgL_curz00_9159 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12729, BgL_forwardz00_9154); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4468z00_12732;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4469z00_12733;
if(
(
(long)(BgL_curz00_9159)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4469z00_12733 = 
(
(long)(BgL_curz00_9159)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4469z00_12733 = ((bool_t)0)
; } 
if(BgL_test4469z00_12733)
{ /* Llib/bibtex.scm 103 */
BgL_test4468z00_12732 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4471z00_12739;
if(
(
(long)(BgL_curz00_9159)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4471z00_12739 = 
(
(long)(BgL_curz00_9159)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4471z00_12739 = ((bool_t)0)
; } 
if(BgL_test4471z00_12739)
{ /* Llib/bibtex.scm 103 */
BgL_test4468z00_12732 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9159)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4468z00_12732 = 
(
(long)(BgL_curz00_9159)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4468z00_12732 = ((bool_t)0)
; } } } } 
if(BgL_test4468z00_12732)
{ 
 long BgL_forwardz00_12751; long BgL_lastzd2matchzd2_12750;
BgL_lastzd2matchzd2_12750 = BgL_newzd2matchzd2_9156; 
BgL_forwardz00_12751 = 
(((long)1)+BgL_forwardz00_9154); 
BgL_forwardz00_9154 = BgL_forwardz00_12751; 
BgL_lastzd2matchzd2_9153 = BgL_lastzd2matchzd2_12750; 
goto BgL_statezd2114zd21143z00_8565;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9156; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8825; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9167)==((long)96)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9407 = BgL_iportz00_9160; 
BgL_lastzd2matchzd2_9408 = BgL_newzd2matchzd2_9164; 
BgL_forwardz00_9409 = 
(((long)1)+BgL_forwardz00_9162); 
BgL_bufposz00_9410 = BgL_bufposz00_9163; 
BgL_statezd2121zd21150z00_8594:
if(
(BgL_forwardz00_9409==BgL_bufposz00_9410))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9407)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2526z00_9411; long BgL_arg2527z00_9412;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12763;
BgL_tmpz00_12763 = 
((obj_t)BgL_iportz00_9407); 
BgL_arg2526z00_9411 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12763); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12766;
BgL_tmpz00_12766 = 
((obj_t)BgL_iportz00_9407); 
BgL_arg2527z00_9412 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12766); } 
{ 
 long BgL_bufposz00_12770; long BgL_forwardz00_12769;
BgL_forwardz00_12769 = BgL_arg2526z00_9411; 
BgL_bufposz00_12770 = BgL_arg2527z00_9412; 
BgL_bufposz00_9410 = BgL_bufposz00_12770; 
BgL_forwardz00_9409 = BgL_forwardz00_12769; 
goto BgL_statezd2121zd21150z00_8594;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9408; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9413;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12771;
BgL_tmpz00_12771 = 
((obj_t)BgL_iportz00_9407); 
BgL_curz00_9413 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12771, BgL_forwardz00_9409); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9413)==((long)117)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2529z00_9414;
BgL_arg2529z00_9414 = 
(((long)1)+BgL_forwardz00_9409); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9415;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12778;
BgL_tmpz00_12778 = 
((obj_t)BgL_iportz00_9407); 
RGC_STOP_MATCH(BgL_tmpz00_12778, BgL_arg2529z00_9414); } 
BgL_newzd2matchzd2_9415 = ((long)35); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9415; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9413)==((long)101)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2531z00_9416;
BgL_arg2531z00_9416 = 
(((long)1)+BgL_forwardz00_9409); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9417;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12785;
BgL_tmpz00_12785 = 
((obj_t)BgL_iportz00_9407); 
RGC_STOP_MATCH(BgL_tmpz00_12785, BgL_arg2531z00_9416); } 
BgL_newzd2matchzd2_9417 = ((long)19); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9417; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9413)==((long)97)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2533z00_9418;
BgL_arg2533z00_9418 = 
(((long)1)+BgL_forwardz00_9409); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9419;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12792;
BgL_tmpz00_12792 = 
((obj_t)BgL_iportz00_9407); 
RGC_STOP_MATCH(BgL_tmpz00_12792, BgL_arg2533z00_9418); } 
BgL_newzd2matchzd2_9419 = ((long)23); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9419; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9413)==((long)85)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2535z00_9420;
BgL_arg2535z00_9420 = 
(((long)1)+BgL_forwardz00_9409); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9421;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12799;
BgL_tmpz00_12799 = 
((obj_t)BgL_iportz00_9407); 
RGC_STOP_MATCH(BgL_tmpz00_12799, BgL_arg2535z00_9420); } 
BgL_newzd2matchzd2_9421 = ((long)36); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9421; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9413)==((long)69)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2537z00_9422;
BgL_arg2537z00_9422 = 
(((long)1)+BgL_forwardz00_9409); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9423;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12806;
BgL_tmpz00_12806 = 
((obj_t)BgL_iportz00_9407); 
RGC_STOP_MATCH(BgL_tmpz00_12806, BgL_arg2537z00_9422); } 
BgL_newzd2matchzd2_9423 = ((long)20); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9423; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9413)==((long)65)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2539z00_9424;
BgL_arg2539z00_9424 = 
(((long)1)+BgL_forwardz00_9409); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9425;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12813;
BgL_tmpz00_12813 = 
((obj_t)BgL_iportz00_9407); 
RGC_STOP_MATCH(BgL_tmpz00_12813, BgL_arg2539z00_9424); } 
BgL_newzd2matchzd2_9425 = ((long)25); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9425; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9408; } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9167)==((long)95)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8745 = BgL_iportz00_9160; 
BgL_lastzd2matchzd2_8746 = BgL_newzd2matchzd2_9164; 
BgL_forwardz00_8747 = 
(((long)1)+BgL_forwardz00_9162); 
BgL_bufposz00_8748 = BgL_bufposz00_9163; 
BgL_statezd2120zd21149z00_8517:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8749;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12820;
BgL_tmpz00_12820 = 
((obj_t)BgL_iportz00_8745); 
RGC_STOP_MATCH(BgL_tmpz00_12820, BgL_forwardz00_8747); } 
BgL_newzd2matchzd2_8749 = ((long)7); 
if(
(BgL_forwardz00_8747==BgL_bufposz00_8748))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8745)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1767z00_8750; long BgL_arg1770z00_8751;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12828;
BgL_tmpz00_12828 = 
((obj_t)BgL_iportz00_8745); 
BgL_arg1767z00_8750 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12828); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12831;
BgL_tmpz00_12831 = 
((obj_t)BgL_iportz00_8745); 
BgL_arg1770z00_8751 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12831); } 
{ 
 long BgL_bufposz00_12835; long BgL_forwardz00_12834;
BgL_forwardz00_12834 = BgL_arg1767z00_8750; 
BgL_bufposz00_12835 = BgL_arg1770z00_8751; 
BgL_bufposz00_8748 = BgL_bufposz00_12835; 
BgL_forwardz00_8747 = BgL_forwardz00_12834; 
goto BgL_statezd2120zd21149z00_8517;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8749; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8752;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12836;
BgL_tmpz00_12836 = 
((obj_t)BgL_iportz00_8745); 
BgL_curz00_8752 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12836, BgL_forwardz00_8747); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4486z00_12839;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4487z00_12840;
if(
(
(long)(BgL_curz00_8752)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4487z00_12840 = 
(
(long)(BgL_curz00_8752)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4487z00_12840 = ((bool_t)0)
; } 
if(BgL_test4487z00_12840)
{ /* Llib/bibtex.scm 103 */
BgL_test4486z00_12839 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4489z00_12846;
if(
(
(long)(BgL_curz00_8752)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4489z00_12846 = 
(
(long)(BgL_curz00_8752)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4489z00_12846 = ((bool_t)0)
; } 
if(BgL_test4489z00_12846)
{ /* Llib/bibtex.scm 103 */
BgL_test4486z00_12839 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8752)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4486z00_12839 = 
(
(long)(BgL_curz00_8752)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4486z00_12839 = ((bool_t)0)
; } } } } 
if(BgL_test4486z00_12839)
{ 
 long BgL_bufposz00_12861; long BgL_forwardz00_12859; long BgL_lastzd2matchzd2_12858; obj_t BgL_iportz00_12857;
BgL_iportz00_12857 = BgL_iportz00_8745; 
BgL_lastzd2matchzd2_12858 = BgL_newzd2matchzd2_8749; 
BgL_forwardz00_12859 = 
(((long)1)+BgL_forwardz00_8747); 
BgL_bufposz00_12861 = BgL_bufposz00_8748; 
BgL_bufposz00_9155 = BgL_bufposz00_12861; 
BgL_forwardz00_9154 = BgL_forwardz00_12859; 
BgL_lastzd2matchzd2_9153 = BgL_lastzd2matchzd2_12858; 
BgL_iportz00_9152 = BgL_iportz00_12857; 
goto BgL_statezd2114zd21143z00_8565;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8749; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9167)==((long)94)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9112 = BgL_iportz00_9160; 
BgL_lastzd2matchzd2_9113 = BgL_newzd2matchzd2_9164; 
BgL_forwardz00_9114 = 
(((long)1)+BgL_forwardz00_9162); 
BgL_bufposz00_9115 = BgL_bufposz00_9163; 
BgL_statezd2119zd21148z00_8561:
if(
(BgL_forwardz00_9114==BgL_bufposz00_9115))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9112)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2178z00_9116; long BgL_arg2179z00_9117;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12871;
BgL_tmpz00_12871 = 
((obj_t)BgL_iportz00_9112); 
BgL_arg2178z00_9116 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12871); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12874;
BgL_tmpz00_12874 = 
((obj_t)BgL_iportz00_9112); 
BgL_arg2179z00_9117 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12874); } 
{ 
 long BgL_bufposz00_12878; long BgL_forwardz00_12877;
BgL_forwardz00_12877 = BgL_arg2178z00_9116; 
BgL_bufposz00_12878 = BgL_arg2179z00_9117; 
BgL_bufposz00_9115 = BgL_bufposz00_12878; 
BgL_forwardz00_9114 = BgL_forwardz00_12877; 
goto BgL_statezd2119zd21148z00_8561;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9113; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9118;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12879;
BgL_tmpz00_12879 = 
((obj_t)BgL_iportz00_9112); 
BgL_curz00_9118 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12879, BgL_forwardz00_9114); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9118)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8844 = BgL_iportz00_9112; 
BgL_lastzd2matchzd2_8845 = BgL_lastzd2matchzd2_9113; 
BgL_forwardz00_8846 = 
(((long)1)+BgL_forwardz00_9114); 
BgL_bufposz00_8847 = BgL_bufposz00_9115; 
BgL_statezd2127zd21156z00_8529:
if(
(BgL_forwardz00_8846==BgL_bufposz00_8847))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8844)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1900z00_8848; long BgL_arg1901z00_8849;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12890;
BgL_tmpz00_12890 = 
((obj_t)BgL_iportz00_8844); 
BgL_arg1900z00_8848 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12890); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12893;
BgL_tmpz00_12893 = 
((obj_t)BgL_iportz00_8844); 
BgL_arg1901z00_8849 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12893); } 
{ 
 long BgL_bufposz00_12897; long BgL_forwardz00_12896;
BgL_forwardz00_12896 = BgL_arg1900z00_8848; 
BgL_bufposz00_12897 = BgL_arg1901z00_8849; 
BgL_bufposz00_8847 = BgL_bufposz00_12897; 
BgL_forwardz00_8846 = BgL_forwardz00_12896; 
goto BgL_statezd2127zd21156z00_8529;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8845; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8850;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12898;
BgL_tmpz00_12898 = 
((obj_t)BgL_iportz00_8844); 
BgL_curz00_8850 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12898, BgL_forwardz00_8846); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8850)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9085 = BgL_iportz00_8844; 
BgL_lastzd2matchzd2_9086 = BgL_lastzd2matchzd2_8845; 
BgL_forwardz00_9087 = 
(((long)1)+BgL_forwardz00_8846); 
BgL_bufposz00_9088 = BgL_bufposz00_8847; 
BgL_statezd2132zd21161z00_8558:
if(
(BgL_forwardz00_9087==BgL_bufposz00_9088))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9085)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2157z00_9089; long BgL_arg2158z00_9090;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12909;
BgL_tmpz00_12909 = 
((obj_t)BgL_iportz00_9085); 
BgL_arg2157z00_9089 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12909); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12912;
BgL_tmpz00_12912 = 
((obj_t)BgL_iportz00_9085); 
BgL_arg2158z00_9090 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12912); } 
{ 
 long BgL_bufposz00_12916; long BgL_forwardz00_12915;
BgL_forwardz00_12915 = BgL_arg2157z00_9089; 
BgL_bufposz00_12916 = BgL_arg2158z00_9090; 
BgL_bufposz00_9088 = BgL_bufposz00_12916; 
BgL_forwardz00_9087 = BgL_forwardz00_12915; 
goto BgL_statezd2132zd21161z00_8558;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9086; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9091;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12917;
BgL_tmpz00_12917 = 
((obj_t)BgL_iportz00_9085); 
BgL_curz00_9091 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12917, BgL_forwardz00_9087); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9091)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2160z00_9092;
BgL_arg2160z00_9092 = 
(((long)1)+BgL_forwardz00_9087); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9093;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12924;
BgL_tmpz00_12924 = 
((obj_t)BgL_iportz00_9085); 
RGC_STOP_MATCH(BgL_tmpz00_12924, BgL_arg2160z00_9092); } 
BgL_newzd2matchzd2_9093 = ((long)15); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9093; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9086; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8850)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9444 = BgL_iportz00_8844; 
BgL_lastzd2matchzd2_9445 = BgL_lastzd2matchzd2_8845; 
BgL_forwardz00_9446 = 
(((long)1)+BgL_forwardz00_8846); 
BgL_bufposz00_9447 = BgL_bufposz00_8847; 
BgL_statezd2131zd21160z00_8597:
if(
(BgL_forwardz00_9446==BgL_bufposz00_9447))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9444)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2558z00_9448; long BgL_arg2559z00_9449;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12936;
BgL_tmpz00_12936 = 
((obj_t)BgL_iportz00_9444); 
BgL_arg2558z00_9448 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12936); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12939;
BgL_tmpz00_12939 = 
((obj_t)BgL_iportz00_9444); 
BgL_arg2559z00_9449 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12939); } 
{ 
 long BgL_bufposz00_12943; long BgL_forwardz00_12942;
BgL_forwardz00_12942 = BgL_arg2558z00_9448; 
BgL_bufposz00_12943 = BgL_arg2559z00_9449; 
BgL_bufposz00_9447 = BgL_bufposz00_12943; 
BgL_forwardz00_9446 = BgL_forwardz00_12942; 
goto BgL_statezd2131zd21160z00_8597;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9445; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9450;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12944;
BgL_tmpz00_12944 = 
((obj_t)BgL_iportz00_9444); 
BgL_curz00_9450 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12944, BgL_forwardz00_9446); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9450)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2561z00_9451;
BgL_arg2561z00_9451 = 
(((long)1)+BgL_forwardz00_9446); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9452;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12951;
BgL_tmpz00_12951 = 
((obj_t)BgL_iportz00_9444); 
RGC_STOP_MATCH(BgL_tmpz00_12951, BgL_arg2561z00_9451); } 
BgL_newzd2matchzd2_9452 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9452; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9445; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8850)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9590 = BgL_iportz00_8844; 
BgL_lastzd2matchzd2_9591 = BgL_lastzd2matchzd2_8845; 
BgL_forwardz00_9592 = 
(((long)1)+BgL_forwardz00_8846); 
BgL_bufposz00_9593 = BgL_bufposz00_8847; 
BgL_statezd2130zd21159z00_8615:
if(
(BgL_forwardz00_9592==BgL_bufposz00_9593))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9590)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2733z00_9594; long BgL_arg2734z00_9595;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12963;
BgL_tmpz00_12963 = 
((obj_t)BgL_iportz00_9590); 
BgL_arg2733z00_9594 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12963); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12966;
BgL_tmpz00_12966 = 
((obj_t)BgL_iportz00_9590); 
BgL_arg2734z00_9595 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12966); } 
{ 
 long BgL_bufposz00_12970; long BgL_forwardz00_12969;
BgL_forwardz00_12969 = BgL_arg2733z00_9594; 
BgL_bufposz00_12970 = BgL_arg2734z00_9595; 
BgL_bufposz00_9593 = BgL_bufposz00_12970; 
BgL_forwardz00_9592 = BgL_forwardz00_12969; 
goto BgL_statezd2130zd21159z00_8615;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9591; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9596;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12971;
BgL_tmpz00_12971 = 
((obj_t)BgL_iportz00_9590); 
BgL_curz00_9596 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12971, BgL_forwardz00_9592); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9596)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9324 = BgL_iportz00_9590; 
BgL_lastzd2matchzd2_9325 = BgL_lastzd2matchzd2_9591; 
BgL_forwardz00_9326 = 
(((long)1)+BgL_forwardz00_9592); 
BgL_bufposz00_9327 = BgL_bufposz00_9593; 
BgL_statezd2134zd21163z00_8584:
if(
(BgL_forwardz00_9326==BgL_bufposz00_9327))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9324)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2435z00_9328; long BgL_arg2436z00_9329;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12982;
BgL_tmpz00_12982 = 
((obj_t)BgL_iportz00_9324); 
BgL_arg2435z00_9328 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12982); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12985;
BgL_tmpz00_12985 = 
((obj_t)BgL_iportz00_9324); 
BgL_arg2436z00_9329 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12985); } 
{ 
 long BgL_bufposz00_12989; long BgL_forwardz00_12988;
BgL_forwardz00_12988 = BgL_arg2435z00_9328; 
BgL_bufposz00_12989 = BgL_arg2436z00_9329; 
BgL_bufposz00_9327 = BgL_bufposz00_12989; 
BgL_forwardz00_9326 = BgL_forwardz00_12988; 
goto BgL_statezd2134zd21163z00_8584;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9325; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9330;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12990;
BgL_tmpz00_12990 = 
((obj_t)BgL_iportz00_9324); 
BgL_curz00_9330 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12990, BgL_forwardz00_9326); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9330)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2438z00_9331;
BgL_arg2438z00_9331 = 
(((long)1)+BgL_forwardz00_9326); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9332;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12997;
BgL_tmpz00_12997 = 
((obj_t)BgL_iportz00_9324); 
RGC_STOP_MATCH(BgL_tmpz00_12997, BgL_arg2438z00_9331); } 
BgL_newzd2matchzd2_9332 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9332; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9325; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9596)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9453 = BgL_iportz00_9590; 
BgL_lastzd2matchzd2_9454 = BgL_lastzd2matchzd2_9591; 
BgL_forwardz00_9455 = 
(((long)1)+BgL_forwardz00_9592); 
BgL_bufposz00_9456 = BgL_bufposz00_9593; 
BgL_statezd2133zd21162z00_8598:
if(
(BgL_forwardz00_9455==BgL_bufposz00_9456))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9453)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2565z00_9457; long BgL_arg2566z00_9458;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13009;
BgL_tmpz00_13009 = 
((obj_t)BgL_iportz00_9453); 
BgL_arg2565z00_9457 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13009); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13012;
BgL_tmpz00_13012 = 
((obj_t)BgL_iportz00_9453); 
BgL_arg2566z00_9458 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13012); } 
{ 
 long BgL_bufposz00_13016; long BgL_forwardz00_13015;
BgL_forwardz00_13015 = BgL_arg2565z00_9457; 
BgL_bufposz00_13016 = BgL_arg2566z00_9458; 
BgL_bufposz00_9456 = BgL_bufposz00_13016; 
BgL_forwardz00_9455 = BgL_forwardz00_13015; 
goto BgL_statezd2133zd21162z00_8598;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9454; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9459;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13017;
BgL_tmpz00_13017 = 
((obj_t)BgL_iportz00_9453); 
BgL_curz00_9459 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13017, BgL_forwardz00_9455); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9459)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2568z00_9460;
BgL_arg2568z00_9460 = 
(((long)1)+BgL_forwardz00_9455); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9461;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13024;
BgL_tmpz00_13024 = 
((obj_t)BgL_iportz00_9453); 
RGC_STOP_MATCH(BgL_tmpz00_13024, BgL_arg2568z00_9460); } 
BgL_newzd2matchzd2_9461 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9461; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9454; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9591; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8850)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9517 = BgL_iportz00_8844; 
BgL_lastzd2matchzd2_9518 = BgL_lastzd2matchzd2_8845; 
BgL_forwardz00_9519 = 
(((long)1)+BgL_forwardz00_8846); 
BgL_bufposz00_9520 = BgL_bufposz00_8847; 
BgL_statezd2129zd21158z00_8606:
if(
(BgL_forwardz00_9519==BgL_bufposz00_9520))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9517)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2649z00_9521; long BgL_arg2650z00_9522;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13037;
BgL_tmpz00_13037 = 
((obj_t)BgL_iportz00_9517); 
BgL_arg2649z00_9521 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13037); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13040;
BgL_tmpz00_13040 = 
((obj_t)BgL_iportz00_9517); 
BgL_arg2650z00_9522 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13040); } 
{ 
 long BgL_bufposz00_13044; long BgL_forwardz00_13043;
BgL_forwardz00_13043 = BgL_arg2649z00_9521; 
BgL_bufposz00_13044 = BgL_arg2650z00_9522; 
BgL_bufposz00_9520 = BgL_bufposz00_13044; 
BgL_forwardz00_9519 = BgL_forwardz00_13043; 
goto BgL_statezd2129zd21158z00_8606;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9518; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9523;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13045;
BgL_tmpz00_13045 = 
((obj_t)BgL_iportz00_9517); 
BgL_curz00_9523 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13045, BgL_forwardz00_9519); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9523)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2652z00_9524;
BgL_arg2652z00_9524 = 
(((long)1)+BgL_forwardz00_9519); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9525;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13052;
BgL_tmpz00_13052 = 
((obj_t)BgL_iportz00_9517); 
RGC_STOP_MATCH(BgL_tmpz00_13052, BgL_arg2652z00_9524); } 
BgL_newzd2matchzd2_9525 = ((long)16); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9525; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9518; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8850)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8890 = BgL_iportz00_8844; 
BgL_lastzd2matchzd2_8891 = BgL_lastzd2matchzd2_8845; 
BgL_forwardz00_8892 = 
(((long)1)+BgL_forwardz00_8846); 
BgL_bufposz00_8893 = BgL_bufposz00_8847; 
BgL_statezd2128zd21157z00_8535:
if(
(BgL_forwardz00_8892==BgL_bufposz00_8893))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8890)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1952z00_8894; long BgL_arg1953z00_8895;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13064;
BgL_tmpz00_13064 = 
((obj_t)BgL_iportz00_8890); 
BgL_arg1952z00_8894 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13064); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13067;
BgL_tmpz00_13067 = 
((obj_t)BgL_iportz00_8890); 
BgL_arg1953z00_8895 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13067); } 
{ 
 long BgL_bufposz00_13071; long BgL_forwardz00_13070;
BgL_forwardz00_13070 = BgL_arg1952z00_8894; 
BgL_bufposz00_13071 = BgL_arg1953z00_8895; 
BgL_bufposz00_8893 = BgL_bufposz00_13071; 
BgL_forwardz00_8892 = BgL_forwardz00_13070; 
goto BgL_statezd2128zd21157z00_8535;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8891; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8896;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13072;
BgL_tmpz00_13072 = 
((obj_t)BgL_iportz00_8890); 
BgL_curz00_8896 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13072, BgL_forwardz00_8892); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8896)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1955z00_8897;
BgL_arg1955z00_8897 = 
(((long)1)+BgL_forwardz00_8892); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8898;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13079;
BgL_tmpz00_13079 = 
((obj_t)BgL_iportz00_8890); 
RGC_STOP_MATCH(BgL_tmpz00_13079, BgL_arg1955z00_8897); } 
BgL_newzd2matchzd2_8898 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8898; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8891; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8845; } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9118)==((long)105)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2183z00_9119;
BgL_arg2183z00_9119 = 
(((long)1)+BgL_forwardz00_9114); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9120;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13088;
BgL_tmpz00_13088 = 
((obj_t)BgL_iportz00_9112); 
RGC_STOP_MATCH(BgL_tmpz00_13088, BgL_arg2183z00_9119); } 
BgL_newzd2matchzd2_9120 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9120; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9118)==((long)101)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2185z00_9121;
BgL_arg2185z00_9121 = 
(((long)1)+BgL_forwardz00_9114); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9122;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13095;
BgL_tmpz00_13095 = 
((obj_t)BgL_iportz00_9112); 
RGC_STOP_MATCH(BgL_tmpz00_13095, BgL_arg2185z00_9121); } 
BgL_newzd2matchzd2_9122 = ((long)21); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9122; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9118)==((long)73)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2187z00_9123;
BgL_arg2187z00_9123 = 
(((long)1)+BgL_forwardz00_9114); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9124;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13102;
BgL_tmpz00_13102 = 
((obj_t)BgL_iportz00_9112); 
RGC_STOP_MATCH(BgL_tmpz00_13102, BgL_arg2187z00_9123); } 
BgL_newzd2matchzd2_9124 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9124; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9118)==((long)69)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2189z00_9125;
BgL_arg2189z00_9125 = 
(((long)1)+BgL_forwardz00_9114); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9126;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13109;
BgL_tmpz00_13109 = 
((obj_t)BgL_iportz00_9112); 
RGC_STOP_MATCH(BgL_tmpz00_13109, BgL_arg2189z00_9125); } 
BgL_newzd2matchzd2_9126 = ((long)22); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9126; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9113; } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9167)==((long)92)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2253z00_9168;
BgL_arg2253z00_9168 = 
(((long)1)+BgL_forwardz00_9162); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9169;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13117;
BgL_tmpz00_13117 = 
((obj_t)BgL_iportz00_9160); 
RGC_STOP_MATCH(BgL_tmpz00_13117, BgL_arg2253z00_9168); } 
BgL_newzd2matchzd2_9169 = ((long)7); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9169; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9167)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9476 = BgL_iportz00_9160; 
BgL_lastzd2matchzd2_9477 = BgL_newzd2matchzd2_9164; 
BgL_forwardz00_9478 = 
(((long)1)+BgL_forwardz00_9162); 
BgL_bufposz00_9479 = BgL_bufposz00_9163; 
BgL_statezd2117zd21146z00_8601:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9480;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13123;
BgL_tmpz00_13123 = 
((obj_t)BgL_iportz00_9476); 
RGC_STOP_MATCH(BgL_tmpz00_13123, BgL_forwardz00_9478); } 
BgL_newzd2matchzd2_9480 = ((long)12); 
if(
(BgL_forwardz00_9478==BgL_bufposz00_9479))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9476)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2594z00_9481; long BgL_arg2595z00_9482;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13131;
BgL_tmpz00_13131 = 
((obj_t)BgL_iportz00_9476); 
BgL_arg2594z00_9481 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13131); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13134;
BgL_tmpz00_13134 = 
((obj_t)BgL_iportz00_9476); 
BgL_arg2595z00_9482 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13134); } 
{ 
 long BgL_bufposz00_13138; long BgL_forwardz00_13137;
BgL_forwardz00_13137 = BgL_arg2594z00_9481; 
BgL_bufposz00_13138 = BgL_arg2595z00_9482; 
BgL_bufposz00_9479 = BgL_bufposz00_13138; 
BgL_forwardz00_9478 = BgL_forwardz00_13137; 
goto BgL_statezd2117zd21146z00_8601;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9480; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9483;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13139;
BgL_tmpz00_13139 = 
((obj_t)BgL_iportz00_9476); 
BgL_curz00_9483 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13139, BgL_forwardz00_9478); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4533z00_13142;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4534z00_13143;
if(
(
(long)(BgL_curz00_9483)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4534z00_13143 = 
(
(long)(BgL_curz00_9483)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4534z00_13143 = ((bool_t)0)
; } 
if(BgL_test4534z00_13143)
{ /* Llib/bibtex.scm 103 */
BgL_test4533z00_13142 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4536z00_13149;
if(
(
(long)(BgL_curz00_9483)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4536z00_13149 = 
(
(long)(BgL_curz00_9483)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4536z00_13149 = ((bool_t)0)
; } 
if(BgL_test4536z00_13149)
{ /* Llib/bibtex.scm 103 */
BgL_test4533z00_13142 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9483)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4533z00_13142 = 
(
(long)(BgL_curz00_9483)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4533z00_13142 = ((bool_t)0)
; } } } } 
if(BgL_test4533z00_13142)
{ 
 long BgL_bufposz00_13164; long BgL_forwardz00_13162; long BgL_lastzd2matchzd2_13161; obj_t BgL_iportz00_13160;
BgL_iportz00_13160 = BgL_iportz00_9476; 
BgL_lastzd2matchzd2_13161 = BgL_newzd2matchzd2_9480; 
BgL_forwardz00_13162 = 
(((long)1)+BgL_forwardz00_9478); 
BgL_bufposz00_13164 = BgL_bufposz00_9479; 
BgL_bufposz00_9155 = BgL_bufposz00_13164; 
BgL_forwardz00_9154 = BgL_forwardz00_13162; 
BgL_lastzd2matchzd2_9153 = BgL_lastzd2matchzd2_13161; 
BgL_iportz00_9152 = BgL_iportz00_13160; 
goto BgL_statezd2114zd21143z00_8565;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9480; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9167)==((long)45)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2257z00_9170;
BgL_arg2257z00_9170 = 
(((long)1)+BgL_forwardz00_9162); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9171;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13170;
BgL_tmpz00_13170 = 
((obj_t)BgL_iportz00_9160); 
RGC_STOP_MATCH(BgL_tmpz00_13170, BgL_arg2257z00_9170); } 
BgL_newzd2matchzd2_9171 = ((long)8); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9171; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9167)==((long)39)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9278 = BgL_iportz00_9160; 
BgL_lastzd2matchzd2_9279 = BgL_newzd2matchzd2_9164; 
BgL_forwardz00_9280 = 
(((long)1)+BgL_forwardz00_9162); 
BgL_bufposz00_9281 = BgL_bufposz00_9163; 
BgL_statezd2115zd21144z00_8580:
if(
(BgL_forwardz00_9280==BgL_bufposz00_9281))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9278)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2393z00_9282; long BgL_arg2394z00_9283;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13181;
BgL_tmpz00_13181 = 
((obj_t)BgL_iportz00_9278); 
BgL_arg2393z00_9282 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13181); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13184;
BgL_tmpz00_13184 = 
((obj_t)BgL_iportz00_9278); 
BgL_arg2394z00_9283 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13184); } 
{ 
 long BgL_bufposz00_13188; long BgL_forwardz00_13187;
BgL_forwardz00_13187 = BgL_arg2393z00_9282; 
BgL_bufposz00_13188 = BgL_arg2394z00_9283; 
BgL_bufposz00_9281 = BgL_bufposz00_13188; 
BgL_forwardz00_9280 = BgL_forwardz00_13187; 
goto BgL_statezd2115zd21144z00_8580;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9279; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9284;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13189;
BgL_tmpz00_13189 = 
((obj_t)BgL_iportz00_9278); 
BgL_curz00_9284 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13189, BgL_forwardz00_9280); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9284)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9561 = BgL_iportz00_9278; 
BgL_lastzd2matchzd2_9562 = BgL_lastzd2matchzd2_9279; 
BgL_forwardz00_9563 = 
(((long)1)+BgL_forwardz00_9280); 
BgL_bufposz00_9564 = BgL_bufposz00_9281; 
BgL_statezd2135zd21164z00_8611:
if(
(BgL_forwardz00_9563==BgL_bufposz00_9564))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9561)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2691z00_9565; long BgL_arg2692z00_9566;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13200;
BgL_tmpz00_13200 = 
((obj_t)BgL_iportz00_9561); 
BgL_arg2691z00_9565 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13200); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13203;
BgL_tmpz00_13203 = 
((obj_t)BgL_iportz00_9561); 
BgL_arg2692z00_9566 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13203); } 
{ 
 long BgL_bufposz00_13207; long BgL_forwardz00_13206;
BgL_forwardz00_13206 = BgL_arg2691z00_9565; 
BgL_bufposz00_13207 = BgL_arg2692z00_9566; 
BgL_bufposz00_9564 = BgL_bufposz00_13207; 
BgL_forwardz00_9563 = BgL_forwardz00_13206; 
goto BgL_statezd2135zd21164z00_8611;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9562; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9567;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13208;
BgL_tmpz00_13208 = 
((obj_t)BgL_iportz00_9561); 
BgL_curz00_9567 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13208, BgL_forwardz00_9563); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9567)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9239 = BgL_iportz00_9561; 
BgL_lastzd2matchzd2_9240 = BgL_lastzd2matchzd2_9562; 
BgL_forwardz00_9241 = 
(((long)1)+BgL_forwardz00_9563); 
BgL_bufposz00_9242 = BgL_bufposz00_9564; 
BgL_statezd2138zd21167z00_8575:
if(
(BgL_forwardz00_9241==BgL_bufposz00_9242))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9239)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2338z00_9243; long BgL_arg2339z00_9244;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13219;
BgL_tmpz00_13219 = 
((obj_t)BgL_iportz00_9239); 
BgL_arg2338z00_9243 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13219); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13222;
BgL_tmpz00_13222 = 
((obj_t)BgL_iportz00_9239); 
BgL_arg2339z00_9244 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13222); } 
{ 
 long BgL_bufposz00_13226; long BgL_forwardz00_13225;
BgL_forwardz00_13225 = BgL_arg2338z00_9243; 
BgL_bufposz00_13226 = BgL_arg2339z00_9244; 
BgL_bufposz00_9242 = BgL_bufposz00_13226; 
BgL_forwardz00_9241 = BgL_forwardz00_13225; 
goto BgL_statezd2138zd21167z00_8575;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9240; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9245;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13227;
BgL_tmpz00_13227 = 
((obj_t)BgL_iportz00_9239); 
BgL_curz00_9245 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13227, BgL_forwardz00_9241); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9245)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2341z00_9246;
BgL_arg2341z00_9246 = 
(((long)1)+BgL_forwardz00_9241); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9247;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13234;
BgL_tmpz00_13234 = 
((obj_t)BgL_iportz00_9239); 
RGC_STOP_MATCH(BgL_tmpz00_13234, BgL_arg2341z00_9246); } 
BgL_newzd2matchzd2_9247 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9247; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9240; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9567)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9671 = BgL_iportz00_9561; 
BgL_lastzd2matchzd2_9672 = BgL_lastzd2matchzd2_9562; 
BgL_forwardz00_9673 = 
(((long)1)+BgL_forwardz00_9563); 
BgL_bufposz00_9674 = BgL_bufposz00_9564; 
BgL_statezd2137zd21166z00_8625:
if(
(BgL_forwardz00_9673==BgL_bufposz00_9674))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9671)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2822z00_9675; long BgL_arg2823z00_9676;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13246;
BgL_tmpz00_13246 = 
((obj_t)BgL_iportz00_9671); 
BgL_arg2822z00_9675 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13246); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13249;
BgL_tmpz00_13249 = 
((obj_t)BgL_iportz00_9671); 
BgL_arg2823z00_9676 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13249); } 
{ 
 long BgL_bufposz00_13253; long BgL_forwardz00_13252;
BgL_forwardz00_13252 = BgL_arg2822z00_9675; 
BgL_bufposz00_13253 = BgL_arg2823z00_9676; 
BgL_bufposz00_9674 = BgL_bufposz00_13253; 
BgL_forwardz00_9673 = BgL_forwardz00_13252; 
goto BgL_statezd2137zd21166z00_8625;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9672; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9677;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13254;
BgL_tmpz00_13254 = 
((obj_t)BgL_iportz00_9671); 
BgL_curz00_9677 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13254, BgL_forwardz00_9673); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9677)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9398 = BgL_iportz00_9671; 
BgL_lastzd2matchzd2_9399 = BgL_lastzd2matchzd2_9672; 
BgL_forwardz00_9400 = 
(((long)1)+BgL_forwardz00_9673); 
BgL_bufposz00_9401 = BgL_bufposz00_9674; 
BgL_statezd2140zd21169z00_8593:
if(
(BgL_forwardz00_9400==BgL_bufposz00_9401))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9398)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2519z00_9402; long BgL_arg2520z00_9403;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13265;
BgL_tmpz00_13265 = 
((obj_t)BgL_iportz00_9398); 
BgL_arg2519z00_9402 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13265); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13268;
BgL_tmpz00_13268 = 
((obj_t)BgL_iportz00_9398); 
BgL_arg2520z00_9403 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13268); } 
{ 
 long BgL_bufposz00_13272; long BgL_forwardz00_13271;
BgL_forwardz00_13271 = BgL_arg2519z00_9402; 
BgL_bufposz00_13272 = BgL_arg2520z00_9403; 
BgL_bufposz00_9401 = BgL_bufposz00_13272; 
BgL_forwardz00_9400 = BgL_forwardz00_13271; 
goto BgL_statezd2140zd21169z00_8593;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9399; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9404;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13273;
BgL_tmpz00_13273 = 
((obj_t)BgL_iportz00_9398); 
BgL_curz00_9404 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13273, BgL_forwardz00_9400); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9404)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2522z00_9405;
BgL_arg2522z00_9405 = 
(((long)1)+BgL_forwardz00_9400); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9406;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13280;
BgL_tmpz00_13280 = 
((obj_t)BgL_iportz00_9398); 
RGC_STOP_MATCH(BgL_tmpz00_13280, BgL_arg2522z00_9405); } 
BgL_newzd2matchzd2_9406 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9406; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9399; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9677)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9248 = BgL_iportz00_9671; 
BgL_lastzd2matchzd2_9249 = BgL_lastzd2matchzd2_9672; 
BgL_forwardz00_9250 = 
(((long)1)+BgL_forwardz00_9673); 
BgL_bufposz00_9251 = BgL_bufposz00_9674; 
BgL_statezd2139zd21168z00_8576:
if(
(BgL_forwardz00_9250==BgL_bufposz00_9251))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9248)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2345z00_9252; long BgL_arg2346z00_9253;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13292;
BgL_tmpz00_13292 = 
((obj_t)BgL_iportz00_9248); 
BgL_arg2345z00_9252 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13292); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13295;
BgL_tmpz00_13295 = 
((obj_t)BgL_iportz00_9248); 
BgL_arg2346z00_9253 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13295); } 
{ 
 long BgL_bufposz00_13299; long BgL_forwardz00_13298;
BgL_forwardz00_13298 = BgL_arg2345z00_9252; 
BgL_bufposz00_13299 = BgL_arg2346z00_9253; 
BgL_bufposz00_9251 = BgL_bufposz00_13299; 
BgL_forwardz00_9250 = BgL_forwardz00_13298; 
goto BgL_statezd2139zd21168z00_8576;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9249; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9254;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13300;
BgL_tmpz00_13300 = 
((obj_t)BgL_iportz00_9248); 
BgL_curz00_9254 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13300, BgL_forwardz00_9250); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9254)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2348z00_9255;
BgL_arg2348z00_9255 = 
(((long)1)+BgL_forwardz00_9250); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9256;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13307;
BgL_tmpz00_13307 = 
((obj_t)BgL_iportz00_9248); 
RGC_STOP_MATCH(BgL_tmpz00_13307, BgL_arg2348z00_9255); } 
BgL_newzd2matchzd2_9256 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9256; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9249; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9672; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9567)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9230 = BgL_iportz00_9561; 
BgL_lastzd2matchzd2_9231 = BgL_lastzd2matchzd2_9562; 
BgL_forwardz00_9232 = 
(((long)1)+BgL_forwardz00_9563); 
BgL_bufposz00_9233 = BgL_bufposz00_9564; 
BgL_statezd2136zd21165z00_8574:
if(
(BgL_forwardz00_9232==BgL_bufposz00_9233))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9230)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2331z00_9234; long BgL_arg2332z00_9235;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13320;
BgL_tmpz00_13320 = 
((obj_t)BgL_iportz00_9230); 
BgL_arg2331z00_9234 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13320); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13323;
BgL_tmpz00_13323 = 
((obj_t)BgL_iportz00_9230); 
BgL_arg2332z00_9235 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13323); } 
{ 
 long BgL_bufposz00_13327; long BgL_forwardz00_13326;
BgL_forwardz00_13326 = BgL_arg2331z00_9234; 
BgL_bufposz00_13327 = BgL_arg2332z00_9235; 
BgL_bufposz00_9233 = BgL_bufposz00_13327; 
BgL_forwardz00_9232 = BgL_forwardz00_13326; 
goto BgL_statezd2136zd21165z00_8574;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9231; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9236;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13328;
BgL_tmpz00_13328 = 
((obj_t)BgL_iportz00_9230); 
BgL_curz00_9236 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13328, BgL_forwardz00_9232); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9236)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2334z00_9237;
BgL_arg2334z00_9237 = 
(((long)1)+BgL_forwardz00_9232); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9238;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13335;
BgL_tmpz00_13335 = 
((obj_t)BgL_iportz00_9230); 
RGC_STOP_MATCH(BgL_tmpz00_13335, BgL_arg2334z00_9237); } 
BgL_newzd2matchzd2_9238 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9238; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9231; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9562; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9284)==((long)105)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2398z00_9285;
BgL_arg2398z00_9285 = 
(((long)1)+BgL_forwardz00_9280); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9286;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13344;
BgL_tmpz00_13344 = 
((obj_t)BgL_iportz00_9278); 
RGC_STOP_MATCH(BgL_tmpz00_13344, BgL_arg2398z00_9285); } 
BgL_newzd2matchzd2_9286 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9286; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9284)==((long)101)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2400z00_9287;
BgL_arg2400z00_9287 = 
(((long)1)+BgL_forwardz00_9280); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9288;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13351;
BgL_tmpz00_13351 = 
((obj_t)BgL_iportz00_9278); 
RGC_STOP_MATCH(BgL_tmpz00_13351, BgL_arg2400z00_9287); } 
BgL_newzd2matchzd2_9288 = ((long)9); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9288; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9284)==((long)97)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2402z00_9289;
BgL_arg2402z00_9289 = 
(((long)1)+BgL_forwardz00_9280); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9290;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13358;
BgL_tmpz00_13358 = 
((obj_t)BgL_iportz00_9278); 
RGC_STOP_MATCH(BgL_tmpz00_13358, BgL_arg2402z00_9289); } 
BgL_newzd2matchzd2_9290 = ((long)24); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9290; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9284)==((long)73)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2404z00_9291;
BgL_arg2404z00_9291 = 
(((long)1)+BgL_forwardz00_9280); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9292;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13365;
BgL_tmpz00_13365 = 
((obj_t)BgL_iportz00_9278); 
RGC_STOP_MATCH(BgL_tmpz00_13365, BgL_arg2404z00_9291); } 
BgL_newzd2matchzd2_9292 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9292; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9284)==((long)69)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2406z00_9293;
BgL_arg2406z00_9293 = 
(((long)1)+BgL_forwardz00_9280); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9294;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13372;
BgL_tmpz00_13372 = 
((obj_t)BgL_iportz00_9278); 
RGC_STOP_MATCH(BgL_tmpz00_13372, BgL_arg2406z00_9293); } 
BgL_newzd2matchzd2_9294 = ((long)10); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9294; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9284)==((long)65)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2408z00_9295;
BgL_arg2408z00_9295 = 
(((long)1)+BgL_forwardz00_9280); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9296;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13379;
BgL_tmpz00_13379 = 
((obj_t)BgL_iportz00_9278); 
RGC_STOP_MATCH(BgL_tmpz00_13379, BgL_arg2408z00_9295); } 
BgL_newzd2matchzd2_9296 = ((long)26); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9296; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9279; } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4571z00_13383;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4572z00_13384;
if(
(
(long)(BgL_curz00_9167)>=((long)35)))
{ /* Llib/bibtex.scm 103 */
BgL_test4572z00_13384 = 
(
(long)(BgL_curz00_9167)<((long)39))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4572z00_13384 = ((bool_t)0)
; } 
if(BgL_test4572z00_13384)
{ /* Llib/bibtex.scm 103 */
BgL_test4571z00_13383 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4574z00_13390;
if(
(
(long)(BgL_curz00_9167)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4574z00_13390 = 
(
(long)(BgL_curz00_9167)<((long)79))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4574z00_13390 = ((bool_t)0)
; } 
if(BgL_test4574z00_13390)
{ /* Llib/bibtex.scm 103 */
BgL_test4571z00_13383 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4576z00_13396;
if(
(
(long)(BgL_curz00_9167)>=((long)80)))
{ /* Llib/bibtex.scm 103 */
BgL_test4576z00_13396 = 
(
(long)(BgL_curz00_9167)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4576z00_13396 = ((bool_t)0)
; } 
if(BgL_test4576z00_13396)
{ /* Llib/bibtex.scm 103 */
BgL_test4571z00_13383 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4578z00_13402;
if(
(
(long)(BgL_curz00_9167)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4578z00_13402 = 
(
(long)(BgL_curz00_9167)<((long)111))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4578z00_13402 = ((bool_t)0)
; } 
if(BgL_test4578z00_13402)
{ /* Llib/bibtex.scm 103 */
BgL_test4571z00_13383 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4580z00_13408;
if(
(
(long)(BgL_curz00_9167)>=((long)112)))
{ /* Llib/bibtex.scm 103 */
BgL_test4580z00_13408 = 
(
(long)(BgL_curz00_9167)<((long)124))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4580z00_13408 = ((bool_t)0)
; } 
if(BgL_test4580z00_13408)
{ /* Llib/bibtex.scm 103 */
BgL_test4571z00_13383 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4571z00_13383 = 
(
(long)(BgL_curz00_9167)==((long)125))
; } } } } } } 
if(BgL_test4571z00_13383)
{ 
 long BgL_bufposz00_13420; long BgL_forwardz00_13418; long BgL_lastzd2matchzd2_13417; obj_t BgL_iportz00_13416;
BgL_iportz00_13416 = BgL_iportz00_9160; 
BgL_lastzd2matchzd2_13417 = BgL_newzd2matchzd2_9164; 
BgL_forwardz00_13418 = 
(((long)1)+BgL_forwardz00_9162); 
BgL_bufposz00_13420 = BgL_bufposz00_9163; 
BgL_bufposz00_9155 = BgL_bufposz00_13420; 
BgL_forwardz00_9154 = BgL_forwardz00_13418; 
BgL_lastzd2matchzd2_9153 = BgL_lastzd2matchzd2_13417; 
BgL_iportz00_9152 = BgL_iportz00_13416; 
goto BgL_statezd2114zd21143z00_8565;}  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9167)==((long)34)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8714 = BgL_iportz00_9160; 
BgL_lastzd2matchzd2_8715 = BgL_newzd2matchzd2_9164; 
BgL_forwardz00_8716 = 
(((long)1)+BgL_forwardz00_9162); 
BgL_bufposz00_8717 = BgL_bufposz00_9163; 
BgL_statezd2113zd21142z00_8514:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8718;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13424;
BgL_tmpz00_13424 = 
((obj_t)BgL_iportz00_8714); 
RGC_STOP_MATCH(BgL_tmpz00_13424, BgL_forwardz00_8716); } 
BgL_newzd2matchzd2_8718 = ((long)7); 
if(
(BgL_forwardz00_8716==BgL_bufposz00_8717))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8714)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1691z00_8719; long BgL_arg1692z00_8720;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13432;
BgL_tmpz00_13432 = 
((obj_t)BgL_iportz00_8714); 
BgL_arg1691z00_8719 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13432); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13435;
BgL_tmpz00_13435 = 
((obj_t)BgL_iportz00_8714); 
BgL_arg1692z00_8720 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13435); } 
{ 
 long BgL_bufposz00_13439; long BgL_forwardz00_13438;
BgL_forwardz00_13438 = BgL_arg1691z00_8719; 
BgL_bufposz00_13439 = BgL_arg1692z00_8720; 
BgL_bufposz00_8717 = BgL_bufposz00_13439; 
BgL_forwardz00_8716 = BgL_forwardz00_13438; 
goto BgL_statezd2113zd21142z00_8514;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8718; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8721;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13440;
BgL_tmpz00_13440 = 
((obj_t)BgL_iportz00_8714); 
BgL_curz00_8721 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13440, BgL_forwardz00_8716); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8721)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8837 = BgL_iportz00_8714; 
BgL_lastzd2matchzd2_8838 = BgL_newzd2matchzd2_8718; 
BgL_forwardz00_8839 = 
(((long)1)+BgL_forwardz00_8716); 
BgL_bufposz00_8840 = BgL_bufposz00_8717; 
BgL_statezd2141zd21170z00_8528:
if(
(BgL_forwardz00_8839==BgL_bufposz00_8840))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8837)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1885z00_8841; long BgL_arg1886z00_8842;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13451;
BgL_tmpz00_13451 = 
((obj_t)BgL_iportz00_8837); 
BgL_arg1885z00_8841 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13451); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13454;
BgL_tmpz00_13454 = 
((obj_t)BgL_iportz00_8837); 
BgL_arg1886z00_8842 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13454); } 
{ 
 long BgL_bufposz00_13458; long BgL_forwardz00_13457;
BgL_forwardz00_13457 = BgL_arg1885z00_8841; 
BgL_bufposz00_13458 = BgL_arg1886z00_8842; 
BgL_bufposz00_8840 = BgL_bufposz00_13458; 
BgL_forwardz00_8839 = BgL_forwardz00_13457; 
goto BgL_statezd2141zd21170z00_8528;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8838; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8843;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13459;
BgL_tmpz00_13459 = 
((obj_t)BgL_iportz00_8837); 
BgL_curz00_8843 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13459, BgL_forwardz00_8839); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8843)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9542 = BgL_iportz00_8837; 
BgL_lastzd2matchzd2_9543 = BgL_lastzd2matchzd2_8838; 
BgL_forwardz00_9544 = 
(((long)1)+BgL_forwardz00_8839); 
BgL_bufposz00_9545 = BgL_bufposz00_8840; 
BgL_statezd2146zd21175z00_8609:
if(
(BgL_forwardz00_9544==BgL_bufposz00_9545))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9542)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2670z00_9546; long BgL_arg2671z00_9547;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13470;
BgL_tmpz00_13470 = 
((obj_t)BgL_iportz00_9542); 
BgL_arg2670z00_9546 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13470); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13473;
BgL_tmpz00_13473 = 
((obj_t)BgL_iportz00_9542); 
BgL_arg2671z00_9547 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13473); } 
{ 
 long BgL_bufposz00_13477; long BgL_forwardz00_13476;
BgL_forwardz00_13476 = BgL_arg2670z00_9546; 
BgL_bufposz00_13477 = BgL_arg2671z00_9547; 
BgL_bufposz00_9545 = BgL_bufposz00_13477; 
BgL_forwardz00_9544 = BgL_forwardz00_13476; 
goto BgL_statezd2146zd21175z00_8609;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9543; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9548;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13478;
BgL_tmpz00_13478 = 
((obj_t)BgL_iportz00_9542); 
BgL_curz00_9548 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13478, BgL_forwardz00_9544); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9548)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2673z00_9549;
BgL_arg2673z00_9549 = 
(((long)1)+BgL_forwardz00_9544); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9550;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13485;
BgL_tmpz00_13485 = 
((obj_t)BgL_iportz00_9542); 
RGC_STOP_MATCH(BgL_tmpz00_13485, BgL_arg2673z00_9549); } 
BgL_newzd2matchzd2_9550 = ((long)17); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9550; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9543; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8843)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8654 = BgL_iportz00_8837; 
BgL_lastzd2matchzd2_8655 = BgL_lastzd2matchzd2_8838; 
BgL_forwardz00_8656 = 
(((long)1)+BgL_forwardz00_8839); 
BgL_bufposz00_8657 = BgL_bufposz00_8840; 
BgL_statezd2145zd21174z00_8507:
if(
(BgL_forwardz00_8656==BgL_bufposz00_8657))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8654)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1377z00_8658; long BgL_arg1378z00_8659;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13497;
BgL_tmpz00_13497 = 
((obj_t)BgL_iportz00_8654); 
BgL_arg1377z00_8658 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13497); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13500;
BgL_tmpz00_13500 = 
((obj_t)BgL_iportz00_8654); 
BgL_arg1378z00_8659 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13500); } 
{ 
 long BgL_bufposz00_13504; long BgL_forwardz00_13503;
BgL_forwardz00_13503 = BgL_arg1377z00_8658; 
BgL_bufposz00_13504 = BgL_arg1378z00_8659; 
BgL_bufposz00_8657 = BgL_bufposz00_13504; 
BgL_forwardz00_8656 = BgL_forwardz00_13503; 
goto BgL_statezd2145zd21174z00_8507;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8655; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8660;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13505;
BgL_tmpz00_13505 = 
((obj_t)BgL_iportz00_8654); 
BgL_curz00_8660 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13505, BgL_forwardz00_8656); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8660)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1414z00_8661;
BgL_arg1414z00_8661 = 
(((long)1)+BgL_forwardz00_8656); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8662;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13512;
BgL_tmpz00_13512 = 
((obj_t)BgL_iportz00_8654); 
RGC_STOP_MATCH(BgL_tmpz00_13512, BgL_arg1414z00_8661); } 
BgL_newzd2matchzd2_8662 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8662; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8655; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8843)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9462 = BgL_iportz00_8837; 
BgL_lastzd2matchzd2_9463 = BgL_lastzd2matchzd2_8838; 
BgL_forwardz00_9464 = 
(((long)1)+BgL_forwardz00_8839); 
BgL_bufposz00_9465 = BgL_bufposz00_8840; 
BgL_statezd2144zd21173z00_8599:
if(
(BgL_forwardz00_9464==BgL_bufposz00_9465))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9462)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2572z00_9466; long BgL_arg2573z00_9467;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13524;
BgL_tmpz00_13524 = 
((obj_t)BgL_iportz00_9462); 
BgL_arg2572z00_9466 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13524); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13527;
BgL_tmpz00_13527 = 
((obj_t)BgL_iportz00_9462); 
BgL_arg2573z00_9467 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13527); } 
{ 
 long BgL_bufposz00_13531; long BgL_forwardz00_13530;
BgL_forwardz00_13530 = BgL_arg2572z00_9466; 
BgL_bufposz00_13531 = BgL_arg2573z00_9467; 
BgL_bufposz00_9465 = BgL_bufposz00_13531; 
BgL_forwardz00_9464 = BgL_forwardz00_13530; 
goto BgL_statezd2144zd21173z00_8599;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9463; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9468;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13532;
BgL_tmpz00_13532 = 
((obj_t)BgL_iportz00_9462); 
BgL_curz00_9468 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13532, BgL_forwardz00_9464); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9468)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8959 = BgL_iportz00_9462; 
BgL_lastzd2matchzd2_8960 = BgL_lastzd2matchzd2_9463; 
BgL_forwardz00_8961 = 
(((long)1)+BgL_forwardz00_9464); 
BgL_bufposz00_8962 = BgL_bufposz00_9465; 
BgL_statezd2148zd21177z00_8542:
if(
(BgL_forwardz00_8961==BgL_bufposz00_8962))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8959)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2017z00_8963; long BgL_arg2018z00_8964;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13543;
BgL_tmpz00_13543 = 
((obj_t)BgL_iportz00_8959); 
BgL_arg2017z00_8963 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13543); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13546;
BgL_tmpz00_13546 = 
((obj_t)BgL_iportz00_8959); 
BgL_arg2018z00_8964 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13546); } 
{ 
 long BgL_bufposz00_13550; long BgL_forwardz00_13549;
BgL_forwardz00_13549 = BgL_arg2017z00_8963; 
BgL_bufposz00_13550 = BgL_arg2018z00_8964; 
BgL_bufposz00_8962 = BgL_bufposz00_13550; 
BgL_forwardz00_8961 = BgL_forwardz00_13549; 
goto BgL_statezd2148zd21177z00_8542;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8960; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8965;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13551;
BgL_tmpz00_13551 = 
((obj_t)BgL_iportz00_8959); 
BgL_curz00_8965 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13551, BgL_forwardz00_8961); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8965)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2020z00_8966;
BgL_arg2020z00_8966 = 
(((long)1)+BgL_forwardz00_8961); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8967;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13558;
BgL_tmpz00_13558 = 
((obj_t)BgL_iportz00_8959); 
RGC_STOP_MATCH(BgL_tmpz00_13558, BgL_arg2020z00_8966); } 
BgL_newzd2matchzd2_8967 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8967; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8960; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9468)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9655 = BgL_iportz00_9462; 
BgL_lastzd2matchzd2_9656 = BgL_lastzd2matchzd2_9463; 
BgL_forwardz00_9657 = 
(((long)1)+BgL_forwardz00_9464); 
BgL_bufposz00_9658 = BgL_bufposz00_9465; 
BgL_statezd2147zd21176z00_8623:
if(
(BgL_forwardz00_9657==BgL_bufposz00_9658))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9655)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2796z00_9659; long BgL_arg2797z00_9660;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13570;
BgL_tmpz00_13570 = 
((obj_t)BgL_iportz00_9655); 
BgL_arg2796z00_9659 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13570); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13573;
BgL_tmpz00_13573 = 
((obj_t)BgL_iportz00_9655); 
BgL_arg2797z00_9660 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13573); } 
{ 
 long BgL_bufposz00_13577; long BgL_forwardz00_13576;
BgL_forwardz00_13576 = BgL_arg2796z00_9659; 
BgL_bufposz00_13577 = BgL_arg2797z00_9660; 
BgL_bufposz00_9658 = BgL_bufposz00_13577; 
BgL_forwardz00_9657 = BgL_forwardz00_13576; 
goto BgL_statezd2147zd21176z00_8623;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9656; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9661;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13578;
BgL_tmpz00_13578 = 
((obj_t)BgL_iportz00_9655); 
BgL_curz00_9661 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13578, BgL_forwardz00_9657); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9661)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2799z00_9662;
BgL_arg2799z00_9662 = 
(((long)1)+BgL_forwardz00_9657); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9663;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13585;
BgL_tmpz00_13585 = 
((obj_t)BgL_iportz00_9655); 
RGC_STOP_MATCH(BgL_tmpz00_13585, BgL_arg2799z00_9662); } 
BgL_newzd2matchzd2_9663 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9663; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9656; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9463; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8843)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8794 = BgL_iportz00_8837; 
BgL_lastzd2matchzd2_8795 = BgL_lastzd2matchzd2_8838; 
BgL_forwardz00_8796 = 
(((long)1)+BgL_forwardz00_8839); 
BgL_bufposz00_8797 = BgL_bufposz00_8840; 
BgL_statezd2143zd21172z00_8523:
if(
(BgL_forwardz00_8796==BgL_bufposz00_8797))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8794)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1843z00_8798; long BgL_arg1844z00_8799;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13598;
BgL_tmpz00_13598 = 
((obj_t)BgL_iportz00_8794); 
BgL_arg1843z00_8798 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13598); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13601;
BgL_tmpz00_13601 = 
((obj_t)BgL_iportz00_8794); 
BgL_arg1844z00_8799 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13601); } 
{ 
 long BgL_bufposz00_13605; long BgL_forwardz00_13604;
BgL_forwardz00_13604 = BgL_arg1843z00_8798; 
BgL_bufposz00_13605 = BgL_arg1844z00_8799; 
BgL_bufposz00_8797 = BgL_bufposz00_13605; 
BgL_forwardz00_8796 = BgL_forwardz00_13604; 
goto BgL_statezd2143zd21172z00_8523;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8795; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8800;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13606;
BgL_tmpz00_13606 = 
((obj_t)BgL_iportz00_8794); 
BgL_curz00_8800 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13606, BgL_forwardz00_8796); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8800)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1846z00_8801;
BgL_arg1846z00_8801 = 
(((long)1)+BgL_forwardz00_8796); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8802;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13613;
BgL_tmpz00_13613 = 
((obj_t)BgL_iportz00_8794); 
RGC_STOP_MATCH(BgL_tmpz00_13613, BgL_arg1846z00_8801); } 
BgL_newzd2matchzd2_8802 = ((long)18); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8802; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8795; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8843)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9646 = BgL_iportz00_8837; 
BgL_lastzd2matchzd2_9647 = BgL_lastzd2matchzd2_8838; 
BgL_forwardz00_9648 = 
(((long)1)+BgL_forwardz00_8839); 
BgL_bufposz00_9649 = BgL_bufposz00_8840; 
BgL_statezd2142zd21171z00_8622:
if(
(BgL_forwardz00_9648==BgL_bufposz00_9649))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9646)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2789z00_9650; long BgL_arg2790z00_9651;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13625;
BgL_tmpz00_13625 = 
((obj_t)BgL_iportz00_9646); 
BgL_arg2789z00_9650 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13625); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13628;
BgL_tmpz00_13628 = 
((obj_t)BgL_iportz00_9646); 
BgL_arg2790z00_9651 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13628); } 
{ 
 long BgL_bufposz00_13632; long BgL_forwardz00_13631;
BgL_forwardz00_13631 = BgL_arg2789z00_9650; 
BgL_bufposz00_13632 = BgL_arg2790z00_9651; 
BgL_bufposz00_9649 = BgL_bufposz00_13632; 
BgL_forwardz00_9648 = BgL_forwardz00_13631; 
goto BgL_statezd2142zd21171z00_8622;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9647; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9652;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13633;
BgL_tmpz00_13633 = 
((obj_t)BgL_iportz00_9646); 
BgL_curz00_9652 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13633, BgL_forwardz00_9648); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9652)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2792z00_9653;
BgL_arg2792z00_9653 = 
(((long)1)+BgL_forwardz00_9648); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9654;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13640;
BgL_tmpz00_13640 = 
((obj_t)BgL_iportz00_9646); 
RGC_STOP_MATCH(BgL_tmpz00_13640, BgL_arg2792z00_9653); } 
BgL_newzd2matchzd2_9654 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9654; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9647; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8838; } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8721)==((long)117)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1704z00_8722;
BgL_arg1704z00_8722 = 
(((long)1)+BgL_forwardz00_8716); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8723;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13649;
BgL_tmpz00_13649 = 
((obj_t)BgL_iportz00_8714); 
RGC_STOP_MATCH(BgL_tmpz00_13649, BgL_arg1704z00_8722); } 
BgL_newzd2matchzd2_8723 = ((long)33); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8723; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8721)==((long)105)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1706z00_8724;
BgL_arg1706z00_8724 = 
(((long)1)+BgL_forwardz00_8716); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8725;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13656;
BgL_tmpz00_13656 = 
((obj_t)BgL_iportz00_8714); 
RGC_STOP_MATCH(BgL_tmpz00_13656, BgL_arg1706z00_8724); } 
BgL_newzd2matchzd2_8725 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8725; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8721)==((long)85)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1709z00_8726;
BgL_arg1709z00_8726 = 
(((long)1)+BgL_forwardz00_8716); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8727;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13663;
BgL_tmpz00_13663 = 
((obj_t)BgL_iportz00_8714); 
RGC_STOP_MATCH(BgL_tmpz00_13663, BgL_arg1709z00_8726); } 
BgL_newzd2matchzd2_8727 = ((long)34); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8727; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8721)==((long)73)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1712z00_8728;
BgL_arg1712z00_8728 = 
(((long)1)+BgL_forwardz00_8716); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8729;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13670;
BgL_tmpz00_13670 = 
((obj_t)BgL_iportz00_8714); 
RGC_STOP_MATCH(BgL_tmpz00_13670, BgL_arg1712z00_8728); } 
BgL_newzd2matchzd2_8729 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8729; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8718; } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9164; } } } } } } } } } } } } } } break;case ((long)64) : 

BgL_iportz00_9582 = BgL_iportz00_8899; 
BgL_lastzd2matchzd2_9583 = BgL_lastzd2matchzd2_8900; 
BgL_forwardz00_9584 = 
(((long)1)+BgL_forwardz00_8901); 
BgL_bufposz00_9585 = BgL_bufposz00_8902; 
BgL_statezd210zd21039z00_8614:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9586;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13675;
BgL_tmpz00_13675 = 
((obj_t)BgL_iportz00_9582); 
RGC_STOP_MATCH(BgL_tmpz00_13675, BgL_forwardz00_9584); } 
BgL_newzd2matchzd2_9586 = ((long)42); 
if(
(BgL_forwardz00_9584==BgL_bufposz00_9585))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9582)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2724z00_9587; long BgL_arg2725z00_9588;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13683;
BgL_tmpz00_13683 = 
((obj_t)BgL_iportz00_9582); 
BgL_arg2724z00_9587 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13683); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13686;
BgL_tmpz00_13686 = 
((obj_t)BgL_iportz00_9582); 
BgL_arg2725z00_9588 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13686); } 
{ 
 long BgL_bufposz00_13690; long BgL_forwardz00_13689;
BgL_forwardz00_13689 = BgL_arg2724z00_9587; 
BgL_bufposz00_13690 = BgL_arg2725z00_9588; 
BgL_bufposz00_9585 = BgL_bufposz00_13690; 
BgL_forwardz00_9584 = BgL_forwardz00_13689; 
goto BgL_statezd210zd21039z00_8614;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9586; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9589;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13691;
BgL_tmpz00_13691 = 
((obj_t)BgL_iportz00_9582); 
BgL_curz00_9589 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13691, BgL_forwardz00_9584); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4623z00_13694;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4624z00_13695;
if(
(
(long)(BgL_curz00_9589)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4624z00_13695 = 
(
(long)(BgL_curz00_9589)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4624z00_13695 = ((bool_t)0)
; } 
if(BgL_test4624z00_13695)
{ /* Llib/bibtex.scm 103 */
BgL_test4623z00_13694 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9589)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4623z00_13694 = 
(
(long)(BgL_curz00_9589)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4623z00_13694 = ((bool_t)0)
; } } } 
if(BgL_test4623z00_13694)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9172 = BgL_iportz00_9582; 
BgL_lastzd2matchzd2_9173 = BgL_newzd2matchzd2_9586; 
BgL_forwardz00_9174 = 
(((long)1)+BgL_forwardz00_9584); 
BgL_bufposz00_9175 = BgL_bufposz00_9585; 
BgL_statezd2149zd21178z00_8567:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9176;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13706;
BgL_tmpz00_13706 = 
((obj_t)BgL_iportz00_9172); 
RGC_STOP_MATCH(BgL_tmpz00_13706, BgL_forwardz00_9174); } 
BgL_newzd2matchzd2_9176 = ((long)39); 
if(
(BgL_forwardz00_9174==BgL_bufposz00_9175))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9172)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2277z00_9177; long BgL_arg2278z00_9178;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13714;
BgL_tmpz00_13714 = 
((obj_t)BgL_iportz00_9172); 
BgL_arg2277z00_9177 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13714); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13717;
BgL_tmpz00_13717 = 
((obj_t)BgL_iportz00_9172); 
BgL_arg2278z00_9178 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13717); } 
{ 
 long BgL_bufposz00_13721; long BgL_forwardz00_13720;
BgL_forwardz00_13720 = BgL_arg2277z00_9177; 
BgL_bufposz00_13721 = BgL_arg2278z00_9178; 
BgL_bufposz00_9175 = BgL_bufposz00_13721; 
BgL_forwardz00_9174 = BgL_forwardz00_13720; 
goto BgL_statezd2149zd21178z00_8567;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9176; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9179;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13722;
BgL_tmpz00_13722 = 
((obj_t)BgL_iportz00_9172); 
BgL_curz00_9179 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13722, BgL_forwardz00_9174); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4629z00_13725;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4630z00_13726;
if(
(
(long)(BgL_curz00_9179)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4630z00_13726 = 
(
(long)(BgL_curz00_9179)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4630z00_13726 = ((bool_t)0)
; } 
if(BgL_test4630z00_13726)
{ /* Llib/bibtex.scm 103 */
BgL_test4629z00_13725 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9179)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4629z00_13725 = 
(
(long)(BgL_curz00_9179)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4629z00_13725 = ((bool_t)0)
; } } } 
if(BgL_test4629z00_13725)
{ 
 long BgL_forwardz00_13738; long BgL_lastzd2matchzd2_13737;
BgL_lastzd2matchzd2_13737 = BgL_newzd2matchzd2_9176; 
BgL_forwardz00_13738 = 
(((long)1)+BgL_forwardz00_9174); 
BgL_forwardz00_9174 = BgL_forwardz00_13738; 
BgL_lastzd2matchzd2_9173 = BgL_lastzd2matchzd2_13737; 
goto BgL_statezd2149zd21178z00_8567;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9176; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9586; } } } } } break;case ((long)61) : 

{ /* Llib/bibtex.scm 103 */
 long BgL_arg1966z00_8908;
BgL_arg1966z00_8908 = 
(((long)1)+BgL_forwardz00_8901); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8909;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13743;
BgL_tmpz00_13743 = 
((obj_t)BgL_iportz00_8899); 
RGC_STOP_MATCH(BgL_tmpz00_13743, BgL_arg1966z00_8908); } 
BgL_newzd2matchzd2_8909 = ((long)2); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8909; } } break;case ((long)57) : 
case ((long)56) : 
case ((long)55) : 
case ((long)54) : 
case ((long)53) : 
case ((long)52) : 
case ((long)51) : 
case ((long)50) : 
case ((long)49) : 
case ((long)48) : 

BgL_iportz00_9144 = BgL_iportz00_8899; 
BgL_lastzd2matchzd2_9145 = BgL_lastzd2matchzd2_8900; 
BgL_forwardz00_9146 = 
(((long)1)+BgL_forwardz00_8901); 
BgL_bufposz00_9147 = BgL_bufposz00_8902; 
BgL_statezd28zd21037z00_8564:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9148;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13746;
BgL_tmpz00_13746 = 
((obj_t)BgL_iportz00_9144); 
RGC_STOP_MATCH(BgL_tmpz00_13746, BgL_forwardz00_9146); } 
BgL_newzd2matchzd2_9148 = ((long)40); 
if(
(BgL_forwardz00_9146==BgL_bufposz00_9147))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9144)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2207z00_9149; long BgL_arg2208z00_9150;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13754;
BgL_tmpz00_13754 = 
((obj_t)BgL_iportz00_9144); 
BgL_arg2207z00_9149 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13754); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13757;
BgL_tmpz00_13757 = 
((obj_t)BgL_iportz00_9144); 
BgL_arg2208z00_9150 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13757); } 
{ 
 long BgL_bufposz00_13761; long BgL_forwardz00_13760;
BgL_forwardz00_13760 = BgL_arg2207z00_9149; 
BgL_bufposz00_13761 = BgL_arg2208z00_9150; 
BgL_bufposz00_9147 = BgL_bufposz00_13761; 
BgL_forwardz00_9146 = BgL_forwardz00_13760; 
goto BgL_statezd28zd21037z00_8564;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9148; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9151;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13762;
BgL_tmpz00_13762 = 
((obj_t)BgL_iportz00_9144); 
BgL_curz00_9151 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13762, BgL_forwardz00_9146); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4635z00_13765;
if(
(
(long)(BgL_curz00_9151)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4635z00_13765 = 
(
(long)(BgL_curz00_9151)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4635z00_13765 = ((bool_t)0)
; } 
if(BgL_test4635z00_13765)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9491 = BgL_iportz00_9144; 
BgL_lastzd2matchzd2_9492 = BgL_newzd2matchzd2_9148; 
BgL_forwardz00_9493 = 
(((long)1)+BgL_forwardz00_9146); 
BgL_bufposz00_9494 = BgL_bufposz00_9147; 
BgL_statezd2151zd21180z00_8603:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9495;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13771;
BgL_tmpz00_13771 = 
((obj_t)BgL_iportz00_9491); 
RGC_STOP_MATCH(BgL_tmpz00_13771, BgL_forwardz00_9493); } 
BgL_newzd2matchzd2_9495 = ((long)40); 
if(
(BgL_forwardz00_9493==BgL_bufposz00_9494))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9491)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2612z00_9496; long BgL_arg2613z00_9497;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13779;
BgL_tmpz00_13779 = 
((obj_t)BgL_iportz00_9491); 
BgL_arg2612z00_9496 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13779); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13782;
BgL_tmpz00_13782 = 
((obj_t)BgL_iportz00_9491); 
BgL_arg2613z00_9497 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13782); } 
{ 
 long BgL_bufposz00_13786; long BgL_forwardz00_13785;
BgL_forwardz00_13785 = BgL_arg2612z00_9496; 
BgL_bufposz00_13786 = BgL_arg2613z00_9497; 
BgL_bufposz00_9494 = BgL_bufposz00_13786; 
BgL_forwardz00_9493 = BgL_forwardz00_13785; 
goto BgL_statezd2151zd21180z00_8603;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9495; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9498;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13787;
BgL_tmpz00_13787 = 
((obj_t)BgL_iportz00_9491); 
BgL_curz00_9498 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13787, BgL_forwardz00_9493); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4639z00_13790;
if(
(
(long)(BgL_curz00_9498)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4639z00_13790 = 
(
(long)(BgL_curz00_9498)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4639z00_13790 = ((bool_t)0)
; } 
if(BgL_test4639z00_13790)
{ 
 long BgL_forwardz00_13797; long BgL_lastzd2matchzd2_13796;
BgL_lastzd2matchzd2_13796 = BgL_newzd2matchzd2_9495; 
BgL_forwardz00_13797 = 
(((long)1)+BgL_forwardz00_9493); 
BgL_forwardz00_9493 = BgL_forwardz00_13797; 
BgL_lastzd2matchzd2_9492 = BgL_lastzd2matchzd2_13796; 
goto BgL_statezd2151zd21180z00_8603;}  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4641z00_13799;
if(
(
(long)(BgL_curz00_9498)==((long)38)))
{ /* Llib/bibtex.scm 103 */
BgL_test4641z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4643z00_13803;
if(
(
(long)(BgL_curz00_9498)==((long)43)))
{ /* Llib/bibtex.scm 103 */
BgL_test4643z00_13803 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4643z00_13803 = 
(
(long)(BgL_curz00_9498)==((long)42))
; } 
if(BgL_test4643z00_13803)
{ /* Llib/bibtex.scm 103 */
BgL_test4641z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4645z00_13809;
if(
(
(long)(BgL_curz00_9498)==((long)47)))
{ /* Llib/bibtex.scm 103 */
BgL_test4645z00_13809 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9498)==((long)46)))
{ /* Llib/bibtex.scm 103 */
BgL_test4645z00_13809 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4645z00_13809 = 
(
(long)(BgL_curz00_9498)==((long)45))
; } } 
if(BgL_test4645z00_13809)
{ /* Llib/bibtex.scm 103 */
BgL_test4641z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9498)==((long)58)))
{ /* Llib/bibtex.scm 103 */
BgL_test4641z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9498)==((long)63)))
{ /* Llib/bibtex.scm 103 */
BgL_test4641z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4650z00_13824;
if(
(
(long)(BgL_curz00_9498)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4650z00_13824 = 
(
(long)(BgL_curz00_9498)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4650z00_13824 = ((bool_t)0)
; } 
if(BgL_test4650z00_13824)
{ /* Llib/bibtex.scm 103 */
BgL_test4641z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9498)==((long)95)))
{ /* Llib/bibtex.scm 103 */
BgL_test4641z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9498)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4641z00_13799 = 
(
(long)(BgL_curz00_9498)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4641z00_13799 = ((bool_t)0)
; } } } } } } } } 
if(BgL_test4641z00_13799)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9333 = BgL_iportz00_9491; 
BgL_lastzd2matchzd2_9334 = BgL_newzd2matchzd2_9495; 
BgL_forwardz00_9335 = 
(((long)1)+BgL_forwardz00_9493); 
BgL_bufposz00_9336 = BgL_bufposz00_9494; 
BgL_statezd2150zd21179z00_8585:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9337;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13838;
BgL_tmpz00_13838 = 
((obj_t)BgL_iportz00_9333); 
RGC_STOP_MATCH(BgL_tmpz00_13838, BgL_forwardz00_9335); } 
BgL_newzd2matchzd2_9337 = ((long)41); 
if(
(BgL_forwardz00_9335==BgL_bufposz00_9336))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9333)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2442z00_9338; long BgL_arg2443z00_9339;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13846;
BgL_tmpz00_13846 = 
((obj_t)BgL_iportz00_9333); 
BgL_arg2442z00_9338 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13846); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13849;
BgL_tmpz00_13849 = 
((obj_t)BgL_iportz00_9333); 
BgL_arg2443z00_9339 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13849); } 
{ 
 long BgL_bufposz00_13853; long BgL_forwardz00_13852;
BgL_forwardz00_13852 = BgL_arg2442z00_9338; 
BgL_bufposz00_13853 = BgL_arg2443z00_9339; 
BgL_bufposz00_9336 = BgL_bufposz00_13853; 
BgL_forwardz00_9335 = BgL_forwardz00_13852; 
goto BgL_statezd2150zd21179z00_8585;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9337; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9340;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13854;
BgL_tmpz00_13854 = 
((obj_t)BgL_iportz00_9333); 
BgL_curz00_9340 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13854, BgL_forwardz00_9335); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4656z00_13857;
if(
(
(long)(BgL_curz00_9340)==((long)38)))
{ /* Llib/bibtex.scm 103 */
BgL_test4656z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4658z00_13861;
if(
(
(long)(BgL_curz00_9340)==((long)43)))
{ /* Llib/bibtex.scm 103 */
BgL_test4658z00_13861 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4658z00_13861 = 
(
(long)(BgL_curz00_9340)==((long)42))
; } 
if(BgL_test4658z00_13861)
{ /* Llib/bibtex.scm 103 */
BgL_test4656z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4660z00_13867;
if(
(
(long)(BgL_curz00_9340)>=((long)45)))
{ /* Llib/bibtex.scm 103 */
BgL_test4660z00_13867 = 
(
(long)(BgL_curz00_9340)<((long)59))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4660z00_13867 = ((bool_t)0)
; } 
if(BgL_test4660z00_13867)
{ /* Llib/bibtex.scm 103 */
BgL_test4656z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9340)==((long)63)))
{ /* Llib/bibtex.scm 103 */
BgL_test4656z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4663z00_13876;
if(
(
(long)(BgL_curz00_9340)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4663z00_13876 = 
(
(long)(BgL_curz00_9340)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4663z00_13876 = ((bool_t)0)
; } 
if(BgL_test4663z00_13876)
{ /* Llib/bibtex.scm 103 */
BgL_test4656z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9340)==((long)95)))
{ /* Llib/bibtex.scm 103 */
BgL_test4656z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9340)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4656z00_13857 = 
(
(long)(BgL_curz00_9340)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4656z00_13857 = ((bool_t)0)
; } } } } } } } 
if(BgL_test4656z00_13857)
{ 
 long BgL_forwardz00_13891; long BgL_lastzd2matchzd2_13890;
BgL_lastzd2matchzd2_13890 = BgL_newzd2matchzd2_9337; 
BgL_forwardz00_13891 = 
(((long)1)+BgL_forwardz00_9335); 
BgL_forwardz00_9335 = BgL_forwardz00_13891; 
BgL_lastzd2matchzd2_9334 = BgL_lastzd2matchzd2_13890; 
goto BgL_statezd2150zd21179z00_8585;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9337; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9495; } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4667z00_13895;
if(
(
(long)(BgL_curz00_9151)==((long)38)))
{ /* Llib/bibtex.scm 103 */
BgL_test4667z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4669z00_13899;
if(
(
(long)(BgL_curz00_9151)==((long)43)))
{ /* Llib/bibtex.scm 103 */
BgL_test4669z00_13899 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4669z00_13899 = 
(
(long)(BgL_curz00_9151)==((long)42))
; } 
if(BgL_test4669z00_13899)
{ /* Llib/bibtex.scm 103 */
BgL_test4667z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4671z00_13905;
if(
(
(long)(BgL_curz00_9151)==((long)47)))
{ /* Llib/bibtex.scm 103 */
BgL_test4671z00_13905 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9151)==((long)46)))
{ /* Llib/bibtex.scm 103 */
BgL_test4671z00_13905 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4671z00_13905 = 
(
(long)(BgL_curz00_9151)==((long)45))
; } } 
if(BgL_test4671z00_13905)
{ /* Llib/bibtex.scm 103 */
BgL_test4667z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9151)==((long)58)))
{ /* Llib/bibtex.scm 103 */
BgL_test4667z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9151)==((long)63)))
{ /* Llib/bibtex.scm 103 */
BgL_test4667z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4676z00_13920;
if(
(
(long)(BgL_curz00_9151)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4676z00_13920 = 
(
(long)(BgL_curz00_9151)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4676z00_13920 = ((bool_t)0)
; } 
if(BgL_test4676z00_13920)
{ /* Llib/bibtex.scm 103 */
BgL_test4667z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9151)==((long)95)))
{ /* Llib/bibtex.scm 103 */
BgL_test4667z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9151)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4667z00_13895 = 
(
(long)(BgL_curz00_9151)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4667z00_13895 = ((bool_t)0)
; } } } } } } } } 
if(BgL_test4667z00_13895)
{ 
 long BgL_bufposz00_13938; long BgL_forwardz00_13936; long BgL_lastzd2matchzd2_13935; obj_t BgL_iportz00_13934;
BgL_iportz00_13934 = BgL_iportz00_9144; 
BgL_lastzd2matchzd2_13935 = BgL_newzd2matchzd2_9148; 
BgL_forwardz00_13936 = 
(((long)1)+BgL_forwardz00_9146); 
BgL_bufposz00_13938 = BgL_bufposz00_9147; 
BgL_bufposz00_9336 = BgL_bufposz00_13938; 
BgL_forwardz00_9335 = BgL_forwardz00_13936; 
BgL_lastzd2matchzd2_9334 = BgL_lastzd2matchzd2_13935; 
BgL_iportz00_9333 = BgL_iportz00_13934; 
goto BgL_statezd2150zd21179z00_8585;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9148; } } } } } } break;case ((long)44) : 

{ /* Llib/bibtex.scm 103 */
 long BgL_arg1968z00_8910;
BgL_arg1968z00_8910 = 
(((long)1)+BgL_forwardz00_8901); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8911;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13941;
BgL_tmpz00_13941 = 
((obj_t)BgL_iportz00_8899); 
RGC_STOP_MATCH(BgL_tmpz00_13941, BgL_arg1968z00_8910); } 
BgL_newzd2matchzd2_8911 = ((long)6); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8911; } } break;case ((long)122) : 
case ((long)121) : 
case ((long)120) : 
case ((long)119) : 
case ((long)118) : 
case ((long)117) : 
case ((long)116) : 
case ((long)115) : 
case ((long)114) : 
case ((long)113) : 
case ((long)112) : 
case ((long)111) : 
case ((long)110) : 
case ((long)109) : 
case ((long)108) : 
case ((long)107) : 
case ((long)106) : 
case ((long)105) : 
case ((long)104) : 
case ((long)103) : 
case ((long)102) : 
case ((long)101) : 
case ((long)100) : 
case ((long)99) : 
case ((long)98) : 
case ((long)97) : 
case ((long)95) : 
case ((long)90) : 
case ((long)89) : 
case ((long)88) : 
case ((long)87) : 
case ((long)86) : 
case ((long)85) : 
case ((long)84) : 
case ((long)83) : 
case ((long)82) : 
case ((long)81) : 
case ((long)80) : 
case ((long)79) : 
case ((long)78) : 
case ((long)77) : 
case ((long)76) : 
case ((long)75) : 
case ((long)74) : 
case ((long)73) : 
case ((long)72) : 
case ((long)71) : 
case ((long)70) : 
case ((long)69) : 
case ((long)68) : 
case ((long)67) : 
case ((long)66) : 
case ((long)65) : 
case ((long)63) : 
case ((long)58) : 
case ((long)47) : 
case ((long)46) : 
case ((long)45) : 
case ((long)43) : 
case ((long)42) : 
case ((long)38) : 

BgL_iportz00_8706 = BgL_iportz00_8899; 
BgL_lastzd2matchzd2_8707 = BgL_lastzd2matchzd2_8900; 
BgL_forwardz00_8708 = 
(((long)1)+BgL_forwardz00_8901); 
BgL_bufposz00_8709 = BgL_bufposz00_8902; 
BgL_statezd26zd21035z00_8513:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8710;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13944;
BgL_tmpz00_13944 = 
((obj_t)BgL_iportz00_8706); 
RGC_STOP_MATCH(BgL_tmpz00_13944, BgL_forwardz00_8708); } 
BgL_newzd2matchzd2_8710 = ((long)41); 
if(
(BgL_forwardz00_8708==BgL_bufposz00_8709))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8706)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1672z00_8711; long BgL_arg1673z00_8712;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13952;
BgL_tmpz00_13952 = 
((obj_t)BgL_iportz00_8706); 
BgL_arg1672z00_8711 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13952); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13955;
BgL_tmpz00_13955 = 
((obj_t)BgL_iportz00_8706); 
BgL_arg1673z00_8712 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13955); } 
{ 
 long BgL_bufposz00_13959; long BgL_forwardz00_13958;
BgL_forwardz00_13958 = BgL_arg1672z00_8711; 
BgL_bufposz00_13959 = BgL_arg1673z00_8712; 
BgL_bufposz00_8709 = BgL_bufposz00_13959; 
BgL_forwardz00_8708 = BgL_forwardz00_13958; 
goto BgL_statezd26zd21035z00_8513;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8710; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8713;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13960;
BgL_tmpz00_13960 = 
((obj_t)BgL_iportz00_8706); 
BgL_curz00_8713 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13960, BgL_forwardz00_8708); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4682z00_13963;
if(
(
(long)(BgL_curz00_8713)==((long)38)))
{ /* Llib/bibtex.scm 103 */
BgL_test4682z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4684z00_13967;
if(
(
(long)(BgL_curz00_8713)==((long)43)))
{ /* Llib/bibtex.scm 103 */
BgL_test4684z00_13967 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4684z00_13967 = 
(
(long)(BgL_curz00_8713)==((long)42))
; } 
if(BgL_test4684z00_13967)
{ /* Llib/bibtex.scm 103 */
BgL_test4682z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4686z00_13973;
if(
(
(long)(BgL_curz00_8713)>=((long)45)))
{ /* Llib/bibtex.scm 103 */
BgL_test4686z00_13973 = 
(
(long)(BgL_curz00_8713)<((long)59))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4686z00_13973 = ((bool_t)0)
; } 
if(BgL_test4686z00_13973)
{ /* Llib/bibtex.scm 103 */
BgL_test4682z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8713)==((long)63)))
{ /* Llib/bibtex.scm 103 */
BgL_test4682z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4689z00_13982;
if(
(
(long)(BgL_curz00_8713)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4689z00_13982 = 
(
(long)(BgL_curz00_8713)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4689z00_13982 = ((bool_t)0)
; } 
if(BgL_test4689z00_13982)
{ /* Llib/bibtex.scm 103 */
BgL_test4682z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8713)==((long)95)))
{ /* Llib/bibtex.scm 103 */
BgL_test4682z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8713)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4682z00_13963 = 
(
(long)(BgL_curz00_8713)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4682z00_13963 = ((bool_t)0)
; } } } } } } } 
if(BgL_test4682z00_13963)
{ 
 long BgL_bufposz00_14000; long BgL_forwardz00_13998; long BgL_lastzd2matchzd2_13997; obj_t BgL_iportz00_13996;
BgL_iportz00_13996 = BgL_iportz00_8706; 
BgL_lastzd2matchzd2_13997 = BgL_newzd2matchzd2_8710; 
BgL_forwardz00_13998 = 
(((long)1)+BgL_forwardz00_8708); 
BgL_bufposz00_14000 = BgL_bufposz00_8709; 
BgL_bufposz00_9336 = BgL_bufposz00_14000; 
BgL_forwardz00_9335 = BgL_forwardz00_13998; 
BgL_lastzd2matchzd2_9334 = BgL_lastzd2matchzd2_13997; 
BgL_iportz00_9333 = BgL_iportz00_13996; 
goto BgL_statezd2150zd21179z00_8585;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8710; } } } } } break;case ((long)37) : 

BgL_iportz00_8829 = BgL_iportz00_8899; 
BgL_lastzd2matchzd2_8830 = BgL_lastzd2matchzd2_8900; 
BgL_forwardz00_8831 = 
(((long)1)+BgL_forwardz00_8901); 
BgL_bufposz00_8832 = BgL_bufposz00_8902; 
BgL_statezd25zd21034z00_8527:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8833;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14002;
BgL_tmpz00_14002 = 
((obj_t)BgL_iportz00_8829); 
RGC_STOP_MATCH(BgL_tmpz00_14002, BgL_forwardz00_8831); } 
BgL_newzd2matchzd2_8833 = ((long)1); 
if(
(BgL_forwardz00_8831==BgL_bufposz00_8832))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8829)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1878z00_8834; long BgL_arg1879z00_8835;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14010;
BgL_tmpz00_14010 = 
((obj_t)BgL_iportz00_8829); 
BgL_arg1878z00_8834 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14010); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14013;
BgL_tmpz00_14013 = 
((obj_t)BgL_iportz00_8829); 
BgL_arg1879z00_8835 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14013); } 
{ 
 long BgL_bufposz00_14017; long BgL_forwardz00_14016;
BgL_forwardz00_14016 = BgL_arg1878z00_8834; 
BgL_bufposz00_14017 = BgL_arg1879z00_8835; 
BgL_bufposz00_8832 = BgL_bufposz00_14017; 
BgL_forwardz00_8831 = BgL_forwardz00_14016; 
goto BgL_statezd25zd21034z00_8527;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8833; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8836;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14018;
BgL_tmpz00_14018 = 
((obj_t)BgL_iportz00_8829); 
BgL_curz00_8836 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14018, BgL_forwardz00_8831); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8836)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8833; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9127 = BgL_iportz00_8829; 
BgL_lastzd2matchzd2_9128 = BgL_newzd2matchzd2_8833; 
BgL_forwardz00_9129 = 
(((long)1)+BgL_forwardz00_8831); 
BgL_bufposz00_9130 = BgL_bufposz00_8832; 
BgL_statezd2152zd21181z00_8562:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9131;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14024;
BgL_tmpz00_14024 = 
((obj_t)BgL_iportz00_9127); 
RGC_STOP_MATCH(BgL_tmpz00_14024, BgL_forwardz00_9129); } 
BgL_newzd2matchzd2_9131 = ((long)1); 
if(
(BgL_forwardz00_9129==BgL_bufposz00_9130))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9127)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2193z00_9132; long BgL_arg2194z00_9133;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14032;
BgL_tmpz00_14032 = 
((obj_t)BgL_iportz00_9127); 
BgL_arg2193z00_9132 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14032); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14035;
BgL_tmpz00_14035 = 
((obj_t)BgL_iportz00_9127); 
BgL_arg2194z00_9133 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14035); } 
{ 
 long BgL_bufposz00_14039; long BgL_forwardz00_14038;
BgL_forwardz00_14038 = BgL_arg2193z00_9132; 
BgL_bufposz00_14039 = BgL_arg2194z00_9133; 
BgL_bufposz00_9130 = BgL_bufposz00_14039; 
BgL_forwardz00_9129 = BgL_forwardz00_14038; 
goto BgL_statezd2152zd21181z00_8562;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9131; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9134;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14040;
BgL_tmpz00_14040 = 
((obj_t)BgL_iportz00_9127); 
BgL_curz00_9134 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14040, BgL_forwardz00_9129); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9134)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9131; }  else 
{ 
 long BgL_forwardz00_14047; long BgL_lastzd2matchzd2_14046;
BgL_lastzd2matchzd2_14046 = BgL_newzd2matchzd2_9131; 
BgL_forwardz00_14047 = 
(((long)1)+BgL_forwardz00_9129); 
BgL_forwardz00_9129 = BgL_forwardz00_14047; 
BgL_lastzd2matchzd2_9128 = BgL_lastzd2matchzd2_14046; 
goto BgL_statezd2152zd21181z00_8562;} } } } } } } } break;case ((long)35) : 

BgL_iportz00_8730 = BgL_iportz00_8899; 
BgL_lastzd2matchzd2_8731 = BgL_lastzd2matchzd2_8900; 
BgL_forwardz00_8732 = 
(((long)1)+BgL_forwardz00_8901); 
BgL_bufposz00_8733 = BgL_bufposz00_8902; 
BgL_statezd24zd21033z00_8515:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8734;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14051;
BgL_tmpz00_14051 = 
((obj_t)BgL_iportz00_8730); 
RGC_STOP_MATCH(BgL_tmpz00_14051, BgL_forwardz00_8732); } 
BgL_newzd2matchzd2_8734 = ((long)3); 
if(
(BgL_forwardz00_8732==BgL_bufposz00_8733))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8730)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1725z00_8735; long BgL_arg1726z00_8736;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14059;
BgL_tmpz00_14059 = 
((obj_t)BgL_iportz00_8730); 
BgL_arg1725z00_8735 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14059); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14062;
BgL_tmpz00_14062 = 
((obj_t)BgL_iportz00_8730); 
BgL_arg1726z00_8736 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14062); } 
{ 
 long BgL_bufposz00_14066; long BgL_forwardz00_14065;
BgL_forwardz00_14065 = BgL_arg1725z00_8735; 
BgL_bufposz00_14066 = BgL_arg1726z00_8736; 
BgL_bufposz00_8733 = BgL_bufposz00_14066; 
BgL_forwardz00_8732 = BgL_forwardz00_14065; 
goto BgL_statezd24zd21033z00_8515;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8734; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8737;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14067;
BgL_tmpz00_14067 = 
((obj_t)BgL_iportz00_8730); 
BgL_curz00_8737 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14067, BgL_forwardz00_8732); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4701z00_14070;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4702z00_14071;
if(
(
(long)(BgL_curz00_8737)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_test4702z00_14071 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4702z00_14071 = 
(
(long)(BgL_curz00_8737)==((long)9))
; } 
if(BgL_test4702z00_14071)
{ /* Llib/bibtex.scm 103 */
BgL_test4701z00_14070 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8737)==((long)13)))
{ /* Llib/bibtex.scm 103 */
BgL_test4701z00_14070 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4701z00_14070 = 
(
(long)(BgL_curz00_8737)==((long)32))
; } } } 
if(BgL_test4701z00_14070)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8968 = BgL_iportz00_8730; 
BgL_lastzd2matchzd2_8969 = BgL_newzd2matchzd2_8734; 
BgL_forwardz00_8970 = 
(((long)1)+BgL_forwardz00_8732); 
BgL_bufposz00_8971 = BgL_bufposz00_8733; 
BgL_statezd2153zd21182z00_8543:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8972;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14082;
BgL_tmpz00_14082 = 
((obj_t)BgL_iportz00_8968); 
RGC_STOP_MATCH(BgL_tmpz00_14082, BgL_forwardz00_8970); } 
BgL_newzd2matchzd2_8972 = ((long)3); 
if(
(BgL_forwardz00_8970==BgL_bufposz00_8971))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8968)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2024z00_8973; long BgL_arg2025z00_8974;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14090;
BgL_tmpz00_14090 = 
((obj_t)BgL_iportz00_8968); 
BgL_arg2024z00_8973 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14090); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14093;
BgL_tmpz00_14093 = 
((obj_t)BgL_iportz00_8968); 
BgL_arg2025z00_8974 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14093); } 
{ 
 long BgL_bufposz00_14097; long BgL_forwardz00_14096;
BgL_forwardz00_14096 = BgL_arg2024z00_8973; 
BgL_bufposz00_14097 = BgL_arg2025z00_8974; 
BgL_bufposz00_8971 = BgL_bufposz00_14097; 
BgL_forwardz00_8970 = BgL_forwardz00_14096; 
goto BgL_statezd2153zd21182z00_8543;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8972; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8975;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14098;
BgL_tmpz00_14098 = 
((obj_t)BgL_iportz00_8968); 
BgL_curz00_8975 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14098, BgL_forwardz00_8970); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4707z00_14101;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4708z00_14102;
if(
(
(long)(BgL_curz00_8975)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_test4708z00_14102 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4708z00_14102 = 
(
(long)(BgL_curz00_8975)==((long)9))
; } 
if(BgL_test4708z00_14102)
{ /* Llib/bibtex.scm 103 */
BgL_test4707z00_14101 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8975)==((long)13)))
{ /* Llib/bibtex.scm 103 */
BgL_test4707z00_14101 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4707z00_14101 = 
(
(long)(BgL_curz00_8975)==((long)32))
; } } } 
if(BgL_test4707z00_14101)
{ 
 long BgL_forwardz00_14114; long BgL_lastzd2matchzd2_14113;
BgL_lastzd2matchzd2_14113 = BgL_newzd2matchzd2_8972; 
BgL_forwardz00_14114 = 
(((long)1)+BgL_forwardz00_8970); 
BgL_forwardz00_8970 = BgL_forwardz00_14114; 
BgL_lastzd2matchzd2_8969 = BgL_lastzd2matchzd2_14113; 
goto BgL_statezd2153zd21182z00_8543;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8972; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8734; } } } } } break;case ((long)34) : 

BgL_iportz00_9551 = BgL_iportz00_8899; 
BgL_lastzd2matchzd2_9552 = BgL_lastzd2matchzd2_8900; 
BgL_forwardz00_9553 = 
(((long)1)+BgL_forwardz00_8901); 
BgL_bufposz00_9554 = BgL_bufposz00_8902; 
BgL_statezd23zd21032z00_8610:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9555;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14118;
BgL_tmpz00_14118 = 
((obj_t)BgL_iportz00_9551); 
RGC_STOP_MATCH(BgL_tmpz00_14118, BgL_forwardz00_9553); } 
BgL_newzd2matchzd2_9555 = ((long)42); 
if(
(BgL_forwardz00_9553==BgL_bufposz00_9554))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9551)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2679z00_9556; long BgL_arg2680z00_9557;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14126;
BgL_tmpz00_14126 = 
((obj_t)BgL_iportz00_9551); 
BgL_arg2679z00_9556 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14126); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14129;
BgL_tmpz00_14129 = 
((obj_t)BgL_iportz00_9551); 
BgL_arg2680z00_9557 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14129); } 
{ 
 long BgL_bufposz00_14133; long BgL_forwardz00_14132;
BgL_forwardz00_14132 = BgL_arg2679z00_9556; 
BgL_bufposz00_14133 = BgL_arg2680z00_9557; 
BgL_bufposz00_9554 = BgL_bufposz00_14133; 
BgL_forwardz00_9553 = BgL_forwardz00_14132; 
goto BgL_statezd23zd21032z00_8610;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9555; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9558;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14134;
BgL_tmpz00_14134 = 
((obj_t)BgL_iportz00_9551); 
BgL_curz00_9558 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14134, BgL_forwardz00_9553); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9558)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9484 = BgL_iportz00_9551; 
BgL_lastzd2matchzd2_9485 = BgL_newzd2matchzd2_9555; 
BgL_forwardz00_9486 = 
(((long)1)+BgL_forwardz00_9553); 
BgL_bufposz00_9487 = BgL_bufposz00_9554; 
BgL_statezd2156zd21185z00_8602:
if(
(BgL_forwardz00_9486==BgL_bufposz00_9487))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9484)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2605z00_9488; long BgL_arg2606z00_9489;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14145;
BgL_tmpz00_14145 = 
((obj_t)BgL_iportz00_9484); 
BgL_arg2605z00_9488 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14145); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14148;
BgL_tmpz00_14148 = 
((obj_t)BgL_iportz00_9484); 
BgL_arg2606z00_9489 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14148); } 
{ 
 long BgL_bufposz00_14152; long BgL_forwardz00_14151;
BgL_forwardz00_14151 = BgL_arg2605z00_9488; 
BgL_bufposz00_14152 = BgL_arg2606z00_9489; 
BgL_bufposz00_9487 = BgL_bufposz00_14152; 
BgL_forwardz00_9486 = BgL_forwardz00_14151; 
goto BgL_statezd2156zd21185z00_8602;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9485; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9490;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14153;
BgL_tmpz00_14153 = 
((obj_t)BgL_iportz00_9484); 
BgL_curz00_9490 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14153, BgL_forwardz00_9486); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9490)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9485; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9341 = BgL_iportz00_9484; 
BgL_lastzd2matchzd2_9342 = BgL_lastzd2matchzd2_9485; 
BgL_forwardz00_9343 = 
(((long)1)+BgL_forwardz00_9486); 
BgL_bufposz00_9344 = BgL_bufposz00_9487; 
BgL_statezd2154zd21183z00_8586:
if(
(BgL_forwardz00_9343==BgL_bufposz00_9344))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9341)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2458z00_9345; long BgL_arg2459z00_9346;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14164;
BgL_tmpz00_14164 = 
((obj_t)BgL_iportz00_9341); 
BgL_arg2458z00_9345 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14164); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14167;
BgL_tmpz00_14167 = 
((obj_t)BgL_iportz00_9341); 
BgL_arg2459z00_9346 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14167); } 
{ 
 long BgL_bufposz00_14171; long BgL_forwardz00_14170;
BgL_forwardz00_14170 = BgL_arg2458z00_9345; 
BgL_bufposz00_14171 = BgL_arg2459z00_9346; 
BgL_bufposz00_9344 = BgL_bufposz00_14171; 
BgL_forwardz00_9343 = BgL_forwardz00_14170; 
goto BgL_statezd2154zd21183z00_8586;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9342; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9347;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14172;
BgL_tmpz00_14172 = 
((obj_t)BgL_iportz00_9341); 
BgL_curz00_9347 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14172, BgL_forwardz00_9343); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9347)==((long)92)))
{ 
 long BgL_bufposz00_14182; long BgL_forwardz00_14180; long BgL_lastzd2matchzd2_14179; obj_t BgL_iportz00_14178;
BgL_iportz00_14178 = BgL_iportz00_9341; 
BgL_lastzd2matchzd2_14179 = BgL_lastzd2matchzd2_9342; 
BgL_forwardz00_14180 = 
(((long)1)+BgL_forwardz00_9343); 
BgL_bufposz00_14182 = BgL_bufposz00_9344; 
BgL_bufposz00_9487 = BgL_bufposz00_14182; 
BgL_forwardz00_9486 = BgL_forwardz00_14180; 
BgL_lastzd2matchzd2_9485 = BgL_lastzd2matchzd2_14179; 
BgL_iportz00_9484 = BgL_iportz00_14178; 
goto BgL_statezd2156zd21185z00_8602;}  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9347)==((long)34)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2463z00_9348;
BgL_arg2463z00_9348 = 
(((long)1)+BgL_forwardz00_9343); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9349;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14187;
BgL_tmpz00_14187 = 
((obj_t)BgL_iportz00_9341); 
RGC_STOP_MATCH(BgL_tmpz00_14187, BgL_arg2463z00_9348); } 
BgL_newzd2matchzd2_9349 = ((long)38); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9349; } }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4721z00_14190;
if(
(
(long)(BgL_curz00_9347)==((long)34)))
{ /* Llib/bibtex.scm 103 */
BgL_test4721z00_14190 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4721z00_14190 = 
(
(long)(BgL_curz00_9347)==((long)92))
; } 
if(BgL_test4721z00_14190)
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9342; }  else 
{ 
 long BgL_forwardz00_14196;
BgL_forwardz00_14196 = 
(((long)1)+BgL_forwardz00_9343); 
BgL_forwardz00_9343 = BgL_forwardz00_14196; 
goto BgL_statezd2154zd21183z00_8586;} } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9558)==((long)34)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2684z00_9559;
BgL_arg2684z00_9559 = 
(((long)1)+BgL_forwardz00_9553); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9560;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14204;
BgL_tmpz00_14204 = 
((obj_t)BgL_iportz00_9551); 
RGC_STOP_MATCH(BgL_tmpz00_14204, BgL_arg2684z00_9559); } 
BgL_newzd2matchzd2_9560 = ((long)38); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9560; } }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4724z00_14207;
if(
(
(long)(BgL_curz00_9558)==((long)34)))
{ /* Llib/bibtex.scm 103 */
BgL_test4724z00_14207 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4724z00_14207 = 
(
(long)(BgL_curz00_9558)==((long)92))
; } 
if(BgL_test4724z00_14207)
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9555; }  else 
{ 
 long BgL_bufposz00_14217; long BgL_forwardz00_14215; long BgL_lastzd2matchzd2_14214; obj_t BgL_iportz00_14213;
BgL_iportz00_14213 = BgL_iportz00_9551; 
BgL_lastzd2matchzd2_14214 = BgL_newzd2matchzd2_9555; 
BgL_forwardz00_14215 = 
(((long)1)+BgL_forwardz00_9553); 
BgL_bufposz00_14217 = BgL_bufposz00_9554; 
BgL_bufposz00_9344 = BgL_bufposz00_14217; 
BgL_forwardz00_9343 = BgL_forwardz00_14215; 
BgL_lastzd2matchzd2_9342 = BgL_lastzd2matchzd2_14214; 
BgL_iportz00_9341 = BgL_iportz00_14213; 
goto BgL_statezd2154zd21183z00_8586;} } } } } } break;case ((long)32) : 
case ((long)13) : 
case ((long)10) : 
case ((long)9) : 

BgL_iportz00_9597 = BgL_iportz00_8899; 
BgL_lastzd2matchzd2_9598 = BgL_lastzd2matchzd2_8900; 
BgL_forwardz00_9599 = 
(((long)1)+BgL_forwardz00_8901); 
BgL_bufposz00_9600 = BgL_bufposz00_8902; 
BgL_statezd22zd21031z00_8616:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9601;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14219;
BgL_tmpz00_14219 = 
((obj_t)BgL_iportz00_9597); 
RGC_STOP_MATCH(BgL_tmpz00_14219, BgL_forwardz00_9599); } 
BgL_newzd2matchzd2_9601 = ((long)0); 
if(
(BgL_forwardz00_9599==BgL_bufposz00_9600))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9597)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2742z00_9602; long BgL_arg2743z00_9603;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14227;
BgL_tmpz00_14227 = 
((obj_t)BgL_iportz00_9597); 
BgL_arg2742z00_9602 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14227); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14230;
BgL_tmpz00_14230 = 
((obj_t)BgL_iportz00_9597); 
BgL_arg2743z00_9603 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14230); } 
{ 
 long BgL_bufposz00_14234; long BgL_forwardz00_14233;
BgL_forwardz00_14233 = BgL_arg2742z00_9602; 
BgL_bufposz00_14234 = BgL_arg2743z00_9603; 
BgL_bufposz00_9600 = BgL_bufposz00_14234; 
BgL_forwardz00_9599 = BgL_forwardz00_14233; 
goto BgL_statezd22zd21031z00_8616;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9601; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9604;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14235;
BgL_tmpz00_14235 = 
((obj_t)BgL_iportz00_9597); 
BgL_curz00_9604 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14235, BgL_forwardz00_9599); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9604)==((long)35)))
{ 
 long BgL_bufposz00_14245; long BgL_forwardz00_14243; long BgL_lastzd2matchzd2_14242; obj_t BgL_iportz00_14241;
BgL_iportz00_14241 = BgL_iportz00_9597; 
BgL_lastzd2matchzd2_14242 = BgL_newzd2matchzd2_9601; 
BgL_forwardz00_14243 = 
(((long)1)+BgL_forwardz00_9599); 
BgL_bufposz00_14245 = BgL_bufposz00_9600; 
BgL_bufposz00_8971 = BgL_bufposz00_14245; 
BgL_forwardz00_8970 = BgL_forwardz00_14243; 
BgL_lastzd2matchzd2_8969 = BgL_lastzd2matchzd2_14242; 
BgL_iportz00_8968 = BgL_iportz00_14241; 
goto BgL_statezd2153zd21182z00_8543;}  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4729z00_14246;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4730z00_14247;
if(
(
(long)(BgL_curz00_9604)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_test4730z00_14247 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4730z00_14247 = 
(
(long)(BgL_curz00_9604)==((long)9))
; } 
if(BgL_test4730z00_14247)
{ /* Llib/bibtex.scm 103 */
BgL_test4729z00_14246 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9604)==((long)13)))
{ /* Llib/bibtex.scm 103 */
BgL_test4729z00_14246 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4729z00_14246 = 
(
(long)(BgL_curz00_9604)==((long)32))
; } } } 
if(BgL_test4729z00_14246)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8983 = BgL_iportz00_9597; 
BgL_lastzd2matchzd2_8984 = BgL_newzd2matchzd2_9601; 
BgL_forwardz00_8985 = 
(((long)1)+BgL_forwardz00_9599); 
BgL_bufposz00_8986 = BgL_bufposz00_9600; 
BgL_statezd2157zd21186z00_8545:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8987;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14258;
BgL_tmpz00_14258 = 
((obj_t)BgL_iportz00_8983); 
RGC_STOP_MATCH(BgL_tmpz00_14258, BgL_forwardz00_8985); } 
BgL_newzd2matchzd2_8987 = ((long)0); 
if(
(BgL_forwardz00_8985==BgL_bufposz00_8986))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8983)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2053z00_8988; long BgL_arg2054z00_8989;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14266;
BgL_tmpz00_14266 = 
((obj_t)BgL_iportz00_8983); 
BgL_arg2053z00_8988 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14266); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14269;
BgL_tmpz00_14269 = 
((obj_t)BgL_iportz00_8983); 
BgL_arg2054z00_8989 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14269); } 
{ 
 long BgL_bufposz00_14273; long BgL_forwardz00_14272;
BgL_forwardz00_14272 = BgL_arg2053z00_8988; 
BgL_bufposz00_14273 = BgL_arg2054z00_8989; 
BgL_bufposz00_8986 = BgL_bufposz00_14273; 
BgL_forwardz00_8985 = BgL_forwardz00_14272; 
goto BgL_statezd2157zd21186z00_8545;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8987; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8990;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14274;
BgL_tmpz00_14274 = 
((obj_t)BgL_iportz00_8983); 
BgL_curz00_8990 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14274, BgL_forwardz00_8985); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8990)==((long)35)))
{ 
 long BgL_bufposz00_14284; long BgL_forwardz00_14282; long BgL_lastzd2matchzd2_14281; obj_t BgL_iportz00_14280;
BgL_iportz00_14280 = BgL_iportz00_8983; 
BgL_lastzd2matchzd2_14281 = BgL_newzd2matchzd2_8987; 
BgL_forwardz00_14282 = 
(((long)1)+BgL_forwardz00_8985); 
BgL_bufposz00_14284 = BgL_bufposz00_8986; 
BgL_bufposz00_8971 = BgL_bufposz00_14284; 
BgL_forwardz00_8970 = BgL_forwardz00_14282; 
BgL_lastzd2matchzd2_8969 = BgL_lastzd2matchzd2_14281; 
BgL_iportz00_8968 = BgL_iportz00_14280; 
goto BgL_statezd2153zd21182z00_8543;}  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4736z00_14285;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4737z00_14286;
if(
(
(long)(BgL_curz00_8990)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_test4737z00_14286 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4737z00_14286 = 
(
(long)(BgL_curz00_8990)==((long)9))
; } 
if(BgL_test4737z00_14286)
{ /* Llib/bibtex.scm 103 */
BgL_test4736z00_14285 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8990)==((long)13)))
{ /* Llib/bibtex.scm 103 */
BgL_test4736z00_14285 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4736z00_14285 = 
(
(long)(BgL_curz00_8990)==((long)32))
; } } } 
if(BgL_test4736z00_14285)
{ 
 long BgL_forwardz00_14298; long BgL_lastzd2matchzd2_14297;
BgL_lastzd2matchzd2_14297 = BgL_newzd2matchzd2_8987; 
BgL_forwardz00_14298 = 
(((long)1)+BgL_forwardz00_8985); 
BgL_forwardz00_8985 = BgL_forwardz00_14298; 
BgL_lastzd2matchzd2_8984 = BgL_lastzd2matchzd2_14297; 
goto BgL_statezd2157zd21186z00_8545;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8987; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9601; } } } } } break;case ((long)255) : 
case ((long)254) : 
case ((long)253) : 
case ((long)252) : 
case ((long)251) : 
case ((long)250) : 
case ((long)249) : 
case ((long)248) : 
case ((long)247) : 
case ((long)246) : 
case ((long)245) : 
case ((long)244) : 
case ((long)243) : 
case ((long)242) : 
case ((long)241) : 
case ((long)240) : 
case ((long)239) : 
case ((long)238) : 
case ((long)237) : 
case ((long)236) : 
case ((long)235) : 
case ((long)234) : 
case ((long)233) : 
case ((long)232) : 
case ((long)231) : 
case ((long)230) : 
case ((long)229) : 
case ((long)228) : 
case ((long)227) : 
case ((long)226) : 
case ((long)225) : 
case ((long)224) : 
case ((long)223) : 
case ((long)222) : 
case ((long)221) : 
case ((long)220) : 
case ((long)219) : 
case ((long)218) : 
case ((long)217) : 
case ((long)216) : 
case ((long)215) : 
case ((long)214) : 
case ((long)213) : 
case ((long)212) : 
case ((long)211) : 
case ((long)210) : 
case ((long)209) : 
case ((long)208) : 
case ((long)207) : 
case ((long)206) : 
case ((long)205) : 
case ((long)204) : 
case ((long)203) : 
case ((long)202) : 
case ((long)201) : 
case ((long)200) : 
case ((long)199) : 
case ((long)198) : 
case ((long)197) : 
case ((long)196) : 
case ((long)195) : 
case ((long)194) : 
case ((long)193) : 
case ((long)192) : 
case ((long)191) : 
case ((long)190) : 
case ((long)189) : 
case ((long)188) : 
case ((long)187) : 
case ((long)186) : 
case ((long)185) : 
case ((long)184) : 
case ((long)183) : 
case ((long)182) : 
case ((long)181) : 
case ((long)180) : 
case ((long)179) : 
case ((long)178) : 
case ((long)177) : 
case ((long)176) : 
case ((long)175) : 
case ((long)174) : 
case ((long)173) : 
case ((long)172) : 
case ((long)171) : 
case ((long)170) : 
case ((long)169) : 
case ((long)168) : 
case ((long)167) : 
case ((long)166) : 
case ((long)165) : 
case ((long)164) : 
case ((long)163) : 
case ((long)162) : 
case ((long)161) : 
case ((long)160) : 
case ((long)159) : 
case ((long)158) : 
case ((long)157) : 
case ((long)156) : 
case ((long)155) : 
case ((long)154) : 
case ((long)153) : 
case ((long)152) : 
case ((long)151) : 
case ((long)150) : 
case ((long)149) : 
case ((long)148) : 
case ((long)147) : 
case ((long)146) : 
case ((long)145) : 
case ((long)144) : 
case ((long)143) : 
case ((long)142) : 
case ((long)141) : 
case ((long)140) : 
case ((long)139) : 
case ((long)138) : 
case ((long)137) : 
case ((long)136) : 
case ((long)135) : 
case ((long)134) : 
case ((long)133) : 
case ((long)132) : 
case ((long)131) : 
case ((long)130) : 
case ((long)129) : 
case ((long)128) : 
case ((long)127) : 
case ((long)126) : 
case ((long)124) : 
case ((long)96) : 
case ((long)94) : 
case ((long)93) : 
case ((long)91) : 
case ((long)62) : 
case ((long)60) : 
case ((long)59) : 
case ((long)41) : 
case ((long)40) : 
case ((long)39) : 
case ((long)36) : 
case ((long)33) : 
case ((long)31) : 
case ((long)30) : 
case ((long)29) : 
case ((long)28) : 
case ((long)27) : 
case ((long)26) : 
case ((long)25) : 
case ((long)24) : 
case ((long)23) : 
case ((long)22) : 
case ((long)21) : 
case ((long)20) : 
case ((long)19) : 
case ((long)18) : 
case ((long)17) : 
case ((long)16) : 
case ((long)15) : 
case ((long)14) : 
case ((long)12) : 
case ((long)11) : 
case ((long)8) : 
case ((long)7) : 
case ((long)6) : 
case ((long)5) : 
case ((long)4) : 
case ((long)3) : 
case ((long)2) : 
case ((long)1) : 
case ((long)0) : 

{ /* Llib/bibtex.scm 103 */
 long BgL_arg1974z00_8912;
BgL_arg1974z00_8912 = 
(((long)1)+BgL_forwardz00_8901); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8913;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14303;
BgL_tmpz00_14303 = 
((obj_t)BgL_iportz00_8899); 
RGC_STOP_MATCH(BgL_tmpz00_14303, BgL_arg1974z00_8912); } 
BgL_newzd2matchzd2_8913 = ((long)42); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8913; } } break;
default: 
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8900; } } } } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14308;
BgL_tmpz00_14308 = 
((obj_t)BgL_iportz00_8028); 
RGC_SET_FILEPOS(BgL_tmpz00_14308); } 
switch( BgL_matchz00_9679) { case ((long)42) : 

{ /* Llib/bibtex.scm 229 */
 obj_t BgL_cz00_9682;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4740z00_14311;
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2908z00_9678;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14312;
BgL_tmpz00_14312 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2908z00_9678 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14312); } 
BgL_test4740z00_14311 = 
(BgL_arg2908z00_9678==((long)0)); } 
if(BgL_test4740z00_14311)
{ /* Llib/bibtex.scm 103 */
BgL_cz00_9682 = BEOF; }  else 
{ /* Llib/bibtex.scm 103 */
 unsigned char BgL_tmpz00_14316;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14317;
BgL_tmpz00_14317 = 
((obj_t)BgL_iportz00_8028); 
BgL_tmpz00_14316 = 
RGC_BUFFER_CHARACTER(BgL_tmpz00_14317); } 
BgL_cz00_9682 = 
BCHAR(BgL_tmpz00_14316); } } 
if(
EOF_OBJECTP(BgL_cz00_9682))
{ /* Llib/bibtex.scm 230 */
return BgL_cz00_9682;}  else 
{ /* Llib/bibtex.scm 232 */
 obj_t BgL_arg2917z00_9683;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9684; long BgL_arg3361z00_9685;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14323;
BgL_tmpz00_14323 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9684 = 
INPUT_PORT_NAME(BgL_tmpz00_14323); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14326;
BgL_tmpz00_14326 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9685 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14326); } 
BgL_arg2917z00_9683 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9684, 
BINT(BgL_arg3361z00_9685)); } 
{ /* Llib/bibtex.scm 232 */
 obj_t BgL_list2918z00_9686;
{ /* Llib/bibtex.scm 232 */
 obj_t BgL_arg2919z00_9687;
{ /* Llib/bibtex.scm 232 */
 obj_t BgL_arg2920z00_9688;
BgL_arg2920z00_9688 = 
MAKE_YOUNG_PAIR(BgL_cz00_9682, BNIL); 
BgL_arg2919z00_9687 = 
MAKE_YOUNG_PAIR(BgL_arg2917z00_9683, BgL_arg2920z00_9688); } 
BgL_list2918z00_9686 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg2919z00_9687); } 
return BgL_list2918z00_9686;} } } break;case ((long)41) : 

{ /* Llib/bibtex.scm 223 */
 obj_t BgL_sz00_9689;
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2834z00_9690;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14335;
BgL_tmpz00_14335 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2834z00_9690 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14335); } 
BgL_sz00_9689 = 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8028), ((long)0), BgL_arg2834z00_9690); } 
if(
bigloo_strcicmp(BgL_sz00_9689, BGl_string4063z00zz__text_bibtexz00))
{ /* Llib/bibtex.scm 225 */
 obj_t BgL_arg2923z00_9691; obj_t BgL_arg2924z00_9692;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9693; long BgL_arg3361z00_9694;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14342;
BgL_tmpz00_14342 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9693 = 
INPUT_PORT_NAME(BgL_tmpz00_14342); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14345;
BgL_tmpz00_14345 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9694 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14345); } 
BgL_arg2923z00_9691 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9693, 
BINT(BgL_arg3361z00_9694)); } 
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2834z00_9695;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14350;
BgL_tmpz00_14350 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2834z00_9695 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14350); } 
BgL_arg2924z00_9692 = 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8028), ((long)0), BgL_arg2834z00_9695); } 
{ /* Llib/bibtex.scm 225 */
 obj_t BgL_list2925z00_9696;
{ /* Llib/bibtex.scm 225 */
 obj_t BgL_arg2926z00_9697;
{ /* Llib/bibtex.scm 225 */
 obj_t BgL_arg2927z00_9698;
BgL_arg2927z00_9698 = 
MAKE_YOUNG_PAIR(BgL_arg2924z00_9692, BNIL); 
BgL_arg2926z00_9697 = 
MAKE_YOUNG_PAIR(BgL_arg2923z00_9691, BgL_arg2927z00_9698); } 
BgL_list2925z00_9696 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)15)), BgL_arg2926z00_9697); } 
return BgL_list2925z00_9696;} }  else 
{ /* Llib/bibtex.scm 226 */
 obj_t BgL_arg2929z00_9699; obj_t BgL_arg2930z00_9700;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9701; long BgL_arg3361z00_9702;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14359;
BgL_tmpz00_14359 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9701 = 
INPUT_PORT_NAME(BgL_tmpz00_14359); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14362;
BgL_tmpz00_14362 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9702 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14362); } 
BgL_arg2929z00_9699 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9701, 
BINT(BgL_arg3361z00_9702)); } 
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2834z00_9703;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14367;
BgL_tmpz00_14367 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2834z00_9703 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14367); } 
BgL_arg2930z00_9700 = 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8028), ((long)0), BgL_arg2834z00_9703); } 
{ /* Llib/bibtex.scm 226 */
 obj_t BgL_list2931z00_9704;
{ /* Llib/bibtex.scm 226 */
 obj_t BgL_arg2932z00_9705;
{ /* Llib/bibtex.scm 226 */
 obj_t BgL_arg2933z00_9706;
BgL_arg2933z00_9706 = 
MAKE_YOUNG_PAIR(BgL_arg2930z00_9700, BNIL); 
BgL_arg2932z00_9705 = 
MAKE_YOUNG_PAIR(BgL_arg2929z00_9699, BgL_arg2933z00_9706); } 
BgL_list2931z00_9704 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)16)), BgL_arg2932z00_9705); } 
return BgL_list2931z00_9704;} } } break;case ((long)40) : 

{ /* Llib/bibtex.scm 220 */
 obj_t BgL_arg2935z00_9707; obj_t BgL_arg2936z00_9708;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9709; long BgL_arg3361z00_9710;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14376;
BgL_tmpz00_14376 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9709 = 
INPUT_PORT_NAME(BgL_tmpz00_14376); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14379;
BgL_tmpz00_14379 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9710 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14379); } 
BgL_arg2935z00_9707 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9709, 
BINT(BgL_arg3361z00_9710)); } 
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2834z00_9711;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14384;
BgL_tmpz00_14384 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2834z00_9711 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14384); } 
BgL_arg2936z00_9708 = 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8028), ((long)0), BgL_arg2834z00_9711); } 
{ /* Llib/bibtex.scm 220 */
 obj_t BgL_list2937z00_9712;
{ /* Llib/bibtex.scm 220 */
 obj_t BgL_arg2938z00_9713;
{ /* Llib/bibtex.scm 220 */
 obj_t BgL_arg2939z00_9714;
BgL_arg2939z00_9714 = 
MAKE_YOUNG_PAIR(BgL_arg2936z00_9708, BNIL); 
BgL_arg2938z00_9713 = 
MAKE_YOUNG_PAIR(BgL_arg2935z00_9707, BgL_arg2939z00_9714); } 
BgL_list2937z00_9712 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)17)), BgL_arg2938z00_9713); } 
return BgL_list2937z00_9712;} } break;case ((long)39) : 

{ /* Llib/bibtex.scm 211 */
 obj_t BgL_strz00_9715;
{ /* Llib/bibtex.scm 211 */
 obj_t BgL_arg2951z00_9716;
{ /* Llib/bibtex.scm 211 */
 long BgL_arg2952z00_9717;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14393;
BgL_tmpz00_14393 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2952z00_9717 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14393); } 
BgL_arg2951z00_9716 = 
BGl_thezd2substringze71z35zz__text_bibtexz00(BgL_iportz00_8028, 
(int)(((long)1)), 
(int)(BgL_arg2952z00_9717)); } 
BgL_strz00_9715 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_arg2951z00_9716); } 
{ /* Llib/bibtex.scm 211 */
 obj_t BgL_symz00_9718;
BgL_symz00_9718 = 
bstring_to_symbol(BgL_strz00_9715); 
{ /* Llib/bibtex.scm 212 */

if(
(BgL_symz00_9718==
CNST_TABLE_REF(((long)18))))
{ /* Llib/bibtex.scm 215 */
 obj_t BgL_arg2942z00_9719;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9720; long BgL_arg3361z00_9721;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14404;
BgL_tmpz00_14404 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9720 = 
INPUT_PORT_NAME(BgL_tmpz00_14404); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14407;
BgL_tmpz00_14407 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9721 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14407); } 
BgL_arg2942z00_9719 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9720, 
BINT(BgL_arg3361z00_9721)); } 
{ /* Llib/bibtex.scm 215 */
 obj_t BgL_list2943z00_9722;
{ /* Llib/bibtex.scm 215 */
 obj_t BgL_arg2944z00_9723;
BgL_arg2944z00_9723 = 
MAKE_YOUNG_PAIR(BgL_arg2942z00_9719, BNIL); 
BgL_list2943z00_9722 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BgL_arg2944z00_9723); } 
return BgL_list2943z00_9722;} }  else 
{ /* Llib/bibtex.scm 217 */
 obj_t BgL_arg2946z00_9724;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9725; long BgL_arg3361z00_9726;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14415;
BgL_tmpz00_14415 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9725 = 
INPUT_PORT_NAME(BgL_tmpz00_14415); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14418;
BgL_tmpz00_14418 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9726 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14418); } 
BgL_arg2946z00_9724 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9725, 
BINT(BgL_arg3361z00_9726)); } 
{ /* Llib/bibtex.scm 217 */
 obj_t BgL_list2947z00_9727;
{ /* Llib/bibtex.scm 217 */
 obj_t BgL_arg2948z00_9728;
{ /* Llib/bibtex.scm 217 */
 obj_t BgL_arg2949z00_9729;
BgL_arg2949z00_9729 = 
MAKE_YOUNG_PAIR(BgL_symz00_9718, BNIL); 
BgL_arg2948z00_9728 = 
MAKE_YOUNG_PAIR(BgL_arg2946z00_9724, BgL_arg2949z00_9729); } 
BgL_list2947z00_9727 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)20)), BgL_arg2948z00_9728); } 
return BgL_list2947z00_9727;} } } } } break;case ((long)38) : 

{ /* Llib/bibtex.scm 207 */
 obj_t BgL_arg2953z00_9730; obj_t BgL_arg2954z00_9731;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9732; long BgL_arg3361z00_9733;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14427;
BgL_tmpz00_14427 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9732 = 
INPUT_PORT_NAME(BgL_tmpz00_14427); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14430;
BgL_tmpz00_14430 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9733 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14430); } 
BgL_arg2953z00_9730 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9732, 
BINT(BgL_arg3361z00_9733)); } 
{ /* Llib/bibtex.scm 208 */
 long BgL_arg2959z00_9734;
{ /* Llib/bibtex.scm 208 */
 long BgL_arg2960z00_9735;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14435;
BgL_tmpz00_14435 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2960z00_9735 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14435); } 
BgL_arg2959z00_9734 = 
(BgL_arg2960z00_9735-((long)1)); } 
BgL_arg2954z00_9731 = 
BGl_thezd2substringze71z35zz__text_bibtexz00(BgL_iportz00_8028, 
(int)(((long)1)), 
(int)(BgL_arg2959z00_9734)); } 
{ /* Llib/bibtex.scm 206 */
 obj_t BgL_list2955z00_9736;
{ /* Llib/bibtex.scm 206 */
 obj_t BgL_arg2956z00_9737;
{ /* Llib/bibtex.scm 206 */
 obj_t BgL_arg2957z00_9738;
BgL_arg2957z00_9738 = 
MAKE_YOUNG_PAIR(BgL_arg2954z00_9731, BNIL); 
BgL_arg2956z00_9737 = 
MAKE_YOUNG_PAIR(BgL_arg2953z00_9730, BgL_arg2957z00_9738); } 
BgL_list2955z00_9736 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BgL_arg2956z00_9737); } 
return BgL_list2955z00_9736;} } break;case ((long)37) : 

{ /* Llib/bibtex.scm 190 */
 obj_t BgL_sz00_9739;
{ /* Llib/bibtex.scm 190 */
 long BgL_arg2988z00_9740;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14446;
BgL_tmpz00_14446 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2988z00_9740 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14446); } 
BgL_sz00_9739 = 
BGl_thezd2substringze71z35zz__text_bibtexz00(BgL_iportz00_8028, 
(int)(((long)1)), 
(int)(BgL_arg2988z00_9740)); } 
if(
CBOOL(
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BgL_sz00_9739, 
CNST_TABLE_REF(((long)21)))))
{ /* Llib/bibtex.scm 193 */
 obj_t BgL_arg2962z00_9741;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9742; long BgL_arg3361z00_9743;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14456;
BgL_tmpz00_14456 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9742 = 
INPUT_PORT_NAME(BgL_tmpz00_14456); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14459;
BgL_tmpz00_14459 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9743 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14459); } 
BgL_arg2962z00_9741 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9742, 
BINT(BgL_arg3361z00_9743)); } 
{ /* Llib/bibtex.scm 193 */
 obj_t BgL_list2963z00_9744;
{ /* Llib/bibtex.scm 193 */
 obj_t BgL_arg2964z00_9745;
{ /* Llib/bibtex.scm 193 */
 obj_t BgL_arg2965z00_9746;
BgL_arg2965z00_9746 = 
MAKE_YOUNG_PAIR(BgL_sz00_9739, BNIL); 
BgL_arg2964z00_9745 = 
MAKE_YOUNG_PAIR(BgL_arg2962z00_9741, BgL_arg2965z00_9746); } 
BgL_list2963z00_9744 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)16)), BgL_arg2964z00_9745); } 
return BgL_list2963z00_9744;} }  else 
{ /* Llib/bibtex.scm 194 */
 bool_t BgL_test4745z00_14468;
if(
bigloo_strcmp_at(BgL_sz00_9739, BGl_string4064z00zz__text_bibtexz00, ((long)0)))
{ /* Llib/bibtex.scm 195 */
 obj_t BgL_patz00_9747;
BgL_patz00_9747 = BGl_pregexp1260z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 195 */
 long BgL_endz00_9748;
BgL_endz00_9748 = 
STRING_LENGTH(BgL_sz00_9739); 
{ /* Llib/bibtex.scm 195 */

BgL_test4745z00_14468 = 
CBOOL(
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_9747, BgL_sz00_9739, 
BINT(((long)0)), 
BINT(BgL_endz00_9748))); } } }  else 
{ /* Llib/bibtex.scm 194 */
BgL_test4745z00_14468 = ((bool_t)0)
; } 
if(BgL_test4745z00_14468)
{ /* Llib/bibtex.scm 197 */
 obj_t BgL_arg2969z00_9749; obj_t BgL_arg2970z00_9750;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9751; long BgL_arg3361z00_9752;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14476;
BgL_tmpz00_14476 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9751 = 
INPUT_PORT_NAME(BgL_tmpz00_14476); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14479;
BgL_tmpz00_14479 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9752 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14479); } 
BgL_arg2969z00_9749 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9751, 
BINT(BgL_arg3361z00_9752)); } 
BgL_arg2970z00_9750 = 
string_append(BGl_string4065z00zz__text_bibtexz00, BgL_sz00_9739); 
{ /* Llib/bibtex.scm 196 */
 obj_t BgL_list2971z00_9753;
{ /* Llib/bibtex.scm 196 */
 obj_t BgL_arg2972z00_9754;
{ /* Llib/bibtex.scm 196 */
 obj_t BgL_arg2973z00_9755;
BgL_arg2973z00_9755 = 
MAKE_YOUNG_PAIR(BgL_arg2970z00_9750, BNIL); 
BgL_arg2972z00_9754 = 
MAKE_YOUNG_PAIR(BgL_arg2969z00_9749, BgL_arg2973z00_9755); } 
BgL_list2971z00_9753 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)22)), BgL_arg2972z00_9754); } 
return BgL_list2971z00_9753;} }  else 
{ /* Llib/bibtex.scm 199 */
 bool_t BgL_test4747z00_14489;
if(
(
STRING_LENGTH(BgL_sz00_9739)==((long)1)))
{ /* Llib/bibtex.scm 199 */
BgL_test4747z00_14489 = 
CBOOL(
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(
BCHAR(
STRING_REF(BgL_sz00_9739, ((long)0))), 
CNST_TABLE_REF(((long)23))))
; }  else 
{ /* Llib/bibtex.scm 199 */
BgL_test4747z00_14489 = ((bool_t)0)
; } 
if(BgL_test4747z00_14489)
{ /* Llib/bibtex.scm 201 */
 obj_t BgL_arg2980z00_9756; unsigned char BgL_arg2981z00_9757;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9758; long BgL_arg3361z00_9759;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14498;
BgL_tmpz00_14498 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9758 = 
INPUT_PORT_NAME(BgL_tmpz00_14498); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14501;
BgL_tmpz00_14501 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9759 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14501); } 
BgL_arg2980z00_9756 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9758, 
BINT(BgL_arg3361z00_9759)); } 
BgL_arg2981z00_9757 = 
STRING_REF(BgL_sz00_9739, ((long)0)); 
{ /* Llib/bibtex.scm 201 */
 obj_t BgL_list2982z00_9760;
{ /* Llib/bibtex.scm 201 */
 obj_t BgL_arg2983z00_9761;
{ /* Llib/bibtex.scm 201 */
 obj_t BgL_arg2984z00_9762;
BgL_arg2984z00_9762 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg2981z00_9757), BNIL); 
BgL_arg2983z00_9761 = 
MAKE_YOUNG_PAIR(BgL_arg2980z00_9756, BgL_arg2984z00_9762); } 
BgL_list2982z00_9760 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg2983z00_9761); } 
return BgL_list2982z00_9760;} }  else 
{ /* Llib/bibtex.scm 199 */
goto BgL_ignorez00_8627;} } } } break;case ((long)36) : 

{ /* Llib/bibtex.scm 187 */
 obj_t BgL_arg2989z00_9763;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9764; long BgL_arg3361z00_9765;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14512;
BgL_tmpz00_14512 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9764 = 
INPUT_PORT_NAME(BgL_tmpz00_14512); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14515;
BgL_tmpz00_14515 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9765 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14515); } 
BgL_arg2989z00_9763 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9764, 
BINT(BgL_arg3361z00_9765)); } 
{ /* Llib/bibtex.scm 187 */
 obj_t BgL_list2990z00_9766;
{ /* Llib/bibtex.scm 187 */
 obj_t BgL_arg2991z00_9767;
{ /* Llib/bibtex.scm 187 */
 obj_t BgL_arg2992z00_9768;
BgL_arg2992z00_9768 = 
MAKE_YOUNG_PAIR(BGl_string4066z00zz__text_bibtexz00, BNIL); 
BgL_arg2991z00_9767 = 
MAKE_YOUNG_PAIR(BgL_arg2989z00_9763, BgL_arg2992z00_9768); } 
BgL_list2990z00_9766 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg2991z00_9767); } 
return BgL_list2990z00_9766;} } break;case ((long)35) : 

{ /* Llib/bibtex.scm 185 */
 obj_t BgL_arg2994z00_9769;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9770; long BgL_arg3361z00_9771;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14524;
BgL_tmpz00_14524 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9770 = 
INPUT_PORT_NAME(BgL_tmpz00_14524); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14527;
BgL_tmpz00_14527 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9771 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14527); } 
BgL_arg2994z00_9769 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9770, 
BINT(BgL_arg3361z00_9771)); } 
{ /* Llib/bibtex.scm 185 */
 obj_t BgL_list2995z00_9772;
{ /* Llib/bibtex.scm 185 */
 obj_t BgL_arg2996z00_9773;
{ /* Llib/bibtex.scm 185 */
 obj_t BgL_arg2997z00_9774;
BgL_arg2997z00_9774 = 
MAKE_YOUNG_PAIR(BGl_string4067z00zz__text_bibtexz00, BNIL); 
BgL_arg2996z00_9773 = 
MAKE_YOUNG_PAIR(BgL_arg2994z00_9769, BgL_arg2997z00_9774); } 
BgL_list2995z00_9772 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg2996z00_9773); } 
return BgL_list2995z00_9772;} } break;case ((long)34) : 

{ /* Llib/bibtex.scm 183 */
 obj_t BgL_arg2999z00_9775;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9776; long BgL_arg3361z00_9777;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14536;
BgL_tmpz00_14536 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9776 = 
INPUT_PORT_NAME(BgL_tmpz00_14536); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14539;
BgL_tmpz00_14539 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9777 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14539); } 
BgL_arg2999z00_9775 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9776, 
BINT(BgL_arg3361z00_9777)); } 
{ /* Llib/bibtex.scm 183 */
 obj_t BgL_list3000z00_9778;
{ /* Llib/bibtex.scm 183 */
 obj_t BgL_arg3001z00_9779;
{ /* Llib/bibtex.scm 183 */
 obj_t BgL_arg3002z00_9780;
BgL_arg3002z00_9780 = 
MAKE_YOUNG_PAIR(BGl_string4068z00zz__text_bibtexz00, BNIL); 
BgL_arg3001z00_9779 = 
MAKE_YOUNG_PAIR(BgL_arg2999z00_9775, BgL_arg3002z00_9780); } 
BgL_list3000z00_9778 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3001z00_9779); } 
return BgL_list3000z00_9778;} } break;case ((long)33) : 

{ /* Llib/bibtex.scm 181 */
 obj_t BgL_arg3004z00_9781;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9782; long BgL_arg3361z00_9783;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14548;
BgL_tmpz00_14548 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9782 = 
INPUT_PORT_NAME(BgL_tmpz00_14548); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14551;
BgL_tmpz00_14551 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9783 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14551); } 
BgL_arg3004z00_9781 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9782, 
BINT(BgL_arg3361z00_9783)); } 
{ /* Llib/bibtex.scm 181 */
 obj_t BgL_list3005z00_9784;
{ /* Llib/bibtex.scm 181 */
 obj_t BgL_arg3006z00_9785;
{ /* Llib/bibtex.scm 181 */
 obj_t BgL_arg3007z00_9786;
BgL_arg3007z00_9786 = 
MAKE_YOUNG_PAIR(BGl_string4069z00zz__text_bibtexz00, BNIL); 
BgL_arg3006z00_9785 = 
MAKE_YOUNG_PAIR(BgL_arg3004z00_9781, BgL_arg3007z00_9786); } 
BgL_list3005z00_9784 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3006z00_9785); } 
return BgL_list3005z00_9784;} } break;case ((long)32) : 

{ /* Llib/bibtex.scm 179 */
 obj_t BgL_arg3009z00_9787;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9788; long BgL_arg3361z00_9789;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14560;
BgL_tmpz00_14560 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9788 = 
INPUT_PORT_NAME(BgL_tmpz00_14560); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14563;
BgL_tmpz00_14563 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9789 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14563); } 
BgL_arg3009z00_9787 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9788, 
BINT(BgL_arg3361z00_9789)); } 
{ /* Llib/bibtex.scm 179 */
 obj_t BgL_list3010z00_9790;
{ /* Llib/bibtex.scm 179 */
 obj_t BgL_arg3011z00_9791;
{ /* Llib/bibtex.scm 179 */
 obj_t BgL_arg3012z00_9792;
BgL_arg3012z00_9792 = 
MAKE_YOUNG_PAIR(BGl_string4070z00zz__text_bibtexz00, BNIL); 
BgL_arg3011z00_9791 = 
MAKE_YOUNG_PAIR(BgL_arg3009z00_9787, BgL_arg3012z00_9792); } 
BgL_list3010z00_9790 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3011z00_9791); } 
return BgL_list3010z00_9790;} } break;case ((long)31) : 

{ /* Llib/bibtex.scm 177 */
 obj_t BgL_arg3014z00_9793;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9794; long BgL_arg3361z00_9795;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14572;
BgL_tmpz00_14572 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9794 = 
INPUT_PORT_NAME(BgL_tmpz00_14572); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14575;
BgL_tmpz00_14575 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9795 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14575); } 
BgL_arg3014z00_9793 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9794, 
BINT(BgL_arg3361z00_9795)); } 
{ /* Llib/bibtex.scm 177 */
 obj_t BgL_list3015z00_9796;
{ /* Llib/bibtex.scm 177 */
 obj_t BgL_arg3016z00_9797;
{ /* Llib/bibtex.scm 177 */
 obj_t BgL_arg3017z00_9798;
BgL_arg3017z00_9798 = 
MAKE_YOUNG_PAIR(BGl_string4071z00zz__text_bibtexz00, BNIL); 
BgL_arg3016z00_9797 = 
MAKE_YOUNG_PAIR(BgL_arg3014z00_9793, BgL_arg3017z00_9798); } 
BgL_list3015z00_9796 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3016z00_9797); } 
return BgL_list3015z00_9796;} } break;case ((long)30) : 

{ /* Llib/bibtex.scm 175 */
 obj_t BgL_arg3019z00_9799;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9800; long BgL_arg3361z00_9801;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14584;
BgL_tmpz00_14584 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9800 = 
INPUT_PORT_NAME(BgL_tmpz00_14584); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14587;
BgL_tmpz00_14587 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9801 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14587); } 
BgL_arg3019z00_9799 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9800, 
BINT(BgL_arg3361z00_9801)); } 
{ /* Llib/bibtex.scm 175 */
 obj_t BgL_list3020z00_9802;
{ /* Llib/bibtex.scm 175 */
 obj_t BgL_arg3021z00_9803;
{ /* Llib/bibtex.scm 175 */
 obj_t BgL_arg3022z00_9804;
BgL_arg3022z00_9804 = 
MAKE_YOUNG_PAIR(BGl_string4072z00zz__text_bibtexz00, BNIL); 
BgL_arg3021z00_9803 = 
MAKE_YOUNG_PAIR(BgL_arg3019z00_9799, BgL_arg3022z00_9804); } 
BgL_list3020z00_9802 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3021z00_9803); } 
return BgL_list3020z00_9802;} } break;case ((long)29) : 

{ /* Llib/bibtex.scm 173 */
 obj_t BgL_arg3024z00_9805;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9806; long BgL_arg3361z00_9807;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14596;
BgL_tmpz00_14596 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9806 = 
INPUT_PORT_NAME(BgL_tmpz00_14596); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14599;
BgL_tmpz00_14599 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9807 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14599); } 
BgL_arg3024z00_9805 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9806, 
BINT(BgL_arg3361z00_9807)); } 
{ /* Llib/bibtex.scm 173 */
 obj_t BgL_list3025z00_9808;
{ /* Llib/bibtex.scm 173 */
 obj_t BgL_arg3026z00_9809;
{ /* Llib/bibtex.scm 173 */
 obj_t BgL_arg3027z00_9810;
BgL_arg3027z00_9810 = 
MAKE_YOUNG_PAIR(BGl_string4073z00zz__text_bibtexz00, BNIL); 
BgL_arg3026z00_9809 = 
MAKE_YOUNG_PAIR(BgL_arg3024z00_9805, BgL_arg3027z00_9810); } 
BgL_list3025z00_9808 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3026z00_9809); } 
return BgL_list3025z00_9808;} } break;case ((long)28) : 

{ /* Llib/bibtex.scm 171 */
 obj_t BgL_arg3029z00_9811;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9812; long BgL_arg3361z00_9813;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14608;
BgL_tmpz00_14608 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9812 = 
INPUT_PORT_NAME(BgL_tmpz00_14608); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14611;
BgL_tmpz00_14611 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9813 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14611); } 
BgL_arg3029z00_9811 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9812, 
BINT(BgL_arg3361z00_9813)); } 
{ /* Llib/bibtex.scm 171 */
 obj_t BgL_list3030z00_9814;
{ /* Llib/bibtex.scm 171 */
 obj_t BgL_arg3031z00_9815;
{ /* Llib/bibtex.scm 171 */
 obj_t BgL_arg3032z00_9816;
BgL_arg3032z00_9816 = 
MAKE_YOUNG_PAIR(BGl_string4074z00zz__text_bibtexz00, BNIL); 
BgL_arg3031z00_9815 = 
MAKE_YOUNG_PAIR(BgL_arg3029z00_9811, BgL_arg3032z00_9816); } 
BgL_list3030z00_9814 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3031z00_9815); } 
return BgL_list3030z00_9814;} } break;case ((long)27) : 

{ /* Llib/bibtex.scm 169 */
 obj_t BgL_arg3034z00_9817;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9818; long BgL_arg3361z00_9819;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14620;
BgL_tmpz00_14620 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9818 = 
INPUT_PORT_NAME(BgL_tmpz00_14620); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14623;
BgL_tmpz00_14623 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9819 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14623); } 
BgL_arg3034z00_9817 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9818, 
BINT(BgL_arg3361z00_9819)); } 
{ /* Llib/bibtex.scm 169 */
 obj_t BgL_list3035z00_9820;
{ /* Llib/bibtex.scm 169 */
 obj_t BgL_arg3036z00_9821;
{ /* Llib/bibtex.scm 169 */
 obj_t BgL_arg3037z00_9822;
BgL_arg3037z00_9822 = 
MAKE_YOUNG_PAIR(BGl_string4075z00zz__text_bibtexz00, BNIL); 
BgL_arg3036z00_9821 = 
MAKE_YOUNG_PAIR(BgL_arg3034z00_9817, BgL_arg3037z00_9822); } 
BgL_list3035z00_9820 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3036z00_9821); } 
return BgL_list3035z00_9820;} } break;case ((long)26) : 

{ /* Llib/bibtex.scm 167 */
 obj_t BgL_arg3039z00_9823;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9824; long BgL_arg3361z00_9825;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14632;
BgL_tmpz00_14632 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9824 = 
INPUT_PORT_NAME(BgL_tmpz00_14632); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14635;
BgL_tmpz00_14635 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9825 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14635); } 
BgL_arg3039z00_9823 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9824, 
BINT(BgL_arg3361z00_9825)); } 
{ /* Llib/bibtex.scm 167 */
 obj_t BgL_list3040z00_9826;
{ /* Llib/bibtex.scm 167 */
 obj_t BgL_arg3041z00_9827;
{ /* Llib/bibtex.scm 167 */
 obj_t BgL_arg3042z00_9828;
BgL_arg3042z00_9828 = 
MAKE_YOUNG_PAIR(BGl_string4076z00zz__text_bibtexz00, BNIL); 
BgL_arg3041z00_9827 = 
MAKE_YOUNG_PAIR(BgL_arg3039z00_9823, BgL_arg3042z00_9828); } 
BgL_list3040z00_9826 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3041z00_9827); } 
return BgL_list3040z00_9826;} } break;case ((long)25) : 

{ /* Llib/bibtex.scm 165 */
 obj_t BgL_arg3044z00_9829;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9830; long BgL_arg3361z00_9831;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14644;
BgL_tmpz00_14644 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9830 = 
INPUT_PORT_NAME(BgL_tmpz00_14644); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14647;
BgL_tmpz00_14647 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9831 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14647); } 
BgL_arg3044z00_9829 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9830, 
BINT(BgL_arg3361z00_9831)); } 
{ /* Llib/bibtex.scm 165 */
 obj_t BgL_list3045z00_9832;
{ /* Llib/bibtex.scm 165 */
 obj_t BgL_arg3046z00_9833;
{ /* Llib/bibtex.scm 165 */
 obj_t BgL_arg3047z00_9834;
BgL_arg3047z00_9834 = 
MAKE_YOUNG_PAIR(BGl_string4077z00zz__text_bibtexz00, BNIL); 
BgL_arg3046z00_9833 = 
MAKE_YOUNG_PAIR(BgL_arg3044z00_9829, BgL_arg3047z00_9834); } 
BgL_list3045z00_9832 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3046z00_9833); } 
return BgL_list3045z00_9832;} } break;case ((long)24) : 

{ /* Llib/bibtex.scm 163 */
 obj_t BgL_arg3049z00_9835;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9836; long BgL_arg3361z00_9837;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14656;
BgL_tmpz00_14656 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9836 = 
INPUT_PORT_NAME(BgL_tmpz00_14656); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14659;
BgL_tmpz00_14659 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9837 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14659); } 
BgL_arg3049z00_9835 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9836, 
BINT(BgL_arg3361z00_9837)); } 
{ /* Llib/bibtex.scm 163 */
 obj_t BgL_list3050z00_9838;
{ /* Llib/bibtex.scm 163 */
 obj_t BgL_arg3051z00_9839;
{ /* Llib/bibtex.scm 163 */
 obj_t BgL_arg3052z00_9840;
BgL_arg3052z00_9840 = 
MAKE_YOUNG_PAIR(BGl_string4078z00zz__text_bibtexz00, BNIL); 
BgL_arg3051z00_9839 = 
MAKE_YOUNG_PAIR(BgL_arg3049z00_9835, BgL_arg3052z00_9840); } 
BgL_list3050z00_9838 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3051z00_9839); } 
return BgL_list3050z00_9838;} } break;case ((long)23) : 

{ /* Llib/bibtex.scm 161 */
 obj_t BgL_arg3054z00_9841;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9842; long BgL_arg3361z00_9843;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14668;
BgL_tmpz00_14668 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9842 = 
INPUT_PORT_NAME(BgL_tmpz00_14668); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14671;
BgL_tmpz00_14671 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9843 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14671); } 
BgL_arg3054z00_9841 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9842, 
BINT(BgL_arg3361z00_9843)); } 
{ /* Llib/bibtex.scm 161 */
 obj_t BgL_list3055z00_9844;
{ /* Llib/bibtex.scm 161 */
 obj_t BgL_arg3056z00_9845;
{ /* Llib/bibtex.scm 161 */
 obj_t BgL_arg3057z00_9846;
BgL_arg3057z00_9846 = 
MAKE_YOUNG_PAIR(BGl_string4079z00zz__text_bibtexz00, BNIL); 
BgL_arg3056z00_9845 = 
MAKE_YOUNG_PAIR(BgL_arg3054z00_9841, BgL_arg3057z00_9846); } 
BgL_list3055z00_9844 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3056z00_9845); } 
return BgL_list3055z00_9844;} } break;case ((long)22) : 

{ /* Llib/bibtex.scm 159 */
 obj_t BgL_arg3059z00_9847;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9848; long BgL_arg3361z00_9849;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14680;
BgL_tmpz00_14680 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9848 = 
INPUT_PORT_NAME(BgL_tmpz00_14680); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14683;
BgL_tmpz00_14683 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9849 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14683); } 
BgL_arg3059z00_9847 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9848, 
BINT(BgL_arg3361z00_9849)); } 
{ /* Llib/bibtex.scm 159 */
 obj_t BgL_list3060z00_9850;
{ /* Llib/bibtex.scm 159 */
 obj_t BgL_arg3061z00_9851;
{ /* Llib/bibtex.scm 159 */
 obj_t BgL_arg3062z00_9852;
BgL_arg3062z00_9852 = 
MAKE_YOUNG_PAIR(BGl_string4080z00zz__text_bibtexz00, BNIL); 
BgL_arg3061z00_9851 = 
MAKE_YOUNG_PAIR(BgL_arg3059z00_9847, BgL_arg3062z00_9852); } 
BgL_list3060z00_9850 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3061z00_9851); } 
return BgL_list3060z00_9850;} } break;case ((long)21) : 

{ /* Llib/bibtex.scm 157 */
 obj_t BgL_arg3064z00_9853;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9854; long BgL_arg3361z00_9855;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14692;
BgL_tmpz00_14692 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9854 = 
INPUT_PORT_NAME(BgL_tmpz00_14692); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14695;
BgL_tmpz00_14695 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9855 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14695); } 
BgL_arg3064z00_9853 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9854, 
BINT(BgL_arg3361z00_9855)); } 
{ /* Llib/bibtex.scm 157 */
 obj_t BgL_list3065z00_9856;
{ /* Llib/bibtex.scm 157 */
 obj_t BgL_arg3066z00_9857;
{ /* Llib/bibtex.scm 157 */
 obj_t BgL_arg3067z00_9858;
BgL_arg3067z00_9858 = 
MAKE_YOUNG_PAIR(BGl_string4081z00zz__text_bibtexz00, BNIL); 
BgL_arg3066z00_9857 = 
MAKE_YOUNG_PAIR(BgL_arg3064z00_9853, BgL_arg3067z00_9858); } 
BgL_list3065z00_9856 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3066z00_9857); } 
return BgL_list3065z00_9856;} } break;case ((long)20) : 

{ /* Llib/bibtex.scm 155 */
 obj_t BgL_arg3069z00_9859;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9860; long BgL_arg3361z00_9861;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14704;
BgL_tmpz00_14704 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9860 = 
INPUT_PORT_NAME(BgL_tmpz00_14704); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14707;
BgL_tmpz00_14707 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9861 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14707); } 
BgL_arg3069z00_9859 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9860, 
BINT(BgL_arg3361z00_9861)); } 
{ /* Llib/bibtex.scm 155 */
 obj_t BgL_list3070z00_9862;
{ /* Llib/bibtex.scm 155 */
 obj_t BgL_arg3071z00_9863;
{ /* Llib/bibtex.scm 155 */
 obj_t BgL_arg3072z00_9864;
BgL_arg3072z00_9864 = 
MAKE_YOUNG_PAIR(BGl_string4082z00zz__text_bibtexz00, BNIL); 
BgL_arg3071z00_9863 = 
MAKE_YOUNG_PAIR(BgL_arg3069z00_9859, BgL_arg3072z00_9864); } 
BgL_list3070z00_9862 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3071z00_9863); } 
return BgL_list3070z00_9862;} } break;case ((long)19) : 

{ /* Llib/bibtex.scm 153 */
 obj_t BgL_arg3074z00_9865;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9866; long BgL_arg3361z00_9867;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14716;
BgL_tmpz00_14716 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9866 = 
INPUT_PORT_NAME(BgL_tmpz00_14716); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14719;
BgL_tmpz00_14719 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9867 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14719); } 
BgL_arg3074z00_9865 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9866, 
BINT(BgL_arg3361z00_9867)); } 
{ /* Llib/bibtex.scm 153 */
 obj_t BgL_list3075z00_9868;
{ /* Llib/bibtex.scm 153 */
 obj_t BgL_arg3076z00_9869;
{ /* Llib/bibtex.scm 153 */
 obj_t BgL_arg3077z00_9870;
BgL_arg3077z00_9870 = 
MAKE_YOUNG_PAIR(BGl_string4083z00zz__text_bibtexz00, BNIL); 
BgL_arg3076z00_9869 = 
MAKE_YOUNG_PAIR(BgL_arg3074z00_9865, BgL_arg3077z00_9870); } 
BgL_list3075z00_9868 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3076z00_9869); } 
return BgL_list3075z00_9868;} } break;case ((long)18) : 

{ /* Llib/bibtex.scm 151 */
 obj_t BgL_arg3079z00_9871;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9872; long BgL_arg3361z00_9873;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14728;
BgL_tmpz00_14728 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9872 = 
INPUT_PORT_NAME(BgL_tmpz00_14728); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14731;
BgL_tmpz00_14731 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9873 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14731); } 
BgL_arg3079z00_9871 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9872, 
BINT(BgL_arg3361z00_9873)); } 
{ /* Llib/bibtex.scm 151 */
 obj_t BgL_list3080z00_9874;
{ /* Llib/bibtex.scm 151 */
 obj_t BgL_arg3081z00_9875;
{ /* Llib/bibtex.scm 151 */
 obj_t BgL_arg3082z00_9876;
BgL_arg3082z00_9876 = 
MAKE_YOUNG_PAIR(BGl_string4084z00zz__text_bibtexz00, BNIL); 
BgL_arg3081z00_9875 = 
MAKE_YOUNG_PAIR(BgL_arg3079z00_9871, BgL_arg3082z00_9876); } 
BgL_list3080z00_9874 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3081z00_9875); } 
return BgL_list3080z00_9874;} } break;case ((long)17) : 

{ /* Llib/bibtex.scm 149 */
 obj_t BgL_arg3084z00_9877;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9878; long BgL_arg3361z00_9879;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14740;
BgL_tmpz00_14740 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9878 = 
INPUT_PORT_NAME(BgL_tmpz00_14740); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14743;
BgL_tmpz00_14743 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9879 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14743); } 
BgL_arg3084z00_9877 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9878, 
BINT(BgL_arg3361z00_9879)); } 
{ /* Llib/bibtex.scm 149 */
 obj_t BgL_list3085z00_9880;
{ /* Llib/bibtex.scm 149 */
 obj_t BgL_arg3086z00_9881;
{ /* Llib/bibtex.scm 149 */
 obj_t BgL_arg3087z00_9882;
BgL_arg3087z00_9882 = 
MAKE_YOUNG_PAIR(BGl_string4085z00zz__text_bibtexz00, BNIL); 
BgL_arg3086z00_9881 = 
MAKE_YOUNG_PAIR(BgL_arg3084z00_9877, BgL_arg3087z00_9882); } 
BgL_list3085z00_9880 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3086z00_9881); } 
return BgL_list3085z00_9880;} } break;case ((long)16) : 

{ /* Llib/bibtex.scm 147 */
 obj_t BgL_arg3089z00_9883;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9884; long BgL_arg3361z00_9885;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14752;
BgL_tmpz00_14752 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9884 = 
INPUT_PORT_NAME(BgL_tmpz00_14752); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14755;
BgL_tmpz00_14755 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9885 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14755); } 
BgL_arg3089z00_9883 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9884, 
BINT(BgL_arg3361z00_9885)); } 
{ /* Llib/bibtex.scm 147 */
 obj_t BgL_list3090z00_9886;
{ /* Llib/bibtex.scm 147 */
 obj_t BgL_arg3091z00_9887;
{ /* Llib/bibtex.scm 147 */
 obj_t BgL_arg3092z00_9888;
BgL_arg3092z00_9888 = 
MAKE_YOUNG_PAIR(BGl_string4086z00zz__text_bibtexz00, BNIL); 
BgL_arg3091z00_9887 = 
MAKE_YOUNG_PAIR(BgL_arg3089z00_9883, BgL_arg3092z00_9888); } 
BgL_list3090z00_9886 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3091z00_9887); } 
return BgL_list3090z00_9886;} } break;case ((long)15) : 

{ /* Llib/bibtex.scm 145 */
 obj_t BgL_arg3094z00_9889;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9890; long BgL_arg3361z00_9891;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14764;
BgL_tmpz00_14764 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9890 = 
INPUT_PORT_NAME(BgL_tmpz00_14764); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14767;
BgL_tmpz00_14767 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9891 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14767); } 
BgL_arg3094z00_9889 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9890, 
BINT(BgL_arg3361z00_9891)); } 
{ /* Llib/bibtex.scm 145 */
 obj_t BgL_list3095z00_9892;
{ /* Llib/bibtex.scm 145 */
 obj_t BgL_arg3096z00_9893;
{ /* Llib/bibtex.scm 145 */
 obj_t BgL_arg3097z00_9894;
BgL_arg3097z00_9894 = 
MAKE_YOUNG_PAIR(BGl_string4087z00zz__text_bibtexz00, BNIL); 
BgL_arg3096z00_9893 = 
MAKE_YOUNG_PAIR(BgL_arg3094z00_9889, BgL_arg3097z00_9894); } 
BgL_list3095z00_9892 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3096z00_9893); } 
return BgL_list3095z00_9892;} } break;case ((long)14) : 

{ /* Llib/bibtex.scm 143 */
 obj_t BgL_arg3099z00_9895;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9896; long BgL_arg3361z00_9897;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14776;
BgL_tmpz00_14776 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9896 = 
INPUT_PORT_NAME(BgL_tmpz00_14776); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14779;
BgL_tmpz00_14779 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9897 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14779); } 
BgL_arg3099z00_9895 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9896, 
BINT(BgL_arg3361z00_9897)); } 
{ /* Llib/bibtex.scm 143 */
 obj_t BgL_list3100z00_9898;
{ /* Llib/bibtex.scm 143 */
 obj_t BgL_arg3101z00_9899;
{ /* Llib/bibtex.scm 143 */
 obj_t BgL_arg3102z00_9900;
BgL_arg3102z00_9900 = 
MAKE_YOUNG_PAIR(BGl_string4088z00zz__text_bibtexz00, BNIL); 
BgL_arg3101z00_9899 = 
MAKE_YOUNG_PAIR(BgL_arg3099z00_9895, BgL_arg3102z00_9900); } 
BgL_list3100z00_9898 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3101z00_9899); } 
return BgL_list3100z00_9898;} } break;case ((long)13) : 

{ /* Llib/bibtex.scm 141 */
 obj_t BgL_arg3104z00_9901;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9902; long BgL_arg3361z00_9903;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14788;
BgL_tmpz00_14788 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9902 = 
INPUT_PORT_NAME(BgL_tmpz00_14788); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14791;
BgL_tmpz00_14791 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9903 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14791); } 
BgL_arg3104z00_9901 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9902, 
BINT(BgL_arg3361z00_9903)); } 
{ /* Llib/bibtex.scm 141 */
 obj_t BgL_list3105z00_9904;
{ /* Llib/bibtex.scm 141 */
 obj_t BgL_arg3106z00_9905;
{ /* Llib/bibtex.scm 141 */
 obj_t BgL_arg3107z00_9906;
BgL_arg3107z00_9906 = 
MAKE_YOUNG_PAIR(BGl_string4089z00zz__text_bibtexz00, BNIL); 
BgL_arg3106z00_9905 = 
MAKE_YOUNG_PAIR(BgL_arg3104z00_9901, BgL_arg3107z00_9906); } 
BgL_list3105z00_9904 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3106z00_9905); } 
return BgL_list3105z00_9904;} } break;case ((long)12) : 

{ /* Llib/bibtex.scm 139 */
 obj_t BgL_arg3109z00_9907;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9908; long BgL_arg3361z00_9909;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14800;
BgL_tmpz00_14800 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9908 = 
INPUT_PORT_NAME(BgL_tmpz00_14800); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14803;
BgL_tmpz00_14803 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9909 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14803); } 
BgL_arg3109z00_9907 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9908, 
BINT(BgL_arg3361z00_9909)); } 
{ /* Llib/bibtex.scm 139 */
 obj_t BgL_list3110z00_9910;
{ /* Llib/bibtex.scm 139 */
 obj_t BgL_arg3111z00_9911;
{ /* Llib/bibtex.scm 139 */
 obj_t BgL_arg3112z00_9912;
BgL_arg3112z00_9912 = 
MAKE_YOUNG_PAIR(BGl_string4090z00zz__text_bibtexz00, BNIL); 
BgL_arg3111z00_9911 = 
MAKE_YOUNG_PAIR(BgL_arg3109z00_9907, BgL_arg3112z00_9912); } 
BgL_list3110z00_9910 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3111z00_9911); } 
return BgL_list3110z00_9910;} } break;case ((long)11) : 

{ /* Llib/bibtex.scm 137 */
 obj_t BgL_arg3114z00_9913;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9914; long BgL_arg3361z00_9915;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14812;
BgL_tmpz00_14812 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9914 = 
INPUT_PORT_NAME(BgL_tmpz00_14812); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14815;
BgL_tmpz00_14815 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9915 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14815); } 
BgL_arg3114z00_9913 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9914, 
BINT(BgL_arg3361z00_9915)); } 
{ /* Llib/bibtex.scm 137 */
 obj_t BgL_list3115z00_9916;
{ /* Llib/bibtex.scm 137 */
 obj_t BgL_arg3116z00_9917;
{ /* Llib/bibtex.scm 137 */
 obj_t BgL_arg3117z00_9918;
BgL_arg3117z00_9918 = 
MAKE_YOUNG_PAIR(BGl_string4091z00zz__text_bibtexz00, BNIL); 
BgL_arg3116z00_9917 = 
MAKE_YOUNG_PAIR(BgL_arg3114z00_9913, BgL_arg3117z00_9918); } 
BgL_list3115z00_9916 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3116z00_9917); } 
return BgL_list3115z00_9916;} } break;case ((long)10) : 

{ /* Llib/bibtex.scm 135 */
 obj_t BgL_arg3119z00_9919;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9920; long BgL_arg3361z00_9921;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14824;
BgL_tmpz00_14824 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9920 = 
INPUT_PORT_NAME(BgL_tmpz00_14824); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14827;
BgL_tmpz00_14827 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9921 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14827); } 
BgL_arg3119z00_9919 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9920, 
BINT(BgL_arg3361z00_9921)); } 
{ /* Llib/bibtex.scm 135 */
 obj_t BgL_list3120z00_9922;
{ /* Llib/bibtex.scm 135 */
 obj_t BgL_arg3121z00_9923;
{ /* Llib/bibtex.scm 135 */
 obj_t BgL_arg3122z00_9924;
BgL_arg3122z00_9924 = 
MAKE_YOUNG_PAIR(BGl_string4092z00zz__text_bibtexz00, BNIL); 
BgL_arg3121z00_9923 = 
MAKE_YOUNG_PAIR(BgL_arg3119z00_9919, BgL_arg3122z00_9924); } 
BgL_list3120z00_9922 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3121z00_9923); } 
return BgL_list3120z00_9922;} } break;case ((long)9) : 

{ /* Llib/bibtex.scm 133 */
 obj_t BgL_arg3124z00_9925;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9926; long BgL_arg3361z00_9927;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14836;
BgL_tmpz00_14836 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9926 = 
INPUT_PORT_NAME(BgL_tmpz00_14836); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14839;
BgL_tmpz00_14839 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9927 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14839); } 
BgL_arg3124z00_9925 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9926, 
BINT(BgL_arg3361z00_9927)); } 
{ /* Llib/bibtex.scm 133 */
 obj_t BgL_list3125z00_9928;
{ /* Llib/bibtex.scm 133 */
 obj_t BgL_arg3126z00_9929;
{ /* Llib/bibtex.scm 133 */
 obj_t BgL_arg3127z00_9930;
BgL_arg3127z00_9930 = 
MAKE_YOUNG_PAIR(BGl_string4093z00zz__text_bibtexz00, BNIL); 
BgL_arg3126z00_9929 = 
MAKE_YOUNG_PAIR(BgL_arg3124z00_9925, BgL_arg3127z00_9930); } 
BgL_list3125z00_9928 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3126z00_9929); } 
return BgL_list3125z00_9928;} } break;case ((long)8) : 

goto BgL_ignorez00_8627;break;case ((long)7) : 

{ /* Llib/bibtex.scm 127 */
 obj_t BgL_arg3129z00_9931; unsigned char BgL_arg3130z00_9932;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9933; long BgL_arg3361z00_9934;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14848;
BgL_tmpz00_14848 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9933 = 
INPUT_PORT_NAME(BgL_tmpz00_14848); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14851;
BgL_tmpz00_14851 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9934 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14851); } 
BgL_arg3129z00_9931 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9933, 
BINT(BgL_arg3361z00_9934)); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14856;
BgL_tmpz00_14856 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3130z00_9932 = 
RGC_BUFFER_CHARACTER(BgL_tmpz00_14856); } 
{ /* Llib/bibtex.scm 127 */
 obj_t BgL_list3131z00_9935;
{ /* Llib/bibtex.scm 127 */
 obj_t BgL_arg3132z00_9936;
{ /* Llib/bibtex.scm 127 */
 obj_t BgL_arg3133z00_9937;
BgL_arg3133z00_9937 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg3130z00_9932), BNIL); 
BgL_arg3132z00_9936 = 
MAKE_YOUNG_PAIR(BgL_arg3129z00_9931, BgL_arg3133z00_9937); } 
BgL_list3131z00_9935 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3132z00_9936); } 
return BgL_list3131z00_9935;} } break;case ((long)6) : 

{ /* Llib/bibtex.scm 124 */
 obj_t BgL_arg3135z00_9938;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9939; long BgL_arg3361z00_9940;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14864;
BgL_tmpz00_14864 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9939 = 
INPUT_PORT_NAME(BgL_tmpz00_14864); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14867;
BgL_tmpz00_14867 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9940 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14867); } 
BgL_arg3135z00_9938 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9939, 
BINT(BgL_arg3361z00_9940)); } 
{ /* Llib/bibtex.scm 124 */
 obj_t BgL_list3136z00_9941;
{ /* Llib/bibtex.scm 124 */
 obj_t BgL_arg3137z00_9942;
BgL_arg3137z00_9942 = 
MAKE_YOUNG_PAIR(BgL_arg3135z00_9938, BNIL); 
BgL_list3136z00_9941 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)24)), BgL_arg3137z00_9942); } 
return BgL_list3136z00_9941;} } break;case ((long)5) : 

{ /* Llib/bibtex.scm 121 */
 obj_t BgL_arg3139z00_9943;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9944; long BgL_arg3361z00_9945;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14875;
BgL_tmpz00_14875 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9944 = 
INPUT_PORT_NAME(BgL_tmpz00_14875); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14878;
BgL_tmpz00_14878 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9945 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14878); } 
BgL_arg3139z00_9943 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9944, 
BINT(BgL_arg3361z00_9945)); } 
{ /* Llib/bibtex.scm 121 */
 obj_t BgL_list3140z00_9946;
{ /* Llib/bibtex.scm 121 */
 obj_t BgL_arg3141z00_9947;
BgL_arg3141z00_9947 = 
MAKE_YOUNG_PAIR(BgL_arg3139z00_9943, BNIL); 
BgL_list3140z00_9946 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)25)), BgL_arg3141z00_9947); } 
return BgL_list3140z00_9946;} } break;case ((long)4) : 

{ /* Llib/bibtex.scm 118 */
 obj_t BgL_arg3143z00_9948;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9949; long BgL_arg3361z00_9950;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14886;
BgL_tmpz00_14886 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9949 = 
INPUT_PORT_NAME(BgL_tmpz00_14886); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14889;
BgL_tmpz00_14889 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9950 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14889); } 
BgL_arg3143z00_9948 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9949, 
BINT(BgL_arg3361z00_9950)); } 
{ /* Llib/bibtex.scm 118 */
 obj_t BgL_list3144z00_9951;
{ /* Llib/bibtex.scm 118 */
 obj_t BgL_arg3145z00_9952;
BgL_arg3145z00_9952 = 
MAKE_YOUNG_PAIR(BgL_arg3143z00_9948, BNIL); 
BgL_list3144z00_9951 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)26)), BgL_arg3145z00_9952); } 
return BgL_list3144z00_9951;} } break;case ((long)3) : 

{ /* Llib/bibtex.scm 115 */
 obj_t BgL_arg3147z00_9953;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9954; long BgL_arg3361z00_9955;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14897;
BgL_tmpz00_14897 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9954 = 
INPUT_PORT_NAME(BgL_tmpz00_14897); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14900;
BgL_tmpz00_14900 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9955 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14900); } 
BgL_arg3147z00_9953 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9954, 
BINT(BgL_arg3361z00_9955)); } 
{ /* Llib/bibtex.scm 115 */
 obj_t BgL_list3148z00_9956;
{ /* Llib/bibtex.scm 115 */
 obj_t BgL_arg3149z00_9957;
BgL_arg3149z00_9957 = 
MAKE_YOUNG_PAIR(BgL_arg3147z00_9953, BNIL); 
BgL_list3148z00_9956 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)27)), BgL_arg3149z00_9957); } 
return BgL_list3148z00_9956;} } break;case ((long)2) : 

{ /* Llib/bibtex.scm 112 */
 obj_t BgL_arg3151z00_9958;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9959; long BgL_arg3361z00_9960;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14908;
BgL_tmpz00_14908 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9959 = 
INPUT_PORT_NAME(BgL_tmpz00_14908); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14911;
BgL_tmpz00_14911 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9960 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14911); } 
BgL_arg3151z00_9958 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9959, 
BINT(BgL_arg3361z00_9960)); } 
{ /* Llib/bibtex.scm 112 */
 obj_t BgL_list3152z00_9961;
{ /* Llib/bibtex.scm 112 */
 obj_t BgL_arg3153z00_9962;
BgL_arg3153z00_9962 = 
MAKE_YOUNG_PAIR(BgL_arg3151z00_9958, BNIL); 
BgL_list3152z00_9961 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)28)), BgL_arg3153z00_9962); } 
return BgL_list3152z00_9961;} } break;case ((long)1) : 

goto BgL_ignorez00_8627;break;case ((long)0) : 

{ /* Llib/bibtex.scm 106 */
 obj_t BgL_arg3155z00_9963;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3360z00_9964; long BgL_arg3361z00_9965;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14919;
BgL_tmpz00_14919 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3360z00_9964 = 
INPUT_PORT_NAME(BgL_tmpz00_14919); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14922;
BgL_tmpz00_14922 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3361z00_9965 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14922); } 
BgL_arg3155z00_9963 = 
MAKE_YOUNG_PAIR(BgL_arg3360z00_9964, 
BINT(BgL_arg3361z00_9965)); } 
{ /* Llib/bibtex.scm 106 */
 obj_t BgL_list3156z00_9966;
{ /* Llib/bibtex.scm 106 */
 obj_t BgL_arg3157z00_9967;
BgL_arg3157z00_9967 = 
MAKE_YOUNG_PAIR(BgL_arg3155z00_9963, BNIL); 
BgL_list3156z00_9966 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)29)), BgL_arg3157z00_9967); } 
return BgL_list3156z00_9966;} } break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string4094z00zz__text_bibtexz00, BGl_string4095z00zz__text_bibtexz00, 
BINT(BgL_matchz00_9679));} } } } 

}



/* the-substring~1 */
obj_t BGl_thezd2substringze71z35zz__text_bibtexz00(obj_t BgL_iportz00_8053, int BgL_minz00_2341, int BgL_maxz00_2342)
{
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_maxz00_2342)<
(long)(BgL_minz00_2341)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2837z00_2345;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14937;
BgL_tmpz00_14937 = 
((obj_t)BgL_iportz00_8053); 
BgL_arg2837z00_2345 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14937); } 
{ /* Llib/bibtex.scm 103 */
 long BgL_za72za7_6191;
BgL_za72za7_6191 = 
(long)(BgL_maxz00_2342); 
BgL_maxz00_2342 = 
(int)(
(BgL_arg2837z00_2345+BgL_za72za7_6191)); } }  else 
{ /* Llib/bibtex.scm 103 */BFALSE; } 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4750z00_14943;
if(
(
(long)(BgL_minz00_2341)>=((long)0)))
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_maxz00_2342)>=
(long)(BgL_minz00_2341)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2846z00_2356;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14951;
BgL_tmpz00_14951 = 
((obj_t)BgL_iportz00_8053); 
BgL_arg2846z00_2356 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14951); } 
BgL_test4750z00_14943 = 
(
(long)(BgL_maxz00_2342)<=BgL_arg2846z00_2356); }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4750z00_14943 = ((bool_t)0)
; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4750z00_14943 = ((bool_t)0)
; } 
if(BgL_test4750z00_14943)
{ /* Llib/bibtex.scm 103 */
 long BgL_startz00_6199; long BgL_stopz00_6200;
BgL_startz00_6199 = 
(long)(BgL_minz00_2341); 
BgL_stopz00_6200 = 
(long)(BgL_maxz00_2342); 
return 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8053), BgL_startz00_6199, BgL_stopz00_6200);}  else 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_arg2842z00_2350; obj_t BgL_arg2843z00_2351;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_arg2844z00_2352;
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2834z00_6201;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14960;
BgL_tmpz00_14960 = 
((obj_t)BgL_iportz00_8053); 
BgL_arg2834z00_6201 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14960); } 
BgL_arg2844z00_2352 = 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8053), ((long)0), BgL_arg2834z00_6201); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_list2845z00_2353;
BgL_list2845z00_2353 = 
MAKE_YOUNG_PAIR(BgL_arg2844z00_2352, BNIL); 
BgL_arg2842z00_2350 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4096z00zz__text_bibtexz00, BgL_list2845z00_2353); } } 
BgL_arg2843z00_2351 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_2341), 
BINT(BgL_maxz00_2342)); 
return 
BGl_errorz00zz__errorz00(BGl_string4097z00zz__text_bibtexz00, BgL_arg2842z00_2350, BgL_arg2843z00_2351);} } } 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__text_bibtexz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_3163;
BgL_headz00_3163 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_3164; obj_t BgL_tailz00_3165;
BgL_prevz00_3164 = BgL_headz00_3163; 
BgL_tailz00_3165 = BgL_l1z00_1; 
BgL_loopz00_3166:
if(
PAIRP(BgL_tailz00_3165))
{ 
 obj_t BgL_newzd2prevzd2_3168;
BgL_newzd2prevzd2_3168 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_3165), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_3164, BgL_newzd2prevzd2_3168); 
{ 
 obj_t BgL_tailz00_14978; obj_t BgL_prevz00_14977;
BgL_prevz00_14977 = BgL_newzd2prevzd2_3168; 
BgL_tailz00_14978 = 
CDR(BgL_tailz00_3165); 
BgL_tailz00_3165 = BgL_tailz00_14978; 
BgL_prevz00_3164 = BgL_prevz00_14977; 
goto BgL_loopz00_3166;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_3163);} } } 

}



/* bibtex */
BGL_EXPORTED_DEF obj_t BGl_bibtexz00zz__text_bibtexz00(obj_t BgL_objz00_3)
{
{ /* Llib/bibtex.scm 26 */
if(
INPUT_PORTP(BgL_objz00_3))
{ /* Llib/bibtex.scm 28 */
return 
BGl_parsezd2bibtexzd2zz__text_bibtexz00(BgL_objz00_3);}  else 
{ /* Llib/bibtex.scm 28 */
if(
STRINGP(BgL_objz00_3))
{ /* Llib/bibtex.scm 30 */
return 
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_objz00_3, BGl_bibtexzd2portzd2envz00zz__text_bibtexz00);}  else 
{ /* Llib/bibtex.scm 30 */
return 
BGl_errorz00zz__errorz00(BGl_string4098z00zz__text_bibtexz00, BGl_string4099z00zz__text_bibtexz00, BgL_objz00_3);} } } 

}



/* &bibtex */
obj_t BGl_z62bibtexz62zz__text_bibtexz00(obj_t BgL_envz00_8029, obj_t BgL_objz00_8030)
{
{ /* Llib/bibtex.scm 26 */
return 
BGl_bibtexz00zz__text_bibtexz00(BgL_objz00_8030);} 

}



/* bibtex-port */
BGL_EXPORTED_DEF obj_t BGl_bibtexzd2portzd2zz__text_bibtexz00(obj_t BgL_portz00_4)
{
{ /* Llib/bibtex.scm 38 */
return 
BGl_parsezd2bibtexzd2zz__text_bibtexz00(BgL_portz00_4);} 

}



/* &bibtex-port */
obj_t BGl_z62bibtexzd2portzb0zz__text_bibtexz00(obj_t BgL_envz00_8031, obj_t BgL_portz00_8032)
{
{ /* Llib/bibtex.scm 38 */
{ /* Llib/bibtex.scm 39 */
 obj_t BgL_res4114z00_9969;
{ /* Llib/bibtex.scm 39 */
 obj_t BgL_portz00_9968;
if(
INPUT_PORTP(BgL_portz00_8032))
{ /* Llib/bibtex.scm 39 */
BgL_portz00_9968 = BgL_portz00_8032; }  else 
{ 
 obj_t BgL_auxz00_14992;
BgL_auxz00_14992 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4100z00zz__text_bibtexz00, 
BINT(((long)1904)), BGl_string4101z00zz__text_bibtexz00, BGl_string4102z00zz__text_bibtexz00, BgL_portz00_8032); 
FAILURE(BgL_auxz00_14992,BFALSE,BFALSE);} 
BgL_res4114z00_9969 = 
BGl_parsezd2bibtexzd2zz__text_bibtexz00(BgL_portz00_9968); } 
return BgL_res4114z00_9969;} } 

}



/* bibtex-file */
BGL_EXPORTED_DEF obj_t BGl_bibtexzd2filezd2zz__text_bibtexz00(obj_t BgL_filez00_5)
{
{ /* Llib/bibtex.scm 44 */
return 
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_filez00_5, BGl_bibtexzd2portzd2envz00zz__text_bibtexz00);} 

}



/* &bibtex-file */
obj_t BGl_z62bibtexzd2filezb0zz__text_bibtexz00(obj_t BgL_envz00_8033, obj_t BgL_filez00_8034)
{
{ /* Llib/bibtex.scm 44 */
{ /* Llib/bibtex.scm 45 */
 obj_t BgL_auxz00_14998;
if(
STRINGP(BgL_filez00_8034))
{ /* Llib/bibtex.scm 45 */
BgL_auxz00_14998 = BgL_filez00_8034
; }  else 
{ 
 obj_t BgL_auxz00_15001;
BgL_auxz00_15001 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4100z00zz__text_bibtexz00, 
BINT(((long)2187)), BGl_string4103z00zz__text_bibtexz00, BGl_string4104z00zz__text_bibtexz00, BgL_filez00_8034); 
FAILURE(BgL_auxz00_15001,BFALSE,BFALSE);} 
return 
BGl_bibtexzd2filezd2zz__text_bibtexz00(BgL_auxz00_14998);} } 

}



/* bibtex-string */
BGL_EXPORTED_DEF obj_t BGl_bibtexzd2stringzd2zz__text_bibtexz00(obj_t BgL_strz00_6)
{
{ /* Llib/bibtex.scm 50 */
return 
BGl_callzd2withzd2inputzd2stringzd2zz__r4_ports_6_10_1z00(BgL_strz00_6, BGl_bibtexzd2portzd2envz00zz__text_bibtexz00);} 

}



/* &bibtex-string */
obj_t BGl_z62bibtexzd2stringzb0zz__text_bibtexz00(obj_t BgL_envz00_8035, obj_t BgL_strz00_8036)
{
{ /* Llib/bibtex.scm 50 */
{ /* Llib/bibtex.scm 51 */
 obj_t BgL_auxz00_15007;
if(
STRINGP(BgL_strz00_8036))
{ /* Llib/bibtex.scm 51 */
BgL_auxz00_15007 = BgL_strz00_8036
; }  else 
{ 
 obj_t BgL_auxz00_15010;
BgL_auxz00_15010 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4100z00zz__text_bibtexz00, 
BINT(((long)2491)), BGl_string4105z00zz__text_bibtexz00, BGl_string4104z00zz__text_bibtexz00, BgL_strz00_8036); 
FAILURE(BgL_auxz00_15010,BFALSE,BFALSE);} 
return 
BGl_bibtexzd2stringzd2zz__text_bibtexz00(BgL_auxz00_15007);} } 

}



/* make-bibtex-hashtable */
obj_t BGl_makezd2bibtexzd2hashtablez00zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 61 */
{ /* Llib/bibtex.scm 62 */
 obj_t BgL_tablez00_3173;
BgL_tablez00_3173 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
{ /* Llib/bibtex.scm 63 */
 obj_t BgL_g1259z00_3174;
BgL_g1259z00_3174 = 
CNST_TABLE_REF(((long)30)); 
{ 
 obj_t BgL_l1257z00_3176;
BgL_l1257z00_3176 = BgL_g1259z00_3174; 
BgL_zc3z04anonymousza33340ze3z87_3177:
if(
PAIRP(BgL_l1257z00_3176))
{ /* Llib/bibtex.scm 67 */
{ /* Llib/bibtex.scm 64 */
 obj_t BgL_kz00_3179;
BgL_kz00_3179 = 
CAR(BgL_l1257z00_3176); 
{ /* Llib/bibtex.scm 64 */
 obj_t BgL_cpz00_3180;
BgL_cpz00_3180 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(BgL_kz00_3179); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_tablez00_3173, BgL_kz00_3179, BgL_cpz00_3180); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_tablez00_3173, BgL_cpz00_3180, BgL_cpz00_3180); } } 
{ 
 obj_t BgL_l1257z00_15023;
BgL_l1257z00_15023 = 
CDR(BgL_l1257z00_3176); 
BgL_l1257z00_3176 = BgL_l1257z00_15023; 
goto BgL_zc3z04anonymousza33340ze3z87_3177;} }  else 
{ /* Llib/bibtex.scm 67 */((bool_t)1); } } } 
return BgL_tablez00_3173;} } 

}



/* parse-bibtex */
obj_t BGl_parsezd2bibtexzd2zz__text_bibtexz00(obj_t BgL_portz00_7)
{
{ /* Llib/bibtex.scm 74 */
if(
BGl_hashtablezf3zf3zz__hashz00(BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00))
{ /* Llib/bibtex.scm 75 */BFALSE; }  else 
{ /* Llib/bibtex.scm 75 */
BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00 = 
BGl_makezd2bibtexzd2hashtablez00zz__text_bibtexz00(); } 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_env1019z00_3186;
BgL_env1019z00_3186 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_3202;
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_cell1014z00_3187;
BgL_cell1014z00_3187 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_val1018z00_3188;
BgL_val1018z00_3188 = 
BGl_zc3z04exitza33347ze3ze70z60zz__text_bibtexz00(BgL_portz00_7, BgL_cell1014z00_3187, BgL_env1019z00_3186); 
if(
(BgL_val1018z00_3188==BgL_cell1014z00_3187))
{ /* Llib/bibtex.scm 77 */
{ /* Llib/bibtex.scm 77 */
 int BgL_tmpz00_15033;
BgL_tmpz00_15033 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_15033); } 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_arg3346z00_3190;
BgL_arg3346z00_3190 = 
CELL_REF(
((obj_t)BgL_val1018z00_3188)); 
BgL_ez00_3202 = BgL_arg3346z00_3190; 
{ /* Llib/bibtex.scm 79 */
 bool_t BgL_test4762z00_15038;
{ /* Llib/bibtex.scm 79 */
 obj_t BgL_classz00_7433;
BgL_classz00_7433 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_ez00_3202))
{ /* Llib/bibtex.scm 79 */
 BgL_objectz00_bglt BgL_arg1797z00_7435;
BgL_arg1797z00_7435 = 
(BgL_objectz00_bglt)(BgL_ez00_3202); 
{ /* Llib/bibtex.scm 79 */
 bool_t BgL_arg1794z00_7438; bool_t BgL_arg1795z00_7439;
{ /* Llib/bibtex.scm 79 */
 long BgL_idxz00_7442;
BgL_idxz00_7442 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_7435); 
BgL_arg1794z00_7438 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_7442+((long)5)))==BgL_classz00_7433); } 
{ /* Llib/bibtex.scm 79 */
 bool_t BgL_res4034z00_7464;
{ /* Llib/bibtex.scm 79 */
 obj_t BgL_oclassz00_7450;
{ /* Llib/bibtex.scm 79 */
 long BgL_arg1804z00_7456;
{ /* Llib/bibtex.scm 79 */
 long BgL_arg1805z00_7457;
BgL_arg1805z00_7457 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_7435); 
BgL_arg1804z00_7456 = 
(BgL_arg1805z00_7457-OBJECT_TYPE); } 
BgL_oclassz00_7450 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_7456); } 
{ /* Llib/bibtex.scm 79 */
 bool_t BgL__ortest_1111z00_7451;
BgL__ortest_1111z00_7451 = 
(BgL_classz00_7433==BgL_oclassz00_7450); 
if(BgL__ortest_1111z00_7451)
{ /* Llib/bibtex.scm 79 */
BgL_res4034z00_7464 = BgL__ortest_1111z00_7451; }  else 
{ /* Llib/bibtex.scm 79 */
 long BgL_odepthz00_7452;
BgL_odepthz00_7452 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7450); 
if(
(((long)5)<BgL_odepthz00_7452))
{ /* Llib/bibtex.scm 79 */
 obj_t BgL_arg1793z00_7454;
BgL_arg1793z00_7454 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7450, ((long)5)); 
BgL_res4034z00_7464 = 
(BgL_arg1793z00_7454==BgL_classz00_7433); }  else 
{ /* Llib/bibtex.scm 79 */
BgL_res4034z00_7464 = ((bool_t)0); } } } } 
BgL_arg1795z00_7439 = BgL_res4034z00_7464; } 
BgL_test4762z00_15038 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_7438, BgL_arg1795z00_7439); } }  else 
{ /* Llib/bibtex.scm 79 */
BgL_test4762z00_15038 = ((bool_t)0)
; } } 
if(BgL_test4762z00_15038)
{ /* Llib/bibtex.scm 81 */
 obj_t BgL_ezd2103zd2_3212;
BgL_ezd2103zd2_3212 = 
(((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_ez00_3202)))->BgL_objz00); 
if(
PAIRP(BgL_ezd2103zd2_3212))
{ /* Llib/bibtex.scm 81 */
 obj_t BgL_cdrzd2113zd2_3214;
BgL_cdrzd2113zd2_3214 = 
CDR(BgL_ezd2103zd2_3212); 
if(
PAIRP(BgL_cdrzd2113zd2_3214))
{ /* Llib/bibtex.scm 81 */
 obj_t BgL_carzd2118zd2_3216;
BgL_carzd2118zd2_3216 = 
CAR(BgL_cdrzd2113zd2_3214); 
if(
PAIRP(BgL_carzd2118zd2_3216))
{ /* Llib/bibtex.scm 81 */
 obj_t BgL_arg3355z00_3218; obj_t BgL_arg3356z00_3219; obj_t BgL_arg3357z00_3220;
BgL_arg3355z00_3218 = 
CAR(BgL_ezd2103zd2_3212); 
BgL_arg3356z00_3219 = 
CAR(BgL_carzd2118zd2_3216); 
BgL_arg3357z00_3220 = 
CDR(BgL_carzd2118zd2_3216); 
{ /* Llib/bibtex.scm 83 */
 obj_t BgL_arg3359z00_7472;
BgL_arg3359z00_7472 = 
(((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_ez00_3202)))->BgL_procz00); 
return 
BGl_errorzf2locationzf2zz__errorz00(BgL_arg3359z00_7472, BGl_string4106z00zz__text_bibtexz00, BgL_arg3355z00_3218, BgL_arg3356z00_3219, BgL_arg3357z00_3220);} }  else 
{ /* Llib/bibtex.scm 81 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_3202);} }  else 
{ /* Llib/bibtex.scm 81 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_3202);} }  else 
{ /* Llib/bibtex.scm 81 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_3202);} }  else 
{ /* Llib/bibtex.scm 79 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_3202);} } } }  else 
{ /* Llib/bibtex.scm 77 */
return BgL_val1018z00_3188;} } } } } } 

}



/* <@exit:3347>~0 */
obj_t BGl_zc3z04exitza33347ze3ze70z60zz__text_bibtexz00(obj_t BgL_portz00_8052, obj_t BgL_cell1014z00_8051, obj_t BgL_env1019z00_8050)
{
{ /* Llib/bibtex.scm 77 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1024z00_3192;
if( SET_EXIT(BgL_an_exit1024z00_3192 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1024z00_3192 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1019z00_8050, BgL_an_exit1024z00_3192, ((long)1)); 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_escape1015z00_3193;
BgL_escape1015z00_3193 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1019z00_8050); 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_res1027z00_3194;
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_ohs1011z00_3195;
BgL_ohs1011z00_3195 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1019z00_8050); 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_hds1012z00_3196;
BgL_hds1012z00_3196 = 
MAKE_STACK_PAIR(BgL_escape1015z00_3193, BgL_cell1014z00_8051); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1019z00_8050, BgL_hds1012z00_3196); BUNSPEC; 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_exitd1021z00_3197;
BgL_exitd1021z00_3197 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1019z00_8050); 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_tmp1023z00_3198;
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_arg3349z00_3201;
BgL_arg3349z00_3201 = 
BGL_EXITD_PROTECT(BgL_exitd1021z00_3197); 
BgL_tmp1023z00_3198 = 
MAKE_YOUNG_PAIR(BgL_ohs1011z00_3195, BgL_arg3349z00_3201); } 
{ /* Llib/bibtex.scm 77 */

BGL_EXITD_PROTECT_SET(BgL_exitd1021z00_3197, BgL_tmp1023z00_3198); BUNSPEC; 
{ /* Llib/bibtex.scm 91 */
 obj_t BgL_tmp1022z00_3199;
BgL_tmp1022z00_3199 = 
BGl_readzf2lalrpzf2zz__r4_input_6_10_2z00(BGl_bibtexzd2parserzd2zz__text_bibtexz00, BGl_bibtexzd2lexerzd2zz__text_bibtexz00, BgL_portz00_8052, BNIL); 
{ /* Llib/bibtex.scm 77 */
 bool_t BgL_test4769z00_15089;
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_arg1817z00_7474;
BgL_arg1817z00_7474 = 
BGL_EXITD_PROTECT(BgL_exitd1021z00_3197); 
BgL_test4769z00_15089 = 
PAIRP(BgL_arg1817z00_7474); } 
if(BgL_test4769z00_15089)
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_arg1815z00_7475;
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_arg1816z00_7476;
BgL_arg1816z00_7476 = 
BGL_EXITD_PROTECT(BgL_exitd1021z00_3197); 
BgL_arg1815z00_7475 = 
CDR(
((obj_t)BgL_arg1816z00_7476)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1021z00_3197, BgL_arg1815z00_7475); BUNSPEC; }  else 
{ /* Llib/bibtex.scm 77 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1019z00_8050, BgL_ohs1011z00_3195); BUNSPEC; 
BgL_res1027z00_3194 = BgL_tmp1022z00_3199; } } } } } } 
POP_ENV_EXIT(BgL_env1019z00_8050); 
return BgL_res1027z00_3194;} } 
}} 

}



/* bibtex-parse-authors */
BGL_EXPORTED_DEF obj_t BGl_bibtexzd2parsezd2authorsz00zz__text_bibtexz00(obj_t BgL_valz00_9)
{
{ /* Llib/bibtex.scm 347 */
{ /* Llib/bibtex.scm 359 */
 long BgL_stopz00_3227;
BgL_stopz00_3227 = 
(
STRING_LENGTH(BgL_valz00_9)-((long)7)); 
if(
bigloo_strcmp_at(BgL_valz00_9, BGl_string4107z00zz__text_bibtexz00, BgL_stopz00_3227))
{ /* Llib/bibtex.scm 361 */
 obj_t BgL_asz00_3229;
{ /* Llib/bibtex.scm 361 */
 obj_t BgL_arg3375z00_3250;
BgL_arg3375z00_3250 = 
c_substring(BgL_valz00_9, ((long)0), BgL_stopz00_3227); 
BgL_asz00_3229 = 
BGl_pregexpzd2splitzd2zz__regexpz00(BGl_pregexp1264z00zz__text_bibtexz00, BgL_arg3375z00_3250); } 
if(
NULLP(BgL_asz00_3229))
{ /* Llib/bibtex.scm 362 */
return BNIL;}  else 
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_arg3364z00_3231; obj_t BgL_arg3365z00_3232;
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_head1267z00_3235;
BgL_head1267z00_3235 = 
MAKE_YOUNG_PAIR(
BGl_parsezd2authorze70z35zz__text_bibtexz00(
CAR(BgL_asz00_3229)), BNIL); 
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_g1270z00_3236;
BgL_g1270z00_3236 = 
CDR(BgL_asz00_3229); 
{ 
 obj_t BgL_l1265z00_3238; obj_t BgL_tail1268z00_3239;
BgL_l1265z00_3238 = BgL_g1270z00_3236; 
BgL_tail1268z00_3239 = BgL_head1267z00_3235; 
BgL_zc3z04anonymousza33367ze3z87_3240:
if(
NULLP(BgL_l1265z00_3238))
{ /* Llib/bibtex.scm 363 */
BgL_arg3364z00_3231 = BgL_head1267z00_3235; }  else 
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_newtail1269z00_3242;
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_arg3370z00_3244;
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_arg3371z00_3245;
BgL_arg3371z00_3245 = 
CAR(
((obj_t)BgL_l1265z00_3238)); 
BgL_arg3370z00_3244 = 
BGl_parsezd2authorze70z35zz__text_bibtexz00(BgL_arg3371z00_3245); } 
BgL_newtail1269z00_3242 = 
MAKE_YOUNG_PAIR(BgL_arg3370z00_3244, BNIL); } 
SET_CDR(BgL_tail1268z00_3239, BgL_newtail1269z00_3242); 
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_arg3369z00_3243;
BgL_arg3369z00_3243 = 
CDR(
((obj_t)BgL_l1265z00_3238)); 
{ 
 obj_t BgL_tail1268z00_15120; obj_t BgL_l1265z00_15119;
BgL_l1265z00_15119 = BgL_arg3369z00_3243; 
BgL_tail1268z00_15120 = BgL_newtail1269z00_3242; 
BgL_tail1268z00_3239 = BgL_tail1268z00_15120; 
BgL_l1265z00_3238 = BgL_l1265z00_15119; 
goto BgL_zc3z04anonymousza33367ze3z87_3240;} } } } } } 
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_list3374z00_3249;
BgL_list3374z00_3249 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)31)), BNIL); 
BgL_arg3365z00_3232 = BgL_list3374z00_3249; } 
return 
BGl_appendzd221010zd2zz__text_bibtexz00(BgL_arg3364z00_3231, BgL_arg3365z00_3232);} }  else 
{ /* Llib/bibtex.scm 365 */
 obj_t BgL_asz00_3251;
BgL_asz00_3251 = 
BGl_pregexpzd2splitzd2zz__regexpz00(BGl_pregexp1271z00zz__text_bibtexz00, BgL_valz00_9); 
if(
NULLP(BgL_asz00_3251))
{ /* Llib/bibtex.scm 366 */
return BNIL;}  else 
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_head1274z00_3255;
BgL_head1274z00_3255 = 
MAKE_YOUNG_PAIR(
BGl_parsezd2authorze70z35zz__text_bibtexz00(
CAR(BgL_asz00_3251)), BNIL); 
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_g1277z00_3256;
BgL_g1277z00_3256 = 
CDR(BgL_asz00_3251); 
{ 
 obj_t BgL_l1272z00_3258; obj_t BgL_tail1275z00_3259;
BgL_l1272z00_3258 = BgL_g1277z00_3256; 
BgL_tail1275z00_3259 = BgL_head1274z00_3255; 
BgL_zc3z04anonymousza33378ze3z87_3260:
if(
NULLP(BgL_l1272z00_3258))
{ /* Llib/bibtex.scm 367 */
return BgL_head1274z00_3255;}  else 
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_newtail1276z00_3262;
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_arg3381z00_3264;
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_arg3382z00_3265;
BgL_arg3382z00_3265 = 
CAR(
((obj_t)BgL_l1272z00_3258)); 
BgL_arg3381z00_3264 = 
BGl_parsezd2authorze70z35zz__text_bibtexz00(BgL_arg3382z00_3265); } 
BgL_newtail1276z00_3262 = 
MAKE_YOUNG_PAIR(BgL_arg3381z00_3264, BNIL); } 
SET_CDR(BgL_tail1275z00_3259, BgL_newtail1276z00_3262); 
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_arg3380z00_3263;
BgL_arg3380z00_3263 = 
CDR(
((obj_t)BgL_l1272z00_3258)); 
{ 
 obj_t BgL_tail1275z00_15141; obj_t BgL_l1272z00_15140;
BgL_l1272z00_15140 = BgL_arg3380z00_3263; 
BgL_tail1275z00_15141 = BgL_newtail1276z00_3262; 
BgL_tail1275z00_3259 = BgL_tail1275z00_15141; 
BgL_l1272z00_3258 = BgL_l1272z00_15140; 
goto BgL_zc3z04anonymousza33378ze3z87_3260;} } } } } } } } } 

}



/* parse-author~0 */
obj_t BGl_parsezd2authorze70z35zz__text_bibtexz00(obj_t BgL_authz00_3270)
{
{ /* Llib/bibtex.scm 358 */
{ /* Llib/bibtex.scm 349 */
 obj_t BgL_mz00_3272;
{ /* Llib/bibtex.scm 349 */
 obj_t BgL_patz00_3301;
BgL_patz00_3301 = BGl_pregexp1261z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 349 */
 long BgL_endz00_3304;
BgL_endz00_3304 = 
STRING_LENGTH(
((obj_t)BgL_authz00_3270)); 
{ /* Llib/bibtex.scm 349 */

BgL_mz00_3272 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_3301, BgL_authz00_3270, 
BINT(((long)0)), 
BINT(BgL_endz00_3304)); } } } 
if(
CBOOL(BgL_mz00_3272))
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_arg3387z00_3273; obj_t BgL_arg3388z00_3274;
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_arg3391z00_3277;
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_pairz00_7489;
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_pairz00_7488;
BgL_pairz00_7488 = 
CDR(
((obj_t)BgL_mz00_3272)); 
BgL_pairz00_7489 = 
CDR(BgL_pairz00_7488); } 
BgL_arg3391z00_3277 = 
CAR(BgL_pairz00_7489); } 
BgL_arg3387z00_3273 = 
BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(BgL_arg3391z00_3277); } 
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_pairz00_7493;
BgL_pairz00_7493 = 
CDR(
((obj_t)BgL_mz00_3272)); 
BgL_arg3388z00_3274 = 
CAR(BgL_pairz00_7493); } 
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_list3389z00_3275;
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_arg3390z00_3276;
BgL_arg3390z00_3276 = 
MAKE_YOUNG_PAIR(BgL_arg3388z00_3274, BNIL); 
BgL_list3389z00_3275 = 
MAKE_YOUNG_PAIR(BgL_arg3387z00_3273, BgL_arg3390z00_3276); } 
return BgL_list3389z00_3275;} }  else 
{ /* Llib/bibtex.scm 352 */
 obj_t BgL_mz00_3278;
{ /* Llib/bibtex.scm 352 */
 obj_t BgL_patz00_3297;
BgL_patz00_3297 = BGl_pregexp1262z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 352 */
 long BgL_endz00_3300;
BgL_endz00_3300 = 
STRING_LENGTH(
((obj_t)BgL_authz00_3270)); 
{ /* Llib/bibtex.scm 352 */

BgL_mz00_3278 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_3297, BgL_authz00_3270, 
BINT(((long)0)), 
BINT(BgL_endz00_3300)); } } } 
if(
CBOOL(BgL_mz00_3278))
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_arg3392z00_3279; obj_t BgL_arg3393z00_3280;
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_arg3396z00_3283;
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_pairz00_7499;
BgL_pairz00_7499 = 
CDR(
((obj_t)BgL_mz00_3278)); 
BgL_arg3396z00_3283 = 
CAR(BgL_pairz00_7499); } 
BgL_arg3392z00_3279 = 
BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(BgL_arg3396z00_3283); } 
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_pairz00_7505;
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_pairz00_7504;
BgL_pairz00_7504 = 
CDR(
((obj_t)BgL_mz00_3278)); 
BgL_pairz00_7505 = 
CDR(BgL_pairz00_7504); } 
BgL_arg3393z00_3280 = 
CAR(BgL_pairz00_7505); } 
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_list3394z00_3281;
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_arg3395z00_3282;
BgL_arg3395z00_3282 = 
MAKE_YOUNG_PAIR(BgL_arg3393z00_3280, BNIL); 
BgL_list3394z00_3281 = 
MAKE_YOUNG_PAIR(BgL_arg3392z00_3279, BgL_arg3395z00_3282); } 
return BgL_list3394z00_3281;} }  else 
{ /* Llib/bibtex.scm 355 */
 obj_t BgL_mz00_3284;
{ /* Llib/bibtex.scm 355 */
 obj_t BgL_patz00_3293;
BgL_patz00_3293 = BGl_pregexp1263z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 355 */
 long BgL_endz00_3296;
BgL_endz00_3296 = 
STRING_LENGTH(
((obj_t)BgL_authz00_3270)); 
{ /* Llib/bibtex.scm 355 */

BgL_mz00_3284 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_3293, BgL_authz00_3270, 
BINT(((long)0)), 
BINT(BgL_endz00_3296)); } } } 
if(
CBOOL(BgL_mz00_3284))
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_arg3397z00_3285; obj_t BgL_arg3398z00_3286;
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_arg3401z00_3289;
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_pairz00_7513;
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_pairz00_7512;
BgL_pairz00_7512 = 
CDR(
((obj_t)BgL_mz00_3284)); 
BgL_pairz00_7513 = 
CDR(BgL_pairz00_7512); } 
BgL_arg3401z00_3289 = 
CAR(BgL_pairz00_7513); } 
BgL_arg3397z00_3285 = 
BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(BgL_arg3401z00_3289); } 
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_pairz00_7517;
BgL_pairz00_7517 = 
CDR(
((obj_t)BgL_mz00_3284)); 
BgL_arg3398z00_3286 = 
CAR(BgL_pairz00_7517); } 
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_list3399z00_3287;
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_arg3400z00_3288;
BgL_arg3400z00_3288 = 
MAKE_YOUNG_PAIR(BgL_arg3398z00_3286, BNIL); 
BgL_list3399z00_3287 = 
MAKE_YOUNG_PAIR(BgL_arg3397z00_3285, BgL_arg3400z00_3288); } 
return BgL_list3399z00_3287;} }  else 
{ /* Llib/bibtex.scm 358 */
 obj_t BgL_arg3402z00_3290;
BgL_arg3402z00_3290 = 
BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(BgL_authz00_3270); 
{ /* Llib/bibtex.scm 358 */
 obj_t BgL_list3403z00_3291;
{ /* Llib/bibtex.scm 358 */
 obj_t BgL_arg3404z00_3292;
BgL_arg3404z00_3292 = 
MAKE_YOUNG_PAIR(BGl_string4108z00zz__text_bibtexz00, BNIL); 
BgL_list3403z00_3291 = 
MAKE_YOUNG_PAIR(BgL_arg3402z00_3290, BgL_arg3404z00_3292); } 
return BgL_list3403z00_3291;} } } } } } 

}



/* &bibtex-parse-authors */
obj_t BGl_z62bibtexzd2parsezd2authorsz62zz__text_bibtexz00(obj_t BgL_envz00_8037, obj_t BgL_valz00_8038)
{
{ /* Llib/bibtex.scm 347 */
{ /* Llib/bibtex.scm 349 */
 obj_t BgL_auxz00_15196;
if(
STRINGP(BgL_valz00_8038))
{ /* Llib/bibtex.scm 349 */
BgL_auxz00_15196 = BgL_valz00_8038
; }  else 
{ 
 obj_t BgL_auxz00_15199;
BgL_auxz00_15199 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4100z00zz__text_bibtexz00, 
BINT(((long)12986)), BGl_string4109z00zz__text_bibtexz00, BGl_string4104z00zz__text_bibtexz00, BgL_valz00_8038); 
FAILURE(BgL_auxz00_15199,BFALSE,BFALSE);} 
return 
BGl_bibtexzd2parsezd2authorsz00zz__text_bibtexz00(BgL_auxz00_15196);} } 

}



/* bibtex-string-def! */
obj_t BGl_bibtexzd2stringzd2defz12z12zz__text_bibtexz00(obj_t BgL_identz00_10, obj_t BgL_valuez00_11)
{
{ /* Llib/bibtex.scm 373 */
{ /* Llib/bibtex.scm 384 */
 obj_t BgL_arg3405z00_3307;
BgL_arg3405z00_3307 = 
BGl_zd2ze3stringze70zd6zz__text_bibtexz00(BgL_valuez00_11); 
return 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00, BgL_identz00_10, BgL_arg3405z00_3307);} } 

}



/* ->string~0 */
obj_t BGl_zd2ze3stringze70zd6zz__text_bibtexz00(obj_t BgL_valuez00_3308)
{
{ /* Llib/bibtex.scm 383 */
if(
STRINGP(BgL_valuez00_3308))
{ /* Llib/bibtex.scm 375 */
return BgL_valuez00_3308;}  else 
{ 

if(
PAIRP(BgL_valuez00_3308))
{ /* Llib/bibtex.scm 377 */
 obj_t BgL_carzd2134zd2_3318;
BgL_carzd2134zd2_3318 = 
CAR(BgL_valuez00_3308); 
if(
STRINGP(BgL_carzd2134zd2_3318))
{ /* Llib/bibtex.scm 377 */
if(
NULLP(
CDR(BgL_valuez00_3308)))
{ /* Llib/bibtex.scm 377 */
return BgL_carzd2134zd2_3318;}  else 
{ /* Llib/bibtex.scm 377 */
BgL_tagzd2129zd2_3315:
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_runner3425z00_3346;
if(
NULLP(BgL_valuez00_3308))
{ /* Llib/bibtex.scm 383 */
BgL_runner3425z00_3346 = BNIL; }  else 
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_head1280z00_3332;
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_arg3423z00_3344;
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_arg3424z00_3345;
BgL_arg3424z00_3345 = 
CAR(
((obj_t)BgL_valuez00_3308)); 
BgL_arg3423z00_3344 = 
BGl_zd2ze3stringze70zd6zz__text_bibtexz00(BgL_arg3424z00_3345); } 
BgL_head1280z00_3332 = 
MAKE_YOUNG_PAIR(BgL_arg3423z00_3344, BNIL); } 
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_g1283z00_3333;
BgL_g1283z00_3333 = 
CDR(
((obj_t)BgL_valuez00_3308)); 
{ 
 obj_t BgL_l1278z00_3335; obj_t BgL_tail1281z00_3336;
BgL_l1278z00_3335 = BgL_g1283z00_3333; 
BgL_tail1281z00_3336 = BgL_head1280z00_3332; 
BgL_zc3z04anonymousza33418ze3z87_3337:
if(
NULLP(BgL_l1278z00_3335))
{ /* Llib/bibtex.scm 383 */
BgL_runner3425z00_3346 = BgL_head1280z00_3332; }  else 
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_newtail1282z00_3339;
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_arg3421z00_3341;
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_arg3422z00_3342;
BgL_arg3422z00_3342 = 
CAR(
((obj_t)BgL_l1278z00_3335)); 
BgL_arg3421z00_3341 = 
BGl_zd2ze3stringze70zd6zz__text_bibtexz00(BgL_arg3422z00_3342); } 
BgL_newtail1282z00_3339 = 
MAKE_YOUNG_PAIR(BgL_arg3421z00_3341, BNIL); } 
SET_CDR(BgL_tail1281z00_3336, BgL_newtail1282z00_3339); 
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_arg3420z00_3340;
BgL_arg3420z00_3340 = 
CDR(
((obj_t)BgL_l1278z00_3335)); 
{ 
 obj_t BgL_tail1281z00_15234; obj_t BgL_l1278z00_15233;
BgL_l1278z00_15233 = BgL_arg3420z00_3340; 
BgL_tail1281z00_15234 = BgL_newtail1282z00_3339; 
BgL_tail1281z00_3336 = BgL_tail1281z00_15234; 
BgL_l1278z00_3335 = BgL_l1278z00_15233; 
goto BgL_zc3z04anonymousza33418ze3z87_3337;} } } } } } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_runner3425z00_3346);} } }  else 
{ /* Llib/bibtex.scm 377 */
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_carzd2134zd2_3318))
{ /* Llib/bibtex.scm 377 */
if(
NULLP(
CDR(BgL_valuez00_3308)))
{ /* Llib/bibtex.scm 381 */

return 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_carzd2134zd2_3318, 
BINT(((long)10)));}  else 
{ /* Llib/bibtex.scm 377 */
goto BgL_tagzd2129zd2_3315;} }  else 
{ /* Llib/bibtex.scm 377 */
goto BgL_tagzd2129zd2_3315;} } }  else 
{ /* Llib/bibtex.scm 377 */
goto BgL_tagzd2129zd2_3315;} } } 

}



/* parse-entry-value */
obj_t BGl_parsezd2entryzd2valuez00zz__text_bibtexz00(obj_t BgL_valz00_12)
{
{ /* Llib/bibtex.scm 389 */
{ /* Llib/bibtex.scm 390 */
 obj_t BgL_g1204z00_3348;
BgL_g1204z00_3348 = 
bgl_reverse(BgL_valz00_12); 
{ 
 obj_t BgL_valz00_3350; obj_t BgL_resz00_3351;
BgL_valz00_3350 = BgL_g1204z00_3348; 
BgL_resz00_3351 = BGl_string4108z00zz__text_bibtexz00; 
BgL_zc3z04anonymousza33426ze3z87_3352:
if(
NULLP(BgL_valz00_3350))
{ /* Llib/bibtex.scm 393 */
return 
BGl_untexifyz00zz__text_bibtexz00(BgL_resz00_3351);}  else 
{ /* Llib/bibtex.scm 395 */
 bool_t BgL_test4788z00_15247;
{ /* Llib/bibtex.scm 395 */
 obj_t BgL_tmpz00_15248;
BgL_tmpz00_15248 = 
CAR(
((obj_t)BgL_valz00_3350)); 
BgL_test4788z00_15247 = 
CHARP(BgL_tmpz00_15248); } 
if(BgL_test4788z00_15247)
{ /* Llib/bibtex.scm 396 */
 obj_t BgL_arg3430z00_3356; obj_t BgL_arg3431z00_3357;
BgL_arg3430z00_3356 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ /* Llib/bibtex.scm 396 */
 obj_t BgL_arg3432z00_3358;
{ /* Llib/bibtex.scm 396 */
 obj_t BgL_arg3433z00_3359;
BgL_arg3433z00_3359 = 
CAR(
((obj_t)BgL_valz00_3350)); 
{ /* Llib/bibtex.scm 396 */
 obj_t BgL_list3434z00_3360;
BgL_list3434z00_3360 = 
MAKE_YOUNG_PAIR(BgL_arg3433z00_3359, BNIL); 
BgL_arg3432z00_3358 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list3434z00_3360); } } 
BgL_arg3431z00_3357 = 
string_append(BgL_arg3432z00_3358, BgL_resz00_3351); } 
{ 
 obj_t BgL_resz00_15260; obj_t BgL_valz00_15259;
BgL_valz00_15259 = BgL_arg3430z00_3356; 
BgL_resz00_15260 = BgL_arg3431z00_3357; 
BgL_resz00_3351 = BgL_resz00_15260; 
BgL_valz00_3350 = BgL_valz00_15259; 
goto BgL_zc3z04anonymousza33426ze3z87_3352;} }  else 
{ /* Llib/bibtex.scm 397 */
 bool_t BgL_test4789z00_15261;
{ /* Llib/bibtex.scm 397 */
 obj_t BgL_tmpz00_15262;
BgL_tmpz00_15262 = 
CAR(
((obj_t)BgL_valz00_3350)); 
BgL_test4789z00_15261 = 
STRINGP(BgL_tmpz00_15262); } 
if(BgL_test4789z00_15261)
{ /* Llib/bibtex.scm 398 */
 obj_t BgL_arg3437z00_3363; obj_t BgL_arg3438z00_3364;
BgL_arg3437z00_3363 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ /* Llib/bibtex.scm 398 */
 obj_t BgL_arg3439z00_3365;
BgL_arg3439z00_3365 = 
CAR(
((obj_t)BgL_valz00_3350)); 
BgL_arg3438z00_3364 = 
string_append(BgL_arg3439z00_3365, BgL_resz00_3351); } 
{ 
 obj_t BgL_resz00_15272; obj_t BgL_valz00_15271;
BgL_valz00_15271 = BgL_arg3437z00_3363; 
BgL_resz00_15272 = BgL_arg3438z00_3364; 
BgL_resz00_3351 = BgL_resz00_15272; 
BgL_valz00_3350 = BgL_valz00_15271; 
goto BgL_zc3z04anonymousza33426ze3z87_3352;} }  else 
{ 
 obj_t BgL_refz00_3366;
{ /* Llib/bibtex.scm 400 */
 obj_t BgL_ezd2154zd2_3369;
BgL_ezd2154zd2_3369 = 
CAR(
((obj_t)BgL_valz00_3350)); 
if(
PAIRP(BgL_ezd2154zd2_3369))
{ /* Llib/bibtex.scm 400 */
 obj_t BgL_cdrzd2158zd2_3371;
BgL_cdrzd2158zd2_3371 = 
CDR(BgL_ezd2154zd2_3369); 
if(
(
CAR(BgL_ezd2154zd2_3369)==
CNST_TABLE_REF(((long)11))))
{ /* Llib/bibtex.scm 400 */
if(
PAIRP(BgL_cdrzd2158zd2_3371))
{ /* Llib/bibtex.scm 400 */
if(
NULLP(
CDR(BgL_cdrzd2158zd2_3371)))
{ /* Llib/bibtex.scm 400 */
BgL_refz00_3366 = 
CAR(BgL_cdrzd2158zd2_3371); 
{ /* Llib/bibtex.scm 402 */
 obj_t BgL_hz00_3380;
BgL_hz00_3380 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00, BgL_refz00_3366); 
{ /* Llib/bibtex.scm 403 */
 obj_t BgL_arg3449z00_3381; obj_t BgL_arg3450z00_3382;
BgL_arg3449z00_3381 = 
CDR(
((obj_t)BgL_valz00_3350)); 
if(
STRINGP(BgL_hz00_3380))
{ /* Llib/bibtex.scm 404 */
BgL_arg3450z00_3382 = 
string_append(BgL_hz00_3380, BgL_resz00_3351); }  else 
{ /* Llib/bibtex.scm 404 */
BgL_arg3450z00_3382 = BgL_resz00_3351; } 
{ 
 obj_t BgL_resz00_15294; obj_t BgL_valz00_15293;
BgL_valz00_15293 = BgL_arg3449z00_3381; 
BgL_resz00_15294 = BgL_arg3450z00_3382; 
BgL_resz00_3351 = BgL_resz00_15294; 
BgL_valz00_3350 = BgL_valz00_15293; 
goto BgL_zc3z04anonymousza33426ze3z87_3352;} } } }  else 
{ /* Llib/bibtex.scm 408 */
 obj_t BgL_arg3452z00_7562;
BgL_arg3452z00_7562 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ 
 obj_t BgL_valz00_15298;
BgL_valz00_15298 = BgL_arg3452z00_7562; 
BgL_valz00_3350 = BgL_valz00_15298; 
goto BgL_zc3z04anonymousza33426ze3z87_3352;} } }  else 
{ /* Llib/bibtex.scm 408 */
 obj_t BgL_arg3452z00_7564;
BgL_arg3452z00_7564 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ 
 obj_t BgL_valz00_15301;
BgL_valz00_15301 = BgL_arg3452z00_7564; 
BgL_valz00_3350 = BgL_valz00_15301; 
goto BgL_zc3z04anonymousza33426ze3z87_3352;} } }  else 
{ /* Llib/bibtex.scm 408 */
 obj_t BgL_arg3452z00_7566;
BgL_arg3452z00_7566 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ 
 obj_t BgL_valz00_15304;
BgL_valz00_15304 = BgL_arg3452z00_7566; 
BgL_valz00_3350 = BgL_valz00_15304; 
goto BgL_zc3z04anonymousza33426ze3z87_3352;} } }  else 
{ /* Llib/bibtex.scm 408 */
 obj_t BgL_arg3452z00_7568;
BgL_arg3452z00_7568 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ 
 obj_t BgL_valz00_15307;
BgL_valz00_15307 = BgL_arg3452z00_7568; 
BgL_valz00_3350 = BgL_valz00_15307; 
goto BgL_zc3z04anonymousza33426ze3z87_3352;} } } } } } } } } 

}



/* make-bibtex-entry */
obj_t BGl_makezd2bibtexzd2entryz00zz__text_bibtexz00(obj_t BgL_kindz00_13, obj_t BgL_identz00_14, obj_t BgL_valuez00_15)
{
{ /* Llib/bibtex.scm 413 */
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_fieldsz00_3388;
if(
NULLP(BgL_valuez00_15))
{ /* Llib/bibtex.scm 414 */
BgL_fieldsz00_3388 = BNIL; }  else 
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_head1286z00_3393;
BgL_head1286z00_3393 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1284z00_3395; obj_t BgL_tail1287z00_3396;
BgL_l1284z00_3395 = BgL_valuez00_15; 
BgL_tail1287z00_3396 = BgL_head1286z00_3393; 
BgL_zc3z04anonymousza33458ze3z87_3397:
if(
NULLP(BgL_l1284z00_3395))
{ /* Llib/bibtex.scm 414 */
BgL_fieldsz00_3388 = 
CDR(BgL_head1286z00_3393); }  else 
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_newtail1288z00_3399;
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_arg3461z00_3401;
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_linez00_3402;
BgL_linez00_3402 = 
CAR(
((obj_t)BgL_l1284z00_3395)); 
{ /* Llib/bibtex.scm 415 */
 obj_t BgL_keyz00_3403; obj_t BgL_valz00_3404;
BgL_keyz00_3403 = 
CAR(
((obj_t)BgL_linez00_3402)); 
{ /* Llib/bibtex.scm 416 */
 obj_t BgL_arg3464z00_3407;
BgL_arg3464z00_3407 = 
CDR(
((obj_t)BgL_linez00_3402)); 
BgL_valz00_3404 = 
BGl_parsezd2entryzd2valuez00zz__text_bibtexz00(BgL_arg3464z00_3407); } 
{ /* Llib/bibtex.scm 418 */
 obj_t BgL_arg3462z00_3405;
if(
(BgL_keyz00_3403==
CNST_TABLE_REF(((long)32))))
{ /* Llib/bibtex.scm 418 */
BgL_arg3462z00_3405 = 
BGl_bibtexzd2parsezd2authorsz00zz__text_bibtexz00(BgL_valz00_3404); }  else 
{ /* Llib/bibtex.scm 418 */
BgL_arg3462z00_3405 = BgL_valz00_3404; } 
BgL_arg3461z00_3401 = 
MAKE_YOUNG_PAIR(BgL_keyz00_3403, BgL_arg3462z00_3405); } } } 
BgL_newtail1288z00_3399 = 
MAKE_YOUNG_PAIR(BgL_arg3461z00_3401, BNIL); } 
SET_CDR(BgL_tail1287z00_3396, BgL_newtail1288z00_3399); 
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_arg3460z00_3400;
BgL_arg3460z00_3400 = 
CDR(
((obj_t)BgL_l1284z00_3395)); 
{ 
 obj_t BgL_tail1287z00_15331; obj_t BgL_l1284z00_15330;
BgL_l1284z00_15330 = BgL_arg3460z00_3400; 
BgL_tail1287z00_15331 = BgL_newtail1288z00_3399; 
BgL_tail1287z00_3396 = BgL_tail1287z00_15331; 
BgL_l1284z00_3395 = BgL_l1284z00_15330; 
goto BgL_zc3z04anonymousza33458ze3z87_3397;} } } } } 
{ /* Llib/bibtex.scm 422 */
 obj_t BgL_arg3455z00_3389;
BgL_arg3455z00_3389 = 
MAKE_YOUNG_PAIR(BgL_kindz00_13, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fieldsz00_3388, BNIL)); 
return 
MAKE_YOUNG_PAIR(BgL_identz00_14, BgL_arg3455z00_3389);} } } 

}



/* untexify */
obj_t BGl_untexifyz00zz__text_bibtexz00(obj_t BgL_valz00_16)
{
{ /* Llib/bibtex.scm 427 */
{ 
 obj_t BgL_strz00_3772;
if(
STRINGP(BgL_valz00_16))
{ /* Llib/bibtex.scm 470 */
BgL_strz00_3772 = BgL_valz00_16; 
{ /* Llib/bibtex.scm 442 */
 obj_t BgL_sz00_3774;
BgL_sz00_3774 = 
BGl_pregexpzd2replaceza2z70zz__regexpz00(BGl_pregexp1291z00zz__text_bibtexz00, BgL_strz00_3772, BGl_string4110z00zz__text_bibtexz00); 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_port1222z00_3775;
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg3929z00_4378;
BgL_arg3929z00_4378 = 
BGl_pregexpzd2replaceza2z70zz__regexpz00(BGl_pregexp1292z00zz__text_bibtexz00, BgL_sz00_3774, BGl_string4108z00zz__text_bibtexz00); 
{ /* Llib/bibtex.scm 443 */
 long BgL_endz00_4381;
BgL_endz00_4381 = 
STRING_LENGTH(BgL_arg3929z00_4378); 
{ /* Llib/bibtex.scm 443 */

BgL_port1222z00_3775 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_arg3929z00_4378, 
BINT(((long)0)), 
BINT(BgL_endz00_4381)); } } } 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_exitd1223z00_3776;
BgL_exitd1223z00_3776 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_zc3z04anonymousza33928ze3z87_8039;
BgL_zc3z04anonymousza33928ze3z87_8039 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33928ze3ze5zz__text_bibtexz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33928ze3z87_8039, 
(int)(((long)0)), BgL_port1222z00_3775); 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg1818z00_7696;
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg1819z00_7697;
BgL_arg1819z00_7697 = 
BGL_EXITD_PROTECT(BgL_exitd1223z00_3776); 
BgL_arg1818z00_7696 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33928ze3z87_8039, BgL_arg1819z00_7697); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1223z00_3776, BgL_arg1818z00_7696); BUNSPEC; } 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_tmp1225z00_3778;
BgL_tmp1225z00_3778 = 
BGl_ignoreze71ze7zz__text_bibtexz00(BgL_port1222z00_3775); 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4799z00_15353;
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg1817z00_8010;
BgL_arg1817z00_8010 = 
BGL_EXITD_PROTECT(BgL_exitd1223z00_3776); 
BgL_test4799z00_15353 = 
PAIRP(BgL_arg1817z00_8010); } 
if(BgL_test4799z00_15353)
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg1815z00_8011;
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg1816z00_8012;
BgL_arg1816z00_8012 = 
BGL_EXITD_PROTECT(BgL_exitd1223z00_3776); 
BgL_arg1815z00_8011 = 
CDR(
((obj_t)BgL_arg1816z00_8012)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1223z00_3776, BgL_arg1815z00_8011); BUNSPEC; }  else 
{ /* Llib/bibtex.scm 443 */BFALSE; } } 
bgl_close_input_port(BgL_port1222z00_3775); 
return BgL_tmp1225z00_3778;} } } } } }  else 
{ /* Llib/bibtex.scm 470 */
if(
NULLP(BgL_valz00_16))
{ /* Llib/bibtex.scm 472 */
return BNIL;}  else 
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_head1301z00_3414;
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_arg3472z00_3426;
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_arg3473z00_3427;
BgL_arg3473z00_3427 = 
CAR(
((obj_t)BgL_valz00_16)); 
BgL_arg3472z00_3426 = 
BGl_untexifyz00zz__text_bibtexz00(BgL_arg3473z00_3427); } 
BgL_head1301z00_3414 = 
MAKE_YOUNG_PAIR(BgL_arg3472z00_3426, BNIL); } 
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_g1304z00_3415;
BgL_g1304z00_3415 = 
CDR(
((obj_t)BgL_valz00_16)); 
{ 
 obj_t BgL_l1299z00_3417; obj_t BgL_tail1302z00_3418;
BgL_l1299z00_3417 = BgL_g1304z00_3415; 
BgL_tail1302z00_3418 = BgL_head1301z00_3414; 
BgL_zc3z04anonymousza33467ze3z87_3419:
if(
NULLP(BgL_l1299z00_3417))
{ /* Llib/bibtex.scm 472 */
return BgL_head1301z00_3414;}  else 
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_newtail1303z00_3421;
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_arg3470z00_3423;
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_arg3471z00_3424;
BgL_arg3471z00_3424 = 
CAR(
((obj_t)BgL_l1299z00_3417)); 
BgL_arg3470z00_3423 = 
BGl_untexifyz00zz__text_bibtexz00(BgL_arg3471z00_3424); } 
BgL_newtail1303z00_3421 = 
MAKE_YOUNG_PAIR(BgL_arg3470z00_3423, BNIL); } 
SET_CDR(BgL_tail1302z00_3418, BgL_newtail1303z00_3421); 
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_arg3469z00_3422;
BgL_arg3469z00_3422 = 
CDR(
((obj_t)BgL_l1299z00_3417)); 
{ 
 obj_t BgL_tail1302z00_15379; obj_t BgL_l1299z00_15378;
BgL_l1299z00_15378 = BgL_arg3469z00_3422; 
BgL_tail1302z00_15379 = BgL_newtail1303z00_3421; 
BgL_tail1302z00_3418 = BgL_tail1302z00_15379; 
BgL_l1299z00_3417 = BgL_l1299z00_15378; 
goto BgL_zc3z04anonymousza33467ze3z87_3419;} } } } } } } } } 

}



/* ignore~0 */
obj_t BGl_ignoreze70ze7zz__text_bibtexz00(obj_t BgL_iportz00_8047)
{
{ /* Llib/bibtex.scm 430 */
BGl_ignoreze70ze7zz__text_bibtexz00:
{ 
 obj_t BgL_iportz00_3470; long BgL_lastzd2matchzd2_3471; long BgL_forwardz00_3472; long BgL_bufposz00_3473; obj_t BgL_iportz00_3492; long BgL_lastzd2matchzd2_3493; long BgL_forwardz00_3494; long BgL_bufposz00_3495; obj_t BgL_iportz00_3510; long BgL_lastzd2matchzd2_3511; long BgL_forwardz00_3512; long BgL_bufposz00_3513; obj_t BgL_iportz00_3525; long BgL_lastzd2matchzd2_3526; long BgL_forwardz00_3527; long BgL_bufposz00_3528; obj_t BgL_iportz00_3540; long BgL_lastzd2matchzd2_3541; long BgL_forwardz00_3542; long BgL_bufposz00_3543; obj_t BgL_iportz00_3558; long BgL_lastzd2matchzd2_3559; long BgL_forwardz00_3560; long BgL_bufposz00_3561; obj_t BgL_iportz00_3580; long BgL_lastzd2matchzd2_3581; long BgL_forwardz00_3582; long BgL_bufposz00_3583;
RGC_START_MATCH(BgL_iportz00_8047); 
{ /* Llib/bibtex.scm 430 */
 long BgL_matchz00_3721;
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3633z00_3731; long BgL_arg3634z00_3732;
BgL_arg3633z00_3731 = 
RGC_BUFFER_FORWARD(BgL_iportz00_8047); 
BgL_arg3634z00_3732 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_8047); 
BgL_iportz00_3580 = BgL_iportz00_8047; 
BgL_lastzd2matchzd2_3581 = ((long)3); 
BgL_forwardz00_3582 = BgL_arg3633z00_3731; 
BgL_bufposz00_3583 = BgL_arg3634z00_3732; 
BgL_zc3z04anonymousza33529ze3z87_3584:
if(
(BgL_forwardz00_3582==BgL_bufposz00_3583))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3580))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3532z00_3587; long BgL_arg3533z00_3588;
BgL_arg3532z00_3587 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3580); 
BgL_arg3533z00_3588 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3580); 
{ 
 long BgL_bufposz00_15390; long BgL_forwardz00_15389;
BgL_forwardz00_15389 = BgL_arg3532z00_3587; 
BgL_bufposz00_15390 = BgL_arg3533z00_3588; 
BgL_bufposz00_3583 = BgL_bufposz00_15390; 
BgL_forwardz00_3582 = BgL_forwardz00_15389; 
goto BgL_zc3z04anonymousza33529ze3z87_3584;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_lastzd2matchzd2_3581; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3589;
BgL_curz00_3589 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3580, BgL_forwardz00_3582); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4804z00_15392;
if(
(
(long)(BgL_curz00_3589)==((long)95)))
{ /* Llib/bibtex.scm 430 */
BgL_test4804z00_15392 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4804z00_15392 = 
(
(long)(BgL_curz00_3589)==((long)94))
; } 
if(BgL_test4804z00_15392)
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3510 = BgL_iportz00_3580; 
BgL_lastzd2matchzd2_3511 = BgL_lastzd2matchzd2_3581; 
BgL_forwardz00_3512 = 
(((long)1)+BgL_forwardz00_3582); 
BgL_bufposz00_3513 = BgL_bufposz00_3583; 
BgL_zc3z04anonymousza33494ze3z87_3514:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3515;
RGC_STOP_MATCH(BgL_iportz00_3510, BgL_forwardz00_3512); 
BgL_newzd2matchzd2_3515 = ((long)1); 
if(
(BgL_forwardz00_3512==BgL_bufposz00_3513))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3510))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3497z00_3518; long BgL_arg3498z00_3519;
BgL_arg3497z00_3518 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3510); 
BgL_arg3498z00_3519 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3510); 
{ 
 long BgL_bufposz00_15406; long BgL_forwardz00_15405;
BgL_forwardz00_15405 = BgL_arg3497z00_3518; 
BgL_bufposz00_15406 = BgL_arg3498z00_3519; 
BgL_bufposz00_3513 = BgL_bufposz00_15406; 
BgL_forwardz00_3512 = BgL_forwardz00_15405; 
goto BgL_zc3z04anonymousza33494ze3z87_3514;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3515; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3520;
BgL_curz00_3520 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3510, BgL_forwardz00_3512); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4808z00_15408;
if(
(
(long)(BgL_curz00_3520)==((long)95)))
{ /* Llib/bibtex.scm 430 */
BgL_test4808z00_15408 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4808z00_15408 = 
(
(long)(BgL_curz00_3520)==((long)94))
; } 
if(BgL_test4808z00_15408)
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3525 = BgL_iportz00_3510; 
BgL_lastzd2matchzd2_3526 = BgL_newzd2matchzd2_3515; 
BgL_forwardz00_3527 = 
(((long)1)+BgL_forwardz00_3512); 
BgL_bufposz00_3528 = BgL_bufposz00_3513; 
BgL_zc3z04anonymousza33502ze3z87_3529:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3530;
RGC_STOP_MATCH(BgL_iportz00_3525, BgL_forwardz00_3527); 
BgL_newzd2matchzd2_3530 = ((long)1); 
if(
(BgL_forwardz00_3527==BgL_bufposz00_3528))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3525))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3505z00_3533; long BgL_arg3506z00_3534;
BgL_arg3505z00_3533 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3525); 
BgL_arg3506z00_3534 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3525); 
{ 
 long BgL_bufposz00_15422; long BgL_forwardz00_15421;
BgL_forwardz00_15421 = BgL_arg3505z00_3533; 
BgL_bufposz00_15422 = BgL_arg3506z00_3534; 
BgL_bufposz00_3528 = BgL_bufposz00_15422; 
BgL_forwardz00_3527 = BgL_forwardz00_15421; 
goto BgL_zc3z04anonymousza33502ze3z87_3529;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3530; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3535;
BgL_curz00_3535 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3525, BgL_forwardz00_3527); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4812z00_15424;
if(
(
(long)(BgL_curz00_3535)==((long)95)))
{ /* Llib/bibtex.scm 430 */
BgL_test4812z00_15424 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4812z00_15424 = 
(
(long)(BgL_curz00_3535)==((long)94))
; } 
if(BgL_test4812z00_15424)
{ 
 long BgL_forwardz00_15431; long BgL_lastzd2matchzd2_15430;
BgL_lastzd2matchzd2_15430 = BgL_newzd2matchzd2_3530; 
BgL_forwardz00_15431 = 
(((long)1)+BgL_forwardz00_3527); 
BgL_forwardz00_3527 = BgL_forwardz00_15431; 
BgL_lastzd2matchzd2_3526 = BgL_lastzd2matchzd2_15430; 
goto BgL_zc3z04anonymousza33502ze3z87_3529;}  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3530; } } } } } }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3515; } } } } } }  else 
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4814z00_15435;
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4815z00_15436;
if(
(
(long)(BgL_curz00_3589)==((long)10)))
{ /* Llib/bibtex.scm 430 */
BgL_test4815z00_15436 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4815z00_15436 = 
(
(long)(BgL_curz00_3589)==((long)9))
; } 
if(BgL_test4815z00_15436)
{ /* Llib/bibtex.scm 430 */
BgL_test4814z00_15435 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4814z00_15435 = 
(
(long)(BgL_curz00_3589)==((long)32))
; } } 
if(BgL_test4814z00_15435)
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3492 = BgL_iportz00_3580; 
BgL_lastzd2matchzd2_3493 = BgL_lastzd2matchzd2_3581; 
BgL_forwardz00_3494 = 
(((long)1)+BgL_forwardz00_3582); 
BgL_bufposz00_3495 = BgL_bufposz00_3583; 
BgL_zc3z04anonymousza33485ze3z87_3496:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3497;
RGC_STOP_MATCH(BgL_iportz00_3492, BgL_forwardz00_3494); 
BgL_newzd2matchzd2_3497 = ((long)2); 
if(
(BgL_forwardz00_3494==BgL_bufposz00_3495))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3492))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3488z00_3500; long BgL_arg3489z00_3501;
BgL_arg3488z00_3500 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3492); 
BgL_arg3489z00_3501 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3492); 
{ 
 long BgL_bufposz00_15452; long BgL_forwardz00_15451;
BgL_forwardz00_15451 = BgL_arg3488z00_3500; 
BgL_bufposz00_15452 = BgL_arg3489z00_3501; 
BgL_bufposz00_3495 = BgL_bufposz00_15452; 
BgL_forwardz00_3494 = BgL_forwardz00_15451; 
goto BgL_zc3z04anonymousza33485ze3z87_3496;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3497; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3502;
BgL_curz00_3502 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3492, BgL_forwardz00_3494); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4819z00_15454;
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4820z00_15455;
if(
(
(long)(BgL_curz00_3502)==((long)10)))
{ /* Llib/bibtex.scm 430 */
BgL_test4820z00_15455 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4820z00_15455 = 
(
(long)(BgL_curz00_3502)==((long)9))
; } 
if(BgL_test4820z00_15455)
{ /* Llib/bibtex.scm 430 */
BgL_test4819z00_15454 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4819z00_15454 = 
(
(long)(BgL_curz00_3502)==((long)32))
; } } 
if(BgL_test4819z00_15454)
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3540 = BgL_iportz00_3492; 
BgL_lastzd2matchzd2_3541 = BgL_newzd2matchzd2_3497; 
BgL_forwardz00_3542 = 
(((long)1)+BgL_forwardz00_3494); 
BgL_bufposz00_3543 = BgL_bufposz00_3495; 
BgL_zc3z04anonymousza33510ze3z87_3544:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3545;
RGC_STOP_MATCH(BgL_iportz00_3540, BgL_forwardz00_3542); 
BgL_newzd2matchzd2_3545 = ((long)2); 
if(
(BgL_forwardz00_3542==BgL_bufposz00_3543))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3540))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3513z00_3548; long BgL_arg3514z00_3549;
BgL_arg3513z00_3548 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3540); 
BgL_arg3514z00_3549 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3540); 
{ 
 long BgL_bufposz00_15471; long BgL_forwardz00_15470;
BgL_forwardz00_15470 = BgL_arg3513z00_3548; 
BgL_bufposz00_15471 = BgL_arg3514z00_3549; 
BgL_bufposz00_3543 = BgL_bufposz00_15471; 
BgL_forwardz00_3542 = BgL_forwardz00_15470; 
goto BgL_zc3z04anonymousza33510ze3z87_3544;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3545; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3550;
BgL_curz00_3550 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3540, BgL_forwardz00_3542); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4824z00_15473;
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4825z00_15474;
if(
(
(long)(BgL_curz00_3550)==((long)10)))
{ /* Llib/bibtex.scm 430 */
BgL_test4825z00_15474 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4825z00_15474 = 
(
(long)(BgL_curz00_3550)==((long)9))
; } 
if(BgL_test4825z00_15474)
{ /* Llib/bibtex.scm 430 */
BgL_test4824z00_15473 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4824z00_15473 = 
(
(long)(BgL_curz00_3550)==((long)32))
; } } 
if(BgL_test4824z00_15473)
{ 
 long BgL_forwardz00_15483; long BgL_lastzd2matchzd2_15482;
BgL_lastzd2matchzd2_15482 = BgL_newzd2matchzd2_3545; 
BgL_forwardz00_15483 = 
(((long)1)+BgL_forwardz00_3542); 
BgL_forwardz00_3542 = BgL_forwardz00_15483; 
BgL_lastzd2matchzd2_3541 = BgL_lastzd2matchzd2_15482; 
goto BgL_zc3z04anonymousza33510ze3z87_3544;}  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3545; } } } } } }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3497; } } } } } }  else 
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3470 = BgL_iportz00_3580; 
BgL_lastzd2matchzd2_3471 = BgL_lastzd2matchzd2_3581; 
BgL_forwardz00_3472 = 
(((long)1)+BgL_forwardz00_3582); 
BgL_bufposz00_3473 = BgL_bufposz00_3583; 
BgL_zc3z04anonymousza33475ze3z87_3474:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3475;
RGC_STOP_MATCH(BgL_iportz00_3470, BgL_forwardz00_3472); 
BgL_newzd2matchzd2_3475 = ((long)0); 
if(
(BgL_forwardz00_3472==BgL_bufposz00_3473))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3470))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3478z00_3478; long BgL_arg3479z00_3479;
BgL_arg3478z00_3478 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3470); 
BgL_arg3479z00_3479 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3470); 
{ 
 long BgL_bufposz00_15495; long BgL_forwardz00_15494;
BgL_forwardz00_15494 = BgL_arg3478z00_3478; 
BgL_bufposz00_15495 = BgL_arg3479z00_3479; 
BgL_bufposz00_3473 = BgL_bufposz00_15495; 
BgL_forwardz00_3472 = BgL_forwardz00_15494; 
goto BgL_zc3z04anonymousza33475ze3z87_3474;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3475; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3480;
BgL_curz00_3480 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3470, BgL_forwardz00_3472); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4829z00_15497;
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4830z00_15498;
if(
(
(long)(BgL_curz00_3480)==((long)10)))
{ /* Llib/bibtex.scm 430 */
BgL_test4830z00_15498 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4830z00_15498 = 
(
(long)(BgL_curz00_3480)==((long)9))
; } 
if(BgL_test4830z00_15498)
{ /* Llib/bibtex.scm 430 */
BgL_test4829z00_15497 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
if(
(
(long)(BgL_curz00_3480)==((long)32)))
{ /* Llib/bibtex.scm 430 */
BgL_test4829z00_15497 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
 bool_t BgL__ortest_1218z00_3490;
BgL__ortest_1218z00_3490 = 
(
(long)(BgL_curz00_3480)==((long)95)); 
if(BgL__ortest_1218z00_3490)
{ /* Llib/bibtex.scm 430 */
BgL_test4829z00_15497 = BgL__ortest_1218z00_3490
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4829z00_15497 = 
(
(long)(BgL_curz00_3480)==((long)94))
; } } } } 
if(BgL_test4829z00_15497)
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3475; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3558 = BgL_iportz00_3470; 
BgL_lastzd2matchzd2_3559 = BgL_newzd2matchzd2_3475; 
BgL_forwardz00_3560 = 
(((long)1)+BgL_forwardz00_3472); 
BgL_bufposz00_3561 = BgL_bufposz00_3473; 
BgL_zc3z04anonymousza33519ze3z87_3562:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3563;
RGC_STOP_MATCH(BgL_iportz00_3558, BgL_forwardz00_3560); 
BgL_newzd2matchzd2_3563 = ((long)0); 
if(
(BgL_forwardz00_3560==BgL_bufposz00_3561))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3558))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3522z00_3566; long BgL_arg3523z00_3567;
BgL_arg3522z00_3566 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3558); 
BgL_arg3523z00_3567 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3558); 
{ 
 long BgL_bufposz00_15520; long BgL_forwardz00_15519;
BgL_forwardz00_15519 = BgL_arg3522z00_3566; 
BgL_bufposz00_15520 = BgL_arg3523z00_3567; 
BgL_bufposz00_3561 = BgL_bufposz00_15520; 
BgL_forwardz00_3560 = BgL_forwardz00_15519; 
goto BgL_zc3z04anonymousza33519ze3z87_3562;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3563; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3568;
BgL_curz00_3568 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3558, BgL_forwardz00_3560); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4836z00_15522;
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4837z00_15523;
if(
(
(long)(BgL_curz00_3568)==((long)10)))
{ /* Llib/bibtex.scm 430 */
BgL_test4837z00_15523 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4837z00_15523 = 
(
(long)(BgL_curz00_3568)==((long)9))
; } 
if(BgL_test4837z00_15523)
{ /* Llib/bibtex.scm 430 */
BgL_test4836z00_15522 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
if(
(
(long)(BgL_curz00_3568)==((long)32)))
{ /* Llib/bibtex.scm 430 */
BgL_test4836z00_15522 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
 bool_t BgL__ortest_1219z00_3578;
BgL__ortest_1219z00_3578 = 
(
(long)(BgL_curz00_3568)==((long)95)); 
if(BgL__ortest_1219z00_3578)
{ /* Llib/bibtex.scm 430 */
BgL_test4836z00_15522 = BgL__ortest_1219z00_3578
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4836z00_15522 = 
(
(long)(BgL_curz00_3568)==((long)94))
; } } } } 
if(BgL_test4836z00_15522)
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3563; }  else 
{ 
 long BgL_forwardz00_15538; long BgL_lastzd2matchzd2_15537;
BgL_lastzd2matchzd2_15537 = BgL_newzd2matchzd2_3563; 
BgL_forwardz00_15538 = 
(((long)1)+BgL_forwardz00_3560); 
BgL_forwardz00_3560 = BgL_forwardz00_15538; 
BgL_lastzd2matchzd2_3559 = BgL_lastzd2matchzd2_15537; 
goto BgL_zc3z04anonymousza33519ze3z87_3562;} } } } } } } } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_8047); 
{ 

{ /* Llib/bibtex.scm 430 */
 obj_t BgL_aux1290z00_3726;
BgL_aux1290z00_3726 = 
BINT(BgL_matchz00_3721); 
switch( 
(long)CINT(BgL_aux1290z00_3726)) { case ((long)3) : 

return BGl_string4108z00zz__text_bibtexz00;break;case ((long)2) : 

return 
string_append(BGl_string4060z00zz__text_bibtexz00, 
BGl_ignoreze70ze7zz__text_bibtexz00(BgL_iportz00_8047));break;case ((long)1) : 

{ 

goto BGl_ignoreze70ze7zz__text_bibtexz00;} break;case ((long)0) : 

{ /* Llib/bibtex.scm 432 */
 obj_t BgL_sz00_3729;
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3548z00_7684;
BgL_arg3548z00_7684 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8047); 
BgL_sz00_3729 = 
rgc_buffer_substring(BgL_iportz00_8047, ((long)0), BgL_arg3548z00_7684); } 
return 
string_append(BgL_sz00_3729, 
BGl_ignoreze70ze7zz__text_bibtexz00(BgL_iportz00_8047));} break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string4094z00zz__text_bibtexz00, BGl_string4095z00zz__text_bibtexz00, 
BINT(BgL_matchz00_3721));} } } } } } 

}



/* the-substring~0 */
obj_t BGl_thezd2substringze70z35zz__text_bibtexz00(obj_t BgL_iportz00_8048, int BgL_minz00_4197, int BgL_maxz00_4198)
{
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_maxz00_4198)<
(long)(BgL_minz00_4197)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3833z00_4201;
BgL_arg3833z00_4201 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8048); 
{ /* Llib/bibtex.scm 443 */
 long BgL_za72za7_7982;
BgL_za72za7_7982 = 
(long)(BgL_maxz00_4198); 
BgL_maxz00_4198 = 
(int)(
(BgL_arg3833z00_4201+BgL_za72za7_7982)); } }  else 
{ /* Llib/bibtex.scm 443 */BFALSE; } 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4842z00_15562;
if(
(
(long)(BgL_minz00_4197)>=((long)0)))
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_maxz00_4198)>=
(long)(BgL_minz00_4197)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3842z00_4212;
BgL_arg3842z00_4212 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8048); 
BgL_test4842z00_15562 = 
(
(long)(BgL_maxz00_4198)<=BgL_arg3842z00_4212); }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4842z00_15562 = ((bool_t)0)
; } }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4842z00_15562 = ((bool_t)0)
; } 
if(BgL_test4842z00_15562)
{ /* Llib/bibtex.scm 443 */
return 
rgc_buffer_substring(BgL_iportz00_8048, 
(long)(BgL_minz00_4197), 
(long)(BgL_maxz00_4198));}  else 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg3838z00_4206; obj_t BgL_arg3839z00_4207;
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg3840z00_4208;
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3830z00_7992;
BgL_arg3830z00_7992 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8048); 
BgL_arg3840z00_4208 = 
rgc_buffer_substring(BgL_iportz00_8048, ((long)0), BgL_arg3830z00_7992); } 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_list3841z00_4209;
BgL_list3841z00_4209 = 
MAKE_YOUNG_PAIR(BgL_arg3840z00_4208, BNIL); 
BgL_arg3838z00_4206 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4096z00zz__text_bibtexz00, BgL_list3841z00_4209); } } 
BgL_arg3839z00_4207 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_4197), 
BINT(BgL_maxz00_4198)); 
return 
BGl_errorz00zz__errorz00(BGl_string4097z00zz__text_bibtexz00, BgL_arg3838z00_4206, BgL_arg3839z00_4207);} } } 

}



/* ignore~1 */
obj_t BGl_ignoreze71ze7zz__text_bibtexz00(obj_t BgL_iportz00_8049)
{
{ /* Llib/bibtex.scm 443 */
BGl_ignoreze71ze7zz__text_bibtexz00:
{ 
 obj_t BgL_strz00_3428; obj_t BgL_iportz00_3829; long BgL_lastzd2matchzd2_3830; long BgL_forwardz00_3831; long BgL_bufposz00_3832; obj_t BgL_iportz00_3845; long BgL_lastzd2matchzd2_3846; long BgL_forwardz00_3847; long BgL_bufposz00_3848; obj_t BgL_iportz00_3862; long BgL_lastzd2matchzd2_3863; long BgL_forwardz00_3864; long BgL_bufposz00_3865; obj_t BgL_iportz00_3879; long BgL_lastzd2matchzd2_3880; long BgL_forwardz00_3881; long BgL_bufposz00_3882; obj_t BgL_iportz00_3909; long BgL_lastzd2matchzd2_3910; long BgL_forwardz00_3911; long BgL_bufposz00_3912; obj_t BgL_iportz00_3931; long BgL_lastzd2matchzd2_3932; long BgL_forwardz00_3933; long BgL_bufposz00_3934; obj_t BgL_iportz00_3951; long BgL_lastzd2matchzd2_3952; long BgL_forwardz00_3953; long BgL_bufposz00_3954; obj_t BgL_iportz00_3971; long BgL_lastzd2matchzd2_3972; long BgL_forwardz00_3973; long BgL_bufposz00_3974; obj_t BgL_iportz00_3997; long BgL_lastzd2matchzd2_3998; long BgL_forwardz00_3999; long BgL_bufposz00_4000; obj_t BgL_iportz00_4012; long BgL_lastzd2matchzd2_4013; long BgL_forwardz00_4014; long BgL_bufposz00_4015; obj_t BgL_iportz00_4042; long BgL_lastzd2matchzd2_4043; long BgL_forwardz00_4044; long BgL_bufposz00_4045; obj_t BgL_iportz00_4058; long BgL_lastzd2matchzd2_4059; long BgL_forwardz00_4060; long BgL_bufposz00_4061; obj_t BgL_iportz00_4072; long BgL_lastzd2matchzd2_4073; long BgL_forwardz00_4074; long BgL_bufposz00_4075; obj_t BgL_iportz00_4086; long BgL_lastzd2matchzd2_4087; long BgL_forwardz00_4088; long BgL_bufposz00_4089; obj_t BgL_iportz00_4099; long BgL_lastzd2matchzd2_4100; long BgL_forwardz00_4101; long BgL_bufposz00_4102; obj_t BgL_iportz00_4116; long BgL_lastzd2matchzd2_4117; long BgL_forwardz00_4118; long BgL_bufposz00_4119; obj_t BgL_iportz00_4128; long BgL_lastzd2matchzd2_4129; long BgL_forwardz00_4130; long BgL_bufposz00_4131; obj_t BgL_iportz00_4152; long BgL_lastzd2matchzd2_4153; long BgL_forwardz00_4154; long BgL_bufposz00_4155; obj_t BgL_iportz00_4171; long BgL_lastzd2matchzd2_4172; long BgL_forwardz00_4173; long BgL_bufposz00_4174;
RGC_START_MATCH(BgL_iportz00_8049); 
{ /* Llib/bibtex.scm 443 */
 long BgL_matchz00_4304;
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3926z00_4326; long BgL_arg3927z00_4327;
BgL_arg3926z00_4326 = 
RGC_BUFFER_FORWARD(BgL_iportz00_8049); 
BgL_arg3927z00_4327 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_8049); 
BgL_iportz00_4128 = BgL_iportz00_8049; 
BgL_lastzd2matchzd2_4129 = ((long)5); 
BgL_forwardz00_4130 = BgL_arg3926z00_4326; 
BgL_bufposz00_4131 = BgL_arg3927z00_4327; 
BgL_zc3z04anonymousza33791ze3z87_4132:
if(
(BgL_forwardz00_4130==BgL_bufposz00_4131))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4128))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3794z00_4135; long BgL_arg3795z00_4136;
BgL_arg3794z00_4135 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4128); 
BgL_arg3795z00_4136 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4128); 
{ 
 long BgL_bufposz00_15594; long BgL_forwardz00_15593;
BgL_forwardz00_15593 = BgL_arg3794z00_4135; 
BgL_bufposz00_15594 = BgL_arg3795z00_4136; 
BgL_bufposz00_4131 = BgL_bufposz00_15594; 
BgL_forwardz00_4130 = BgL_forwardz00_15593; 
goto BgL_zc3z04anonymousza33791ze3z87_4132;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4129; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4137;
BgL_curz00_4137 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4128, BgL_forwardz00_4130); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4137)==((long)92)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4058 = BgL_iportz00_4128; 
BgL_lastzd2matchzd2_4059 = BgL_lastzd2matchzd2_4129; 
BgL_forwardz00_4060 = 
(((long)1)+BgL_forwardz00_4130); 
BgL_bufposz00_4061 = BgL_bufposz00_4131; 
BgL_zc3z04anonymousza33750ze3z87_4062:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4063;
RGC_STOP_MATCH(BgL_iportz00_4058, BgL_forwardz00_4060); 
BgL_newzd2matchzd2_4063 = ((long)5); 
if(
(BgL_forwardz00_4060==BgL_bufposz00_4061))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4058))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3753z00_4066; long BgL_arg3754z00_4067;
BgL_arg3753z00_4066 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4058); 
BgL_arg3754z00_4067 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4058); 
{ 
 long BgL_bufposz00_15607; long BgL_forwardz00_15606;
BgL_forwardz00_15606 = BgL_arg3753z00_4066; 
BgL_bufposz00_15607 = BgL_arg3754z00_4067; 
BgL_bufposz00_4061 = BgL_bufposz00_15607; 
BgL_forwardz00_4060 = BgL_forwardz00_15606; 
goto BgL_zc3z04anonymousza33750ze3z87_4062;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4063; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4068;
BgL_curz00_4068 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4058, BgL_forwardz00_4060); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4068)==((long)99)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3909 = BgL_iportz00_4058; 
BgL_lastzd2matchzd2_3910 = BgL_newzd2matchzd2_4063; 
BgL_forwardz00_3911 = 
(((long)1)+BgL_forwardz00_4060); 
BgL_bufposz00_3912 = BgL_bufposz00_4061; 
BgL_zc3z04anonymousza33678ze3z87_3913:
if(
(BgL_forwardz00_3911==BgL_bufposz00_3912))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3909))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3681z00_3916; long BgL_arg3682z00_3917;
BgL_arg3681z00_3916 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3909); 
BgL_arg3682z00_3917 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3909); 
{ 
 long BgL_bufposz00_15619; long BgL_forwardz00_15618;
BgL_forwardz00_15618 = BgL_arg3681z00_3916; 
BgL_bufposz00_15619 = BgL_arg3682z00_3917; 
BgL_bufposz00_3912 = BgL_bufposz00_15619; 
BgL_forwardz00_3911 = BgL_forwardz00_15618; 
goto BgL_zc3z04anonymousza33678ze3z87_3913;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3910; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3918;
BgL_curz00_3918 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3909, BgL_forwardz00_3911); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_3918)==((long)104)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4042 = BgL_iportz00_3909; 
BgL_lastzd2matchzd2_4043 = BgL_lastzd2matchzd2_3910; 
BgL_forwardz00_4044 = 
(((long)1)+BgL_forwardz00_3911); 
BgL_bufposz00_4045 = BgL_bufposz00_3912; 
BgL_zc3z04anonymousza33740ze3z87_4046:
if(
(BgL_forwardz00_4044==BgL_bufposz00_4045))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4042))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3743z00_4049; long BgL_arg3744z00_4050;
BgL_arg3743z00_4049 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4042); 
BgL_arg3744z00_4050 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4042); 
{ 
 long BgL_bufposz00_15631; long BgL_forwardz00_15630;
BgL_forwardz00_15630 = BgL_arg3743z00_4049; 
BgL_bufposz00_15631 = BgL_arg3744z00_4050; 
BgL_bufposz00_4045 = BgL_bufposz00_15631; 
BgL_forwardz00_4044 = BgL_forwardz00_15630; 
goto BgL_zc3z04anonymousza33740ze3z87_4046;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4043; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4051;
BgL_curz00_4051 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4042, BgL_forwardz00_4044); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4051)==((long)97)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3829 = BgL_iportz00_4042; 
BgL_lastzd2matchzd2_3830 = BgL_lastzd2matchzd2_4043; 
BgL_forwardz00_3831 = 
(((long)1)+BgL_forwardz00_4044); 
BgL_bufposz00_3832 = BgL_bufposz00_4045; 
BgL_zc3z04anonymousza33637ze3z87_3833:
if(
(BgL_forwardz00_3831==BgL_bufposz00_3832))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3829))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3640z00_3836; long BgL_arg3641z00_3837;
BgL_arg3640z00_3836 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3829); 
BgL_arg3641z00_3837 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3829); 
{ 
 long BgL_bufposz00_15643; long BgL_forwardz00_15642;
BgL_forwardz00_15642 = BgL_arg3640z00_3836; 
BgL_bufposz00_15643 = BgL_arg3641z00_3837; 
BgL_bufposz00_3832 = BgL_bufposz00_15643; 
BgL_forwardz00_3831 = BgL_forwardz00_15642; 
goto BgL_zc3z04anonymousza33637ze3z87_3833;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3830; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3838;
BgL_curz00_3838 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3829, BgL_forwardz00_3831); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_3838)==((long)114)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3971 = BgL_iportz00_3829; 
BgL_lastzd2matchzd2_3972 = BgL_lastzd2matchzd2_3830; 
BgL_forwardz00_3973 = 
(((long)1)+BgL_forwardz00_3831); 
BgL_bufposz00_3974 = BgL_bufposz00_3832; 
BgL_zc3z04anonymousza33709ze3z87_3975:
if(
(BgL_forwardz00_3973==BgL_bufposz00_3974))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3971))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3712z00_3978; long BgL_arg3713z00_3979;
BgL_arg3712z00_3978 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3971); 
BgL_arg3713z00_3979 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3971); 
{ 
 long BgL_bufposz00_15655; long BgL_forwardz00_15654;
BgL_forwardz00_15654 = BgL_arg3712z00_3978; 
BgL_bufposz00_15655 = BgL_arg3713z00_3979; 
BgL_bufposz00_3974 = BgL_bufposz00_15655; 
BgL_forwardz00_3973 = BgL_forwardz00_15654; 
goto BgL_zc3z04anonymousza33709ze3z87_3975;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3972; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3980;
BgL_curz00_3980 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3971, BgL_forwardz00_3973); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4862z00_15657;
if(
(
(long)(BgL_curz00_3980)>=((long)48)))
{ /* Llib/bibtex.scm 443 */
BgL_test4862z00_15657 = 
(
(long)(BgL_curz00_3980)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4862z00_15657 = ((bool_t)0)
; } 
if(BgL_test4862z00_15657)
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3997 = BgL_iportz00_3971; 
BgL_lastzd2matchzd2_3998 = BgL_lastzd2matchzd2_3972; 
BgL_forwardz00_3999 = 
(((long)1)+BgL_forwardz00_3973); 
BgL_bufposz00_4000 = BgL_bufposz00_3974; 
BgL_zc3z04anonymousza33721ze3z87_4001:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4002;
RGC_STOP_MATCH(BgL_iportz00_3997, BgL_forwardz00_3999); 
BgL_newzd2matchzd2_4002 = ((long)2); 
if(
(BgL_forwardz00_3999==BgL_bufposz00_4000))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3997))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3724z00_4005; long BgL_arg3725z00_4006;
BgL_arg3724z00_4005 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3997); 
BgL_arg3725z00_4006 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3997); 
{ 
 long BgL_bufposz00_15671; long BgL_forwardz00_15670;
BgL_forwardz00_15670 = BgL_arg3724z00_4005; 
BgL_bufposz00_15671 = BgL_arg3725z00_4006; 
BgL_bufposz00_4000 = BgL_bufposz00_15671; 
BgL_forwardz00_3999 = BgL_forwardz00_15670; 
goto BgL_zc3z04anonymousza33721ze3z87_4001;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4002; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4007;
BgL_curz00_4007 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3997, BgL_forwardz00_3999); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4866z00_15673;
if(
(
(long)(BgL_curz00_4007)>=((long)48)))
{ /* Llib/bibtex.scm 443 */
BgL_test4866z00_15673 = 
(
(long)(BgL_curz00_4007)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4866z00_15673 = ((bool_t)0)
; } 
if(BgL_test4866z00_15673)
{ 
 long BgL_forwardz00_15680; long BgL_lastzd2matchzd2_15679;
BgL_lastzd2matchzd2_15679 = BgL_newzd2matchzd2_4002; 
BgL_forwardz00_15680 = 
(((long)1)+BgL_forwardz00_3999); 
BgL_forwardz00_3999 = BgL_forwardz00_15680; 
BgL_lastzd2matchzd2_3998 = BgL_lastzd2matchzd2_15679; 
goto BgL_zc3z04anonymousza33721ze3z87_4001;}  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4002; } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4868z00_15683;
if(
(
(long)(BgL_curz00_3980)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4868z00_15683 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_3980)>=((long)48)))
{ /* Llib/bibtex.scm 443 */
BgL_test4868z00_15683 = 
(
(long)(BgL_curz00_3980)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4868z00_15683 = ((bool_t)0)
; } } 
if(BgL_test4868z00_15683)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3972; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4152 = BgL_iportz00_3971; 
BgL_lastzd2matchzd2_4153 = BgL_lastzd2matchzd2_3972; 
BgL_forwardz00_4154 = 
(((long)1)+BgL_forwardz00_3973); 
BgL_bufposz00_4155 = BgL_bufposz00_3974; 
BgL_zc3z04anonymousza33806ze3z87_4156:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4157;
RGC_STOP_MATCH(BgL_iportz00_4152, BgL_forwardz00_4154); 
BgL_newzd2matchzd2_4157 = ((long)1); 
if(
(BgL_forwardz00_4154==BgL_bufposz00_4155))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4152))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3809z00_4160; long BgL_arg3810z00_4161;
BgL_arg3809z00_4160 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4152); 
BgL_arg3810z00_4161 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4152); 
{ 
 long BgL_bufposz00_15700; long BgL_forwardz00_15699;
BgL_forwardz00_15699 = BgL_arg3809z00_4160; 
BgL_bufposz00_15700 = BgL_arg3810z00_4161; 
BgL_bufposz00_4155 = BgL_bufposz00_15700; 
BgL_forwardz00_4154 = BgL_forwardz00_15699; 
goto BgL_zc3z04anonymousza33806ze3z87_4156;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4157; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4162;
BgL_curz00_4162 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4152, BgL_forwardz00_4154); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4162)==((long)32)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3812z00_4164;
BgL_arg3812z00_4164 = 
(((long)1)+BgL_forwardz00_4154); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7952;
RGC_STOP_MATCH(BgL_iportz00_4152, BgL_arg3812z00_4164); 
BgL_newzd2matchzd2_7952 = ((long)1); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7952; } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4874z00_15707;
if(
(
(long)(BgL_curz00_4162)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4874z00_15707 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_4162)>=((long)48)))
{ /* Llib/bibtex.scm 443 */
BgL_test4874z00_15707 = 
(
(long)(BgL_curz00_4162)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4874z00_15707 = ((bool_t)0)
; } } 
if(BgL_test4874z00_15707)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4157; }  else 
{ 
 long BgL_forwardz00_15717; long BgL_lastzd2matchzd2_15716;
BgL_lastzd2matchzd2_15716 = BgL_newzd2matchzd2_4157; 
BgL_forwardz00_15717 = 
(((long)1)+BgL_forwardz00_4154); 
BgL_forwardz00_4154 = BgL_forwardz00_15717; 
BgL_lastzd2matchzd2_4153 = BgL_lastzd2matchzd2_15716; 
goto BgL_zc3z04anonymousza33806ze3z87_4156;} } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4877z00_15721;
if(
(
(long)(BgL_curz00_3838)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4877z00_15721 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4877z00_15721 = 
(
(long)(BgL_curz00_3838)==((long)114))
; } 
if(BgL_test4877z00_15721)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3830; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4099 = BgL_iportz00_3829; 
BgL_lastzd2matchzd2_4100 = BgL_lastzd2matchzd2_3830; 
BgL_forwardz00_4101 = 
(((long)1)+BgL_forwardz00_3831); 
BgL_bufposz00_4102 = BgL_bufposz00_3832; 
BgL_zc3z04anonymousza33774ze3z87_4103:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4104;
RGC_STOP_MATCH(BgL_iportz00_4099, BgL_forwardz00_4101); 
BgL_newzd2matchzd2_4104 = ((long)1); 
if(
(BgL_forwardz00_4101==BgL_bufposz00_4102))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4099))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3777z00_4107; long BgL_arg3778z00_4108;
BgL_arg3777z00_4107 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4099); 
BgL_arg3778z00_4108 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4099); 
{ 
 long BgL_bufposz00_15735; long BgL_forwardz00_15734;
BgL_forwardz00_15734 = BgL_arg3777z00_4107; 
BgL_bufposz00_15735 = BgL_arg3778z00_4108; 
BgL_bufposz00_4102 = BgL_bufposz00_15735; 
BgL_forwardz00_4101 = BgL_forwardz00_15734; 
goto BgL_zc3z04anonymousza33774ze3z87_4103;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4104; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4109;
BgL_curz00_4109 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4099, BgL_forwardz00_4101); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4109)==((long)32)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3780z00_4111;
BgL_arg3780z00_4111 = 
(((long)1)+BgL_forwardz00_4101); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7909;
RGC_STOP_MATCH(BgL_iportz00_4099, BgL_arg3780z00_4111); 
BgL_newzd2matchzd2_7909 = ((long)1); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7909; } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4882z00_15742;
if(
(
(long)(BgL_curz00_4109)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4882z00_15742 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4882z00_15742 = 
(
(long)(BgL_curz00_4109)==((long)114))
; } 
if(BgL_test4882z00_15742)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4104; }  else 
{ 
 long BgL_forwardz00_15749; long BgL_lastzd2matchzd2_15748;
BgL_lastzd2matchzd2_15748 = BgL_newzd2matchzd2_4104; 
BgL_forwardz00_15749 = 
(((long)1)+BgL_forwardz00_4101); 
BgL_forwardz00_4101 = BgL_forwardz00_15749; 
BgL_lastzd2matchzd2_4100 = BgL_lastzd2matchzd2_15748; 
goto BgL_zc3z04anonymousza33774ze3z87_4103;} } } } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4884z00_15753;
if(
(
(long)(BgL_curz00_4051)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4884z00_15753 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4884z00_15753 = 
(
(long)(BgL_curz00_4051)==((long)97))
; } 
if(BgL_test4884z00_15753)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4043; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3862 = BgL_iportz00_4042; 
BgL_lastzd2matchzd2_3863 = BgL_lastzd2matchzd2_4043; 
BgL_forwardz00_3864 = 
(((long)1)+BgL_forwardz00_4044); 
BgL_bufposz00_3865 = BgL_bufposz00_4045; 
BgL_zc3z04anonymousza33657ze3z87_3866:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_3867;
RGC_STOP_MATCH(BgL_iportz00_3862, BgL_forwardz00_3864); 
BgL_newzd2matchzd2_3867 = ((long)1); 
if(
(BgL_forwardz00_3864==BgL_bufposz00_3865))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3862))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3660z00_3870; long BgL_arg3661z00_3871;
BgL_arg3660z00_3870 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3862); 
BgL_arg3661z00_3871 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3862); 
{ 
 long BgL_bufposz00_15767; long BgL_forwardz00_15766;
BgL_forwardz00_15766 = BgL_arg3660z00_3870; 
BgL_bufposz00_15767 = BgL_arg3661z00_3871; 
BgL_bufposz00_3865 = BgL_bufposz00_15767; 
BgL_forwardz00_3864 = BgL_forwardz00_15766; 
goto BgL_zc3z04anonymousza33657ze3z87_3866;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3867; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3872;
BgL_curz00_3872 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3862, BgL_forwardz00_3864); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_3872)==((long)32)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3663z00_3874;
BgL_arg3663z00_3874 = 
(((long)1)+BgL_forwardz00_3864); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7738;
RGC_STOP_MATCH(BgL_iportz00_3862, BgL_arg3663z00_3874); 
BgL_newzd2matchzd2_7738 = ((long)1); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7738; } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4889z00_15774;
if(
(
(long)(BgL_curz00_3872)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4889z00_15774 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4889z00_15774 = 
(
(long)(BgL_curz00_3872)==((long)97))
; } 
if(BgL_test4889z00_15774)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3867; }  else 
{ 
 long BgL_forwardz00_15781; long BgL_lastzd2matchzd2_15780;
BgL_lastzd2matchzd2_15780 = BgL_newzd2matchzd2_3867; 
BgL_forwardz00_15781 = 
(((long)1)+BgL_forwardz00_3864); 
BgL_forwardz00_3864 = BgL_forwardz00_15781; 
BgL_lastzd2matchzd2_3863 = BgL_lastzd2matchzd2_15780; 
goto BgL_zc3z04anonymousza33657ze3z87_3866;} } } } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4891z00_15785;
if(
(
(long)(BgL_curz00_3918)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4891z00_15785 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4891z00_15785 = 
(
(long)(BgL_curz00_3918)==((long)104))
; } 
if(BgL_test4891z00_15785)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3910; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3845 = BgL_iportz00_3909; 
BgL_lastzd2matchzd2_3846 = BgL_lastzd2matchzd2_3910; 
BgL_forwardz00_3847 = 
(((long)1)+BgL_forwardz00_3911); 
BgL_bufposz00_3848 = BgL_bufposz00_3912; 
BgL_zc3z04anonymousza33647ze3z87_3849:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_3850;
RGC_STOP_MATCH(BgL_iportz00_3845, BgL_forwardz00_3847); 
BgL_newzd2matchzd2_3850 = ((long)1); 
if(
(BgL_forwardz00_3847==BgL_bufposz00_3848))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3845))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3650z00_3853; long BgL_arg3651z00_3854;
BgL_arg3650z00_3853 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3845); 
BgL_arg3651z00_3854 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3845); 
{ 
 long BgL_bufposz00_15799; long BgL_forwardz00_15798;
BgL_forwardz00_15798 = BgL_arg3650z00_3853; 
BgL_bufposz00_15799 = BgL_arg3651z00_3854; 
BgL_bufposz00_3848 = BgL_bufposz00_15799; 
BgL_forwardz00_3847 = BgL_forwardz00_15798; 
goto BgL_zc3z04anonymousza33647ze3z87_3849;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3850; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3855;
BgL_curz00_3855 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3845, BgL_forwardz00_3847); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_3855)==((long)32)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3653z00_3857;
BgL_arg3653z00_3857 = 
(((long)1)+BgL_forwardz00_3847); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7721;
RGC_STOP_MATCH(BgL_iportz00_3845, BgL_arg3653z00_3857); 
BgL_newzd2matchzd2_7721 = ((long)1); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7721; } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4896z00_15806;
if(
(
(long)(BgL_curz00_3855)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4896z00_15806 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4896z00_15806 = 
(
(long)(BgL_curz00_3855)==((long)104))
; } 
if(BgL_test4896z00_15806)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3850; }  else 
{ 
 long BgL_forwardz00_15813; long BgL_lastzd2matchzd2_15812;
BgL_lastzd2matchzd2_15812 = BgL_newzd2matchzd2_3850; 
BgL_forwardz00_15813 = 
(((long)1)+BgL_forwardz00_3847); 
BgL_forwardz00_3847 = BgL_forwardz00_15813; 
BgL_lastzd2matchzd2_3846 = BgL_lastzd2matchzd2_15812; 
goto BgL_zc3z04anonymousza33647ze3z87_3849;} } } } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4116 = BgL_iportz00_4058; 
BgL_lastzd2matchzd2_4117 = BgL_newzd2matchzd2_4063; 
BgL_forwardz00_4118 = 
(((long)1)+BgL_forwardz00_4060); 
BgL_bufposz00_4119 = BgL_bufposz00_4061; 
BgL_zc3z04anonymousza33784ze3z87_4120:
if(
(BgL_forwardz00_4118==BgL_bufposz00_4119))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4116))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3787z00_4123; long BgL_arg3788z00_4124;
BgL_arg3787z00_4123 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4116); 
BgL_arg3788z00_4124 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4116); 
{ 
 long BgL_bufposz00_15824; long BgL_forwardz00_15823;
BgL_forwardz00_15823 = BgL_arg3787z00_4123; 
BgL_bufposz00_15824 = BgL_arg3788z00_4124; 
BgL_bufposz00_4119 = BgL_bufposz00_15824; 
BgL_forwardz00_4118 = BgL_forwardz00_15823; 
goto BgL_zc3z04anonymousza33784ze3z87_4120;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4117; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4125;
BgL_curz00_4125 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4116, BgL_forwardz00_4118); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4125)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4117; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4171 = BgL_iportz00_4116; 
BgL_lastzd2matchzd2_4172 = BgL_lastzd2matchzd2_4117; 
BgL_forwardz00_4173 = 
(((long)1)+BgL_forwardz00_4118); 
BgL_bufposz00_4174 = BgL_bufposz00_4119; 
BgL_zc3z04anonymousza33816ze3z87_4175:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4176;
RGC_STOP_MATCH(BgL_iportz00_4171, BgL_forwardz00_4173); 
BgL_newzd2matchzd2_4176 = ((long)1); 
if(
(BgL_forwardz00_4173==BgL_bufposz00_4174))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4171))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3819z00_4179; long BgL_arg3820z00_4180;
BgL_arg3819z00_4179 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4171); 
BgL_arg3820z00_4180 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4171); 
{ 
 long BgL_bufposz00_15837; long BgL_forwardz00_15836;
BgL_forwardz00_15836 = BgL_arg3819z00_4179; 
BgL_bufposz00_15837 = BgL_arg3820z00_4180; 
BgL_bufposz00_4174 = BgL_bufposz00_15837; 
BgL_forwardz00_4173 = BgL_forwardz00_15836; 
goto BgL_zc3z04anonymousza33816ze3z87_4175;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4176; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4181;
BgL_curz00_4181 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4171, BgL_forwardz00_4173); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4181)==((long)32)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3822z00_4183;
BgL_arg3822z00_4183 = 
(((long)1)+BgL_forwardz00_4173); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7970;
RGC_STOP_MATCH(BgL_iportz00_4171, BgL_arg3822z00_4183); 
BgL_newzd2matchzd2_7970 = ((long)1); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7970; } }  else 
{ 
 long BgL_forwardz00_15845; long BgL_lastzd2matchzd2_15844;
BgL_lastzd2matchzd2_15844 = BgL_newzd2matchzd2_4176; 
BgL_forwardz00_15845 = 
(((long)1)+BgL_forwardz00_4173); 
BgL_forwardz00_4173 = BgL_forwardz00_15845; 
BgL_lastzd2matchzd2_4172 = BgL_lastzd2matchzd2_15844; 
goto BgL_zc3z04anonymousza33816ze3z87_4175;} } } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_4137)==((long)36)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4072 = BgL_iportz00_4128; 
BgL_lastzd2matchzd2_4073 = BgL_lastzd2matchzd2_4129; 
BgL_forwardz00_4074 = 
(((long)1)+BgL_forwardz00_4130); 
BgL_bufposz00_4075 = BgL_bufposz00_4131; 
BgL_zc3z04anonymousza33758ze3z87_4076:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4077;
RGC_STOP_MATCH(BgL_iportz00_4072, BgL_forwardz00_4074); 
BgL_newzd2matchzd2_4077 = ((long)5); 
if(
(BgL_forwardz00_4074==BgL_bufposz00_4075))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4072))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3761z00_4080; long BgL_arg3762z00_4081;
BgL_arg3761z00_4080 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4072); 
BgL_arg3762z00_4081 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4072); 
{ 
 long BgL_bufposz00_15861; long BgL_forwardz00_15860;
BgL_forwardz00_15860 = BgL_arg3761z00_4080; 
BgL_bufposz00_15861 = BgL_arg3762z00_4081; 
BgL_bufposz00_4075 = BgL_bufposz00_15861; 
BgL_forwardz00_4074 = BgL_forwardz00_15860; 
goto BgL_zc3z04anonymousza33758ze3z87_4076;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4077; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4082;
BgL_curz00_4082 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4072, BgL_forwardz00_4074); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4082)==((long)36)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3764z00_4084;
BgL_arg3764z00_4084 = 
(((long)1)+BgL_forwardz00_4074); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7881;
RGC_STOP_MATCH(BgL_iportz00_4072, BgL_arg3764z00_4084); 
BgL_newzd2matchzd2_7881 = ((long)3); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7881; } }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4086 = BgL_iportz00_4072; 
BgL_lastzd2matchzd2_4087 = BgL_newzd2matchzd2_4077; 
BgL_forwardz00_4088 = 
(((long)1)+BgL_forwardz00_4074); 
BgL_bufposz00_4089 = BgL_bufposz00_4075; 
BgL_zc3z04anonymousza33766ze3z87_4090:
if(
(BgL_forwardz00_4088==BgL_bufposz00_4089))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4086))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3769z00_4093; long BgL_arg3770z00_4094;
BgL_arg3769z00_4093 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4086); 
BgL_arg3770z00_4094 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4086); 
{ 
 long BgL_bufposz00_15875; long BgL_forwardz00_15874;
BgL_forwardz00_15874 = BgL_arg3769z00_4093; 
BgL_bufposz00_15875 = BgL_arg3770z00_4094; 
BgL_bufposz00_4089 = BgL_bufposz00_15875; 
BgL_forwardz00_4088 = BgL_forwardz00_15874; 
goto BgL_zc3z04anonymousza33766ze3z87_4090;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4087; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4095;
BgL_curz00_4095 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4086, BgL_forwardz00_4088); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4095)==((long)36)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3772z00_4097;
BgL_arg3772z00_4097 = 
(((long)1)+BgL_forwardz00_4088); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7894;
RGC_STOP_MATCH(BgL_iportz00_4086, BgL_arg3772z00_4097); 
BgL_newzd2matchzd2_7894 = ((long)3); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7894; } }  else 
{ 
 long BgL_forwardz00_15882;
BgL_forwardz00_15882 = 
(((long)1)+BgL_forwardz00_4088); 
BgL_forwardz00_4088 = BgL_forwardz00_15882; 
goto BgL_zc3z04anonymousza33766ze3z87_4090;} } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4911z00_15886;
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4912z00_15887;
if(
(
(long)(BgL_curz00_4137)==((long)10)))
{ /* Llib/bibtex.scm 443 */
BgL_test4912z00_15887 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4912z00_15887 = 
(
(long)(BgL_curz00_4137)==((long)9))
; } 
if(BgL_test4912z00_15887)
{ /* Llib/bibtex.scm 443 */
BgL_test4911z00_15886 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_4137)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4911z00_15886 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4911z00_15886 = 
(
(long)(BgL_curz00_4137)==((long)126))
; } } } 
if(BgL_test4911z00_15886)
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3931 = BgL_iportz00_4128; 
BgL_lastzd2matchzd2_3932 = BgL_lastzd2matchzd2_4129; 
BgL_forwardz00_3933 = 
(((long)1)+BgL_forwardz00_4130); 
BgL_bufposz00_3934 = BgL_bufposz00_4131; 
BgL_zc3z04anonymousza33689ze3z87_3935:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_3936;
RGC_STOP_MATCH(BgL_iportz00_3931, BgL_forwardz00_3933); 
BgL_newzd2matchzd2_3936 = ((long)4); 
if(
(BgL_forwardz00_3933==BgL_bufposz00_3934))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3931))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3692z00_3939; long BgL_arg3693z00_3940;
BgL_arg3692z00_3939 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3931); 
BgL_arg3693z00_3940 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3931); 
{ 
 long BgL_bufposz00_15906; long BgL_forwardz00_15905;
BgL_forwardz00_15905 = BgL_arg3692z00_3939; 
BgL_bufposz00_15906 = BgL_arg3693z00_3940; 
BgL_bufposz00_3934 = BgL_bufposz00_15906; 
BgL_forwardz00_3933 = BgL_forwardz00_15905; 
goto BgL_zc3z04anonymousza33689ze3z87_3935;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3936; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3941;
BgL_curz00_3941 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3931, BgL_forwardz00_3933); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4917z00_15908;
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4918z00_15909;
if(
(
(long)(BgL_curz00_3941)==((long)10)))
{ /* Llib/bibtex.scm 443 */
BgL_test4918z00_15909 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4918z00_15909 = 
(
(long)(BgL_curz00_3941)==((long)9))
; } 
if(BgL_test4918z00_15909)
{ /* Llib/bibtex.scm 443 */
BgL_test4917z00_15908 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_3941)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4917z00_15908 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4917z00_15908 = 
(
(long)(BgL_curz00_3941)==((long)126))
; } } } 
if(BgL_test4917z00_15908)
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3951 = BgL_iportz00_3931; 
BgL_lastzd2matchzd2_3952 = BgL_newzd2matchzd2_3936; 
BgL_forwardz00_3953 = 
(((long)1)+BgL_forwardz00_3933); 
BgL_bufposz00_3954 = BgL_bufposz00_3934; 
BgL_zc3z04anonymousza33699ze3z87_3955:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_3956;
RGC_STOP_MATCH(BgL_iportz00_3951, BgL_forwardz00_3953); 
BgL_newzd2matchzd2_3956 = ((long)4); 
if(
(BgL_forwardz00_3953==BgL_bufposz00_3954))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3951))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3702z00_3959; long BgL_arg3703z00_3960;
BgL_arg3702z00_3959 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3951); 
BgL_arg3703z00_3960 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3951); 
{ 
 long BgL_bufposz00_15928; long BgL_forwardz00_15927;
BgL_forwardz00_15927 = BgL_arg3702z00_3959; 
BgL_bufposz00_15928 = BgL_arg3703z00_3960; 
BgL_bufposz00_3954 = BgL_bufposz00_15928; 
BgL_forwardz00_3953 = BgL_forwardz00_15927; 
goto BgL_zc3z04anonymousza33699ze3z87_3955;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3956; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3961;
BgL_curz00_3961 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3951, BgL_forwardz00_3953); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4923z00_15930;
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4924z00_15931;
if(
(
(long)(BgL_curz00_3961)==((long)10)))
{ /* Llib/bibtex.scm 443 */
BgL_test4924z00_15931 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4924z00_15931 = 
(
(long)(BgL_curz00_3961)==((long)9))
; } 
if(BgL_test4924z00_15931)
{ /* Llib/bibtex.scm 443 */
BgL_test4923z00_15930 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_3961)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4923z00_15930 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4923z00_15930 = 
(
(long)(BgL_curz00_3961)==((long)126))
; } } } 
if(BgL_test4923z00_15930)
{ 
 long BgL_forwardz00_15943; long BgL_lastzd2matchzd2_15942;
BgL_lastzd2matchzd2_15942 = BgL_newzd2matchzd2_3956; 
BgL_forwardz00_15943 = 
(((long)1)+BgL_forwardz00_3953); 
BgL_forwardz00_3953 = BgL_forwardz00_15943; 
BgL_lastzd2matchzd2_3952 = BgL_lastzd2matchzd2_15942; 
goto BgL_zc3z04anonymousza33699ze3z87_3955;}  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3956; } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3936; } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3879 = BgL_iportz00_4128; 
BgL_lastzd2matchzd2_3880 = BgL_lastzd2matchzd2_4129; 
BgL_forwardz00_3881 = 
(((long)1)+BgL_forwardz00_4130); 
BgL_bufposz00_3882 = BgL_bufposz00_4131; 
BgL_zc3z04anonymousza33667ze3z87_3883:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_3884;
RGC_STOP_MATCH(BgL_iportz00_3879, BgL_forwardz00_3881); 
BgL_newzd2matchzd2_3884 = ((long)0); 
if(
(BgL_forwardz00_3881==BgL_bufposz00_3882))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3879))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3670z00_3887; long BgL_arg3671z00_3888;
BgL_arg3670z00_3887 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3879); 
BgL_arg3671z00_3888 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3879); 
{ 
 long BgL_bufposz00_15955; long BgL_forwardz00_15954;
BgL_forwardz00_15954 = BgL_arg3670z00_3887; 
BgL_bufposz00_15955 = BgL_arg3671z00_3888; 
BgL_bufposz00_3882 = BgL_bufposz00_15955; 
BgL_forwardz00_3881 = BgL_forwardz00_15954; 
goto BgL_zc3z04anonymousza33667ze3z87_3883;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3884; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3889;
BgL_curz00_3889 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3879, BgL_forwardz00_3881); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4929z00_15957;
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4930z00_15958;
if(
(
(long)(BgL_curz00_3889)==((long)10)))
{ /* Llib/bibtex.scm 443 */
BgL_test4930z00_15958 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4930z00_15958 = 
(
(long)(BgL_curz00_3889)==((long)9))
; } 
if(BgL_test4930z00_15958)
{ /* Llib/bibtex.scm 443 */
BgL_test4929z00_15957 = ((bool_t)1)
; }  else 
{ 

switch( 
(long)CINT(
BINT(BgL_curz00_3889))) { case ((long)32) : 

BgL_test4929z00_15957 = ((bool_t)1); break;case ((long)36) : 

BgL_test4929z00_15957 = ((bool_t)1); break;case ((long)92) : 

BgL_test4929z00_15957 = ((bool_t)1); break;
default: 
BgL_test4929z00_15957 = 
(
(long)(BgL_curz00_3889)==((long)126)); } } } 
if(BgL_test4929z00_15957)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3884; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4012 = BgL_iportz00_3879; 
BgL_lastzd2matchzd2_4013 = BgL_newzd2matchzd2_3884; 
BgL_forwardz00_4014 = 
(((long)1)+BgL_forwardz00_3881); 
BgL_bufposz00_4015 = BgL_bufposz00_3882; 
BgL_zc3z04anonymousza33729ze3z87_4016:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4017;
RGC_STOP_MATCH(BgL_iportz00_4012, BgL_forwardz00_4014); 
BgL_newzd2matchzd2_4017 = ((long)0); 
if(
(BgL_forwardz00_4014==BgL_bufposz00_4015))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4012))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3732z00_4020; long BgL_arg3733z00_4021;
BgL_arg3732z00_4020 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4012); 
BgL_arg3733z00_4021 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4012); 
{ 
 long BgL_bufposz00_15977; long BgL_forwardz00_15976;
BgL_forwardz00_15976 = BgL_arg3732z00_4020; 
BgL_bufposz00_15977 = BgL_arg3733z00_4021; 
BgL_bufposz00_4015 = BgL_bufposz00_15977; 
BgL_forwardz00_4014 = BgL_forwardz00_15976; 
goto BgL_zc3z04anonymousza33729ze3z87_4016;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4017; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4022;
BgL_curz00_4022 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4012, BgL_forwardz00_4014); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4934z00_15979;
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4935z00_15980;
if(
(
(long)(BgL_curz00_4022)==((long)10)))
{ /* Llib/bibtex.scm 443 */
BgL_test4935z00_15980 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4935z00_15980 = 
(
(long)(BgL_curz00_4022)==((long)9))
; } 
if(BgL_test4935z00_15980)
{ /* Llib/bibtex.scm 443 */
BgL_test4934z00_15979 = ((bool_t)1)
; }  else 
{ 

switch( 
(long)CINT(
BINT(BgL_curz00_4022))) { case ((long)32) : 

BgL_test4934z00_15979 = ((bool_t)1); break;case ((long)36) : 

BgL_test4934z00_15979 = ((bool_t)1); break;case ((long)92) : 

BgL_test4934z00_15979 = ((bool_t)1); break;
default: 
BgL_test4934z00_15979 = 
(
(long)(BgL_curz00_4022)==((long)126)); } } } 
if(BgL_test4934z00_15979)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4017; }  else 
{ 
 long BgL_forwardz00_15992; long BgL_lastzd2matchzd2_15991;
BgL_lastzd2matchzd2_15991 = BgL_newzd2matchzd2_4017; 
BgL_forwardz00_15992 = 
(((long)1)+BgL_forwardz00_4014); 
BgL_forwardz00_4014 = BgL_forwardz00_15992; 
BgL_lastzd2matchzd2_4013 = BgL_lastzd2matchzd2_15991; 
goto BgL_zc3z04anonymousza33729ze3z87_4016;} } } } } } } } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_8049); 
{ 

{ /* Llib/bibtex.scm 443 */
 obj_t BgL_aux1298z00_4309;
BgL_aux1298z00_4309 = 
BINT(BgL_matchz00_4304); 
switch( 
(long)CINT(BgL_aux1298z00_4309)) { case ((long)5) : 

return BGl_string4108z00zz__text_bibtexz00;break;case ((long)4) : 

return 
string_append(BGl_string4060z00zz__text_bibtexz00, 
BGl_ignoreze71ze7zz__text_bibtexz00(BgL_iportz00_8049));break;case ((long)3) : 

{ /* Llib/bibtex.scm 463 */
 obj_t BgL_sz00_4312;
{ /* Llib/bibtex.scm 463 */
 long BgL_arg3916z00_4315;
{ /* Llib/bibtex.scm 463 */
 long BgL_arg3917z00_4316;
BgL_arg3917z00_4316 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8049); 
BgL_arg3916z00_4315 = 
(BgL_arg3917z00_4316-((long)1)); } 
BgL_sz00_4312 = 
BGl_thezd2substringze70z35zz__text_bibtexz00(BgL_iportz00_8049, 
(int)(((long)1)), 
(int)(BgL_arg3916z00_4315)); } 
{ /* Llib/bibtex.scm 464 */
 obj_t BgL_tmpz00_16005;
BgL_strz00_3428 = BgL_sz00_4312; 
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_port1205z00_3430;
{ /* Llib/bibtex.scm 430 */
 long BgL_endz00_3771;
BgL_endz00_3771 = 
STRING_LENGTH(BgL_strz00_3428); 
{ /* Llib/bibtex.scm 430 */

BgL_port1205z00_3430 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_strz00_3428, 
BINT(((long)0)), 
BINT(BgL_endz00_3771)); } } 
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_exitd1206z00_3431;
BgL_exitd1206z00_3431 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_zc3z04anonymousza33635ze3z87_8040;
BgL_zc3z04anonymousza33635ze3z87_8040 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33635ze3ze5zz__text_bibtexz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33635ze3z87_8040, 
(int)(((long)0)), BgL_port1205z00_3430); 
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_arg1818z00_7578;
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_arg1819z00_7579;
BgL_arg1819z00_7579 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_3431); 
BgL_arg1818z00_7578 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33635ze3z87_8040, BgL_arg1819z00_7579); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1206z00_3431, BgL_arg1818z00_7578); BUNSPEC; } 
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_tmp1208z00_3433;
BgL_tmp1208z00_3433 = 
BGl_ignoreze70ze7zz__text_bibtexz00(BgL_port1205z00_3430); 
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4937z00_16020;
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_arg1817z00_7689;
BgL_arg1817z00_7689 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_3431); 
BgL_test4937z00_16020 = 
PAIRP(BgL_arg1817z00_7689); } 
if(BgL_test4937z00_16020)
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_arg1815z00_7690;
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_arg1816z00_7691;
BgL_arg1816z00_7691 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_3431); 
BgL_arg1815z00_7690 = 
CDR(
((obj_t)BgL_arg1816z00_7691)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1206z00_3431, BgL_arg1815z00_7690); BUNSPEC; }  else 
{ /* Llib/bibtex.scm 430 */BFALSE; } } 
bgl_close_input_port(BgL_port1205z00_3430); 
BgL_tmpz00_16005 = BgL_tmp1208z00_3433; } } } } 
return 
string_append(BgL_tmpz00_16005, 
BGl_ignoreze71ze7zz__text_bibtexz00(BgL_iportz00_8049));} } break;case ((long)2) : 

{ /* Llib/bibtex.scm 460 */
 obj_t BgL_arg3918z00_4317; obj_t BgL_arg3919z00_4318;
{ /* Llib/bibtex.scm 460 */
 unsigned char BgL_arg3920z00_4319;
{ /* Llib/bibtex.scm 460 */
 long BgL_arg3922z00_4321;
{ /* Llib/bibtex.scm 460 */
 obj_t BgL_arg3923z00_4322;
{ /* Llib/bibtex.scm 460 */
 long BgL_arg3924z00_4323;
BgL_arg3924z00_4323 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8049); 
BgL_arg3923z00_4322 = 
BGl_thezd2substringze70z35zz__text_bibtexz00(BgL_iportz00_8049, 
(int)(((long)5)), 
(int)(BgL_arg3924z00_4323)); } 
{ /* Llib/bibtex.scm 459 */
 char * BgL_tmpz00_16034;
BgL_tmpz00_16034 = 
BSTRING_TO_STRING(BgL_arg3923z00_4322); 
BgL_arg3922z00_4321 = 
BGL_STRTOL(BgL_tmpz00_16034, ((long)0), ((long)10)); } } 
BgL_arg3920z00_4319 = 
(BgL_arg3922z00_4321); } 
{ /* Llib/bibtex.scm 457 */
 obj_t BgL_list3921z00_4320;
BgL_list3921z00_4320 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg3920z00_4319), BNIL); 
BgL_arg3918z00_4317 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list3921z00_4320); } } 
BgL_arg3919z00_4318 = 
BGl_ignoreze71ze7zz__text_bibtexz00(BgL_iportz00_8049); 
return 
string_append(BgL_arg3918z00_4317, BgL_arg3919z00_4318);} break;case ((long)1) : 

{ 

goto BGl_ignoreze71ze7zz__text_bibtexz00;} break;case ((long)0) : 

{ /* Llib/bibtex.scm 445 */
 obj_t BgL_sz00_4324;
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3830z00_8005;
BgL_arg3830z00_8005 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8049); 
BgL_sz00_4324 = 
rgc_buffer_substring(BgL_iportz00_8049, ((long)0), BgL_arg3830z00_8005); } 
return 
string_append(BgL_sz00_4324, 
BGl_ignoreze71ze7zz__text_bibtexz00(BgL_iportz00_8049));} break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string4094z00zz__text_bibtexz00, BGl_string4095z00zz__text_bibtexz00, 
BINT(BgL_matchz00_4304));} } } } } } 

}



/* &<@anonymous:3928> */
obj_t BGl_z62zc3z04anonymousza33928ze3ze5zz__text_bibtexz00(obj_t BgL_envz00_8041)
{
{ /* Llib/bibtex.scm 443 */
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_port1222z00_8042;
BgL_port1222z00_8042 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_8041, 
(int)(((long)0)))); 
return 
bgl_close_input_port(BgL_port1222z00_8042);} } 

}



/* &<@anonymous:3635> */
obj_t BGl_z62zc3z04anonymousza33635ze3ze5zz__text_bibtexz00(obj_t BgL_envz00_8043)
{
{ /* Llib/bibtex.scm 430 */
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_port1205z00_8044;
BgL_port1205z00_8044 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_8043, 
(int)(((long)0)))); 
return 
bgl_close_input_port(BgL_port1205z00_8044);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
