/*===========================================================================*/
/*   (types.scm)                                                             */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -I. types.scm -o objs/types.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_bdlzd2locationzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_filez00;
   int BgL_linez00;
} *BgL_bdlzd2locationzd2_bglt;

typedef struct BgL_bdlzd2programzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_afilez00;
   obj_t BgL_etagsz00;
   obj_t BgL_filesz00;
   obj_t BgL_modulesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_genericsz00;
   obj_t BgL_methodsz00;
   obj_t BgL_macrosz00;
   obj_t BgL_variablesz00;
   obj_t BgL_typesz00;
   obj_t BgL_classsz00;
   obj_t BgL_structuresz00;
   obj_t BgL_externsz00;
} *BgL_bdlzd2programzd2_bglt;

typedef struct BgL_bdlzd2entityzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
} *BgL_bdlzd2entityzd2_bglt;

typedef struct BgL_bdlzd2modulezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   obj_t BgL_filesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_variablesz00;
   obj_t BgL_classesz00;
   obj_t BgL_methodsz00;
   obj_t BgL_structuresz00;
   obj_t BgL_externsz00;
   obj_t BgL_macrosz00;
} *BgL_bdlzd2modulezd2_bglt;

typedef struct BgL_bdlzd2bindingzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
} *BgL_bdlzd2bindingzd2_bglt;

typedef struct BgL_bdlzd2variablezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_protoz00;
} *BgL_bdlzd2variablezd2_bglt;

typedef struct BgL_bdlzd2functionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_protoz00;
} *BgL_bdlzd2functionzd2_bglt;

typedef struct BgL_bdlzd2methodzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_protoz00;
   obj_t BgL_genericz00;
   obj_t BgL_selectzd2typezd2;
   obj_t BgL_returnzd2typezd2;
} *BgL_bdlzd2methodzd2_bglt;

typedef struct BgL_bdlzd2genericzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_protoz00;
   obj_t BgL_methodsz00;
} *BgL_bdlzd2genericzd2_bglt;

typedef struct BgL_bdlzd2macrozd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_protoz00;
} *BgL_bdlzd2macrozd2_bglt;

typedef struct BgL_bdlzd2typezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
} *BgL_bdlzd2typezd2_bglt;

typedef struct BgL_bdlzd2classzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_superz00;
   obj_t BgL_kindz00;
} *BgL_bdlzd2classzd2_bglt;

typedef struct BgL_bdlzd2structurezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
} *BgL_bdlzd2structurezd2_bglt;

typedef struct BgL_bdlzd2externzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
} *BgL_bdlzd2externzd2_bglt;


static obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1930z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1850z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1931z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1851z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31838ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1936z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1937z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1857z62zz__bdl_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2entityzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1858z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2modulezd2_bglt BGl_z62lambda1778z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32003ze3ze5zz__bdl_typesz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2structurezd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31952ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1941z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1942z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1865z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1866z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2genericzd2_bglt BGl_z62lambda1948z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32020ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static BgL_bdlzd2genericzd2_bglt BGl_z62lambda1950z62zz__bdl_typesz00(obj_t);
static BgL_bdlzd2modulezd2_bglt BGl_z62lambda1790z62zz__bdl_typesz00(obj_t);
static BgL_bdlzd2bindingzd2_bglt BGl_z62lambda1872z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1957z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1958z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2modulezd2_bglt BGl_z62lambda1878z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1879z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zz__bdl_typesz00(obj_t);
static BgL_bdlzd2macrozd2_bglt BGl_z62lambda1965z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_bdlzd2variablezd2_bglt BGl_z62lambda1885z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_bdlzd2macrozd2_bglt BGl_z62lambda1967z62zz__bdl_typesz00(obj_t);
static BgL_bdlzd2variablezd2_bglt BGl_z62lambda1887z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__bdl_typesz00();
static obj_t BGl_z62zc3z04anonymousza31874ze3ze5zz__bdl_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2programzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1974z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1894z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1975z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1895z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31867ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31859ze3ze5zz__bdl_typesz00(obj_t);
static BgL_bdlzd2typezd2_bglt BGl_z62lambda1982z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_bdlzd2typezd2_bglt BGl_z62lambda1984z62zz__bdl_typesz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__bdl_typesz00();
static obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__bdl_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__bdl_typesz00();
static BgL_bdlzd2classzd2_bglt BGl_z62lambda1992z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_bdlzd2classzd2_bglt BGl_z62lambda1994z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31797ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31959ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__bdl_typesz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2classzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31896ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__bdl_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2genericzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__bdl_typesz00();
static obj_t BGl_z62zc3z04anonymousza31986ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31889ze3ze5zz__bdl_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2variablezd2zz__bdl_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_bdlzd2modulezd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31996ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2001z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2002z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda2008z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2009z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__bdl_typesz00(obj_t);
static BgL_bdlzd2structurezd2_bglt BGl_z62lambda2016z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_bdlzd2structurezd2_bglt BGl_z62lambda2018z62zz__bdl_typesz00(obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static BgL_bdlzd2locationzd2_bglt BGl_z62lambda1216z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2externzd2_bglt BGl_z62lambda2026z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_bdlzd2externzd2_bglt BGl_z62lambda2028z62zz__bdl_typesz00(obj_t);
static BgL_bdlzd2locationzd2_bglt BGl_z62lambda1219z62zz__bdl_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2bindingzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1227z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1228z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1232z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1233z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__bdl_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2functionzd2zz__bdl_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static BgL_bdlzd2programzd2_bglt BGl_z62lambda1243z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_bdlzd2programzd2_bglt BGl_z62lambda1251z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1333z62zz__bdl_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2macrozd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1334z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1342z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1343z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31358ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1265z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1266z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__bdl_typesz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__bdl_typesz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__bdl_typesz00();
static obj_t BGl_z62lambda1270z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1271z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31383ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31367ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1356z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1357z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31740ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31538ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1365z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1366z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1286z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1287z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31652ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1536z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1537z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31831ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31653ze3ze5zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1623z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1381z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1624z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1382z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2locationzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31824ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31566ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1564z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1565z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1810z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1811z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31915ze3ze5zz__bdl_typesz00(obj_t);
static BgL_bdlzd2entityzd2_bglt BGl_z62lambda1733z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1576z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1577z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2methodzd2zz__bdl_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_bdlzd2typezd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31932ze3ze5zz__bdl_typesz00(obj_t);
static BgL_bdlzd2functionzd2_bglt BGl_z62lambda1902z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1822z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31665ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1823z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2functionzd2_bglt BGl_z62lambda1904z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31908ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1746z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1747z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1829z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1830z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31925ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1913z62zz__bdl_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2externzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1914z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1836z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1837z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1757z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1596z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1758z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1597z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2methodzd2_bglt BGl_z62lambda1921z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31845ze3ze5zz__bdl_typesz00(obj_t);
static BgL_bdlzd2methodzd2_bglt BGl_z62lambda1923z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31748ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1843z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1844z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 48 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2112z00zz__bdl_typesz00, BgL_bgl_za762lambda1790za7622175z00, BGl_z62lambda1790z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2113z00zz__bdl_typesz00, BgL_bgl_za762lambda1778za7622176z00, BGl_z62lambda1778z62zz__bdl_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2032z00zz__bdl_typesz00, BgL_bgl_za762lambda1228za7622177z00, BGl_z62lambda1228z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2114z00zz__bdl_typesz00, BgL_bgl_za762lambda1879za7622178z00, BGl_z62lambda1879z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2033z00zz__bdl_typesz00, BgL_bgl_za762lambda1227za7622179z00, BGl_z62lambda1227z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2115z00zz__bdl_typesz00, BgL_bgl_za762lambda1878za7622180z00, BGl_z62lambda1878z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2034z00zz__bdl_typesz00, BgL_bgl_za762lambda1233za7622181z00, BGl_z62lambda1233z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2116z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2182za7, BGl_z62zc3z04anonymousza31874ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2035z00zz__bdl_typesz00, BgL_bgl_za762lambda1232za7622183z00, BGl_z62lambda1232z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2117z00zz__bdl_typesz00, BgL_bgl_za762lambda1872za7622184z00, BGl_z62lambda1872z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2036z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2185za7, BGl_z62zc3z04anonymousza31222ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2118z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2186za7, BGl_z62zc3z04anonymousza31896ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2037z00zz__bdl_typesz00, BgL_bgl_za762lambda1219za7622187z00, BGl_z62lambda1219z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2119z00zz__bdl_typesz00, BgL_bgl_za762lambda1895za7622188z00, BGl_z62lambda1895z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2038z00zz__bdl_typesz00, BgL_bgl_za762lambda1216za7622189z00, BGl_z62lambda1216z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2039z00zz__bdl_typesz00, BgL_bgl_za762lambda1266za7622190z00, BGl_z62lambda1266z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2120z00zz__bdl_typesz00, BgL_bgl_za762lambda1894za7622191z00, BGl_z62lambda1894z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2121z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2192za7, BGl_z62zc3z04anonymousza31889ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2040z00zz__bdl_typesz00, BgL_bgl_za762lambda1265za7622193z00, BGl_z62lambda1265z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2122z00zz__bdl_typesz00, BgL_bgl_za762lambda1887za7622194z00, BGl_z62lambda1887z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2041z00zz__bdl_typesz00, BgL_bgl_za762lambda1271za7622195z00, BGl_z62lambda1271z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2123z00zz__bdl_typesz00, BgL_bgl_za762lambda1885za7622196z00, BGl_z62lambda1885z62zz__bdl_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2042z00zz__bdl_typesz00, BgL_bgl_za762lambda1270za7622197z00, BGl_z62lambda1270z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2124z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2198za7, BGl_z62zc3z04anonymousza31915ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2043z00zz__bdl_typesz00, BgL_bgl_za762lambda1287za7622199z00, BGl_z62lambda1287z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2125z00zz__bdl_typesz00, BgL_bgl_za762lambda1914za7622200z00, BGl_z62lambda1914z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2044z00zz__bdl_typesz00, BgL_bgl_za762lambda1286za7622201z00, BGl_z62lambda1286z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2126z00zz__bdl_typesz00, BgL_bgl_za762lambda1913za7622202z00, BGl_z62lambda1913z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2045z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2203za7, BGl_z62zc3z04anonymousza31335ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2127z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2204za7, BGl_z62zc3z04anonymousza31908ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2046z00zz__bdl_typesz00, BgL_bgl_za762lambda1334za7622205z00, BGl_z62lambda1334z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2128z00zz__bdl_typesz00, BgL_bgl_za762lambda1904za7622206z00, BGl_z62lambda1904z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2047z00zz__bdl_typesz00, BgL_bgl_za762lambda1333za7622207z00, BGl_z62lambda1333z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2129z00zz__bdl_typesz00, BgL_bgl_za762lambda1902za7622208z00, BGl_z62lambda1902z62zz__bdl_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2048z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2209za7, BGl_z62zc3z04anonymousza31344ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2049z00zz__bdl_typesz00, BgL_bgl_za762lambda1343za7622210z00, BGl_z62lambda1343z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2130z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2211za7, BGl_z62zc3z04anonymousza31932ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2131z00zz__bdl_typesz00, BgL_bgl_za762lambda1931za7622212z00, BGl_z62lambda1931z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2050z00zz__bdl_typesz00, BgL_bgl_za762lambda1342za7622213z00, BGl_z62lambda1342z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2132z00zz__bdl_typesz00, BgL_bgl_za762lambda1930za7622214z00, BGl_z62lambda1930z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2051z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2215za7, BGl_z62zc3z04anonymousza31358ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2133z00zz__bdl_typesz00, BgL_bgl_za762lambda1937za7622216z00, BGl_z62lambda1937z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2052z00zz__bdl_typesz00, BgL_bgl_za762lambda1357za7622217z00, BGl_z62lambda1357z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2134z00zz__bdl_typesz00, BgL_bgl_za762lambda1936za7622218z00, BGl_z62lambda1936z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2053z00zz__bdl_typesz00, BgL_bgl_za762lambda1356za7622219z00, BGl_z62lambda1356z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2135z00zz__bdl_typesz00, BgL_bgl_za762lambda1942za7622220z00, BGl_z62lambda1942z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2054z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2221za7, BGl_z62zc3z04anonymousza31367ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2136z00zz__bdl_typesz00, BgL_bgl_za762lambda1941za7622222z00, BGl_z62lambda1941z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2055z00zz__bdl_typesz00, BgL_bgl_za762lambda1366za7622223z00, BGl_z62lambda1366z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2137z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2224za7, BGl_z62zc3z04anonymousza31925ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2056z00zz__bdl_typesz00, BgL_bgl_za762lambda1365za7622225z00, BGl_z62lambda1365z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2138z00zz__bdl_typesz00, BgL_bgl_za762lambda1923za7622226z00, BGl_z62lambda1923z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2057z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2227za7, BGl_z62zc3z04anonymousza31383ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2139z00zz__bdl_typesz00, BgL_bgl_za762lambda1921za7622228z00, BGl_z62lambda1921z62zz__bdl_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2058z00zz__bdl_typesz00, BgL_bgl_za762lambda1382za7622229z00, BGl_z62lambda1382z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2059z00zz__bdl_typesz00, BgL_bgl_za762lambda1381za7622230z00, BGl_z62lambda1381z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2140z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2231za7, BGl_z62zc3z04anonymousza31959ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2141z00zz__bdl_typesz00, BgL_bgl_za762lambda1958za7622232z00, BGl_z62lambda1958z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2060z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2233za7, BGl_z62zc3z04anonymousza31538ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2142z00zz__bdl_typesz00, BgL_bgl_za762lambda1957za7622234z00, BGl_z62lambda1957z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2061z00zz__bdl_typesz00, BgL_bgl_za762lambda1537za7622235z00, BGl_z62lambda1537z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2143z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2236za7, BGl_z62zc3z04anonymousza31952ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2062z00zz__bdl_typesz00, BgL_bgl_za762lambda1536za7622237z00, BGl_z62lambda1536z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2144z00zz__bdl_typesz00, BgL_bgl_za762lambda1950za7622238z00, BGl_z62lambda1950z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2063z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2239za7, BGl_z62zc3z04anonymousza31566ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2145z00zz__bdl_typesz00, BgL_bgl_za762lambda1948za7622240z00, BGl_z62lambda1948z62zz__bdl_typesz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2064z00zz__bdl_typesz00, BgL_bgl_za762lambda1565za7622241z00, BGl_z62lambda1565z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2146z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2242za7, BGl_z62zc3z04anonymousza31976ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2065z00zz__bdl_typesz00, BgL_bgl_za762lambda1564za7622243z00, BGl_z62lambda1564z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2147z00zz__bdl_typesz00, BgL_bgl_za762lambda1975za7622244z00, BGl_z62lambda1975z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2066z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2245za7, BGl_z62zc3z04anonymousza31578ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2148z00zz__bdl_typesz00, BgL_bgl_za762lambda1974za7622246z00, BGl_z62lambda1974z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2067z00zz__bdl_typesz00, BgL_bgl_za762lambda1577za7622247z00, BGl_z62lambda1577z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2149z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2248za7, BGl_z62zc3z04anonymousza31969ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2068z00zz__bdl_typesz00, BgL_bgl_za762lambda1576za7622249z00, BGl_z62lambda1576z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2069z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2250za7, BGl_z62zc3z04anonymousza31598ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2150z00zz__bdl_typesz00, BgL_bgl_za762lambda1967za7622251z00, BGl_z62lambda1967z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2151z00zz__bdl_typesz00, BgL_bgl_za762lambda1965za7622252z00, BGl_z62lambda1965z62zz__bdl_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2070z00zz__bdl_typesz00, BgL_bgl_za762lambda1597za7622253z00, BGl_z62lambda1597z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2152z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2254za7, BGl_z62zc3z04anonymousza31986ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2071z00zz__bdl_typesz00, BgL_bgl_za762lambda1596za7622255z00, BGl_z62lambda1596z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2153z00zz__bdl_typesz00, BgL_bgl_za762lambda1984za7622256z00, BGl_z62lambda1984z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2072z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2257za7, BGl_z62zc3z04anonymousza31625ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2154z00zz__bdl_typesz00, BgL_bgl_za762lambda1982za7622258z00, BGl_z62lambda1982z62zz__bdl_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2073z00zz__bdl_typesz00, BgL_bgl_za762lambda1624za7622259z00, BGl_z62lambda1624z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2155z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2260za7, BGl_z62zc3z04anonymousza32003ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2074z00zz__bdl_typesz00, BgL_bgl_za762lambda1623za7622261z00, BGl_z62lambda1623z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2156z00zz__bdl_typesz00, BgL_bgl_za762lambda2002za7622262z00, BGl_z62lambda2002z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2075z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2263za7, BGl_z62zc3z04anonymousza31653ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2157z00zz__bdl_typesz00, BgL_bgl_za762lambda2001za7622264z00, BGl_z62lambda2001z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2076z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2265za7, BGl_z62zc3z04anonymousza31652ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2158z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2266za7, BGl_z62zc3z04anonymousza32010ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2077z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2267za7, BGl_z62zc3z04anonymousza31665ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2159z00zz__bdl_typesz00, BgL_bgl_za762lambda2009za7622268z00, BGl_z62lambda2009z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2078z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2269za7, BGl_z62zc3z04anonymousza31253ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2079z00zz__bdl_typesz00, BgL_bgl_za762lambda1251za7622270z00, BGl_z62lambda1251z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2160z00zz__bdl_typesz00, BgL_bgl_za762lambda2008za7622271z00, BGl_z62lambda2008z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2161z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2272za7, BGl_z62zc3z04anonymousza31996ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2080z00zz__bdl_typesz00, BgL_bgl_za762lambda1243za7622273z00, BGl_z62lambda1243z62zz__bdl_typesz00, 0L, BUNSPEC, 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2162z00zz__bdl_typesz00, BgL_bgl_za762lambda1994za7622274z00, BGl_z62lambda1994z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2081z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2275za7, BGl_z62zc3z04anonymousza31748ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2163z00zz__bdl_typesz00, BgL_bgl_za762lambda1992za7622276z00, BGl_z62lambda1992z62zz__bdl_typesz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2082z00zz__bdl_typesz00, BgL_bgl_za762lambda1747za7622277z00, BGl_z62lambda1747z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2170z00zz__bdl_typesz00, BgL_bgl_string2170za700za7za7_2278za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2164z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2279za7, BGl_z62zc3z04anonymousza32020ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2083z00zz__bdl_typesz00, BgL_bgl_za762lambda1746za7622280z00, BGl_z62lambda1746z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2171z00zz__bdl_typesz00, BgL_bgl_string2171za700za7za7_2281za7, "plain _ bdl-extern bdl-structure bdl-class symbol kind super bdl-type bdl-macro bdl-generic bdl-method return-type select-type generic bdl-function bdl-variable proto bdl-binding module bdl-module classes bdl-entity ident loc bdl-program hashtables externs structures classs types variables macros methods generics functions modules pair-nil files etags obj afile __bdl_types bdl-location int line bstring file ", 411 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2165z00zz__bdl_typesz00, BgL_bgl_za762lambda2018za7622282z00, BGl_z62lambda2018z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2084z00zz__bdl_typesz00, BgL_bgl_za762lambda1758za7622283z00, BGl_z62lambda1758z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2166z00zz__bdl_typesz00, BgL_bgl_za762lambda2016za7622284z00, BGl_z62lambda2016z62zz__bdl_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2085z00zz__bdl_typesz00, BgL_bgl_za762lambda1757za7622285z00, BGl_z62lambda1757z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2167z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2286za7, BGl_z62zc3z04anonymousza32030ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2086z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2287za7, BGl_z62zc3z04anonymousza31740ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2168z00zz__bdl_typesz00, BgL_bgl_za762lambda2028za7622288z00, BGl_z62lambda2028z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2087z00zz__bdl_typesz00, BgL_bgl_za762lambda1733za7622289z00, BGl_z62lambda1733z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2169z00zz__bdl_typesz00, BgL_bgl_za762lambda2026za7622290z00, BGl_z62lambda2026z62zz__bdl_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2088z00zz__bdl_typesz00, BgL_bgl_za762lambda1811za7622291z00, BGl_z62lambda1811z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2089z00zz__bdl_typesz00, BgL_bgl_za762lambda1810za7622292z00, BGl_z62lambda1810z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2090z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2293za7, BGl_z62zc3z04anonymousza31824ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2091z00zz__bdl_typesz00, BgL_bgl_za762lambda1823za7622294z00, BGl_z62lambda1823z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2092z00zz__bdl_typesz00, BgL_bgl_za762lambda1822za7622295z00, BGl_z62lambda1822z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2093z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2296za7, BGl_z62zc3z04anonymousza31831ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2094z00zz__bdl_typesz00, BgL_bgl_za762lambda1830za7622297z00, BGl_z62lambda1830z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2095z00zz__bdl_typesz00, BgL_bgl_za762lambda1829za7622298z00, BGl_z62lambda1829z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2096z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2299za7, BGl_z62zc3z04anonymousza31838ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2097z00zz__bdl_typesz00, BgL_bgl_za762lambda1837za7622300z00, BGl_z62lambda1837z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2098z00zz__bdl_typesz00, BgL_bgl_za762lambda1836za7622301z00, BGl_z62lambda1836z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2099z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2302za7, BGl_z62zc3z04anonymousza31845ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2100z00zz__bdl_typesz00, BgL_bgl_za762lambda1844za7622303z00, BGl_z62lambda1844z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2101z00zz__bdl_typesz00, BgL_bgl_za762lambda1843za7622304z00, BGl_z62lambda1843z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2102z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2305za7, BGl_z62zc3z04anonymousza31852ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2103z00zz__bdl_typesz00, BgL_bgl_za762lambda1851za7622306z00, BGl_z62lambda1851z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2104z00zz__bdl_typesz00, BgL_bgl_za762lambda1850za7622307z00, BGl_z62lambda1850z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2105z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2308za7, BGl_z62zc3z04anonymousza31859ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2106z00zz__bdl_typesz00, BgL_bgl_za762lambda1858za7622309z00, BGl_z62lambda1858z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2107z00zz__bdl_typesz00, BgL_bgl_za762lambda1857za7622310z00, BGl_z62lambda1857z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2108z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2311za7, BGl_z62zc3z04anonymousza31867ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2109z00zz__bdl_typesz00, BgL_bgl_za762lambda1866za7622312z00, BGl_z62lambda1866z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2110z00zz__bdl_typesz00, BgL_bgl_za762lambda1865za7622313z00, BGl_z62lambda1865z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2111z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2314za7, BGl_z62zc3z04anonymousza31797ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_bdlzd2entityzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2structurezd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2programzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2classzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2genericzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2variablezd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2modulezd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2bindingzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2functionzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2macrozd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2locationzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2methodzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2typezd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2externzd2zz__bdl_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__bdl_typesz00(long BgL_checksumz00_1695, char * BgL_fromz00_1696)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__bdl_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__bdl_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__bdl_typesz00(); 
BGl_libraryzd2moduleszd2initz00zz__bdl_typesz00(); 
BGl_cnstzd2initzd2zz__bdl_typesz00(); 
BGl_objectzd2initzd2zz__bdl_typesz00(); 
return 
BGl_toplevelzd2initzd2zz__bdl_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__bdl_typesz00()
{
{ /* types.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__bdl_types"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__bdl_typesz00()
{
{ /* types.scm 15 */
{ /* types.scm 15 */
 obj_t BgL_cportz00_1447;
{ /* types.scm 15 */
 obj_t BgL_stringz00_1455;
BgL_stringz00_1455 = BGl_string2171z00zz__bdl_typesz00; 
{ /* types.scm 15 */
 obj_t BgL_startz00_1456;
BgL_startz00_1456 = 
BINT(((long)0)); 
{ /* types.scm 15 */
 obj_t BgL_endz00_1457;
BgL_endz00_1457 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1455))); 
{ /* types.scm 15 */

BgL_cportz00_1447 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1455, BgL_startz00_1456, BgL_endz00_1457); } } } } 
{ 
 long BgL_iz00_1448;
BgL_iz00_1448 = ((long)47); 
BgL_loopz00_1449:
if(
(BgL_iz00_1448==((long)-1)))
{ /* types.scm 15 */
return BUNSPEC;}  else 
{ /* types.scm 15 */
{ /* types.scm 15 */
 obj_t BgL_arg2173z00_1451;
{ /* types.scm 15 */

{ /* types.scm 15 */
 obj_t BgL_locationz00_1453;
BgL_locationz00_1453 = 
BBOOL(((bool_t)0)); 
{ /* types.scm 15 */

BgL_arg2173z00_1451 = 
BGl_readz00zz__readerz00(BgL_cportz00_1447, BgL_locationz00_1453); } } } 
{ /* types.scm 15 */
 int BgL_tmpz00_1721;
BgL_tmpz00_1721 = 
(int)(BgL_iz00_1448); 
CNST_TABLE_SET(BgL_tmpz00_1721, BgL_arg2173z00_1451); } } 
{ /* types.scm 15 */
 int BgL_auxz00_1454;
BgL_auxz00_1454 = 
(int)(
(BgL_iz00_1448-((long)1))); 
{ 
 long BgL_iz00_1726;
BgL_iz00_1726 = 
(long)(BgL_auxz00_1454); 
BgL_iz00_1448 = BgL_iz00_1726; 
goto BgL_loopz00_1449;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__bdl_typesz00()
{
{ /* types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__bdl_typesz00()
{
{ /* types.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__bdl_typesz00()
{
{ /* types.scm 15 */
{ /* types.scm 17 */
 obj_t BgL_arg1214z00_14; obj_t BgL_arg1215z00_15;
{ /* types.scm 17 */
 obj_t BgL_v1176z00_27;
BgL_v1176z00_27 = 
create_vector(((long)2)); 
{ /* types.scm 17 */
 obj_t BgL_arg1224z00_28;
BgL_arg1224z00_28 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc2033z00zz__bdl_typesz00, BGl_proc2032z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1176z00_27,((long)0),BgL_arg1224z00_28); } 
{ /* types.scm 17 */
 obj_t BgL_arg1229z00_38;
BgL_arg1229z00_38 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc2035z00zz__bdl_typesz00, BGl_proc2034z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1176z00_27,((long)1),BgL_arg1229z00_38); } 
BgL_arg1214z00_14 = BgL_v1176z00_27; } 
{ /* types.scm 17 */
 obj_t BgL_v1177z00_48;
BgL_v1177z00_48 = 
create_vector(((long)0)); 
BgL_arg1215z00_15 = BgL_v1177z00_48; } 
BGl_bdlzd2locationzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)4)), 
CNST_TABLE_REF(((long)5)), BGl_objectz00zz__objectz00, ((long)39445), BGl_proc2038z00zz__bdl_typesz00, BGl_proc2037z00zz__bdl_typesz00, BFALSE, BGl_proc2036z00zz__bdl_typesz00, BFALSE, BgL_arg1214z00_14, BgL_arg1215z00_15); } 
{ /* types.scm 22 */
 obj_t BgL_arg1239z00_55; obj_t BgL_arg1242z00_56;
{ /* types.scm 22 */
 obj_t BgL_v1178z00_79;
BgL_v1178z00_79 = 
create_vector(((long)14)); 
{ /* types.scm 22 */
 obj_t BgL_arg1262z00_80;
BgL_arg1262z00_80 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc2040z00zz__bdl_typesz00, BGl_proc2039z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)0),BgL_arg1262z00_80); } 
{ /* types.scm 22 */
 obj_t BgL_arg1267z00_90;
BgL_arg1267z00_90 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2042z00zz__bdl_typesz00, BGl_proc2041z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)1),BgL_arg1267z00_90); } 
{ /* types.scm 22 */
 obj_t BgL_arg1279z00_100;
BgL_arg1279z00_100 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2044z00zz__bdl_typesz00, BGl_proc2043z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1178z00_79,((long)2),BgL_arg1279z00_100); } 
{ /* types.scm 22 */
 obj_t BgL_arg1288z00_110;
BgL_arg1288z00_110 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2047z00zz__bdl_typesz00, BGl_proc2046z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2045z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)3),BgL_arg1288z00_110); } 
{ /* types.scm 22 */
 obj_t BgL_arg1338z00_124;
BgL_arg1338z00_124 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc2050z00zz__bdl_typesz00, BGl_proc2049z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2048z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)4),BgL_arg1338z00_124); } 
{ /* types.scm 22 */
 obj_t BgL_arg1348z00_138;
BgL_arg1348z00_138 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc2053z00zz__bdl_typesz00, BGl_proc2052z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2051z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)5),BgL_arg1348z00_138); } 
{ /* types.scm 22 */
 obj_t BgL_arg1360z00_152;
BgL_arg1360z00_152 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc2056z00zz__bdl_typesz00, BGl_proc2055z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2054z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)6),BgL_arg1360z00_152); } 
{ /* types.scm 22 */
 obj_t BgL_arg1377z00_166;
BgL_arg1377z00_166 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2059z00zz__bdl_typesz00, BGl_proc2058z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2057z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)7),BgL_arg1377z00_166); } 
{ /* types.scm 22 */
 obj_t BgL_arg1414z00_180;
BgL_arg1414z00_180 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2062z00zz__bdl_typesz00, BGl_proc2061z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2060z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)8),BgL_arg1414z00_180); } 
{ /* types.scm 22 */
 obj_t BgL_arg1541z00_194;
BgL_arg1541z00_194 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2065z00zz__bdl_typesz00, BGl_proc2064z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2063z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)9),BgL_arg1541z00_194); } 
{ /* types.scm 22 */
 obj_t BgL_arg1572z00_208;
BgL_arg1572z00_208 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc2068z00zz__bdl_typesz00, BGl_proc2067z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2066z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)10),BgL_arg1572z00_208); } 
{ /* types.scm 22 */
 obj_t BgL_arg1590z00_222;
BgL_arg1590z00_222 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc2071z00zz__bdl_typesz00, BGl_proc2070z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2069z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)11),BgL_arg1590z00_222); } 
{ /* types.scm 22 */
 obj_t BgL_arg1609z00_236;
BgL_arg1609z00_236 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2074z00zz__bdl_typesz00, BGl_proc2073z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2072z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)12),BgL_arg1609z00_236); } 
{ /* types.scm 22 */
 obj_t BgL_arg1642z00_250;
BgL_arg1642z00_250 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_proc2076z00zz__bdl_typesz00, BGl_proc2075z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1178z00_79,((long)13),BgL_arg1642z00_250); } 
BgL_arg1239z00_55 = BgL_v1178z00_79; } 
{ /* types.scm 22 */
 obj_t BgL_v1179z00_260;
BgL_v1179z00_260 = 
create_vector(((long)1)); 
{ /* types.scm 40 */
 obj_t BgL_arg1654z00_261;
{ /* types.scm 40 */
 obj_t BgL_arg1657z00_262;
BgL_arg1657z00_262 = 
MAKE_YOUNG_PAIR(BGl_proc2077z00zz__bdl_typesz00, BFALSE); 
BgL_arg1654z00_261 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg1657z00_262); } 
VECTOR_SET(BgL_v1179z00_260,((long)0),BgL_arg1654z00_261); } 
BgL_arg1242z00_56 = BgL_v1179z00_260; } 
BGl_bdlzd2programzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)22)), 
CNST_TABLE_REF(((long)5)), BGl_objectz00zz__objectz00, ((long)18011), BGl_proc2080z00zz__bdl_typesz00, BGl_proc2079z00zz__bdl_typesz00, BFALSE, BGl_proc2078z00zz__bdl_typesz00, BFALSE, BgL_arg1239z00_55, BgL_arg1242z00_56); } 
{ /* types.scm 52 */
 obj_t BgL_arg1731z00_296; obj_t BgL_arg1732z00_297;
{ /* types.scm 52 */
 obj_t BgL_v1180z00_303;
BgL_v1180z00_303 = 
create_vector(((long)2)); 
{ /* types.scm 52 */
 obj_t BgL_arg1741z00_304;
BgL_arg1741z00_304 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc2083z00zz__bdl_typesz00, BGl_proc2082z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2081z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1180z00_303,((long)0),BgL_arg1741z00_304); } 
{ /* types.scm 52 */
 obj_t BgL_arg1749z00_317;
BgL_arg1749z00_317 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_proc2085z00zz__bdl_typesz00, BGl_proc2084z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1180z00_303,((long)1),BgL_arg1749z00_317); } 
BgL_arg1731z00_296 = BgL_v1180z00_303; } 
{ /* types.scm 52 */
 obj_t BgL_v1181z00_327;
BgL_v1181z00_327 = 
create_vector(((long)0)); 
BgL_arg1732z00_297 = BgL_v1181z00_327; } 
BGl_bdlzd2entityzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)25)), 
CNST_TABLE_REF(((long)5)), BGl_objectz00zz__objectz00, ((long)53392), BFALSE, BGl_proc2087z00zz__bdl_typesz00, BFALSE, BGl_proc2086z00zz__bdl_typesz00, BFALSE, BgL_arg1731z00_296, BgL_arg1732z00_297); } 
{ /* types.scm 57 */
 obj_t BgL_arg1770z00_333; obj_t BgL_arg1777z00_334;
{ /* types.scm 57 */
 obj_t BgL_v1182z00_354;
BgL_v1182z00_354 = 
create_vector(((long)8)); 
{ /* types.scm 57 */
 obj_t BgL_arg1798z00_355;
BgL_arg1798z00_355 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2089z00zz__bdl_typesz00, BGl_proc2088z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1182z00_354,((long)0),BgL_arg1798z00_355); } 
{ /* types.scm 57 */
 obj_t BgL_arg1812z00_365;
BgL_arg1812z00_365 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc2092z00zz__bdl_typesz00, BGl_proc2091z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2090z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1182z00_354,((long)1),BgL_arg1812z00_365); } 
{ /* types.scm 57 */
 obj_t BgL_arg1825z00_378;
BgL_arg1825z00_378 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2095z00zz__bdl_typesz00, BGl_proc2094z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2093z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1182z00_354,((long)2),BgL_arg1825z00_378); } 
{ /* types.scm 57 */
 obj_t BgL_arg1832z00_391;
BgL_arg1832z00_391 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc2098z00zz__bdl_typesz00, BGl_proc2097z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2096z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1182z00_354,((long)3),BgL_arg1832z00_391); } 
{ /* types.scm 57 */
 obj_t BgL_arg1839z00_404;
BgL_arg1839z00_404 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc2101z00zz__bdl_typesz00, BGl_proc2100z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2099z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1182z00_354,((long)4),BgL_arg1839z00_404); } 
{ /* types.scm 57 */
 obj_t BgL_arg1846z00_417;
BgL_arg1846z00_417 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc2104z00zz__bdl_typesz00, BGl_proc2103z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2102z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1182z00_354,((long)5),BgL_arg1846z00_417); } 
{ /* types.scm 57 */
 obj_t BgL_arg1853z00_430;
BgL_arg1853z00_430 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2107z00zz__bdl_typesz00, BGl_proc2106z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2105z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1182z00_354,((long)6),BgL_arg1853z00_430); } 
{ /* types.scm 57 */
 obj_t BgL_arg1860z00_443;
BgL_arg1860z00_443 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2110z00zz__bdl_typesz00, BGl_proc2109z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2108z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1182z00_354,((long)7),BgL_arg1860z00_443); } 
BgL_arg1770z00_333 = BgL_v1182z00_354; } 
{ /* types.scm 57 */
 obj_t BgL_v1183z00_456;
BgL_v1183z00_456 = 
create_vector(((long)0)); 
BgL_arg1777z00_334 = BgL_v1183z00_456; } 
BGl_bdlzd2modulezd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)27)), 
CNST_TABLE_REF(((long)5)), BGl_bdlzd2entityzd2zz__bdl_typesz00, ((long)30856), BGl_proc2113z00zz__bdl_typesz00, BGl_proc2112z00zz__bdl_typesz00, BFALSE, BGl_proc2111z00zz__bdl_typesz00, BFALSE, BgL_arg1770z00_333, BgL_arg1777z00_334); } 
{ /* types.scm 76 */
 obj_t BgL_arg1870z00_462; obj_t BgL_arg1871z00_463;
{ /* types.scm 76 */
 obj_t BgL_v1184z00_469;
BgL_v1184z00_469 = 
create_vector(((long)1)); 
{ /* types.scm 76 */
 obj_t BgL_arg1875z00_470;
BgL_arg1875z00_470 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2115z00zz__bdl_typesz00, BGl_proc2114z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_bdlzd2modulezd2zz__bdl_typesz00); 
VECTOR_SET(BgL_v1184z00_469,((long)0),BgL_arg1875z00_470); } 
BgL_arg1870z00_462 = BgL_v1184z00_469; } 
{ /* types.scm 76 */
 obj_t BgL_v1185z00_480;
BgL_v1185z00_480 = 
create_vector(((long)0)); 
BgL_arg1871z00_463 = BgL_v1185z00_480; } 
BGl_bdlzd2bindingzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)29)), 
CNST_TABLE_REF(((long)5)), BGl_bdlzd2entityzd2zz__bdl_typesz00, ((long)990), BFALSE, BGl_proc2117z00zz__bdl_typesz00, BFALSE, BGl_proc2116z00zz__bdl_typesz00, BFALSE, BgL_arg1870z00_462, BgL_arg1871z00_463); } 
{ /* types.scm 80 */
 obj_t BgL_arg1883z00_486; obj_t BgL_arg1884z00_487;
{ /* types.scm 80 */
 obj_t BgL_v1186z00_501;
BgL_v1186z00_501 = 
create_vector(((long)1)); 
{ /* types.scm 80 */
 obj_t BgL_arg1890z00_502;
BgL_arg1890z00_502 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc2120z00zz__bdl_typesz00, BGl_proc2119z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2118z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1186z00_501,((long)0),BgL_arg1890z00_502); } 
BgL_arg1883z00_486 = BgL_v1186z00_501; } 
{ /* types.scm 80 */
 obj_t BgL_v1187z00_515;
BgL_v1187z00_515 = 
create_vector(((long)0)); 
BgL_arg1884z00_487 = BgL_v1187z00_515; } 
BGl_bdlzd2variablezd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)5)), BGl_bdlzd2bindingzd2zz__bdl_typesz00, ((long)63308), BGl_proc2123z00zz__bdl_typesz00, BGl_proc2122z00zz__bdl_typesz00, BFALSE, BGl_proc2121z00zz__bdl_typesz00, BFALSE, BgL_arg1883z00_486, BgL_arg1884z00_487); } 
{ /* types.scm 84 */
 obj_t BgL_arg1900z00_522; obj_t BgL_arg1901z00_523;
{ /* types.scm 84 */
 obj_t BgL_v1188z00_537;
BgL_v1188z00_537 = 
create_vector(((long)1)); 
{ /* types.scm 84 */
 obj_t BgL_arg1909z00_538;
BgL_arg1909z00_538 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc2126z00zz__bdl_typesz00, BGl_proc2125z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2124z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1188z00_537,((long)0),BgL_arg1909z00_538); } 
BgL_arg1900z00_522 = BgL_v1188z00_537; } 
{ /* types.scm 84 */
 obj_t BgL_v1189z00_551;
BgL_v1189z00_551 = 
create_vector(((long)0)); 
BgL_arg1901z00_523 = BgL_v1189z00_551; } 
BGl_bdlzd2functionzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)32)), 
CNST_TABLE_REF(((long)5)), BGl_bdlzd2bindingzd2zz__bdl_typesz00, ((long)41068), BGl_proc2129z00zz__bdl_typesz00, BGl_proc2128z00zz__bdl_typesz00, BFALSE, BGl_proc2127z00zz__bdl_typesz00, BFALSE, BgL_arg1900z00_522, BgL_arg1901z00_523); } 
{ /* types.scm 88 */
 obj_t BgL_arg1919z00_558; obj_t BgL_arg1920z00_559;
{ /* types.scm 88 */
 obj_t BgL_v1190z00_576;
BgL_v1190z00_576 = 
create_vector(((long)3)); 
{ /* types.scm 88 */
 obj_t BgL_arg1926z00_577;
BgL_arg1926z00_577 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc2132z00zz__bdl_typesz00, BGl_proc2131z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2130z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1190z00_576,((long)0),BgL_arg1926z00_577); } 
{ /* types.scm 88 */
 obj_t BgL_arg1933z00_590;
BgL_arg1933z00_590 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_proc2134z00zz__bdl_typesz00, BGl_proc2133z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1190z00_576,((long)1),BgL_arg1933z00_590); } 
{ /* types.scm 88 */
 obj_t BgL_arg1938z00_600;
BgL_arg1938z00_600 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc2136z00zz__bdl_typesz00, BGl_proc2135z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1190z00_576,((long)2),BgL_arg1938z00_600); } 
BgL_arg1919z00_558 = BgL_v1190z00_576; } 
{ /* types.scm 88 */
 obj_t BgL_v1191z00_610;
BgL_v1191z00_610 = 
create_vector(((long)0)); 
BgL_arg1920z00_559 = BgL_v1191z00_610; } 
BGl_bdlzd2methodzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)36)), 
CNST_TABLE_REF(((long)5)), BGl_bdlzd2functionzd2zz__bdl_typesz00, ((long)26515), BGl_proc2139z00zz__bdl_typesz00, BGl_proc2138z00zz__bdl_typesz00, BFALSE, BGl_proc2137z00zz__bdl_typesz00, BFALSE, BgL_arg1919z00_558, BgL_arg1920z00_559); } 
{ /* types.scm 94 */
 obj_t BgL_arg1946z00_617; obj_t BgL_arg1947z00_618;
{ /* types.scm 94 */
 obj_t BgL_v1192z00_633;
BgL_v1192z00_633 = 
create_vector(((long)1)); 
{ /* types.scm 94 */
 obj_t BgL_arg1953z00_634;
BgL_arg1953z00_634 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc2142z00zz__bdl_typesz00, BGl_proc2141z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2140z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1192z00_633,((long)0),BgL_arg1953z00_634); } 
BgL_arg1946z00_617 = BgL_v1192z00_633; } 
{ /* types.scm 94 */
 obj_t BgL_v1193z00_647;
BgL_v1193z00_647 = 
create_vector(((long)0)); 
BgL_arg1947z00_618 = BgL_v1193z00_647; } 
BGl_bdlzd2genericzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)37)), 
CNST_TABLE_REF(((long)5)), BGl_bdlzd2functionzd2zz__bdl_typesz00, ((long)63093), BGl_proc2145z00zz__bdl_typesz00, BGl_proc2144z00zz__bdl_typesz00, BFALSE, BGl_proc2143z00zz__bdl_typesz00, BFALSE, BgL_arg1946z00_617, BgL_arg1947z00_618); } 
{ /* types.scm 98 */
 obj_t BgL_arg1963z00_654; obj_t BgL_arg1964z00_655;
{ /* types.scm 98 */
 obj_t BgL_v1194z00_669;
BgL_v1194z00_669 = 
create_vector(((long)1)); 
{ /* types.scm 98 */
 obj_t BgL_arg1970z00_670;
BgL_arg1970z00_670 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc2148z00zz__bdl_typesz00, BGl_proc2147z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2146z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1194z00_669,((long)0),BgL_arg1970z00_670); } 
BgL_arg1963z00_654 = BgL_v1194z00_669; } 
{ /* types.scm 98 */
 obj_t BgL_v1195z00_683;
BgL_v1195z00_683 = 
create_vector(((long)0)); 
BgL_arg1964z00_655 = BgL_v1195z00_683; } 
BGl_bdlzd2macrozd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)38)), 
CNST_TABLE_REF(((long)5)), BGl_bdlzd2bindingzd2zz__bdl_typesz00, ((long)1968), BGl_proc2151z00zz__bdl_typesz00, BGl_proc2150z00zz__bdl_typesz00, BFALSE, BGl_proc2149z00zz__bdl_typesz00, BFALSE, BgL_arg1963z00_654, BgL_arg1964z00_655); } 
{ /* types.scm 102 */
 obj_t BgL_arg1980z00_690; obj_t BgL_arg1981z00_691;
{ /* types.scm 102 */
 obj_t BgL_v1196z00_704;
BgL_v1196z00_704 = 
create_vector(((long)0)); 
BgL_arg1980z00_690 = BgL_v1196z00_704; } 
{ /* types.scm 102 */
 obj_t BgL_v1197z00_705;
BgL_v1197z00_705 = 
create_vector(((long)0)); 
BgL_arg1981z00_691 = BgL_v1197z00_705; } 
BGl_bdlzd2typezd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)5)), BGl_bdlzd2bindingzd2zz__bdl_typesz00, ((long)10912), BGl_proc2154z00zz__bdl_typesz00, BGl_proc2153z00zz__bdl_typesz00, BFALSE, BGl_proc2152z00zz__bdl_typesz00, BFALSE, BgL_arg1980z00_690, BgL_arg1981z00_691); } 
{ /* types.scm 105 */
 obj_t BgL_arg1990z00_712; obj_t BgL_arg1991z00_713;
{ /* types.scm 105 */
 obj_t BgL_v1198z00_728;
BgL_v1198z00_728 = 
create_vector(((long)2)); 
{ /* types.scm 105 */
 obj_t BgL_arg1997z00_729;
BgL_arg1997z00_729 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc2157z00zz__bdl_typesz00, BGl_proc2156z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2155z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1198z00_728,((long)0),BgL_arg1997z00_729); } 
{ /* types.scm 105 */
 obj_t BgL_arg2004z00_742;
BgL_arg2004z00_742 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc2160z00zz__bdl_typesz00, BGl_proc2159z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2158z00zz__bdl_typesz00, 
CNST_TABLE_REF(((long)42))); 
VECTOR_SET(BgL_v1198z00_728,((long)1),BgL_arg2004z00_742); } 
BgL_arg1990z00_712 = BgL_v1198z00_728; } 
{ /* types.scm 105 */
 obj_t BgL_v1199z00_755;
BgL_v1199z00_755 = 
create_vector(((long)0)); 
BgL_arg1991z00_713 = BgL_v1199z00_755; } 
BGl_bdlzd2classzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)43)), 
CNST_TABLE_REF(((long)5)), BGl_bdlzd2typezd2zz__bdl_typesz00, ((long)14007), BGl_proc2163z00zz__bdl_typesz00, BGl_proc2162z00zz__bdl_typesz00, BFALSE, BGl_proc2161z00zz__bdl_typesz00, BFALSE, BgL_arg1990z00_712, BgL_arg1991z00_713); } 
{ /* types.scm 110 */
 obj_t BgL_arg2014z00_762; obj_t BgL_arg2015z00_763;
{ /* types.scm 110 */
 obj_t BgL_v1200z00_776;
BgL_v1200z00_776 = 
create_vector(((long)0)); 
BgL_arg2014z00_762 = BgL_v1200z00_776; } 
{ /* types.scm 110 */
 obj_t BgL_v1201z00_777;
BgL_v1201z00_777 = 
create_vector(((long)0)); 
BgL_arg2015z00_763 = BgL_v1201z00_777; } 
BGl_bdlzd2structurezd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)44)), 
CNST_TABLE_REF(((long)5)), BGl_bdlzd2bindingzd2zz__bdl_typesz00, ((long)945), BGl_proc2166z00zz__bdl_typesz00, BGl_proc2165z00zz__bdl_typesz00, BFALSE, BGl_proc2164z00zz__bdl_typesz00, BFALSE, BgL_arg2014z00_762, BgL_arg2015z00_763); } 
{ /* types.scm 113 */
 obj_t BgL_arg2024z00_784; obj_t BgL_arg2025z00_785;
{ /* types.scm 113 */
 obj_t BgL_v1202z00_798;
BgL_v1202z00_798 = 
create_vector(((long)0)); 
BgL_arg2024z00_784 = BgL_v1202z00_798; } 
{ /* types.scm 113 */
 obj_t BgL_v1203z00_799;
BgL_v1203z00_799 = 
create_vector(((long)0)); 
BgL_arg2025z00_785 = BgL_v1203z00_799; } 
return ( 
BGl_bdlzd2externzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)45)), 
CNST_TABLE_REF(((long)5)), BGl_bdlzd2bindingzd2zz__bdl_typesz00, ((long)14332), BGl_proc2169z00zz__bdl_typesz00, BGl_proc2168z00zz__bdl_typesz00, BFALSE, BGl_proc2167z00zz__bdl_typesz00, BFALSE, BgL_arg2024z00_784, BgL_arg2025z00_785), BUNSPEC) ;} } 

}



/* &<@anonymous:2030> */
obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1123, obj_t BgL_new1151z00_1124)
{
{ /* types.scm 113 */
{ 
 BgL_bdlzd2externzd2_bglt BgL_auxz00_1946;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2externzd2_bglt)BgL_new1151z00_1124))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2externzd2_bglt)BgL_new1151z00_1124))))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_1953;
{ /* types.scm 113 */
 obj_t BgL_classz00_1460;
BgL_classz00_1460 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 113 */
 obj_t BgL__ortest_1113z00_1461;
BgL__ortest_1113z00_1461 = 
BGL_CLASS_NIL(BgL_classz00_1460); 
if(
CBOOL(BgL__ortest_1113z00_1461))
{ /* types.scm 113 */
BgL_auxz00_1953 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1113z00_1461)
; }  else 
{ /* types.scm 113 */
BgL_auxz00_1953 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1460))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2externzd2_bglt)BgL_new1151z00_1124))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_1953),BUNSPEC); } 
BgL_auxz00_1946 = 
((BgL_bdlzd2externzd2_bglt)BgL_new1151z00_1124); 
return 
((obj_t)BgL_auxz00_1946);} } 

}



/* &lambda2028 */
BgL_bdlzd2externzd2_bglt BGl_z62lambda2028z62zz__bdl_typesz00(obj_t BgL_envz00_1125)
{
{ /* types.scm 113 */
{ /* types.scm 113 */
 BgL_bdlzd2externzd2_bglt BgL_new1150z00_1462;
BgL_new1150z00_1462 = 
((BgL_bdlzd2externzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2externzd2_bgl) ))); 
{ /* types.scm 113 */
 long BgL_arg2029z00_1463;
BgL_arg2029z00_1463 = 
BGL_CLASS_NUM(BGl_bdlzd2externzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1150z00_1462), BgL_arg2029z00_1463); } 
return BgL_new1150z00_1462;} } 

}



/* &lambda2026 */
BgL_bdlzd2externzd2_bglt BGl_z62lambda2026z62zz__bdl_typesz00(obj_t BgL_envz00_1126, obj_t BgL_loc1147z00_1127, obj_t BgL_ident1148z00_1128, obj_t BgL_module1149z00_1129)
{
{ /* types.scm 113 */
{ /* types.scm 113 */
 BgL_bdlzd2externzd2_bglt BgL_new1175z00_1466;
{ /* types.scm 113 */
 BgL_bdlzd2externzd2_bglt BgL_new1174z00_1467;
BgL_new1174z00_1467 = 
((BgL_bdlzd2externzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2externzd2_bgl) ))); 
{ /* types.scm 113 */
 long BgL_arg2027z00_1468;
BgL_arg2027z00_1468 = 
BGL_CLASS_NUM(BGl_bdlzd2externzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1174z00_1467), BgL_arg2027z00_1468); } 
BgL_new1175z00_1466 = BgL_new1174z00_1467; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1175z00_1466)))->BgL_locz00)=((obj_t)BgL_loc1147z00_1127),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1175z00_1466)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1148z00_1128)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1175z00_1466)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1149z00_1129)),BUNSPEC); 
return BgL_new1175z00_1466;} } 

}



/* &<@anonymous:2020> */
obj_t BGl_z62zc3z04anonymousza32020ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1130, obj_t BgL_new1145z00_1131)
{
{ /* types.scm 110 */
{ 
 BgL_bdlzd2structurezd2_bglt BgL_auxz00_1981;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2structurezd2_bglt)BgL_new1145z00_1131))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2structurezd2_bglt)BgL_new1145z00_1131))))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_1988;
{ /* types.scm 110 */
 obj_t BgL_classz00_1470;
BgL_classz00_1470 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 110 */
 obj_t BgL__ortest_1113z00_1471;
BgL__ortest_1113z00_1471 = 
BGL_CLASS_NIL(BgL_classz00_1470); 
if(
CBOOL(BgL__ortest_1113z00_1471))
{ /* types.scm 110 */
BgL_auxz00_1988 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1113z00_1471)
; }  else 
{ /* types.scm 110 */
BgL_auxz00_1988 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1470))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2structurezd2_bglt)BgL_new1145z00_1131))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_1988),BUNSPEC); } 
BgL_auxz00_1981 = 
((BgL_bdlzd2structurezd2_bglt)BgL_new1145z00_1131); 
return 
((obj_t)BgL_auxz00_1981);} } 

}



/* &lambda2018 */
BgL_bdlzd2structurezd2_bglt BGl_z62lambda2018z62zz__bdl_typesz00(obj_t BgL_envz00_1132)
{
{ /* types.scm 110 */
{ /* types.scm 110 */
 BgL_bdlzd2structurezd2_bglt BgL_new1144z00_1472;
BgL_new1144z00_1472 = 
((BgL_bdlzd2structurezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2structurezd2_bgl) ))); 
{ /* types.scm 110 */
 long BgL_arg2019z00_1473;
BgL_arg2019z00_1473 = 
BGL_CLASS_NUM(BGl_bdlzd2structurezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_1472), BgL_arg2019z00_1473); } 
return BgL_new1144z00_1472;} } 

}



/* &lambda2016 */
BgL_bdlzd2structurezd2_bglt BGl_z62lambda2016z62zz__bdl_typesz00(obj_t BgL_envz00_1133, obj_t BgL_loc1141z00_1134, obj_t BgL_ident1142z00_1135, obj_t BgL_module1143z00_1136)
{
{ /* types.scm 110 */
{ /* types.scm 110 */
 BgL_bdlzd2structurezd2_bglt BgL_new1173z00_1476;
{ /* types.scm 110 */
 BgL_bdlzd2structurezd2_bglt BgL_new1172z00_1477;
BgL_new1172z00_1477 = 
((BgL_bdlzd2structurezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2structurezd2_bgl) ))); 
{ /* types.scm 110 */
 long BgL_arg2017z00_1478;
BgL_arg2017z00_1478 = 
BGL_CLASS_NUM(BGl_bdlzd2structurezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1172z00_1477), BgL_arg2017z00_1478); } 
BgL_new1173z00_1476 = BgL_new1172z00_1477; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1173z00_1476)))->BgL_locz00)=((obj_t)BgL_loc1141z00_1134),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1173z00_1476)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1142z00_1135)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1173z00_1476)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1143z00_1136)),BUNSPEC); 
return BgL_new1173z00_1476;} } 

}



/* &<@anonymous:1996> */
obj_t BGl_z62zc3z04anonymousza31996ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1137, obj_t BgL_new1139z00_1138)
{
{ /* types.scm 105 */
{ 
 BgL_bdlzd2classzd2_bglt BgL_auxz00_2016;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138))))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2023;
{ /* types.scm 105 */
 obj_t BgL_classz00_1480;
BgL_classz00_1480 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 105 */
 obj_t BgL__ortest_1113z00_1481;
BgL__ortest_1113z00_1481 = 
BGL_CLASS_NIL(BgL_classz00_1480); 
if(
CBOOL(BgL__ortest_1113z00_1481))
{ /* types.scm 105 */
BgL_auxz00_2023 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1113z00_1481)
; }  else 
{ /* types.scm 105 */
BgL_auxz00_2023 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1480))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2023),BUNSPEC); } 
((((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138)))->BgL_superz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138)))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)46))),BUNSPEC); 
BgL_auxz00_2016 = 
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138); 
return 
((obj_t)BgL_auxz00_2016);} } 

}



/* &lambda1994 */
BgL_bdlzd2classzd2_bglt BGl_z62lambda1994z62zz__bdl_typesz00(obj_t BgL_envz00_1139)
{
{ /* types.scm 105 */
{ /* types.scm 105 */
 BgL_bdlzd2classzd2_bglt BgL_new1138z00_1482;
BgL_new1138z00_1482 = 
((BgL_bdlzd2classzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2classzd2_bgl) ))); 
{ /* types.scm 105 */
 long BgL_arg1995z00_1483;
BgL_arg1995z00_1483 = 
BGL_CLASS_NUM(BGl_bdlzd2classzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1138z00_1482), BgL_arg1995z00_1483); } 
return BgL_new1138z00_1482;} } 

}



/* &lambda1992 */
BgL_bdlzd2classzd2_bglt BGl_z62lambda1992z62zz__bdl_typesz00(obj_t BgL_envz00_1140, obj_t BgL_loc1133z00_1141, obj_t BgL_ident1134z00_1142, obj_t BgL_module1135z00_1143, obj_t BgL_super1136z00_1144, obj_t BgL_kind1137z00_1145)
{
{ /* types.scm 105 */
{ /* types.scm 105 */
 BgL_bdlzd2classzd2_bglt BgL_new1171z00_1487;
{ /* types.scm 105 */
 BgL_bdlzd2classzd2_bglt BgL_new1170z00_1488;
BgL_new1170z00_1488 = 
((BgL_bdlzd2classzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2classzd2_bgl) ))); 
{ /* types.scm 105 */
 long BgL_arg1993z00_1489;
BgL_arg1993z00_1489 = 
BGL_CLASS_NUM(BGl_bdlzd2classzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1170z00_1488), BgL_arg1993z00_1489); } 
BgL_new1171z00_1487 = BgL_new1170z00_1488; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1171z00_1487)))->BgL_locz00)=((obj_t)BgL_loc1133z00_1141),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1171z00_1487)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1134z00_1142)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1171z00_1487)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1135z00_1143)),BUNSPEC); 
((((BgL_bdlzd2classzd2_bglt)COBJECT(BgL_new1171z00_1487))->BgL_superz00)=((obj_t)BgL_super1136z00_1144),BUNSPEC); 
((((BgL_bdlzd2classzd2_bglt)COBJECT(BgL_new1171z00_1487))->BgL_kindz00)=((obj_t)
((obj_t)BgL_kind1137z00_1145)),BUNSPEC); 
return BgL_new1171z00_1487;} } 

}



/* &<@anonymous:2010> */
obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1146)
{
{ /* types.scm 105 */
return 
CNST_TABLE_REF(((long)47));} 

}



/* &lambda2009 */
obj_t BGl_z62lambda2009z62zz__bdl_typesz00(obj_t BgL_envz00_1147, obj_t BgL_oz00_1148, obj_t BgL_vz00_1149)
{
{ /* types.scm 105 */
return 
((((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_oz00_1148)))->BgL_kindz00)=((obj_t)
((obj_t)BgL_vz00_1149)),BUNSPEC);} 

}



/* &lambda2008 */
obj_t BGl_z62lambda2008z62zz__bdl_typesz00(obj_t BgL_envz00_1150, obj_t BgL_oz00_1151)
{
{ /* types.scm 105 */
return 
(((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_oz00_1151)))->BgL_kindz00);} 

}



/* &<@anonymous:2003> */
obj_t BGl_z62zc3z04anonymousza32003ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1152)
{
{ /* types.scm 105 */
return BUNSPEC;} 

}



/* &lambda2002 */
obj_t BGl_z62lambda2002z62zz__bdl_typesz00(obj_t BgL_envz00_1153, obj_t BgL_oz00_1154, obj_t BgL_vz00_1155)
{
{ /* types.scm 105 */
return 
((((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_oz00_1154)))->BgL_superz00)=((obj_t)BgL_vz00_1155),BUNSPEC);} 

}



/* &lambda2001 */
obj_t BGl_z62lambda2001z62zz__bdl_typesz00(obj_t BgL_envz00_1156, obj_t BgL_oz00_1157)
{
{ /* types.scm 105 */
return 
(((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_oz00_1157)))->BgL_superz00);} 

}



/* &<@anonymous:1986> */
obj_t BGl_z62zc3z04anonymousza31986ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1158, obj_t BgL_new1131z00_1159)
{
{ /* types.scm 102 */
{ 
 BgL_bdlzd2typezd2_bglt BgL_auxz00_2069;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2typezd2_bglt)BgL_new1131z00_1159))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2typezd2_bglt)BgL_new1131z00_1159))))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2076;
{ /* types.scm 102 */
 obj_t BgL_classz00_1496;
BgL_classz00_1496 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 102 */
 obj_t BgL__ortest_1113z00_1497;
BgL__ortest_1113z00_1497 = 
BGL_CLASS_NIL(BgL_classz00_1496); 
if(
CBOOL(BgL__ortest_1113z00_1497))
{ /* types.scm 102 */
BgL_auxz00_2076 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1113z00_1497)
; }  else 
{ /* types.scm 102 */
BgL_auxz00_2076 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1496))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2typezd2_bglt)BgL_new1131z00_1159))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2076),BUNSPEC); } 
BgL_auxz00_2069 = 
((BgL_bdlzd2typezd2_bglt)BgL_new1131z00_1159); 
return 
((obj_t)BgL_auxz00_2069);} } 

}



/* &lambda1984 */
BgL_bdlzd2typezd2_bglt BGl_z62lambda1984z62zz__bdl_typesz00(obj_t BgL_envz00_1160)
{
{ /* types.scm 102 */
{ /* types.scm 102 */
 BgL_bdlzd2typezd2_bglt BgL_new1130z00_1498;
BgL_new1130z00_1498 = 
((BgL_bdlzd2typezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2typezd2_bgl) ))); 
{ /* types.scm 102 */
 long BgL_arg1985z00_1499;
BgL_arg1985z00_1499 = 
BGL_CLASS_NUM(BGl_bdlzd2typezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1130z00_1498), BgL_arg1985z00_1499); } 
return BgL_new1130z00_1498;} } 

}



/* &lambda1982 */
BgL_bdlzd2typezd2_bglt BGl_z62lambda1982z62zz__bdl_typesz00(obj_t BgL_envz00_1161, obj_t BgL_loc1127z00_1162, obj_t BgL_ident1128z00_1163, obj_t BgL_module1129z00_1164)
{
{ /* types.scm 102 */
{ /* types.scm 102 */
 BgL_bdlzd2typezd2_bglt BgL_new1169z00_1502;
{ /* types.scm 102 */
 BgL_bdlzd2typezd2_bglt BgL_new1168z00_1503;
BgL_new1168z00_1503 = 
((BgL_bdlzd2typezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2typezd2_bgl) ))); 
{ /* types.scm 102 */
 long BgL_arg1983z00_1504;
BgL_arg1983z00_1504 = 
BGL_CLASS_NUM(BGl_bdlzd2typezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_1503), BgL_arg1983z00_1504); } 
BgL_new1169z00_1502 = BgL_new1168z00_1503; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1169z00_1502)))->BgL_locz00)=((obj_t)BgL_loc1127z00_1162),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1169z00_1502)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1128z00_1163)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1169z00_1502)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1129z00_1164)),BUNSPEC); 
return BgL_new1169z00_1502;} } 

}



/* &<@anonymous:1969> */
obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1165, obj_t BgL_new1125z00_1166)
{
{ /* types.scm 98 */
{ 
 BgL_bdlzd2macrozd2_bglt BgL_auxz00_2104;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2macrozd2_bglt)BgL_new1125z00_1166))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2macrozd2_bglt)BgL_new1125z00_1166))))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2111;
{ /* types.scm 98 */
 obj_t BgL_classz00_1506;
BgL_classz00_1506 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 98 */
 obj_t BgL__ortest_1113z00_1507;
BgL__ortest_1113z00_1507 = 
BGL_CLASS_NIL(BgL_classz00_1506); 
if(
CBOOL(BgL__ortest_1113z00_1507))
{ /* types.scm 98 */
BgL_auxz00_2111 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1113z00_1507)
; }  else 
{ /* types.scm 98 */
BgL_auxz00_2111 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1506))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2macrozd2_bglt)BgL_new1125z00_1166))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2111),BUNSPEC); } 
((((BgL_bdlzd2macrozd2_bglt)COBJECT(
((BgL_bdlzd2macrozd2_bglt)BgL_new1125z00_1166)))->BgL_protoz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2104 = 
((BgL_bdlzd2macrozd2_bglt)BgL_new1125z00_1166); 
return 
((obj_t)BgL_auxz00_2104);} } 

}



/* &lambda1967 */
BgL_bdlzd2macrozd2_bglt BGl_z62lambda1967z62zz__bdl_typesz00(obj_t BgL_envz00_1167)
{
{ /* types.scm 98 */
{ /* types.scm 98 */
 BgL_bdlzd2macrozd2_bglt BgL_new1124z00_1508;
BgL_new1124z00_1508 = 
((BgL_bdlzd2macrozd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2macrozd2_bgl) ))); 
{ /* types.scm 98 */
 long BgL_arg1968z00_1509;
BgL_arg1968z00_1509 = 
BGL_CLASS_NUM(BGl_bdlzd2macrozd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_1508), BgL_arg1968z00_1509); } 
return BgL_new1124z00_1508;} } 

}



/* &lambda1965 */
BgL_bdlzd2macrozd2_bglt BGl_z62lambda1965z62zz__bdl_typesz00(obj_t BgL_envz00_1168, obj_t BgL_loc1120z00_1169, obj_t BgL_ident1121z00_1170, obj_t BgL_module1122z00_1171, obj_t BgL_proto1123z00_1172)
{
{ /* types.scm 98 */
{ /* types.scm 98 */
 BgL_bdlzd2macrozd2_bglt BgL_new1167z00_1512;
{ /* types.scm 98 */
 BgL_bdlzd2macrozd2_bglt BgL_new1166z00_1513;
BgL_new1166z00_1513 = 
((BgL_bdlzd2macrozd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2macrozd2_bgl) ))); 
{ /* types.scm 98 */
 long BgL_arg1966z00_1514;
BgL_arg1966z00_1514 = 
BGL_CLASS_NUM(BGl_bdlzd2macrozd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1166z00_1513), BgL_arg1966z00_1514); } 
BgL_new1167z00_1512 = BgL_new1166z00_1513; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1167z00_1512)))->BgL_locz00)=((obj_t)BgL_loc1120z00_1169),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1167z00_1512)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1121z00_1170)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1167z00_1512)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1122z00_1171)),BUNSPEC); 
((((BgL_bdlzd2macrozd2_bglt)COBJECT(BgL_new1167z00_1512))->BgL_protoz00)=((obj_t)BgL_proto1123z00_1172),BUNSPEC); 
return BgL_new1167z00_1512;} } 

}



/* &<@anonymous:1976> */
obj_t BGl_z62zc3z04anonymousza31976ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1173)
{
{ /* types.scm 98 */
return BUNSPEC;} 

}



/* &lambda1975 */
obj_t BGl_z62lambda1975z62zz__bdl_typesz00(obj_t BgL_envz00_1174, obj_t BgL_oz00_1175, obj_t BgL_vz00_1176)
{
{ /* types.scm 98 */
return 
((((BgL_bdlzd2macrozd2_bglt)COBJECT(
((BgL_bdlzd2macrozd2_bglt)BgL_oz00_1175)))->BgL_protoz00)=((obj_t)BgL_vz00_1176),BUNSPEC);} 

}



/* &lambda1974 */
obj_t BGl_z62lambda1974z62zz__bdl_typesz00(obj_t BgL_envz00_1177, obj_t BgL_oz00_1178)
{
{ /* types.scm 98 */
return 
(((BgL_bdlzd2macrozd2_bglt)COBJECT(
((BgL_bdlzd2macrozd2_bglt)BgL_oz00_1178)))->BgL_protoz00);} 

}



/* &<@anonymous:1952> */
obj_t BGl_z62zc3z04anonymousza31952ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1179, obj_t BgL_new1118z00_1180)
{
{ /* types.scm 94 */
{ 
 BgL_bdlzd2genericzd2_bglt BgL_auxz00_2146;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180))))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2153;
{ /* types.scm 94 */
 obj_t BgL_classz00_1518;
BgL_classz00_1518 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 94 */
 obj_t BgL__ortest_1113z00_1519;
BgL__ortest_1113z00_1519 = 
BGL_CLASS_NIL(BgL_classz00_1518); 
if(
CBOOL(BgL__ortest_1113z00_1519))
{ /* types.scm 94 */
BgL_auxz00_2153 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1113z00_1519)
; }  else 
{ /* types.scm 94 */
BgL_auxz00_2153 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1518))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2153),BUNSPEC); } 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180))))->BgL_protoz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2genericzd2_bglt)COBJECT(
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180)))->BgL_methodsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_2146 = 
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180); 
return 
((obj_t)BgL_auxz00_2146);} } 

}



/* &lambda1950 */
BgL_bdlzd2genericzd2_bglt BGl_z62lambda1950z62zz__bdl_typesz00(obj_t BgL_envz00_1181)
{
{ /* types.scm 94 */
{ /* types.scm 94 */
 BgL_bdlzd2genericzd2_bglt BgL_new1117z00_1520;
BgL_new1117z00_1520 = 
((BgL_bdlzd2genericzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2genericzd2_bgl) ))); 
{ /* types.scm 94 */
 long BgL_arg1951z00_1521;
BgL_arg1951z00_1521 = 
BGL_CLASS_NUM(BGl_bdlzd2genericzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_1520), BgL_arg1951z00_1521); } 
return BgL_new1117z00_1520;} } 

}



/* &lambda1948 */
BgL_bdlzd2genericzd2_bglt BGl_z62lambda1948z62zz__bdl_typesz00(obj_t BgL_envz00_1182, obj_t BgL_loc1112z00_1183, obj_t BgL_ident1113z00_1184, obj_t BgL_module1114z00_1185, obj_t BgL_proto1115z00_1186, obj_t BgL_methods1116z00_1187)
{
{ /* types.scm 94 */
{ /* types.scm 94 */
 BgL_bdlzd2genericzd2_bglt BgL_new1165z00_1525;
{ /* types.scm 94 */
 BgL_bdlzd2genericzd2_bglt BgL_new1164z00_1526;
BgL_new1164z00_1526 = 
((BgL_bdlzd2genericzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2genericzd2_bgl) ))); 
{ /* types.scm 94 */
 long BgL_arg1949z00_1527;
BgL_arg1949z00_1527 = 
BGL_CLASS_NUM(BGl_bdlzd2genericzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1164z00_1526), BgL_arg1949z00_1527); } 
BgL_new1165z00_1525 = BgL_new1164z00_1526; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1165z00_1525)))->BgL_locz00)=((obj_t)BgL_loc1112z00_1183),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1165z00_1525)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1113z00_1184)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1165z00_1525)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1114z00_1185)),BUNSPEC); 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)BgL_new1165z00_1525)))->BgL_protoz00)=((obj_t)BgL_proto1115z00_1186),BUNSPEC); 
((((BgL_bdlzd2genericzd2_bglt)COBJECT(BgL_new1165z00_1525))->BgL_methodsz00)=((obj_t)
((obj_t)BgL_methods1116z00_1187)),BUNSPEC); 
return BgL_new1165z00_1525;} } 

}



/* &<@anonymous:1959> */
obj_t BGl_z62zc3z04anonymousza31959ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1188)
{
{ /* types.scm 94 */
return BNIL;} 

}



/* &lambda1958 */
obj_t BGl_z62lambda1958z62zz__bdl_typesz00(obj_t BgL_envz00_1189, obj_t BgL_oz00_1190, obj_t BgL_vz00_1191)
{
{ /* types.scm 94 */
return 
((((BgL_bdlzd2genericzd2_bglt)COBJECT(
((BgL_bdlzd2genericzd2_bglt)BgL_oz00_1190)))->BgL_methodsz00)=((obj_t)
((obj_t)BgL_vz00_1191)),BUNSPEC);} 

}



/* &lambda1957 */
obj_t BGl_z62lambda1957z62zz__bdl_typesz00(obj_t BgL_envz00_1192, obj_t BgL_oz00_1193)
{
{ /* types.scm 94 */
return 
(((BgL_bdlzd2genericzd2_bglt)COBJECT(
((BgL_bdlzd2genericzd2_bglt)BgL_oz00_1193)))->BgL_methodsz00);} 

}



/* &<@anonymous:1925> */
obj_t BGl_z62zc3z04anonymousza31925ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1194, obj_t BgL_new1110z00_1195)
{
{ /* types.scm 88 */
{ 
 BgL_bdlzd2methodzd2_bglt BgL_auxz00_2195;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2methodzd2_bglt)BgL_new1110z00_1195))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2methodzd2_bglt)BgL_new1110z00_1195))))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2202;
{ /* types.scm 88 */
 obj_t BgL_classz00_1532;
BgL_classz00_1532 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 88 */
 obj_t BgL__ortest_1113z00_1533;
BgL__ortest_1113z00_1533 = 
BGL_CLASS_NIL(BgL_classz00_1532); 
if(
CBOOL(BgL__ortest_1113z00_1533))
{ /* types.scm 88 */
BgL_auxz00_2202 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1113z00_1533)
; }  else 
{ /* types.scm 88 */
BgL_auxz00_2202 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1532))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2methodzd2_bglt)BgL_new1110z00_1195))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2202),BUNSPEC); } 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)
((BgL_bdlzd2methodzd2_bglt)BgL_new1110z00_1195))))->BgL_protoz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_new1110z00_1195)))->BgL_genericz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_new1110z00_1195)))->BgL_selectzd2typezd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_new1110z00_1195)))->BgL_returnzd2typezd2)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2195 = 
((BgL_bdlzd2methodzd2_bglt)BgL_new1110z00_1195); 
return 
((obj_t)BgL_auxz00_2195);} } 

}



/* &lambda1923 */
BgL_bdlzd2methodzd2_bglt BGl_z62lambda1923z62zz__bdl_typesz00(obj_t BgL_envz00_1196)
{
{ /* types.scm 88 */
{ /* types.scm 88 */
 BgL_bdlzd2methodzd2_bglt BgL_new1109z00_1534;
BgL_new1109z00_1534 = 
((BgL_bdlzd2methodzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2methodzd2_bgl) ))); 
{ /* types.scm 88 */
 long BgL_arg1924z00_1535;
BgL_arg1924z00_1535 = 
BGL_CLASS_NUM(BGl_bdlzd2methodzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_1534), BgL_arg1924z00_1535); } 
return BgL_new1109z00_1534;} } 

}



/* &lambda1921 */
BgL_bdlzd2methodzd2_bglt BGl_z62lambda1921z62zz__bdl_typesz00(obj_t BgL_envz00_1197, obj_t BgL_loc1102z00_1198, obj_t BgL_ident1103z00_1199, obj_t BgL_module1104z00_1200, obj_t BgL_proto1105z00_1201, obj_t BgL_generic1106z00_1202, obj_t BgL_selectzd2type1107zd2_1203, obj_t BgL_returnzd2type1108zd2_1204)
{
{ /* types.scm 88 */
{ /* types.scm 88 */
 BgL_bdlzd2methodzd2_bglt BgL_new1163z00_1538;
{ /* types.scm 88 */
 BgL_bdlzd2methodzd2_bglt BgL_new1162z00_1539;
BgL_new1162z00_1539 = 
((BgL_bdlzd2methodzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2methodzd2_bgl) ))); 
{ /* types.scm 88 */
 long BgL_arg1922z00_1540;
BgL_arg1922z00_1540 = 
BGL_CLASS_NUM(BGl_bdlzd2methodzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1162z00_1539), BgL_arg1922z00_1540); } 
BgL_new1163z00_1538 = BgL_new1162z00_1539; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1163z00_1538)))->BgL_locz00)=((obj_t)BgL_loc1102z00_1198),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1163z00_1538)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1103z00_1199)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1163z00_1538)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1104z00_1200)),BUNSPEC); 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)BgL_new1163z00_1538)))->BgL_protoz00)=((obj_t)BgL_proto1105z00_1201),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(BgL_new1163z00_1538))->BgL_genericz00)=((obj_t)BgL_generic1106z00_1202),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(BgL_new1163z00_1538))->BgL_selectzd2typezd2)=((obj_t)BgL_selectzd2type1107zd2_1203),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(BgL_new1163z00_1538))->BgL_returnzd2typezd2)=((obj_t)BgL_returnzd2type1108zd2_1204),BUNSPEC); 
return BgL_new1163z00_1538;} } 

}



/* &lambda1942 */
obj_t BGl_z62lambda1942z62zz__bdl_typesz00(obj_t BgL_envz00_1205, obj_t BgL_oz00_1206, obj_t BgL_vz00_1207)
{
{ /* types.scm 88 */
return 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1206)))->BgL_returnzd2typezd2)=((obj_t)BgL_vz00_1207),BUNSPEC);} 

}



/* &lambda1941 */
obj_t BGl_z62lambda1941z62zz__bdl_typesz00(obj_t BgL_envz00_1208, obj_t BgL_oz00_1209)
{
{ /* types.scm 88 */
return 
(((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1209)))->BgL_returnzd2typezd2);} 

}



/* &lambda1937 */
obj_t BGl_z62lambda1937z62zz__bdl_typesz00(obj_t BgL_envz00_1210, obj_t BgL_oz00_1211, obj_t BgL_vz00_1212)
{
{ /* types.scm 88 */
return 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1211)))->BgL_selectzd2typezd2)=((obj_t)BgL_vz00_1212),BUNSPEC);} 

}



/* &lambda1936 */
obj_t BGl_z62lambda1936z62zz__bdl_typesz00(obj_t BgL_envz00_1213, obj_t BgL_oz00_1214)
{
{ /* types.scm 88 */
return 
(((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1214)))->BgL_selectzd2typezd2);} 

}



/* &<@anonymous:1932> */
obj_t BGl_z62zc3z04anonymousza31932ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1215)
{
{ /* types.scm 88 */
return BUNSPEC;} 

}



/* &lambda1931 */
obj_t BGl_z62lambda1931z62zz__bdl_typesz00(obj_t BgL_envz00_1216, obj_t BgL_oz00_1217, obj_t BgL_vz00_1218)
{
{ /* types.scm 88 */
return 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1217)))->BgL_genericz00)=((obj_t)BgL_vz00_1218),BUNSPEC);} 

}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__bdl_typesz00(obj_t BgL_envz00_1219, obj_t BgL_oz00_1220)
{
{ /* types.scm 88 */
return 
(((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1220)))->BgL_genericz00);} 

}



/* &<@anonymous:1908> */
obj_t BGl_z62zc3z04anonymousza31908ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1221, obj_t BgL_new1100z00_1222)
{
{ /* types.scm 84 */
{ 
 BgL_bdlzd2functionzd2_bglt BgL_auxz00_2256;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2functionzd2_bglt)BgL_new1100z00_1222))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2functionzd2_bglt)BgL_new1100z00_1222))))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2263;
{ /* types.scm 84 */
 obj_t BgL_classz00_1548;
BgL_classz00_1548 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 84 */
 obj_t BgL__ortest_1113z00_1549;
BgL__ortest_1113z00_1549 = 
BGL_CLASS_NIL(BgL_classz00_1548); 
if(
CBOOL(BgL__ortest_1113z00_1549))
{ /* types.scm 84 */
BgL_auxz00_2263 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1113z00_1549)
; }  else 
{ /* types.scm 84 */
BgL_auxz00_2263 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1548))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2functionzd2_bglt)BgL_new1100z00_1222))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2263),BUNSPEC); } 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)BgL_new1100z00_1222)))->BgL_protoz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2256 = 
((BgL_bdlzd2functionzd2_bglt)BgL_new1100z00_1222); 
return 
((obj_t)BgL_auxz00_2256);} } 

}



/* &lambda1904 */
BgL_bdlzd2functionzd2_bglt BGl_z62lambda1904z62zz__bdl_typesz00(obj_t BgL_envz00_1223)
{
{ /* types.scm 84 */
{ /* types.scm 84 */
 BgL_bdlzd2functionzd2_bglt BgL_new1099z00_1550;
BgL_new1099z00_1550 = 
((BgL_bdlzd2functionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2functionzd2_bgl) ))); 
{ /* types.scm 84 */
 long BgL_arg1907z00_1551;
BgL_arg1907z00_1551 = 
BGL_CLASS_NUM(BGl_bdlzd2functionzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_1550), BgL_arg1907z00_1551); } 
return BgL_new1099z00_1550;} } 

}



/* &lambda1902 */
BgL_bdlzd2functionzd2_bglt BGl_z62lambda1902z62zz__bdl_typesz00(obj_t BgL_envz00_1224, obj_t BgL_loc1095z00_1225, obj_t BgL_ident1096z00_1226, obj_t BgL_module1097z00_1227, obj_t BgL_proto1098z00_1228)
{
{ /* types.scm 84 */
{ /* types.scm 84 */
 BgL_bdlzd2functionzd2_bglt BgL_new1161z00_1554;
{ /* types.scm 84 */
 BgL_bdlzd2functionzd2_bglt BgL_new1160z00_1555;
BgL_new1160z00_1555 = 
((BgL_bdlzd2functionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2functionzd2_bgl) ))); 
{ /* types.scm 84 */
 long BgL_arg1903z00_1556;
BgL_arg1903z00_1556 = 
BGL_CLASS_NUM(BGl_bdlzd2functionzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1160z00_1555), BgL_arg1903z00_1556); } 
BgL_new1161z00_1554 = BgL_new1160z00_1555; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1161z00_1554)))->BgL_locz00)=((obj_t)BgL_loc1095z00_1225),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1161z00_1554)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1096z00_1226)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1161z00_1554)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1097z00_1227)),BUNSPEC); 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(BgL_new1161z00_1554))->BgL_protoz00)=((obj_t)BgL_proto1098z00_1228),BUNSPEC); 
return BgL_new1161z00_1554;} } 

}



/* &<@anonymous:1915> */
obj_t BGl_z62zc3z04anonymousza31915ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1229)
{
{ /* types.scm 84 */
return BUNSPEC;} 

}



/* &lambda1914 */
obj_t BGl_z62lambda1914z62zz__bdl_typesz00(obj_t BgL_envz00_1230, obj_t BgL_oz00_1231, obj_t BgL_vz00_1232)
{
{ /* types.scm 84 */
return 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)BgL_oz00_1231)))->BgL_protoz00)=((obj_t)BgL_vz00_1232),BUNSPEC);} 

}



/* &lambda1913 */
obj_t BGl_z62lambda1913z62zz__bdl_typesz00(obj_t BgL_envz00_1233, obj_t BgL_oz00_1234)
{
{ /* types.scm 84 */
return 
(((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)BgL_oz00_1234)))->BgL_protoz00);} 

}



/* &<@anonymous:1889> */
obj_t BGl_z62zc3z04anonymousza31889ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1235, obj_t BgL_new1093z00_1236)
{
{ /* types.scm 80 */
{ 
 BgL_bdlzd2variablezd2_bglt BgL_auxz00_2298;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2variablezd2_bglt)BgL_new1093z00_1236))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2variablezd2_bglt)BgL_new1093z00_1236))))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2305;
{ /* types.scm 80 */
 obj_t BgL_classz00_1560;
BgL_classz00_1560 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 80 */
 obj_t BgL__ortest_1113z00_1561;
BgL__ortest_1113z00_1561 = 
BGL_CLASS_NIL(BgL_classz00_1560); 
if(
CBOOL(BgL__ortest_1113z00_1561))
{ /* types.scm 80 */
BgL_auxz00_2305 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1113z00_1561)
; }  else 
{ /* types.scm 80 */
BgL_auxz00_2305 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1560))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2variablezd2_bglt)BgL_new1093z00_1236))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2305),BUNSPEC); } 
((((BgL_bdlzd2variablezd2_bglt)COBJECT(
((BgL_bdlzd2variablezd2_bglt)BgL_new1093z00_1236)))->BgL_protoz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2298 = 
((BgL_bdlzd2variablezd2_bglt)BgL_new1093z00_1236); 
return 
((obj_t)BgL_auxz00_2298);} } 

}



/* &lambda1887 */
BgL_bdlzd2variablezd2_bglt BGl_z62lambda1887z62zz__bdl_typesz00(obj_t BgL_envz00_1237)
{
{ /* types.scm 80 */
{ /* types.scm 80 */
 BgL_bdlzd2variablezd2_bglt BgL_new1092z00_1562;
BgL_new1092z00_1562 = 
((BgL_bdlzd2variablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2variablezd2_bgl) ))); 
{ /* types.scm 80 */
 long BgL_arg1888z00_1563;
BgL_arg1888z00_1563 = 
BGL_CLASS_NUM(BGl_bdlzd2variablezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1092z00_1562), BgL_arg1888z00_1563); } 
return BgL_new1092z00_1562;} } 

}



/* &lambda1885 */
BgL_bdlzd2variablezd2_bglt BGl_z62lambda1885z62zz__bdl_typesz00(obj_t BgL_envz00_1238, obj_t BgL_loc1088z00_1239, obj_t BgL_ident1089z00_1240, obj_t BgL_module1090z00_1241, obj_t BgL_proto1091z00_1242)
{
{ /* types.scm 80 */
{ /* types.scm 80 */
 BgL_bdlzd2variablezd2_bglt BgL_new1159z00_1566;
{ /* types.scm 80 */
 BgL_bdlzd2variablezd2_bglt BgL_new1158z00_1567;
BgL_new1158z00_1567 = 
((BgL_bdlzd2variablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2variablezd2_bgl) ))); 
{ /* types.scm 80 */
 long BgL_arg1886z00_1568;
BgL_arg1886z00_1568 = 
BGL_CLASS_NUM(BGl_bdlzd2variablezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1158z00_1567), BgL_arg1886z00_1568); } 
BgL_new1159z00_1566 = BgL_new1158z00_1567; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1159z00_1566)))->BgL_locz00)=((obj_t)BgL_loc1088z00_1239),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1159z00_1566)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1089z00_1240)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1159z00_1566)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1090z00_1241)),BUNSPEC); 
((((BgL_bdlzd2variablezd2_bglt)COBJECT(BgL_new1159z00_1566))->BgL_protoz00)=((obj_t)BgL_proto1091z00_1242),BUNSPEC); 
return BgL_new1159z00_1566;} } 

}



/* &<@anonymous:1896> */
obj_t BGl_z62zc3z04anonymousza31896ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1243)
{
{ /* types.scm 80 */
return BUNSPEC;} 

}



/* &lambda1895 */
obj_t BGl_z62lambda1895z62zz__bdl_typesz00(obj_t BgL_envz00_1244, obj_t BgL_oz00_1245, obj_t BgL_vz00_1246)
{
{ /* types.scm 80 */
return 
((((BgL_bdlzd2variablezd2_bglt)COBJECT(
((BgL_bdlzd2variablezd2_bglt)BgL_oz00_1245)))->BgL_protoz00)=((obj_t)BgL_vz00_1246),BUNSPEC);} 

}



/* &lambda1894 */
obj_t BGl_z62lambda1894z62zz__bdl_typesz00(obj_t BgL_envz00_1247, obj_t BgL_oz00_1248)
{
{ /* types.scm 80 */
return 
(((BgL_bdlzd2variablezd2_bglt)COBJECT(
((BgL_bdlzd2variablezd2_bglt)BgL_oz00_1248)))->BgL_protoz00);} 

}



/* &<@anonymous:1874> */
obj_t BGl_z62zc3z04anonymousza31874ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1249, obj_t BgL_new1086z00_1250)
{
{ /* types.scm 76 */
{ 
 BgL_bdlzd2bindingzd2_bglt BgL_auxz00_2340;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2bindingzd2_bglt)BgL_new1086z00_1250))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2bindingzd2_bglt)BgL_new1086z00_1250))))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2347;
{ /* types.scm 76 */
 obj_t BgL_classz00_1572;
BgL_classz00_1572 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 76 */
 obj_t BgL__ortest_1113z00_1573;
BgL__ortest_1113z00_1573 = 
BGL_CLASS_NIL(BgL_classz00_1572); 
if(
CBOOL(BgL__ortest_1113z00_1573))
{ /* types.scm 76 */
BgL_auxz00_2347 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1113z00_1573)
; }  else 
{ /* types.scm 76 */
BgL_auxz00_2347 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1572))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1086z00_1250)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2347),BUNSPEC); } 
BgL_auxz00_2340 = 
((BgL_bdlzd2bindingzd2_bglt)BgL_new1086z00_1250); 
return 
((obj_t)BgL_auxz00_2340);} } 

}



/* &lambda1872 */
BgL_bdlzd2bindingzd2_bglt BGl_z62lambda1872z62zz__bdl_typesz00(obj_t BgL_envz00_1251)
{
{ /* types.scm 76 */
{ /* types.scm 76 */
 BgL_bdlzd2bindingzd2_bglt BgL_new1085z00_1574;
BgL_new1085z00_1574 = 
((BgL_bdlzd2bindingzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2bindingzd2_bgl) ))); 
{ /* types.scm 76 */
 long BgL_arg1873z00_1575;
BgL_arg1873z00_1575 = 
BGL_CLASS_NUM(BGl_bdlzd2bindingzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_1574), BgL_arg1873z00_1575); } 
return BgL_new1085z00_1574;} } 

}



/* &lambda1879 */
obj_t BGl_z62lambda1879z62zz__bdl_typesz00(obj_t BgL_envz00_1252, obj_t BgL_oz00_1253, obj_t BgL_vz00_1254)
{
{ /* types.scm 76 */
return 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_oz00_1253)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_vz00_1254)),BUNSPEC);} 

}



/* &lambda1878 */
BgL_bdlzd2modulezd2_bglt BGl_z62lambda1878z62zz__bdl_typesz00(obj_t BgL_envz00_1255, obj_t BgL_oz00_1256)
{
{ /* types.scm 76 */
return 
(((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_oz00_1256)))->BgL_modulez00);} 

}



/* &<@anonymous:1797> */
obj_t BGl_z62zc3z04anonymousza31797ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1257, obj_t BgL_new1083z00_1258)
{
{ /* types.scm 57 */
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2367;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_new1083z00_1258))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_new1083z00_1258))))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1083z00_1258)))->BgL_filesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1083z00_1258)))->BgL_functionsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1083z00_1258)))->BgL_variablesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1083z00_1258)))->BgL_classesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1083z00_1258)))->BgL_methodsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1083z00_1258)))->BgL_structuresz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1083z00_1258)))->BgL_externsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1083z00_1258)))->BgL_macrosz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_2367 = 
((BgL_bdlzd2modulezd2_bglt)BgL_new1083z00_1258); 
return 
((obj_t)BgL_auxz00_2367);} } 

}



/* &lambda1790 */
BgL_bdlzd2modulezd2_bglt BGl_z62lambda1790z62zz__bdl_typesz00(obj_t BgL_envz00_1259)
{
{ /* types.scm 57 */
{ /* types.scm 57 */
 BgL_bdlzd2modulezd2_bglt BgL_new1082z00_1580;
BgL_new1082z00_1580 = 
((BgL_bdlzd2modulezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2modulezd2_bgl) ))); 
{ /* types.scm 57 */
 long BgL_arg1796z00_1581;
BgL_arg1796z00_1581 = 
BGL_CLASS_NUM(BGl_bdlzd2modulezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_1580), BgL_arg1796z00_1581); } 
return BgL_new1082z00_1580;} } 

}



/* &lambda1778 */
BgL_bdlzd2modulezd2_bglt BGl_z62lambda1778z62zz__bdl_typesz00(obj_t BgL_envz00_1260, obj_t BgL_loc1072z00_1261, obj_t BgL_ident1073z00_1262, obj_t BgL_files1074z00_1263, obj_t BgL_functions1075z00_1264, obj_t BgL_variables1076z00_1265, obj_t BgL_classes1077z00_1266, obj_t BgL_methods1078z00_1267, obj_t BgL_structures1079z00_1268, obj_t BgL_externs1080z00_1269, obj_t BgL_macros1081z00_1270)
{
{ /* types.scm 57 */
{ /* types.scm 57 */
 BgL_bdlzd2modulezd2_bglt BgL_new1157z00_1591;
{ /* types.scm 57 */
 BgL_bdlzd2modulezd2_bglt BgL_new1156z00_1592;
BgL_new1156z00_1592 = 
((BgL_bdlzd2modulezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2modulezd2_bgl) ))); 
{ /* types.scm 57 */
 long BgL_arg1789z00_1593;
BgL_arg1789z00_1593 = 
BGL_CLASS_NUM(BGl_bdlzd2modulezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_1592), BgL_arg1789z00_1593); } 
BgL_new1157z00_1591 = BgL_new1156z00_1592; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1157z00_1591)))->BgL_locz00)=((obj_t)BgL_loc1072z00_1261),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1157z00_1591)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1073z00_1262)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1591))->BgL_filesz00)=((obj_t)
((obj_t)BgL_files1074z00_1263)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1591))->BgL_functionsz00)=((obj_t)
((obj_t)BgL_functions1075z00_1264)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1591))->BgL_variablesz00)=((obj_t)
((obj_t)BgL_variables1076z00_1265)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1591))->BgL_classesz00)=((obj_t)
((obj_t)BgL_classes1077z00_1266)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1591))->BgL_methodsz00)=((obj_t)
((obj_t)BgL_methods1078z00_1267)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1591))->BgL_structuresz00)=((obj_t)
((obj_t)BgL_structures1079z00_1268)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1591))->BgL_externsz00)=((obj_t)
((obj_t)BgL_externs1080z00_1269)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1591))->BgL_macrosz00)=((obj_t)
((obj_t)BgL_macros1081z00_1270)),BUNSPEC); 
return BgL_new1157z00_1591;} } 

}



/* &<@anonymous:1867> */
obj_t BGl_z62zc3z04anonymousza31867ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1271)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1866 */
obj_t BGl_z62lambda1866z62zz__bdl_typesz00(obj_t BgL_envz00_1272, obj_t BgL_oz00_1273, obj_t BgL_vz00_1274)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1273)))->BgL_macrosz00)=((obj_t)
((obj_t)BgL_vz00_1274)),BUNSPEC);} 

}



/* &lambda1865 */
obj_t BGl_z62lambda1865z62zz__bdl_typesz00(obj_t BgL_envz00_1275, obj_t BgL_oz00_1276)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1276)))->BgL_macrosz00);} 

}



/* &<@anonymous:1859> */
obj_t BGl_z62zc3z04anonymousza31859ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1277)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1858 */
obj_t BGl_z62lambda1858z62zz__bdl_typesz00(obj_t BgL_envz00_1278, obj_t BgL_oz00_1279, obj_t BgL_vz00_1280)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1279)))->BgL_externsz00)=((obj_t)
((obj_t)BgL_vz00_1280)),BUNSPEC);} 

}



/* &lambda1857 */
obj_t BGl_z62lambda1857z62zz__bdl_typesz00(obj_t BgL_envz00_1281, obj_t BgL_oz00_1282)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1282)))->BgL_externsz00);} 

}



/* &<@anonymous:1852> */
obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1283)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1851 */
obj_t BGl_z62lambda1851z62zz__bdl_typesz00(obj_t BgL_envz00_1284, obj_t BgL_oz00_1285, obj_t BgL_vz00_1286)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1285)))->BgL_structuresz00)=((obj_t)
((obj_t)BgL_vz00_1286)),BUNSPEC);} 

}



/* &lambda1850 */
obj_t BGl_z62lambda1850z62zz__bdl_typesz00(obj_t BgL_envz00_1287, obj_t BgL_oz00_1288)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1288)))->BgL_structuresz00);} 

}



/* &<@anonymous:1845> */
obj_t BGl_z62zc3z04anonymousza31845ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1289)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1844 */
obj_t BGl_z62lambda1844z62zz__bdl_typesz00(obj_t BgL_envz00_1290, obj_t BgL_oz00_1291, obj_t BgL_vz00_1292)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1291)))->BgL_methodsz00)=((obj_t)
((obj_t)BgL_vz00_1292)),BUNSPEC);} 

}



/* &lambda1843 */
obj_t BGl_z62lambda1843z62zz__bdl_typesz00(obj_t BgL_envz00_1293, obj_t BgL_oz00_1294)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1294)))->BgL_methodsz00);} 

}



/* &<@anonymous:1838> */
obj_t BGl_z62zc3z04anonymousza31838ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1295)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1837 */
obj_t BGl_z62lambda1837z62zz__bdl_typesz00(obj_t BgL_envz00_1296, obj_t BgL_oz00_1297, obj_t BgL_vz00_1298)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1297)))->BgL_classesz00)=((obj_t)
((obj_t)BgL_vz00_1298)),BUNSPEC);} 

}



/* &lambda1836 */
obj_t BGl_z62lambda1836z62zz__bdl_typesz00(obj_t BgL_envz00_1299, obj_t BgL_oz00_1300)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1300)))->BgL_classesz00);} 

}



/* &<@anonymous:1831> */
obj_t BGl_z62zc3z04anonymousza31831ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1301)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1830 */
obj_t BGl_z62lambda1830z62zz__bdl_typesz00(obj_t BgL_envz00_1302, obj_t BgL_oz00_1303, obj_t BgL_vz00_1304)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1303)))->BgL_variablesz00)=((obj_t)
((obj_t)BgL_vz00_1304)),BUNSPEC);} 

}



/* &lambda1829 */
obj_t BGl_z62lambda1829z62zz__bdl_typesz00(obj_t BgL_envz00_1305, obj_t BgL_oz00_1306)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1306)))->BgL_variablesz00);} 

}



/* &<@anonymous:1824> */
obj_t BGl_z62zc3z04anonymousza31824ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1307)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1823 */
obj_t BGl_z62lambda1823z62zz__bdl_typesz00(obj_t BgL_envz00_1308, obj_t BgL_oz00_1309, obj_t BgL_vz00_1310)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1309)))->BgL_functionsz00)=((obj_t)
((obj_t)BgL_vz00_1310)),BUNSPEC);} 

}



/* &lambda1822 */
obj_t BGl_z62lambda1822z62zz__bdl_typesz00(obj_t BgL_envz00_1311, obj_t BgL_oz00_1312)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1312)))->BgL_functionsz00);} 

}



/* &lambda1811 */
obj_t BGl_z62lambda1811z62zz__bdl_typesz00(obj_t BgL_envz00_1313, obj_t BgL_oz00_1314, obj_t BgL_vz00_1315)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1314)))->BgL_filesz00)=((obj_t)
((obj_t)BgL_vz00_1315)),BUNSPEC);} 

}



/* &lambda1810 */
obj_t BGl_z62lambda1810z62zz__bdl_typesz00(obj_t BgL_envz00_1316, obj_t BgL_oz00_1317)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1317)))->BgL_filesz00);} 

}



/* &<@anonymous:1740> */
obj_t BGl_z62zc3z04anonymousza31740ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1318, obj_t BgL_new1070z00_1319)
{
{ /* types.scm 52 */
{ 
 BgL_bdlzd2entityzd2_bglt BgL_auxz00_2461;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1070z00_1319)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1070z00_1319)))->BgL_identz00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
BgL_auxz00_2461 = 
((BgL_bdlzd2entityzd2_bglt)BgL_new1070z00_1319); 
return 
((obj_t)BgL_auxz00_2461);} } 

}



/* &lambda1733 */
BgL_bdlzd2entityzd2_bglt BGl_z62lambda1733z62zz__bdl_typesz00(obj_t BgL_envz00_1320)
{
{ /* types.scm 52 */
{ /* types.scm 52 */
 BgL_bdlzd2entityzd2_bglt BgL_new1069z00_1619;
BgL_new1069z00_1619 = 
((BgL_bdlzd2entityzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2entityzd2_bgl) ))); 
{ /* types.scm 52 */
 long BgL_arg1739z00_1620;
BgL_arg1739z00_1620 = 
BGL_CLASS_NUM(BGl_bdlzd2entityzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_1619), BgL_arg1739z00_1620); } 
return BgL_new1069z00_1619;} } 

}



/* &lambda1758 */
obj_t BGl_z62lambda1758z62zz__bdl_typesz00(obj_t BgL_envz00_1321, obj_t BgL_oz00_1322, obj_t BgL_vz00_1323)
{
{ /* types.scm 52 */
return 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_oz00_1322)))->BgL_identz00)=((obj_t)
((obj_t)BgL_vz00_1323)),BUNSPEC);} 

}



/* &lambda1757 */
obj_t BGl_z62lambda1757z62zz__bdl_typesz00(obj_t BgL_envz00_1324, obj_t BgL_oz00_1325)
{
{ /* types.scm 52 */
return 
(((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_oz00_1325)))->BgL_identz00);} 

}



/* &<@anonymous:1748> */
obj_t BGl_z62zc3z04anonymousza31748ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1326)
{
{ /* types.scm 52 */
return BUNSPEC;} 

}



/* &lambda1747 */
obj_t BGl_z62lambda1747z62zz__bdl_typesz00(obj_t BgL_envz00_1327, obj_t BgL_oz00_1328, obj_t BgL_vz00_1329)
{
{ /* types.scm 52 */
return 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_oz00_1328)))->BgL_locz00)=((obj_t)BgL_vz00_1329),BUNSPEC);} 

}



/* &lambda1746 */
obj_t BGl_z62lambda1746z62zz__bdl_typesz00(obj_t BgL_envz00_1330, obj_t BgL_oz00_1331)
{
{ /* types.scm 52 */
return 
(((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_oz00_1331)))->BgL_locz00);} 

}



/* &<@anonymous:1253> */
obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1332, obj_t BgL_new1067z00_1333)
{
{ /* types.scm 22 */
{ 
 BgL_bdlzd2programzd2_bglt BgL_auxz00_2481;
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_afilez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_etagsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_filesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_modulesz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_functionsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_genericsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_methodsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_macrosz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_variablesz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_typesz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_classsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_structuresz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333)))->BgL_externsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2481 = 
((BgL_bdlzd2programzd2_bglt)BgL_new1067z00_1333); 
return 
((obj_t)BgL_auxz00_2481);} } 

}



/* &lambda1251 */
BgL_bdlzd2programzd2_bglt BGl_z62lambda1251z62zz__bdl_typesz00(obj_t BgL_envz00_1334)
{
{ /* types.scm 22 */
{ /* types.scm 22 */
 BgL_bdlzd2programzd2_bglt BgL_new1066z00_1627;
BgL_new1066z00_1627 = 
((BgL_bdlzd2programzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2programzd2_bgl) ))); 
{ /* types.scm 22 */
 long BgL_arg1252z00_1628;
BgL_arg1252z00_1628 = 
BGL_CLASS_NUM(BGl_bdlzd2programzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1066z00_1627), BgL_arg1252z00_1628); } 
return BgL_new1066z00_1627;} } 

}



/* &lambda1243 */
BgL_bdlzd2programzd2_bglt BGl_z62lambda1243z62zz__bdl_typesz00(obj_t BgL_envz00_1335, obj_t BgL_afile1053z00_1336, obj_t BgL_etags1054z00_1337, obj_t BgL_files1055z00_1338, obj_t BgL_modules1056z00_1339, obj_t BgL_functions1057z00_1340, obj_t BgL_generics1058z00_1341, obj_t BgL_methods1059z00_1342, obj_t BgL_macros1060z00_1343, obj_t BgL_variables1061z00_1344, obj_t BgL_types1062z00_1345, obj_t BgL_classs1063z00_1346, obj_t BgL_structures1064z00_1347, obj_t BgL_externs1065z00_1348)
{
{ /* types.scm 22 */
{ /* types.scm 22 */
 BgL_bdlzd2programzd2_bglt BgL_new1155z00_1630;
{ /* types.scm 22 */
 BgL_bdlzd2programzd2_bglt BgL_new1154z00_1631;
BgL_new1154z00_1631 = 
((BgL_bdlzd2programzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2programzd2_bgl) ))); 
{ /* types.scm 22 */
 long BgL_arg1250z00_1632;
BgL_arg1250z00_1632 = 
BGL_CLASS_NUM(BGl_bdlzd2programzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_1631), BgL_arg1250z00_1632); } 
BgL_new1155z00_1630 = BgL_new1154z00_1631; } 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_afilez00)=((obj_t)BgL_afile1053z00_1336),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_etagsz00)=((obj_t)BgL_etags1054z00_1337),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_filesz00)=((obj_t)
((obj_t)BgL_files1055z00_1338)),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_modulesz00)=((obj_t)BgL_modules1056z00_1339),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_functionsz00)=((obj_t)BgL_functions1057z00_1340),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_genericsz00)=((obj_t)BgL_generics1058z00_1341),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_methodsz00)=((obj_t)BgL_methods1059z00_1342),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_macrosz00)=((obj_t)BgL_macros1060z00_1343),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_variablesz00)=((obj_t)BgL_variables1061z00_1344),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_typesz00)=((obj_t)BgL_types1062z00_1345),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_classsz00)=((obj_t)BgL_classs1063z00_1346),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_structuresz00)=((obj_t)BgL_structures1064z00_1347),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1630))->BgL_externsz00)=((obj_t)BgL_externs1065z00_1348),BUNSPEC); 
return BgL_new1155z00_1630;} } 

}



/* &<@anonymous:1665> */
obj_t BGl_z62zc3z04anonymousza31665ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1349, obj_t BgL_oz00_1350)
{
{ /* types.scm 38 */
{ /* types.scm 40 */
 obj_t BgL_res2174z00_1653;
{ /* types.scm 40 */
 obj_t BgL_arg1672z00_1633; obj_t BgL_arg1673z00_1634; obj_t BgL_arg1674z00_1635; obj_t BgL_arg1677z00_1636; obj_t BgL_arg1684z00_1637; obj_t BgL_arg1685z00_1638; obj_t BgL_arg1688z00_1639; obj_t BgL_arg1691z00_1640; obj_t BgL_arg1692z00_1641; obj_t BgL_arg1701z00_1642;
BgL_arg1672z00_1633 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_modulesz00); 
BgL_arg1673z00_1634 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_functionsz00); 
BgL_arg1674z00_1635 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_genericsz00); 
BgL_arg1677z00_1636 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_methodsz00); 
BgL_arg1684z00_1637 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_macrosz00); 
BgL_arg1685z00_1638 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_variablesz00); 
BgL_arg1688z00_1639 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_typesz00); 
BgL_arg1691z00_1640 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_classsz00); 
BgL_arg1692z00_1641 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_structuresz00); 
BgL_arg1701z00_1642 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_externsz00); 
{ /* types.scm 40 */
 obj_t BgL_list1702z00_1643;
{ /* types.scm 40 */
 obj_t BgL_arg1704z00_1644;
{ /* types.scm 40 */
 obj_t BgL_arg1706z00_1645;
{ /* types.scm 40 */
 obj_t BgL_arg1707z00_1646;
{ /* types.scm 40 */
 obj_t BgL_arg1709z00_1647;
{ /* types.scm 40 */
 obj_t BgL_arg1710z00_1648;
{ /* types.scm 40 */
 obj_t BgL_arg1712z00_1649;
{ /* types.scm 40 */
 obj_t BgL_arg1725z00_1650;
{ /* types.scm 40 */
 obj_t BgL_arg1726z00_1651;
{ /* types.scm 40 */
 obj_t BgL_arg1727z00_1652;
BgL_arg1727z00_1652 = 
MAKE_YOUNG_PAIR(BgL_arg1701z00_1642, BNIL); 
BgL_arg1726z00_1651 = 
MAKE_YOUNG_PAIR(BgL_arg1692z00_1641, BgL_arg1727z00_1652); } 
BgL_arg1725z00_1650 = 
MAKE_YOUNG_PAIR(BgL_arg1691z00_1640, BgL_arg1726z00_1651); } 
BgL_arg1712z00_1649 = 
MAKE_YOUNG_PAIR(BgL_arg1688z00_1639, BgL_arg1725z00_1650); } 
BgL_arg1710z00_1648 = 
MAKE_YOUNG_PAIR(BgL_arg1685z00_1638, BgL_arg1712z00_1649); } 
BgL_arg1709z00_1647 = 
MAKE_YOUNG_PAIR(BgL_arg1684z00_1637, BgL_arg1710z00_1648); } 
BgL_arg1707z00_1646 = 
MAKE_YOUNG_PAIR(BgL_arg1677z00_1636, BgL_arg1709z00_1647); } 
BgL_arg1706z00_1645 = 
MAKE_YOUNG_PAIR(BgL_arg1674z00_1635, BgL_arg1707z00_1646); } 
BgL_arg1704z00_1644 = 
MAKE_YOUNG_PAIR(BgL_arg1673z00_1634, BgL_arg1706z00_1645); } 
BgL_list1702z00_1643 = 
MAKE_YOUNG_PAIR(BgL_arg1672z00_1633, BgL_arg1704z00_1644); } 
BgL_res2174z00_1653 = BgL_list1702z00_1643; } } 
return BgL_res2174z00_1653;} } 

}



/* &<@anonymous:1653> */
obj_t BGl_z62zc3z04anonymousza31653ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1351, obj_t BgL_oz00_1352, obj_t BgL_vz00_1353)
{
{ /* types.scm 22 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1352), 
(int)(((long)0)), BgL_vz00_1353);} 

}



/* &<@anonymous:1652> */
obj_t BGl_z62zc3z04anonymousza31652ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1354, obj_t BgL_oz00_1355)
{
{ /* types.scm 22 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1355), 
(int)(((long)0)));} 

}



/* &<@anonymous:1625> */
obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1356)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1624 */
obj_t BGl_z62lambda1624z62zz__bdl_typesz00(obj_t BgL_envz00_1357, obj_t BgL_oz00_1358, obj_t BgL_vz00_1359)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1358)))->BgL_externsz00)=((obj_t)BgL_vz00_1359),BUNSPEC);} 

}



/* &lambda1623 */
obj_t BGl_z62lambda1623z62zz__bdl_typesz00(obj_t BgL_envz00_1360, obj_t BgL_oz00_1361)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1361)))->BgL_externsz00);} 

}



/* &<@anonymous:1598> */
obj_t BGl_z62zc3z04anonymousza31598ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1362)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1597 */
obj_t BGl_z62lambda1597z62zz__bdl_typesz00(obj_t BgL_envz00_1363, obj_t BgL_oz00_1364, obj_t BgL_vz00_1365)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1364)))->BgL_structuresz00)=((obj_t)BgL_vz00_1365),BUNSPEC);} 

}



/* &lambda1596 */
obj_t BGl_z62lambda1596z62zz__bdl_typesz00(obj_t BgL_envz00_1366, obj_t BgL_oz00_1367)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1367)))->BgL_structuresz00);} 

}



/* &<@anonymous:1578> */
obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1368)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1577 */
obj_t BGl_z62lambda1577z62zz__bdl_typesz00(obj_t BgL_envz00_1369, obj_t BgL_oz00_1370, obj_t BgL_vz00_1371)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1370)))->BgL_classsz00)=((obj_t)BgL_vz00_1371),BUNSPEC);} 

}



/* &lambda1576 */
obj_t BGl_z62lambda1576z62zz__bdl_typesz00(obj_t BgL_envz00_1372, obj_t BgL_oz00_1373)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1373)))->BgL_classsz00);} 

}



/* &<@anonymous:1566> */
obj_t BGl_z62zc3z04anonymousza31566ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1374)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1565 */
obj_t BGl_z62lambda1565z62zz__bdl_typesz00(obj_t BgL_envz00_1375, obj_t BgL_oz00_1376, obj_t BgL_vz00_1377)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1376)))->BgL_typesz00)=((obj_t)BgL_vz00_1377),BUNSPEC);} 

}



/* &lambda1564 */
obj_t BGl_z62lambda1564z62zz__bdl_typesz00(obj_t BgL_envz00_1378, obj_t BgL_oz00_1379)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1379)))->BgL_typesz00);} 

}



/* &<@anonymous:1538> */
obj_t BGl_z62zc3z04anonymousza31538ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1380)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1537 */
obj_t BGl_z62lambda1537z62zz__bdl_typesz00(obj_t BgL_envz00_1381, obj_t BgL_oz00_1382, obj_t BgL_vz00_1383)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1382)))->BgL_variablesz00)=((obj_t)BgL_vz00_1383),BUNSPEC);} 

}



/* &lambda1536 */
obj_t BGl_z62lambda1536z62zz__bdl_typesz00(obj_t BgL_envz00_1384, obj_t BgL_oz00_1385)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1385)))->BgL_variablesz00);} 

}



/* &<@anonymous:1383> */
obj_t BGl_z62zc3z04anonymousza31383ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1386)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1382 */
obj_t BGl_z62lambda1382z62zz__bdl_typesz00(obj_t BgL_envz00_1387, obj_t BgL_oz00_1388, obj_t BgL_vz00_1389)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1388)))->BgL_macrosz00)=((obj_t)BgL_vz00_1389),BUNSPEC);} 

}



/* &lambda1381 */
obj_t BGl_z62lambda1381z62zz__bdl_typesz00(obj_t BgL_envz00_1390, obj_t BgL_oz00_1391)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1391)))->BgL_macrosz00);} 

}



/* &<@anonymous:1367> */
obj_t BGl_z62zc3z04anonymousza31367ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1392)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1366 */
obj_t BGl_z62lambda1366z62zz__bdl_typesz00(obj_t BgL_envz00_1393, obj_t BgL_oz00_1394, obj_t BgL_vz00_1395)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1394)))->BgL_methodsz00)=((obj_t)BgL_vz00_1395),BUNSPEC);} 

}



/* &lambda1365 */
obj_t BGl_z62lambda1365z62zz__bdl_typesz00(obj_t BgL_envz00_1396, obj_t BgL_oz00_1397)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1397)))->BgL_methodsz00);} 

}



/* &<@anonymous:1358> */
obj_t BGl_z62zc3z04anonymousza31358ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1398)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1357 */
obj_t BGl_z62lambda1357z62zz__bdl_typesz00(obj_t BgL_envz00_1399, obj_t BgL_oz00_1400, obj_t BgL_vz00_1401)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1400)))->BgL_genericsz00)=((obj_t)BgL_vz00_1401),BUNSPEC);} 

}



/* &lambda1356 */
obj_t BGl_z62lambda1356z62zz__bdl_typesz00(obj_t BgL_envz00_1402, obj_t BgL_oz00_1403)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1403)))->BgL_genericsz00);} 

}



/* &<@anonymous:1344> */
obj_t BGl_z62zc3z04anonymousza31344ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1404)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1343 */
obj_t BGl_z62lambda1343z62zz__bdl_typesz00(obj_t BgL_envz00_1405, obj_t BgL_oz00_1406, obj_t BgL_vz00_1407)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1406)))->BgL_functionsz00)=((obj_t)BgL_vz00_1407),BUNSPEC);} 

}



/* &lambda1342 */
obj_t BGl_z62lambda1342z62zz__bdl_typesz00(obj_t BgL_envz00_1408, obj_t BgL_oz00_1409)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1409)))->BgL_functionsz00);} 

}



/* &<@anonymous:1335> */
obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1410)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1334 */
obj_t BGl_z62lambda1334z62zz__bdl_typesz00(obj_t BgL_envz00_1411, obj_t BgL_oz00_1412, obj_t BgL_vz00_1413)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1412)))->BgL_modulesz00)=((obj_t)BgL_vz00_1413),BUNSPEC);} 

}



/* &lambda1333 */
obj_t BGl_z62lambda1333z62zz__bdl_typesz00(obj_t BgL_envz00_1414, obj_t BgL_oz00_1415)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1415)))->BgL_modulesz00);} 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__bdl_typesz00(obj_t BgL_envz00_1416, obj_t BgL_oz00_1417, obj_t BgL_vz00_1418)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1417)))->BgL_filesz00)=((obj_t)
((obj_t)BgL_vz00_1418)),BUNSPEC);} 

}



/* &lambda1286 */
obj_t BGl_z62lambda1286z62zz__bdl_typesz00(obj_t BgL_envz00_1419, obj_t BgL_oz00_1420)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1420)))->BgL_filesz00);} 

}



/* &lambda1271 */
obj_t BGl_z62lambda1271z62zz__bdl_typesz00(obj_t BgL_envz00_1421, obj_t BgL_oz00_1422, obj_t BgL_vz00_1423)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1422)))->BgL_etagsz00)=((obj_t)BgL_vz00_1423),BUNSPEC);} 

}



/* &lambda1270 */
obj_t BGl_z62lambda1270z62zz__bdl_typesz00(obj_t BgL_envz00_1424, obj_t BgL_oz00_1425)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1425)))->BgL_etagsz00);} 

}



/* &lambda1266 */
obj_t BGl_z62lambda1266z62zz__bdl_typesz00(obj_t BgL_envz00_1426, obj_t BgL_oz00_1427, obj_t BgL_vz00_1428)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1427)))->BgL_afilez00)=((obj_t)BgL_vz00_1428),BUNSPEC);} 

}



/* &lambda1265 */
obj_t BGl_z62lambda1265z62zz__bdl_typesz00(obj_t BgL_envz00_1429, obj_t BgL_oz00_1430)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1430)))->BgL_afilez00);} 

}



/* &<@anonymous:1222> */
obj_t BGl_z62zc3z04anonymousza31222ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1431, obj_t BgL_new1051z00_1432)
{
{ /* types.scm 17 */
{ 
 BgL_bdlzd2locationzd2_bglt BgL_auxz00_2631;
((((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_new1051z00_1432)))->BgL_filez00)=((obj_t)BGl_string2170z00zz__bdl_typesz00),BUNSPEC); 
((((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_new1051z00_1432)))->BgL_linez00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_2631 = 
((BgL_bdlzd2locationzd2_bglt)BgL_new1051z00_1432); 
return 
((obj_t)BgL_auxz00_2631);} } 

}



/* &lambda1219 */
BgL_bdlzd2locationzd2_bglt BGl_z62lambda1219z62zz__bdl_typesz00(obj_t BgL_envz00_1433)
{
{ /* types.scm 17 */
{ /* types.scm 17 */
 BgL_bdlzd2locationzd2_bglt BgL_new1050z00_1682;
BgL_new1050z00_1682 = 
((BgL_bdlzd2locationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2locationzd2_bgl) ))); 
{ /* types.scm 17 */
 long BgL_arg1221z00_1683;
BgL_arg1221z00_1683 = 
BGL_CLASS_NUM(BGl_bdlzd2locationzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_1682), BgL_arg1221z00_1683); } 
return BgL_new1050z00_1682;} } 

}



/* &lambda1216 */
BgL_bdlzd2locationzd2_bglt BGl_z62lambda1216z62zz__bdl_typesz00(obj_t BgL_envz00_1434, obj_t BgL_file1048z00_1435, obj_t BgL_line1049z00_1436)
{
{ /* types.scm 17 */
{ /* types.scm 17 */
 int BgL_line1049z00_1685;
BgL_line1049z00_1685 = 
CINT(BgL_line1049z00_1436); 
{ /* types.scm 17 */
 BgL_bdlzd2locationzd2_bglt BgL_new1153z00_1686;
{ /* types.scm 17 */
 BgL_bdlzd2locationzd2_bglt BgL_new1152z00_1687;
BgL_new1152z00_1687 = 
((BgL_bdlzd2locationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2locationzd2_bgl) ))); 
{ /* types.scm 17 */
 long BgL_arg1218z00_1688;
BgL_arg1218z00_1688 = 
BGL_CLASS_NUM(BGl_bdlzd2locationzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_1687), BgL_arg1218z00_1688); } 
BgL_new1153z00_1686 = BgL_new1152z00_1687; } 
((((BgL_bdlzd2locationzd2_bglt)COBJECT(BgL_new1153z00_1686))->BgL_filez00)=((obj_t)
((obj_t)BgL_file1048z00_1435)),BUNSPEC); 
((((BgL_bdlzd2locationzd2_bglt)COBJECT(BgL_new1153z00_1686))->BgL_linez00)=((int)BgL_line1049z00_1685),BUNSPEC); 
return BgL_new1153z00_1686;} } } 

}



/* &lambda1233 */
obj_t BGl_z62lambda1233z62zz__bdl_typesz00(obj_t BgL_envz00_1437, obj_t BgL_oz00_1438, obj_t BgL_vz00_1439)
{
{ /* types.scm 17 */
{ /* types.scm 17 */
 int BgL_vz00_1690;
BgL_vz00_1690 = 
CINT(BgL_vz00_1439); 
return 
((((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_oz00_1438)))->BgL_linez00)=((int)BgL_vz00_1690),BUNSPEC);} } 

}



/* &lambda1232 */
obj_t BGl_z62lambda1232z62zz__bdl_typesz00(obj_t BgL_envz00_1440, obj_t BgL_oz00_1441)
{
{ /* types.scm 17 */
return 
BINT(
(((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_oz00_1441)))->BgL_linez00));} 

}



/* &lambda1228 */
obj_t BGl_z62lambda1228z62zz__bdl_typesz00(obj_t BgL_envz00_1442, obj_t BgL_oz00_1443, obj_t BgL_vz00_1444)
{
{ /* types.scm 17 */
return 
((((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_oz00_1443)))->BgL_filez00)=((obj_t)
((obj_t)BgL_vz00_1444)),BUNSPEC);} 

}



/* &lambda1227 */
obj_t BGl_z62lambda1227z62zz__bdl_typesz00(obj_t BgL_envz00_1445, obj_t BgL_oz00_1446)
{
{ /* types.scm 17 */
return 
(((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_oz00_1446)))->BgL_filez00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__bdl_typesz00()
{
{ /* types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__bdl_typesz00()
{
{ /* types.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
