/*===========================================================================*/
/*   (Abound/walk.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Abound/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2boxzd2setz121402za2zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_z62aboundzd2walkz12za2zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2setq1382z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2sync1365z62zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2fail1386z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2app1367z62zzabound_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2s32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzabound_walkz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzabound_walkz00();
	static obj_t BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_za2stringzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zzabound_walkz00();
	static obj_t BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2setzd2exzd2i1394z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2appzd2ly1369zb0zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2conditio1384z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2makezd2box1398zb0zzabound_walkz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_z62aboundzd2node1360zb0zzabound_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzabound_walkz00();
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2jumpzd2exzd21396z62zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2vref1376z62zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_aboundzd2funz12zc0zzabound_walkz00(obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2hvectorsza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2extern1374z62zzabound_walkz00(obj_t, obj_t);
	static BgL_vrefz00_bglt
		BGl_z62zc3z04anonymousza32055ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2switch1388z62zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2sequence1363z62zzabound_walkz00(obj_t, obj_t);
	static BgL_vsetz12z12_bglt
		BGl_z62zc3z04anonymousza32073ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2letzd2fun1390zb0zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_aboundzd2nodezd2zzabound_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_z62initzd2cachez12za2zzabound_walkz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_za2u16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_aboundzd2walkz12zc0zzabound_walkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzabound_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_za2f64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2vsetz121378z70zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzabound_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzabound_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzabound_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzabound_walkz00();
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2boxzd2ref1400zb0zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2u8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2s16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2u64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62aboundzd2nodezb0zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2stringzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_za2structzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2funcall1372z62zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2structzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_za2f32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2letzd2var1392zb0zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_arrayzd2refzd2zzabound_walkz00(BgL_nodezf2effectzf2_bglt, obj_t, obj_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_arrayzd2setz12zc0zzabound_walkz00(BgL_nodezf2effectzf2_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_za2u32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2s64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_aboundzd2nodeza2z12z62zzabound_walkz00(obj_t);
	static obj_t BGl_za2s8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t BGl_z62clearzd2cachez12za2zzabound_walkz00(obj_t);
	static BgL_appz00_bglt
		BGl_z62zc3z04anonymousza31950ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	static BgL_appz00_bglt
		BGl_z62zc3z04anonymousza31918ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2cast1380z62zzabound_walkz00(obj_t, obj_t);
	static obj_t __cnst[45];


	   
		 
		DEFINE_STRING(BGl_string2200z00zzabound_walkz00,
		BgL_bgl_string2200za700za7za7a2239za7, "s", 1);
	      DEFINE_STRING(BGl_string2201z00zzabound_walkz00,
		BgL_bgl_string2201za700za7za7a2240za7, "", 0);
	      DEFINE_STRING(BGl_string2202z00zzabound_walkz00,
		BgL_bgl_string2202za700za7za7a2241za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2203z00zzabound_walkz00,
		BgL_bgl_string2203za700za7za7a2242za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2204z00zzabound_walkz00,
		BgL_bgl_string2204za700za7za7a2243za7, "-ref", 4);
	      DEFINE_STRING(BGl_string2205z00zzabound_walkz00,
		BgL_bgl_string2205za700za7za7a2244za7, "-set!", 5);
	      DEFINE_STRING(BGl_string2207z00zzabound_walkz00,
		BgL_bgl_string2207za700za7za7a2245za7, "abound-node1360", 15);
	      DEFINE_STRING(BGl_string2209z00zzabound_walkz00,
		BgL_bgl_string2209za700za7za7a2246za7, "abound-node", 11);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_initzd2cachez12zd2envz12zzabound_walkz00,
		BgL_bgl_za762initza7d2cacheza72247za7,
		BGl_z62initzd2cachez12za2zzabound_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2248z00,
		BGl_z62aboundzd2node1360zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2249z00,
		BGl_z62aboundzd2nodezd2sequence1363z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2250z00,
		BGl_z62aboundzd2nodezd2sync1365z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2251z00,
		BGl_z62aboundzd2nodezd2app1367z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2252z00,
		BGl_z62aboundzd2nodezd2appzd2ly1369zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2253z00,
		BGl_z62aboundzd2nodezd2funcall1372z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2254z00,
		BGl_z62aboundzd2nodezd2extern1374z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2255z00,
		BGl_z62aboundzd2nodezd2vref1376z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2256z00,
		BGl_z62aboundzd2nodezd2vsetz121378z70zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2257z00,
		BGl_z62aboundzd2nodezd2cast1380z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2258z00,
		BGl_z62aboundzd2nodezd2setq1382z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2259z00,
		BGl_z62aboundzd2nodezd2conditio1384z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2260z00,
		BGl_z62aboundzd2nodezd2fail1386z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2261z00,
		BGl_z62aboundzd2nodezd2switch1388z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2262z00,
		BGl_z62aboundzd2nodezd2letzd2fun1390zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2263z00,
		BGl_z62aboundzd2nodezd2letzd2var1392zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2264z00,
		BGl_z62aboundzd2nodezd2setzd2exzd2i1394z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2231z00zzabound_walkz00,
		BgL_bgl_string2231za700za7za7a2265za7, "string-ref", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2266z00,
		BGl_z62aboundzd2nodezd2jumpzd2exzd21396z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2232z00zzabound_walkz00,
		BgL_bgl_string2232za700za7za7a2267za7, "string-set!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2268z00,
		BGl_z62aboundzd2nodezd2makezd2box1398zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2269z00,
		BGl_z62aboundzd2nodezd2boxzd2ref1400zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2270z00,
		BGl_z62aboundzd2nodezd2boxzd2setz121402za2zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2235z00zzabound_walkz00,
		BgL_bgl_string2235za700za7za7a2271za7, "abound_walk", 11);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2229z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2272za7,
		BGl_z62zc3z04anonymousza32073ze3ze5zzabound_walkz00);
	      DEFINE_STRING(BGl_string2236z00zzabound_walkz00,
		BgL_bgl_string2236za700za7za7a2273za7,
		"$string-bound-check? $string-length s let if failure @ index-out-of-bounds-error __error $vector-bound-check? $tvector-length $hvector-length $vector-length location l i v $f64vector-set! $f32vector-set! $u64vector-set! $s64vector-set! $u32vector-set! $s32vector-set! $u16vector-set! $s16vector-set! $u8vector-set! $s8vector-set! $f64vector-ref $f32vector-ref $u64vector-ref $s64vector-ref $u32vector-ref $s32vector-ref $u16vector-ref $s16vector-ref $u8vector-ref $s8vector-ref $struct-set! $struct-ref $string-set! $string-ref foreign (clear-cache!) pass-started (init-cache!) ",
		578);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2230z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2274za7,
		BGl_z62zc3z04anonymousza32055ze3ze5zzabound_walkz00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2233z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2275za7,
		BGl_z62zc3z04anonymousza31918ze3ze5zzabound_walkz00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2234z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2276za7,
		BGl_z62zc3z04anonymousza31950ze3ze5zzabound_walkz00);
	      DEFINE_STRING(BGl_string2196z00zzabound_walkz00,
		BgL_bgl_string2196za700za7za7a2277za7, "Abound", 6);
	      DEFINE_STRING(BGl_string2197z00zzabound_walkz00,
		BgL_bgl_string2197za700za7za7a2278za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2198z00zzabound_walkz00,
		BgL_bgl_string2198za700za7za7a2279za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2199z00zzabound_walkz00,
		BgL_bgl_string2199za700za7za7a2280za7, " error", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_aboundzd2walkz12zd2envz12zzabound_walkz00,
		BgL_bgl_za762aboundza7d2walk2281z00,
		BGl_z62aboundzd2walkz12za2zzabound_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_clearzd2cachez12zd2envz12zzabound_walkz00,
		BgL_bgl_za762clearza7d2cache2282z00,
		BGl_z62clearzd2cachez12za2zzabound_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2283z00,
		BGl_z62aboundzd2nodezb0zzabound_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s32vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2stringzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u16vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f64vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u8vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s16vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u64vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2stringzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2structzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2structzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f32vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u32vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s64vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s8vectorzd2refza2zd2zzabound_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzabound_walkz00(long
		BgL_checksumz00_2953, char *BgL_fromz00_2954)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzabound_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzabound_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzabound_walkz00();
					BGl_libraryzd2moduleszd2initz00zzabound_walkz00();
					BGl_cnstzd2initzd2zzabound_walkz00();
					BGl_importedzd2moduleszd2initz00zzabound_walkz00();
					BGl_genericzd2initzd2zzabound_walkz00();
					BGl_methodzd2initzd2zzabound_walkz00();
					return BGl_toplevelzd2initzd2zzabound_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzabound_walkz00()
	{
		{	/* Abound/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "abound_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "abound_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzabound_walkz00()
	{
		{	/* Abound/walk.scm 15 */
			{	/* Abound/walk.scm 15 */
				obj_t BgL_cportz00_2695;

				{	/* Abound/walk.scm 15 */
					obj_t BgL_stringz00_2703;

					BgL_stringz00_2703 = BGl_string2236z00zzabound_walkz00;
					{	/* Abound/walk.scm 15 */
						obj_t BgL_startz00_2704;

						BgL_startz00_2704 = BINT(((long) 0));
						{	/* Abound/walk.scm 15 */
							obj_t BgL_endz00_2705;

							BgL_endz00_2705 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2703)));
							{	/* Abound/walk.scm 15 */

								BgL_cportz00_2695 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2703, BgL_startz00_2704, BgL_endz00_2705);
				}}}}
				{
					long BgL_iz00_2696;

					BgL_iz00_2696 = ((long) 44);
				BgL_loopz00_2697:
					if ((BgL_iz00_2696 == ((long) -1)))
						{	/* Abound/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Abound/walk.scm 15 */
							{	/* Abound/walk.scm 15 */
								obj_t BgL_arg2238z00_2699;

								{	/* Abound/walk.scm 15 */

									{	/* Abound/walk.scm 15 */
										obj_t BgL_locationz00_2701;

										BgL_locationz00_2701 = BBOOL(((bool_t) 0));
										{	/* Abound/walk.scm 15 */

											BgL_arg2238z00_2699 =
												BGl_readz00zz__readerz00(BgL_cportz00_2695,
												BgL_locationz00_2701);
										}
									}
								}
								{	/* Abound/walk.scm 15 */
									int BgL_tmpz00_2988;

									BgL_tmpz00_2988 = (int) (BgL_iz00_2696);
									CNST_TABLE_SET(BgL_tmpz00_2988, BgL_arg2238z00_2699);
							}}
							{	/* Abound/walk.scm 15 */
								int BgL_auxz00_2702;

								BgL_auxz00_2702 = (int) ((BgL_iz00_2696 - ((long) 1)));
								{
									long BgL_iz00_2993;

									BgL_iz00_2993 = (long) (BgL_auxz00_2702);
									BgL_iz00_2696 = BgL_iz00_2993;
									goto BgL_loopz00_2697;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzabound_walkz00()
	{
		{	/* Abound/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzabound_walkz00()
	{
		{	/* Abound/walk.scm 15 */
			BGl_za2stringzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2stringzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2structzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2structzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2f32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2f64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* abound-walk! */
	BGL_EXPORTED_DEF obj_t BGl_aboundzd2walkz12zc0zzabound_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Abound/walk.scm 39 */
			{	/* Abound/walk.scm 40 */
				obj_t BgL_list1457z00_1506;

				{	/* Abound/walk.scm 40 */
					obj_t BgL_arg1462z00_1507;

					{	/* Abound/walk.scm 40 */
						obj_t BgL_arg1477z00_1508;

						BgL_arg1477z00_1508 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1462z00_1507 =
							MAKE_YOUNG_PAIR(BGl_string2196z00zzabound_walkz00,
							BgL_arg1477z00_1508);
					}
					BgL_list1457z00_1506 =
						MAKE_YOUNG_PAIR(BGl_string2197z00zzabound_walkz00,
						BgL_arg1462z00_1507);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1457z00_1506);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2196z00zzabound_walkz00;
			{	/* Abound/walk.scm 40 */
				obj_t BgL_g1106z00_1509;
				obj_t BgL_g1107z00_1510;

				{	/* Abound/walk.scm 40 */
					obj_t BgL_list1500z00_1523;

					BgL_list1500z00_1523 =
						MAKE_YOUNG_PAIR(BGl_initzd2cachez12zd2envz12zzabound_walkz00, BNIL);
					BgL_g1106z00_1509 = BgL_list1500z00_1523;
				}
				BgL_g1107z00_1510 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1512;
					obj_t BgL_hnamesz00_1513;

					BgL_hooksz00_1512 = BgL_g1106z00_1509;
					BgL_hnamesz00_1513 = BgL_g1107z00_1510;
				BgL_zc3z04anonymousza31478ze3z87_1514:
					if (NULLP(BgL_hooksz00_1512))
						{	/* Abound/walk.scm 40 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Abound/walk.scm 40 */
							bool_t BgL_test2287z00_3008;

							{	/* Abound/walk.scm 40 */
								obj_t BgL_fun1499z00_1521;

								BgL_fun1499z00_1521 = CAR(((obj_t) BgL_hooksz00_1512));
								BgL_test2287z00_3008 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1499z00_1521)
									(BgL_fun1499z00_1521, BEOA));
							}
							if (BgL_test2287z00_3008)
								{	/* Abound/walk.scm 40 */
									obj_t BgL_arg1494z00_1518;
									obj_t BgL_arg1496z00_1519;

									BgL_arg1494z00_1518 = CDR(((obj_t) BgL_hooksz00_1512));
									BgL_arg1496z00_1519 = CDR(((obj_t) BgL_hnamesz00_1513));
									{
										obj_t BgL_hnamesz00_3020;
										obj_t BgL_hooksz00_3019;

										BgL_hooksz00_3019 = BgL_arg1494z00_1518;
										BgL_hnamesz00_3020 = BgL_arg1496z00_1519;
										BgL_hnamesz00_1513 = BgL_hnamesz00_3020;
										BgL_hooksz00_1512 = BgL_hooksz00_3019;
										goto BgL_zc3z04anonymousza31478ze3z87_1514;
									}
								}
							else
								{	/* Abound/walk.scm 40 */
									obj_t BgL_arg1497z00_1520;

									BgL_arg1497z00_1520 = CAR(((obj_t) BgL_hnamesz00_1513));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2196z00zzabound_walkz00,
										BGl_string2198z00zzabound_walkz00, BgL_arg1497z00_1520);
								}
						}
				}
			}
			{
				obj_t BgL_l1348z00_1525;

				BgL_l1348z00_1525 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31501ze3z87_1526:
				if (PAIRP(BgL_l1348z00_1525))
					{	/* Abound/walk.scm 41 */
						BGl_aboundzd2funz12zc0zzabound_walkz00(CAR(BgL_l1348z00_1525));
						{
							obj_t BgL_l1348z00_3028;

							BgL_l1348z00_3028 = CDR(BgL_l1348z00_1525);
							BgL_l1348z00_1525 = BgL_l1348z00_3028;
							goto BgL_zc3z04anonymousza31501ze3z87_1526;
						}
					}
				else
					{	/* Abound/walk.scm 41 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Abound/walk.scm 42 */
					{	/* Abound/walk.scm 42 */
						obj_t BgL_port1350z00_1533;

						{	/* Abound/walk.scm 42 */
							obj_t BgL_tmpz00_3033;

							BgL_tmpz00_3033 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1350z00_1533 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3033);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1350z00_1533);
						bgl_display_string(BGl_string2199z00zzabound_walkz00,
							BgL_port1350z00_1533);
						{	/* Abound/walk.scm 42 */
							obj_t BgL_arg1534z00_1534;

							{	/* Abound/walk.scm 42 */
								bool_t BgL_test2290z00_3038;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Abound/walk.scm 42 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Abound/walk.scm 42 */
												BgL_test2290z00_3038 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Abound/walk.scm 42 */
												BgL_test2290z00_3038 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Abound/walk.scm 42 */
										BgL_test2290z00_3038 = ((bool_t) 0);
									}
								if (BgL_test2290z00_3038)
									{	/* Abound/walk.scm 42 */
										BgL_arg1534z00_1534 = BGl_string2200z00zzabound_walkz00;
									}
								else
									{	/* Abound/walk.scm 42 */
										BgL_arg1534z00_1534 = BGl_string2201z00zzabound_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1534z00_1534, BgL_port1350z00_1533);
						}
						bgl_display_string(BGl_string2202z00zzabound_walkz00,
							BgL_port1350z00_1533);
						bgl_display_char(((unsigned char) 10), BgL_port1350z00_1533);
					}
					{	/* Abound/walk.scm 42 */
						obj_t BgL_list1538z00_1540;

						BgL_list1538z00_1540 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1538z00_1540);
					}
				}
			else
				{	/* Abound/walk.scm 42 */
					obj_t BgL_g1108z00_1541;
					obj_t BgL_g1109z00_1542;

					{	/* Abound/walk.scm 42 */
						obj_t BgL_list1555z00_1555;

						BgL_list1555z00_1555 =
							MAKE_YOUNG_PAIR(BGl_clearzd2cachez12zd2envz12zzabound_walkz00,
							BNIL);
						BgL_g1108z00_1541 = BgL_list1555z00_1555;
					}
					BgL_g1109z00_1542 = CNST_TABLE_REF(((long) 2));
					{
						obj_t BgL_hooksz00_1544;
						obj_t BgL_hnamesz00_1545;

						BgL_hooksz00_1544 = BgL_g1108z00_1541;
						BgL_hnamesz00_1545 = BgL_g1109z00_1542;
					BgL_zc3z04anonymousza31539ze3z87_1546:
						if (NULLP(BgL_hooksz00_1544))
							{	/* Abound/walk.scm 42 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Abound/walk.scm 42 */
								bool_t BgL_test2294z00_3057;

								{	/* Abound/walk.scm 42 */
									obj_t BgL_fun1554z00_1553;

									BgL_fun1554z00_1553 = CAR(((obj_t) BgL_hooksz00_1544));
									BgL_test2294z00_3057 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1554z00_1553)
										(BgL_fun1554z00_1553, BEOA));
								}
								if (BgL_test2294z00_3057)
									{	/* Abound/walk.scm 42 */
										obj_t BgL_arg1548z00_1550;
										obj_t BgL_arg1551z00_1551;

										BgL_arg1548z00_1550 = CDR(((obj_t) BgL_hooksz00_1544));
										BgL_arg1551z00_1551 = CDR(((obj_t) BgL_hnamesz00_1545));
										{
											obj_t BgL_hnamesz00_3069;
											obj_t BgL_hooksz00_3068;

											BgL_hooksz00_3068 = BgL_arg1548z00_1550;
											BgL_hnamesz00_3069 = BgL_arg1551z00_1551;
											BgL_hnamesz00_1545 = BgL_hnamesz00_3069;
											BgL_hooksz00_1544 = BgL_hooksz00_3068;
											goto BgL_zc3z04anonymousza31539ze3z87_1546;
										}
									}
								else
									{	/* Abound/walk.scm 42 */
										obj_t BgL_arg1552z00_1552;

										BgL_arg1552z00_1552 = CAR(((obj_t) BgL_hnamesz00_1545));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2203z00zzabound_walkz00, BgL_arg1552z00_1552);
									}
							}
					}
				}
		}

	}



/* &abound-walk! */
	obj_t BGl_z62aboundzd2walkz12za2zzabound_walkz00(obj_t BgL_envz00_2605,
		obj_t BgL_globalsz00_2606)
	{
		{	/* Abound/walk.scm 39 */
			return BGl_aboundzd2walkz12zc0zzabound_walkz00(BgL_globalsz00_2606);
		}

	}



/* &init-cache! */
	obj_t BGl_z62initzd2cachez12za2zzabound_walkz00(obj_t BgL_envz00_2607)
	{
		{	/* Abound/walk.scm 75 */
			{	/* Abound/walk.scm 76 */
				obj_t BgL_list1556z00_2707;

				BgL_list1556z00_2707 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2stringzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 4)),
					BgL_list1556z00_2707);
			}
			{	/* Abound/walk.scm 77 */
				obj_t BgL_list1557z00_2708;

				BgL_list1557z00_2708 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2stringzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
					BgL_list1557z00_2708);
			}
			{	/* Abound/walk.scm 78 */
				obj_t BgL_list1558z00_2709;

				BgL_list1558z00_2709 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2structzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
					BgL_list1558z00_2709);
			}
			{	/* Abound/walk.scm 79 */
				obj_t BgL_list1559z00_2710;

				BgL_list1559z00_2710 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2structzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 7)),
					BgL_list1559z00_2710);
			}
			{	/* Abound/walk.scm 80 */
				obj_t BgL_list1560z00_2711;

				BgL_list1560z00_2711 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s8vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 8)),
					BgL_list1560z00_2711);
			}
			{	/* Abound/walk.scm 81 */
				obj_t BgL_list1561z00_2712;

				BgL_list1561z00_2712 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u8vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 9)),
					BgL_list1561z00_2712);
			}
			{	/* Abound/walk.scm 82 */
				obj_t BgL_list1562z00_2713;

				BgL_list1562z00_2713 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s16vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 10)),
					BgL_list1562z00_2713);
			}
			{	/* Abound/walk.scm 83 */
				obj_t BgL_list1563z00_2714;

				BgL_list1563z00_2714 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u16vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 11)),
					BgL_list1563z00_2714);
			}
			{	/* Abound/walk.scm 84 */
				obj_t BgL_list1564z00_2715;

				BgL_list1564z00_2715 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s32vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 12)),
					BgL_list1564z00_2715);
			}
			{	/* Abound/walk.scm 85 */
				obj_t BgL_list1565z00_2716;

				BgL_list1565z00_2716 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u32vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 13)),
					BgL_list1565z00_2716);
			}
			{	/* Abound/walk.scm 86 */
				obj_t BgL_list1566z00_2717;

				BgL_list1566z00_2717 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s64vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 14)),
					BgL_list1566z00_2717);
			}
			{	/* Abound/walk.scm 87 */
				obj_t BgL_list1567z00_2718;

				BgL_list1567z00_2718 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u64vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 15)),
					BgL_list1567z00_2718);
			}
			{	/* Abound/walk.scm 88 */
				obj_t BgL_list1568z00_2719;

				BgL_list1568z00_2719 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2f32vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 16)),
					BgL_list1568z00_2719);
			}
			{	/* Abound/walk.scm 89 */
				obj_t BgL_list1569z00_2720;

				BgL_list1569z00_2720 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2f64vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 17)),
					BgL_list1569z00_2720);
			}
			{	/* Abound/walk.scm 90 */
				obj_t BgL_list1570z00_2721;

				BgL_list1570z00_2721 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 18)),
					BgL_list1570z00_2721);
			}
			{	/* Abound/walk.scm 91 */
				obj_t BgL_list1571z00_2722;

				BgL_list1571z00_2722 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 19)),
					BgL_list1571z00_2722);
			}
			{	/* Abound/walk.scm 92 */
				obj_t BgL_list1572z00_2723;

				BgL_list1572z00_2723 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 20)),
					BgL_list1572z00_2723);
			}
			{	/* Abound/walk.scm 93 */
				obj_t BgL_list1573z00_2724;

				BgL_list1573z00_2724 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 21)),
					BgL_list1573z00_2724);
			}
			{	/* Abound/walk.scm 94 */
				obj_t BgL_list1574z00_2725;

				BgL_list1574z00_2725 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 22)),
					BgL_list1574z00_2725);
			}
			{	/* Abound/walk.scm 95 */
				obj_t BgL_list1575z00_2726;

				BgL_list1575z00_2726 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 23)),
					BgL_list1575z00_2726);
			}
			{	/* Abound/walk.scm 96 */
				obj_t BgL_list1576z00_2727;

				BgL_list1576z00_2727 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 24)),
					BgL_list1576z00_2727);
			}
			{	/* Abound/walk.scm 97 */
				obj_t BgL_list1577z00_2728;

				BgL_list1577z00_2728 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 25)),
					BgL_list1577z00_2728);
			}
			{	/* Abound/walk.scm 98 */
				obj_t BgL_list1578z00_2729;

				BgL_list1578z00_2729 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 26)),
					BgL_list1578z00_2729);
			}
			{	/* Abound/walk.scm 99 */
				obj_t BgL_list1579z00_2730;

				BgL_list1579z00_2730 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
				BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 27)),
					BgL_list1579z00_2730);
			}
			return BUNSPEC;
		}

	}



/* &clear-cache! */
	obj_t BGl_z62clearzd2cachez12za2zzabound_walkz00(obj_t BgL_envz00_2608)
	{
		{	/* Abound/walk.scm 105 */
			return (BGl_za2stringzd2refza2zd2zzabound_walkz00 = BFALSE, BUNSPEC);
		}

	}



/* abound-fun! */
	obj_t BGl_aboundzd2funz12zc0zzabound_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Abound/walk.scm 111 */
			{	/* Abound/walk.scm 112 */
				obj_t BgL_arg1581z00_1580;

				BgL_arg1581z00_1580 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1581z00_1580);
			}
			{	/* Abound/walk.scm 113 */
				BgL_valuez00_bglt BgL_funz00_1581;

				BgL_funz00_1581 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Abound/walk.scm 114 */
					BgL_nodez00_bglt BgL_arg1582z00_1582;

					{	/* Abound/walk.scm 114 */
						obj_t BgL_arg1583z00_1583;

						BgL_arg1583z00_1583 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1581)))->BgL_bodyz00);
						BgL_arg1582z00_1582 =
							BGl_aboundzd2nodezd2zzabound_walkz00(
							((BgL_nodez00_bglt) BgL_arg1583z00_1583));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1581)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_arg1582z00_1582)), BUNSPEC);
				}
				BGl_leavezd2functionzd2zztools_errorz00();
				return BgL_varz00_18;
			}
		}

	}



/* array-ref */
	BgL_nodez00_bglt BGl_arrayzd2refzd2zzabound_walkz00(BgL_nodezf2effectzf2_bglt
		BgL_nodez00_27, obj_t BgL_vecz00_28, obj_t BgL_offz00_29,
		obj_t BgL_locz00_30, BgL_typez00_bglt BgL_ftypez00_31,
		obj_t BgL_otypez00_32, obj_t BgL_vtypez00_33, obj_t BgL_dupz00_34)
	{
		{	/* Abound/walk.scm 266 */
			{	/* Abound/walk.scm 267 */
				obj_t BgL_vz00_1584;
				obj_t BgL_iz00_1585;
				obj_t BgL_lz00_1586;
				obj_t BgL_lnamez00_1587;
				obj_t BgL_lposz00_1588;

				BgL_vz00_1584 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 28))));
				BgL_iz00_1585 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 29))));
				BgL_lz00_1586 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 30))));
				{	/* Abound/walk.scm 270 */
					bool_t BgL_test2295z00_3192;

					if (STRUCTP(BgL_locz00_30))
						{	/* Abound/walk.scm 270 */
							BgL_test2295z00_3192 =
								(STRUCT_KEY(BgL_locz00_30) == CNST_TABLE_REF(((long) 31)));
						}
					else
						{	/* Abound/walk.scm 270 */
							BgL_test2295z00_3192 = ((bool_t) 0);
						}
					if (BgL_test2295z00_3192)
						{	/* Abound/walk.scm 270 */
							BgL_lnamez00_1587 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_30);
						}
					else
						{	/* Abound/walk.scm 270 */
							BgL_lnamez00_1587 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 271 */
					bool_t BgL_test2297z00_3199;

					if (STRUCTP(BgL_locz00_30))
						{	/* Abound/walk.scm 271 */
							BgL_test2297z00_3199 =
								(STRUCT_KEY(BgL_locz00_30) == CNST_TABLE_REF(((long) 31)));
						}
					else
						{	/* Abound/walk.scm 271 */
							BgL_test2297z00_3199 = ((bool_t) 0);
						}
					if (BgL_test2297z00_3199)
						{	/* Abound/walk.scm 271 */
							BgL_lposz00_1588 = STRUCT_REF(BgL_locz00_30, (int) (((long) 1)));
						}
					else
						{	/* Abound/walk.scm 271 */
							BgL_lposz00_1588 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 273 */
					obj_t BgL_arg1584z00_1589;

					{	/* Abound/walk.scm 273 */
						obj_t BgL_arg1585z00_1590;

						{	/* Abound/walk.scm 273 */
							obj_t BgL_arg1586z00_1591;
							obj_t BgL_arg1588z00_1592;

							{	/* Abound/walk.scm 273 */
								obj_t BgL_arg1595z00_1593;
								obj_t BgL_arg1597z00_1594;

								{	/* Abound/walk.scm 273 */
									obj_t BgL_arg1601z00_1595;
									obj_t BgL_arg1602z00_1596;

									{	/* Abound/walk.scm 273 */
										obj_t BgL_arg1603z00_1597;

										BgL_arg1603z00_1597 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_vtypez00_33)))->BgL_idz00);
										BgL_arg1601z00_1595 =
											BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_1584,
											BgL_arg1603z00_1597);
									}
									BgL_arg1602z00_1596 = MAKE_YOUNG_PAIR(BgL_vecz00_28, BNIL);
									BgL_arg1595z00_1593 =
										MAKE_YOUNG_PAIR(BgL_arg1601z00_1595, BgL_arg1602z00_1596);
								}
								{	/* Abound/walk.scm 274 */
									obj_t BgL_arg1604z00_1598;

									{	/* Abound/walk.scm 274 */
										obj_t BgL_arg1606z00_1599;
										obj_t BgL_arg1612z00_1600;

										{	/* Abound/walk.scm 274 */
											obj_t BgL_arg1613z00_1601;

											BgL_arg1613z00_1601 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_otypez00_32)))->BgL_idz00);
											BgL_arg1606z00_1599 =
												BGl_makezd2typedzd2identz00zzast_identz00(BgL_iz00_1585,
												BgL_arg1613z00_1601);
										}
										BgL_arg1612z00_1600 = MAKE_YOUNG_PAIR(BgL_offz00_29, BNIL);
										BgL_arg1604z00_1598 =
											MAKE_YOUNG_PAIR(BgL_arg1606z00_1599, BgL_arg1612z00_1600);
									}
									BgL_arg1597z00_1594 =
										MAKE_YOUNG_PAIR(BgL_arg1604z00_1598, BNIL);
								}
								BgL_arg1586z00_1591 =
									MAKE_YOUNG_PAIR(BgL_arg1595z00_1593, BgL_arg1597z00_1594);
							}
							{	/* Abound/walk.scm 275 */
								obj_t BgL_arg1619z00_1602;

								{	/* Abound/walk.scm 275 */
									obj_t BgL_arg1620z00_1603;

									{	/* Abound/walk.scm 275 */
										obj_t BgL_arg1621z00_1604;
										obj_t BgL_arg1632z00_1605;

										{	/* Abound/walk.scm 275 */
											obj_t BgL_arg1633z00_1606;

											{	/* Abound/walk.scm 275 */
												obj_t BgL_arg1636z00_1607;
												obj_t BgL_arg1647z00_1608;

												{	/* Abound/walk.scm 275 */
													obj_t BgL_arg1652z00_1609;

													BgL_arg1652z00_1609 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_otypez00_32)))->
														BgL_idz00);
													BgL_arg1636z00_1607 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_lz00_1586, BgL_arg1652z00_1609);
												}
												{	/* Abound/walk.scm 277 */
													obj_t BgL_arg1656z00_1610;

													if (
														(BgL_vtypez00_33 ==
															BGl_za2vectorza2z00zztype_cachez00))
														{	/* Abound/walk.scm 278 */
															obj_t BgL_arg1660z00_1612;

															BgL_arg1660z00_1612 =
																MAKE_YOUNG_PAIR(BgL_vz00_1584, BNIL);
															BgL_arg1656z00_1610 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 32)),
																BgL_arg1660z00_1612);
														}
													else
														{	/* Abound/walk.scm 277 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_vtypez00_33,
																		BGl_za2hvectorsza2z00zztype_cachez00)))
																{	/* Abound/walk.scm 280 */
																	obj_t BgL_arg1665z00_1614;

																	BgL_arg1665z00_1614 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1584, BNIL);
																	BgL_arg1656z00_1610 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 33)),
																		BgL_arg1665z00_1614);
																}
															else
																{	/* Abound/walk.scm 282 */
																	obj_t BgL_arg1667z00_1615;

																	BgL_arg1667z00_1615 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1584, BNIL);
																	BgL_arg1656z00_1610 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 34)),
																		BgL_arg1667z00_1615);
														}}
													BgL_arg1647z00_1608 =
														MAKE_YOUNG_PAIR(BgL_arg1656z00_1610, BNIL);
												}
												BgL_arg1633z00_1606 =
													MAKE_YOUNG_PAIR(BgL_arg1636z00_1607,
													BgL_arg1647z00_1608);
											}
											BgL_arg1621z00_1604 =
												MAKE_YOUNG_PAIR(BgL_arg1633z00_1606, BNIL);
										}
										{	/* Abound/walk.scm 283 */
											obj_t BgL_arg1668z00_1616;

											{	/* Abound/walk.scm 283 */
												obj_t BgL_arg1675z00_1617;

												{	/* Abound/walk.scm 283 */
													obj_t BgL_arg1676z00_1618;
													obj_t BgL_arg1678z00_1619;

													{	/* Abound/walk.scm 283 */
														obj_t BgL_arg1679z00_1620;

														{	/* Abound/walk.scm 283 */
															obj_t BgL_arg1681z00_1621;

															BgL_arg1681z00_1621 =
																MAKE_YOUNG_PAIR(BgL_lz00_1586, BNIL);
															BgL_arg1679z00_1620 =
																MAKE_YOUNG_PAIR(BgL_iz00_1585,
																BgL_arg1681z00_1621);
														}
														BgL_arg1676z00_1618 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
															BgL_arg1679z00_1620);
													}
													{	/* Abound/walk.scm 284 */
														BgL_nodezf2effectzf2_bglt BgL_arg1682z00_1622;
														obj_t BgL_arg1694z00_1623;

														BgL_arg1682z00_1622 =
															((BgL_nodezf2effectzf2_bglt(*)())PROCEDURE_L_ENTRY
															(BgL_dupz00_34)) (BgL_dupz00_34, BgL_nodez00_27,
															BgL_vz00_1584, BgL_iz00_1585);
														{	/* Abound/walk.scm 286 */
															obj_t BgL_arg1695z00_1624;

															{	/* Abound/walk.scm 286 */
																obj_t BgL_arg1696z00_1625;

																{	/* Abound/walk.scm 286 */
																	obj_t BgL_arg1699z00_1626;
																	obj_t BgL_arg1703z00_1627;

																	{	/* Abound/walk.scm 286 */
																		obj_t BgL_arg1706z00_1628;
																		obj_t BgL_arg1711z00_1629;

																		{	/* Abound/walk.scm 286 */
																			obj_t BgL_arg1712z00_1630;

																			{	/* Abound/walk.scm 286 */
																				obj_t BgL_arg1713z00_1631;

																				BgL_arg1713z00_1631 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							36)), BNIL);
																				BgL_arg1712z00_1630 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							37)), BgL_arg1713z00_1631);
																			}
																			BgL_arg1706z00_1628 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						38)), BgL_arg1712z00_1630);
																		}
																		{	/* Abound/walk.scm 289 */
																			obj_t BgL_arg1714z00_1632;

																			{	/* Abound/walk.scm 289 */
																				obj_t BgL_arg1715z00_1633;

																				{	/* Abound/walk.scm 289 */
																					obj_t BgL_arg1716z00_1634;
																					obj_t BgL_arg1721z00_1635;

																					{	/* Abound/walk.scm 289 */
																						obj_t BgL_arg1723z00_1636;

																						{	/* Abound/walk.scm 289 */
																							obj_t BgL_arg1725z00_1637;

																							BgL_arg1725z00_1637 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_vtypez00_33)))->
																								BgL_idz00);
																							BgL_arg1723z00_1636 =
																								SYMBOL_TO_STRING
																								(BgL_arg1725z00_1637);
																						}
																						BgL_arg1716z00_1634 =
																							string_append(BgL_arg1723z00_1636,
																							BGl_string2204z00zzabound_walkz00);
																					}
																					{	/* Abound/walk.scm 286 */
																						obj_t BgL_arg1726z00_1638;

																						{	/* Abound/walk.scm 286 */
																							obj_t BgL_arg1728z00_1639;

																							BgL_arg1728z00_1639 =
																								MAKE_YOUNG_PAIR(BgL_iz00_1585,
																								BNIL);
																							BgL_arg1726z00_1638 =
																								MAKE_YOUNG_PAIR(BgL_lz00_1586,
																								BgL_arg1728z00_1639);
																						}
																						BgL_arg1721z00_1635 =
																							MAKE_YOUNG_PAIR(BgL_vz00_1584,
																							BgL_arg1726z00_1638);
																					}
																					BgL_arg1715z00_1633 =
																						MAKE_YOUNG_PAIR(BgL_arg1716z00_1634,
																						BgL_arg1721z00_1635);
																				}
																				BgL_arg1714z00_1632 =
																					MAKE_YOUNG_PAIR(BgL_lposz00_1588,
																					BgL_arg1715z00_1633);
																			}
																			BgL_arg1711z00_1629 =
																				MAKE_YOUNG_PAIR(BgL_lnamez00_1587,
																				BgL_arg1714z00_1632);
																		}
																		BgL_arg1699z00_1626 =
																			MAKE_YOUNG_PAIR(BgL_arg1706z00_1628,
																			BgL_arg1711z00_1629);
																	}
																	{	/* Abound/walk.scm 285 */
																		obj_t BgL_arg1729z00_1640;

																		BgL_arg1729z00_1640 =
																			MAKE_YOUNG_PAIR(BFALSE, BNIL);
																		BgL_arg1703z00_1627 =
																			MAKE_YOUNG_PAIR(BFALSE,
																			BgL_arg1729z00_1640);
																	}
																	BgL_arg1696z00_1625 =
																		MAKE_YOUNG_PAIR(BgL_arg1699z00_1626,
																		BgL_arg1703z00_1627);
																}
																BgL_arg1695z00_1624 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 39)),
																	BgL_arg1696z00_1625);
															}
															BgL_arg1694z00_1623 =
																MAKE_YOUNG_PAIR(BgL_arg1695z00_1624, BNIL);
														}
														BgL_arg1678z00_1619 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1682z00_1622),
															BgL_arg1694z00_1623);
													}
													BgL_arg1675z00_1617 =
														MAKE_YOUNG_PAIR(BgL_arg1676z00_1618,
														BgL_arg1678z00_1619);
												}
												BgL_arg1668z00_1616 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 40)),
													BgL_arg1675z00_1617);
											}
											BgL_arg1632z00_1605 =
												MAKE_YOUNG_PAIR(BgL_arg1668z00_1616, BNIL);
										}
										BgL_arg1620z00_1603 =
											MAKE_YOUNG_PAIR(BgL_arg1621z00_1604, BgL_arg1632z00_1605);
									}
									BgL_arg1619z00_1602 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)),
										BgL_arg1620z00_1603);
								}
								BgL_arg1588z00_1592 =
									MAKE_YOUNG_PAIR(BgL_arg1619z00_1602, BNIL);
							}
							BgL_arg1585z00_1590 =
								MAKE_YOUNG_PAIR(BgL_arg1586z00_1591, BgL_arg1588z00_1592);
						}
						BgL_arg1584z00_1589 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)), BgL_arg1585z00_1590);
					}
					return
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1584z00_1589, BgL_locz00_30);
				}
			}
		}

	}



/* array-set! */
	BgL_nodez00_bglt
		BGl_arrayzd2setz12zc0zzabound_walkz00(BgL_nodezf2effectzf2_bglt
		BgL_nodez00_36, obj_t BgL_vecz00_37, obj_t BgL_offz00_38,
		obj_t BgL_locz00_39, obj_t BgL_ftypez00_40, obj_t BgL_otypez00_41,
		obj_t BgL_vtypez00_42, obj_t BgL_dupz00_43)
	{
		{	/* Abound/walk.scm 318 */
			{	/* Abound/walk.scm 319 */
				obj_t BgL_vz00_1646;
				obj_t BgL_iz00_1647;
				obj_t BgL_lz00_1648;
				obj_t BgL_lnamez00_1649;
				obj_t BgL_lposz00_1650;

				BgL_vz00_1646 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 28))));
				BgL_iz00_1647 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 29))));
				BgL_lz00_1648 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 30))));
				{	/* Abound/walk.scm 322 */
					bool_t BgL_test2301z00_3295;

					if (STRUCTP(BgL_locz00_39))
						{	/* Abound/walk.scm 322 */
							BgL_test2301z00_3295 =
								(STRUCT_KEY(BgL_locz00_39) == CNST_TABLE_REF(((long) 31)));
						}
					else
						{	/* Abound/walk.scm 322 */
							BgL_test2301z00_3295 = ((bool_t) 0);
						}
					if (BgL_test2301z00_3295)
						{	/* Abound/walk.scm 322 */
							BgL_lnamez00_1649 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_39);
						}
					else
						{	/* Abound/walk.scm 322 */
							BgL_lnamez00_1649 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 323 */
					bool_t BgL_test2303z00_3302;

					if (STRUCTP(BgL_locz00_39))
						{	/* Abound/walk.scm 323 */
							BgL_test2303z00_3302 =
								(STRUCT_KEY(BgL_locz00_39) == CNST_TABLE_REF(((long) 31)));
						}
					else
						{	/* Abound/walk.scm 323 */
							BgL_test2303z00_3302 = ((bool_t) 0);
						}
					if (BgL_test2303z00_3302)
						{	/* Abound/walk.scm 323 */
							BgL_lposz00_1650 = STRUCT_REF(BgL_locz00_39, (int) (((long) 1)));
						}
					else
						{	/* Abound/walk.scm 323 */
							BgL_lposz00_1650 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 325 */
					obj_t BgL_arg1742z00_1651;

					{	/* Abound/walk.scm 325 */
						obj_t BgL_arg1743z00_1652;

						{	/* Abound/walk.scm 325 */
							obj_t BgL_arg1745z00_1653;
							obj_t BgL_arg1746z00_1654;

							{	/* Abound/walk.scm 325 */
								obj_t BgL_arg1747z00_1655;
								obj_t BgL_arg1748z00_1656;

								{	/* Abound/walk.scm 325 */
									obj_t BgL_arg1749z00_1657;
									obj_t BgL_arg1750z00_1658;

									{	/* Abound/walk.scm 325 */
										obj_t BgL_arg1751z00_1659;

										BgL_arg1751z00_1659 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_vtypez00_42)))->BgL_idz00);
										BgL_arg1749z00_1657 =
											BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_1646,
											BgL_arg1751z00_1659);
									}
									BgL_arg1750z00_1658 = MAKE_YOUNG_PAIR(BgL_vecz00_37, BNIL);
									BgL_arg1747z00_1655 =
										MAKE_YOUNG_PAIR(BgL_arg1749z00_1657, BgL_arg1750z00_1658);
								}
								{	/* Abound/walk.scm 326 */
									obj_t BgL_arg1752z00_1660;

									{	/* Abound/walk.scm 326 */
										obj_t BgL_arg1753z00_1661;
										obj_t BgL_arg1759z00_1662;

										{	/* Abound/walk.scm 326 */
											obj_t BgL_arg1761z00_1663;

											BgL_arg1761z00_1663 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_otypez00_41)))->BgL_idz00);
											BgL_arg1753z00_1661 =
												BGl_makezd2typedzd2identz00zzast_identz00(BgL_iz00_1647,
												BgL_arg1761z00_1663);
										}
										BgL_arg1759z00_1662 = MAKE_YOUNG_PAIR(BgL_offz00_38, BNIL);
										BgL_arg1752z00_1660 =
											MAKE_YOUNG_PAIR(BgL_arg1753z00_1661, BgL_arg1759z00_1662);
									}
									BgL_arg1748z00_1656 =
										MAKE_YOUNG_PAIR(BgL_arg1752z00_1660, BNIL);
								}
								BgL_arg1745z00_1653 =
									MAKE_YOUNG_PAIR(BgL_arg1747z00_1655, BgL_arg1748z00_1656);
							}
							{	/* Abound/walk.scm 327 */
								obj_t BgL_arg1762z00_1664;

								{	/* Abound/walk.scm 327 */
									obj_t BgL_arg1763z00_1665;

									{	/* Abound/walk.scm 327 */
										obj_t BgL_arg1766z00_1666;
										obj_t BgL_arg1770z00_1667;

										{	/* Abound/walk.scm 327 */
											obj_t BgL_arg1772z00_1668;

											{	/* Abound/walk.scm 327 */
												obj_t BgL_arg1777z00_1669;
												obj_t BgL_arg1781z00_1670;

												{	/* Abound/walk.scm 327 */
													obj_t BgL_arg1785z00_1671;

													BgL_arg1785z00_1671 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_otypez00_41)))->
														BgL_idz00);
													BgL_arg1777z00_1669 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_lz00_1648, BgL_arg1785z00_1671);
												}
												{	/* Abound/walk.scm 329 */
													obj_t BgL_arg1788z00_1672;

													if (
														(BgL_vtypez00_42 ==
															BGl_za2vectorza2z00zztype_cachez00))
														{	/* Abound/walk.scm 330 */
															obj_t BgL_arg1799z00_1674;

															BgL_arg1799z00_1674 =
																MAKE_YOUNG_PAIR(BgL_vz00_1646, BNIL);
															BgL_arg1788z00_1672 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 32)),
																BgL_arg1799z00_1674);
														}
													else
														{	/* Abound/walk.scm 329 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_vtypez00_42,
																		BGl_za2hvectorsza2z00zztype_cachez00)))
																{	/* Abound/walk.scm 332 */
																	obj_t BgL_arg1801z00_1676;

																	BgL_arg1801z00_1676 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1646, BNIL);
																	BgL_arg1788z00_1672 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 33)),
																		BgL_arg1801z00_1676);
																}
															else
																{	/* Abound/walk.scm 334 */
																	obj_t BgL_arg1805z00_1677;

																	BgL_arg1805z00_1677 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1646, BNIL);
																	BgL_arg1788z00_1672 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 34)),
																		BgL_arg1805z00_1677);
														}}
													BgL_arg1781z00_1670 =
														MAKE_YOUNG_PAIR(BgL_arg1788z00_1672, BNIL);
												}
												BgL_arg1772z00_1668 =
													MAKE_YOUNG_PAIR(BgL_arg1777z00_1669,
													BgL_arg1781z00_1670);
											}
											BgL_arg1766z00_1666 =
												MAKE_YOUNG_PAIR(BgL_arg1772z00_1668, BNIL);
										}
										{	/* Abound/walk.scm 335 */
											obj_t BgL_arg1807z00_1678;

											{	/* Abound/walk.scm 335 */
												obj_t BgL_arg1808z00_1679;

												{	/* Abound/walk.scm 335 */
													obj_t BgL_arg1810z00_1680;
													obj_t BgL_arg1811z00_1681;

													{	/* Abound/walk.scm 335 */
														obj_t BgL_arg1817z00_1682;

														{	/* Abound/walk.scm 335 */
															obj_t BgL_arg1818z00_1683;

															BgL_arg1818z00_1683 =
																MAKE_YOUNG_PAIR(BgL_lz00_1648, BNIL);
															BgL_arg1817z00_1682 =
																MAKE_YOUNG_PAIR(BgL_iz00_1647,
																BgL_arg1818z00_1683);
														}
														BgL_arg1810z00_1680 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
															BgL_arg1817z00_1682);
													}
													{	/* Abound/walk.scm 336 */
														BgL_nodezf2effectzf2_bglt BgL_arg1824z00_1684;
														obj_t BgL_arg1837z00_1685;

														BgL_arg1824z00_1684 =
															((BgL_nodezf2effectzf2_bglt(*)())PROCEDURE_L_ENTRY
															(BgL_dupz00_43)) (BgL_dupz00_43, BgL_nodez00_36,
															BgL_vz00_1646, BgL_iz00_1647);
														{	/* Abound/walk.scm 338 */
															obj_t BgL_arg1838z00_1686;

															{	/* Abound/walk.scm 338 */
																obj_t BgL_arg1839z00_1687;

																{	/* Abound/walk.scm 338 */
																	obj_t BgL_arg1842z00_1688;
																	obj_t BgL_arg1848z00_1689;

																	{	/* Abound/walk.scm 338 */
																		obj_t BgL_arg1849z00_1690;
																		obj_t BgL_arg1850z00_1691;

																		{	/* Abound/walk.scm 338 */
																			obj_t BgL_arg1852z00_1692;

																			{	/* Abound/walk.scm 338 */
																				obj_t BgL_arg1854z00_1693;

																				BgL_arg1854z00_1693 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							36)), BNIL);
																				BgL_arg1852z00_1692 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							37)), BgL_arg1854z00_1693);
																			}
																			BgL_arg1849z00_1690 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						38)), BgL_arg1852z00_1692);
																		}
																		{	/* Abound/walk.scm 341 */
																			obj_t BgL_arg1855z00_1694;

																			{	/* Abound/walk.scm 341 */
																				obj_t BgL_arg1856z00_1695;

																				{	/* Abound/walk.scm 341 */
																					obj_t BgL_arg1857z00_1696;
																					obj_t BgL_arg1858z00_1697;

																					{	/* Abound/walk.scm 341 */
																						obj_t BgL_arg1862z00_1698;

																						{	/* Abound/walk.scm 341 */
																							obj_t BgL_arg1863z00_1699;

																							BgL_arg1863z00_1699 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_vtypez00_42)))->
																								BgL_idz00);
																							BgL_arg1862z00_1698 =
																								SYMBOL_TO_STRING
																								(BgL_arg1863z00_1699);
																						}
																						BgL_arg1857z00_1696 =
																							string_append(BgL_arg1862z00_1698,
																							BGl_string2205z00zzabound_walkz00);
																					}
																					{	/* Abound/walk.scm 338 */
																						obj_t BgL_arg1865z00_1700;

																						{	/* Abound/walk.scm 338 */
																							obj_t BgL_arg1867z00_1701;

																							BgL_arg1867z00_1701 =
																								MAKE_YOUNG_PAIR(BgL_iz00_1647,
																								BNIL);
																							BgL_arg1865z00_1700 =
																								MAKE_YOUNG_PAIR(BgL_lz00_1648,
																								BgL_arg1867z00_1701);
																						}
																						BgL_arg1858z00_1697 =
																							MAKE_YOUNG_PAIR(BgL_vz00_1646,
																							BgL_arg1865z00_1700);
																					}
																					BgL_arg1856z00_1695 =
																						MAKE_YOUNG_PAIR(BgL_arg1857z00_1696,
																						BgL_arg1858z00_1697);
																				}
																				BgL_arg1855z00_1694 =
																					MAKE_YOUNG_PAIR(BgL_lposz00_1650,
																					BgL_arg1856z00_1695);
																			}
																			BgL_arg1850z00_1691 =
																				MAKE_YOUNG_PAIR(BgL_lnamez00_1649,
																				BgL_arg1855z00_1694);
																		}
																		BgL_arg1842z00_1688 =
																			MAKE_YOUNG_PAIR(BgL_arg1849z00_1690,
																			BgL_arg1850z00_1691);
																	}
																	{	/* Abound/walk.scm 337 */
																		obj_t BgL_arg1869z00_1702;

																		BgL_arg1869z00_1702 =
																			MAKE_YOUNG_PAIR(BFALSE, BNIL);
																		BgL_arg1848z00_1689 =
																			MAKE_YOUNG_PAIR(BFALSE,
																			BgL_arg1869z00_1702);
																	}
																	BgL_arg1839z00_1687 =
																		MAKE_YOUNG_PAIR(BgL_arg1842z00_1688,
																		BgL_arg1848z00_1689);
																}
																BgL_arg1838z00_1686 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 39)),
																	BgL_arg1839z00_1687);
															}
															BgL_arg1837z00_1685 =
																MAKE_YOUNG_PAIR(BgL_arg1838z00_1686, BNIL);
														}
														BgL_arg1811z00_1681 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1824z00_1684),
															BgL_arg1837z00_1685);
													}
													BgL_arg1808z00_1679 =
														MAKE_YOUNG_PAIR(BgL_arg1810z00_1680,
														BgL_arg1811z00_1681);
												}
												BgL_arg1807z00_1678 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 40)),
													BgL_arg1808z00_1679);
											}
											BgL_arg1770z00_1667 =
												MAKE_YOUNG_PAIR(BgL_arg1807z00_1678, BNIL);
										}
										BgL_arg1763z00_1665 =
											MAKE_YOUNG_PAIR(BgL_arg1766z00_1666, BgL_arg1770z00_1667);
									}
									BgL_arg1762z00_1664 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)),
										BgL_arg1763z00_1665);
								}
								BgL_arg1746z00_1654 =
									MAKE_YOUNG_PAIR(BgL_arg1762z00_1664, BNIL);
							}
							BgL_arg1743z00_1652 =
								MAKE_YOUNG_PAIR(BgL_arg1745z00_1653, BgL_arg1746z00_1654);
						}
						BgL_arg1742z00_1651 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)), BgL_arg1743z00_1652);
					}
					return
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1742z00_1651, BgL_locz00_39);
				}
			}
		}

	}



/* abound-node*! */
	bool_t BGl_aboundzd2nodeza2z12z62zzabound_walkz00(obj_t BgL_nodeza2za2_56)
	{
		{	/* Abound/walk.scm 454 */
		BGl_aboundzd2nodeza2z12z62zzabound_walkz00:
			if (PAIRP(BgL_nodeza2za2_56))
				{	/* Abound/walk.scm 455 */
					{	/* Abound/walk.scm 456 */
						BgL_nodez00_bglt BgL_arg1877z00_1709;

						{	/* Abound/walk.scm 456 */
							obj_t BgL_arg1878z00_1710;

							BgL_arg1878z00_1710 = CAR(BgL_nodeza2za2_56);
							BgL_arg1877z00_1709 =
								BGl_aboundzd2nodezd2zzabound_walkz00(
								((BgL_nodez00_bglt) BgL_arg1878z00_1710));
						}
						{	/* Abound/walk.scm 456 */
							obj_t BgL_tmpz00_3394;

							BgL_tmpz00_3394 = ((obj_t) BgL_arg1877z00_1709);
							SET_CAR(BgL_nodeza2za2_56, BgL_tmpz00_3394);
						}
					}
					{
						obj_t BgL_nodeza2za2_3397;

						BgL_nodeza2za2_3397 = CDR(BgL_nodeza2za2_56);
						BgL_nodeza2za2_56 = BgL_nodeza2za2_3397;
						goto BGl_aboundzd2nodeza2z12z62zzabound_walkz00;
					}
				}
			else
				{	/* Abound/walk.scm 455 */
					return ((bool_t) 0);
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzabound_walkz00()
	{
		{	/* Abound/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzabound_walkz00()
	{
		{	/* Abound/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_proc2206z00zzabound_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2207z00zzabound_walkz00);
		}

	}



/* &abound-node1360 */
	obj_t BGl_z62aboundzd2node1360zb0zzabound_walkz00(obj_t BgL_envz00_2610,
		obj_t BgL_nodez00_2611)
	{
		{	/* Abound/walk.scm 121 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2611));
		}

	}



/* abound-node */
	BgL_nodez00_bglt BGl_aboundzd2nodezd2zzabound_walkz00(BgL_nodez00_bglt
		BgL_nodez00_19)
	{
		{	/* Abound/walk.scm 121 */
			{	/* Abound/walk.scm 121 */
				obj_t BgL_method1361z00_1716;

				{	/* Abound/walk.scm 121 */
					obj_t BgL_res2189z00_2455;

					{	/* Abound/walk.scm 121 */
						long BgL_objzd2classzd2numz00_2426;

						BgL_objzd2classzd2numz00_2426 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Abound/walk.scm 121 */
							obj_t BgL_arg1829z00_2427;

							BgL_arg1829z00_2427 =
								PROCEDURE_REF(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
								(int) (((long) 1)));
							{	/* Abound/walk.scm 121 */
								int BgL_offsetz00_2430;

								BgL_offsetz00_2430 = (int) (BgL_objzd2classzd2numz00_2426);
								{	/* Abound/walk.scm 121 */
									long BgL_offsetz00_2431;

									BgL_offsetz00_2431 =
										((long) (BgL_offsetz00_2430) - OBJECT_TYPE);
									{	/* Abound/walk.scm 121 */
										long BgL_modz00_2432;

										BgL_modz00_2432 =
											(BgL_offsetz00_2431 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Abound/walk.scm 121 */
											long BgL_restz00_2434;

											BgL_restz00_2434 =
												(BgL_offsetz00_2431 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Abound/walk.scm 121 */

												{	/* Abound/walk.scm 121 */
													obj_t BgL_bucketz00_2436;

													BgL_bucketz00_2436 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2427), BgL_modz00_2432);
													BgL_res2189z00_2455 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2436), BgL_restz00_2434);
					}}}}}}}}
					BgL_method1361z00_1716 = BgL_res2189z00_2455;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1361z00_1716) (BgL_method1361z00_1716,
						((obj_t) BgL_nodez00_19), BEOA));
			}
		}

	}



/* &abound-node */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezb0zzabound_walkz00(obj_t
		BgL_envz00_2612, obj_t BgL_nodez00_2613)
	{
		{	/* Abound/walk.scm 121 */
			return
				BGl_aboundzd2nodezd2zzabound_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2613));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzabound_walkz00()
	{
		{	/* Abound/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2208z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2210z00zzabound_walkz00, BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2211z00zzabound_walkz00, BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2212z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2213z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2214z00zzabound_walkz00, BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_vrefz00zzast_nodez00,
				BGl_proc2215z00zzabound_walkz00, BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc2216z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2217z00zzabound_walkz00, BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2218z00zzabound_walkz00, BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2219z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2220z00zzabound_walkz00, BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc2221z00zzabound_walkz00, BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2222z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2223z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2224z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2225z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2226z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2227z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2228z00zzabound_walkz00,
				BGl_string2209z00zzabound_walkz00);
		}

	}



/* &abound-node-box-set!1402 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2boxzd2setz121402za2zzabound_walkz00(obj_t
		BgL_envz00_2638, obj_t BgL_nodez00_2639)
	{
		{	/* Abound/walk.scm 445 */
			{
				BgL_varz00_bglt BgL_auxz00_3455;

				{	/* Abound/walk.scm 447 */
					BgL_varz00_bglt BgL_arg2119z00_2733;

					BgL_arg2119z00_2733 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2639)))->BgL_varz00);
					BgL_auxz00_3455 =
						((BgL_varz00_bglt)
						BGl_aboundzd2nodezd2zzabound_walkz00(
							((BgL_nodez00_bglt) BgL_arg2119z00_2733)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2639)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3455), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3463;

				{	/* Abound/walk.scm 448 */
					BgL_nodez00_bglt BgL_arg2120z00_2734;

					BgL_arg2120z00_2734 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2639)))->BgL_valuez00);
					BgL_auxz00_3463 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2120z00_2734);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2639)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3463), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2639));
		}

	}



/* &abound-node-box-ref1400 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2boxzd2ref1400zb0zzabound_walkz00(obj_t
		BgL_envz00_2640, obj_t BgL_nodez00_2641)
	{
		{	/* Abound/walk.scm 438 */
			{	/* Abound/walk.scm 439 */
				BgL_nodez00_bglt BgL_arg2117z00_2736;

				{	/* Abound/walk.scm 439 */
					BgL_varz00_bglt BgL_arg2118z00_2737;

					BgL_arg2118z00_2737 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2641)))->BgL_varz00);
					BgL_arg2117z00_2736 =
						BGl_aboundzd2nodezd2zzabound_walkz00(
						((BgL_nodez00_bglt) BgL_arg2118z00_2737));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2641)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg2117z00_2736)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2641));
		}

	}



/* &abound-node-make-box1398 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2makezd2box1398zb0zzabound_walkz00(obj_t
		BgL_envz00_2642, obj_t BgL_nodez00_2643)
	{
		{	/* Abound/walk.scm 431 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2643)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_2643)))->
							BgL_valuez00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2643));
		}

	}



/* &abound-node-jump-ex-1396 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2jumpzd2exzd21396z62zzabound_walkz00(obj_t
		BgL_envz00_2644, obj_t BgL_nodez00_2645)
	{
		{	/* Abound/walk.scm 422 */
			{
				BgL_nodez00_bglt BgL_auxz00_3487;

				{	/* Abound/walk.scm 424 */
					BgL_nodez00_bglt BgL_arg2113z00_2740;

					BgL_arg2113z00_2740 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2645)))->BgL_exitz00);
					BgL_auxz00_3487 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2113z00_2740);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2645)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3487), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3493;

				{	/* Abound/walk.scm 425 */
					BgL_nodez00_bglt BgL_arg2114z00_2741;

					BgL_arg2114z00_2741 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2645)))->
						BgL_valuez00);
					BgL_auxz00_3493 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2114z00_2741);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2645)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3493), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2645));
		}

	}



/* &abound-node-set-ex-i1394 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2setzd2exzd2i1394z62zzabound_walkz00(obj_t
		BgL_envz00_2646, obj_t BgL_nodez00_2647)
	{
		{	/* Abound/walk.scm 414 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2647)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2647)))->
							BgL_bodyz00))), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2647)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2647)))->
							BgL_onexitz00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2647));
		}

	}



/* &abound-node-let-var1392 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2letzd2var1392zb0zzabound_walkz00(obj_t
		BgL_envz00_2648, obj_t BgL_nodez00_2649)
	{
		{	/* Abound/walk.scm 403 */
			{	/* Abound/walk.scm 405 */
				obj_t BgL_g1359z00_2744;

				BgL_g1359z00_2744 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2649)))->BgL_bindingsz00);
				{
					obj_t BgL_l1357z00_2746;

					BgL_l1357z00_2746 = BgL_g1359z00_2744;
				BgL_zc3z04anonymousza32102ze3z87_2745:
					if (PAIRP(BgL_l1357z00_2746))
						{	/* Abound/walk.scm 405 */
							{	/* Abound/walk.scm 406 */
								obj_t BgL_bindingz00_2747;

								BgL_bindingz00_2747 = CAR(BgL_l1357z00_2746);
								{	/* Abound/walk.scm 406 */
									BgL_nodez00_bglt BgL_arg2104z00_2748;

									{	/* Abound/walk.scm 406 */
										obj_t BgL_arg2105z00_2749;

										BgL_arg2105z00_2749 = CDR(((obj_t) BgL_bindingz00_2747));
										BgL_arg2104z00_2748 =
											BGl_aboundzd2nodezd2zzabound_walkz00(
											((BgL_nodez00_bglt) BgL_arg2105z00_2749));
									}
									{	/* Abound/walk.scm 406 */
										obj_t BgL_auxz00_3524;
										obj_t BgL_tmpz00_3522;

										BgL_auxz00_3524 = ((obj_t) BgL_arg2104z00_2748);
										BgL_tmpz00_3522 = ((obj_t) BgL_bindingz00_2747);
										SET_CDR(BgL_tmpz00_3522, BgL_auxz00_3524);
									}
								}
							}
							{
								obj_t BgL_l1357z00_3527;

								BgL_l1357z00_3527 = CDR(BgL_l1357z00_2746);
								BgL_l1357z00_2746 = BgL_l1357z00_3527;
								goto BgL_zc3z04anonymousza32102ze3z87_2745;
							}
						}
					else
						{	/* Abound/walk.scm 405 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3529;

				{	/* Abound/walk.scm 408 */
					BgL_nodez00_bglt BgL_arg2107z00_2750;

					BgL_arg2107z00_2750 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2649)))->BgL_bodyz00);
					BgL_auxz00_3529 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2107z00_2750);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2649)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3529), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2649));
		}

	}



/* &abound-node-let-fun1390 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2letzd2fun1390zb0zzabound_walkz00(obj_t
		BgL_envz00_2650, obj_t BgL_nodez00_2651)
	{
		{	/* Abound/walk.scm 394 */
			{	/* Abound/walk.scm 396 */
				obj_t BgL_g1356z00_2752;

				BgL_g1356z00_2752 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2651)))->BgL_localsz00);
				{
					obj_t BgL_l1354z00_2754;

					BgL_l1354z00_2754 = BgL_g1356z00_2752;
				BgL_zc3z04anonymousza32097ze3z87_2753:
					if (PAIRP(BgL_l1354z00_2754))
						{	/* Abound/walk.scm 396 */
							BGl_aboundzd2funz12zc0zzabound_walkz00(CAR(BgL_l1354z00_2754));
							{
								obj_t BgL_l1354z00_3543;

								BgL_l1354z00_3543 = CDR(BgL_l1354z00_2754);
								BgL_l1354z00_2754 = BgL_l1354z00_3543;
								goto BgL_zc3z04anonymousza32097ze3z87_2753;
							}
						}
					else
						{	/* Abound/walk.scm 396 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3545;

				{	/* Abound/walk.scm 397 */
					BgL_nodez00_bglt BgL_arg2101z00_2755;

					BgL_arg2101z00_2755 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2651)))->BgL_bodyz00);
					BgL_auxz00_3545 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2101z00_2755);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2651)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3545), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2651));
		}

	}



/* &abound-node-switch1388 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2switch1388z62zzabound_walkz00(obj_t
		BgL_envz00_2652, obj_t BgL_nodez00_2653)
	{
		{	/* Abound/walk.scm 383 */
			{
				BgL_nodez00_bglt BgL_auxz00_3553;

				{	/* Abound/walk.scm 385 */
					BgL_nodez00_bglt BgL_arg2091z00_2757;

					BgL_arg2091z00_2757 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2653)))->BgL_testz00);
					BgL_auxz00_3553 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2091z00_2757);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2653)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3553), BUNSPEC);
			}
			{	/* Abound/walk.scm 386 */
				obj_t BgL_g1353z00_2758;

				BgL_g1353z00_2758 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2653)))->BgL_clausesz00);
				{
					obj_t BgL_l1351z00_2760;

					BgL_l1351z00_2760 = BgL_g1353z00_2758;
				BgL_zc3z04anonymousza32092ze3z87_2759:
					if (PAIRP(BgL_l1351z00_2760))
						{	/* Abound/walk.scm 386 */
							{	/* Abound/walk.scm 387 */
								obj_t BgL_clausez00_2761;

								BgL_clausez00_2761 = CAR(BgL_l1351z00_2760);
								{	/* Abound/walk.scm 387 */
									BgL_nodez00_bglt BgL_arg2094z00_2762;

									{	/* Abound/walk.scm 387 */
										obj_t BgL_arg2095z00_2763;

										BgL_arg2095z00_2763 = CDR(((obj_t) BgL_clausez00_2761));
										BgL_arg2094z00_2762 =
											BGl_aboundzd2nodezd2zzabound_walkz00(
											((BgL_nodez00_bglt) BgL_arg2095z00_2763));
									}
									{	/* Abound/walk.scm 387 */
										obj_t BgL_auxz00_3570;
										obj_t BgL_tmpz00_3568;

										BgL_auxz00_3570 = ((obj_t) BgL_arg2094z00_2762);
										BgL_tmpz00_3568 = ((obj_t) BgL_clausez00_2761);
										SET_CDR(BgL_tmpz00_3568, BgL_auxz00_3570);
									}
								}
							}
							{
								obj_t BgL_l1351z00_3573;

								BgL_l1351z00_3573 = CDR(BgL_l1351z00_2760);
								BgL_l1351z00_2760 = BgL_l1351z00_3573;
								goto BgL_zc3z04anonymousza32092ze3z87_2759;
							}
						}
					else
						{	/* Abound/walk.scm 386 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2653));
		}

	}



/* &abound-node-fail1386 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2fail1386z62zzabound_walkz00(obj_t
		BgL_envz00_2654, obj_t BgL_nodez00_2655)
	{
		{	/* Abound/walk.scm 373 */
			{
				BgL_nodez00_bglt BgL_auxz00_3577;

				{	/* Abound/walk.scm 375 */
					BgL_nodez00_bglt BgL_arg2088z00_2765;

					BgL_arg2088z00_2765 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2655)))->BgL_procz00);
					BgL_auxz00_3577 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2088z00_2765);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2655)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3577), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3583;

				{	/* Abound/walk.scm 376 */
					BgL_nodez00_bglt BgL_arg2089z00_2766;

					BgL_arg2089z00_2766 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2655)))->BgL_msgz00);
					BgL_auxz00_3583 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2089z00_2766);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2655)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3583), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3589;

				{	/* Abound/walk.scm 377 */
					BgL_nodez00_bglt BgL_arg2090z00_2767;

					BgL_arg2090z00_2767 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2655)))->BgL_objz00);
					BgL_auxz00_3589 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2090z00_2767);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2655)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3589), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2655));
		}

	}



/* &abound-node-conditio1384 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2conditio1384z62zzabound_walkz00(obj_t
		BgL_envz00_2656, obj_t BgL_nodez00_2657)
	{
		{	/* Abound/walk.scm 363 */
			{
				BgL_nodez00_bglt BgL_auxz00_3597;

				{	/* Abound/walk.scm 365 */
					BgL_nodez00_bglt BgL_arg2085z00_2769;

					BgL_arg2085z00_2769 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2657)))->BgL_testz00);
					BgL_auxz00_3597 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2085z00_2769);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2657)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3597), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3603;

				{	/* Abound/walk.scm 366 */
					BgL_nodez00_bglt BgL_arg2086z00_2770;

					BgL_arg2086z00_2770 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2657)))->BgL_truez00);
					BgL_auxz00_3603 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2086z00_2770);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2657)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3603), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3609;

				{	/* Abound/walk.scm 367 */
					BgL_nodez00_bglt BgL_arg2087z00_2771;

					BgL_arg2087z00_2771 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2657)))->BgL_falsez00);
					BgL_auxz00_3609 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2087z00_2771);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2657)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3609), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2657));
		}

	}



/* &abound-node-setq1382 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2setq1382z62zzabound_walkz00(obj_t
		BgL_envz00_2658, obj_t BgL_nodez00_2659)
	{
		{	/* Abound/walk.scm 356 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2659)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_2659)))->
							BgL_valuez00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2659));
		}

	}



/* &abound-node-cast1380 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2cast1380z62zzabound_walkz00(obj_t
		BgL_envz00_2660, obj_t BgL_nodez00_2661)
	{
		{	/* Abound/walk.scm 349 */
			BGl_aboundzd2nodezd2zzabound_walkz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2661)))->BgL_argz00));
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2661));
		}

	}



/* &abound-node-vset!1378 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2vsetz121378z70zzabound_walkz00(obj_t
		BgL_envz00_2662, obj_t BgL_nodez00_2663)
	{
		{	/* Abound/walk.scm 297 */
			{

				{
					BgL_vsetz12z12_bglt BgL_nodez00_2778;

					{	/* Abound/walk.scm 297 */
						obj_t BgL_nextzd2method1377zd2_2776;

						BgL_nextzd2method1377zd2_2776 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_nodez00_2663)),
							BGl_aboundzd2nodezd2envz00zzabound_walkz00,
							BGl_vsetz12z12zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method1377zd2_2776)
							(BgL_nextzd2method1377zd2_2776,
							((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_2663)), BEOA);
					}
					if (
						(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2663)))->BgL_unsafez00))
						{	/* Abound/walk.scm 309 */
							return
								((BgL_nodez00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_2663));
						}
					else
						{	/* Abound/walk.scm 311 */
							BgL_nodez00_bglt BgL_nodez00_2788;

							BgL_nodez00_2778 = ((BgL_vsetz12z12_bglt) BgL_nodez00_2663);
							{	/* Abound/walk.scm 301 */
								obj_t BgL_arg2062z00_2779;
								obj_t BgL_arg2063z00_2780;
								obj_t BgL_arg2064z00_2781;
								BgL_typez00_bglt BgL_arg2065z00_2782;
								BgL_typez00_bglt BgL_arg2066z00_2783;
								BgL_typez00_bglt BgL_arg2068z00_2784;

								{	/* Abound/walk.scm 301 */
									obj_t BgL_pairz00_2785;

									BgL_pairz00_2785 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2778)))->
										BgL_exprza2za2);
									BgL_arg2062z00_2779 = CAR(BgL_pairz00_2785);
								}
								{	/* Abound/walk.scm 301 */
									obj_t BgL_pairz00_2786;

									BgL_pairz00_2786 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2778)))->
										BgL_exprza2za2);
									BgL_arg2063z00_2780 = CAR(CDR(BgL_pairz00_2786));
								}
								BgL_arg2064z00_2781 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_nodez00_2778)))->BgL_locz00);
								BgL_arg2065z00_2782 =
									(((BgL_vsetz12z12_bglt) COBJECT(BgL_nodez00_2778))->
									BgL_ftypez00);
								BgL_arg2066z00_2783 =
									(((BgL_vsetz12z12_bglt) COBJECT(BgL_nodez00_2778))->
									BgL_otypez00);
								BgL_arg2068z00_2784 =
									(((BgL_vsetz12z12_bglt) COBJECT(BgL_nodez00_2778))->
									BgL_vtypez00);
								BgL_nodez00_2788 =
									BGl_arrayzd2setz12zc0zzabound_walkz00((
										(BgL_nodezf2effectzf2_bglt) BgL_nodez00_2778),
									BgL_arg2062z00_2779, BgL_arg2063z00_2780, BgL_arg2064z00_2781,
									((obj_t) BgL_arg2065z00_2782), ((obj_t) BgL_arg2066z00_2783),
									((obj_t) BgL_arg2068z00_2784),
									BGl_proc2229z00zzabound_walkz00);
							}
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_2788);
							return BgL_nodez00_2788;
						}
				}
			}
		}

	}



/* &<@anonymous:2073> */
	BgL_vsetz12z12_bglt BGl_z62zc3z04anonymousza32073ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2664, BgL_nodezf2effectzf2_bglt BgL_nodez00_2665,
		obj_t BgL_vz00_2666, obj_t BgL_iz00_2667)
	{
		{	/* Abound/walk.scm 302 */
			{	/* Abound/walk.scm 304 */
				BgL_vsetz12z12_bglt BgL_new1161z00_2792;

				{	/* Abound/walk.scm 304 */
					BgL_vsetz12z12_bglt BgL_new1172z00_2793;

					BgL_new1172z00_2793 =
						((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vsetz12z12_bgl))));
					{	/* Abound/walk.scm 304 */
						long BgL_arg2081z00_2794;

						BgL_arg2081z00_2794 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1172z00_2793), BgL_arg2081z00_2794);
					}
					{	/* Abound/walk.scm 304 */
						BgL_objectz00_bglt BgL_tmpz00_3666;

						BgL_tmpz00_3666 = ((BgL_objectz00_bglt) BgL_new1172z00_2793);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3666, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1172z00_2793);
					BgL_new1161z00_2792 = BgL_new1172z00_2793;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1161z00_2792)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2665)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1161z00_2792)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2665)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1161z00_2792)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2665))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1161z00_2792)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2665))))->BgL_keyz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_3688;

					{	/* Abound/walk.scm 305 */
						obj_t BgL_arg2074z00_2795;

						{	/* Abound/walk.scm 305 */
							obj_t BgL_pairz00_2796;

							BgL_pairz00_2796 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vsetz12z12_bglt) BgL_nodez00_2665))))->
								BgL_exprza2za2);
							{	/* Abound/walk.scm 305 */
								obj_t BgL_pairz00_2797;

								{	/* Abound/walk.scm 305 */
									obj_t BgL_pairz00_2798;

									BgL_pairz00_2798 = CDR(BgL_pairz00_2796);
									BgL_pairz00_2797 = CDR(BgL_pairz00_2798);
								}
								BgL_arg2074z00_2795 = CAR(BgL_pairz00_2797);
						}}
						{	/* Abound/walk.scm 305 */
							obj_t BgL_list2075z00_2799;

							{	/* Abound/walk.scm 305 */
								obj_t BgL_arg2076z00_2800;

								{	/* Abound/walk.scm 305 */
									obj_t BgL_arg2077z00_2801;

									BgL_arg2077z00_2801 =
										MAKE_YOUNG_PAIR(BgL_arg2074z00_2795, BNIL);
									BgL_arg2076z00_2800 =
										MAKE_YOUNG_PAIR(BgL_iz00_2667, BgL_arg2077z00_2801);
								}
								BgL_list2075z00_2799 =
									MAKE_YOUNG_PAIR(BgL_vz00_2666, BgL_arg2076z00_2800);
							}
							BgL_auxz00_3688 = BgL_list2075z00_2799;
					}}
					((((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_new1161z00_2792)))->
							BgL_exprza2za2) = ((obj_t) BgL_auxz00_3688), BUNSPEC);
				}
				((((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_new1161z00_2792)))->BgL_effectz00) =
					((obj_t) (((BgL_externz00_bglt)
								COBJECT(((BgL_externz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2665))))->BgL_effectz00)), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1161z00_2792)))->BgL_czd2formatzd2) =
					((obj_t) (((BgL_privatez00_bglt)
								COBJECT(((BgL_privatez00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2665))))->BgL_czd2formatzd2)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1161z00_2792))->BgL_ftypez00) =
					((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2665))))->BgL_ftypez00)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1161z00_2792))->BgL_otypez00) =
					((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2665))))->BgL_otypez00)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1161z00_2792))->BgL_vtypez00) =
					((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2665))))->BgL_vtypez00)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1161z00_2792))->BgL_unsafez00) =
					((bool_t) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2665))))->BgL_unsafez00)), BUNSPEC);
				return BgL_new1161z00_2792;
			}
		}

	}



/* &abound-node-vref1376 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2vref1376z62zzabound_walkz00(obj_t
		BgL_envz00_2668, obj_t BgL_nodez00_2669)
	{
		{	/* Abound/walk.scm 248 */
			{

				{
					BgL_vrefz00_bglt BgL_nodez00_2806;

					{	/* Abound/walk.scm 248 */
						obj_t BgL_nextzd2method1375zd2_2804;

						BgL_nextzd2method1375zd2_2804 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_vrefz00_bglt) BgL_nodez00_2669)),
							BGl_aboundzd2nodezd2envz00zzabound_walkz00,
							BGl_vrefz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method1375zd2_2804)
							(BgL_nextzd2method1375zd2_2804,
							((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_2669)), BEOA);
					}
					if (
						(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2669)))->BgL_unsafez00))
						{	/* Abound/walk.scm 257 */
							return ((BgL_nodez00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_2669));
						}
					else
						{	/* Abound/walk.scm 259 */
							BgL_nodez00_bglt BgL_nodez00_2816;

							BgL_nodez00_2806 = ((BgL_vrefz00_bglt) BgL_nodez00_2669);
							{	/* Abound/walk.scm 252 */
								obj_t BgL_arg2045z00_2807;
								obj_t BgL_arg2046z00_2808;
								obj_t BgL_arg2047z00_2809;
								BgL_typez00_bglt BgL_arg2049z00_2810;
								BgL_typez00_bglt BgL_arg2050z00_2811;
								BgL_typez00_bglt BgL_arg2051z00_2812;

								{	/* Abound/walk.scm 252 */
									obj_t BgL_pairz00_2813;

									BgL_pairz00_2813 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2806)))->
										BgL_exprza2za2);
									BgL_arg2045z00_2807 = CAR(BgL_pairz00_2813);
								}
								{	/* Abound/walk.scm 252 */
									obj_t BgL_pairz00_2814;

									BgL_pairz00_2814 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2806)))->
										BgL_exprza2za2);
									BgL_arg2046z00_2808 = CAR(CDR(BgL_pairz00_2814));
								}
								BgL_arg2047z00_2809 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_nodez00_2806)))->BgL_locz00);
								BgL_arg2049z00_2810 =
									(((BgL_vrefz00_bglt) COBJECT(BgL_nodez00_2806))->
									BgL_ftypez00);
								BgL_arg2050z00_2811 =
									(((BgL_vrefz00_bglt) COBJECT(BgL_nodez00_2806))->
									BgL_otypez00);
								BgL_arg2051z00_2812 =
									(((BgL_vrefz00_bglt) COBJECT(BgL_nodez00_2806))->
									BgL_vtypez00);
								BgL_nodez00_2816 =
									BGl_arrayzd2refzd2zzabound_walkz00((
										(BgL_nodezf2effectzf2_bglt) BgL_nodez00_2806),
									BgL_arg2045z00_2807, BgL_arg2046z00_2808, BgL_arg2047z00_2809,
									BgL_arg2049z00_2810, ((obj_t) BgL_arg2050z00_2811),
									((obj_t) BgL_arg2051z00_2812),
									BGl_proc2230z00zzabound_walkz00);
							}
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_2816);
							return BgL_nodez00_2816;
						}
				}
			}
		}

	}



/* &<@anonymous:2055> */
	BgL_vrefz00_bglt BGl_z62zc3z04anonymousza32055ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2670, BgL_nodezf2effectzf2_bglt BgL_nodez00_2671,
		obj_t BgL_vz00_2672, obj_t BgL_iz00_2673)
	{
		{	/* Abound/walk.scm 253 */
			{	/* Abound/walk.scm 253 */
				BgL_vrefz00_bglt BgL_new1145z00_2820;

				{	/* Abound/walk.scm 253 */
					BgL_vrefz00_bglt BgL_new1157z00_2821;

					BgL_new1157z00_2821 =
						((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vrefz00_bgl))));
					{	/* Abound/walk.scm 253 */
						long BgL_arg2059z00_2822;

						BgL_arg2059z00_2822 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1157z00_2821), BgL_arg2059z00_2822);
					}
					{	/* Abound/walk.scm 253 */
						BgL_objectz00_bglt BgL_tmpz00_3762;

						BgL_tmpz00_3762 = ((BgL_objectz00_bglt) BgL_new1157z00_2821);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3762, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1157z00_2821);
					BgL_new1145z00_2820 = BgL_new1157z00_2821;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1145z00_2820)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2671)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1145z00_2820)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2671)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1145z00_2820)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2671))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1145z00_2820)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2671))))->BgL_keyz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_3784;

					{	/* Abound/walk.scm 253 */
						obj_t BgL_list2056z00_2823;

						{	/* Abound/walk.scm 253 */
							obj_t BgL_arg2058z00_2824;

							BgL_arg2058z00_2824 = MAKE_YOUNG_PAIR(BgL_iz00_2673, BNIL);
							BgL_list2056z00_2823 =
								MAKE_YOUNG_PAIR(BgL_vz00_2672, BgL_arg2058z00_2824);
						}
						BgL_auxz00_3784 = BgL_list2056z00_2823;
					}
					((((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_new1145z00_2820)))->
							BgL_exprza2za2) = ((obj_t) BgL_auxz00_3784), BUNSPEC);
				}
				((((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_new1145z00_2820)))->BgL_effectz00) =
					((obj_t) (((BgL_externz00_bglt)
								COBJECT(((BgL_externz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2671))))->BgL_effectz00)), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1145z00_2820)))->BgL_czd2formatzd2) =
					((obj_t) (((BgL_privatez00_bglt)
								COBJECT(((BgL_privatez00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2671))))->BgL_czd2formatzd2)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1145z00_2820))->BgL_ftypez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2671))))->BgL_ftypez00)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1145z00_2820))->BgL_otypez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2671))))->BgL_otypez00)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1145z00_2820))->BgL_vtypez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2671))))->BgL_vtypez00)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1145z00_2820))->BgL_unsafez00) =
					((bool_t) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2671))))->BgL_unsafez00)), BUNSPEC);
				return BgL_new1145z00_2820;
			}
		}

	}



/* &abound-node-extern1374 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2extern1374z62zzabound_walkz00(obj_t
		BgL_envz00_2674, obj_t BgL_nodez00_2675)
	{
		{	/* Abound/walk.scm 241 */
			BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2675)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2675));
		}

	}



/* &abound-node-funcall1372 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2funcall1372z62zzabound_walkz00(obj_t
		BgL_envz00_2676, obj_t BgL_nodez00_2677)
	{
		{	/* Abound/walk.scm 232 */
			{
				BgL_nodez00_bglt BgL_auxz00_3820;

				{	/* Abound/walk.scm 234 */
					BgL_nodez00_bglt BgL_arg2040z00_2827;

					BgL_arg2040z00_2827 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2677)))->BgL_funz00);
					BgL_auxz00_3820 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2040z00_2827);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2677)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3820), BUNSPEC);
			}
			BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2677)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2677));
		}

	}



/* &abound-node-app-ly1369 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2appzd2ly1369zb0zzabound_walkz00(obj_t
		BgL_envz00_2678, obj_t BgL_nodez00_2679)
	{
		{	/* Abound/walk.scm 223 */
			{
				BgL_nodez00_bglt BgL_auxz00_3831;

				{	/* Abound/walk.scm 225 */
					BgL_nodez00_bglt BgL_arg2037z00_2829;

					BgL_arg2037z00_2829 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2679)))->BgL_funz00);
					BgL_auxz00_3831 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2037z00_2829);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2679)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3831), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3837;

				{	/* Abound/walk.scm 226 */
					BgL_nodez00_bglt BgL_arg2039z00_2830;

					BgL_arg2039z00_2830 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2679)))->BgL_argz00);
					BgL_auxz00_3837 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2039z00_2830);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2679)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3837), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2679));
		}

	}



/* &abound-node-app1367 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2app1367z62zzabound_walkz00(obj_t
		BgL_envz00_2680, obj_t BgL_nodez00_2681)
	{
		{	/* Abound/walk.scm 143 */
			{
				BgL_appz00_bglt BgL_nodez00_2833;

				BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2681)))->BgL_argsz00));
				{	/* Abound/walk.scm 172 */
					BgL_variablez00_bglt BgL_vz00_2903;

					BgL_vz00_2903 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2681)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Abound/walk.scm 174 */
						bool_t BgL_test2313z00_3851;

						if (
							(((obj_t) BgL_vz00_2903) ==
								BGl_za2stringzd2refza2zd2zzabound_walkz00))
							{	/* Abound/walk.scm 174 */
								BgL_test2313z00_3851 = ((bool_t) 1);
							}
						else
							{	/* Abound/walk.scm 174 */
								BgL_test2313z00_3851 =
									(
									((obj_t) BgL_vz00_2903) ==
									BGl_za2stringzd2setz12za2zc0zzabound_walkz00);
							}
						if (BgL_test2313z00_3851)
							{	/* Abound/walk.scm 175 */
								BgL_nodez00_bglt BgL_nodez00_2904;

								BgL_nodez00_2833 = ((BgL_appz00_bglt) BgL_nodez00_2681);
								{	/* Abound/walk.scm 147 */
									obj_t BgL_sz00_2834;

									BgL_sz00_2834 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													42))));
									{	/* Abound/walk.scm 147 */
										obj_t BgL_iz00_2835;

										BgL_iz00_2835 =
											BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
											(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
														29))));
										{	/* Abound/walk.scm 148 */
											obj_t BgL_lz00_2836;

											BgL_lz00_2836 =
												BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
												(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 30))));
											{	/* Abound/walk.scm 149 */
												obj_t BgL_lnamez00_2837;

												{	/* Abound/walk.scm 150 */
													bool_t BgL_test2315z00_3866;

													{	/* Abound/walk.scm 150 */
														obj_t BgL_arg2032z00_2838;

														BgL_arg2032z00_2838 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_nodez00_2833)))->
															BgL_locz00);
														if (STRUCTP(BgL_arg2032z00_2838))
															{	/* Abound/walk.scm 150 */
																BgL_test2315z00_3866 =
																	(STRUCT_KEY(BgL_arg2032z00_2838) ==
																	CNST_TABLE_REF(((long) 31)));
															}
														else
															{	/* Abound/walk.scm 150 */
																BgL_test2315z00_3866 = ((bool_t) 0);
															}
													}
													if (BgL_test2315z00_3866)
														{	/* Abound/walk.scm 150 */
															obj_t BgL_arg2031z00_2839;

															BgL_arg2031z00_2839 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_nodez00_2833)))->
																BgL_locz00);
															BgL_lnamez00_2837 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_arg2031z00_2839);
														}
													else
														{	/* Abound/walk.scm 150 */
															BgL_lnamez00_2837 = BFALSE;
														}
												}
												{	/* Abound/walk.scm 150 */
													obj_t BgL_lposz00_2840;

													{	/* Abound/walk.scm 151 */
														bool_t BgL_test2317z00_3877;

														{	/* Abound/walk.scm 151 */
															obj_t BgL_arg2026z00_2841;

															BgL_arg2026z00_2841 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_nodez00_2833)))->
																BgL_locz00);
															if (STRUCTP(BgL_arg2026z00_2841))
																{	/* Abound/walk.scm 151 */
																	BgL_test2317z00_3877 =
																		(STRUCT_KEY(BgL_arg2026z00_2841) ==
																		CNST_TABLE_REF(((long) 31)));
																}
															else
																{	/* Abound/walk.scm 151 */
																	BgL_test2317z00_3877 = ((bool_t) 0);
																}
														}
														if (BgL_test2317z00_3877)
															{	/* Abound/walk.scm 151 */
																obj_t BgL_sz00_2842;

																BgL_sz00_2842 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt) BgL_nodez00_2833)))->
																	BgL_locz00);
																BgL_lposz00_2840 =
																	STRUCT_REF(BgL_sz00_2842, (int) (((long) 1)));
															}
														else
															{	/* Abound/walk.scm 151 */
																BgL_lposz00_2840 = BFALSE;
															}
													}
													{	/* Abound/walk.scm 151 */
														BgL_variablez00_bglt BgL_vz00_2843;

														BgL_vz00_2843 =
															(((BgL_varz00_bglt) COBJECT(
																	(((BgL_appz00_bglt)
																			COBJECT(BgL_nodez00_2833))->
																		BgL_funz00)))->BgL_variablez00);
														{	/* Abound/walk.scm 152 */
															obj_t BgL_namez00_2844;

															if (
																(((obj_t) BgL_vz00_2843) ==
																	BGl_za2stringzd2refza2zd2zzabound_walkz00))
																{	/* Abound/walk.scm 153 */
																	BgL_namez00_2844 =
																		BGl_string2231z00zzabound_walkz00;
																}
															else
																{	/* Abound/walk.scm 153 */
																	BgL_namez00_2844 =
																		BGl_string2232z00zzabound_walkz00;
																}
															{	/* Abound/walk.scm 153 */
																obj_t BgL_typesz00_2845;

																BgL_typesz00_2845 =
																	(((BgL_cfunz00_bglt) COBJECT(
																			((BgL_cfunz00_bglt)
																				(((BgL_variablez00_bglt)
																						COBJECT(BgL_vz00_2843))->
																					BgL_valuez00))))->BgL_argszd2typezd2);
																{	/* Abound/walk.scm 154 */

																	{	/* Abound/walk.scm 156 */
																		obj_t BgL_arg1959z00_2846;
																		obj_t BgL_arg1960z00_2847;

																		{	/* Abound/walk.scm 156 */
																			obj_t BgL_arg1961z00_2848;

																			{	/* Abound/walk.scm 156 */
																				obj_t BgL_arg1962z00_2849;
																				obj_t BgL_arg1964z00_2850;

																				{	/* Abound/walk.scm 156 */
																					obj_t BgL_arg1965z00_2851;
																					obj_t BgL_arg1966z00_2852;

																					{	/* Abound/walk.scm 156 */
																						obj_t BgL_arg1967z00_2853;
																						obj_t BgL_arg1968z00_2854;

																						{	/* Abound/walk.scm 156 */
																							obj_t BgL_arg1969z00_2855;

																							BgL_arg1969z00_2855 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											CAR(
																												((obj_t)
																													BgL_typesz00_2845)))))->
																								BgL_idz00);
																							BgL_arg1967z00_2853 =
																								BGl_makezd2typedzd2identz00zzast_identz00
																								(BgL_sz00_2834,
																								BgL_arg1969z00_2855);
																						}
																						BgL_arg1968z00_2854 =
																							MAKE_YOUNG_PAIR(CAR(
																								(((BgL_appz00_bglt)
																										COBJECT(BgL_nodez00_2833))->
																									BgL_argsz00)), BNIL);
																						BgL_arg1965z00_2851 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1967z00_2853,
																							BgL_arg1968z00_2854);
																					}
																					{	/* Abound/walk.scm 157 */
																						obj_t BgL_arg1973z00_2856;

																						{	/* Abound/walk.scm 157 */
																							obj_t BgL_arg1974z00_2857;
																							obj_t BgL_arg1975z00_2858;

																							{	/* Abound/walk.scm 157 */
																								obj_t BgL_arg1976z00_2859;

																								{
																									BgL_typez00_bglt
																										BgL_auxz00_3906;
																									{	/* Abound/walk.scm 157 */
																										obj_t BgL_pairz00_2860;

																										BgL_pairz00_2860 =
																											CDR(
																											((obj_t)
																												BgL_typesz00_2845));
																										BgL_auxz00_3906 =
																											((BgL_typez00_bglt)
																											CAR(BgL_pairz00_2860));
																									}
																									BgL_arg1976z00_2859 =
																										(((BgL_typez00_bglt)
																											COBJECT
																											(BgL_auxz00_3906))->
																										BgL_idz00);
																								}
																								BgL_arg1974z00_2857 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(BgL_iz00_2835,
																									BgL_arg1976z00_2859);
																							}
																							{	/* Abound/walk.scm 157 */
																								obj_t BgL_arg1978z00_2861;

																								{	/* Abound/walk.scm 157 */
																									obj_t BgL_pairz00_2862;

																									BgL_pairz00_2862 =
																										(((BgL_appz00_bglt)
																											COBJECT
																											(BgL_nodez00_2833))->
																										BgL_argsz00);
																									BgL_arg1978z00_2861 =
																										CAR(CDR(BgL_pairz00_2862));
																								}
																								BgL_arg1975z00_2858 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1978z00_2861, BNIL);
																							}
																							BgL_arg1973z00_2856 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1974z00_2857,
																								BgL_arg1975z00_2858);
																						}
																						BgL_arg1966z00_2852 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1973z00_2856, BNIL);
																					}
																					BgL_arg1962z00_2849 =
																						MAKE_YOUNG_PAIR(BgL_arg1965z00_2851,
																						BgL_arg1966z00_2852);
																				}
																				{	/* Abound/walk.scm 158 */
																					obj_t BgL_arg1980z00_2863;

																					{	/* Abound/walk.scm 158 */
																						obj_t BgL_arg1981z00_2864;

																						{	/* Abound/walk.scm 158 */
																							obj_t BgL_arg1982z00_2865;
																							obj_t BgL_arg1983z00_2866;

																							{	/* Abound/walk.scm 158 */
																								obj_t BgL_arg1984z00_2867;

																								{	/* Abound/walk.scm 158 */
																									obj_t BgL_arg1985z00_2868;
																									obj_t BgL_arg1986z00_2869;

																									{	/* Abound/walk.scm 158 */
																										obj_t BgL_arg1987z00_2870;

																										{
																											BgL_typez00_bglt
																												BgL_auxz00_3920;
																											{	/* Abound/walk.scm 158 */
																												obj_t BgL_pairz00_2871;

																												BgL_pairz00_2871 =
																													CDR(
																													((obj_t)
																														BgL_typesz00_2845));
																												BgL_auxz00_3920 =
																													((BgL_typez00_bglt)
																													CAR
																													(BgL_pairz00_2871));
																											}
																											BgL_arg1987z00_2870 =
																												(((BgL_typez00_bglt)
																													COBJECT
																													(BgL_auxz00_3920))->
																												BgL_idz00);
																										}
																										BgL_arg1985z00_2868 =
																											BGl_makezd2typedzd2identz00zzast_identz00
																											(BgL_lz00_2836,
																											BgL_arg1987z00_2870);
																									}
																									{	/* Abound/walk.scm 159 */
																										obj_t BgL_arg1989z00_2872;

																										{	/* Abound/walk.scm 159 */
																											obj_t BgL_arg1990z00_2873;

																											BgL_arg1990z00_2873 =
																												MAKE_YOUNG_PAIR
																												(BgL_sz00_2834, BNIL);
																											BgL_arg1989z00_2872 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														43)),
																												BgL_arg1990z00_2873);
																										}
																										BgL_arg1986z00_2869 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1989z00_2872,
																											BNIL);
																									}
																									BgL_arg1984z00_2867 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1985z00_2868,
																										BgL_arg1986z00_2869);
																								}
																								BgL_arg1982z00_2865 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1984z00_2867, BNIL);
																							}
																							{	/* Abound/walk.scm 160 */
																								obj_t BgL_arg1991z00_2874;

																								{	/* Abound/walk.scm 160 */
																									obj_t BgL_arg1992z00_2875;

																									{	/* Abound/walk.scm 160 */
																										obj_t BgL_arg1994z00_2876;
																										obj_t BgL_arg1995z00_2877;

																										{	/* Abound/walk.scm 160 */
																											obj_t BgL_arg1996z00_2878;

																											{	/* Abound/walk.scm 160 */
																												obj_t
																													BgL_arg1997z00_2879;
																												BgL_arg1997z00_2879 =
																													MAKE_YOUNG_PAIR
																													(BgL_lz00_2836, BNIL);
																												BgL_arg1996z00_2878 =
																													MAKE_YOUNG_PAIR
																													(BgL_iz00_2835,
																													BgL_arg1997z00_2879);
																											}
																											BgL_arg1994z00_2876 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														44)),
																												BgL_arg1996z00_2878);
																										}
																										{	/* Abound/walk.scm 161 */
																											BgL_appz00_bglt
																												BgL_arg1999z00_2880;
																											obj_t BgL_arg2000z00_2881;

																											{	/* Abound/walk.scm 161 */
																												BgL_appz00_bglt
																													BgL_new1112z00_2882;
																												{	/* Abound/walk.scm 162 */
																													BgL_appz00_bglt
																														BgL_new1119z00_2883;
																													BgL_new1119z00_2883 =
																														((BgL_appz00_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_appz00_bgl))));
																													{	/* Abound/walk.scm 162 */
																														long
																															BgL_arg2004z00_2884;
																														BgL_arg2004z00_2884
																															=
																															BGL_CLASS_NUM
																															(BGl_appz00zzast_nodez00);
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new1119z00_2883), BgL_arg2004z00_2884);
																													}
																													{	/* Abound/walk.scm 162 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_3941;
																														BgL_tmpz00_3941 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1119z00_2883);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_tmpz00_3941,
																															BFALSE);
																													}
																													((BgL_objectz00_bglt)
																														BgL_new1119z00_2883);
																													BgL_new1112z00_2882 =
																														BgL_new1119z00_2883;
																												}
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1112z00_2882)))->
																														BgL_locz00) =
																													((obj_t) ((
																																(BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_nodez00_2833)))->
																															BgL_locz00)),
																													BUNSPEC);
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1112z00_2882)))->
																														BgL_typez00) =
																													((BgL_typez00_bglt) ((
																																(BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_nodez00_2833)))->
																															BgL_typez00)),
																													BUNSPEC);
																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1112z00_2882)))->BgL_sidezd2effectzd2) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) BgL_nodez00_2833))))->BgL_sidezd2effectzd2)), BUNSPEC);
																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1112z00_2882)))->BgL_keyz00) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) BgL_nodez00_2833))))->BgL_keyz00)), BUNSPEC);
																												((((BgL_appz00_bglt)
																															COBJECT
																															(BgL_new1112z00_2882))->
																														BgL_funz00) =
																													((BgL_varz00_bglt) ((
																																(BgL_appz00_bglt)
																																COBJECT((
																																		(BgL_appz00_bglt)
																																		((BgL_nodez00_bglt) BgL_nodez00_2833))))->BgL_funz00)), BUNSPEC);
																												{
																													obj_t BgL_auxz00_3967;

																													{	/* Abound/walk.scm 162 */
																														obj_t
																															BgL_arg2001z00_2885;
																														{	/* Abound/walk.scm 162 */
																															obj_t
																																BgL_arg2002z00_2886;
																															{	/* Abound/walk.scm 162 */
																																obj_t
																																	BgL_pairz00_2887;
																																BgL_pairz00_2887
																																	=
																																	(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2833))->BgL_argsz00);
																																{	/* Abound/walk.scm 162 */
																																	obj_t
																																		BgL_pairz00_2888;
																																	BgL_pairz00_2888
																																		=
																																		CDR
																																		(BgL_pairz00_2887);
																																	BgL_arg2002z00_2886
																																		=
																																		CDR
																																		(BgL_pairz00_2888);
																															}}
																															BgL_arg2001z00_2885
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_iz00_2835,
																																BgL_arg2002z00_2886);
																														}
																														BgL_auxz00_3967 =
																															MAKE_YOUNG_PAIR
																															(BgL_sz00_2834,
																															BgL_arg2001z00_2885);
																													}
																													((((BgL_appz00_bglt)
																																COBJECT
																																(BgL_new1112z00_2882))->
																															BgL_argsz00) =
																														((obj_t)
																															BgL_auxz00_3967),
																														BUNSPEC);
																												}
																												((((BgL_appz00_bglt)
																															COBJECT
																															(BgL_new1112z00_2882))->
																														BgL_stackablez00) =
																													((obj_t) ((
																																(BgL_appz00_bglt)
																																COBJECT((
																																		(BgL_appz00_bglt)
																																		((BgL_nodez00_bglt) BgL_nodez00_2833))))->BgL_stackablez00)), BUNSPEC);
																												BgL_arg1999z00_2880 =
																													BgL_new1112z00_2882;
																											}
																											{	/* Abound/walk.scm 164 */
																												obj_t
																													BgL_arg2005z00_2889;
																												{	/* Abound/walk.scm 164 */
																													obj_t
																														BgL_arg2006z00_2890;
																													{	/* Abound/walk.scm 164 */
																														obj_t
																															BgL_arg2007z00_2891;
																														obj_t
																															BgL_arg2008z00_2892;
																														{	/* Abound/walk.scm 164 */
																															obj_t
																																BgL_arg2009z00_2893;
																															obj_t
																																BgL_arg2010z00_2894;
																															{	/* Abound/walk.scm 164 */
																																obj_t
																																	BgL_arg2011z00_2895;
																																{	/* Abound/walk.scm 164 */
																																	obj_t
																																		BgL_arg2012z00_2896;
																																	BgL_arg2012z00_2896
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				36)),
																																		BNIL);
																																	BgL_arg2011z00_2895
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				37)),
																																		BgL_arg2012z00_2896);
																																}
																																BgL_arg2009z00_2893
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 38)),
																																	BgL_arg2011z00_2895);
																															}
																															{	/* Abound/walk.scm 164 */
																																obj_t
																																	BgL_arg2013z00_2897;
																																{	/* Abound/walk.scm 164 */
																																	obj_t
																																		BgL_arg2014z00_2898;
																																	{	/* Abound/walk.scm 164 */
																																		obj_t
																																			BgL_arg2015z00_2899;
																																		{	/* Abound/walk.scm 164 */
																																			obj_t
																																				BgL_arg2016z00_2900;
																																			{	/* Abound/walk.scm 164 */
																																				obj_t
																																					BgL_arg2017z00_2901;
																																				BgL_arg2017z00_2901
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_iz00_2835,
																																					BNIL);
																																				BgL_arg2016z00_2900
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_lz00_2836,
																																					BgL_arg2017z00_2901);
																																			}
																																			BgL_arg2015z00_2899
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_sz00_2834,
																																				BgL_arg2016z00_2900);
																																		}
																																		BgL_arg2014z00_2898
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_namez00_2844,
																																			BgL_arg2015z00_2899);
																																	}
																																	BgL_arg2013z00_2897
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_lposz00_2840,
																																		BgL_arg2014z00_2898);
																																}
																																BgL_arg2010z00_2894
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_lnamez00_2837,
																																	BgL_arg2013z00_2897);
																															}
																															BgL_arg2007z00_2891
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg2009z00_2893,
																																BgL_arg2010z00_2894);
																														}
																														{	/* Abound/walk.scm 163 */
																															obj_t
																																BgL_arg2018z00_2902;
																															BgL_arg2018z00_2902
																																=
																																MAKE_YOUNG_PAIR
																																(BFALSE, BNIL);
																															BgL_arg2008z00_2892
																																=
																																MAKE_YOUNG_PAIR
																																(BFALSE,
																																BgL_arg2018z00_2902);
																														}
																														BgL_arg2006z00_2890
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2007z00_2891,
																															BgL_arg2008z00_2892);
																													}
																													BgL_arg2005z00_2889 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 39)),
																														BgL_arg2006z00_2890);
																												}
																												BgL_arg2000z00_2881 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2005z00_2889,
																													BNIL);
																											}
																											BgL_arg1995z00_2877 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_arg1999z00_2880),
																												BgL_arg2000z00_2881);
																										}
																										BgL_arg1992z00_2875 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1994z00_2876,
																											BgL_arg1995z00_2877);
																									}
																									BgL_arg1991z00_2874 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												40)),
																										BgL_arg1992z00_2875);
																								}
																								BgL_arg1983z00_2866 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1991z00_2874, BNIL);
																							}
																							BgL_arg1981z00_2864 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1982z00_2865,
																								BgL_arg1983z00_2866);
																						}
																						BgL_arg1980z00_2863 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 41)),
																							BgL_arg1981z00_2864);
																					}
																					BgL_arg1964z00_2850 =
																						MAKE_YOUNG_PAIR(BgL_arg1980z00_2863,
																						BNIL);
																				}
																				BgL_arg1961z00_2848 =
																					MAKE_YOUNG_PAIR(BgL_arg1962z00_2849,
																					BgL_arg1964z00_2850);
																			}
																			BgL_arg1959z00_2846 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						41)), BgL_arg1961z00_2848);
																		}
																		BgL_arg1960z00_2847 =
																			(((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_nodez00_2833)))->BgL_locz00);
																		BgL_nodez00_2904 =
																			BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_arg1959z00_2846,
																			BgL_arg1960z00_2847);
								}}}}}}}}}}
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_2904);
								return BgL_nodez00_2904;
							}
						else
							{	/* Abound/walk.scm 178 */
								bool_t BgL_test2320z00_4015;

								if (
									(((obj_t) BgL_vz00_2903) ==
										BGl_za2s8vectorzd2refza2zd2zzabound_walkz00))
									{	/* Abound/walk.scm 178 */
										BgL_test2320z00_4015 = ((bool_t) 1);
									}
								else
									{	/* Abound/walk.scm 178 */
										if (
											(((obj_t) BgL_vz00_2903) ==
												BGl_za2s16vectorzd2refza2zd2zzabound_walkz00))
											{	/* Abound/walk.scm 179 */
												BgL_test2320z00_4015 = ((bool_t) 1);
											}
										else
											{	/* Abound/walk.scm 179 */
												if (
													(((obj_t) BgL_vz00_2903) ==
														BGl_za2s32vectorzd2refza2zd2zzabound_walkz00))
													{	/* Abound/walk.scm 180 */
														BgL_test2320z00_4015 = ((bool_t) 1);
													}
												else
													{	/* Abound/walk.scm 180 */
														if (
															(((obj_t) BgL_vz00_2903) ==
																BGl_za2s64vectorzd2refza2zd2zzabound_walkz00))
															{	/* Abound/walk.scm 181 */
																BgL_test2320z00_4015 = ((bool_t) 1);
															}
														else
															{	/* Abound/walk.scm 181 */
																if (
																	(((obj_t) BgL_vz00_2903) ==
																		BGl_za2u8vectorzd2refza2zd2zzabound_walkz00))
																	{	/* Abound/walk.scm 182 */
																		BgL_test2320z00_4015 = ((bool_t) 1);
																	}
																else
																	{	/* Abound/walk.scm 182 */
																		if (
																			(((obj_t) BgL_vz00_2903) ==
																				BGl_za2u16vectorzd2refza2zd2zzabound_walkz00))
																			{	/* Abound/walk.scm 183 */
																				BgL_test2320z00_4015 = ((bool_t) 1);
																			}
																		else
																			{	/* Abound/walk.scm 183 */
																				if (
																					(((obj_t) BgL_vz00_2903) ==
																						BGl_za2u32vectorzd2refza2zd2zzabound_walkz00))
																					{	/* Abound/walk.scm 184 */
																						BgL_test2320z00_4015 = ((bool_t) 1);
																					}
																				else
																					{	/* Abound/walk.scm 184 */
																						if (
																							(((obj_t) BgL_vz00_2903) ==
																								BGl_za2u64vectorzd2refza2zd2zzabound_walkz00))
																							{	/* Abound/walk.scm 185 */
																								BgL_test2320z00_4015 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Abound/walk.scm 185 */
																								if (
																									(((obj_t) BgL_vz00_2903) ==
																										BGl_za2f32vectorzd2refza2zd2zzabound_walkz00))
																									{	/* Abound/walk.scm 186 */
																										BgL_test2320z00_4015 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Abound/walk.scm 186 */
																										BgL_test2320z00_4015 =
																											(
																											((obj_t) BgL_vz00_2903) ==
																											BGl_za2f64vectorzd2refza2zd2zzabound_walkz00);
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								if (BgL_test2320z00_4015)
									{	/* Abound/walk.scm 189 */
										BgL_nodez00_bglt BgL_arg1901z00_2905;

										{	/* Abound/walk.scm 190 */
											obj_t BgL_arg1904z00_2906;
											obj_t BgL_arg1905z00_2907;
											obj_t BgL_arg1906z00_2908;
											BgL_typez00_bglt BgL_arg1907z00_2909;
											obj_t BgL_arg1908z00_2910;
											obj_t BgL_arg1909z00_2911;

											BgL_arg1904z00_2906 =
												CAR(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2681)))->
													BgL_argsz00));
											{	/* Abound/walk.scm 190 */
												obj_t BgL_pairz00_2912;

												BgL_pairz00_2912 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2681)))->
													BgL_argsz00);
												BgL_arg1905z00_2907 = CAR(CDR(BgL_pairz00_2912));
											}
											BgL_arg1906z00_2908 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2681))))->
												BgL_locz00);
											BgL_arg1907z00_2909 =
												(((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
																BgL_vz00_2903))))->BgL_typez00);
											{	/* Abound/walk.scm 192 */
												obj_t BgL_pairz00_2913;

												BgL_pairz00_2913 =
													(((BgL_cfunz00_bglt) COBJECT(
															((BgL_cfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_vz00_2903))))->BgL_valuez00))))->
													BgL_argszd2typezd2);
												BgL_arg1908z00_2910 = CAR(CDR(BgL_pairz00_2913));
											}
											{	/* Abound/walk.scm 193 */
												obj_t BgL_pairz00_2914;

												BgL_pairz00_2914 =
													(((BgL_cfunz00_bglt) COBJECT(
															((BgL_cfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_vz00_2903))))->BgL_valuez00))))->
													BgL_argszd2typezd2);
												BgL_arg1909z00_2911 = CAR(BgL_pairz00_2914);
											}
											BgL_arg1901z00_2905 =
												BGl_arrayzd2refzd2zzabound_walkz00(
												((BgL_nodezf2effectzf2_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2681)),
												BgL_arg1904z00_2906, BgL_arg1905z00_2907,
												BgL_arg1906z00_2908, BgL_arg1907z00_2909,
												BgL_arg1908z00_2910, BgL_arg1909z00_2911,
												BGl_proc2233z00zzabound_walkz00);
										}
										return
											BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_arg1901z00_2905);
									}
								else
									{	/* Abound/walk.scm 197 */
										bool_t BgL_test2330z00_4075;

										if (
											(((obj_t) BgL_vz00_2903) ==
												BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00))
											{	/* Abound/walk.scm 197 */
												BgL_test2330z00_4075 = ((bool_t) 1);
											}
										else
											{	/* Abound/walk.scm 197 */
												if (
													(((obj_t) BgL_vz00_2903) ==
														BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00))
													{	/* Abound/walk.scm 198 */
														BgL_test2330z00_4075 = ((bool_t) 1);
													}
												else
													{	/* Abound/walk.scm 198 */
														if (
															(((obj_t) BgL_vz00_2903) ==
																BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00))
															{	/* Abound/walk.scm 199 */
																BgL_test2330z00_4075 = ((bool_t) 1);
															}
														else
															{	/* Abound/walk.scm 199 */
																if (
																	(((obj_t) BgL_vz00_2903) ==
																		BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00))
																	{	/* Abound/walk.scm 200 */
																		BgL_test2330z00_4075 = ((bool_t) 1);
																	}
																else
																	{	/* Abound/walk.scm 200 */
																		if (
																			(((obj_t) BgL_vz00_2903) ==
																				BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00))
																			{	/* Abound/walk.scm 201 */
																				BgL_test2330z00_4075 = ((bool_t) 1);
																			}
																		else
																			{	/* Abound/walk.scm 201 */
																				if (
																					(((obj_t) BgL_vz00_2903) ==
																						BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00))
																					{	/* Abound/walk.scm 202 */
																						BgL_test2330z00_4075 = ((bool_t) 1);
																					}
																				else
																					{	/* Abound/walk.scm 202 */
																						if (
																							(((obj_t) BgL_vz00_2903) ==
																								BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00))
																							{	/* Abound/walk.scm 203 */
																								BgL_test2330z00_4075 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Abound/walk.scm 203 */
																								if (
																									(((obj_t) BgL_vz00_2903) ==
																										BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00))
																									{	/* Abound/walk.scm 204 */
																										BgL_test2330z00_4075 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Abound/walk.scm 204 */
																										if (
																											(((obj_t) BgL_vz00_2903)
																												==
																												BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00))
																											{	/* Abound/walk.scm 205 */
																												BgL_test2330z00_4075 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Abound/walk.scm 205 */
																												BgL_test2330z00_4075 =
																													(
																													((obj_t)
																														BgL_vz00_2903) ==
																													BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00);
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										if (BgL_test2330z00_4075)
											{	/* Abound/walk.scm 208 */
												BgL_nodez00_bglt BgL_arg1933z00_2916;

												{	/* Abound/walk.scm 209 */
													obj_t BgL_arg1935z00_2917;
													obj_t BgL_arg1936z00_2918;
													obj_t BgL_arg1937z00_2919;
													obj_t BgL_arg1938z00_2920;
													obj_t BgL_arg1939z00_2921;
													obj_t BgL_arg1940z00_2922;

													BgL_arg1935z00_2917 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2681)))->
															BgL_argsz00));
													{	/* Abound/walk.scm 209 */
														obj_t BgL_pairz00_2923;

														BgL_pairz00_2923 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2681)))->
															BgL_argsz00);
														BgL_arg1936z00_2918 = CAR(CDR(BgL_pairz00_2923));
													}
													BgL_arg1937z00_2919 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_2681))))->
														BgL_locz00);
													{	/* Abound/walk.scm 210 */
														obj_t BgL_pairz00_2924;

														BgL_pairz00_2924 =
															(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_vz00_2903))))->
																			BgL_valuez00))))->BgL_argszd2typezd2);
														BgL_arg1938z00_2920 =
															CAR(CDR(CDR(BgL_pairz00_2924)));
													}
													{	/* Abound/walk.scm 211 */
														obj_t BgL_pairz00_2925;

														BgL_pairz00_2925 =
															(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_vz00_2903))))->
																			BgL_valuez00))))->BgL_argszd2typezd2);
														BgL_arg1939z00_2921 = CAR(CDR(BgL_pairz00_2925));
													}
													{	/* Abound/walk.scm 212 */
														obj_t BgL_pairz00_2926;

														BgL_pairz00_2926 =
															(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_vz00_2903))))->
																			BgL_valuez00))))->BgL_argszd2typezd2);
														BgL_arg1940z00_2922 = CAR(BgL_pairz00_2926);
													}
													BgL_arg1933z00_2916 =
														BGl_arrayzd2setz12zc0zzabound_walkz00(
														((BgL_nodezf2effectzf2_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2681)),
														BgL_arg1935z00_2917, BgL_arg1936z00_2918,
														BgL_arg1937z00_2919, BgL_arg1938z00_2920,
														BgL_arg1939z00_2921, BgL_arg1940z00_2922,
														BGl_proc2234z00zzabound_walkz00);
												}
												return
													BGl_lvtypezd2nodezd2zzast_lvtypez00
													(BgL_arg1933z00_2916);
											}
										else
											{	/* Abound/walk.scm 197 */
												return
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2681));
											}
									}
							}
					}
				}
			}
		}

	}



/* &<@anonymous:1918> */
	BgL_appz00_bglt BGl_z62zc3z04anonymousza31918ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2682, BgL_nodezf2effectzf2_bglt BgL_nodez00_2683,
		obj_t BgL_vz00_2684, obj_t BgL_iz00_2685)
	{
		{	/* Abound/walk.scm 194 */
			{	/* Abound/walk.scm 195 */
				BgL_appz00_bglt BgL_new1123z00_2931;

				{	/* Abound/walk.scm 195 */
					BgL_appz00_bglt BgL_new1130z00_2932;

					BgL_new1130z00_2932 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Abound/walk.scm 195 */
						long BgL_arg1922z00_2933;

						BgL_arg1922z00_2933 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1130z00_2932), BgL_arg1922z00_2933);
					}
					{	/* Abound/walk.scm 195 */
						BgL_objectz00_bglt BgL_tmpz00_4146;

						BgL_tmpz00_4146 = ((BgL_objectz00_bglt) BgL_new1130z00_2932);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4146, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1130z00_2932);
					BgL_new1123z00_2931 = BgL_new1130z00_2932;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1123z00_2931)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2683)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1123z00_2931)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2683)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1123z00_2931)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2683))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1123z00_2931)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2683))))->BgL_keyz00)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1123z00_2931))->BgL_funz00) =
					((BgL_varz00_bglt) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2683))))->BgL_funz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_4172;

					{	/* Abound/walk.scm 196 */
						obj_t BgL_list1919z00_2934;

						{	/* Abound/walk.scm 196 */
							obj_t BgL_arg1920z00_2935;

							BgL_arg1920z00_2935 = MAKE_YOUNG_PAIR(BgL_iz00_2685, BNIL);
							BgL_list1919z00_2934 =
								MAKE_YOUNG_PAIR(BgL_vz00_2684, BgL_arg1920z00_2935);
						}
						BgL_auxz00_4172 = BgL_list1919z00_2934;
					}
					((((BgL_appz00_bglt) COBJECT(BgL_new1123z00_2931))->BgL_argsz00) =
						((obj_t) BgL_auxz00_4172), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(BgL_new1123z00_2931))->BgL_stackablez00) =
					((obj_t) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2683))))->BgL_stackablez00)), BUNSPEC);
				return BgL_new1123z00_2931;
			}
		}

	}



/* &<@anonymous:1950> */
	BgL_appz00_bglt BGl_z62zc3z04anonymousza31950ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2686, BgL_nodezf2effectzf2_bglt BgL_nodez00_2687,
		obj_t BgL_vecz00_2688, obj_t BgL_iz00_2689)
	{
		{	/* Abound/walk.scm 213 */
			{	/* Abound/walk.scm 215 */
				BgL_appz00_bglt BgL_new1134z00_2939;

				{	/* Abound/walk.scm 215 */
					BgL_appz00_bglt BgL_new1141z00_2940;

					BgL_new1141z00_2940 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Abound/walk.scm 215 */
						long BgL_arg1956z00_2941;

						BgL_arg1956z00_2941 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1141z00_2940), BgL_arg1956z00_2941);
					}
					{	/* Abound/walk.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_4184;

						BgL_tmpz00_4184 = ((BgL_objectz00_bglt) BgL_new1141z00_2940);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4184, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1141z00_2940);
					BgL_new1134z00_2939 = BgL_new1141z00_2940;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1134z00_2939)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2687)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1134z00_2939)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2687)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1134z00_2939)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2687))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1134z00_2939)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2687))))->BgL_keyz00)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1134z00_2939))->BgL_funz00) =
					((BgL_varz00_bglt) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2687))))->BgL_funz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_4210;

					{	/* Abound/walk.scm 216 */
						obj_t BgL_arg1951z00_2942;

						{	/* Abound/walk.scm 216 */
							obj_t BgL_pairz00_2943;

							BgL_pairz00_2943 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2687)))->BgL_argsz00);
							{	/* Abound/walk.scm 216 */
								obj_t BgL_pairz00_2944;

								{	/* Abound/walk.scm 216 */
									obj_t BgL_pairz00_2945;

									BgL_pairz00_2945 = CDR(BgL_pairz00_2943);
									BgL_pairz00_2944 = CDR(BgL_pairz00_2945);
								}
								BgL_arg1951z00_2942 = CAR(BgL_pairz00_2944);
						}}
						{	/* Abound/walk.scm 216 */
							obj_t BgL_list1952z00_2946;

							{	/* Abound/walk.scm 216 */
								obj_t BgL_arg1953z00_2947;

								{	/* Abound/walk.scm 216 */
									obj_t BgL_arg1954z00_2948;

									BgL_arg1954z00_2948 =
										MAKE_YOUNG_PAIR(BgL_arg1951z00_2942, BNIL);
									BgL_arg1953z00_2947 =
										MAKE_YOUNG_PAIR(BgL_iz00_2689, BgL_arg1954z00_2948);
								}
								BgL_list1952z00_2946 =
									MAKE_YOUNG_PAIR(BgL_vecz00_2688, BgL_arg1953z00_2947);
							}
							BgL_auxz00_4210 = BgL_list1952z00_2946;
					}}
					((((BgL_appz00_bglt) COBJECT(BgL_new1134z00_2939))->BgL_argsz00) =
						((obj_t) BgL_auxz00_4210), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(BgL_new1134z00_2939))->BgL_stackablez00) =
					((obj_t) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2687))))->BgL_stackablez00)), BUNSPEC);
				return BgL_new1134z00_2939;
			}
		}

	}



/* &abound-node-sync1365 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2sync1365z62zzabound_walkz00(obj_t
		BgL_envz00_2690, obj_t BgL_nodez00_2691)
	{
		{	/* Abound/walk.scm 134 */
			{
				BgL_nodez00_bglt BgL_auxz00_4224;

				{	/* Abound/walk.scm 136 */
					BgL_nodez00_bglt BgL_arg1884z00_2950;

					BgL_arg1884z00_2950 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2691)))->BgL_mutexz00);
					BgL_auxz00_4224 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg1884z00_2950);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2691)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4224), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4230;

				{	/* Abound/walk.scm 137 */
					BgL_nodez00_bglt BgL_arg1885z00_2951;

					BgL_arg1885z00_2951 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2691)))->BgL_bodyz00);
					BgL_auxz00_4230 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg1885z00_2951);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2691)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4230), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2691));
		}

	}



/* &abound-node-sequence1363 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2sequence1363z62zzabound_walkz00(obj_t
		BgL_envz00_2692, obj_t BgL_nodez00_2693)
	{
		{	/* Abound/walk.scm 127 */
			BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2693)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2693));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzabound_walkz00()
	{
		{	/* Abound/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2235z00zzabound_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
