/*===========================================================================*/
/*   (Ast/hrtype.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/hrtype.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_hrtypez00 = BUNSPEC;
	static obj_t BGl_z62hrtypezd2nodez12zd2vlength1291z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2var1263z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2vsetz121289z62zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzast_hrtypez00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2fail1301z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_hrtypez00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_hrtypez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_z62hrtypezd2nodez12zd2setzd2exzd21309z70zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2app1269z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2cast1295z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2letzd2var1307za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2sync1267z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_hrtypez00();
	static obj_t BGl_z62hrtypezd2nodez12zd2boxzd2set1315za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2setq1297z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2boxzd2ref1317za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2funcall1273z70zzast_hrtypez00(obj_t,
		obj_t);
	static bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2conditi1299z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2makezd2bo1313za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_wideningz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2widenin1281z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2setfiel1279z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2sequenc1265z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_hrtypez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00();
	extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2instanc1293z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2vref1287z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00();
	static obj_t BGl_gczd2rootszd2initz00zzast_hrtypez00();
	static obj_t BGl_z62hrtypezd2nodez12zd2valloc1285z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2switch1303z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2appzd2ly1271za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2jumpzd2ex1311za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2getfiel1277z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2new1283z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2letzd2fun1305za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2extern1275z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62hrtypezd2nodez121260za2zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t
		BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt);
	static obj_t BGl_z62hrtypezd2nodez12za2zzast_hrtypez00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1915z00zzast_hrtypez00,
		BgL_bgl_string1915za700za7za7a1952za7, "hrtype-node!1260", 16);
	      DEFINE_STRING(BGl_string1917z00zzast_hrtypez00,
		BgL_bgl_string1917za700za7za7a1953za7, "hrtype-node!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1954z00,
		BGl_z62hrtypezd2nodez121260za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1955z00,
		BGl_z62hrtypezd2nodez12zd2var1263z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1956z00,
		BGl_z62hrtypezd2nodez12zd2sequenc1265z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1957z00,
		BGl_z62hrtypezd2nodez12zd2sync1267z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1958z00,
		BGl_z62hrtypezd2nodez12zd2app1269z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1959z00,
		BGl_z62hrtypezd2nodez12zd2appzd2ly1271za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1960z00,
		BGl_z62hrtypezd2nodez12zd2funcall1273z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1961z00,
		BGl_z62hrtypezd2nodez12zd2extern1275z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1962z00,
		BGl_z62hrtypezd2nodez12zd2getfiel1277z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1963z00,
		BGl_z62hrtypezd2nodez12zd2setfiel1279z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1964z00,
		BGl_z62hrtypezd2nodez12zd2widenin1281z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1965z00,
		BGl_z62hrtypezd2nodez12zd2new1283z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1966z00,
		BGl_z62hrtypezd2nodez12zd2valloc1285z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1967z00,
		BGl_z62hrtypezd2nodez12zd2vref1287z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1968z00,
		BGl_z62hrtypezd2nodez12zd2vsetz121289z62zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1969z00,
		BGl_z62hrtypezd2nodez12zd2vlength1291z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1970z00,
		BGl_z62hrtypezd2nodez12zd2instanc1293z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1971z00,
		BGl_z62hrtypezd2nodez12zd2cast1295z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1972z00,
		BGl_z62hrtypezd2nodez12zd2setq1297z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1973z00,
		BGl_z62hrtypezd2nodez12zd2conditi1299z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1974z00,
		BGl_z62hrtypezd2nodez12zd2fail1301z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1975z00,
		BGl_z62hrtypezd2nodez12zd2switch1303z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1976z00,
		BGl_z62hrtypezd2nodez12zd2letzd2fun1305za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1945z00zzast_hrtypez00,
		BgL_bgl_string1945za700za7za7a1977za7, "Illegal argument", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1978z00,
		BGl_z62hrtypezd2nodez12zd2letzd2var1307za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1946z00zzast_hrtypez00,
		BgL_bgl_string1946za700za7za7a1979za7, "heap", 4);
	      DEFINE_STRING(BGl_string1947z00zzast_hrtypez00,
		BgL_bgl_string1947za700za7za7a1980za7, "Can't find library variable", 27);
	      DEFINE_STRING(BGl_string1948z00zzast_hrtypez00,
		BgL_bgl_string1948za700za7za7a1981za7, "ast_hrtype", 10);
	      DEFINE_STRING(BGl_string1949z00zzast_hrtypez00,
		BgL_bgl_string1949za700za7za7a1982za7, "static sifun ", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1983z00,
		BGl_z62hrtypezd2nodez12zd2setzd2exzd21309z70zzast_hrtypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1984z00,
		BGl_z62hrtypezd2nodez12zd2jumpzd2ex1311za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1985z00,
		BGl_z62hrtypezd2nodez12zd2makezd2bo1313za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1986z00,
		BGl_z62hrtypezd2nodez12zd2boxzd2set1315za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1987z00,
		BGl_z62hrtypezd2nodez12zd2boxzd2ref1317za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1988z00,
		BGl_z62hrtypezd2nodez12za2zzast_hrtypez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_hrtypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long
		BgL_checksumz00_2932, char *BgL_fromz00_2933)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_hrtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_hrtypez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_hrtypez00();
					BGl_libraryzd2moduleszd2initz00zzast_hrtypez00();
					BGl_cnstzd2initzd2zzast_hrtypez00();
					BGl_importedzd2moduleszd2initz00zzast_hrtypez00();
					BGl_genericzd2initzd2zzast_hrtypez00();
					BGl_methodzd2initzd2zzast_hrtypez00();
					return BGl_toplevelzd2initzd2zzast_hrtypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_hrtype");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			{	/* Ast/hrtype.scm 17 */
				obj_t BgL_cportz00_2619;

				{	/* Ast/hrtype.scm 17 */
					obj_t BgL_stringz00_2627;

					BgL_stringz00_2627 = BGl_string1949z00zzast_hrtypez00;
					{	/* Ast/hrtype.scm 17 */
						obj_t BgL_startz00_2628;

						BgL_startz00_2628 = BINT(((long) 0));
						{	/* Ast/hrtype.scm 17 */
							obj_t BgL_endz00_2629;

							BgL_endz00_2629 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2627)));
							{	/* Ast/hrtype.scm 17 */

								BgL_cportz00_2619 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2627, BgL_startz00_2628, BgL_endz00_2629);
				}}}}
				{
					long BgL_iz00_2620;

					BgL_iz00_2620 = ((long) 1);
				BgL_loopz00_2621:
					if ((BgL_iz00_2620 == ((long) -1)))
						{	/* Ast/hrtype.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/hrtype.scm 17 */
							{	/* Ast/hrtype.scm 17 */
								obj_t BgL_arg1951z00_2623;

								{	/* Ast/hrtype.scm 17 */

									{	/* Ast/hrtype.scm 17 */
										obj_t BgL_locationz00_2625;

										BgL_locationz00_2625 = BBOOL(((bool_t) 0));
										{	/* Ast/hrtype.scm 17 */

											BgL_arg1951z00_2623 =
												BGl_readz00zz__readerz00(BgL_cportz00_2619,
												BgL_locationz00_2625);
										}
									}
								}
								{	/* Ast/hrtype.scm 17 */
									int BgL_tmpz00_2963;

									BgL_tmpz00_2963 = (int) (BgL_iz00_2620);
									CNST_TABLE_SET(BgL_tmpz00_2963, BgL_arg1951z00_2623);
							}}
							{	/* Ast/hrtype.scm 17 */
								int BgL_auxz00_2626;

								BgL_auxz00_2626 = (int) ((BgL_iz00_2620 - ((long) 1)));
								{
									long BgL_iz00_2968;

									BgL_iz00_2968 = (long) (BgL_auxz00_2626);
									BgL_iz00_2620 = BgL_iz00_2968;
									goto BgL_loopz00_2621;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			return BUNSPEC;
		}

	}



/* hrtype-node*! */
	bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t BgL_nodeza2za2_32)
	{
		{	/* Ast/hrtype.scm 385 */
			{
				obj_t BgL_l1258z00_1393;

				BgL_l1258z00_1393 = BgL_nodeza2za2_32;
			BgL_zc3z04anonymousza31322ze3z87_1394:
				if (PAIRP(BgL_l1258z00_1393))
					{	/* Ast/hrtype.scm 386 */
						{	/* Ast/hrtype.scm 386 */
							obj_t BgL_arg1324z00_1396;

							BgL_arg1324z00_1396 = CAR(BgL_l1258z00_1393);
							BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
								((BgL_nodez00_bglt) BgL_arg1324z00_1396));
						}
						{
							obj_t BgL_l1258z00_2976;

							BgL_l1258z00_2976 = CDR(BgL_l1258z00_1393);
							BgL_l1258z00_1393 = BgL_l1258z00_2976;
							goto BgL_zc3z04anonymousza31322ze3z87_1394;
						}
					}
				else
					{	/* Ast/hrtype.scm 386 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* restore-variable-type! */
	obj_t BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt
		BgL_variablez00_33)
	{
		{	/* Ast/hrtype.scm 391 */
			{	/* Ast/hrtype.scm 392 */
				BgL_typez00_bglt BgL_typez00_1399;

				BgL_typez00_1399 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_33))->BgL_typez00);
				{	/* Ast/hrtype.scm 393 */
					bool_t BgL_test1992z00_2979;

					{	/* Ast/hrtype.scm 393 */
						obj_t BgL_classz00_1901;

						BgL_classz00_1901 = BGl_typez00zztype_typez00;
						{	/* Ast/hrtype.scm 393 */
							BgL_objectz00_bglt BgL_arg1825z00_1903;

							{	/* Ast/hrtype.scm 393 */
								obj_t BgL_tmpz00_2980;

								BgL_tmpz00_2980 =
									((obj_t) ((BgL_objectz00_bglt) BgL_typez00_1399));
								BgL_arg1825z00_1903 = (BgL_objectz00_bglt) (BgL_tmpz00_2980);
							}
							{	/* Ast/hrtype.scm 393 */
								bool_t BgL_arg1822z00_1906;
								bool_t BgL_arg1823z00_1907;

								{	/* Ast/hrtype.scm 393 */
									long BgL_idxz00_1910;

									BgL_idxz00_1910 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_1903);
									BgL_arg1822z00_1906 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_1910 + ((long) 1))) == BgL_classz00_1901);
								}
								{	/* Ast/hrtype.scm 393 */
									bool_t BgL_res1892z00_1932;

									{	/* Ast/hrtype.scm 393 */
										obj_t BgL_oclassz00_1918;

										{	/* Ast/hrtype.scm 393 */
											long BgL_arg1833z00_1924;

											{	/* Ast/hrtype.scm 393 */
												long BgL_arg1834z00_1925;

												BgL_arg1834z00_1925 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_1903);
												BgL_arg1833z00_1924 =
													(BgL_arg1834z00_1925 - OBJECT_TYPE);
											}
											BgL_oclassz00_1918 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_1924);
										}
										{	/* Ast/hrtype.scm 393 */
											bool_t BgL__ortest_1110z00_1919;

											BgL__ortest_1110z00_1919 =
												(BgL_classz00_1901 == BgL_oclassz00_1918);
											if (BgL__ortest_1110z00_1919)
												{	/* Ast/hrtype.scm 393 */
													BgL_res1892z00_1932 = BgL__ortest_1110z00_1919;
												}
											else
												{	/* Ast/hrtype.scm 393 */
													long BgL_odepthz00_1920;

													BgL_odepthz00_1920 =
														BGL_CLASS_DEPTH(BgL_oclassz00_1918);
													if ((((long) 1) < BgL_odepthz00_1920))
														{	/* Ast/hrtype.scm 393 */
															obj_t BgL_arg1821z00_1922;

															BgL_arg1821z00_1922 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1918,
																((long) 1));
															BgL_res1892z00_1932 =
																(BgL_arg1821z00_1922 == BgL_classz00_1901);
														}
													else
														{	/* Ast/hrtype.scm 393 */
															BgL_res1892z00_1932 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_1907 = BgL_res1892z00_1932;
								}
								BgL_test1992z00_2979 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_1906, BgL_arg1823z00_1907);
							}
						}
					}
					if (BgL_test1992z00_2979)
						{	/* Ast/hrtype.scm 393 */
							return
								((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_33))->
									BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_findzd2typezd2zztype_envz00((((BgL_typez00_bglt)
												COBJECT(BgL_typez00_1399))->BgL_idz00))), BUNSPEC);
						}
					else
						{	/* Ast/hrtype.scm 393 */
							return BFALSE;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_proc1914z00zzast_hrtypez00, BGl_nodez00zzast_nodez00,
				BGl_string1915z00zzast_hrtypez00);
		}

	}



/* &hrtype-node!1260 */
	obj_t BGl_z62hrtypezd2nodez121260za2zzast_hrtypez00(obj_t BgL_envz00_2531,
		obj_t BgL_nodez00_2532)
	{
		{	/* Ast/hrtype.scm 32 */
			{	/* Ast/hrtype.scm 34 */
				bool_t BgL_test1995z00_3003;

				{	/* Ast/hrtype.scm 34 */
					BgL_typez00_bglt BgL_arg1340z00_2632;

					BgL_arg1340z00_2632 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_2532)))->BgL_typez00);
					{	/* Ast/hrtype.scm 34 */
						obj_t BgL_classz00_2633;

						BgL_classz00_2633 = BGl_typez00zztype_typez00;
						{	/* Ast/hrtype.scm 34 */
							BgL_objectz00_bglt BgL_arg1825z00_2634;

							{	/* Ast/hrtype.scm 34 */
								obj_t BgL_tmpz00_3006;

								BgL_tmpz00_3006 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1340z00_2632));
								BgL_arg1825z00_2634 = (BgL_objectz00_bglt) (BgL_tmpz00_3006);
							}
							{	/* Ast/hrtype.scm 34 */
								bool_t BgL_arg1822z00_2635;
								bool_t BgL_arg1823z00_2636;

								{	/* Ast/hrtype.scm 34 */
									long BgL_idxz00_2637;

									BgL_idxz00_2637 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2634);
									BgL_arg1822z00_2635 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2637 + ((long) 1))) == BgL_classz00_2633);
								}
								{	/* Ast/hrtype.scm 34 */
									bool_t BgL_res1893z00_2640;

									{	/* Ast/hrtype.scm 34 */
										obj_t BgL_oclassz00_2641;

										{	/* Ast/hrtype.scm 34 */
											long BgL_arg1833z00_2642;

											{	/* Ast/hrtype.scm 34 */
												long BgL_arg1834z00_2643;

												BgL_arg1834z00_2643 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2634);
												BgL_arg1833z00_2642 =
													(BgL_arg1834z00_2643 - OBJECT_TYPE);
											}
											BgL_oclassz00_2641 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_2642);
										}
										{	/* Ast/hrtype.scm 34 */
											bool_t BgL__ortest_1110z00_2644;

											BgL__ortest_1110z00_2644 =
												(BgL_classz00_2633 == BgL_oclassz00_2641);
											if (BgL__ortest_1110z00_2644)
												{	/* Ast/hrtype.scm 34 */
													BgL_res1893z00_2640 = BgL__ortest_1110z00_2644;
												}
											else
												{	/* Ast/hrtype.scm 34 */
													long BgL_odepthz00_2645;

													BgL_odepthz00_2645 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2641);
													if ((((long) 1) < BgL_odepthz00_2645))
														{	/* Ast/hrtype.scm 34 */
															obj_t BgL_arg1821z00_2646;

															BgL_arg1821z00_2646 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2641,
																((long) 1));
															BgL_res1893z00_2640 =
																(BgL_arg1821z00_2646 == BgL_classz00_2633);
														}
													else
														{	/* Ast/hrtype.scm 34 */
															BgL_res1893z00_2640 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_2636 = BgL_res1893z00_2640;
								}
								BgL_test1995z00_3003 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_2635, BgL_arg1823z00_2636);
							}
						}
					}
				}
				if (BgL_test1995z00_3003)
					{
						BgL_typez00_bglt BgL_auxz00_3025;

						{	/* Ast/hrtype.scm 35 */
							obj_t BgL_arg1338z00_2647;

							BgL_arg1338z00_2647 =
								(((BgL_typez00_bglt) COBJECT(
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_nodez00_2532)))->
											BgL_typez00)))->BgL_idz00);
							BgL_auxz00_3025 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg1338z00_2647);
						}
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_2532)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_3025), BUNSPEC);
					}
				else
					{	/* Ast/hrtype.scm 34 */
						return BFALSE;
					}
			}
		}

	}



/* hrtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		{	/* Ast/hrtype.scm 32 */
			{	/* Ast/hrtype.scm 32 */
				obj_t BgL_method1261z00_1413;

				{	/* Ast/hrtype.scm 32 */
					obj_t BgL_res1898z00_1999;

					{	/* Ast/hrtype.scm 32 */
						long BgL_objzd2classzd2numz00_1970;

						BgL_objzd2classzd2numz00_1970 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
						{	/* Ast/hrtype.scm 32 */
							obj_t BgL_arg1829z00_1971;

							BgL_arg1829z00_1971 =
								PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
								(int) (((long) 1)));
							{	/* Ast/hrtype.scm 32 */
								int BgL_offsetz00_1974;

								BgL_offsetz00_1974 = (int) (BgL_objzd2classzd2numz00_1970);
								{	/* Ast/hrtype.scm 32 */
									long BgL_offsetz00_1975;

									BgL_offsetz00_1975 =
										((long) (BgL_offsetz00_1974) - OBJECT_TYPE);
									{	/* Ast/hrtype.scm 32 */
										long BgL_modz00_1976;

										BgL_modz00_1976 =
											(BgL_offsetz00_1975 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/hrtype.scm 32 */
											long BgL_restz00_1978;

											BgL_restz00_1978 =
												(BgL_offsetz00_1975 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/hrtype.scm 32 */

												{	/* Ast/hrtype.scm 32 */
													obj_t BgL_bucketz00_1980;

													BgL_bucketz00_1980 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_1971), BgL_modz00_1976);
													BgL_res1898z00_1999 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1980), BgL_restz00_1978);
					}}}}}}}}
					BgL_method1261z00_1413 = BgL_res1898z00_1999;
				}
				return
					PROCEDURE_ENTRY(BgL_method1261z00_1413) (BgL_method1261z00_1413,
					((obj_t) BgL_nodez00_3), BEOA);
			}
		}

	}



/* &hrtype-node! */
	obj_t BGl_z62hrtypezd2nodez12za2zzast_hrtypez00(obj_t BgL_envz00_2533,
		obj_t BgL_nodez00_2534)
	{
		{	/* Ast/hrtype.scm 32 */
			return
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_2534));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_varz00zzast_nodez00,
				BGl_proc1916z00zzast_hrtypez00, BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1918z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_syncz00zzast_nodez00,
				BGl_proc1919z00zzast_hrtypez00, BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_appz00zzast_nodez00,
				BGl_proc1920z00zzast_hrtypez00, BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1921z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1922z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_externz00zzast_nodez00, BGl_proc1923z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_getfieldz00zzast_nodez00, BGl_proc1924z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_setfieldz00zzast_nodez00, BGl_proc1925z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_wideningz00zzast_nodez00, BGl_proc1926z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_newz00zzast_nodez00,
				BGl_proc1927z00zzast_hrtypez00, BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vallocz00zzast_nodez00, BGl_proc1928z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_vrefz00zzast_nodez00,
				BGl_proc1929z00zzast_hrtypez00, BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc1930z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vlengthz00zzast_nodez00, BGl_proc1931z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_instanceofz00zzast_nodez00, BGl_proc1932z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_castz00zzast_nodez00,
				BGl_proc1933z00zzast_hrtypez00, BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc1934z00zzast_hrtypez00, BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1935z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_failz00zzast_nodez00,
				BGl_proc1936z00zzast_hrtypez00, BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_switchz00zzast_nodez00, BGl_proc1937z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1938z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1939z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1940z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1941z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1942z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1943z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1944z00zzast_hrtypez00,
				BGl_string1917z00zzast_hrtypez00);
		}

	}



/* &hrtype-node!-box-ref1317 */
	obj_t BGl_z62hrtypezd2nodez12zd2boxzd2ref1317za2zzast_hrtypez00(obj_t
		BgL_envz00_2563, obj_t BgL_nodez00_2564)
	{
		{	/* Ast/hrtype.scm 377 */
			{

				{	/* Ast/hrtype.scm 379 */
					BgL_varz00_bglt BgL_arg1761z00_2651;

					BgL_arg1761z00_2651 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2564)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1761z00_2651));
				}
				{	/* Ast/hrtype.scm 377 */
					obj_t BgL_nextzd2method1316zd2_2650;

					BgL_nextzd2method1316zd2_2650 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2564)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_boxzd2refzd2zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1316zd2_2650)
						(BgL_nextzd2method1316zd2_2650,
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2564)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-box-set1315 */
	obj_t BGl_z62hrtypezd2nodez12zd2boxzd2set1315za2zzast_hrtypez00(obj_t
		BgL_envz00_2565, obj_t BgL_nodez00_2566)
	{
		{	/* Ast/hrtype.scm 368 */
			{

				{	/* Ast/hrtype.scm 370 */
					BgL_varz00_bglt BgL_arg1753z00_2655;

					BgL_arg1753z00_2655 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2566)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1753z00_2655));
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2566)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 368 */
					obj_t BgL_nextzd2method1314zd2_2654;

					BgL_nextzd2method1314zd2_2654 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2566)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_boxzd2setz12zc0zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1314zd2_2654)
						(BgL_nextzd2method1314zd2_2654,
						((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2566)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-make-bo1313 */
	obj_t BGl_z62hrtypezd2nodez12zd2makezd2bo1313za2zzast_hrtypez00(obj_t
		BgL_envz00_2567, obj_t BgL_nodez00_2568)
	{
		{	/* Ast/hrtype.scm 360 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2568)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 360 */
					obj_t BgL_nextzd2method1312zd2_2658;

					BgL_nextzd2method1312zd2_2658 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2568)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_makezd2boxzd2zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1312zd2_2658)
						(BgL_nextzd2method1312zd2_2658,
						((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2568)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-jump-ex1311 */
	obj_t BGl_z62hrtypezd2nodez12zd2jumpzd2ex1311za2zzast_hrtypez00(obj_t
		BgL_envz00_2569, obj_t BgL_nodez00_2570)
	{
		{	/* Ast/hrtype.scm 351 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2570)))->
						BgL_exitz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_jumpzd2exzd2itz00_bglt)
							COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2570)))->
						BgL_valuez00));
				{	/* Ast/hrtype.scm 351 */
					obj_t BgL_nextzd2method1310zd2_2661;

					BgL_nextzd2method1310zd2_2661 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2570)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_jumpzd2exzd2itz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1310zd2_2661)
						(BgL_nextzd2method1310zd2_2661,
						((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2570)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-set-ex-1309 */
	obj_t BGl_z62hrtypezd2nodez12zd2setzd2exzd21309z70zzast_hrtypez00(obj_t
		BgL_envz00_2571, obj_t BgL_nodez00_2572)
	{
		{	/* Ast/hrtype.scm 340 */
			{

				BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2572)))->
									BgL_varz00)))->BgL_variablez00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_setzd2exzd2itz00_bglt)
							COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2572)))->
						BgL_bodyz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_setzd2exzd2itz00_bglt)
							COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2572)))->
						BgL_onexitz00));
				{	/* Ast/hrtype.scm 345 */
					BgL_varz00_bglt BgL_arg1749z00_2665;

					BgL_arg1749z00_2665 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2572)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1749z00_2665));
				}
				{	/* Ast/hrtype.scm 340 */
					obj_t BgL_nextzd2method1308zd2_2664;

					BgL_nextzd2method1308zd2_2664 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2572)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setzd2exzd2itz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1308zd2_2664)
						(BgL_nextzd2method1308zd2_2664,
						((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2572)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-let-var1307 */
	obj_t BGl_z62hrtypezd2nodez12zd2letzd2var1307za2zzast_hrtypez00(obj_t
		BgL_envz00_2573, obj_t BgL_nodez00_2574)
	{
		{	/* Ast/hrtype.scm 326 */
			{

				{	/* Ast/hrtype.scm 328 */
					obj_t BgL_g1257z00_2669;

					BgL_g1257z00_2669 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2574)))->BgL_bindingsz00);
					{
						obj_t BgL_l1255z00_2671;

						BgL_l1255z00_2671 = BgL_g1257z00_2669;
					BgL_zc3z04anonymousza31740ze3z87_2670:
						if (PAIRP(BgL_l1255z00_2671))
							{	/* Ast/hrtype.scm 328 */
								{	/* Ast/hrtype.scm 329 */
									obj_t BgL_bindingz00_2672;

									BgL_bindingz00_2672 = CAR(BgL_l1255z00_2671);
									{	/* Ast/hrtype.scm 329 */
										obj_t BgL_varz00_2673;
										obj_t BgL_valz00_2674;

										BgL_varz00_2673 = CAR(((obj_t) BgL_bindingz00_2672));
										BgL_valz00_2674 = CDR(((obj_t) BgL_bindingz00_2672));
										BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
											((BgL_nodez00_bglt) BgL_valz00_2674));
										BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
											((BgL_variablez00_bglt) BgL_varz00_2673));
									}
								}
								{
									obj_t BgL_l1255z00_3184;

									BgL_l1255z00_3184 = CDR(BgL_l1255z00_2671);
									BgL_l1255z00_2671 = BgL_l1255z00_3184;
									goto BgL_zc3z04anonymousza31740ze3z87_2670;
								}
							}
						else
							{	/* Ast/hrtype.scm 328 */
								((bool_t) 1);
							}
					}
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2574)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 326 */
					obj_t BgL_nextzd2method1306zd2_2668;

					BgL_nextzd2method1306zd2_2668 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2574)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_letzd2varzd2zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1306zd2_2668)
						(BgL_nextzd2method1306zd2_2668,
						((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2574)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-let-fun1305 */
	obj_t BGl_z62hrtypezd2nodez12zd2letzd2fun1305za2zzast_hrtypez00(obj_t
		BgL_envz00_2575, obj_t BgL_nodez00_2576)
	{
		{	/* Ast/hrtype.scm 300 */
			{

				{	/* Ast/hrtype.scm 302 */
					obj_t BgL_g1254z00_2678;

					BgL_g1254z00_2678 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2576)))->BgL_localsz00);
					{
						obj_t BgL_l1252z00_2680;

						BgL_l1252z00_2680 = BgL_g1254z00_2678;
					BgL_zc3z04anonymousza31717ze3z87_2679:
						if (PAIRP(BgL_l1252z00_2680))
							{	/* Ast/hrtype.scm 302 */
								{	/* Ast/hrtype.scm 303 */
									obj_t BgL_localz00_2681;

									BgL_localz00_2681 = CAR(BgL_l1252z00_2680);
									{	/* Ast/hrtype.scm 303 */
										BgL_valuez00_bglt BgL_sfunz00_2682;

										BgL_sfunz00_2682 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2681))))->
											BgL_valuez00);
										{	/* Ast/hrtype.scm 304 */
											obj_t BgL_g1126z00_2683;

											BgL_g1126z00_2683 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2682)))->
												BgL_argsz00);
											{
												obj_t BgL_argsz00_2685;

												BgL_argsz00_2685 = BgL_g1126z00_2683;
											BgL_loopz00_2684:
												if (PAIRP(BgL_argsz00_2685))
													{	/* Ast/hrtype.scm 306 */
														obj_t BgL_argz00_2686;

														BgL_argz00_2686 = CAR(BgL_argsz00_2685);
														{	/* Ast/hrtype.scm 308 */
															bool_t BgL_test2001z00_3211;

															{	/* Ast/hrtype.scm 308 */
																obj_t BgL_classz00_2687;

																BgL_classz00_2687 = BGl_typez00zztype_typez00;
																if (BGL_OBJECTP(BgL_argz00_2686))
																	{	/* Ast/hrtype.scm 308 */
																		BgL_objectz00_bglt BgL_arg1825z00_2688;

																		BgL_arg1825z00_2688 =
																			(BgL_objectz00_bglt) (BgL_argz00_2686);
																		{	/* Ast/hrtype.scm 308 */
																			bool_t BgL_arg1822z00_2689;
																			bool_t BgL_arg1823z00_2690;

																			{	/* Ast/hrtype.scm 308 */
																				long BgL_idxz00_2691;

																				BgL_idxz00_2691 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_2688);
																				BgL_arg1822z00_2689 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2691 + ((long) 1))) ==
																					BgL_classz00_2687);
																			}
																			{	/* Ast/hrtype.scm 308 */
																				bool_t BgL_res1906z00_2694;

																				{	/* Ast/hrtype.scm 308 */
																					obj_t BgL_oclassz00_2695;

																					{	/* Ast/hrtype.scm 308 */
																						long BgL_arg1833z00_2696;

																						{	/* Ast/hrtype.scm 308 */
																							long BgL_arg1834z00_2697;

																							BgL_arg1834z00_2697 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_2688);
																							BgL_arg1833z00_2696 =
																								(BgL_arg1834z00_2697 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2695 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_2696);
																					}
																					{	/* Ast/hrtype.scm 308 */
																						bool_t BgL__ortest_1110z00_2698;

																						BgL__ortest_1110z00_2698 =
																							(BgL_classz00_2687 ==
																							BgL_oclassz00_2695);
																						if (BgL__ortest_1110z00_2698)
																							{	/* Ast/hrtype.scm 308 */
																								BgL_res1906z00_2694 =
																									BgL__ortest_1110z00_2698;
																							}
																						else
																							{	/* Ast/hrtype.scm 308 */
																								long BgL_odepthz00_2699;

																								BgL_odepthz00_2699 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2695);
																								if ((((long) 1) <
																										BgL_odepthz00_2699))
																									{	/* Ast/hrtype.scm 308 */
																										obj_t BgL_arg1821z00_2700;

																										BgL_arg1821z00_2700 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2695,
																											((long) 1));
																										BgL_res1906z00_2694 =
																											(BgL_arg1821z00_2700 ==
																											BgL_classz00_2687);
																									}
																								else
																									{	/* Ast/hrtype.scm 308 */
																										BgL_res1906z00_2694 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_2690 =
																					BgL_res1906z00_2694;
																			}
																			BgL_test2001z00_3211 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_2689,
																				BgL_arg1823z00_2690);
																		}
																	}
																else
																	{	/* Ast/hrtype.scm 308 */
																		BgL_test2001z00_3211 = ((bool_t) 0);
																	}
															}
															if (BgL_test2001z00_3211)
																{	/* Ast/hrtype.scm 309 */
																	BgL_typez00_bglt BgL_arg1723z00_2701;

																	{	/* Ast/hrtype.scm 309 */
																		obj_t BgL_arg1725z00_2702;

																		BgL_arg1725z00_2702 =
																			(((BgL_typez00_bglt) COBJECT(
																					((BgL_typez00_bglt)
																						BgL_argz00_2686)))->BgL_idz00);
																		BgL_arg1723z00_2701 =
																			BGl_findzd2typezd2zztype_envz00
																			(BgL_arg1725z00_2702);
																	}
																	{	/* Ast/hrtype.scm 309 */
																		obj_t BgL_tmpz00_3233;

																		BgL_tmpz00_3233 =
																			((obj_t) BgL_arg1723z00_2701);
																		SET_CAR(BgL_argsz00_2685, BgL_tmpz00_3233);
																	}
																}
															else
																{	/* Ast/hrtype.scm 310 */
																	bool_t BgL_test2005z00_3236;

																	{	/* Ast/hrtype.scm 310 */
																		obj_t BgL_classz00_2703;

																		BgL_classz00_2703 =
																			BGl_localz00zzast_varz00;
																		if (BGL_OBJECTP(BgL_argz00_2686))
																			{	/* Ast/hrtype.scm 310 */
																				BgL_objectz00_bglt BgL_arg1825z00_2704;

																				BgL_arg1825z00_2704 =
																					(BgL_objectz00_bglt)
																					(BgL_argz00_2686);
																				{	/* Ast/hrtype.scm 310 */
																					bool_t BgL_arg1822z00_2705;
																					bool_t BgL_arg1823z00_2706;

																					{	/* Ast/hrtype.scm 310 */
																						long BgL_idxz00_2707;

																						BgL_idxz00_2707 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1825z00_2704);
																						BgL_arg1822z00_2705 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2707 +
																									((long) 2))) ==
																							BgL_classz00_2703);
																					}
																					{	/* Ast/hrtype.scm 310 */
																						bool_t BgL_res1907z00_2710;

																						{	/* Ast/hrtype.scm 310 */
																							obj_t BgL_oclassz00_2711;

																							{	/* Ast/hrtype.scm 310 */
																								long BgL_arg1833z00_2712;

																								{	/* Ast/hrtype.scm 310 */
																									long BgL_arg1834z00_2713;

																									BgL_arg1834z00_2713 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1825z00_2704);
																									BgL_arg1833z00_2712 =
																										(BgL_arg1834z00_2713 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2711 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1833z00_2712);
																							}
																							{	/* Ast/hrtype.scm 310 */
																								bool_t BgL__ortest_1110z00_2714;

																								BgL__ortest_1110z00_2714 =
																									(BgL_classz00_2703 ==
																									BgL_oclassz00_2711);
																								if (BgL__ortest_1110z00_2714)
																									{	/* Ast/hrtype.scm 310 */
																										BgL_res1907z00_2710 =
																											BgL__ortest_1110z00_2714;
																									}
																								else
																									{	/* Ast/hrtype.scm 310 */
																										long BgL_odepthz00_2715;

																										BgL_odepthz00_2715 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_2711);
																										if ((((long) 2) <
																												BgL_odepthz00_2715))
																											{	/* Ast/hrtype.scm 310 */
																												obj_t
																													BgL_arg1821z00_2716;
																												BgL_arg1821z00_2716 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_2711,
																													((long) 2));
																												BgL_res1907z00_2710 =
																													(BgL_arg1821z00_2716
																													== BgL_classz00_2703);
																											}
																										else
																											{	/* Ast/hrtype.scm 310 */
																												BgL_res1907z00_2710 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_arg1823z00_2706 =
																							BgL_res1907z00_2710;
																					}
																					BgL_test2005z00_3236 =
																						BGL_ISA_C_BACKEND
																						(BgL_arg1822z00_2705,
																						BgL_arg1823z00_2706);
																				}
																			}
																		else
																			{	/* Ast/hrtype.scm 310 */
																				BgL_test2005z00_3236 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2005z00_3236)
																		{	/* Ast/hrtype.scm 310 */
																			BGl_restorezd2variablezd2typez12z12zzast_hrtypez00
																				(((BgL_variablez00_bglt)
																					BgL_argz00_2686));
																		}
																	else
																		{	/* Ast/hrtype.scm 310 */
																			BGl_errorz00zz__errorz00
																				(BGl_string1917z00zzast_hrtypez00,
																				BGl_string1945z00zzast_hrtypez00,
																				BGl_shapez00zztools_shapez00
																				(BgL_argz00_2686));
																		}
																}
														}
														{
															obj_t BgL_argsz00_3259;

															BgL_argsz00_3259 = CDR(BgL_argsz00_2685);
															BgL_argsz00_2685 = BgL_argsz00_3259;
															goto BgL_loopz00_2684;
														}
													}
												else
													{	/* Ast/hrtype.scm 305 */
														((bool_t) 0);
													}
											}
										}
										BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
											((BgL_variablez00_bglt) BgL_localz00_2681));
										{	/* Ast/hrtype.scm 318 */
											obj_t BgL_arg1731z00_2717;

											BgL_arg1731z00_2717 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2682)))->
												BgL_bodyz00);
											BGl_hrtypezd2nodez12zc0zzast_hrtypez00(((BgL_nodez00_bglt)
													BgL_arg1731z00_2717));
										}
									}
								}
								{
									obj_t BgL_l1252z00_3267;

									BgL_l1252z00_3267 = CDR(BgL_l1252z00_2680);
									BgL_l1252z00_2680 = BgL_l1252z00_3267;
									goto BgL_zc3z04anonymousza31717ze3z87_2679;
								}
							}
						else
							{	/* Ast/hrtype.scm 302 */
								((bool_t) 1);
							}
					}
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2576)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 300 */
					obj_t BgL_nextzd2method1304zd2_2677;

					BgL_nextzd2method1304zd2_2677 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2576)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_letzd2funzd2zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1304zd2_2677)
						(BgL_nextzd2method1304zd2_2677,
						((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2576)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-switch1303 */
	obj_t BGl_z62hrtypezd2nodez12zd2switch1303z70zzast_hrtypez00(obj_t
		BgL_envz00_2577, obj_t BgL_nodez00_2578)
	{
		{	/* Ast/hrtype.scm 288 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3281;

					{	/* Ast/hrtype.scm 290 */
						obj_t BgL_arg1706z00_2721;

						BgL_arg1706z00_2721 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_switchz00_bglt) COBJECT(
												((BgL_switchz00_bglt) BgL_nodez00_2578)))->
										BgL_itemzd2typezd2)))->BgL_idz00);
						BgL_auxz00_3281 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1706z00_2721);
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2578)))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_3281), BUNSPEC);
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2578)))->BgL_testz00));
				{	/* Ast/hrtype.scm 292 */
					obj_t BgL_g1251z00_2722;

					BgL_g1251z00_2722 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2578)))->BgL_clausesz00);
					{
						obj_t BgL_l1249z00_2724;

						BgL_l1249z00_2724 = BgL_g1251z00_2722;
					BgL_zc3z04anonymousza31713ze3z87_2723:
						if (PAIRP(BgL_l1249z00_2724))
							{	/* Ast/hrtype.scm 292 */
								{	/* Ast/hrtype.scm 293 */
									obj_t BgL_clausez00_2725;

									BgL_clausez00_2725 = CAR(BgL_l1249z00_2724);
									{	/* Ast/hrtype.scm 293 */
										obj_t BgL_arg1715z00_2726;

										BgL_arg1715z00_2726 = CDR(((obj_t) BgL_clausez00_2725));
										BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
											((BgL_nodez00_bglt) BgL_arg1715z00_2726));
									}
								}
								{
									obj_t BgL_l1249z00_3300;

									BgL_l1249z00_3300 = CDR(BgL_l1249z00_2724);
									BgL_l1249z00_2724 = BgL_l1249z00_3300;
									goto BgL_zc3z04anonymousza31713ze3z87_2723;
								}
							}
						else
							{	/* Ast/hrtype.scm 292 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/hrtype.scm 288 */
					obj_t BgL_nextzd2method1302zd2_2720;

					BgL_nextzd2method1302zd2_2720 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt) BgL_nodez00_2578)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_switchz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1302zd2_2720)
						(BgL_nextzd2method1302zd2_2720,
						((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2578)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-fail1301 */
	obj_t BGl_z62hrtypezd2nodez12zd2fail1301z70zzast_hrtypez00(obj_t
		BgL_envz00_2579, obj_t BgL_nodez00_2580)
	{
		{	/* Ast/hrtype.scm 278 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2580)))->BgL_procz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2580)))->BgL_msgz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2580)))->BgL_objz00));
				{	/* Ast/hrtype.scm 278 */
					obj_t BgL_nextzd2method1300zd2_2729;

					BgL_nextzd2method1300zd2_2729 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt) BgL_nodez00_2580)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_failz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1300zd2_2729)
						(BgL_nextzd2method1300zd2_2729,
						((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2580)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-conditi1299 */
	obj_t BGl_z62hrtypezd2nodez12zd2conditi1299z70zzast_hrtypez00(obj_t
		BgL_envz00_2581, obj_t BgL_nodez00_2582)
	{
		{	/* Ast/hrtype.scm 268 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2582)))->BgL_testz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2582)))->BgL_truez00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2582)))->BgL_falsez00));
				{	/* Ast/hrtype.scm 268 */
					obj_t BgL_nextzd2method1298zd2_2732;

					BgL_nextzd2method1298zd2_2732 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_2582)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_conditionalz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1298zd2_2732)
						(BgL_nextzd2method1298zd2_2732,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_2582)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-setq1297 */
	obj_t BGl_z62hrtypezd2nodez12zd2setq1297z70zzast_hrtypez00(obj_t
		BgL_envz00_2583, obj_t BgL_nodez00_2584)
	{
		{	/* Ast/hrtype.scm 259 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2584)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 262 */
					BgL_varz00_bglt BgL_arg1681z00_2736;

					BgL_arg1681z00_2736 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2584)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1681z00_2736));
				}
				{	/* Ast/hrtype.scm 259 */
					obj_t BgL_nextzd2method1296zd2_2735;

					BgL_nextzd2method1296zd2_2735 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt) BgL_nodez00_2584)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setqz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1296zd2_2735)
						(BgL_nextzd2method1296zd2_2735,
						((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2584)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-cast1295 */
	obj_t BGl_z62hrtypezd2nodez12zd2cast1295z70zzast_hrtypez00(obj_t
		BgL_envz00_2585, obj_t BgL_nodez00_2586)
	{
		{	/* Ast/hrtype.scm 251 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2586)))->BgL_argz00));
				{	/* Ast/hrtype.scm 251 */
					obj_t BgL_nextzd2method1294zd2_2739;

					BgL_nextzd2method1294zd2_2739 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_castz00_bglt) BgL_nodez00_2586)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_castz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1294zd2_2739)
						(BgL_nextzd2method1294zd2_2739,
						((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2586)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-instanc1293 */
	obj_t BGl_z62hrtypezd2nodez12zd2instanc1293z70zzast_hrtypez00(obj_t
		BgL_envz00_2587, obj_t BgL_nodez00_2588)
	{
		{	/* Ast/hrtype.scm 243 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3375;

					{	/* Ast/hrtype.scm 245 */
						obj_t BgL_arg1675z00_2743;

						BgL_arg1675z00_2743 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_instanceofz00_bglt) COBJECT(
												((BgL_instanceofz00_bglt) BgL_nodez00_2588)))->
										BgL_classz00)))->BgL_idz00);
						BgL_auxz00_3375 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1675z00_2743);
					}
					((((BgL_instanceofz00_bglt) COBJECT(
									((BgL_instanceofz00_bglt) BgL_nodez00_2588)))->BgL_classz00) =
						((BgL_typez00_bglt) BgL_auxz00_3375), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 243 */
					obj_t BgL_nextzd2method1292zd2_2742;

					BgL_nextzd2method1292zd2_2742 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_2588)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_instanceofz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1292zd2_2742)
						(BgL_nextzd2method1292zd2_2742,
						((obj_t) ((BgL_instanceofz00_bglt) BgL_nodez00_2588)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-vlength1291 */
	obj_t BGl_z62hrtypezd2nodez12zd2vlength1291z70zzast_hrtypez00(obj_t
		BgL_envz00_2589, obj_t BgL_nodez00_2590)
	{
		{	/* Ast/hrtype.scm 235 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3391;

					{	/* Ast/hrtype.scm 237 */
						obj_t BgL_arg1667z00_2747;

						BgL_arg1667z00_2747 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vlengthz00_bglt) COBJECT(
												((BgL_vlengthz00_bglt) BgL_nodez00_2590)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_3391 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1667z00_2747);
					}
					((((BgL_vlengthz00_bglt) COBJECT(
									((BgL_vlengthz00_bglt) BgL_nodez00_2590)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3391), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 235 */
					obj_t BgL_nextzd2method1290zd2_2746;

					BgL_nextzd2method1290zd2_2746 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt) BgL_nodez00_2590)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vlengthz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1290zd2_2746)
						(BgL_nextzd2method1290zd2_2746,
						((obj_t) ((BgL_vlengthz00_bglt) BgL_nodez00_2590)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-vset!1289 */
	obj_t BGl_z62hrtypezd2nodez12zd2vsetz121289z62zzast_hrtypez00(obj_t
		BgL_envz00_2591, obj_t BgL_nodez00_2592)
	{
		{	/* Ast/hrtype.scm 225 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3407;

					{	/* Ast/hrtype.scm 227 */
						obj_t BgL_arg1647z00_2751;

						BgL_arg1647z00_2751 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2592)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3407 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1647z00_2751);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2592)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3407), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3414;

					{	/* Ast/hrtype.scm 228 */
						obj_t BgL_arg1656z00_2752;

						BgL_arg1656z00_2752 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2592)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3414 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1656z00_2752);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2592)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3414), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3421;

					{	/* Ast/hrtype.scm 229 */
						obj_t BgL_arg1660z00_2753;

						BgL_arg1660z00_2753 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2592)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_3421 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1660z00_2753);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2592)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3421), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 225 */
					obj_t BgL_nextzd2method1288zd2_2750;

					BgL_nextzd2method1288zd2_2750 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_2592)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vsetz12z12zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1288zd2_2750)
						(BgL_nextzd2method1288zd2_2750,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_2592)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-vref1287 */
	obj_t BGl_z62hrtypezd2nodez12zd2vref1287z70zzast_hrtypez00(obj_t
		BgL_envz00_2593, obj_t BgL_nodez00_2594)
	{
		{	/* Ast/hrtype.scm 215 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3437;

					{	/* Ast/hrtype.scm 217 */
						obj_t BgL_arg1619z00_2757;

						BgL_arg1619z00_2757 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2594)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3437 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1619z00_2757);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2594)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3437), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3444;

					{	/* Ast/hrtype.scm 218 */
						obj_t BgL_arg1621z00_2758;

						BgL_arg1621z00_2758 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2594)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3444 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1621z00_2758);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2594)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3444), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3451;

					{	/* Ast/hrtype.scm 219 */
						obj_t BgL_arg1633z00_2759;

						BgL_arg1633z00_2759 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2594)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_3451 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1633z00_2759);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2594)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3451), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 215 */
					obj_t BgL_nextzd2method1286zd2_2756;

					BgL_nextzd2method1286zd2_2756 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_2594)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vrefz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1286zd2_2756)
						(BgL_nextzd2method1286zd2_2756,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_2594)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-valloc1285 */
	obj_t BGl_z62hrtypezd2nodez12zd2valloc1285z70zzast_hrtypez00(obj_t
		BgL_envz00_2595, obj_t BgL_nodez00_2596)
	{
		{	/* Ast/hrtype.scm 206 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3467;

					{	/* Ast/hrtype.scm 208 */
						obj_t BgL_arg1604z00_2763;

						BgL_arg1604z00_2763 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vallocz00_bglt) COBJECT(
												((BgL_vallocz00_bglt) BgL_nodez00_2596)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3467 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1604z00_2763);
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_2596)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3467), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3474;

					{	/* Ast/hrtype.scm 209 */
						obj_t BgL_arg1612z00_2764;

						BgL_arg1612z00_2764 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vallocz00_bglt) COBJECT(
												((BgL_vallocz00_bglt) BgL_nodez00_2596)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3474 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1612z00_2764);
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_2596)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3474), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 206 */
					obj_t BgL_nextzd2method1284zd2_2762;

					BgL_nextzd2method1284zd2_2762 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) BgL_nodez00_2596)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vallocz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1284zd2_2762)
						(BgL_nextzd2method1284zd2_2762,
						((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_2596)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-new1283 */
	obj_t BGl_z62hrtypezd2nodez12zd2new1283z70zzast_hrtypez00(obj_t
		BgL_envz00_2597, obj_t BgL_nodez00_2598)
	{
		{	/* Ast/hrtype.scm 198 */
			{

				{
					obj_t BgL_auxz00_3490;

					{	/* Ast/hrtype.scm 200 */
						obj_t BgL_l01248z00_2768;

						BgL_l01248z00_2768 =
							(((BgL_newz00_bglt) COBJECT(
									((BgL_newz00_bglt) BgL_nodez00_2598)))->BgL_argszd2typezd2);
						{
							obj_t BgL_l1247z00_2770;

							BgL_l1247z00_2770 = BgL_l01248z00_2768;
						BgL_zc3z04anonymousza31596ze3z87_2769:
							if (NULLP(BgL_l1247z00_2770))
								{	/* Ast/hrtype.scm 200 */
									BgL_auxz00_3490 = BgL_l01248z00_2768;
								}
							else
								{	/* Ast/hrtype.scm 200 */
									{	/* Ast/hrtype.scm 200 */
										BgL_typez00_bglt BgL_arg1601z00_2771;

										{	/* Ast/hrtype.scm 200 */
											obj_t BgL_tz00_2772;

											BgL_tz00_2772 = CAR(((obj_t) BgL_l1247z00_2770));
											{	/* Ast/hrtype.scm 200 */
												obj_t BgL_arg1602z00_2773;

												BgL_arg1602z00_2773 =
													(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_tz00_2772)))->BgL_idz00);
												BgL_arg1601z00_2771 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg1602z00_2773);
											}
										}
										{	/* Ast/hrtype.scm 200 */
											obj_t BgL_auxz00_3503;
											obj_t BgL_tmpz00_3501;

											BgL_auxz00_3503 = ((obj_t) BgL_arg1601z00_2771);
											BgL_tmpz00_3501 = ((obj_t) BgL_l1247z00_2770);
											SET_CAR(BgL_tmpz00_3501, BgL_auxz00_3503);
										}
									}
									{	/* Ast/hrtype.scm 200 */
										obj_t BgL_arg1603z00_2774;

										BgL_arg1603z00_2774 = CDR(((obj_t) BgL_l1247z00_2770));
										{
											obj_t BgL_l1247z00_3508;

											BgL_l1247z00_3508 = BgL_arg1603z00_2774;
											BgL_l1247z00_2770 = BgL_l1247z00_3508;
											goto BgL_zc3z04anonymousza31596ze3z87_2769;
										}
									}
								}
						}
					}
					((((BgL_newz00_bglt) COBJECT(
									((BgL_newz00_bglt) BgL_nodez00_2598)))->BgL_argszd2typezd2) =
						((obj_t) BgL_auxz00_3490), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 198 */
					obj_t BgL_nextzd2method1282zd2_2767;

					BgL_nextzd2method1282zd2_2767 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt) BgL_nodez00_2598)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_newz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1282zd2_2767)
						(BgL_nextzd2method1282zd2_2767,
						((obj_t) ((BgL_newz00_bglt) BgL_nodez00_2598)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-widenin1281 */
	obj_t BGl_z62hrtypezd2nodez12zd2widenin1281z70zzast_hrtypez00(obj_t
		BgL_envz00_2599, obj_t BgL_nodez00_2600)
	{
		{	/* Ast/hrtype.scm 190 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3519;

					{	/* Ast/hrtype.scm 192 */
						obj_t BgL_arg1588z00_2778;

						BgL_arg1588z00_2778 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_wideningz00_bglt) COBJECT(
												((BgL_wideningz00_bglt) BgL_nodez00_2600)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3519 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1588z00_2778);
					}
					((((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt) BgL_nodez00_2600)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3519), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 190 */
					obj_t BgL_nextzd2method1280zd2_2777;

					BgL_nextzd2method1280zd2_2777 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_wideningz00_bglt) BgL_nodez00_2600)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_wideningz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1280zd2_2777)
						(BgL_nextzd2method1280zd2_2777,
						((obj_t) ((BgL_wideningz00_bglt) BgL_nodez00_2600)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-setfiel1279 */
	obj_t BGl_z62hrtypezd2nodez12zd2setfiel1279z70zzast_hrtypez00(obj_t
		BgL_envz00_2601, obj_t BgL_nodez00_2602)
	{
		{	/* Ast/hrtype.scm 181 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3535;

					{	/* Ast/hrtype.scm 183 */
						obj_t BgL_arg1583z00_2782;

						BgL_arg1583z00_2782 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_setfieldz00_bglt) COBJECT(
												((BgL_setfieldz00_bglt) BgL_nodez00_2602)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3535 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1583z00_2782);
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_nodez00_2602)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3535), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3542;

					{	/* Ast/hrtype.scm 184 */
						obj_t BgL_arg1585z00_2783;

						BgL_arg1585z00_2783 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_setfieldz00_bglt) COBJECT(
												((BgL_setfieldz00_bglt) BgL_nodez00_2602)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3542 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1585z00_2783);
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_nodez00_2602)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3542), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 181 */
					obj_t BgL_nextzd2method1278zd2_2781;

					BgL_nextzd2method1278zd2_2781 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt) BgL_nodez00_2602)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setfieldz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1278zd2_2781)
						(BgL_nextzd2method1278zd2_2781,
						((obj_t) ((BgL_setfieldz00_bglt) BgL_nodez00_2602)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-getfiel1277 */
	obj_t BGl_z62hrtypezd2nodez12zd2getfiel1277z70zzast_hrtypez00(obj_t
		BgL_envz00_2603, obj_t BgL_nodez00_2604)
	{
		{	/* Ast/hrtype.scm 172 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3558;

					{	/* Ast/hrtype.scm 174 */
						obj_t BgL_arg1571z00_2787;

						BgL_arg1571z00_2787 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_getfieldz00_bglt) COBJECT(
												((BgL_getfieldz00_bglt) BgL_nodez00_2604)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3558 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1571z00_2787);
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_nodez00_2604)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3558), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3565;

					{	/* Ast/hrtype.scm 175 */
						obj_t BgL_arg1581z00_2788;

						BgL_arg1581z00_2788 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_getfieldz00_bglt) COBJECT(
												((BgL_getfieldz00_bglt) BgL_nodez00_2604)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3565 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1581z00_2788);
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_nodez00_2604)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3565), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 172 */
					obj_t BgL_nextzd2method1276zd2_2786;

					BgL_nextzd2method1276zd2_2786 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt) BgL_nodez00_2604)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_getfieldz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1276zd2_2786)
						(BgL_nextzd2method1276zd2_2786,
						((obj_t) ((BgL_getfieldz00_bglt) BgL_nodez00_2604)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-extern1275 */
	obj_t BGl_z62hrtypezd2nodez12zd2extern1275z70zzast_hrtypez00(obj_t
		BgL_envz00_2605, obj_t BgL_nodez00_2606)
	{
		{	/* Ast/hrtype.scm 164 */
			{

				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2606)))->BgL_exprza2za2));
				{	/* Ast/hrtype.scm 164 */
					obj_t BgL_nextzd2method1274zd2_2791;

					BgL_nextzd2method1274zd2_2791 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_externz00_bglt) BgL_nodez00_2606)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_externz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1274zd2_2791)
						(BgL_nextzd2method1274zd2_2791,
						((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2606)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-funcall1273 */
	obj_t BGl_z62hrtypezd2nodez12zd2funcall1273z70zzast_hrtypez00(obj_t
		BgL_envz00_2607, obj_t BgL_nodez00_2608)
	{
		{	/* Ast/hrtype.scm 155 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2608)))->BgL_funz00));
				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2608)))->BgL_argsz00));
				{	/* Ast/hrtype.scm 155 */
					obj_t BgL_nextzd2method1272zd2_2794;

					BgL_nextzd2method1272zd2_2794 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) BgL_nodez00_2608)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_funcallz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1272zd2_2794)
						(BgL_nextzd2method1272zd2_2794,
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2608)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-app-ly1271 */
	obj_t BGl_z62hrtypezd2nodez12zd2appzd2ly1271za2zzast_hrtypez00(obj_t
		BgL_envz00_2609, obj_t BgL_nodez00_2610)
	{
		{	/* Ast/hrtype.scm 146 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2610)))->BgL_funz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2610)))->BgL_argz00));
				{	/* Ast/hrtype.scm 146 */
					obj_t BgL_nextzd2method1270zd2_2797;

					BgL_nextzd2method1270zd2_2797 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2610)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_appzd2lyzd2zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1270zd2_2797)
						(BgL_nextzd2method1270zd2_2797,
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2610)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-app1269 */
	obj_t BGl_z62hrtypezd2nodez12zd2app1269z70zzast_hrtypez00(obj_t
		BgL_envz00_2611, obj_t BgL_nodez00_2612)
	{
		{	/* Ast/hrtype.scm 95 */
			{

				{	/* Ast/hrtype.scm 97 */
					BgL_varz00_bglt BgL_i1107z00_2801;

					BgL_i1107z00_2801 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2612)))->BgL_funz00);
					{	/* Ast/hrtype.scm 98 */
						bool_t BgL_test2011z00_3625;

						{	/* Ast/hrtype.scm 98 */
							BgL_variablez00_bglt BgL_arg1552z00_2802;

							BgL_arg1552z00_2802 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1107z00_2801))->
								BgL_variablez00);
							{	/* Ast/hrtype.scm 98 */
								obj_t BgL_classz00_2803;

								BgL_classz00_2803 = BGl_globalz00zzast_varz00;
								{	/* Ast/hrtype.scm 98 */
									BgL_objectz00_bglt BgL_arg1825z00_2804;

									{	/* Ast/hrtype.scm 98 */
										obj_t BgL_tmpz00_3627;

										BgL_tmpz00_3627 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1552z00_2802));
										BgL_arg1825z00_2804 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3627);
									}
									{	/* Ast/hrtype.scm 98 */
										bool_t BgL_arg1822z00_2805;
										bool_t BgL_arg1823z00_2806;

										{	/* Ast/hrtype.scm 98 */
											long BgL_idxz00_2807;

											BgL_idxz00_2807 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2804);
											BgL_arg1822z00_2805 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2807 + ((long) 2))) == BgL_classz00_2803);
										}
										{	/* Ast/hrtype.scm 98 */
											bool_t BgL_res1901z00_2810;

											{	/* Ast/hrtype.scm 98 */
												obj_t BgL_oclassz00_2811;

												{	/* Ast/hrtype.scm 98 */
													long BgL_arg1833z00_2812;

													{	/* Ast/hrtype.scm 98 */
														long BgL_arg1834z00_2813;

														BgL_arg1834z00_2813 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2804);
														BgL_arg1833z00_2812 =
															(BgL_arg1834z00_2813 - OBJECT_TYPE);
													}
													BgL_oclassz00_2811 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2812);
												}
												{	/* Ast/hrtype.scm 98 */
													bool_t BgL__ortest_1110z00_2814;

													BgL__ortest_1110z00_2814 =
														(BgL_classz00_2803 == BgL_oclassz00_2811);
													if (BgL__ortest_1110z00_2814)
														{	/* Ast/hrtype.scm 98 */
															BgL_res1901z00_2810 = BgL__ortest_1110z00_2814;
														}
													else
														{	/* Ast/hrtype.scm 98 */
															long BgL_odepthz00_2815;

															BgL_odepthz00_2815 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2811);
															if ((((long) 2) < BgL_odepthz00_2815))
																{	/* Ast/hrtype.scm 98 */
																	obj_t BgL_arg1821z00_2816;

																	BgL_arg1821z00_2816 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2811,
																		((long) 2));
																	BgL_res1901z00_2810 =
																		(BgL_arg1821z00_2816 == BgL_classz00_2803);
																}
															else
																{	/* Ast/hrtype.scm 98 */
																	BgL_res1901z00_2810 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2806 = BgL_res1901z00_2810;
										}
										BgL_test2011z00_3625 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2805,
											BgL_arg1823z00_2806);
									}
								}
							}
						}
						if (BgL_test2011z00_3625)
							{	/* Ast/hrtype.scm 99 */
								BgL_valuez00_bglt BgL_valuez00_2817;

								BgL_valuez00_2817 =
									(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(BgL_i1107z00_2801))->
												BgL_variablez00)))->BgL_valuez00);
								{	/* Ast/hrtype.scm 101 */
									bool_t BgL_test2014z00_3648;

									{	/* Ast/hrtype.scm 101 */
										obj_t BgL_classz00_2818;

										BgL_classz00_2818 = BGl_cfunz00zzast_varz00;
										{	/* Ast/hrtype.scm 101 */
											BgL_objectz00_bglt BgL_arg1825z00_2819;

											{	/* Ast/hrtype.scm 101 */
												obj_t BgL_tmpz00_3649;

												BgL_tmpz00_3649 =
													((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_2817));
												BgL_arg1825z00_2819 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3649);
											}
											{	/* Ast/hrtype.scm 101 */
												bool_t BgL_arg1822z00_2820;
												bool_t BgL_arg1823z00_2821;

												{	/* Ast/hrtype.scm 101 */
													long BgL_idxz00_2822;

													BgL_idxz00_2822 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2819);
													BgL_arg1822z00_2820 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2822 + ((long) 3))) ==
														BgL_classz00_2818);
												}
												{	/* Ast/hrtype.scm 101 */
													bool_t BgL_res1902z00_2825;

													{	/* Ast/hrtype.scm 101 */
														obj_t BgL_oclassz00_2826;

														{	/* Ast/hrtype.scm 101 */
															long BgL_arg1833z00_2827;

															{	/* Ast/hrtype.scm 101 */
																long BgL_arg1834z00_2828;

																BgL_arg1834z00_2828 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2819);
																BgL_arg1833z00_2827 =
																	(BgL_arg1834z00_2828 - OBJECT_TYPE);
															}
															BgL_oclassz00_2826 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2827);
														}
														{	/* Ast/hrtype.scm 101 */
															bool_t BgL__ortest_1110z00_2829;

															BgL__ortest_1110z00_2829 =
																(BgL_classz00_2818 == BgL_oclassz00_2826);
															if (BgL__ortest_1110z00_2829)
																{	/* Ast/hrtype.scm 101 */
																	BgL_res1902z00_2825 =
																		BgL__ortest_1110z00_2829;
																}
															else
																{	/* Ast/hrtype.scm 101 */
																	long BgL_odepthz00_2830;

																	BgL_odepthz00_2830 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2826);
																	if ((((long) 3) < BgL_odepthz00_2830))
																		{	/* Ast/hrtype.scm 101 */
																			obj_t BgL_arg1821z00_2831;

																			BgL_arg1821z00_2831 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2826, ((long) 3));
																			BgL_res1902z00_2825 =
																				(BgL_arg1821z00_2831 ==
																				BgL_classz00_2818);
																		}
																	else
																		{	/* Ast/hrtype.scm 101 */
																			BgL_res1902z00_2825 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2821 = BgL_res1902z00_2825;
												}
												BgL_test2014z00_3648 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2820,
													BgL_arg1823z00_2821);
											}
										}
									}
									if (BgL_test2014z00_3648)
										{	/* Ast/hrtype.scm 102 */
											obj_t BgL_gz00_2832;

											{	/* Ast/hrtype.scm 102 */
												obj_t BgL_arg1401z00_2833;
												obj_t BgL_arg1415z00_2834;

												BgL_arg1401z00_2833 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt)
																	(((BgL_varz00_bglt)
																			COBJECT(BgL_i1107z00_2801))->
																		BgL_variablez00)))))->BgL_idz00);
												BgL_arg1415z00_2834 =
													(((BgL_globalz00_bglt)
														COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
																		COBJECT(BgL_i1107z00_2801))->
																	BgL_variablez00))))->BgL_modulez00);
												{	/* Ast/hrtype.scm 102 */
													obj_t BgL_list1416z00_2835;

													BgL_list1416z00_2835 =
														MAKE_YOUNG_PAIR(BgL_arg1415z00_2834, BNIL);
													BgL_gz00_2832 =
														BGl_findzd2globalzd2zzast_envz00
														(BgL_arg1401z00_2833, BgL_list1416z00_2835);
												}
											}
											if (CBOOL(BgL_gz00_2832))
												{	/* Ast/hrtype.scm 112 */
													((((BgL_varz00_bglt) COBJECT(BgL_i1107z00_2801))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_gz00_2832)), BUNSPEC);
												}
											else
												{	/* Ast/hrtype.scm 114 */
													BgL_variablez00_bglt BgL_arg1400z00_2836;

													BgL_arg1400z00_2836 =
														(((BgL_varz00_bglt) COBJECT(BgL_i1107z00_2801))->
														BgL_variablez00);
													BGl_restorezd2globalz12zc0zzast_envz00(((obj_t)
															BgL_arg1400z00_2836));
												}
										}
									else
										{	/* Ast/hrtype.scm 115 */
											bool_t BgL_test2018z00_3684;

											{	/* Ast/hrtype.scm 115 */
												obj_t BgL_classz00_2837;

												BgL_classz00_2837 = BGl_sfunz00zzast_varz00;
												{	/* Ast/hrtype.scm 115 */
													BgL_objectz00_bglt BgL_arg1825z00_2838;

													{	/* Ast/hrtype.scm 115 */
														obj_t BgL_tmpz00_3685;

														BgL_tmpz00_3685 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_valuez00_2817));
														BgL_arg1825z00_2838 =
															(BgL_objectz00_bglt) (BgL_tmpz00_3685);
													}
													{	/* Ast/hrtype.scm 115 */
														bool_t BgL_arg1822z00_2839;
														bool_t BgL_arg1823z00_2840;

														{	/* Ast/hrtype.scm 115 */
															long BgL_idxz00_2841;

															BgL_idxz00_2841 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2838);
															BgL_arg1822z00_2839 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2841 + ((long) 3))) ==
																BgL_classz00_2837);
														}
														{	/* Ast/hrtype.scm 115 */
															bool_t BgL_res1903z00_2844;

															{	/* Ast/hrtype.scm 115 */
																obj_t BgL_oclassz00_2845;

																{	/* Ast/hrtype.scm 115 */
																	long BgL_arg1833z00_2846;

																	{	/* Ast/hrtype.scm 115 */
																		long BgL_arg1834z00_2847;

																		BgL_arg1834z00_2847 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2838);
																		BgL_arg1833z00_2846 =
																			(BgL_arg1834z00_2847 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2845 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_2846);
																}
																{	/* Ast/hrtype.scm 115 */
																	bool_t BgL__ortest_1110z00_2848;

																	BgL__ortest_1110z00_2848 =
																		(BgL_classz00_2837 == BgL_oclassz00_2845);
																	if (BgL__ortest_1110z00_2848)
																		{	/* Ast/hrtype.scm 115 */
																			BgL_res1903z00_2844 =
																				BgL__ortest_1110z00_2848;
																		}
																	else
																		{	/* Ast/hrtype.scm 115 */
																			long BgL_odepthz00_2849;

																			BgL_odepthz00_2849 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2845);
																			if ((((long) 3) < BgL_odepthz00_2849))
																				{	/* Ast/hrtype.scm 115 */
																					obj_t BgL_arg1821z00_2850;

																					BgL_arg1821z00_2850 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2845, ((long) 3));
																					BgL_res1903z00_2844 =
																						(BgL_arg1821z00_2850 ==
																						BgL_classz00_2837);
																				}
																			else
																				{	/* Ast/hrtype.scm 115 */
																					BgL_res1903z00_2844 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_2840 = BgL_res1903z00_2844;
														}
														BgL_test2018z00_3684 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_2839,
															BgL_arg1823z00_2840);
													}
												}
											}
											if (BgL_test2018z00_3684)
												{	/* Ast/hrtype.scm 116 */
													bool_t BgL_test2021z00_3704;

													if (
														((((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_valuez00_2817)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 0))))
														{	/* Ast/hrtype.scm 118 */
															bool_t BgL_test2023z00_3710;

															{	/* Ast/hrtype.scm 118 */
																BgL_variablez00_bglt BgL_arg1543z00_2851;

																BgL_arg1543z00_2851 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_i1107z00_2801))->
																	BgL_variablez00);
																BgL_test2023z00_3710 =
																	CBOOL(BGl_alreadyzd2restoredzf3z21zzast_envz00
																	(((obj_t) BgL_arg1543z00_2851)));
															}
															if (BgL_test2023z00_3710)
																{	/* Ast/hrtype.scm 118 */
																	BgL_test2021z00_3704 = ((bool_t) 0);
																}
															else
																{	/* Ast/hrtype.scm 118 */
																	BgL_test2021z00_3704 = ((bool_t) 1);
																}
														}
													else
														{	/* Ast/hrtype.scm 116 */
															BgL_test2021z00_3704 = ((bool_t) 0);
														}
													if (BgL_test2021z00_3704)
														{	/* Ast/hrtype.scm 122 */
															BgL_variablez00_bglt BgL_arg1462z00_2852;

															BgL_arg1462z00_2852 =
																(((BgL_varz00_bglt)
																	COBJECT(BgL_i1107z00_2801))->BgL_variablez00);
															BGl_restorezd2globalz12zc0zzast_envz00(((obj_t)
																	BgL_arg1462z00_2852));
														}
													else
														{	/* Ast/hrtype.scm 128 */
															obj_t BgL_gz00_2853;

															{	/* Ast/hrtype.scm 128 */
																obj_t BgL_arg1524z00_2854;
																obj_t BgL_arg1534z00_2855;

																BgL_arg1524z00_2854 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							COBJECT(BgL_i1107z00_2801))->
																						BgL_variablez00)))))->BgL_idz00);
																BgL_arg1534z00_2855 =
																	(((BgL_globalz00_bglt)
																		COBJECT(((BgL_globalz00_bglt) ((
																						(BgL_varz00_bglt)
																						COBJECT(BgL_i1107z00_2801))->
																					BgL_variablez00))))->BgL_modulez00);
																{	/* Ast/hrtype.scm 128 */
																	obj_t BgL_list1535z00_2856;

																	BgL_list1535z00_2856 =
																		MAKE_YOUNG_PAIR(BgL_arg1534z00_2855, BNIL);
																	BgL_gz00_2853 =
																		BGl_findzd2globalzd2zzast_envz00
																		(BgL_arg1524z00_2854, BgL_list1535z00_2856);
																}
															}
															{	/* Ast/hrtype.scm 130 */
																bool_t BgL_test2024z00_3727;

																{	/* Ast/hrtype.scm 130 */
																	obj_t BgL_classz00_2857;

																	BgL_classz00_2857 =
																		BGl_variablez00zzast_varz00;
																	if (BGL_OBJECTP(BgL_gz00_2853))
																		{	/* Ast/hrtype.scm 130 */
																			BgL_objectz00_bglt BgL_arg1825z00_2858;

																			BgL_arg1825z00_2858 =
																				(BgL_objectz00_bglt) (BgL_gz00_2853);
																			{	/* Ast/hrtype.scm 130 */
																				bool_t BgL_arg1822z00_2859;
																				bool_t BgL_arg1823z00_2860;

																				{	/* Ast/hrtype.scm 130 */
																					long BgL_idxz00_2861;

																					BgL_idxz00_2861 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_2858);
																					BgL_arg1822z00_2859 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2861 + ((long) 1))) ==
																						BgL_classz00_2857);
																				}
																				{	/* Ast/hrtype.scm 130 */
																					bool_t BgL_res1904z00_2864;

																					{	/* Ast/hrtype.scm 130 */
																						obj_t BgL_oclassz00_2865;

																						{	/* Ast/hrtype.scm 130 */
																							long BgL_arg1833z00_2866;

																							{	/* Ast/hrtype.scm 130 */
																								long BgL_arg1834z00_2867;

																								BgL_arg1834z00_2867 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_2858);
																								BgL_arg1833z00_2866 =
																									(BgL_arg1834z00_2867 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2865 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_2866);
																						}
																						{	/* Ast/hrtype.scm 130 */
																							bool_t BgL__ortest_1110z00_2868;

																							BgL__ortest_1110z00_2868 =
																								(BgL_classz00_2857 ==
																								BgL_oclassz00_2865);
																							if (BgL__ortest_1110z00_2868)
																								{	/* Ast/hrtype.scm 130 */
																									BgL_res1904z00_2864 =
																										BgL__ortest_1110z00_2868;
																								}
																							else
																								{	/* Ast/hrtype.scm 130 */
																									long BgL_odepthz00_2869;

																									BgL_odepthz00_2869 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2865);
																									if ((((long) 1) <
																											BgL_odepthz00_2869))
																										{	/* Ast/hrtype.scm 130 */
																											obj_t BgL_arg1821z00_2870;

																											BgL_arg1821z00_2870 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2865,
																												((long) 1));
																											BgL_res1904z00_2864 =
																												(BgL_arg1821z00_2870 ==
																												BgL_classz00_2857);
																										}
																									else
																										{	/* Ast/hrtype.scm 130 */
																											BgL_res1904z00_2864 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_2860 =
																						BgL_res1904z00_2864;
																				}
																				BgL_test2024z00_3727 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_2859,
																					BgL_arg1823z00_2860);
																			}
																		}
																	else
																		{	/* Ast/hrtype.scm 130 */
																			BgL_test2024z00_3727 = ((bool_t) 0);
																		}
																}
																if (BgL_test2024z00_3727)
																	{	/* Ast/hrtype.scm 130 */
																		((((BgL_varz00_bglt)
																					COBJECT(BgL_i1107z00_2801))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_gz00_2853)), BUNSPEC);
																	}
																else
																	{	/* Ast/hrtype.scm 131 */
																		obj_t BgL_newzd2gzd2_2871;

																		{	/* Ast/hrtype.scm 131 */
																			obj_t BgL_arg1500z00_2872;

																			BgL_arg1500z00_2872 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								(((BgL_varz00_bglt)
																										COBJECT
																										(BgL_i1107z00_2801))->
																									BgL_variablez00)))))->
																				BgL_idz00);
																			{	/* Ast/hrtype.scm 131 */
																				obj_t BgL_list1501z00_2873;

																				BgL_list1501z00_2873 =
																					MAKE_YOUNG_PAIR
																					(BGl_za2moduleza2z00zzmodule_modulez00,
																					BNIL);
																				BgL_newzd2gzd2_2871 =
																					BGl_findzd2globalzd2zzast_envz00
																					(BgL_arg1500z00_2872,
																					BgL_list1501z00_2873);
																			}
																		}
																		{	/* Ast/hrtype.scm 133 */
																			bool_t BgL_test2028z00_3754;

																			{	/* Ast/hrtype.scm 133 */
																				bool_t BgL_test2029z00_3755;

																				{	/* Ast/hrtype.scm 133 */
																					obj_t BgL_classz00_2874;

																					BgL_classz00_2874 =
																						BGl_globalz00zzast_varz00;
																					if (BGL_OBJECTP(BgL_newzd2gzd2_2871))
																						{	/* Ast/hrtype.scm 133 */
																							BgL_objectz00_bglt
																								BgL_arg1825z00_2875;
																							BgL_arg1825z00_2875 =
																								(BgL_objectz00_bglt)
																								(BgL_newzd2gzd2_2871);
																							{	/* Ast/hrtype.scm 133 */
																								bool_t BgL_arg1822z00_2876;
																								bool_t BgL_arg1823z00_2877;

																								{	/* Ast/hrtype.scm 133 */
																									long BgL_idxz00_2878;

																									BgL_idxz00_2878 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1825z00_2875);
																									BgL_arg1822z00_2876 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_2878 +
																												((long) 2))) ==
																										BgL_classz00_2874);
																								}
																								{	/* Ast/hrtype.scm 133 */
																									bool_t BgL_res1905z00_2881;

																									{	/* Ast/hrtype.scm 133 */
																										obj_t BgL_oclassz00_2882;

																										{	/* Ast/hrtype.scm 133 */
																											long BgL_arg1833z00_2883;

																											{	/* Ast/hrtype.scm 133 */
																												long
																													BgL_arg1834z00_2884;
																												BgL_arg1834z00_2884 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1825z00_2875);
																												BgL_arg1833z00_2883 =
																													(BgL_arg1834z00_2884 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_2882 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1833z00_2883);
																										}
																										{	/* Ast/hrtype.scm 133 */
																											bool_t
																												BgL__ortest_1110z00_2885;
																											BgL__ortest_1110z00_2885 =
																												(BgL_classz00_2874 ==
																												BgL_oclassz00_2882);
																											if (BgL__ortest_1110z00_2885)
																												{	/* Ast/hrtype.scm 133 */
																													BgL_res1905z00_2881 =
																														BgL__ortest_1110z00_2885;
																												}
																											else
																												{	/* Ast/hrtype.scm 133 */
																													long
																														BgL_odepthz00_2886;
																													BgL_odepthz00_2886 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_2882);
																													if ((((long) 2) <
																															BgL_odepthz00_2886))
																														{	/* Ast/hrtype.scm 133 */
																															obj_t
																																BgL_arg1821z00_2887;
																															BgL_arg1821z00_2887
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_2882,
																																((long) 2));
																															BgL_res1905z00_2881
																																=
																																(BgL_arg1821z00_2887
																																==
																																BgL_classz00_2874);
																														}
																													else
																														{	/* Ast/hrtype.scm 133 */
																															BgL_res1905z00_2881
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_arg1823z00_2877 =
																										BgL_res1905z00_2881;
																								}
																								BgL_test2029z00_3755 =
																									BGL_ISA_C_BACKEND
																									(BgL_arg1822z00_2876,
																									BgL_arg1823z00_2877);
																							}
																						}
																					else
																						{	/* Ast/hrtype.scm 133 */
																							BgL_test2029z00_3755 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test2029z00_3755)
																					{	/* Ast/hrtype.scm 133 */
																						BgL_test2028z00_3754 =
																							(
																							(((BgL_globalz00_bglt) COBJECT(
																										((BgL_globalz00_bglt)
																											BgL_newzd2gzd2_2871)))->
																								BgL_importz00) ==
																							CNST_TABLE_REF(((long) 1)));
																					}
																				else
																					{	/* Ast/hrtype.scm 133 */
																						BgL_test2028z00_3754 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2028z00_3754)
																				{	/* Ast/hrtype.scm 133 */
																					((((BgL_varz00_bglt)
																								COBJECT(BgL_i1107z00_2801))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt) (
																								(BgL_variablez00_bglt)
																								BgL_newzd2gzd2_2871)), BUNSPEC);
																				}
																			else
																				{	/* Ast/hrtype.scm 137 */
																					obj_t BgL_arg1494z00_2888;

																					BgL_arg1494z00_2888 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										(((BgL_varz00_bglt)
																												COBJECT
																												(BgL_i1107z00_2801))->
																											BgL_variablez00)))))->
																						BgL_idz00);
																					BGl_errorz00zz__errorz00
																						(BGl_string1946z00zzast_hrtypez00,
																						BGl_string1947z00zzast_hrtypez00,
																						BgL_arg1494z00_2888);
																				}
																		}
																	}
															}
														}
												}
											else
												{	/* Ast/hrtype.scm 115 */
													BFALSE;
												}
										}
								}
							}
						else
							{	/* Ast/hrtype.scm 98 */
								BFALSE;
							}
					}
				}
				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2612)))->BgL_argsz00));
				{	/* Ast/hrtype.scm 95 */
					obj_t BgL_nextzd2method1268zd2_2800;

					BgL_nextzd2method1268zd2_2800 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_2612)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_appz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1268zd2_2800)
						(BgL_nextzd2method1268zd2_2800,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2612)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-sync1267 */
	obj_t BGl_z62hrtypezd2nodez12zd2sync1267z70zzast_hrtypez00(obj_t
		BgL_envz00_2613, obj_t BgL_nodez00_2614)
	{
		{	/* Ast/hrtype.scm 85 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2614)))->BgL_mutexz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2614)))->BgL_prelockz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2614)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 85 */
					obj_t BgL_nextzd2method1266zd2_2891;

					BgL_nextzd2method1266zd2_2891 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_syncz00_bglt) BgL_nodez00_2614)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_syncz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1266zd2_2891)
						(BgL_nextzd2method1266zd2_2891,
						((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2614)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-sequenc1265 */
	obj_t BGl_z62hrtypezd2nodez12zd2sequenc1265z70zzast_hrtypez00(obj_t
		BgL_envz00_2615, obj_t BgL_nodez00_2616)
	{
		{	/* Ast/hrtype.scm 77 */
			{

				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2616)))->BgL_nodesz00));
				{	/* Ast/hrtype.scm 77 */
					obj_t BgL_nextzd2method1264zd2_2894;

					BgL_nextzd2method1264zd2_2894 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_sequencez00_bglt) BgL_nodez00_2616)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_sequencez00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1264zd2_2894)
						(BgL_nextzd2method1264zd2_2894,
						((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2616)), BEOA);
				}
			}
		}

	}



/* &hrtype-node!-var1263 */
	obj_t BGl_z62hrtypezd2nodez12zd2var1263z70zzast_hrtypez00(obj_t
		BgL_envz00_2617, obj_t BgL_nodez00_2618)
	{
		{	/* Ast/hrtype.scm 40 */
			{

				{	/* Ast/hrtype.scm 65 */
					bool_t BgL_test2033z00_3827;

					{	/* Ast/hrtype.scm 65 */
						bool_t BgL_test2034z00_3828;

						{	/* Ast/hrtype.scm 65 */
							BgL_variablez00_bglt BgL_arg1370z00_2898;

							BgL_arg1370z00_2898 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2618)))->BgL_variablez00);
							{	/* Ast/hrtype.scm 65 */
								obj_t BgL_classz00_2899;

								BgL_classz00_2899 = BGl_globalz00zzast_varz00;
								{	/* Ast/hrtype.scm 65 */
									BgL_objectz00_bglt BgL_arg1825z00_2900;

									{	/* Ast/hrtype.scm 65 */
										obj_t BgL_tmpz00_3831;

										BgL_tmpz00_3831 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1370z00_2898));
										BgL_arg1825z00_2900 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3831);
									}
									{	/* Ast/hrtype.scm 65 */
										bool_t BgL_arg1822z00_2901;
										bool_t BgL_arg1823z00_2902;

										{	/* Ast/hrtype.scm 65 */
											long BgL_idxz00_2903;

											BgL_idxz00_2903 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2900);
											BgL_arg1822z00_2901 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2903 + ((long) 2))) == BgL_classz00_2899);
										}
										{	/* Ast/hrtype.scm 65 */
											bool_t BgL_res1899z00_2906;

											{	/* Ast/hrtype.scm 65 */
												obj_t BgL_oclassz00_2907;

												{	/* Ast/hrtype.scm 65 */
													long BgL_arg1833z00_2908;

													{	/* Ast/hrtype.scm 65 */
														long BgL_arg1834z00_2909;

														BgL_arg1834z00_2909 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2900);
														BgL_arg1833z00_2908 =
															(BgL_arg1834z00_2909 - OBJECT_TYPE);
													}
													BgL_oclassz00_2907 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_2908);
												}
												{	/* Ast/hrtype.scm 65 */
													bool_t BgL__ortest_1110z00_2910;

													BgL__ortest_1110z00_2910 =
														(BgL_classz00_2899 == BgL_oclassz00_2907);
													if (BgL__ortest_1110z00_2910)
														{	/* Ast/hrtype.scm 65 */
															BgL_res1899z00_2906 = BgL__ortest_1110z00_2910;
														}
													else
														{	/* Ast/hrtype.scm 65 */
															long BgL_odepthz00_2911;

															BgL_odepthz00_2911 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2907);
															if ((((long) 2) < BgL_odepthz00_2911))
																{	/* Ast/hrtype.scm 65 */
																	obj_t BgL_arg1821z00_2912;

																	BgL_arg1821z00_2912 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2907,
																		((long) 2));
																	BgL_res1899z00_2906 =
																		(BgL_arg1821z00_2912 == BgL_classz00_2899);
																}
															else
																{	/* Ast/hrtype.scm 65 */
																	BgL_res1899z00_2906 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_2902 = BgL_res1899z00_2906;
										}
										BgL_test2034z00_3828 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_2901,
											BgL_arg1823z00_2902);
									}
								}
							}
						}
						if (BgL_test2034z00_3828)
							{	/* Ast/hrtype.scm 66 */
								obj_t BgL_arg1364z00_2913;
								obj_t BgL_arg1366z00_2914;

								BgL_arg1364z00_2913 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2618)))->
														BgL_variablez00)))))->BgL_idz00);
								BgL_arg1366z00_2914 =
									(((BgL_globalz00_bglt)
										COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
														COBJECT(((BgL_varz00_bglt) BgL_nodez00_2618)))->
													BgL_variablez00))))->BgL_modulez00);
								BgL_test2033z00_3827 =
									CBOOL(BGl_globalzd2bucketzd2positionz00zzast_envz00
									(BgL_arg1364z00_2913, BgL_arg1366z00_2914));
							}
						else
							{	/* Ast/hrtype.scm 65 */
								BgL_test2033z00_3827 = ((bool_t) 0);
							}
					}
					if (BgL_test2033z00_3827)
						{	/* Ast/hrtype.scm 68 */
							obj_t BgL_nz00_2915;

							{	/* Ast/hrtype.scm 68 */
								obj_t BgL_arg1357z00_2916;
								obj_t BgL_arg1358z00_2917;

								BgL_arg1357z00_2916 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2618)))->
														BgL_variablez00)))))->BgL_idz00);
								BgL_arg1358z00_2917 =
									(((BgL_globalz00_bglt)
										COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
														COBJECT(((BgL_varz00_bglt) BgL_nodez00_2618)))->
													BgL_variablez00))))->BgL_modulez00);
								BgL_nz00_2915 =
									BGl_findzd2globalzf2modulez20zzast_envz00(BgL_arg1357z00_2916,
									BgL_arg1358z00_2917);
							}
							{	/* Ast/hrtype.scm 70 */
								bool_t BgL_test2037z00_3871;

								{	/* Ast/hrtype.scm 70 */
									obj_t BgL_classz00_2918;

									BgL_classz00_2918 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_nz00_2915))
										{	/* Ast/hrtype.scm 70 */
											BgL_objectz00_bglt BgL_arg1825z00_2919;

											BgL_arg1825z00_2919 =
												(BgL_objectz00_bglt) (BgL_nz00_2915);
											{	/* Ast/hrtype.scm 70 */
												bool_t BgL_arg1822z00_2920;
												bool_t BgL_arg1823z00_2921;

												{	/* Ast/hrtype.scm 70 */
													long BgL_idxz00_2922;

													BgL_idxz00_2922 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2919);
													BgL_arg1822z00_2920 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2922 + ((long) 2))) ==
														BgL_classz00_2918);
												}
												{	/* Ast/hrtype.scm 70 */
													bool_t BgL_res1900z00_2925;

													{	/* Ast/hrtype.scm 70 */
														obj_t BgL_oclassz00_2926;

														{	/* Ast/hrtype.scm 70 */
															long BgL_arg1833z00_2927;

															{	/* Ast/hrtype.scm 70 */
																long BgL_arg1834z00_2928;

																BgL_arg1834z00_2928 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2919);
																BgL_arg1833z00_2927 =
																	(BgL_arg1834z00_2928 - OBJECT_TYPE);
															}
															BgL_oclassz00_2926 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2927);
														}
														{	/* Ast/hrtype.scm 70 */
															bool_t BgL__ortest_1110z00_2929;

															BgL__ortest_1110z00_2929 =
																(BgL_classz00_2918 == BgL_oclassz00_2926);
															if (BgL__ortest_1110z00_2929)
																{	/* Ast/hrtype.scm 70 */
																	BgL_res1900z00_2925 =
																		BgL__ortest_1110z00_2929;
																}
															else
																{	/* Ast/hrtype.scm 70 */
																	long BgL_odepthz00_2930;

																	BgL_odepthz00_2930 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2926);
																	if ((((long) 2) < BgL_odepthz00_2930))
																		{	/* Ast/hrtype.scm 70 */
																			obj_t BgL_arg1821z00_2931;

																			BgL_arg1821z00_2931 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2926, ((long) 2));
																			BgL_res1900z00_2925 =
																				(BgL_arg1821z00_2931 ==
																				BgL_classz00_2918);
																		}
																	else
																		{	/* Ast/hrtype.scm 70 */
																			BgL_res1900z00_2925 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2921 = BgL_res1900z00_2925;
												}
												BgL_test2037z00_3871 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2920,
													BgL_arg1823z00_2921);
											}
										}
									else
										{	/* Ast/hrtype.scm 70 */
											BgL_test2037z00_3871 = ((bool_t) 0);
										}
								}
								if (BgL_test2037z00_3871)
									{	/* Ast/hrtype.scm 70 */
										((((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_2618)))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_nz00_2915)), BUNSPEC);
									}
								else
									{	/* Ast/hrtype.scm 70 */
										BFALSE;
									}
							}
						}
					else
						{	/* Ast/hrtype.scm 65 */
							BFALSE;
						}
				}
				{	/* Ast/hrtype.scm 40 */
					obj_t BgL_nextzd2method1262zd2_2897;

					BgL_nextzd2method1262zd2_2897 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_varz00_bglt) BgL_nodez00_2618)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_varz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1262zd2_2897)
						(BgL_nextzd2method1262zd2_2897,
						((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2618)), BEOA);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00()
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1948z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1948z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1948z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1948z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1948z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1948z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1948z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1948z00zzast_hrtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1948z00zzast_hrtypez00));
		}

	}

#ifdef __cplusplus
}
#endif
