/*===========================================================================*/
/*   (Ast/node.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt BGl_z62lambda2656z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2657z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62literalzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62switchzd2itemzd2typez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_retblockzd2typezd2zzast_nodez00(BgL_retblockz00_bglt);
	static BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2bodyzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1931z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62patchzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32664ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda1932z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2823z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2662z62zzast_nodez00(obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2825z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2663z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62lambda1939z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt);
	static obj_t BGl_z62valloczd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00();
	static BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_wideningz00_bglt BGl_z62wideningzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00();
	static obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt BGl_getfieldzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2831z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32827ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2832z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt
		BGl_makezd2literalzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzd2vtypez00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2672z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62lambda1945z62zzast_nodez00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2674z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda1946z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2837z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2838z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_closurez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2walkzd2letzd2fun1753zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, long, long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_syncz00_bglt BGl_synczd2nilzd2zzast_nodez00();
	static BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00();
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2valuezd2zzast_nodez00(BgL_literalz00_bglt);
	static BgL_varz00_bglt BGl_z62lambda2680z62zzast_nodez00(obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda1952z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2681z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2844z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda1954z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2846z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2685z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2mutexzd2zzast_nodez00(BgL_syncz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_syncz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2686z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_literalz00_bglt BGl_z62literalzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		obj_t);
	static obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62wideningzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt);
	static obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2stackablezd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2rindexzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62returnzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2852z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2690z62zzast_nodez00(obj_t, obj_t);
	static BgL_patchz00_bglt BGl_z62lambda1962z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2853z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2691z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_wideningz00_bglt,
		obj_t);
	static BgL_patchz00_bglt BGl_z62lambda1965z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2857z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2858z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2697z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_refz00_bglt BGl_makezd2refzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_synczd2loczd2zzast_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_makezd2funcallzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62makezd2returnzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2mutexzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32595ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda1971z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sequencez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda1972z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2864z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setqzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2865z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62literalzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1977z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1978z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62synczd2mutexzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2indexzd2setz12z12zzast_nodez00(BgL_patchz00_bglt, long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda2871z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2varzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda2873z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_closurezf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_failz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda1984z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1985z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt BGl_setfieldzd2nilzd2zzast_nodez00();
	static BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t);
	static BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt, obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2conditiona1741z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_objectzd2initzd2zzast_nodez00();
	static obj_t BGl_z62zc3z04anonymousza32848ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2881z62zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda1991z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2882z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_variablez00_bglt BGl_z62lambda1997z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2888z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1998z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2889z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_returnzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	static obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL BgL_closurez00_bglt
		BGl_makezd2closurezd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static obj_t BGl_z62zc3z04anonymousza32212ze3ze5zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62genpatchidzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt);
	static BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62returnzd2valuezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_externzf3zf3zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_failzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt
		BGl_makezd2retblockzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2setzd2exzd2it1757z62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62returnzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2keyzd2zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62wideningzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00();
	static BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2walkzd2switch1745z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32778ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_patchzd2typezd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2typezd2setz12z12zzast_nodez00(BgL_retblockz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzd2nilz00zzast_nodez00();
	static BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32109ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62synczd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62nodezd2walk1716zb0zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static obj_t BGl_z62zc3z04anonymousza31993ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31888ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_switchzd2testzd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_methodzd2initzd2zzast_nodez00();
	static obj_t BGl_z62synczf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62refzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2valuezd2setz12z12zzast_nodez00(BgL_patchz00_bglt, obj_t);
	BGL_EXPORTED_DECL long BGl_patchzd2indexzd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	static BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_externz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62wideningzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62switchzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62refzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00();
	static BgL_typez00_bglt BGl_z62patchzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	static obj_t BGl_z62wideningzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zd2vtypez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31979ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62returnzd2blockzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt);
	static BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt, obj_t);
	static obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2czd2formatz00zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_varz00_bglt, BgL_typez00_bglt);
	static BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2sidezd2effectz00zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2letzd2var1755zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00();
	static BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_synczd2typezd2zzast_nodez00(BgL_syncz00_bglt);
	static BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2cast1737z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzd2vtypez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62nodezd2walkzd2makezd2box1747zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32799ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_switchz00_bglt BGl_switchzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2boxzd2setz121751za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(BgL_retblockz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32413ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt
		BGl_makezd2vsetz12zc0zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt,
		bool_t);
	static obj_t BGl_z62zc3z04anonymousza32219ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_wideningzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_pragmaz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_literalz00_bglt BGl_z62makezd2literalzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2setq1739z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2105z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32147ze3ze5zzast_nodez00(obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2107z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it1759z62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_switchzd2loczd2zzast_nodez00(BgL_switchz00_bglt);
	static obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2keyzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt, obj_t);
	static BgL_switchz00_bglt BGl_z62switchzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62newzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2114z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2115z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2effectzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt);
	static BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2119z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2patchidzd2zzast_nodez00(BgL_patchz00_bglt);
	static obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2sidezd2effectz00zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2120z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32165ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2126z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62genpatchidzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2128z62zzast_nodez00(obj_t);
	static BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t);
	static obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt);
	static obj_t BGl_z62switchzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62switchzd2testzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2134z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2135z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_wideningz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2typezd2setz12z12zzast_nodez00(BgL_literalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2139z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62returnzd2blockzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2indexzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_typez00_bglt);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	static obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62retblockzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2300z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2140z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32329ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2307z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2145z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2146z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2309z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2otypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2onexitzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_refzd2typezd2zzast_nodez00(BgL_refz00_bglt);
	static obj_t BGl_z62synczd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static obj_t BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32702ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_varz00_bglt);
	static obj_t BGl_z62lambda2152z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2153z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2317z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32079ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2318z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00();
	static BgL_typez00_bglt BGl_z62boxzd2refzd2vtypez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, bool_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_nodez00();
	BGL_EXPORTED_DECL bool_t BGl_patchzf3zf3zzast_nodez00(obj_t);
	static BgL_externz00_bglt BGl_z62lambda2160z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62lambda2162z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00();
	static obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2325z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2327z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2testzd2setz12z12zzast_nodez00(BgL_switchz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62patchzd2patchidzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_literalzd2typezd2zzast_nodez00(BgL_literalz00_bglt);
	static obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_switchz00_bglt BGl_makezd2switchzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62literalzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vallocz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62genpatchidzd2indexzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_wideningzd2typezd2zzast_nodez00(BgL_wideningz00_bglt);
	static BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2var1721z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2typezd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_genpatchidzd2rindexzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62wideningzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2170z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32526ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2171z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t,
		obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2335z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32097ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt);
	static BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2336z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2177z62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62wideningzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2178z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2otypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2502z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2503z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2341z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2342z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL bool_t BGl_genpatchidzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2508z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt);
	static obj_t BGl_z62literalzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2509z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_pragmaz00_bglt BGl_z62lambda2186z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_patchzd2valuezd2zzast_nodez00(BgL_patchz00_bglt);
	static obj_t BGl_z62synczd2prelockzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2188z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_castzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt);
	static BgL_vrefz00_bglt BGl_z62lambda2351z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_refz00_bglt BGl_z62refzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2353z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static obj_t BGl_z62lambda2194z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2195z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2prelockzd2zzast_nodez00(BgL_syncz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2359z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzd2itemzd2typez00zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2ftypezd2zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt);
	static BgL_conditionalz00_bglt BGl_z62lambda2522z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2360z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_castzd2nullzd2zzast_nodez00 = BUNSPEC;
	static BgL_conditionalz00_bglt BGl_z62lambda2524z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2365z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2stackablezd2zzast_nodez00(BgL_appz00_bglt);
	static obj_t BGl_z62synczd2bodyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2366z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_privatezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_appzf3zf3zzast_nodez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt BGl_retblockzd2nilzd2zzast_nodez00();
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62refzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_atomzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt);
	static obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32724ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2532z62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2370z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2533z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2371z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32295ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2539z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2377z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2378z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2varzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2stackablezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt);
	static BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62varzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2700z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62lambda2540z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_conditionalz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62wideningzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2706z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2707z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2547z62zzast_nodez00(obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2385z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62lambda2548z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2387z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2loczd2zzast_nodez00(BgL_retblockz00_bglt);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2valuezd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_retblockz00_bglt BGl_z62makezd2retblockzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62refzd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2711z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2712z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt,
		BgL_variablez00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2393z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62lambda2394z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2719z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2398z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2399z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2keyzd2setz12z12zzast_nodez00(BgL_switchz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt, BgL_typez00_bglt);
	static BgL_retblockz00_bglt BGl_z62lambda2721z62zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31925ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_nodez00_bglt);
	static BgL_failz00_bglt BGl_z62lambda2562z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32476ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62lambda2564z62zzast_nodez00(obj_t);
	static BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2728z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62lambda2729z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt BGl_boxzd2refzd2nilz00zzast_nodez00();
	static obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_switchz00_bglt BGl_z62makezd2switchzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_patchz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32744ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32566ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2571z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2572z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62lambda2739z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2577z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2578z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t,
		obj_t);
	static BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		obj_t);
	static obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	static obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_returnz00_bglt BGl_z62lambda2741z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2atom1719z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2582z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2583z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32389ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt);
	static obj_t BGl_z62genpatchidzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2748z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setqz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2749z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_returnz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62patchzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_nodezf2effectzf2zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62zc3z04anonymousza32495ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2591z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2916z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2917z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2755z62zzast_nodez00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2593z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2756z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt,
		bool_t);
	static BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_nodezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_refzd2typezd2setz12z12zzast_nodez00(BgL_refz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_genpatchidzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt);
	static BgL_genpatchidz00_bglt BGl_z62makezd2genpatchidzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_newz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2metazd2zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2exprza2z70zzast_nodez00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_varz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vlengthz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2clauseszd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_atomz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt,
		BgL_typez00_bglt);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2773z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1884z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2776z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1886z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2loczd2zzast_nodez00(BgL_genpatchidz00_bglt);
	static BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_syncz00_bglt BGl_z62makezd2synczb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2appzd2ly1731zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2patchidzd2setz12z12zzast_nodez00(BgL_patchz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62switchzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32676ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2783z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2784z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62synczd2mutexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1895z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1896z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_wideningz00_bglt
		BGl_makezd2wideningzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2789z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62literalzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_switchzd2keyzd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static obj_t BGl_z62literalzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62lambda2790z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2typezd2setz12z12zzast_nodez00(BgL_switchz00_bglt,
		BgL_typez00_bglt);
	static BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_genericzd2initzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt,
		obj_t);
	static obj_t BGl_z62patchzd2patchidzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2797z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2798z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_getfieldz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32008ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2valuezd2setz12z12zzast_nodez00(BgL_literalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00();
	static obj_t BGl_z62makezd2boxzd2stackablez62zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_synczf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_patchz00_bglt BGl_z62patchzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	static obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32130ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_castz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62switchzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2blockzd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_retblockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62synczd2prelockzb0zzast_nodez00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_genpatchidzd2typezd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_syncz00_bglt BGl_makezd2synczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt);
	static BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31967ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00();
	static obj_t BGl_z62nodezd2walkzd2extern1735z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62makezd2boxzd2vtypez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt
		BGl_makezd2vlengthzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t);
	static BgL_retblockz00_bglt BGl_z62retblockzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32205ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_refz00_bglt BGl_refzd2nilzd2zzast_nodez00();
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_retblockzd2bodyzd2zzast_nodez00(BgL_retblockz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DEF obj_t BGl_refz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	static obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32311ze3ze5zzast_nodez00(obj_t, obj_t);
	static bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t, obj_t);
	static obj_t
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_patchz00_bglt BGl_patchzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static BgL_varz00_bglt BGl_z62patchzd2refzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt BGl_appzd2lyzd2nilz00zzast_nodez00();
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62retblockzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_refzd2loczd2zzast_nodez00(BgL_refz00_bglt);
	static BgL_typez00_bglt BGl_z62wideningzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32061ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62patchzd2indexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_instanceofzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32877ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31897ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62nodezd2walkzd2funcall1733z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt);
	static obj_t BGl_z62makezd2boxzd2stackablezd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2kwote1723z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_returnz00_bglt BGl_returnzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2prelockzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_patchzd2loczd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	static obj_t BGl_z62failzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2otypezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32047ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_refzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62wideningzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_varz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_returnzd2loczd2zzast_nodez00(BgL_returnz00_bglt);
	static obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_refz00_bglt BGl_z62lambda2004z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_refz00_bglt BGl_z62lambda2006z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzd2zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_returnz00_bglt BGl_z62returnzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_patchzd2refzd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2boxzd2ref1749zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62appzd2stackablezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt,
		obj_t);
	static BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2exprza2z70zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_literalzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt);
	static BgL_closurez00_bglt BGl_z62lambda2014z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32154ze3ze5zzast_nodez00(obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2016z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_patchz00_bglt BGl_makezd2patchzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, BgL_varz00_bglt, long, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzd2typezd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32244ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2025z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_refzd2variablezd2zzast_nodez00(BgL_refz00_bglt);
	static obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62returnzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2027z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62retblockzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_genpatchidzd2indexzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2sync1727z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_refzd2variablezd2setz12z12zzast_nodez00(BgL_refz00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt BGl_letzd2funzd2nilz00zzast_nodez00();
	static BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32172ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2035z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2036z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32229ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2fail1743z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt);
	static obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t, obj_t);
	static BgL_patchz00_bglt BGl_z62makezd2patchzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00();
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zc0zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2201z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2203z62zzast_nodez00(obj_t);
	static obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32424ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2043z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2045z62zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32319ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32068ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	static BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DEF obj_t BGl_appz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_wideningz00_bglt BGl_wideningzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt,
		obj_t);
	static obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_newzf3zf3zzast_nodez00(obj_t);
	static BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2210z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2211z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32190ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2052z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2053z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2217z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2218z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2059z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_nodez00_bglt BGl_z62synczd2bodyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt BGl_sequencezd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2stackablez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2060z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_switchzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00();
	BGL_EXPORTED_DECL bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_privatez00_bglt BGl_z62lambda2225z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vrefz00zzast_nodez00 = BUNSPEC;
	static BgL_privatez00_bglt BGl_z62lambda2227z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2066z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_retblockzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2067z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2loczd2zzast_nodez00(BgL_wideningz00_bglt);
	static BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_nodez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_kwotez00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_jumpzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2233z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2234z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2075z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2077z62zzast_nodez00(obj_t);
	static obj_t BGl_z62appzd2stackablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2typezd2setz12z12zzast_nodez00(BgL_patchz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00();
	static obj_t BGl_z62refzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static obj_t BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2240z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2404z62zzast_nodez00(obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2242z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2405z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32355ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62sequencezd2metazb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_varz00_bglt BGl_z62lambda2084z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2085z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62lambda2248z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2249z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2089z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2sequence1725z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(BgL_wideningz00_bglt,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00
		(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62lambda2411z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32623ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2412z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2090z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2253z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2254z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_retblockz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2095z62zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda2096z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2bodyzd2zzast_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2258z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2259z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62returnzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62switchzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2effectzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_instanceofz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2keyzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2420z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt);
	static BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2422z62zzast_nodez00(obj_t);
	static BgL_syncz00_bglt BGl_z62synczd2nilzb0zzast_nodez00(obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2265z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32179ze3ze5zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2428z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_switchz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2429z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2267z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_privatez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62externzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62appzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62makezd2wideningzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt, obj_t);
	static obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32463ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32447ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2434z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2435z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2273z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32269ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2274z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	static BgL_typez00_bglt BGl_z62lambda2278z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2funzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2279z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2onexitzd2setz12z12zzast_nodez00
		(BgL_setzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62wideningzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_returnzd2valuezd2zzast_nodez00(BgL_returnz00_bglt);
	static obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_refz00_bglt BGl_z62makezd2refzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62synczd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2600z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setfieldz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2601z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2605z62zzast_nodez00(obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2443z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt, obj_t);
	static obj_t BGl_z62lambda2606z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2445z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2283z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_genpatchidz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2284z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt BGl_literalzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2typezd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00();
	static BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2onexitzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_literalz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_returnzd2typezd2zzast_nodez00(BgL_returnz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2610z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2611z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DEF obj_t BGl_switchz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2451z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2452z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2291z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(BgL_switchz00_bglt,
		BgL_typez00_bglt);
	static BgL_wideningz00_bglt BGl_z62lambda2293z62zzast_nodez00(obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda2618z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2459z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2299z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2typezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t);
	static obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62retblockzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2classzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2app1729z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_returnz00_bglt BGl_makezd2returnzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_retblockz00_bglt, BgL_nodez00_bglt);
	static BgL_genpatchidz00_bglt BGl_z62genpatchidzd2nilzb0zzast_nodez00(obj_t);
	static obj_t
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2effectzd2zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda2620z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2461z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2loczd2zzast_nodez00(BgL_literalz00_bglt);
	static obj_t BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2627z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62lambda2628z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static obj_t BGl_z62switchzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt BGl_letzd2varzd2nilz00zzast_nodez00();
	static obj_t BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62returnzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_wideningzd2otypezd2zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62switchzd2clauseszb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2633z62zzast_nodez00(obj_t, obj_t);
	static BgL_castz00_bglt BGl_z62lambda2471z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda1905z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2634z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1906z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62retblockzd2bodyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_castz00_bglt BGl_z62lambda2473z62zzast_nodez00(obj_t);
	static obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2onexitzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_funcallz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_varzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62genpatchidzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31933ze3ze5zzast_nodez00(obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda1912z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda2642z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2480z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda1914z62zzast_nodez00(obj_t);
	static BgL_variablez00_bglt BGl_z62refzd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2481z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt
		BGl_returnzd2blockzd2zzast_nodez00(BgL_returnz00_bglt);
	static BgL_letzd2varzd2_bglt BGl_z62lambda2645z62zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32379ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_valloczf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vsetz12z12zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_privatez00_bglt
		BGl_makezd2privatezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62lambda2651z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1923z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32647ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2652z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2490z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1924z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2492z62zzast_nodez00(obj_t);
	static obj_t __cnst[96];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid3385za7,
		BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ot3386z00,
		BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2eff3387z00,
		BGl_z62privatezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ3388z00, BGl_z62funcallzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2literalzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2litera3389z00, BGl_z62makezd2literalzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2vtypezd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3390za7,
		BGl_z62boxzd2refzd2vtypez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2argzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar3391za7,
		BGl_z62appzd2lyzd2argz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3392z00, BGl_z62privatezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2valu3393z00, BGl_z62returnzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2valloczd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2valloc3394z00, BGl_z62makezd2valloczb0zzast_nodez00,
		0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr3395z00,
		BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2nilzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2nil3396za7, BGl_z62vsetz12zd2nilza2zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3100z00zzast_nodez00,
		BgL_bgl_za762lambda2115za7623397z00, BGl_z62lambda2115z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3101z00zzast_nodez00,
		BgL_bgl_za762lambda2114za7623398z00, BGl_z62lambda2114z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3102z00zzast_nodez00,
		BgL_bgl_za762lambda2120za7623399z00, BGl_z62lambda2120z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3103z00zzast_nodez00,
		BgL_bgl_za762lambda2119za7623400z00, BGl_z62lambda2119z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3104z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3401za7,
		BGl_z62zc3z04anonymousza32109ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3105z00zzast_nodez00,
		BgL_bgl_za762lambda2107za7623402z00, BGl_z62lambda2107z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3106z00zzast_nodez00,
		BgL_bgl_za762lambda2105za7623403z00, BGl_z62lambda2105z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2loc3404z00, BGl_z62closurezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3107z00zzast_nodez00,
		BgL_bgl_za762lambda2135za7623405z00, BGl_z62lambda2135z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3108z00zzast_nodez00,
		BgL_bgl_za762lambda2134za7623406z00, BGl_z62lambda2134z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3109z00zzast_nodez00,
		BgL_bgl_za762lambda2140za7623407z00, BGl_z62lambda2140z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23408z00,
		BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2typezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ3409za7,
		BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect3410z00, BGl_z62vrefzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7d3411za7,
		BGl_z62nodezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b3412za7,
		BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex3413z00,
		BGl_z62getfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2funza7f3za73414z00,
		BGl_z62letzd2funzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3110z00zzast_nodez00,
		BgL_bgl_za762lambda2139za7623415z00, BGl_z62lambda2139z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3111z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3416za7,
		BGl_z62zc3z04anonymousza32147ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23417z00,
		BGl_z62instanceofzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3112z00zzast_nodez00,
		BgL_bgl_za762lambda2146za7623418z00, BGl_z62lambda2146z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3113z00zzast_nodez00,
		BgL_bgl_za762lambda2145za7623419z00, BGl_z62lambda2145z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d23420za7,
		BGl_z62makezd2letzd2varz62zzast_nodez00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3114z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3421za7,
		BGl_z62zc3z04anonymousza32154ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza73422za7, BGl_z62setqzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s3423za7,
		BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3115z00zzast_nodez00,
		BgL_bgl_za762lambda2153za7623424z00, BGl_z62lambda2153z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2refzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2refza7b03425za7, BGl_z62makezd2refzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2locza7b03426za7, BGl_z62synczd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3116z00zzast_nodez00,
		BgL_bgl_za762lambda2152za7623427z00, BGl_z62lambda2152z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3117z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3428za7,
		BGl_z62zc3z04anonymousza32130ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2effe3429z00,
		BGl_z62externzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3118z00zzast_nodez00,
		BgL_bgl_za762lambda2128za7623430z00, BGl_z62lambda2128z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3119z00zzast_nodez00,
		BgL_bgl_za762lambda2126za7623431z00, BGl_z62lambda2126z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza73432za7,
		BGl_z62valloczd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2unsafezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2uns3433za7,
		BGl_z62vsetz12zd2unsafeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7b3434za7, BGl_z62makezd2castzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2locza7b03435za7, BGl_z62atomzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2procza7b3436za7, BGl_z62failzd2proczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2lo3437za7,
		BGl_z62appzd2lyzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2wideningzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2wideni3438z00, BGl_z62makezd2wideningzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3120z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3439za7,
		BGl_z62zc3z04anonymousza32172ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2onexitzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3440za7,
		BGl_z62setzd2exzd2itzd2onexitzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3121z00zzast_nodez00,
		BgL_bgl_za762lambda2171za7623441z00, BGl_z62lambda2171z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ke3442z00,
		BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3122z00zzast_nodez00,
		BgL_bgl_za762lambda2170za7623443z00, BGl_z62lambda2170z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3123z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3444za7,
		BGl_z62zc3z04anonymousza32179ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3124z00zzast_nodez00,
		BgL_bgl_za762lambda2178za7623445z00, BGl_z62lambda2178z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3125z00zzast_nodez00,
		BgL_bgl_za762lambda2177za7623446z00, BGl_z62lambda2177z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3126z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3447za7,
		BGl_z62zc3z04anonymousza32165ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3127z00zzast_nodez00,
		BgL_bgl_za762lambda2162za7623448z00, BGl_z62lambda2162z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k3449za7,
		BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3128z00zzast_nodez00,
		BgL_bgl_za762lambda2160za7623450z00, BGl_z62lambda2160z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3129z00zzast_nodez00,
		BgL_bgl_za762lambda2195za7623451z00, BGl_z62lambda2195z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza73452za7, BGl_z62kwotezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s3453za7,
		BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2keyza73454za7,
		BGl_z62switchzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sequencezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2sequen3455z00, BGl_z62makezd2sequencezb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3130z00zzast_nodez00,
		BgL_bgl_za762lambda2194za7623456z00, BGl_z62lambda2194z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3131z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3457za7,
		BGl_z62zc3z04anonymousza32190ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3132z00zzast_nodez00,
		BgL_bgl_za762lambda2188za7623458z00, BGl_z62lambda2188z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3133z00zzast_nodez00,
		BgL_bgl_za762lambda2186za7623459z00, BGl_z62lambda2186z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setqzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setqza7b3460za7, BGl_z62makezd2setqzb0zzast_nodez00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3134z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3461za7,
		BGl_z62zc3z04anonymousza32212ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3135z00zzast_nodez00,
		BgL_bgl_za762lambda2211za7623462z00, BGl_z62lambda2211z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3136z00zzast_nodez00,
		BgL_bgl_za762lambda2210za7623463z00, BGl_z62lambda2210z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3137z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3464za7,
		BGl_z62zc3z04anonymousza32219ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3138z00zzast_nodez00,
		BgL_bgl_za762lambda2218za7623465z00, BGl_z62lambda2218z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3139z00zzast_nodez00,
		BgL_bgl_za762lambda2217za7623466z00, BGl_z62lambda2217z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2funza7d2s3467za7,
		BGl_z62appzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7d23468za7,
		BGl_z62varzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2keyzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key3469za7,
		BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2lyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7d23470za7,
		BGl_z62makezd2appzd2lyz62zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex3471z00,
		BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3300z00zzast_nodez00,
		BgL_bgl_za762lambda2749za7623472z00, BGl_z62lambda2749z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ty3473z00, BGl_z62wideningzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3301z00zzast_nodez00,
		BgL_bgl_za762lambda2748za7623474z00, BGl_z62lambda2748z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3302z00zzast_nodez00,
		BgL_bgl_za762lambda2756za7623475z00, BGl_z62lambda2756z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3140z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3476za7,
		BGl_z62zc3z04anonymousza32205ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3303z00zzast_nodez00,
		BgL_bgl_za762lambda2755za7623477z00, BGl_z62lambda2755z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3141z00zzast_nodez00,
		BgL_bgl_za762lambda2203za7623478z00, BGl_z62lambda2203z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3304z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3479za7,
		BGl_z62zc3z04anonymousza32744ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3142z00zzast_nodez00,
		BgL_bgl_za762lambda2201za7623480z00, BGl_z62lambda2201z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3305z00zzast_nodez00,
		BgL_bgl_za762lambda2741za7623481z00, BGl_z62lambda2741z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3143z00zzast_nodez00,
		BgL_bgl_za762lambda2234za7623482z00, BGl_z62lambda2234z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3306z00zzast_nodez00,
		BgL_bgl_za762lambda2739za7623483z00, BGl_z62lambda2739z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3144z00zzast_nodez00,
		BgL_bgl_za762lambda2233za7623484z00, BGl_z62lambda2233z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3307z00zzast_nodez00,
		BgL_bgl_za762lambda2784za7623485z00, BGl_z62lambda2784z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3145z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3486za7,
		BGl_z62zc3z04anonymousza32229ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3308z00zzast_nodez00,
		BgL_bgl_za762lambda2783za7623487z00, BGl_z62lambda2783z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3146z00zzast_nodez00,
		BgL_bgl_za762lambda2227za7623488z00, BGl_z62lambda2227z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3309z00zzast_nodez00,
		BgL_bgl_za762lambda2790za7623489z00, BGl_z62lambda2790z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3147z00zzast_nodez00,
		BgL_bgl_za762lambda2225za7623490z00, BGl_z62lambda2225z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3148z00zzast_nodez00,
		BgL_bgl_za762lambda2249za7623491z00, BGl_z62lambda2249z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3149z00zzast_nodez00,
		BgL_bgl_za762lambda2248za7623492z00, BGl_z62lambda2248z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2effectzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff3493za7,
		BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3310z00zzast_nodez00,
		BgL_bgl_za762lambda2789za7623494z00, BGl_z62lambda2789z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2type3495z00, BGl_z62externzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7d3496za7,
		BGl_z62failzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3311z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3497za7,
		BGl_z62zc3z04anonymousza32799ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3312z00zzast_nodez00,
		BgL_bgl_za762lambda2798za7623498z00, BGl_z62lambda2798z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3150z00zzast_nodez00,
		BgL_bgl_za762lambda2254za7623499z00, BGl_z62lambda2254z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3313z00zzast_nodez00,
		BgL_bgl_za762lambda2797za7623500z00, BGl_z62lambda2797z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3151z00zzast_nodez00,
		BgL_bgl_za762lambda2253za7623501z00, BGl_z62lambda2253z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2closurezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2closur3502z00, BGl_z62makezd2closurezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3314z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3503za7,
		BGl_z62zc3z04anonymousza32778ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3152z00zzast_nodez00,
		BgL_bgl_za762lambda2259za7623504z00, BGl_z62lambda2259z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3505za7,
		BGl_z62vrefzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3315z00zzast_nodez00,
		BgL_bgl_za762lambda2776za7623506z00, BGl_z62lambda2776z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3153z00zzast_nodez00,
		BgL_bgl_za762lambda2258za7623507z00, BGl_z62lambda2258z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef3508z00,
		BGl_z62setfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3316z00zzast_nodez00,
		BgL_bgl_za762lambda2773za7623509z00, BGl_z62lambda2773z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3154z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3510za7,
		BGl_z62zc3z04anonymousza32244ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2returnzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2return3511z00, BGl_z62makezd2returnzb0zzast_nodez00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3317z00zzast_nodez00,
		BgL_bgl_za762lambda2832za7623512z00, BGl_z62lambda2832z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3155z00zzast_nodez00,
		BgL_bgl_za762lambda2242za7623513z00, BGl_z62lambda2242z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3318z00zzast_nodez00,
		BgL_bgl_za762lambda2831za7623514z00, BGl_z62lambda2831z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3156z00zzast_nodez00,
		BgL_bgl_za762lambda2240za7623515z00, BGl_z62lambda2240z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3319z00zzast_nodez00,
		BgL_bgl_za762lambda2838za7623516z00, BGl_z62lambda2838z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3157z00zzast_nodez00,
		BgL_bgl_za762lambda2274za7623517z00, BGl_z62lambda2274z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp3518z00,
		BGl_z62vlengthzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3158z00zzast_nodez00,
		BgL_bgl_za762lambda2273za7623519z00, BGl_z62lambda2273z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3520za7,
		BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3159z00zzast_nodez00,
		BgL_bgl_za762lambda2279za7623521z00, BGl_z62lambda2279z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff3522z00,
		BGl_z62vlengthzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2exprza2zd2setz12zd2envz70zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp3523za7,
		BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3524za7,
		BGl_z62letzd2varzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jumpzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2jumpza7d3525za7,
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si3526z00,
		BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3320z00zzast_nodez00,
		BgL_bgl_za762lambda2837za7623527z00, BGl_z62lambda2837z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3321z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3528za7,
		BGl_z62zc3z04anonymousza32827ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3322z00zzast_nodez00,
		BgL_bgl_za762lambda2825za7623529z00, BGl_z62lambda2825z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3160z00zzast_nodez00,
		BgL_bgl_za762lambda2278za7623530z00, BGl_z62lambda2278z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3323z00zzast_nodez00,
		BgL_bgl_za762lambda2823za7623531z00, BGl_z62lambda2823z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3161z00zzast_nodez00,
		BgL_bgl_za762lambda2284za7623532z00, BGl_z62lambda2284z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3324z00zzast_nodez00,
		BgL_bgl_za762lambda2853za7623533z00, BGl_z62lambda2853z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3162z00zzast_nodez00,
		BgL_bgl_za762lambda2283za7623534z00, BGl_z62lambda2283z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3325z00zzast_nodez00,
		BgL_bgl_za762lambda2852za7623535z00, BGl_z62lambda2852z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3163z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3536za7,
		BGl_z62zc3z04anonymousza32269ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2n3537za7,
		BGl_z62letzd2varzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3326z00zzast_nodez00,
		BgL_bgl_za762lambda2858za7623538z00, BGl_z62lambda2858z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3164z00zzast_nodez00,
		BgL_bgl_za762lambda2267za7623539z00, BGl_z62lambda2267z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3327z00zzast_nodez00,
		BgL_bgl_za762lambda2857za7623540z00, BGl_z62lambda2857z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3165z00zzast_nodez00,
		BgL_bgl_za762lambda2265za7623541z00, BGl_z62lambda2265z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3328z00zzast_nodez00,
		BgL_bgl_za762lambda2865za7623542z00, BGl_z62lambda2865z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3166z00zzast_nodez00,
		BgL_bgl_za762lambda2300za7623543z00, BGl_z62lambda2300z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3329z00zzast_nodez00,
		BgL_bgl_za762lambda2864za7623544z00, BGl_z62lambda2864z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3167z00zzast_nodez00,
		BgL_bgl_za762lambda2299za7623545z00, BGl_z62lambda2299z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3168z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3546za7,
		BGl_z62zc3z04anonymousza32295ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7b03547za7, BGl_z62failzd2msgzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3169z00zzast_nodez00,
		BgL_bgl_za762lambda2293za7623548z00, BGl_z62lambda2293z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2walkzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7b3549za7, BGl_z62nodezd2walkzb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2unsafe3550z00, BGl_z62vrefzd2unsafezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2keyza73551za7,
		BGl_z62externzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3330z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3552za7,
		BGl_z62zc3z04anonymousza32848ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3331z00zzast_nodez00,
		BgL_bgl_za762lambda2846za7623553z00, BGl_z62lambda2846z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3332z00zzast_nodez00,
		BgL_bgl_za762lambda2844za7623554z00, BGl_z62lambda2844z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3170z00zzast_nodez00,
		BgL_bgl_za762lambda2291za7623555z00, BGl_z62lambda2291z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke3556z00,
		BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3333z00zzast_nodez00,
		BgL_bgl_za762lambda2882za7623557z00, BGl_z62lambda2882z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3171z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3558za7,
		BGl_z62zc3z04anonymousza32319ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3334z00zzast_nodez00,
		BgL_bgl_za762lambda2881za7623559z00, BGl_z62lambda2881z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3172z00zzast_nodez00,
		BgL_bgl_za762lambda2318za7623560z00, BGl_z62lambda2318z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762privateza7d2exp3561z00,
		BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3335z00zzast_nodez00,
		BgL_bgl_za762lambda2889za7623562z00, BGl_z62lambda2889z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3173z00zzast_nodez00,
		BgL_bgl_za762lambda2317za7623563z00, BGl_z62lambda2317z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3336z00zzast_nodez00,
		BgL_bgl_za762lambda2888za7623564z00, BGl_z62lambda2888z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3174z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3565za7,
		BGl_z62zc3z04anonymousza32311ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2loczd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3566z00,
		BGl_z62nodezf2effectzd2locz42zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3337z00zzast_nodez00,
		BgL_bgl_za762lambda2917za7623567z00, BGl_z62lambda2917z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3175z00zzast_nodez00,
		BgL_bgl_za762lambda2309za7623568z00, BGl_z62lambda2309z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3338z00zzast_nodez00,
		BgL_bgl_za762lambda2916za7623569z00, BGl_z62lambda2916z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3176z00zzast_nodez00,
		BgL_bgl_za762lambda2307za7623570z00, BGl_z62lambda2307z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3339z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3571za7,
		BGl_z62zc3z04anonymousza32877ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3177z00zzast_nodez00,
		BgL_bgl_za762lambda2336za7623572z00, BGl_z62lambda2336z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3178z00zzast_nodez00,
		BgL_bgl_za762lambda2335za7623573z00, BGl_z62lambda2335z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762literalza7d2val3574z00,
		BGl_z62literalzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2nilza73575za7, BGl_z62valloczd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3179z00zzast_nodez00,
		BgL_bgl_za762lambda2342za7623576z00, BGl_z62lambda2342z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazf3zd2envz21zzast_nodez00,
		BgL_bgl_za762pragmaza7f3za791za73577z00, BGl_z62pragmazf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2keyzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3578z00,
		BGl_z62nodezf2effectzd2keyz42zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side3579z00,
		BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2nilza7b3580za7, BGl_z62patchzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke3581z00,
		BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2externzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2extern3582z00, BGl_z62makezd2externzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2n3583za7,
		BGl_z62boxzd2refzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d23584za7,
		BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2valuezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73585z00,
		BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3340z00zzast_nodez00,
		BgL_bgl_za762lambda2873za7623586z00, BGl_z62lambda2873z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3341z00zzast_nodez00,
		BgL_bgl_za762lambda2871za7623587z00, BGl_z62lambda2871z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3180z00zzast_nodez00,
		BgL_bgl_za762lambda2341za7623588z00, BGl_z62lambda2341z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3343z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walk173589z00, BGl_z62nodezd2walk1716zb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3181z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3590za7,
		BGl_z62zc3z04anonymousza32329ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3182z00zzast_nodez00,
		BgL_bgl_za762lambda2327za7623591z00, BGl_z62lambda2327z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3183z00zzast_nodez00,
		BgL_bgl_za762lambda2325za7623592z00, BGl_z62lambda2325z62zzast_nodez00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3346z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3593za7,
		BGl_z62nodezd2walkzd2atom1719z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3184z00zzast_nodez00,
		BgL_bgl_za762lambda2360za7623594z00, BGl_z62lambda2360z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3185z00zzast_nodez00,
		BgL_bgl_za762lambda2359za7623595z00, BGl_z62lambda2359z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3348z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3596za7,
		BGl_z62nodezd2walkzd2var1721z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3186z00zzast_nodez00,
		BgL_bgl_za762lambda2366za7623597z00, BGl_z62lambda2366z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3349z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3598za7,
		BGl_z62nodezd2walkzd2kwote1723z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3187z00zzast_nodez00,
		BgL_bgl_za762lambda2365za7623599z00, BGl_z62lambda2365z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3188z00zzast_nodez00,
		BgL_bgl_za762lambda2371za7623600z00, BGl_z62lambda2371z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3189z00zzast_nodez00,
		BgL_bgl_za762lambda2370za7623601z00, BGl_z62lambda2370z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2varzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73602z00,
		BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2locza7b0za73603z00, BGl_z62newzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762literalza7d2typ3604z00,
		BGl_z62literalzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3605za7,
		BGl_z62castzd2nullzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7b0za73606z00, BGl_z62newzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23607z00,
		BGl_z62genpatchidzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2objza7b03608za7, BGl_z62failzd2objzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2vtypezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73609z00,
		BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3350z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3610za7,
		BGl_z62nodezd2walkzd2sequence1725z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3611za7,
		BGl_z62castzd2nullzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3351z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3612za7,
		BGl_z62nodezd2walkzd2sync1727z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3352z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3613za7,
		BGl_z62nodezd2walkzd2app1729z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3190z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3614za7,
		BGl_z62zc3z04anonymousza32379ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3353z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3615za7,
		BGl_z62nodezd2walkzd2appzd2ly1731zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3191z00zzast_nodez00,
		BgL_bgl_za762lambda2378za7623616z00, BGl_z62lambda2378z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3354z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3617za7,
		BGl_z62nodezd2walkzd2funcall1733z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3192z00zzast_nodez00,
		BgL_bgl_za762lambda2377za7623618z00, BGl_z62lambda2377z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23619z00,
		BGl_z62genpatchidzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7d23620za7,
		BGl_z62setqzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3355z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3621za7,
		BGl_z62nodezd2walkzd2extern1735z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3193z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3622za7,
		BGl_z62zc3z04anonymousza32355ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3356z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3623za7,
		BGl_z62nodezd2walkzd2cast1737z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3194z00zzast_nodez00,
		BgL_bgl_za762lambda2353za7623624z00, BGl_z62lambda2353z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3357z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3625za7,
		BGl_z62nodezd2walkzd2setq1739z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3195z00zzast_nodez00,
		BgL_bgl_za762lambda2351za7623626z00, BGl_z62lambda2351z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2nilza73627za7, BGl_z62returnzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3358z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3628za7,
		BGl_z62nodezd2walkzd2conditiona1741z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3196z00zzast_nodez00,
		BgL_bgl_za762lambda2394za7623629z00, BGl_z62lambda2394z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3359z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3630za7,
		BGl_z62nodezd2walkzd2fail1743z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3197z00zzast_nodez00,
		BgL_bgl_za762lambda2393za7623631z00, BGl_z62lambda2393z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3198z00zzast_nodez00,
		BgL_bgl_za762lambda2399za7623632z00, BGl_z62lambda2399z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3199z00zzast_nodez00,
		BgL_bgl_za762lambda2398za7623633z00, BGl_z62lambda2398z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3634za7,
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2vtypezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73635z00,
		BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3636z00,
		BGl_z62privatezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2valu3637z00,
		BGl_z62returnzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762instanceofza7f33638z00, BGl_z62instanceofzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3360z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3639za7,
		BGl_z62nodezd2walkzd2switch1745z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3361z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3640za7,
		BGl_z62nodezd2walkzd2makezd2box1747zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3362z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3641za7,
		BGl_z62nodezd2walkzd2boxzd2ref1749zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3363z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3642za7,
		BGl_z62nodezd2walkzd2boxzd2setz121751za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3364z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3643za7,
		BGl_z62nodezd2walkzd2letzd2fun1753zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3365z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3644za7,
		BGl_z62nodezd2walkzd2letzd2var1755zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3366z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3645za7,
		BGl_z62nodezd2walkzd2setzd2exzd2it1757z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3367z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3646za7,
		BGl_z62nodezd2walkzd2jumpzd2exzd2it1759z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2bo3647z00, BGl_z62retblockzd2bodyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7d23648za7,
		BGl_z62appzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7b03649za7, BGl_z62appzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3650za7,
		BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t3651za7,
		BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2setz12zd2envze0zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3652z00,
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2nil3653z00, BGl_z62vlengthzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3654za7,
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza73655za7, BGl_z62atomzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3656za7,
		BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2nil3657z00, BGl_z62literalzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2envz20zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3658z00,
		BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d23659z00,
		BGl_z62instanceofzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3660za7,
		BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2blockzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2bloc3661z00,
		BGl_z62returnzd2blockzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2locza7b0za73662z00, BGl_z62varzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3663za7,
		BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2varza7f3za73664z00,
		BGl_z62letzd2varzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762wideningza7d2si3665z00,
		BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2functionszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun3666z00,
		BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2stackablezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23667za7,
		BGl_z62makezd2boxzd2stackablezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex3668z00,
		BGl_z62setfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23669z00,
		BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2variabl3670z00, BGl_z62refzd2variablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2typezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ3671za7,
		BGl_z62vsetz12zd2typeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2nilza7b03672za7, BGl_z62nodezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762genpatchidza7f33673z00, BGl_z62genpatchidzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d23674za7,
		BGl_z62newzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg3675z00,
		BGl_z62funcallzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zf3zd2envz33zzast_nodez00,
		BgL_bgl_za762vsetza712za7f3za7833676z00, BGl_z62vsetz12zf3z83zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2funzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu3677za7,
		BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2varzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3678za7,
		BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7d3679za7,
		BGl_z62setqzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ3680z00, BGl_z62vlengthzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2var3681z00,
		BGl_z62closurezd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2nilza7b03682za7, BGl_z62failzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d23683za7,
		BGl_z62appzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2valuezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73684z00,
		BGl_z62boxzd2setz12zd2valuez70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2exitzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3685za7,
		BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3686za7,
		BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2nil3687z00, BGl_z62funcallzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2onexitzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3688za7,
		BGl_z62setzd2exzd2itzd2onexitzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762instanceofza7d23689z00,
		BGl_z62instanceofzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3690za7,
		BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762externza7d2expr3691z00,
		BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7d23692za7,
		BGl_z62failzd2msgzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3693za7,
		BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7b03694za7, BGl_z62newzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2vtypezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23695za7,
		BGl_z62makezd2boxzd2vtypez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762privateza7d2sid3696z00,
		BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef3697z00,
		BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2ni3698z00, BGl_z62retblockzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2getfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2getfie3699z00, BGl_z62makezd2getfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2lo3700z00, BGl_z62setfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2truezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3701z00,
		BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ty3702z00,
		BGl_z62wideningzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2type3703z00, BGl_z62switchzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke3704z00, BGl_z62setfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2locza7b0za73705z00, BGl_z62appzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7b03706za7, BGl_z62setqzd2varzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2patchidzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2patch3707z00,
		BGl_z62patchzd2patchidzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7b0za73708z00, BGl_z62appzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty3709z00,
		BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a23710za7,
		BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762failza7f3za791za7za7a3711za7, BGl_z62failzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ot3712z00,
		BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setqza7f3za791za7za7a3713za7, BGl_z62setqzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2lo3714z00, BGl_z62wideningzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2locza73715za7, BGl_z62externzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vlengthzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vlengt3716z00, BGl_z62makezd2vlengthzb0zzast_nodez00,
		0L, BUNSPEC, 9);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ke3717z00, BGl_z62wideningzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2keyza73718za7, BGl_z62externzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2nil3719z00, BGl_z62closurezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe3720z00, BGl_z62pragmazd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2argza7b03721za7, BGl_z62castzd2argzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_varzd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2variabl3722z00,
		BGl_z62varzd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7b03723za7, BGl_z62varzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2varzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73724z00,
		BGl_z62boxzd2setz12zd2varz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2strengthzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2str3725z00,
		BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762closureza7f3za7913726za7, BGl_z62closurezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3727z00,
		BGl_z62conditionalzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762nodeza7f3za791za7za7a3728za7, BGl_z62nodezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3729z00,
		BGl_z62conditionalzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2nilza7b03730za7, BGl_z62synczd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2type3731z00, BGl_z62valloczd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2mutexzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2mutexza73732za7, BGl_z62synczd2mutexzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23733z00,
		BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2nilza7b03734za7, BGl_z62atomzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ni3735za7,
		BGl_z62appzd2lyzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2pragmazd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2pragma3736z00, BGl_z62makezd2pragmazb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2type3737z00, BGl_z62returnzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d23738za7,
		BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setfie3739z00, BGl_z62makezd2setfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3740z00,
		BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2valuezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23741za7,
		BGl_z62makezd2boxzd2valuez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2key3742z00,
		BGl_z62privatezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty3743z00,
		BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ef3744z00,
		BGl_z62wideningzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762switchza7f3za791za73745z00, BGl_z62switchzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2locza7b03746za7, BGl_z62castzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2vtypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2vty3747z00,
		BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2ftypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty3748za7,
		BGl_z62vsetz12zd2ftypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2otyp3749z00,
		BGl_z62valloczd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7d3750za7,
		BGl_z62vrefzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3751za7,
		BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2cza7d23752za7,
		BGl_z62valloczd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2vtypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2vty3753za7,
		BGl_z62vsetz12zd2vtypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3754za7,
		BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bindingszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3755za7,
		BGl_z62letzd2varzd2bindingsz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s3756za7,
		BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2patchidzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2patch3757z00, BGl_z62patchzd2patchidzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762wideningza7d2cza73758za7,
		BGl_z62wideningzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nodeszd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2no3759z00,
		BGl_z62sequencezd2nodeszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type3760z00,
		BGl_z62pragmazd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t3761za7,
		BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762refza7d2typeza7d23762za7,
		BGl_z62refzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke3763z00,
		BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2stackablezd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2stackab3764z00, BGl_z62appzd2stackablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2test3765z00,
		BGl_z62switchzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2effectza73766za7,
		BGl_z62newzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2localszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l3767za7,
		BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key3768z00,
		BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2czd2formatzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2cza7d3769z00,
		BGl_z62vsetz12zd2czd2formatz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2type3770z00,
		BGl_z62returnzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7d23771za7,
		BGl_z62appzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_retblockzd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762retblockza7d2bo3772z00,
		BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23773za7,
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2keyzd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3774z00,
		BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7d3775za7,
		BGl_z62castzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_strictzd2nodezd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762strictza7d2node3776z00,
		BGl_z62strictzd2nodezd2typez62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2makezd2boxzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2makeza7d3777za7,
		BGl_z62makezd2makezd2boxz62zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3778za7,
		BGl_z62castzd2nullzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2un3779z00,
		BGl_z62sequencezd2unsafezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762privateza7d2exp3780z00,
		BGl_z62privatezd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2nilzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3781z00,
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7f3782za7,
		BGl_z62castzd2nullzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_synczd2prelockzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2preloc3783z00,
		BGl_z62synczd2prelockzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp3784z00, BGl_z62valloczd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762externza7d2side3785z00,
		BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg3786z00, BGl_z62funcallzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762getfieldza7f3za793787za7, BGl_z62getfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ot3788z00,
		BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3789za7,
		BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si3790z00,
		BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7b03791za7, BGl_z62makezd2appzb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762externza7d2expr3792z00,
		BGl_z62externzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2nilza7b0za73793z00, BGl_z62newzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3794za7,
		BGl_z62castzd2nullzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side3795z00,
		BGl_z62pragmazd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type3796z00, BGl_z62pragmazd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23797z00,
		BGl_z62genpatchidzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2typeza7b3798za7, BGl_z62synczd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2classzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23799z00,
		BGl_z62instanceofzd2classzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ3800z00,
		BGl_z62funcallzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2locza7b3801za7, BGl_z62kwotezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2otypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2oty3802za7,
		BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vallocza7f3za791za73803z00, BGl_z62valloczf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k3804za7,
		BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2lo3805z00, BGl_z62getfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ft3806z00,
		BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2eff3807z00,
		BGl_z62privatezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2cza73808za7,
		BGl_z62setfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2fn3809z00,
		BGl_z62getfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke3810z00, BGl_z62getfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23811z00,
		BGl_z62genpatchidzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7d2s3812za7,
		BGl_z62appzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty3813z00, BGl_z62getfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2value3814z00, BGl_z62patchzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty3815z00, BGl_z62setfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3816za7,
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2otypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2oty3817za7,
		BGl_z62vsetz12zd2otypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3818z00,
		BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762castza7f3za791za7za7a3819za7, BGl_z62castzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2form3820z00, BGl_z62pragmazd2formatzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2indexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2index3821z00,
		BGl_z62patchzd2indexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7b3822za7, BGl_z62nodezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23823z00,
		BGl_z62instanceofzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2nilza7b0za73824z00, BGl_z62varzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2prelockzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2preloc3825z00, BGl_z62synczd2prelockzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23826z00,
		BGl_z62instanceofzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2locza7b03827za7, BGl_z62setqzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762privateza7f3za7913828za7, BGl_z62privatezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si3829z00,
		BGl_z62sequencezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3830za7,
		BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t3831za7,
		BGl_z62letzd2funzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3029z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3832za7,
		BGl_z62zc3z04anonymousza31897ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2loczd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73833z00,
		BGl_z62boxzd2setz12zd2locz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp3834z00,
		BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2typezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73835z00,
		BGl_z62boxzd2setz12zd2typez70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762conditionalza7f3836z00, BGl_z62conditionalzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762conditionalza7d3837z00,
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762returnza7f3za791za73838z00, BGl_z62returnzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zf3zd2envze1zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73839z00,
		BGl_z62boxzd2setz12zf3z51zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3030z00zzast_nodez00,
		BgL_bgl_za762lambda1896za7623840z00, BGl_z62lambda1896z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3031z00zzast_nodez00,
		BgL_bgl_za762lambda1895za7623841z00, BGl_z62lambda1895z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3032z00zzast_nodez00,
		BgL_bgl_za762lambda1906za7623842z00, BGl_z62lambda1906z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2localszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l3843za7,
		BGl_z62letzd2funzd2localsz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3033z00zzast_nodez00,
		BgL_bgl_za762lambda1905za7623844z00, BGl_z62lambda1905z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3034z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3845za7,
		BGl_z62zc3z04anonymousza31888ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3035z00zzast_nodez00,
		BgL_bgl_za762lambda1886za7623846z00, BGl_z62lambda1886z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3036z00zzast_nodez00,
		BgL_bgl_za762lambda1884za7623847z00, BGl_z62lambda1884z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3037z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3848za7,
		BGl_z62zc3z04anonymousza31925ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2otypeza73849za7,
		BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3038z00zzast_nodez00,
		BgL_bgl_za762lambda1924za7623850z00, BGl_z62lambda1924z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3039z00zzast_nodez00,
		BgL_bgl_za762lambda1923za7623851z00, BGl_z62lambda1923z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2funcallzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2funcal3852z00, BGl_z62makezd2funcallzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762sequenceza7f3za793853za7, BGl_z62sequencezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7d2s3854za7,
		BGl_z62newzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2locza73855za7, BGl_z62switchzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2otyp3856z00, BGl_z62valloczd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3200z00zzast_nodez00,
		BgL_bgl_za762lambda2405za7623857z00, BGl_z62lambda2405z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3201z00zzast_nodez00,
		BgL_bgl_za762lambda2404za7623858z00, BGl_z62lambda2404z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3202z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3859za7,
		BGl_z62zc3z04anonymousza32413ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3040z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3860za7,
		BGl_z62zc3z04anonymousza31933ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3203z00zzast_nodez00,
		BgL_bgl_za762lambda2412za7623861z00, BGl_z62lambda2412z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3041z00zzast_nodez00,
		BgL_bgl_za762lambda1932za7623862z00, BGl_z62lambda1932z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3204z00zzast_nodez00,
		BgL_bgl_za762lambda2411za7623863z00, BGl_z62lambda2411z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3042z00zzast_nodez00,
		BgL_bgl_za762lambda1931za7623864z00, BGl_z62lambda1931z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3205z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3865za7,
		BGl_z62zc3z04anonymousza32389ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3043z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3866za7,
		BGl_z62zc3z04anonymousza31917ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2keyza73867za7, BGl_z62switchzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3206z00zzast_nodez00,
		BgL_bgl_za762lambda2387za7623868z00, BGl_z62lambda2387z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3044z00zzast_nodez00,
		BgL_bgl_za762lambda1914za7623869z00, BGl_z62lambda1914z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3207z00zzast_nodez00,
		BgL_bgl_za762lambda2385za7623870z00, BGl_z62lambda2385z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3045z00zzast_nodez00,
		BgL_bgl_za762lambda1912za7623871z00, BGl_z62lambda1912z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3208z00zzast_nodez00,
		BgL_bgl_za762lambda2429za7623872z00, BGl_z62lambda2429z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3046z00zzast_nodez00,
		BgL_bgl_za762lambda1946za7623873z00, BGl_z62lambda1946z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3209z00zzast_nodez00,
		BgL_bgl_za762lambda2428za7623874z00, BGl_z62lambda2428z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3047z00zzast_nodez00,
		BgL_bgl_za762lambda1945za7623875z00, BGl_z62lambda1945z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2typeza7b03876za7, BGl_z62refzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3048z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3877za7,
		BGl_z62zc3z04anonymousza31941ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3049z00zzast_nodez00,
		BgL_bgl_za762lambda1939za7623878z00, BGl_z62lambda1939z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun3879z00,
		BGl_z62funcallzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2indexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23880z00,
		BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2exitzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3881za7,
		BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun3882z00, BGl_z62funcallzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2locza7b03883za7, BGl_z62vrefzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2refzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23884za7,
		BGl_z62makezd2boxzd2refz62zzast_nodez00, 0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2typeza73885za7, BGl_z62patchzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3886za7,
		BGl_z62setzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_retblockzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762retblockza7d2ty3887z00,
		BGl_z62retblockzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ni3888z00, BGl_z62setfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3210z00zzast_nodez00,
		BgL_bgl_za762lambda2435za7623889z00, BGl_z62lambda2435z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2lo3890z00, BGl_z62sequencezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzast_nodez00,
		BgL_bgl_za762lambda2434za7623891z00, BGl_z62lambda2434z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3212z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3892za7,
		BGl_z62zc3z04anonymousza32424ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3050z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3893za7,
		BGl_z62zc3z04anonymousza31956ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3213z00zzast_nodez00,
		BgL_bgl_za762lambda2422za7623894z00, BGl_z62lambda2422z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3051z00zzast_nodez00,
		BgL_bgl_za762lambda1954za7623895z00, BGl_z62lambda1954z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23896z00,
		BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3214z00zzast_nodez00,
		BgL_bgl_za762lambda2420za7623897z00, BGl_z62lambda2420z62zzast_nodez00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3052z00zzast_nodez00,
		BgL_bgl_za762lambda1952za7623898z00, BGl_z62lambda1952z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3215z00zzast_nodez00,
		BgL_bgl_za762lambda2452za7623899z00, BGl_z62lambda2452z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3053z00zzast_nodez00,
		BgL_bgl_za762lambda1972za7623900z00, BGl_z62lambda1972z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7b03901za7, BGl_z62vrefzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3216z00zzast_nodez00,
		BgL_bgl_za762lambda2451za7623902z00, BGl_z62lambda2451z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3054z00zzast_nodez00,
		BgL_bgl_za762lambda1971za7623903z00, BGl_z62lambda1971z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3217z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3904za7,
		BGl_z62zc3z04anonymousza32447ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3055z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3905za7,
		BGl_z62zc3z04anonymousza31979ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3218z00zzast_nodez00,
		BgL_bgl_za762lambda2445za7623906z00, BGl_z62lambda2445z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3056z00zzast_nodez00,
		BgL_bgl_za762lambda1978za7623907z00, BGl_z62lambda1978z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3219z00zzast_nodez00,
		BgL_bgl_za762lambda2443za7623908z00, BGl_z62lambda2443z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3057z00zzast_nodez00,
		BgL_bgl_za762lambda1977za7623909z00, BGl_z62lambda1977z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3058z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3910za7,
		BGl_z62zc3z04anonymousza31986ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3059z00zzast_nodez00,
		BgL_bgl_za762lambda1985za7623911z00, BGl_z62lambda1985z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke3912z00, BGl_z62sequencezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2nilza7b0za73913z00, BGl_z62appzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d23914z00,
		BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2valuezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23915za7,
		BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d3916za7,
		BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2czd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3917za7,
		BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2typ3918z00, BGl_z62literalzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2test3919z00, BGl_z62switchzd2testzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3920z00,
		BGl_z62conditionalzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3220z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3921za7,
		BGl_z62zc3z04anonymousza32463ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ni3922z00, BGl_z62wideningzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3221z00zzast_nodez00,
		BgL_bgl_za762lambda2461za7623923z00, BGl_z62lambda2461z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2nilza73924za7, BGl_z62externzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3222z00zzast_nodez00,
		BgL_bgl_za762lambda2459za7623925z00, BGl_z62lambda2459z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3060z00zzast_nodez00,
		BgL_bgl_za762lambda1984za7623926z00, BGl_z62lambda1984z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2failzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2failza7b3927za7, BGl_z62makezd2failzb0zzast_nodez00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3223z00zzast_nodez00,
		BgL_bgl_za762lambda2481za7623928z00, BGl_z62lambda2481z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3061z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3929za7,
		BGl_z62zc3z04anonymousza31967ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp3930z00,
		BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3224z00zzast_nodez00,
		BgL_bgl_za762lambda2480za7623931z00, BGl_z62lambda2480z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3062z00zzast_nodez00,
		BgL_bgl_za762lambda1965za7623932z00, BGl_z62lambda1965z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3225z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3933za7,
		BGl_z62zc3z04anonymousza32476ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3063z00zzast_nodez00,
		BgL_bgl_za762lambda1962za7623934z00, BGl_z62lambda1962z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3226z00zzast_nodez00,
		BgL_bgl_za762lambda2473za7623935z00, BGl_z62lambda2473z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3064z00zzast_nodez00,
		BgL_bgl_za762lambda1998za7623936z00, BGl_z62lambda1998z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3227z00zzast_nodez00,
		BgL_bgl_za762lambda2471za7623937z00, BGl_z62lambda2471z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3065z00zzast_nodez00,
		BgL_bgl_za762lambda1997za7623938z00, BGl_z62lambda1997z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3228z00zzast_nodez00,
		BgL_bgl_za762lambda2503za7623939z00, BGl_z62lambda2503z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3066z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3940za7,
		BGl_z62zc3z04anonymousza31993ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezf2effectzd2envzf2zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7f3941za7,
		BGl_z62makezd2nodezf2effectz42zzast_nodez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3229z00zzast_nodez00,
		BgL_bgl_za762lambda2502za7623942z00, BGl_z62lambda2502z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3067z00zzast_nodez00,
		BgL_bgl_za762lambda1991za7623943z00, BGl_z62lambda1991z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vsetz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2vsetza713944za7,
		BGl_z62makezd2vsetz12za2zzast_nodez00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3068z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3945za7,
		BGl_z62zc3z04anonymousza32008ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3069z00zzast_nodez00,
		BgL_bgl_za762lambda2006za7623946z00, BGl_z62lambda2006z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ft3947z00,
		BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23948za7,
		BGl_z62makezd2boxzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3949z00,
		BGl_z62conditionalzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3230z00zzast_nodez00,
		BgL_bgl_za762lambda2509za7623950z00, BGl_z62lambda2509z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3231z00zzast_nodez00,
		BgL_bgl_za762lambda2508za7623951z00, BGl_z62lambda2508z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3232z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3952za7,
		BGl_z62zc3z04anonymousza32495ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3070z00zzast_nodez00,
		BgL_bgl_za762lambda2004za7623953z00, BGl_z62lambda2004z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza73954za7,
		BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2synczd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2syncza7b3955za7, BGl_z62makezd2synczb0zzast_nodez00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3233z00zzast_nodez00,
		BgL_bgl_za762lambda2492za7623956z00, BGl_z62lambda2492z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3071z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3957za7,
		BGl_z62zc3z04anonymousza32018ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3234z00zzast_nodez00,
		BgL_bgl_za762lambda2490za7623958z00, BGl_z62lambda2490z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3072z00zzast_nodez00,
		BgL_bgl_za762lambda2016za7623959z00, BGl_z62lambda2016z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23960za7,
		BGl_z62makezd2boxzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3235z00zzast_nodez00,
		BgL_bgl_za762lambda2533za7623961z00, BGl_z62lambda2533z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3073z00zzast_nodez00,
		BgL_bgl_za762lambda2014za7623962z00, BGl_z62lambda2014z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3236z00zzast_nodez00,
		BgL_bgl_za762lambda2532za7623963z00, BGl_z62lambda2532z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3074z00zzast_nodez00,
		BgL_bgl_za762lambda2036za7623964z00, BGl_z62lambda2036z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe3965z00,
		BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2argza7d23966za7,
		BGl_z62castzd2argzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3237z00zzast_nodez00,
		BgL_bgl_za762lambda2540za7623967z00, BGl_z62lambda2540z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3075z00zzast_nodez00,
		BgL_bgl_za762lambda2035za7623968z00, BGl_z62lambda2035z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3238z00zzast_nodez00,
		BgL_bgl_za762lambda2539za7623969z00, BGl_z62lambda2539z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3076z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3970za7,
		BGl_z62zc3z04anonymousza32030ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3239z00zzast_nodez00,
		BgL_bgl_za762lambda2548za7623971z00, BGl_z62lambda2548z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3077z00zzast_nodez00,
		BgL_bgl_za762lambda2027za7623972z00, BGl_z62lambda2027z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3078z00zzast_nodez00,
		BgL_bgl_za762lambda2025za7623973z00, BGl_z62lambda2025z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2var3974z00,
		BGl_z62closurezd2variablezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3079z00zzast_nodez00,
		BgL_bgl_za762lambda2053za7623975z00, BGl_z62lambda2053z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2bodyza7d3976za7,
		BGl_z62synczd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7d23977za7,
		BGl_z62newzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2vtypezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23978za7,
		BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762retblockza7f3za793979za7, BGl_z62retblockzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23980z00,
		BGl_z62instanceofzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t3981za7,
		BGl_z62boxzd2refzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2locza73982za7, BGl_z62pragmazd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3240z00zzast_nodez00,
		BgL_bgl_za762lambda2547za7623983z00, BGl_z62lambda2547z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3241z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3984za7,
		BGl_z62zc3z04anonymousza32526ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3242z00zzast_nodez00,
		BgL_bgl_za762lambda2524za7623985z00, BGl_z62lambda2524z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3080z00zzast_nodez00,
		BgL_bgl_za762lambda2052za7623986z00, BGl_z62lambda2052z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3243z00zzast_nodez00,
		BgL_bgl_za762lambda2522za7623987z00, BGl_z62lambda2522z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3081z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3988za7,
		BGl_z62zc3z04anonymousza32061ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3244z00zzast_nodez00,
		BgL_bgl_za762lambda2572za7623989z00, BGl_z62lambda2572z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3082z00zzast_nodez00,
		BgL_bgl_za762lambda2060za7623990z00, BGl_z62lambda2060z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3245z00zzast_nodez00,
		BgL_bgl_za762lambda2571za7623991z00, BGl_z62lambda2571z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3083z00zzast_nodez00,
		BgL_bgl_za762lambda2059za7623992z00, BGl_z62lambda2059z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3246z00zzast_nodez00,
		BgL_bgl_za762lambda2578za7623993z00, BGl_z62lambda2578z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3084z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3994za7,
		BGl_z62zc3z04anonymousza32068ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3995za7,
		BGl_z62castzd2nullzd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3247z00zzast_nodez00,
		BgL_bgl_za762lambda2577za7623996z00, BGl_z62lambda2577z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3085z00zzast_nodez00,
		BgL_bgl_za762lambda2067za7623997z00, BGl_z62lambda2067z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza73998za7, BGl_z62pragmazd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3248z00zzast_nodez00,
		BgL_bgl_za762lambda2583za7623999z00, BGl_z62lambda2583z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3086z00zzast_nodez00,
		BgL_bgl_za762lambda2066za7624000z00, BGl_z62lambda2066z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3249z00zzast_nodez00,
		BgL_bgl_za762lambda2582za7624001z00, BGl_z62lambda2582z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3087z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4002za7,
		BGl_z62zc3z04anonymousza32047ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3088z00zzast_nodez00,
		BgL_bgl_za762lambda2045za7624003z00, BGl_z62lambda2045z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2typezd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4004z00,
		BGl_z62nodezf2effectzd2typez42zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3089z00zzast_nodez00,
		BgL_bgl_za762lambda2043za7624005z00, BGl_z62lambda2043z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2ftypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty4006za7,
		BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7f3za74007z00,
		BGl_z62boxzd2refzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ot4008z00,
		BGl_z62wideningzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ft4009z00,
		BGl_z62getfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762switchza7d2side4010z00,
		BGl_z62switchzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2genpatchidzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2genpat4011z00,
		BGl_z62makezd2genpatchidzb0zzast_nodez00, 0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2loc4012z00, BGl_z62privatezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3250z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4013za7,
		BGl_z62zc3z04anonymousza32566ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3251z00zzast_nodez00,
		BgL_bgl_za762lambda2564za7624014z00, BGl_z62lambda2564z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762kwoteza7f3za791za7za74015za7, BGl_z62kwotezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3252z00zzast_nodez00,
		BgL_bgl_za762lambda2562za7624016z00, BGl_z62lambda2562z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3090z00zzast_nodez00,
		BgL_bgl_za762lambda2085za7624017z00, BGl_z62lambda2085z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3253z00zzast_nodez00,
		BgL_bgl_za762lambda2601za7624018z00, BGl_z62lambda2601z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3091z00zzast_nodez00,
		BgL_bgl_za762lambda2084za7624019z00, BGl_z62lambda2084z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3254z00zzast_nodez00,
		BgL_bgl_za762lambda2600za7624020z00, BGl_z62lambda2600z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3092z00zzast_nodez00,
		BgL_bgl_za762lambda2090za7624021z00, BGl_z62lambda2090z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3342z00zzast_nodez00,
		BgL_bgl_string3342za700za7za7a4022za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3255z00zzast_nodez00,
		BgL_bgl_za762lambda2606za7624023z00, BGl_z62lambda2606z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3093z00zzast_nodez00,
		BgL_bgl_za762lambda2089za7624024z00, BGl_z62lambda2089z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3256z00zzast_nodez00,
		BgL_bgl_za762lambda2605za7624025z00, BGl_z62lambda2605z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3094z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4026za7,
		BGl_z62zc3z04anonymousza32097ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3344z00zzast_nodez00,
		BgL_bgl_string3344za700za7za7a4027za7, "node-walk1716", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3257z00zzast_nodez00,
		BgL_bgl_za762lambda2611za7624028z00, BGl_z62lambda2611z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3095z00zzast_nodez00,
		BgL_bgl_za762lambda2096za7624029z00, BGl_z62lambda2096z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3345z00zzast_nodez00,
		BgL_bgl_string3345za700za7za7a4030za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3258z00zzast_nodez00,
		BgL_bgl_za762lambda2610za7624031z00, BGl_z62lambda2610z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3096z00zzast_nodez00,
		BgL_bgl_za762lambda2095za7624032z00, BGl_z62lambda2095z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3259z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4033za7,
		BGl_z62zc3z04anonymousza32595ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3097z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4034za7,
		BGl_z62zc3z04anonymousza32079ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2key4035z00, BGl_z62privatezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3347z00zzast_nodez00,
		BgL_bgl_string3347za700za7za7a4036za7, "node-walk", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3098z00zzast_nodez00,
		BgL_bgl_za762lambda2077za7624037z00, BGl_z62lambda2077z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3099z00zzast_nodez00,
		BgL_bgl_za762lambda2075za7624038z00, BGl_z62lambda2075z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762instanceofza7d24039z00,
		BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nilza7b04040za7, BGl_z62castzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2switchzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2switch4041z00, BGl_z62makezd2switchzb0zzast_nodez00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2conditionalzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2condit4042z00,
		BGl_z62makezd2conditionalzb0zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762conditionalza7d4043z00,
		BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762wideningza7d2ex4044z00,
		BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l4045za7,
		BGl_z62letzd2funzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2locza7b0za74046z00, BGl_z62refzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3260z00zzast_nodez00,
		BgL_bgl_za762lambda2593za7624047z00, BGl_z62lambda2593z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu4048za7,
		BGl_z62appzd2lyzd2funz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v4049za7,
		BGl_z62boxzd2refzd2varz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3261z00zzast_nodez00,
		BgL_bgl_za762lambda2591za7624050z00, BGl_z62lambda2591z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3262z00zzast_nodez00,
		BgL_bgl_za762lambda2628za7624051z00, BGl_z62lambda2628z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setza7d24052za7,
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3263z00zzast_nodez00,
		BgL_bgl_za762lambda2627za7624053z00, BGl_z62lambda2627z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3264z00zzast_nodez00,
		BgL_bgl_za762lambda2634za7624054z00, BGl_z62lambda2634z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3265z00zzast_nodez00,
		BgL_bgl_za762lambda2633za7624055z00, BGl_z62lambda2633z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3266z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4056za7,
		BGl_z62zc3z04anonymousza32623ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3267z00zzast_nodez00,
		BgL_bgl_za762lambda2620za7624057z00, BGl_z62lambda2620z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3268z00zzast_nodez00,
		BgL_bgl_za762lambda2618za7624058z00, BGl_z62lambda2618z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k4059za7,
		BGl_z62letzd2funzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3269z00zzast_nodez00,
		BgL_bgl_za762lambda2652za7624060z00, BGl_z62lambda2652z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2stackablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2stackab4061z00,
		BGl_z62appzd2stackablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7d4062za7,
		BGl_z62atomzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t4063za7,
		BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7d24064za7,
		BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2fn4065z00,
		BGl_z62setfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3270z00zzast_nodez00,
		BgL_bgl_za762lambda2651za7624066z00, BGl_z62lambda2651z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3271z00zzast_nodez00,
		BgL_bgl_za762lambda2657za7624067z00, BGl_z62lambda2657z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3272z00zzast_nodez00,
		BgL_bgl_za762lambda2656za7624068z00, BGl_z62lambda2656z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3273z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4069za7,
		BGl_z62zc3z04anonymousza32664ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3274z00zzast_nodez00,
		BgL_bgl_za762lambda2663za7624070z00, BGl_z62lambda2663z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3275z00zzast_nodez00,
		BgL_bgl_za762lambda2662za7624071z00, BGl_z62lambda2662z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3276z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4072za7,
		BGl_z62zc3z04anonymousza32647ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3277z00zzast_nodez00,
		BgL_bgl_za762lambda2645za7624073z00, BGl_z62lambda2645z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3278z00zzast_nodez00,
		BgL_bgl_za762lambda2642za7624074z00, BGl_z62lambda2642z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzast_nodez00,
		BgL_bgl_za762lambda2681za7624075z00, BGl_z62lambda2681z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3368z00zzast_nodez00,
		BgL_bgl_string3368za700za7za7a4076za7, "ast_node", 8);
	      DEFINE_STRING(BGl_string3369z00zzast_nodez00,
		BgL_bgl_string3369za700za7za7a4077za7,
		"node-walk1716 \077\077? _ sync prelock mutex box-set! box-ref make-box return block retblock jump-ex-it exit set-ex-it onexit let-var removable? bindings let-fun body locals switch item-type clauses fail msg proc conditional false true test setq cast cast-null instanceof class vlength vset! vref vtype valloc new args-type widening setfield getfield otype ftype fname private c-format genpatchid rindex pragma bstring format extern effect expr* funcall functions symbol strength app-ly arg app stackable args fun sequence meta bool unsafe pair-nil nodes kwote closure var variable patch patchid long index ref literal atom value node/effect key side-effect ast_node node type obj loc ",
		679);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2cza7d4078za7,
		BGl_z62privatezd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ4079z00,
		BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2retblockzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2retblo4080z00, BGl_z62makezd2retblockzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r4081za7,
		BGl_z62letzd2varzd2removablezf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3280z00zzast_nodez00,
		BgL_bgl_za762lambda2680za7624082z00, BGl_z62lambda2680z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzast_nodez00,
		BgL_bgl_za762lambda2686za7624083z00, BGl_z62lambda2686z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3282z00zzast_nodez00,
		BgL_bgl_za762lambda2685za7624084z00, BGl_z62lambda2685z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzast_nodez00,
		BgL_bgl_za762lambda2691za7624085z00, BGl_z62lambda2691z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzast_nodez00,
		BgL_bgl_za762lambda2690za7624086z00, BGl_z62lambda2690z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setfieldza7f3za794087za7, BGl_z62setfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4088za7,
		BGl_z62zc3z04anonymousza32676ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762instanceofza7d24089z00,
		BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3286z00zzast_nodez00,
		BgL_bgl_za762lambda2674za7624090z00, BGl_z62lambda2674z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3287z00zzast_nodez00,
		BgL_bgl_za762lambda2672za7624091z00, BGl_z62lambda2672z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3288z00zzast_nodez00,
		BgL_bgl_za762lambda2707za7624092z00, BGl_z62lambda2707z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3289z00zzast_nodez00,
		BgL_bgl_za762lambda2706za7624093z00, BGl_z62lambda2706z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si4094z00,
		BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2itemzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762switchza7d2item4095z00,
		BGl_z62switchzd2itemzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzf3zd2envzd3zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4096z00,
		BGl_z62nodezf2effectzf3z63zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2effectza74097za7, BGl_z62newzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2rindexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24098z00,
		BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza74099za7, BGl_z62vrefzd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2exprza2zd2envz70zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4100za7,
		BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3290z00zzast_nodez00,
		BgL_bgl_za762lambda2712za7624101z00, BGl_z62lambda2712z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3291z00zzast_nodez00,
		BgL_bgl_za762lambda2711za7624102z00, BGl_z62lambda2711z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2fty4103z00, BGl_z62vlengthzd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3292z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4104za7,
		BGl_z62zc3z04anonymousza32702ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3293z00zzast_nodez00,
		BgL_bgl_za762lambda2700za7624105z00, BGl_z62lambda2700z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3294z00zzast_nodez00,
		BgL_bgl_za762lambda2697za7624106z00, BGl_z62lambda2697z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3295z00zzast_nodez00,
		BgL_bgl_za762lambda2729za7624107z00, BGl_z62lambda2729z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3296z00zzast_nodez00,
		BgL_bgl_za762lambda2728za7624108z00, BGl_z62lambda2728z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3297z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4109za7,
		BGl_z62zc3z04anonymousza32724ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3298z00zzast_nodez00,
		BgL_bgl_za762lambda2721za7624110z00, BGl_z62lambda2721z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3299z00zzast_nodez00,
		BgL_bgl_za762lambda2719za7624111z00, BGl_z62lambda2719z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza74112za7,
		BGl_z62atomzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4113za7,
		BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2procza7d4114za7,
		BGl_z62failzd2proczd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2vtypeza74115za7, BGl_z62vrefzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2vty4116z00, BGl_z62vlengthzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4117z00,
		BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2nullzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7d4118za7,
		BGl_z62makezd2castzd2nullz62zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza74119za7,
		BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vallocza7d2side4120z00,
		BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2cza74121za7,
		BGl_z62getfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t4122za7,
		BGl_z62letzd2varzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2rindexzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24123z00,
		BGl_z62genpatchidzd2rindexzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4124z00,
		BGl_z62getfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2cza7d4125za7,
		BGl_z62vlengthzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2falsezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4126z00,
		BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2argszd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d24127za7,
		BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2loczd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2loc4128za7, BGl_z62vsetz12zd2locza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2newzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2newza7b04129za7, BGl_z62makezd2newzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2keyzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key4130za7, BGl_z62vsetz12zd2keyza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2nilza7b4131za7, BGl_z62kwotezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2variabl4132z00, BGl_z62varzd2variablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24133z00,
		BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid4134z00,
		BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ni4135z00, BGl_z62getfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2type4136z00,
		BGl_z62switchzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vrefzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vrefza7b4137za7, BGl_z62makezd2vrefzb0zzast_nodez00,
		0L, BUNSPEC, 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762wideningza7d2si4138z00,
		BGl_z62wideningzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ot4139z00,
		BGl_z62getfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4140z00,
		BGl_z62closurezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762patchza7f3za791za7za74141za7, BGl_z62patchzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7b04142za7, BGl_z62appzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2vtypezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v4143za7,
		BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2exprza2zd2envzb0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp4144za7,
		BGl_z62vsetz12zd2exprza2z00zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4145za7,
		BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d4146za7,
		BGl_z62vrefzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7b4147za7, BGl_z62atomzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24148za7,
		BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2typeza7d4149za7,
		BGl_z62synczd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2instanceofzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2instan4150z00,
		BGl_z62makezd2instanceofzb0zzast_nodez00, 0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24151z00,
		BGl_z62instanceofzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4152za7,
		BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2exprza2zd2setz12zd2envzb0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4153za7,
		BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2ty4154z00, BGl_z62retblockzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr4155z00,
		BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2nilza7b04156za7, BGl_z62setqzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si4157z00,
		BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si4158z00,
		BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty4159za7,
		BGl_z62appzd2lyzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2side4160z00,
		BGl_z62valloczd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr4161z00,
		BGl_z62pragmazd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4162za7,
		BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24163z00,
		BGl_z62genpatchidzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7f3za744164z00, BGl_z62appzd2lyzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7f34165za7, BGl_z62makezd2boxzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2nilzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74166z00,
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24167za7,
		BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2truezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4168z00,
		BGl_z62conditionalzd2truezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7b4169za7, BGl_z62vrefzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ft4170z00,
		BGl_z62setfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2typezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74171z00,
		BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2metazd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2me4172z00, BGl_z62sequencezd2metazb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24173z00,
		BGl_z62genpatchidzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2otypeza74174za7, BGl_z62vrefzd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vrefza7f3za791za7za7a4175za7, BGl_z62vrefzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr4176z00,
		BGl_z62valloczd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2refzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2refza7b4177za7, BGl_z62patchzd2refzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4178za7,
		BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczf3zd2envz21zzast_nodez00,
		BgL_bgl_za762syncza7f3za791za7za7a4179za7, BGl_z62synczf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2nilza74180za7, BGl_z62switchzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2privatezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2privat4181z00, BGl_z62makezd2privatezb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2l4182za7,
		BGl_z62letzd2varzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2sid4183z00,
		BGl_z62privatezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762newza7f3za791za7za7as4184za7, BGl_z62newzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2typezd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4185z00,
		BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k4186za7,
		BGl_z62letzd2varzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2itemzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762switchza7d2item4187z00,
		BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2bodyza7b4188za7, BGl_z62synczd2bodyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty4189za7,
		BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2strengthzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2str4190z00,
		BGl_z62funcallzd2strengthzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2nilza7b04191za7, BGl_z62vrefzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d24192za7,
		BGl_z62makezd2letzd2funz62zzast_nodez00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2classzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24193z00,
		BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4194za7,
		BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ni4195z00, BGl_z62sequencezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7b4196za7, BGl_z62failzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2locza74197za7, BGl_z62valloczd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2argszd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d24198za7,
		BGl_z62newzd2argszd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza74199za7, BGl_z62valloczd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762switchza7d2side4200z00,
		BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2locza7b4201za7, BGl_z62patchzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2objza7d24202za7,
		BGl_z62failzd2objzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2l4203za7,
		BGl_z62boxzd2refzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24204z00,
		BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24205za7,
		BGl_z62makezd2boxzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k4206za7,
		BGl_z62boxzd2refzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_refzd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762refza7d2variabl4207z00,
		BGl_z62refzd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k4208za7,
		BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2cza7d2for4209za7,
		BGl_z62newzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2kwotezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2kwoteza74210za7, BGl_z62makezd2kwotezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2typeza74211za7,
		BGl_z62patchzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2setz12zd2envze1zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r4212za7,
		BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2type4213z00,
		BGl_z62externzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4214z00,
		BGl_z62conditionalzd2testzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762externza7d2side4215z00,
		BGl_z62externzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2vtypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2vty4216za7,
		BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762funcallza7f3za7914217za7, BGl_z62funcallzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24218za7,
		BGl_z62makezd2boxzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2locza74219za7, BGl_z62returnzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2value4220z00, BGl_z62kwotezd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2funza7b0za74221z00, BGl_z62appzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24222z00,
		BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762appza7f3za791za7za7as4223za7, BGl_z62appzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2nilza74224za7, BGl_z62pragmazd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762wideningza7d2ex4225z00,
		BGl_z62wideningzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff4226z00,
		BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2falsezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4227z00,
		BGl_z62conditionalzd2falsezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762atomza7f3za791za7za7a4228za7, BGl_z62atomzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2effe4229z00, BGl_z62externzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza74230za7,
		BGl_z62kwotezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2value4231z00,
		BGl_z62patchzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2patchzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2patchza74232za7, BGl_z62makezd2patchzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4233za7,
		BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a24234za7, BGl_z62newzd2exprza2z12zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2loc4235z00, BGl_z62vlengthzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty4236z00, BGl_z62sequencezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ef4237z00,
		BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2nil4238z00, BGl_z62privatezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4239za7,
		BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7b4240za7, BGl_z62setqzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key4241z00, BGl_z62vlengthzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2argzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar4242za7,
		BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762externza7f3za791za74243z00, BGl_z62externzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b4244za7,
		BGl_z62letzd2funzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2loc4245z00, BGl_z62literalzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24246za7,
		BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty4247z00,
		BGl_z62sequencezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect4248z00,
		BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2n4249za7,
		BGl_z62letzd2funzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4250z00, BGl_z62closurezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2nilza7b0za74251z00, BGl_z62refzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid4252za7,
		BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vlengthza7f3za7914253za7, BGl_z62vlengthzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762refza7f3za791za7za7as4254za7, BGl_z62refzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2effectzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff4255za7,
		BGl_z62vsetz12zd2effectza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid4256z00,
		BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762varza7f3za791za7za7as4257za7, BGl_z62varzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ot4258z00,
		BGl_z62setfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7b4259za7, BGl_z62makezd2nodezb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2locza7b04260za7, BGl_z62nodezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24261z00,
		BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex4262z00,
		BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2val4263z00, BGl_z62literalzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4264z00,
		BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2blockzd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2bloc4265z00, BGl_z62returnzd2blockzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4266za7,
		BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2locza7b04267za7, BGl_z62failzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2type4268z00,
		BGl_z62valloczd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762literalza7f3za7914269za7, BGl_z62literalzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2clauseszd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2clau4270z00,
		BGl_z62switchzd2clauseszb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2loc4271z00, BGl_z62funcallzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2vtypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2vtypeza74272za7,
		BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762wideningza7f3za794273za7, BGl_z62wideningzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2indexzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2index4274z00, BGl_z62patchzd2indexzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe4275z00,
		BGl_z62valloczd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe4276z00, BGl_z62valloczd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza74277za7,
		BGl_z62setqzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s4278za7,
		BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2functionszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4279z00,
		BGl_z62funcallzd2functionszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2stackablezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24280za7,
		BGl_z62makezd2boxzd2stackablez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bindingszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b4281za7,
		BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2mutexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2mutexza74282za7,
		BGl_z62synczd2mutexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2cza7d2fo4283za7,
		BGl_z62vrefzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7b4284za7, BGl_z62castzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2indexzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24285z00,
		BGl_z62genpatchidzd2indexzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24286z00,
		BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24287za7,
		BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2lo4288z00, BGl_z62retblockzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_closurez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_syncz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_sequencez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_letzd2varzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_failz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_boxzd2refzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_externz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_pragmaz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_appzd2lyzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_wideningz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vallocz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_castzd2nullzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_conditionalz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_patchz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setqz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_returnz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_nodezf2effectzf2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_newz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vlengthz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setzd2exzd2itz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_atomz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_getfieldz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_castz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_refz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_varz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_makezd2boxzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_boxzd2setz12zc0zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_appz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vrefz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_nodez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_kwotez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_jumpzd2exzd2itz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_retblockz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_instanceofz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_privatez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_letzd2funzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setfieldz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_genpatchidz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_literalz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_switchz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_funcallz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vsetz12z12zzast_nodez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long
		BgL_checksumz00_10530, char *BgL_fromz00_10531)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzast_nodez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_nodez00();
					BGl_libraryzd2moduleszd2initz00zzast_nodez00();
					BGl_cnstzd2initzd2zzast_nodez00();
					BGl_importedzd2moduleszd2initz00zzast_nodez00();
					BGl_objectzd2initzd2zzast_nodez00();
					BGl_genericzd2initzd2zzast_nodez00();
					BGl_methodzd2initzd2zzast_nodez00();
					return BGl_toplevelzd2initzd2zzast_nodez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 14 */
				obj_t BgL_cportz00_8938;

				{	/* Ast/node.scm 14 */
					obj_t BgL_stringz00_8946;

					BgL_stringz00_8946 = BGl_string3369z00zzast_nodez00;
					{	/* Ast/node.scm 14 */
						obj_t BgL_startz00_8947;

						BgL_startz00_8947 = BINT(((long) 0));
						{	/* Ast/node.scm 14 */
							obj_t BgL_endz00_8948;

							BgL_endz00_8948 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_8946)));
							{	/* Ast/node.scm 14 */

								BgL_cportz00_8938 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_8946, BgL_startz00_8947, BgL_endz00_8948);
				}}}}
				{
					long BgL_iz00_8939;

					BgL_iz00_8939 = ((long) 95);
				BgL_loopz00_8940:
					if ((BgL_iz00_8939 == ((long) -1)))
						{	/* Ast/node.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/node.scm 14 */
							{	/* Ast/node.scm 14 */
								obj_t BgL_arg3384z00_8942;

								{	/* Ast/node.scm 14 */

									{	/* Ast/node.scm 14 */
										obj_t BgL_locationz00_8944;

										BgL_locationz00_8944 = BBOOL(((bool_t) 0));
										{	/* Ast/node.scm 14 */

											BgL_arg3384z00_8942 =
												BGl_readz00zz__readerz00(BgL_cportz00_8938,
												BgL_locationz00_8944);
										}
									}
								}
								{	/* Ast/node.scm 14 */
									int BgL_tmpz00_10562;

									BgL_tmpz00_10562 = (int) (BgL_iz00_8939);
									CNST_TABLE_SET(BgL_tmpz00_10562, BgL_arg3384z00_8942);
							}}
							{	/* Ast/node.scm 14 */
								int BgL_auxz00_8945;

								BgL_auxz00_8945 = (int) ((BgL_iz00_8939 - ((long) 1)));
								{
									long BgL_iz00_10567;

									BgL_iz00_10567 = (long) (BgL_auxz00_8945);
									BgL_iz00_8939 = BgL_iz00_10567;
									goto BgL_loopz00_8940;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			return BUNSPEC;
		}

	}



/* make-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t
		BgL_loc1735z00_3, BgL_typez00_bglt BgL_type1736z00_4)
	{
		{	/* Ast/nodetype.sch 743 */
			{	/* Ast/nodetype.sch 743 */
				BgL_nodez00_bglt BgL_new1434z00_8950;

				{	/* Ast/nodetype.sch 743 */
					BgL_nodez00_bglt BgL_new1433z00_8951;

					BgL_new1433z00_8951 =
						((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/nodetype.sch 743 */
						long BgL_arg1763z00_8952;

						BgL_arg1763z00_8952 = BGL_CLASS_NUM(BGl_nodez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1433z00_8951), BgL_arg1763z00_8952);
					}
					BgL_new1434z00_8950 = BgL_new1433z00_8951;
				}
				((((BgL_nodez00_bglt) COBJECT(BgL_new1434z00_8950))->BgL_locz00) =
					((obj_t) BgL_loc1735z00_3), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(BgL_new1434z00_8950))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1736z00_4), BUNSPEC);
				return BgL_new1434z00_8950;
			}
		}

	}



/* &make-node */
	BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t BgL_envz00_6205,
		obj_t BgL_loc1735z00_6206, obj_t BgL_type1736z00_6207)
	{
		{	/* Ast/nodetype.sch 743 */
			return
				BGl_makezd2nodezd2zzast_nodez00(BgL_loc1735z00_6206,
				((BgL_typez00_bglt) BgL_type1736z00_6207));
		}

	}



/* node? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf3zf3zzast_nodez00(obj_t BgL_objz00_5)
	{
		{	/* Ast/nodetype.sch 744 */
			{	/* Ast/nodetype.sch 744 */
				obj_t BgL_classz00_8953;

				BgL_classz00_8953 = BGl_nodez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_5))
					{	/* Ast/nodetype.sch 744 */
						BgL_objectz00_bglt BgL_arg1825z00_8954;

						BgL_arg1825z00_8954 = (BgL_objectz00_bglt) (BgL_objz00_5);
						{	/* Ast/nodetype.sch 744 */
							bool_t BgL_arg1822z00_8955;
							bool_t BgL_arg1823z00_8956;

							{	/* Ast/nodetype.sch 744 */
								long BgL_idxz00_8957;

								BgL_idxz00_8957 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8954);
								BgL_arg1822z00_8955 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8957 + ((long) 1))) == BgL_classz00_8953);
							}
							{	/* Ast/nodetype.sch 744 */
								bool_t BgL_res2982z00_8960;

								{	/* Ast/nodetype.sch 744 */
									obj_t BgL_oclassz00_8961;

									{	/* Ast/nodetype.sch 744 */
										long BgL_arg1833z00_8962;

										{	/* Ast/nodetype.sch 744 */
											long BgL_arg1834z00_8963;

											BgL_arg1834z00_8963 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8954);
											BgL_arg1833z00_8962 = (BgL_arg1834z00_8963 - OBJECT_TYPE);
										}
										BgL_oclassz00_8961 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8962);
									}
									{	/* Ast/nodetype.sch 744 */
										bool_t BgL__ortest_1110z00_8964;

										BgL__ortest_1110z00_8964 =
											(BgL_classz00_8953 == BgL_oclassz00_8961);
										if (BgL__ortest_1110z00_8964)
											{	/* Ast/nodetype.sch 744 */
												BgL_res2982z00_8960 = BgL__ortest_1110z00_8964;
											}
										else
											{	/* Ast/nodetype.sch 744 */
												long BgL_odepthz00_8965;

												BgL_odepthz00_8965 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8961);
												if ((((long) 1) < BgL_odepthz00_8965))
													{	/* Ast/nodetype.sch 744 */
														obj_t BgL_arg1821z00_8966;

														BgL_arg1821z00_8966 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8961,
															((long) 1));
														BgL_res2982z00_8960 =
															(BgL_arg1821z00_8966 == BgL_classz00_8953);
													}
												else
													{	/* Ast/nodetype.sch 744 */
														BgL_res2982z00_8960 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8956 = BgL_res2982z00_8960;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8955, BgL_arg1823z00_8956);
						}
					}
				else
					{	/* Ast/nodetype.sch 744 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &node? */
	obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t BgL_envz00_6208,
		obj_t BgL_objz00_6209)
	{
		{	/* Ast/nodetype.sch 744 */
			return BBOOL(BGl_nodezf3zf3zzast_nodez00(BgL_objz00_6209));
		}

	}



/* node-nil */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 745 */
			{	/* Ast/nodetype.sch 745 */
				obj_t BgL_classz00_3842;

				BgL_classz00_3842 = BGl_nodez00zzast_nodez00;
				{	/* Ast/nodetype.sch 745 */
					obj_t BgL__ortest_1112z00_3843;

					BgL__ortest_1112z00_3843 = BGL_CLASS_NIL(BgL_classz00_3842);
					if (CBOOL(BgL__ortest_1112z00_3843))
						{	/* Ast/nodetype.sch 745 */
							return ((BgL_nodez00_bglt) BgL__ortest_1112z00_3843);
						}
					else
						{	/* Ast/nodetype.sch 745 */
							return
								((BgL_nodez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3842));
						}
				}
			}
		}

	}



/* &node-nil */
	BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t BgL_envz00_6210)
	{
		{	/* Ast/nodetype.sch 745 */
			return BGl_nodezd2nilzd2zzast_nodez00();
		}

	}



/* node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt BgL_oz00_6)
	{
		{	/* Ast/nodetype.sch 746 */
			return (((BgL_nodez00_bglt) COBJECT(BgL_oz00_6))->BgL_typez00);
		}

	}



/* &node-type */
	BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t BgL_envz00_6211,
		obj_t BgL_oz00_6212)
	{
		{	/* Ast/nodetype.sch 746 */
			return
				BGl_nodezd2typezd2zzast_nodez00(((BgL_nodez00_bglt) BgL_oz00_6212));
		}

	}



/* node-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt BgL_oz00_7,
		BgL_typez00_bglt BgL_vz00_8)
	{
		{	/* Ast/nodetype.sch 747 */
			return
				((((BgL_nodez00_bglt) COBJECT(BgL_oz00_7))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_8), BUNSPEC);
		}

	}



/* &node-type-set! */
	obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6213,
		obj_t BgL_oz00_6214, obj_t BgL_vz00_6215)
	{
		{	/* Ast/nodetype.sch 747 */
			return
				BGl_nodezd2typezd2setz12z12zzast_nodez00(
				((BgL_nodez00_bglt) BgL_oz00_6214), ((BgL_typez00_bglt) BgL_vz00_6215));
		}

	}



/* node-loc */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt
		BgL_oz00_9)
	{
		{	/* Ast/nodetype.sch 748 */
			return (((BgL_nodez00_bglt) COBJECT(BgL_oz00_9))->BgL_locz00);
		}

	}



/* &node-loc */
	obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t BgL_envz00_6216,
		obj_t BgL_oz00_6217)
	{
		{	/* Ast/nodetype.sch 748 */
			return BGl_nodezd2loczd2zzast_nodez00(((BgL_nodez00_bglt) BgL_oz00_6217));
		}

	}



/* make-node/effect */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t BgL_loc1730z00_12,
		BgL_typez00_bglt BgL_type1731z00_13, obj_t BgL_sidezd2effect1732zd2_14,
		obj_t BgL_key1733z00_15)
	{
		{	/* Ast/nodetype.sch 752 */
			{	/* Ast/nodetype.sch 752 */
				BgL_nodezf2effectzf2_bglt BgL_new1436z00_8967;

				{	/* Ast/nodetype.sch 752 */
					BgL_nodezf2effectzf2_bglt BgL_new1435z00_8968;

					BgL_new1435z00_8968 =
						((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/nodetype.sch 752 */
						long BgL_arg1766z00_8969;

						BgL_arg1766z00_8969 =
							BGL_CLASS_NUM(BGl_nodezf2effectzf2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1435z00_8968), BgL_arg1766z00_8969);
					}
					BgL_new1436z00_8967 = BgL_new1435z00_8968;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1436z00_8967)))->BgL_locz00) =
					((obj_t) BgL_loc1730z00_12), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1436z00_8967)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1731z00_13), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1436z00_8967))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1732zd2_14), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1436z00_8967))->
						BgL_keyz00) = ((obj_t) BgL_key1733z00_15), BUNSPEC);
				return BgL_new1436z00_8967;
			}
		}

	}



/* &make-node/effect */
	BgL_nodezf2effectzf2_bglt BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t
		BgL_envz00_6218, obj_t BgL_loc1730z00_6219, obj_t BgL_type1731z00_6220,
		obj_t BgL_sidezd2effect1732zd2_6221, obj_t BgL_key1733z00_6222)
	{
		{	/* Ast/nodetype.sch 752 */
			return
				BGl_makezd2nodezf2effectz20zzast_nodez00(BgL_loc1730z00_6219,
				((BgL_typez00_bglt) BgL_type1731z00_6220),
				BgL_sidezd2effect1732zd2_6221, BgL_key1733z00_6222);
		}

	}



/* node/effect? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t
		BgL_objz00_16)
	{
		{	/* Ast/nodetype.sch 753 */
			{	/* Ast/nodetype.sch 753 */
				obj_t BgL_classz00_8970;

				BgL_classz00_8970 = BGl_nodezf2effectzf2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_16))
					{	/* Ast/nodetype.sch 753 */
						BgL_objectz00_bglt BgL_arg1825z00_8971;

						BgL_arg1825z00_8971 = (BgL_objectz00_bglt) (BgL_objz00_16);
						{	/* Ast/nodetype.sch 753 */
							bool_t BgL_arg1822z00_8972;
							bool_t BgL_arg1823z00_8973;

							{	/* Ast/nodetype.sch 753 */
								long BgL_idxz00_8974;

								BgL_idxz00_8974 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8971);
								BgL_arg1822z00_8972 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8974 + ((long) 2))) == BgL_classz00_8970);
							}
							{	/* Ast/nodetype.sch 753 */
								bool_t BgL_res2983z00_8977;

								{	/* Ast/nodetype.sch 753 */
									obj_t BgL_oclassz00_8978;

									{	/* Ast/nodetype.sch 753 */
										long BgL_arg1833z00_8979;

										{	/* Ast/nodetype.sch 753 */
											long BgL_arg1834z00_8980;

											BgL_arg1834z00_8980 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8971);
											BgL_arg1833z00_8979 = (BgL_arg1834z00_8980 - OBJECT_TYPE);
										}
										BgL_oclassz00_8978 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8979);
									}
									{	/* Ast/nodetype.sch 753 */
										bool_t BgL__ortest_1110z00_8981;

										BgL__ortest_1110z00_8981 =
											(BgL_classz00_8970 == BgL_oclassz00_8978);
										if (BgL__ortest_1110z00_8981)
											{	/* Ast/nodetype.sch 753 */
												BgL_res2983z00_8977 = BgL__ortest_1110z00_8981;
											}
										else
											{	/* Ast/nodetype.sch 753 */
												long BgL_odepthz00_8982;

												BgL_odepthz00_8982 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8978);
												if ((((long) 2) < BgL_odepthz00_8982))
													{	/* Ast/nodetype.sch 753 */
														obj_t BgL_arg1821z00_8983;

														BgL_arg1821z00_8983 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8978,
															((long) 2));
														BgL_res2983z00_8977 =
															(BgL_arg1821z00_8983 == BgL_classz00_8970);
													}
												else
													{	/* Ast/nodetype.sch 753 */
														BgL_res2983z00_8977 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8973 = BgL_res2983z00_8977;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8972, BgL_arg1823z00_8973);
						}
					}
				else
					{	/* Ast/nodetype.sch 753 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &node/effect? */
	obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t BgL_envz00_6223,
		obj_t BgL_objz00_6224)
	{
		{	/* Ast/nodetype.sch 753 */
			return BBOOL(BGl_nodezf2effectzf3z01zzast_nodez00(BgL_objz00_6224));
		}

	}



/* node/effect-nil */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 754 */
			{	/* Ast/nodetype.sch 754 */
				obj_t BgL_classz00_3882;

				BgL_classz00_3882 = BGl_nodezf2effectzf2zzast_nodez00;
				{	/* Ast/nodetype.sch 754 */
					obj_t BgL__ortest_1112z00_3883;

					BgL__ortest_1112z00_3883 = BGL_CLASS_NIL(BgL_classz00_3882);
					if (CBOOL(BgL__ortest_1112z00_3883))
						{	/* Ast/nodetype.sch 754 */
							return ((BgL_nodezf2effectzf2_bglt) BgL__ortest_1112z00_3883);
						}
					else
						{	/* Ast/nodetype.sch 754 */
							return
								((BgL_nodezf2effectzf2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3882));
						}
				}
			}
		}

	}



/* &node/effect-nil */
	BgL_nodezf2effectzf2_bglt BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t
		BgL_envz00_6225)
	{
		{	/* Ast/nodetype.sch 754 */
			return BGl_nodezf2effectzd2nilz20zzast_nodez00();
		}

	}



/* node/effect-key */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_17)
	{
		{	/* Ast/nodetype.sch 755 */
			return (((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_17))->BgL_keyz00);
		}

	}



/* &node/effect-key */
	obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t BgL_envz00_6226,
		obj_t BgL_oz00_6227)
	{
		{	/* Ast/nodetype.sch 755 */
			return
				BGl_nodezf2effectzd2keyz20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6227));
		}

	}



/* node/effect-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_18, obj_t BgL_vz00_19)
	{
		{	/* Ast/nodetype.sch 756 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_18))->BgL_keyz00) =
				((obj_t) BgL_vz00_19), BUNSPEC);
		}

	}



/* &node/effect-key-set! */
	obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_6228, obj_t BgL_oz00_6229, obj_t BgL_vz00_6230)
	{
		{	/* Ast/nodetype.sch 756 */
			return
				BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6229), BgL_vz00_6230);
		}

	}



/* node/effect-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_20)
	{
		{	/* Ast/nodetype.sch 757 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_20))->
				BgL_sidezd2effectzd2);
		}

	}



/* &node/effect-side-effect */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t
		BgL_envz00_6231, obj_t BgL_oz00_6232)
	{
		{	/* Ast/nodetype.sch 757 */
			return
				BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6232));
		}

	}



/* node/effect-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt BgL_oz00_21, obj_t BgL_vz00_22)
	{
		{	/* Ast/nodetype.sch 758 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_21))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_22), BUNSPEC);
		}

	}



/* &node/effect-side-effect-set! */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t
		BgL_envz00_6233, obj_t BgL_oz00_6234, obj_t BgL_vz00_6235)
	{
		{	/* Ast/nodetype.sch 758 */
			return
				BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6234), BgL_vz00_6235);
		}

	}



/* node/effect-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_23)
	{
		{	/* Ast/nodetype.sch 759 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_23)))->BgL_typez00);
		}

	}



/* &node/effect-type */
	BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t
		BgL_envz00_6236, obj_t BgL_oz00_6237)
	{
		{	/* Ast/nodetype.sch 759 */
			return
				BGl_nodezf2effectzd2typez20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6237));
		}

	}



/* node/effect-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_24, BgL_typez00_bglt BgL_vz00_25)
	{
		{	/* Ast/nodetype.sch 760 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_24)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_25), BUNSPEC);
		}

	}



/* &node/effect-type-set! */
	obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_6238, obj_t BgL_oz00_6239, obj_t BgL_vz00_6240)
	{
		{	/* Ast/nodetype.sch 760 */
			return
				BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6239),
				((BgL_typez00_bglt) BgL_vz00_6240));
		}

	}



/* node/effect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_26)
	{
		{	/* Ast/nodetype.sch 761 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_26)))->BgL_locz00);
		}

	}



/* &node/effect-loc */
	obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t BgL_envz00_6241,
		obj_t BgL_oz00_6242)
	{
		{	/* Ast/nodetype.sch 761 */
			return
				BGl_nodezf2effectzd2locz20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6242));
		}

	}



/* atom? */
	BGL_EXPORTED_DEF bool_t BGl_atomzf3zf3zzast_nodez00(obj_t BgL_objz00_29)
	{
		{	/* Ast/nodetype.sch 765 */
			{	/* Ast/nodetype.sch 765 */
				obj_t BgL_classz00_8984;

				BgL_classz00_8984 = BGl_atomz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_29))
					{	/* Ast/nodetype.sch 765 */
						BgL_objectz00_bglt BgL_arg1825z00_8985;

						BgL_arg1825z00_8985 = (BgL_objectz00_bglt) (BgL_objz00_29);
						{	/* Ast/nodetype.sch 765 */
							bool_t BgL_arg1822z00_8986;
							bool_t BgL_arg1823z00_8987;

							{	/* Ast/nodetype.sch 765 */
								long BgL_idxz00_8988;

								BgL_idxz00_8988 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8985);
								BgL_arg1822z00_8986 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8988 + ((long) 2))) == BgL_classz00_8984);
							}
							{	/* Ast/nodetype.sch 765 */
								bool_t BgL_res2984z00_8991;

								{	/* Ast/nodetype.sch 765 */
									obj_t BgL_oclassz00_8992;

									{	/* Ast/nodetype.sch 765 */
										long BgL_arg1833z00_8993;

										{	/* Ast/nodetype.sch 765 */
											long BgL_arg1834z00_8994;

											BgL_arg1834z00_8994 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8985);
											BgL_arg1833z00_8993 = (BgL_arg1834z00_8994 - OBJECT_TYPE);
										}
										BgL_oclassz00_8992 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8993);
									}
									{	/* Ast/nodetype.sch 765 */
										bool_t BgL__ortest_1110z00_8995;

										BgL__ortest_1110z00_8995 =
											(BgL_classz00_8984 == BgL_oclassz00_8992);
										if (BgL__ortest_1110z00_8995)
											{	/* Ast/nodetype.sch 765 */
												BgL_res2984z00_8991 = BgL__ortest_1110z00_8995;
											}
										else
											{	/* Ast/nodetype.sch 765 */
												long BgL_odepthz00_8996;

												BgL_odepthz00_8996 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8992);
												if ((((long) 2) < BgL_odepthz00_8996))
													{	/* Ast/nodetype.sch 765 */
														obj_t BgL_arg1821z00_8997;

														BgL_arg1821z00_8997 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8992,
															((long) 2));
														BgL_res2984z00_8991 =
															(BgL_arg1821z00_8997 == BgL_classz00_8984);
													}
												else
													{	/* Ast/nodetype.sch 765 */
														BgL_res2984z00_8991 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8987 = BgL_res2984z00_8991;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8986, BgL_arg1823z00_8987);
						}
					}
				else
					{	/* Ast/nodetype.sch 765 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &atom? */
	obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t BgL_envz00_6243,
		obj_t BgL_objz00_6244)
	{
		{	/* Ast/nodetype.sch 765 */
			return BBOOL(BGl_atomzf3zf3zzast_nodez00(BgL_objz00_6244));
		}

	}



/* atom-nil */
	BGL_EXPORTED_DEF BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 766 */
			{	/* Ast/nodetype.sch 766 */
				obj_t BgL_classz00_3916;

				BgL_classz00_3916 = BGl_atomz00zzast_nodez00;
				{	/* Ast/nodetype.sch 766 */
					obj_t BgL__ortest_1112z00_3917;

					BgL__ortest_1112z00_3917 = BGL_CLASS_NIL(BgL_classz00_3916);
					if (CBOOL(BgL__ortest_1112z00_3917))
						{	/* Ast/nodetype.sch 766 */
							return ((BgL_atomz00_bglt) BgL__ortest_1112z00_3917);
						}
					else
						{	/* Ast/nodetype.sch 766 */
							return
								((BgL_atomz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3916));
						}
				}
			}
		}

	}



/* &atom-nil */
	BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6245)
	{
		{	/* Ast/nodetype.sch 766 */
			return BGl_atomzd2nilzd2zzast_nodez00();
		}

	}



/* atom-value */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_30)
	{
		{	/* Ast/nodetype.sch 767 */
			return (((BgL_atomz00_bglt) COBJECT(BgL_oz00_30))->BgL_valuez00);
		}

	}



/* &atom-value */
	obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6246,
		obj_t BgL_oz00_6247)
	{
		{	/* Ast/nodetype.sch 767 */
			return
				BGl_atomzd2valuezd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_6247));
		}

	}



/* atom-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_31,
		obj_t BgL_vz00_32)
	{
		{	/* Ast/nodetype.sch 768 */
			return
				((((BgL_atomz00_bglt) COBJECT(BgL_oz00_31))->BgL_valuez00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}

	}



/* &atom-value-set! */
	obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6248,
		obj_t BgL_oz00_6249, obj_t BgL_vz00_6250)
	{
		{	/* Ast/nodetype.sch 768 */
			return
				BGl_atomzd2valuezd2setz12z12zzast_nodez00(
				((BgL_atomz00_bglt) BgL_oz00_6249), BgL_vz00_6250);
		}

	}



/* atom-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt BgL_oz00_33)
	{
		{	/* Ast/nodetype.sch 769 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_33)))->BgL_typez00);
		}

	}



/* &atom-type */
	BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t BgL_envz00_6251,
		obj_t BgL_oz00_6252)
	{
		{	/* Ast/nodetype.sch 769 */
			return
				BGl_atomzd2typezd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_6252));
		}

	}



/* atom-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_34,
		BgL_typez00_bglt BgL_vz00_35)
	{
		{	/* Ast/nodetype.sch 770 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_34)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_35), BUNSPEC);
		}

	}



/* &atom-type-set! */
	obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6253,
		obj_t BgL_oz00_6254, obj_t BgL_vz00_6255)
	{
		{	/* Ast/nodetype.sch 770 */
			return
				BGl_atomzd2typezd2setz12z12zzast_nodez00(
				((BgL_atomz00_bglt) BgL_oz00_6254), ((BgL_typez00_bglt) BgL_vz00_6255));
		}

	}



/* atom-loc */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_36)
	{
		{	/* Ast/nodetype.sch 771 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_36)))->BgL_locz00);
		}

	}



/* &atom-loc */
	obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t BgL_envz00_6256,
		obj_t BgL_oz00_6257)
	{
		{	/* Ast/nodetype.sch 771 */
			return BGl_atomzd2loczd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_6257));
		}

	}



/* make-literal */
	BGL_EXPORTED_DEF BgL_literalz00_bglt BGl_makezd2literalzd2zzast_nodez00(obj_t
		BgL_loc1725z00_39, BgL_typez00_bglt BgL_type1726z00_40,
		obj_t BgL_value1727z00_41)
	{
		{	/* Ast/nodetype.sch 775 */
			{	/* Ast/nodetype.sch 775 */
				BgL_literalz00_bglt BgL_new1438z00_8998;

				{	/* Ast/nodetype.sch 775 */
					BgL_literalz00_bglt BgL_new1437z00_8999;

					BgL_new1437z00_8999 =
						((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalz00_bgl))));
					{	/* Ast/nodetype.sch 775 */
						long BgL_arg1770z00_9000;

						BgL_arg1770z00_9000 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1437z00_8999), BgL_arg1770z00_9000);
					}
					{	/* Ast/nodetype.sch 775 */
						BgL_objectz00_bglt BgL_tmpz00_10729;

						BgL_tmpz00_10729 = ((BgL_objectz00_bglt) BgL_new1437z00_8999);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10729, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1437z00_8999);
					BgL_new1438z00_8998 = BgL_new1437z00_8999;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1438z00_8998)))->BgL_locz00) =
					((obj_t) BgL_loc1725z00_39), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1438z00_8998)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1726z00_40), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1438z00_8998)))->BgL_valuez00) =
					((obj_t) BgL_value1727z00_41), BUNSPEC);
				return BgL_new1438z00_8998;
			}
		}

	}



/* &make-literal */
	BgL_literalz00_bglt BGl_z62makezd2literalzb0zzast_nodez00(obj_t
		BgL_envz00_6258, obj_t BgL_loc1725z00_6259, obj_t BgL_type1726z00_6260,
		obj_t BgL_value1727z00_6261)
	{
		{	/* Ast/nodetype.sch 775 */
			return
				BGl_makezd2literalzd2zzast_nodez00(BgL_loc1725z00_6259,
				((BgL_typez00_bglt) BgL_type1726z00_6260), BgL_value1727z00_6261);
		}

	}



/* literal? */
	BGL_EXPORTED_DEF bool_t BGl_literalzf3zf3zzast_nodez00(obj_t BgL_objz00_42)
	{
		{	/* Ast/nodetype.sch 776 */
			{	/* Ast/nodetype.sch 776 */
				obj_t BgL_classz00_9001;

				BgL_classz00_9001 = BGl_literalz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_42))
					{	/* Ast/nodetype.sch 776 */
						BgL_objectz00_bglt BgL_arg1825z00_9002;

						BgL_arg1825z00_9002 = (BgL_objectz00_bglt) (BgL_objz00_42);
						{	/* Ast/nodetype.sch 776 */
							bool_t BgL_arg1822z00_9003;
							bool_t BgL_arg1823z00_9004;

							{	/* Ast/nodetype.sch 776 */
								long BgL_idxz00_9005;

								BgL_idxz00_9005 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9002);
								BgL_arg1822z00_9003 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9005 + ((long) 3))) == BgL_classz00_9001);
							}
							{	/* Ast/nodetype.sch 776 */
								bool_t BgL_res2985z00_9008;

								{	/* Ast/nodetype.sch 776 */
									obj_t BgL_oclassz00_9009;

									{	/* Ast/nodetype.sch 776 */
										long BgL_arg1833z00_9010;

										{	/* Ast/nodetype.sch 776 */
											long BgL_arg1834z00_9011;

											BgL_arg1834z00_9011 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9002);
											BgL_arg1833z00_9010 = (BgL_arg1834z00_9011 - OBJECT_TYPE);
										}
										BgL_oclassz00_9009 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9010);
									}
									{	/* Ast/nodetype.sch 776 */
										bool_t BgL__ortest_1110z00_9012;

										BgL__ortest_1110z00_9012 =
											(BgL_classz00_9001 == BgL_oclassz00_9009);
										if (BgL__ortest_1110z00_9012)
											{	/* Ast/nodetype.sch 776 */
												BgL_res2985z00_9008 = BgL__ortest_1110z00_9012;
											}
										else
											{	/* Ast/nodetype.sch 776 */
												long BgL_odepthz00_9013;

												BgL_odepthz00_9013 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9009);
												if ((((long) 3) < BgL_odepthz00_9013))
													{	/* Ast/nodetype.sch 776 */
														obj_t BgL_arg1821z00_9014;

														BgL_arg1821z00_9014 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9009,
															((long) 3));
														BgL_res2985z00_9008 =
															(BgL_arg1821z00_9014 == BgL_classz00_9001);
													}
												else
													{	/* Ast/nodetype.sch 776 */
														BgL_res2985z00_9008 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9004 = BgL_res2985z00_9008;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9003, BgL_arg1823z00_9004);
						}
					}
				else
					{	/* Ast/nodetype.sch 776 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &literal? */
	obj_t BGl_z62literalzf3z91zzast_nodez00(obj_t BgL_envz00_6262,
		obj_t BgL_objz00_6263)
	{
		{	/* Ast/nodetype.sch 776 */
			return BBOOL(BGl_literalzf3zf3zzast_nodez00(BgL_objz00_6263));
		}

	}



/* literal-nil */
	BGL_EXPORTED_DEF BgL_literalz00_bglt BGl_literalzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 777 */
			{	/* Ast/nodetype.sch 777 */
				obj_t BgL_classz00_3957;

				BgL_classz00_3957 = BGl_literalz00zzast_nodez00;
				{	/* Ast/nodetype.sch 777 */
					obj_t BgL__ortest_1112z00_3958;

					BgL__ortest_1112z00_3958 = BGL_CLASS_NIL(BgL_classz00_3957);
					if (CBOOL(BgL__ortest_1112z00_3958))
						{	/* Ast/nodetype.sch 777 */
							return ((BgL_literalz00_bglt) BgL__ortest_1112z00_3958);
						}
					else
						{	/* Ast/nodetype.sch 777 */
							return
								((BgL_literalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3957));
						}
				}
			}
		}

	}



/* &literal-nil */
	BgL_literalz00_bglt BGl_z62literalzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6264)
	{
		{	/* Ast/nodetype.sch 777 */
			return BGl_literalzd2nilzd2zzast_nodez00();
		}

	}



/* literal-value */
	BGL_EXPORTED_DEF obj_t BGl_literalzd2valuezd2zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_43)
	{
		{	/* Ast/nodetype.sch 778 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_43)))->BgL_valuez00);
		}

	}



/* &literal-value */
	obj_t BGl_z62literalzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6265,
		obj_t BgL_oz00_6266)
	{
		{	/* Ast/nodetype.sch 778 */
			return
				BGl_literalzd2valuezd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6266));
		}

	}



/* literal-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzd2valuezd2setz12z12zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* Ast/nodetype.sch 779 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_44)))->BgL_valuez00) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &literal-value-set! */
	obj_t BGl_z62literalzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6267,
		obj_t BgL_oz00_6268, obj_t BgL_vz00_6269)
	{
		{	/* Ast/nodetype.sch 779 */
			return
				BGl_literalzd2valuezd2setz12z12zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6268), BgL_vz00_6269);
		}

	}



/* literal-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_literalzd2typezd2zzast_nodez00(BgL_literalz00_bglt BgL_oz00_46)
	{
		{	/* Ast/nodetype.sch 780 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_46)))->BgL_typez00);
		}

	}



/* &literal-type */
	BgL_typez00_bglt BGl_z62literalzd2typezb0zzast_nodez00(obj_t BgL_envz00_6270,
		obj_t BgL_oz00_6271)
	{
		{	/* Ast/nodetype.sch 780 */
			return
				BGl_literalzd2typezd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6271));
		}

	}



/* literal-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzd2typezd2setz12z12zzast_nodez00(BgL_literalz00_bglt BgL_oz00_47,
		BgL_typez00_bglt BgL_vz00_48)
	{
		{	/* Ast/nodetype.sch 781 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_47)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_48), BUNSPEC);
		}

	}



/* &literal-type-set! */
	obj_t BGl_z62literalzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6272,
		obj_t BgL_oz00_6273, obj_t BgL_vz00_6274)
	{
		{	/* Ast/nodetype.sch 781 */
			return
				BGl_literalzd2typezd2setz12z12zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6273),
				((BgL_typez00_bglt) BgL_vz00_6274));
		}

	}



/* literal-loc */
	BGL_EXPORTED_DEF obj_t BGl_literalzd2loczd2zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_49)
	{
		{	/* Ast/nodetype.sch 782 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_49)))->BgL_locz00);
		}

	}



/* &literal-loc */
	obj_t BGl_z62literalzd2loczb0zzast_nodez00(obj_t BgL_envz00_6275,
		obj_t BgL_oz00_6276)
	{
		{	/* Ast/nodetype.sch 782 */
			return
				BGl_literalzd2loczd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6276));
		}

	}



/* make-patch */
	BGL_EXPORTED_DEF BgL_patchz00_bglt BGl_makezd2patchzd2zzast_nodez00(obj_t
		BgL_loc1717z00_52, BgL_typez00_bglt BgL_type1718z00_53,
		obj_t BgL_value1719z00_54, BgL_varz00_bglt BgL_ref1720z00_55,
		long BgL_index1721z00_56, obj_t BgL_patchid1722z00_57)
	{
		{	/* Ast/nodetype.sch 786 */
			{	/* Ast/nodetype.sch 786 */
				BgL_patchz00_bglt BgL_new1440z00_9015;

				{	/* Ast/nodetype.sch 786 */
					BgL_patchz00_bglt BgL_new1439z00_9016;

					BgL_new1439z00_9016 =
						((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_patchz00_bgl))));
					{	/* Ast/nodetype.sch 786 */
						long BgL_arg1772z00_9017;

						BgL_arg1772z00_9017 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1439z00_9016), BgL_arg1772z00_9017);
					}
					{	/* Ast/nodetype.sch 786 */
						BgL_objectz00_bglt BgL_tmpz00_10793;

						BgL_tmpz00_10793 = ((BgL_objectz00_bglt) BgL_new1439z00_9016);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10793, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1439z00_9016);
					BgL_new1440z00_9015 = BgL_new1439z00_9016;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1440z00_9015)))->BgL_locz00) =
					((obj_t) BgL_loc1717z00_52), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1440z00_9015)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1718z00_53), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1440z00_9015)))->BgL_valuez00) =
					((obj_t) BgL_value1719z00_54), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1440z00_9015))->BgL_refz00) =
					((BgL_varz00_bglt) BgL_ref1720z00_55), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1440z00_9015))->BgL_indexz00) =
					((long) BgL_index1721z00_56), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1440z00_9015))->BgL_patchidz00) =
					((obj_t) BgL_patchid1722z00_57), BUNSPEC);
				return BgL_new1440z00_9015;
			}
		}

	}



/* &make-patch */
	BgL_patchz00_bglt BGl_z62makezd2patchzb0zzast_nodez00(obj_t BgL_envz00_6277,
		obj_t BgL_loc1717z00_6278, obj_t BgL_type1718z00_6279,
		obj_t BgL_value1719z00_6280, obj_t BgL_ref1720z00_6281,
		obj_t BgL_index1721z00_6282, obj_t BgL_patchid1722z00_6283)
	{
		{	/* Ast/nodetype.sch 786 */
			return
				BGl_makezd2patchzd2zzast_nodez00(BgL_loc1717z00_6278,
				((BgL_typez00_bglt) BgL_type1718z00_6279), BgL_value1719z00_6280,
				((BgL_varz00_bglt) BgL_ref1720z00_6281),
				(long) CINT(BgL_index1721z00_6282), BgL_patchid1722z00_6283);
		}

	}



/* patch? */
	BGL_EXPORTED_DEF bool_t BGl_patchzf3zf3zzast_nodez00(obj_t BgL_objz00_58)
	{
		{	/* Ast/nodetype.sch 787 */
			{	/* Ast/nodetype.sch 787 */
				obj_t BgL_classz00_9018;

				BgL_classz00_9018 = BGl_patchz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_58))
					{	/* Ast/nodetype.sch 787 */
						BgL_objectz00_bglt BgL_arg1825z00_9019;

						BgL_arg1825z00_9019 = (BgL_objectz00_bglt) (BgL_objz00_58);
						{	/* Ast/nodetype.sch 787 */
							bool_t BgL_arg1822z00_9020;
							bool_t BgL_arg1823z00_9021;

							{	/* Ast/nodetype.sch 787 */
								long BgL_idxz00_9022;

								BgL_idxz00_9022 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9019);
								BgL_arg1822z00_9020 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9022 + ((long) 3))) == BgL_classz00_9018);
							}
							{	/* Ast/nodetype.sch 787 */
								bool_t BgL_res2986z00_9025;

								{	/* Ast/nodetype.sch 787 */
									obj_t BgL_oclassz00_9026;

									{	/* Ast/nodetype.sch 787 */
										long BgL_arg1833z00_9027;

										{	/* Ast/nodetype.sch 787 */
											long BgL_arg1834z00_9028;

											BgL_arg1834z00_9028 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9019);
											BgL_arg1833z00_9027 = (BgL_arg1834z00_9028 - OBJECT_TYPE);
										}
										BgL_oclassz00_9026 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9027);
									}
									{	/* Ast/nodetype.sch 787 */
										bool_t BgL__ortest_1110z00_9029;

										BgL__ortest_1110z00_9029 =
											(BgL_classz00_9018 == BgL_oclassz00_9026);
										if (BgL__ortest_1110z00_9029)
											{	/* Ast/nodetype.sch 787 */
												BgL_res2986z00_9025 = BgL__ortest_1110z00_9029;
											}
										else
											{	/* Ast/nodetype.sch 787 */
												long BgL_odepthz00_9030;

												BgL_odepthz00_9030 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9026);
												if ((((long) 3) < BgL_odepthz00_9030))
													{	/* Ast/nodetype.sch 787 */
														obj_t BgL_arg1821z00_9031;

														BgL_arg1821z00_9031 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9026,
															((long) 3));
														BgL_res2986z00_9025 =
															(BgL_arg1821z00_9031 == BgL_classz00_9018);
													}
												else
													{	/* Ast/nodetype.sch 787 */
														BgL_res2986z00_9025 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9021 = BgL_res2986z00_9025;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9020, BgL_arg1823z00_9021);
						}
					}
				else
					{	/* Ast/nodetype.sch 787 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &patch? */
	obj_t BGl_z62patchzf3z91zzast_nodez00(obj_t BgL_envz00_6284,
		obj_t BgL_objz00_6285)
	{
		{	/* Ast/nodetype.sch 787 */
			return BBOOL(BGl_patchzf3zf3zzast_nodez00(BgL_objz00_6285));
		}

	}



/* patch-nil */
	BGL_EXPORTED_DEF BgL_patchz00_bglt BGl_patchzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 788 */
			{	/* Ast/nodetype.sch 788 */
				obj_t BgL_classz00_3998;

				BgL_classz00_3998 = BGl_patchz00zzast_nodez00;
				{	/* Ast/nodetype.sch 788 */
					obj_t BgL__ortest_1112z00_3999;

					BgL__ortest_1112z00_3999 = BGL_CLASS_NIL(BgL_classz00_3998);
					if (CBOOL(BgL__ortest_1112z00_3999))
						{	/* Ast/nodetype.sch 788 */
							return ((BgL_patchz00_bglt) BgL__ortest_1112z00_3999);
						}
					else
						{	/* Ast/nodetype.sch 788 */
							return
								((BgL_patchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3998));
						}
				}
			}
		}

	}



/* &patch-nil */
	BgL_patchz00_bglt BGl_z62patchzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6286)
	{
		{	/* Ast/nodetype.sch 788 */
			return BGl_patchzd2nilzd2zzast_nodez00();
		}

	}



/* patch-patchid */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2patchidzd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_59)
	{
		{	/* Ast/nodetype.sch 789 */
			return (((BgL_patchz00_bglt) COBJECT(BgL_oz00_59))->BgL_patchidz00);
		}

	}



/* &patch-patchid */
	obj_t BGl_z62patchzd2patchidzb0zzast_nodez00(obj_t BgL_envz00_6287,
		obj_t BgL_oz00_6288)
	{
		{	/* Ast/nodetype.sch 789 */
			return
				BGl_patchzd2patchidzd2zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6288));
		}

	}



/* patch-patchid-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2patchidzd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_60,
		obj_t BgL_vz00_61)
	{
		{	/* Ast/nodetype.sch 790 */
			return
				((((BgL_patchz00_bglt) COBJECT(BgL_oz00_60))->BgL_patchidz00) =
				((obj_t) BgL_vz00_61), BUNSPEC);
		}

	}



/* &patch-patchid-set! */
	obj_t BGl_z62patchzd2patchidzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6289,
		obj_t BgL_oz00_6290, obj_t BgL_vz00_6291)
	{
		{	/* Ast/nodetype.sch 790 */
			return
				BGl_patchzd2patchidzd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6290), BgL_vz00_6291);
		}

	}



/* patch-index */
	BGL_EXPORTED_DEF long BGl_patchzd2indexzd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_62)
	{
		{	/* Ast/nodetype.sch 791 */
			return (((BgL_patchz00_bglt) COBJECT(BgL_oz00_62))->BgL_indexz00);
		}

	}



/* &patch-index */
	obj_t BGl_z62patchzd2indexzb0zzast_nodez00(obj_t BgL_envz00_6292,
		obj_t BgL_oz00_6293)
	{
		{	/* Ast/nodetype.sch 791 */
			return
				BINT(BGl_patchzd2indexzd2zzast_nodez00(
					((BgL_patchz00_bglt) BgL_oz00_6293)));
		}

	}



/* patch-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2indexzd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_63,
		long BgL_vz00_64)
	{
		{	/* Ast/nodetype.sch 792 */
			return
				((((BgL_patchz00_bglt) COBJECT(BgL_oz00_63))->BgL_indexz00) =
				((long) BgL_vz00_64), BUNSPEC);
		}

	}



/* &patch-index-set! */
	obj_t BGl_z62patchzd2indexzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6294,
		obj_t BgL_oz00_6295, obj_t BgL_vz00_6296)
	{
		{	/* Ast/nodetype.sch 792 */
			return
				BGl_patchzd2indexzd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6295), (long) CINT(BgL_vz00_6296));
		}

	}



/* patch-ref */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_patchzd2refzd2zzast_nodez00(BgL_patchz00_bglt BgL_oz00_65)
	{
		{	/* Ast/nodetype.sch 793 */
			return (((BgL_patchz00_bglt) COBJECT(BgL_oz00_65))->BgL_refz00);
		}

	}



/* &patch-ref */
	BgL_varz00_bglt BGl_z62patchzd2refzb0zzast_nodez00(obj_t BgL_envz00_6297,
		obj_t BgL_oz00_6298)
	{
		{	/* Ast/nodetype.sch 793 */
			return
				BGl_patchzd2refzd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6298));
		}

	}



/* patch-value */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2valuezd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_68)
	{
		{	/* Ast/nodetype.sch 795 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_68)))->BgL_valuez00);
		}

	}



/* &patch-value */
	obj_t BGl_z62patchzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6299,
		obj_t BgL_oz00_6300)
	{
		{	/* Ast/nodetype.sch 795 */
			return
				BGl_patchzd2valuezd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6300));
		}

	}



/* patch-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2valuezd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_69,
		obj_t BgL_vz00_70)
	{
		{	/* Ast/nodetype.sch 796 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_69)))->BgL_valuez00) =
				((obj_t) BgL_vz00_70), BUNSPEC);
		}

	}



/* &patch-value-set! */
	obj_t BGl_z62patchzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6301,
		obj_t BgL_oz00_6302, obj_t BgL_vz00_6303)
	{
		{	/* Ast/nodetype.sch 796 */
			return
				BGl_patchzd2valuezd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6302), BgL_vz00_6303);
		}

	}



/* patch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_patchzd2typezd2zzast_nodez00(BgL_patchz00_bglt BgL_oz00_71)
	{
		{	/* Ast/nodetype.sch 797 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_71)))->BgL_typez00);
		}

	}



/* &patch-type */
	BgL_typez00_bglt BGl_z62patchzd2typezb0zzast_nodez00(obj_t BgL_envz00_6304,
		obj_t BgL_oz00_6305)
	{
		{	/* Ast/nodetype.sch 797 */
			return
				BGl_patchzd2typezd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6305));
		}

	}



/* patch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2typezd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_72,
		BgL_typez00_bglt BgL_vz00_73)
	{
		{	/* Ast/nodetype.sch 798 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_72)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_73), BUNSPEC);
		}

	}



/* &patch-type-set! */
	obj_t BGl_z62patchzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6306,
		obj_t BgL_oz00_6307, obj_t BgL_vz00_6308)
	{
		{	/* Ast/nodetype.sch 798 */
			return
				BGl_patchzd2typezd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6307),
				((BgL_typez00_bglt) BgL_vz00_6308));
		}

	}



/* patch-loc */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2loczd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_74)
	{
		{	/* Ast/nodetype.sch 799 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_74)))->BgL_locz00);
		}

	}



/* &patch-loc */
	obj_t BGl_z62patchzd2loczb0zzast_nodez00(obj_t BgL_envz00_6309,
		obj_t BgL_oz00_6310)
	{
		{	/* Ast/nodetype.sch 799 */
			return
				BGl_patchzd2loczd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6310));
		}

	}



/* var? */
	BGL_EXPORTED_DEF bool_t BGl_varzf3zf3zzast_nodez00(obj_t BgL_objz00_77)
	{
		{	/* Ast/nodetype.sch 803 */
			{	/* Ast/nodetype.sch 803 */
				obj_t BgL_classz00_9032;

				BgL_classz00_9032 = BGl_varz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_77))
					{	/* Ast/nodetype.sch 803 */
						BgL_objectz00_bglt BgL_arg1825z00_9033;

						BgL_arg1825z00_9033 = (BgL_objectz00_bglt) (BgL_objz00_77);
						{	/* Ast/nodetype.sch 803 */
							bool_t BgL_arg1822z00_9034;
							bool_t BgL_arg1823z00_9035;

							{	/* Ast/nodetype.sch 803 */
								long BgL_idxz00_9036;

								BgL_idxz00_9036 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9033);
								BgL_arg1822z00_9034 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9036 + ((long) 2))) == BgL_classz00_9032);
							}
							{	/* Ast/nodetype.sch 803 */
								bool_t BgL_res2987z00_9039;

								{	/* Ast/nodetype.sch 803 */
									obj_t BgL_oclassz00_9040;

									{	/* Ast/nodetype.sch 803 */
										long BgL_arg1833z00_9041;

										{	/* Ast/nodetype.sch 803 */
											long BgL_arg1834z00_9042;

											BgL_arg1834z00_9042 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9033);
											BgL_arg1833z00_9041 = (BgL_arg1834z00_9042 - OBJECT_TYPE);
										}
										BgL_oclassz00_9040 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9041);
									}
									{	/* Ast/nodetype.sch 803 */
										bool_t BgL__ortest_1110z00_9043;

										BgL__ortest_1110z00_9043 =
											(BgL_classz00_9032 == BgL_oclassz00_9040);
										if (BgL__ortest_1110z00_9043)
											{	/* Ast/nodetype.sch 803 */
												BgL_res2987z00_9039 = BgL__ortest_1110z00_9043;
											}
										else
											{	/* Ast/nodetype.sch 803 */
												long BgL_odepthz00_9044;

												BgL_odepthz00_9044 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9040);
												if ((((long) 2) < BgL_odepthz00_9044))
													{	/* Ast/nodetype.sch 803 */
														obj_t BgL_arg1821z00_9045;

														BgL_arg1821z00_9045 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9040,
															((long) 2));
														BgL_res2987z00_9039 =
															(BgL_arg1821z00_9045 == BgL_classz00_9032);
													}
												else
													{	/* Ast/nodetype.sch 803 */
														BgL_res2987z00_9039 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9035 = BgL_res2987z00_9039;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9034, BgL_arg1823z00_9035);
						}
					}
				else
					{	/* Ast/nodetype.sch 803 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &var? */
	obj_t BGl_z62varzf3z91zzast_nodez00(obj_t BgL_envz00_6311,
		obj_t BgL_objz00_6312)
	{
		{	/* Ast/nodetype.sch 803 */
			return BBOOL(BGl_varzf3zf3zzast_nodez00(BgL_objz00_6312));
		}

	}



/* var-nil */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 804 */
			{	/* Ast/nodetype.sch 804 */
				obj_t BgL_classz00_4032;

				BgL_classz00_4032 = BGl_varz00zzast_nodez00;
				{	/* Ast/nodetype.sch 804 */
					obj_t BgL__ortest_1112z00_4033;

					BgL__ortest_1112z00_4033 = BGL_CLASS_NIL(BgL_classz00_4032);
					if (CBOOL(BgL__ortest_1112z00_4033))
						{	/* Ast/nodetype.sch 804 */
							return ((BgL_varz00_bglt) BgL__ortest_1112z00_4033);
						}
					else
						{	/* Ast/nodetype.sch 804 */
							return
								((BgL_varz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4032));
						}
				}
			}
		}

	}



/* &var-nil */
	BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6313)
	{
		{	/* Ast/nodetype.sch 804 */
			return BGl_varzd2nilzd2zzast_nodez00();
		}

	}



/* var-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_78)
	{
		{	/* Ast/nodetype.sch 805 */
			return (((BgL_varz00_bglt) COBJECT(BgL_oz00_78))->BgL_variablez00);
		}

	}



/* &var-variable */
	BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_6314, obj_t BgL_oz00_6315)
	{
		{	/* Ast/nodetype.sch 805 */
			return
				BGl_varzd2variablezd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_6315));
		}

	}



/* var-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt BgL_oz00_79,
		BgL_variablez00_bglt BgL_vz00_80)
	{
		{	/* Ast/nodetype.sch 806 */
			return
				((((BgL_varz00_bglt) COBJECT(BgL_oz00_79))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_80), BUNSPEC);
		}

	}



/* &var-variable-set! */
	obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6316,
		obj_t BgL_oz00_6317, obj_t BgL_vz00_6318)
	{
		{	/* Ast/nodetype.sch 806 */
			return
				BGl_varzd2variablezd2setz12z12zzast_nodez00(
				((BgL_varz00_bglt) BgL_oz00_6317),
				((BgL_variablez00_bglt) BgL_vz00_6318));
		}

	}



/* var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_81)
	{
		{	/* Ast/nodetype.sch 807 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_81)))->BgL_typez00);
		}

	}



/* &var-type */
	BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t BgL_envz00_6319,
		obj_t BgL_oz00_6320)
	{
		{	/* Ast/nodetype.sch 807 */
			return BGl_varzd2typezd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_6320));
		}

	}



/* var-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_82, BgL_typez00_bglt BgL_vz00_83)
	{
		{	/* Ast/nodetype.sch 808 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_82)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_83), BUNSPEC);
		}

	}



/* &var-type-set! */
	obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6321,
		obj_t BgL_oz00_6322, obj_t BgL_vz00_6323)
	{
		{	/* Ast/nodetype.sch 808 */
			return
				BGl_varzd2typezd2setz12z12zzast_nodez00(
				((BgL_varz00_bglt) BgL_oz00_6322), ((BgL_typez00_bglt) BgL_vz00_6323));
		}

	}



/* var-loc */
	BGL_EXPORTED_DEF obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_84)
	{
		{	/* Ast/nodetype.sch 809 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_84)))->BgL_locz00);
		}

	}



/* &var-loc */
	obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t BgL_envz00_6324,
		obj_t BgL_oz00_6325)
	{
		{	/* Ast/nodetype.sch 809 */
			return BGl_varzd2loczd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_6325));
		}

	}



/* make-ref */
	BGL_EXPORTED_DEF BgL_refz00_bglt BGl_makezd2refzd2zzast_nodez00(obj_t
		BgL_loc1712z00_87, BgL_typez00_bglt BgL_type1713z00_88,
		BgL_variablez00_bglt BgL_variable1714z00_89)
	{
		{	/* Ast/nodetype.sch 813 */
			{	/* Ast/nodetype.sch 813 */
				BgL_refz00_bglt BgL_new1442z00_9046;

				{	/* Ast/nodetype.sch 813 */
					BgL_refz00_bglt BgL_new1441z00_9047;

					BgL_new1441z00_9047 =
						((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_refz00_bgl))));
					{	/* Ast/nodetype.sch 813 */
						long BgL_arg1777z00_9048;

						BgL_arg1777z00_9048 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1441z00_9047), BgL_arg1777z00_9048);
					}
					{	/* Ast/nodetype.sch 813 */
						BgL_objectz00_bglt BgL_tmpz00_10926;

						BgL_tmpz00_10926 = ((BgL_objectz00_bglt) BgL_new1441z00_9047);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10926, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1441z00_9047);
					BgL_new1442z00_9046 = BgL_new1441z00_9047;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1442z00_9046)))->BgL_locz00) =
					((obj_t) BgL_loc1712z00_87), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1442z00_9046)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1713z00_88), BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1442z00_9046)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1714z00_89), BUNSPEC);
				return BgL_new1442z00_9046;
			}
		}

	}



/* &make-ref */
	BgL_refz00_bglt BGl_z62makezd2refzb0zzast_nodez00(obj_t BgL_envz00_6326,
		obj_t BgL_loc1712z00_6327, obj_t BgL_type1713z00_6328,
		obj_t BgL_variable1714z00_6329)
	{
		{	/* Ast/nodetype.sch 813 */
			return
				BGl_makezd2refzd2zzast_nodez00(BgL_loc1712z00_6327,
				((BgL_typez00_bglt) BgL_type1713z00_6328),
				((BgL_variablez00_bglt) BgL_variable1714z00_6329));
		}

	}



/* ref? */
	BGL_EXPORTED_DEF bool_t BGl_refzf3zf3zzast_nodez00(obj_t BgL_objz00_90)
	{
		{	/* Ast/nodetype.sch 814 */
			{	/* Ast/nodetype.sch 814 */
				obj_t BgL_classz00_9049;

				BgL_classz00_9049 = BGl_refz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_90))
					{	/* Ast/nodetype.sch 814 */
						BgL_objectz00_bglt BgL_arg1825z00_9050;

						BgL_arg1825z00_9050 = (BgL_objectz00_bglt) (BgL_objz00_90);
						{	/* Ast/nodetype.sch 814 */
							bool_t BgL_arg1822z00_9051;
							bool_t BgL_arg1823z00_9052;

							{	/* Ast/nodetype.sch 814 */
								long BgL_idxz00_9053;

								BgL_idxz00_9053 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9050);
								BgL_arg1822z00_9051 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9053 + ((long) 3))) == BgL_classz00_9049);
							}
							{	/* Ast/nodetype.sch 814 */
								bool_t BgL_res2988z00_9056;

								{	/* Ast/nodetype.sch 814 */
									obj_t BgL_oclassz00_9057;

									{	/* Ast/nodetype.sch 814 */
										long BgL_arg1833z00_9058;

										{	/* Ast/nodetype.sch 814 */
											long BgL_arg1834z00_9059;

											BgL_arg1834z00_9059 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9050);
											BgL_arg1833z00_9058 = (BgL_arg1834z00_9059 - OBJECT_TYPE);
										}
										BgL_oclassz00_9057 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9058);
									}
									{	/* Ast/nodetype.sch 814 */
										bool_t BgL__ortest_1110z00_9060;

										BgL__ortest_1110z00_9060 =
											(BgL_classz00_9049 == BgL_oclassz00_9057);
										if (BgL__ortest_1110z00_9060)
											{	/* Ast/nodetype.sch 814 */
												BgL_res2988z00_9056 = BgL__ortest_1110z00_9060;
											}
										else
											{	/* Ast/nodetype.sch 814 */
												long BgL_odepthz00_9061;

												BgL_odepthz00_9061 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9057);
												if ((((long) 3) < BgL_odepthz00_9061))
													{	/* Ast/nodetype.sch 814 */
														obj_t BgL_arg1821z00_9062;

														BgL_arg1821z00_9062 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9057,
															((long) 3));
														BgL_res2988z00_9056 =
															(BgL_arg1821z00_9062 == BgL_classz00_9049);
													}
												else
													{	/* Ast/nodetype.sch 814 */
														BgL_res2988z00_9056 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9052 = BgL_res2988z00_9056;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9051, BgL_arg1823z00_9052);
						}
					}
				else
					{	/* Ast/nodetype.sch 814 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &ref? */
	obj_t BGl_z62refzf3z91zzast_nodez00(obj_t BgL_envz00_6330,
		obj_t BgL_objz00_6331)
	{
		{	/* Ast/nodetype.sch 814 */
			return BBOOL(BGl_refzf3zf3zzast_nodez00(BgL_objz00_6331));
		}

	}



/* ref-nil */
	BGL_EXPORTED_DEF BgL_refz00_bglt BGl_refzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 815 */
			{	/* Ast/nodetype.sch 815 */
				obj_t BgL_classz00_4073;

				BgL_classz00_4073 = BGl_refz00zzast_nodez00;
				{	/* Ast/nodetype.sch 815 */
					obj_t BgL__ortest_1112z00_4074;

					BgL__ortest_1112z00_4074 = BGL_CLASS_NIL(BgL_classz00_4073);
					if (CBOOL(BgL__ortest_1112z00_4074))
						{	/* Ast/nodetype.sch 815 */
							return ((BgL_refz00_bglt) BgL__ortest_1112z00_4074);
						}
					else
						{	/* Ast/nodetype.sch 815 */
							return
								((BgL_refz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4073));
						}
				}
			}
		}

	}



/* &ref-nil */
	BgL_refz00_bglt BGl_z62refzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6332)
	{
		{	/* Ast/nodetype.sch 815 */
			return BGl_refzd2nilzd2zzast_nodez00();
		}

	}



/* ref-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_refzd2variablezd2zzast_nodez00(BgL_refz00_bglt BgL_oz00_91)
	{
		{	/* Ast/nodetype.sch 816 */
			return
				(((BgL_varz00_bglt) COBJECT(
						((BgL_varz00_bglt) BgL_oz00_91)))->BgL_variablez00);
		}

	}



/* &ref-variable */
	BgL_variablez00_bglt BGl_z62refzd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_6333, obj_t BgL_oz00_6334)
	{
		{	/* Ast/nodetype.sch 816 */
			return
				BGl_refzd2variablezd2zzast_nodez00(((BgL_refz00_bglt) BgL_oz00_6334));
		}

	}



/* ref-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_refzd2variablezd2setz12z12zzast_nodez00(BgL_refz00_bglt BgL_oz00_92,
		BgL_variablez00_bglt BgL_vz00_93)
	{
		{	/* Ast/nodetype.sch 817 */
			return
				((((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_oz00_92)))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_93), BUNSPEC);
		}

	}



/* &ref-variable-set! */
	obj_t BGl_z62refzd2variablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6335,
		obj_t BgL_oz00_6336, obj_t BgL_vz00_6337)
	{
		{	/* Ast/nodetype.sch 817 */
			return
				BGl_refzd2variablezd2setz12z12zzast_nodez00(
				((BgL_refz00_bglt) BgL_oz00_6336),
				((BgL_variablez00_bglt) BgL_vz00_6337));
		}

	}



/* ref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_refzd2typezd2zzast_nodez00(BgL_refz00_bglt BgL_oz00_94)
	{
		{	/* Ast/nodetype.sch 818 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_94)))->BgL_typez00);
		}

	}



/* &ref-type */
	BgL_typez00_bglt BGl_z62refzd2typezb0zzast_nodez00(obj_t BgL_envz00_6338,
		obj_t BgL_oz00_6339)
	{
		{	/* Ast/nodetype.sch 818 */
			return BGl_refzd2typezd2zzast_nodez00(((BgL_refz00_bglt) BgL_oz00_6339));
		}

	}



/* ref-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_refzd2typezd2setz12z12zzast_nodez00(BgL_refz00_bglt
		BgL_oz00_95, BgL_typez00_bglt BgL_vz00_96)
	{
		{	/* Ast/nodetype.sch 819 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_95)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_96), BUNSPEC);
		}

	}



/* &ref-type-set! */
	obj_t BGl_z62refzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6340,
		obj_t BgL_oz00_6341, obj_t BgL_vz00_6342)
	{
		{	/* Ast/nodetype.sch 819 */
			return
				BGl_refzd2typezd2setz12z12zzast_nodez00(
				((BgL_refz00_bglt) BgL_oz00_6341), ((BgL_typez00_bglt) BgL_vz00_6342));
		}

	}



/* ref-loc */
	BGL_EXPORTED_DEF obj_t BGl_refzd2loczd2zzast_nodez00(BgL_refz00_bglt
		BgL_oz00_97)
	{
		{	/* Ast/nodetype.sch 820 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_97)))->BgL_locz00);
		}

	}



/* &ref-loc */
	obj_t BGl_z62refzd2loczb0zzast_nodez00(obj_t BgL_envz00_6343,
		obj_t BgL_oz00_6344)
	{
		{	/* Ast/nodetype.sch 820 */
			return BGl_refzd2loczd2zzast_nodez00(((BgL_refz00_bglt) BgL_oz00_6344));
		}

	}



/* make-closure */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t
		BgL_loc1707z00_100, BgL_typez00_bglt BgL_type1708z00_101,
		BgL_variablez00_bglt BgL_variable1709z00_102)
	{
		{	/* Ast/nodetype.sch 824 */
			{	/* Ast/nodetype.sch 824 */
				BgL_closurez00_bglt BgL_new1444z00_9063;

				{	/* Ast/nodetype.sch 824 */
					BgL_closurez00_bglt BgL_new1443z00_9064;

					BgL_new1443z00_9064 =
						((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/nodetype.sch 824 */
						long BgL_arg1781z00_9065;

						BgL_arg1781z00_9065 = BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1443z00_9064), BgL_arg1781z00_9065);
					}
					{	/* Ast/nodetype.sch 824 */
						BgL_objectz00_bglt BgL_tmpz00_10992;

						BgL_tmpz00_10992 = ((BgL_objectz00_bglt) BgL_new1443z00_9064);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10992, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1443z00_9064);
					BgL_new1444z00_9063 = BgL_new1443z00_9064;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1444z00_9063)))->BgL_locz00) =
					((obj_t) BgL_loc1707z00_100), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1444z00_9063)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1708z00_101), BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1444z00_9063)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1709z00_102), BUNSPEC);
				return BgL_new1444z00_9063;
			}
		}

	}



/* &make-closure */
	BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t
		BgL_envz00_6345, obj_t BgL_loc1707z00_6346, obj_t BgL_type1708z00_6347,
		obj_t BgL_variable1709z00_6348)
	{
		{	/* Ast/nodetype.sch 824 */
			return
				BGl_makezd2closurezd2zzast_nodez00(BgL_loc1707z00_6346,
				((BgL_typez00_bglt) BgL_type1708z00_6347),
				((BgL_variablez00_bglt) BgL_variable1709z00_6348));
		}

	}



/* closure? */
	BGL_EXPORTED_DEF bool_t BGl_closurezf3zf3zzast_nodez00(obj_t BgL_objz00_103)
	{
		{	/* Ast/nodetype.sch 825 */
			{	/* Ast/nodetype.sch 825 */
				obj_t BgL_classz00_9066;

				BgL_classz00_9066 = BGl_closurez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_103))
					{	/* Ast/nodetype.sch 825 */
						BgL_objectz00_bglt BgL_arg1825z00_9067;

						BgL_arg1825z00_9067 = (BgL_objectz00_bglt) (BgL_objz00_103);
						{	/* Ast/nodetype.sch 825 */
							bool_t BgL_arg1822z00_9068;
							bool_t BgL_arg1823z00_9069;

							{	/* Ast/nodetype.sch 825 */
								long BgL_idxz00_9070;

								BgL_idxz00_9070 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9067);
								BgL_arg1822z00_9068 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9070 + ((long) 3))) == BgL_classz00_9066);
							}
							{	/* Ast/nodetype.sch 825 */
								bool_t BgL_res2989z00_9073;

								{	/* Ast/nodetype.sch 825 */
									obj_t BgL_oclassz00_9074;

									{	/* Ast/nodetype.sch 825 */
										long BgL_arg1833z00_9075;

										{	/* Ast/nodetype.sch 825 */
											long BgL_arg1834z00_9076;

											BgL_arg1834z00_9076 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9067);
											BgL_arg1833z00_9075 = (BgL_arg1834z00_9076 - OBJECT_TYPE);
										}
										BgL_oclassz00_9074 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9075);
									}
									{	/* Ast/nodetype.sch 825 */
										bool_t BgL__ortest_1110z00_9077;

										BgL__ortest_1110z00_9077 =
											(BgL_classz00_9066 == BgL_oclassz00_9074);
										if (BgL__ortest_1110z00_9077)
											{	/* Ast/nodetype.sch 825 */
												BgL_res2989z00_9073 = BgL__ortest_1110z00_9077;
											}
										else
											{	/* Ast/nodetype.sch 825 */
												long BgL_odepthz00_9078;

												BgL_odepthz00_9078 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9074);
												if ((((long) 3) < BgL_odepthz00_9078))
													{	/* Ast/nodetype.sch 825 */
														obj_t BgL_arg1821z00_9079;

														BgL_arg1821z00_9079 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9074,
															((long) 3));
														BgL_res2989z00_9073 =
															(BgL_arg1821z00_9079 == BgL_classz00_9066);
													}
												else
													{	/* Ast/nodetype.sch 825 */
														BgL_res2989z00_9073 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9069 = BgL_res2989z00_9073;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9068, BgL_arg1823z00_9069);
						}
					}
				else
					{	/* Ast/nodetype.sch 825 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &closure? */
	obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t BgL_envz00_6349,
		obj_t BgL_objz00_6350)
	{
		{	/* Ast/nodetype.sch 825 */
			return BBOOL(BGl_closurezf3zf3zzast_nodez00(BgL_objz00_6350));
		}

	}



/* closure-nil */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 826 */
			{	/* Ast/nodetype.sch 826 */
				obj_t BgL_classz00_4114;

				BgL_classz00_4114 = BGl_closurez00zzast_nodez00;
				{	/* Ast/nodetype.sch 826 */
					obj_t BgL__ortest_1112z00_4115;

					BgL__ortest_1112z00_4115 = BGL_CLASS_NIL(BgL_classz00_4114);
					if (CBOOL(BgL__ortest_1112z00_4115))
						{	/* Ast/nodetype.sch 826 */
							return ((BgL_closurez00_bglt) BgL__ortest_1112z00_4115);
						}
					else
						{	/* Ast/nodetype.sch 826 */
							return
								((BgL_closurez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4114));
						}
				}
			}
		}

	}



/* &closure-nil */
	BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6351)
	{
		{	/* Ast/nodetype.sch 826 */
			return BGl_closurezd2nilzd2zzast_nodez00();
		}

	}



/* closure-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_104)
	{
		{	/* Ast/nodetype.sch 827 */
			return
				(((BgL_varz00_bglt) COBJECT(
						((BgL_varz00_bglt) BgL_oz00_104)))->BgL_variablez00);
		}

	}



/* &closure-variable */
	BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_6352, obj_t BgL_oz00_6353)
	{
		{	/* Ast/nodetype.sch 827 */
			return
				BGl_closurezd2variablezd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6353));
		}

	}



/* closure-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_105, BgL_variablez00_bglt BgL_vz00_106)
	{
		{	/* Ast/nodetype.sch 828 */
			return
				((((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_oz00_105)))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_106), BUNSPEC);
		}

	}



/* &closure-variable-set! */
	obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6354, obj_t BgL_oz00_6355, obj_t BgL_vz00_6356)
	{
		{	/* Ast/nodetype.sch 828 */
			return
				BGl_closurezd2variablezd2setz12z12zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6355),
				((BgL_variablez00_bglt) BgL_vz00_6356));
		}

	}



/* closure-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_107)
	{
		{	/* Ast/nodetype.sch 829 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_107)))->BgL_typez00);
		}

	}



/* &closure-type */
	BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t BgL_envz00_6357,
		obj_t BgL_oz00_6358)
	{
		{	/* Ast/nodetype.sch 829 */
			return
				BGl_closurezd2typezd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6358));
		}

	}



/* closure-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_108, BgL_typez00_bglt BgL_vz00_109)
	{
		{	/* Ast/nodetype.sch 830 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_108)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_109), BUNSPEC);
		}

	}



/* &closure-type-set! */
	obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6359,
		obj_t BgL_oz00_6360, obj_t BgL_vz00_6361)
	{
		{	/* Ast/nodetype.sch 830 */
			return
				BGl_closurezd2typezd2setz12z12zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6360),
				((BgL_typez00_bglt) BgL_vz00_6361));
		}

	}



/* closure-loc */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_110)
	{
		{	/* Ast/nodetype.sch 831 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_110)))->BgL_locz00);
		}

	}



/* &closure-loc */
	obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t BgL_envz00_6362,
		obj_t BgL_oz00_6363)
	{
		{	/* Ast/nodetype.sch 831 */
			return
				BGl_closurezd2loczd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6363));
		}

	}



/* make-kwote */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t
		BgL_loc1703z00_113, BgL_typez00_bglt BgL_type1704z00_114,
		obj_t BgL_value1705z00_115)
	{
		{	/* Ast/nodetype.sch 835 */
			{	/* Ast/nodetype.sch 835 */
				BgL_kwotez00_bglt BgL_new1446z00_9080;

				{	/* Ast/nodetype.sch 835 */
					BgL_kwotez00_bglt BgL_new1445z00_9081;

					BgL_new1445z00_9081 =
						((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/nodetype.sch 835 */
						long BgL_arg1785z00_9082;

						BgL_arg1785z00_9082 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1445z00_9081), BgL_arg1785z00_9082);
					}
					{	/* Ast/nodetype.sch 835 */
						BgL_objectz00_bglt BgL_tmpz00_11058;

						BgL_tmpz00_11058 = ((BgL_objectz00_bglt) BgL_new1445z00_9081);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11058, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1445z00_9081);
					BgL_new1446z00_9080 = BgL_new1445z00_9081;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1446z00_9080)))->BgL_locz00) =
					((obj_t) BgL_loc1703z00_113), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1446z00_9080)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1704z00_114), BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(BgL_new1446z00_9080))->BgL_valuez00) =
					((obj_t) BgL_value1705z00_115), BUNSPEC);
				return BgL_new1446z00_9080;
			}
		}

	}



/* &make-kwote */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t BgL_envz00_6364,
		obj_t BgL_loc1703z00_6365, obj_t BgL_type1704z00_6366,
		obj_t BgL_value1705z00_6367)
	{
		{	/* Ast/nodetype.sch 835 */
			return
				BGl_makezd2kwotezd2zzast_nodez00(BgL_loc1703z00_6365,
				((BgL_typez00_bglt) BgL_type1704z00_6366), BgL_value1705z00_6367);
		}

	}



/* kwote? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t BgL_objz00_116)
	{
		{	/* Ast/nodetype.sch 836 */
			{	/* Ast/nodetype.sch 836 */
				obj_t BgL_classz00_9083;

				BgL_classz00_9083 = BGl_kwotez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_116))
					{	/* Ast/nodetype.sch 836 */
						BgL_objectz00_bglt BgL_arg1825z00_9084;

						BgL_arg1825z00_9084 = (BgL_objectz00_bglt) (BgL_objz00_116);
						{	/* Ast/nodetype.sch 836 */
							bool_t BgL_arg1822z00_9085;
							bool_t BgL_arg1823z00_9086;

							{	/* Ast/nodetype.sch 836 */
								long BgL_idxz00_9087;

								BgL_idxz00_9087 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9084);
								BgL_arg1822z00_9085 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9087 + ((long) 2))) == BgL_classz00_9083);
							}
							{	/* Ast/nodetype.sch 836 */
								bool_t BgL_res2990z00_9090;

								{	/* Ast/nodetype.sch 836 */
									obj_t BgL_oclassz00_9091;

									{	/* Ast/nodetype.sch 836 */
										long BgL_arg1833z00_9092;

										{	/* Ast/nodetype.sch 836 */
											long BgL_arg1834z00_9093;

											BgL_arg1834z00_9093 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9084);
											BgL_arg1833z00_9092 = (BgL_arg1834z00_9093 - OBJECT_TYPE);
										}
										BgL_oclassz00_9091 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9092);
									}
									{	/* Ast/nodetype.sch 836 */
										bool_t BgL__ortest_1110z00_9094;

										BgL__ortest_1110z00_9094 =
											(BgL_classz00_9083 == BgL_oclassz00_9091);
										if (BgL__ortest_1110z00_9094)
											{	/* Ast/nodetype.sch 836 */
												BgL_res2990z00_9090 = BgL__ortest_1110z00_9094;
											}
										else
											{	/* Ast/nodetype.sch 836 */
												long BgL_odepthz00_9095;

												BgL_odepthz00_9095 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9091);
												if ((((long) 2) < BgL_odepthz00_9095))
													{	/* Ast/nodetype.sch 836 */
														obj_t BgL_arg1821z00_9096;

														BgL_arg1821z00_9096 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9091,
															((long) 2));
														BgL_res2990z00_9090 =
															(BgL_arg1821z00_9096 == BgL_classz00_9083);
													}
												else
													{	/* Ast/nodetype.sch 836 */
														BgL_res2990z00_9090 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9086 = BgL_res2990z00_9090;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9085, BgL_arg1823z00_9086);
						}
					}
				else
					{	/* Ast/nodetype.sch 836 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &kwote? */
	obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t BgL_envz00_6368,
		obj_t BgL_objz00_6369)
	{
		{	/* Ast/nodetype.sch 836 */
			return BBOOL(BGl_kwotezf3zf3zzast_nodez00(BgL_objz00_6369));
		}

	}



/* kwote-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 837 */
			{	/* Ast/nodetype.sch 837 */
				obj_t BgL_classz00_4155;

				BgL_classz00_4155 = BGl_kwotez00zzast_nodez00;
				{	/* Ast/nodetype.sch 837 */
					obj_t BgL__ortest_1112z00_4156;

					BgL__ortest_1112z00_4156 = BGL_CLASS_NIL(BgL_classz00_4155);
					if (CBOOL(BgL__ortest_1112z00_4156))
						{	/* Ast/nodetype.sch 837 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1112z00_4156);
						}
					else
						{	/* Ast/nodetype.sch 837 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4155));
						}
				}
			}
		}

	}



/* &kwote-nil */
	BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t BgL_envz00_6370)
	{
		{	/* Ast/nodetype.sch 837 */
			return BGl_kwotezd2nilzd2zzast_nodez00();
		}

	}



/* kwote-value */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_117)
	{
		{	/* Ast/nodetype.sch 838 */
			return (((BgL_kwotez00_bglt) COBJECT(BgL_oz00_117))->BgL_valuez00);
		}

	}



/* &kwote-value */
	obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t BgL_envz00_6371,
		obj_t BgL_oz00_6372)
	{
		{	/* Ast/nodetype.sch 838 */
			return
				BGl_kwotezd2valuezd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_6372));
		}

	}



/* kwote-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_120)
	{
		{	/* Ast/nodetype.sch 840 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_120)))->BgL_typez00);
		}

	}



/* &kwote-type */
	BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t BgL_envz00_6373,
		obj_t BgL_oz00_6374)
	{
		{	/* Ast/nodetype.sch 840 */
			return
				BGl_kwotezd2typezd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_6374));
		}

	}



/* kwote-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_121,
		BgL_typez00_bglt BgL_vz00_122)
	{
		{	/* Ast/nodetype.sch 841 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_121)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_122), BUNSPEC);
		}

	}



/* &kwote-type-set! */
	obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6375,
		obj_t BgL_oz00_6376, obj_t BgL_vz00_6377)
	{
		{	/* Ast/nodetype.sch 841 */
			return
				BGl_kwotezd2typezd2setz12z12zzast_nodez00(
				((BgL_kwotez00_bglt) BgL_oz00_6376),
				((BgL_typez00_bglt) BgL_vz00_6377));
		}

	}



/* kwote-loc */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_123)
	{
		{	/* Ast/nodetype.sch 842 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_123)))->BgL_locz00);
		}

	}



/* &kwote-loc */
	obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t BgL_envz00_6378,
		obj_t BgL_oz00_6379)
	{
		{	/* Ast/nodetype.sch 842 */
			return
				BGl_kwotezd2loczd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_6379));
		}

	}



/* make-sequence */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t BgL_loc1695z00_126,
		BgL_typez00_bglt BgL_type1696z00_127, obj_t BgL_sidezd2effect1697zd2_128,
		obj_t BgL_key1698z00_129, obj_t BgL_nodes1699z00_130,
		bool_t BgL_unsafe1700z00_131, obj_t BgL_meta1701z00_132)
	{
		{	/* Ast/nodetype.sch 846 */
			{	/* Ast/nodetype.sch 846 */
				BgL_sequencez00_bglt BgL_new1448z00_9097;

				{	/* Ast/nodetype.sch 846 */
					BgL_sequencez00_bglt BgL_new1447z00_9098;

					BgL_new1447z00_9098 =
						((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sequencez00_bgl))));
					{	/* Ast/nodetype.sch 846 */
						long BgL_arg1788z00_9099;

						BgL_arg1788z00_9099 = BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1447z00_9098), BgL_arg1788z00_9099);
					}
					{	/* Ast/nodetype.sch 846 */
						BgL_objectz00_bglt BgL_tmpz00_11116;

						BgL_tmpz00_11116 = ((BgL_objectz00_bglt) BgL_new1447z00_9098);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11116, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1447z00_9098);
					BgL_new1448z00_9097 = BgL_new1447z00_9098;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1448z00_9097)))->BgL_locz00) =
					((obj_t) BgL_loc1695z00_126), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1448z00_9097)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1696z00_127), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1448z00_9097)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1697zd2_128), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1448z00_9097)))->BgL_keyz00) =
					((obj_t) BgL_key1698z00_129), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1448z00_9097))->BgL_nodesz00) =
					((obj_t) BgL_nodes1699z00_130), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1448z00_9097))->
						BgL_unsafez00) = ((bool_t) BgL_unsafe1700z00_131), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1448z00_9097))->BgL_metaz00) =
					((obj_t) BgL_meta1701z00_132), BUNSPEC);
				return BgL_new1448z00_9097;
			}
		}

	}



/* &make-sequence */
	BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t
		BgL_envz00_6380, obj_t BgL_loc1695z00_6381, obj_t BgL_type1696z00_6382,
		obj_t BgL_sidezd2effect1697zd2_6383, obj_t BgL_key1698z00_6384,
		obj_t BgL_nodes1699z00_6385, obj_t BgL_unsafe1700z00_6386,
		obj_t BgL_meta1701z00_6387)
	{
		{	/* Ast/nodetype.sch 846 */
			return
				BGl_makezd2sequencezd2zzast_nodez00(BgL_loc1695z00_6381,
				((BgL_typez00_bglt) BgL_type1696z00_6382),
				BgL_sidezd2effect1697zd2_6383, BgL_key1698z00_6384,
				BgL_nodes1699z00_6385, CBOOL(BgL_unsafe1700z00_6386),
				BgL_meta1701z00_6387);
		}

	}



/* sequence? */
	BGL_EXPORTED_DEF bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t BgL_objz00_133)
	{
		{	/* Ast/nodetype.sch 847 */
			{	/* Ast/nodetype.sch 847 */
				obj_t BgL_classz00_9100;

				BgL_classz00_9100 = BGl_sequencez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_133))
					{	/* Ast/nodetype.sch 847 */
						BgL_objectz00_bglt BgL_arg1825z00_9101;

						BgL_arg1825z00_9101 = (BgL_objectz00_bglt) (BgL_objz00_133);
						{	/* Ast/nodetype.sch 847 */
							bool_t BgL_arg1822z00_9102;
							bool_t BgL_arg1823z00_9103;

							{	/* Ast/nodetype.sch 847 */
								long BgL_idxz00_9104;

								BgL_idxz00_9104 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9101);
								BgL_arg1822z00_9102 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9104 + ((long) 3))) == BgL_classz00_9100);
							}
							{	/* Ast/nodetype.sch 847 */
								bool_t BgL_res2991z00_9107;

								{	/* Ast/nodetype.sch 847 */
									obj_t BgL_oclassz00_9108;

									{	/* Ast/nodetype.sch 847 */
										long BgL_arg1833z00_9109;

										{	/* Ast/nodetype.sch 847 */
											long BgL_arg1834z00_9110;

											BgL_arg1834z00_9110 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9101);
											BgL_arg1833z00_9109 = (BgL_arg1834z00_9110 - OBJECT_TYPE);
										}
										BgL_oclassz00_9108 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9109);
									}
									{	/* Ast/nodetype.sch 847 */
										bool_t BgL__ortest_1110z00_9111;

										BgL__ortest_1110z00_9111 =
											(BgL_classz00_9100 == BgL_oclassz00_9108);
										if (BgL__ortest_1110z00_9111)
											{	/* Ast/nodetype.sch 847 */
												BgL_res2991z00_9107 = BgL__ortest_1110z00_9111;
											}
										else
											{	/* Ast/nodetype.sch 847 */
												long BgL_odepthz00_9112;

												BgL_odepthz00_9112 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9108);
												if ((((long) 3) < BgL_odepthz00_9112))
													{	/* Ast/nodetype.sch 847 */
														obj_t BgL_arg1821z00_9113;

														BgL_arg1821z00_9113 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9108,
															((long) 3));
														BgL_res2991z00_9107 =
															(BgL_arg1821z00_9113 == BgL_classz00_9100);
													}
												else
													{	/* Ast/nodetype.sch 847 */
														BgL_res2991z00_9107 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9103 = BgL_res2991z00_9107;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9102, BgL_arg1823z00_9103);
						}
					}
				else
					{	/* Ast/nodetype.sch 847 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sequence? */
	obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t BgL_envz00_6388,
		obj_t BgL_objz00_6389)
	{
		{	/* Ast/nodetype.sch 847 */
			return BBOOL(BGl_sequencezf3zf3zzast_nodez00(BgL_objz00_6389));
		}

	}



/* sequence-nil */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt BGl_sequencezd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 848 */
			{	/* Ast/nodetype.sch 848 */
				obj_t BgL_classz00_4196;

				BgL_classz00_4196 = BGl_sequencez00zzast_nodez00;
				{	/* Ast/nodetype.sch 848 */
					obj_t BgL__ortest_1112z00_4197;

					BgL__ortest_1112z00_4197 = BGL_CLASS_NIL(BgL_classz00_4196);
					if (CBOOL(BgL__ortest_1112z00_4197))
						{	/* Ast/nodetype.sch 848 */
							return ((BgL_sequencez00_bglt) BgL__ortest_1112z00_4197);
						}
					else
						{	/* Ast/nodetype.sch 848 */
							return
								((BgL_sequencez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4196));
						}
				}
			}
		}

	}



/* &sequence-nil */
	BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6390)
	{
		{	/* Ast/nodetype.sch 848 */
			return BGl_sequencezd2nilzd2zzast_nodez00();
		}

	}



/* sequence-meta */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2metazd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_134)
	{
		{	/* Ast/nodetype.sch 849 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_134))->BgL_metaz00);
		}

	}



/* &sequence-meta */
	obj_t BGl_z62sequencezd2metazb0zzast_nodez00(obj_t BgL_envz00_6391,
		obj_t BgL_oz00_6392)
	{
		{	/* Ast/nodetype.sch 849 */
			return
				BGl_sequencezd2metazd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6392));
		}

	}



/* sequence-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_137)
	{
		{	/* Ast/nodetype.sch 851 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_137))->BgL_unsafez00);
		}

	}



/* &sequence-unsafe */
	obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t BgL_envz00_6393,
		obj_t BgL_oz00_6394)
	{
		{	/* Ast/nodetype.sch 851 */
			return
				BBOOL(BGl_sequencezd2unsafezd2zzast_nodez00(
					((BgL_sequencez00_bglt) BgL_oz00_6394)));
		}

	}



/* sequence-nodes */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_140)
	{
		{	/* Ast/nodetype.sch 853 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_140))->BgL_nodesz00);
		}

	}



/* &sequence-nodes */
	obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t BgL_envz00_6395,
		obj_t BgL_oz00_6396)
	{
		{	/* Ast/nodetype.sch 853 */
			return
				BGl_sequencezd2nodeszd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6396));
		}

	}



/* sequence-key */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_143)
	{
		{	/* Ast/nodetype.sch 855 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_143)))->BgL_keyz00);
		}

	}



/* &sequence-key */
	obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t BgL_envz00_6397,
		obj_t BgL_oz00_6398)
	{
		{	/* Ast/nodetype.sch 855 */
			return
				BGl_sequencezd2keyzd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6398));
		}

	}



/* sequence-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_144, obj_t BgL_vz00_145)
	{
		{	/* Ast/nodetype.sch 856 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_144)))->BgL_keyz00) =
				((obj_t) BgL_vz00_145), BUNSPEC);
		}

	}



/* &sequence-key-set! */
	obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6399,
		obj_t BgL_oz00_6400, obj_t BgL_vz00_6401)
	{
		{	/* Ast/nodetype.sch 856 */
			return
				BGl_sequencezd2keyzd2setz12z12zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6400), BgL_vz00_6401);
		}

	}



/* sequence-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_146)
	{
		{	/* Ast/nodetype.sch 857 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_146)))->BgL_sidezd2effectzd2);
		}

	}



/* &sequence-side-effect */
	obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6402,
		obj_t BgL_oz00_6403)
	{
		{	/* Ast/nodetype.sch 857 */
			return
				BGl_sequencezd2sidezd2effectz00zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6403));
		}

	}



/* sequence-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_147, obj_t BgL_vz00_148)
	{
		{	/* Ast/nodetype.sch 858 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_147)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_148), BUNSPEC);
		}

	}



/* &sequence-side-effect-set! */
	obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6404, obj_t BgL_oz00_6405, obj_t BgL_vz00_6406)
	{
		{	/* Ast/nodetype.sch 858 */
			return
				BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6405), BgL_vz00_6406);
		}

	}



/* sequence-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_149)
	{
		{	/* Ast/nodetype.sch 859 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_149)))->BgL_typez00);
		}

	}



/* &sequence-type */
	BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t BgL_envz00_6407,
		obj_t BgL_oz00_6408)
	{
		{	/* Ast/nodetype.sch 859 */
			return
				BGl_sequencezd2typezd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6408));
		}

	}



/* sequence-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_150, BgL_typez00_bglt BgL_vz00_151)
	{
		{	/* Ast/nodetype.sch 860 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_150)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_151), BUNSPEC);
		}

	}



/* &sequence-type-set! */
	obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6409,
		obj_t BgL_oz00_6410, obj_t BgL_vz00_6411)
	{
		{	/* Ast/nodetype.sch 860 */
			return
				BGl_sequencezd2typezd2setz12z12zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6410),
				((BgL_typez00_bglt) BgL_vz00_6411));
		}

	}



/* sequence-loc */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_152)
	{
		{	/* Ast/nodetype.sch 861 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_152)))->BgL_locz00);
		}

	}



/* &sequence-loc */
	obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t BgL_envz00_6412,
		obj_t BgL_oz00_6413)
	{
		{	/* Ast/nodetype.sch 861 */
			return
				BGl_sequencezd2loczd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6413));
		}

	}



/* make-app */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t
		BgL_loc1687z00_155, BgL_typez00_bglt BgL_type1688z00_156,
		obj_t BgL_sidezd2effect1689zd2_157, obj_t BgL_key1690z00_158,
		BgL_varz00_bglt BgL_fun1691z00_159, obj_t BgL_args1692z00_160,
		obj_t BgL_stackable1693z00_161)
	{
		{	/* Ast/nodetype.sch 865 */
			{	/* Ast/nodetype.sch 865 */
				BgL_appz00_bglt BgL_new1450z00_9114;

				{	/* Ast/nodetype.sch 865 */
					BgL_appz00_bglt BgL_new1449z00_9115;

					BgL_new1449z00_9115 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Ast/nodetype.sch 865 */
						long BgL_arg1789z00_9116;

						BgL_arg1789z00_9116 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1449z00_9115), BgL_arg1789z00_9116);
					}
					{	/* Ast/nodetype.sch 865 */
						BgL_objectz00_bglt BgL_tmpz00_11204;

						BgL_tmpz00_11204 = ((BgL_objectz00_bglt) BgL_new1449z00_9115);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11204, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1449z00_9115);
					BgL_new1450z00_9114 = BgL_new1449z00_9115;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1450z00_9114)))->BgL_locz00) =
					((obj_t) BgL_loc1687z00_155), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1450z00_9114)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1688z00_156), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1450z00_9114)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1689zd2_157), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1450z00_9114)))->BgL_keyz00) =
					((obj_t) BgL_key1690z00_158), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1450z00_9114))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_fun1691z00_159), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1450z00_9114))->BgL_argsz00) =
					((obj_t) BgL_args1692z00_160), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1450z00_9114))->BgL_stackablez00) =
					((obj_t) BgL_stackable1693z00_161), BUNSPEC);
				return BgL_new1450z00_9114;
			}
		}

	}



/* &make-app */
	BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t BgL_envz00_6414,
		obj_t BgL_loc1687z00_6415, obj_t BgL_type1688z00_6416,
		obj_t BgL_sidezd2effect1689zd2_6417, obj_t BgL_key1690z00_6418,
		obj_t BgL_fun1691z00_6419, obj_t BgL_args1692z00_6420,
		obj_t BgL_stackable1693z00_6421)
	{
		{	/* Ast/nodetype.sch 865 */
			return
				BGl_makezd2appzd2zzast_nodez00(BgL_loc1687z00_6415,
				((BgL_typez00_bglt) BgL_type1688z00_6416),
				BgL_sidezd2effect1689zd2_6417, BgL_key1690z00_6418,
				((BgL_varz00_bglt) BgL_fun1691z00_6419), BgL_args1692z00_6420,
				BgL_stackable1693z00_6421);
		}

	}



/* app? */
	BGL_EXPORTED_DEF bool_t BGl_appzf3zf3zzast_nodez00(obj_t BgL_objz00_162)
	{
		{	/* Ast/nodetype.sch 866 */
			{	/* Ast/nodetype.sch 866 */
				obj_t BgL_classz00_9117;

				BgL_classz00_9117 = BGl_appz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_162))
					{	/* Ast/nodetype.sch 866 */
						BgL_objectz00_bglt BgL_arg1825z00_9118;

						BgL_arg1825z00_9118 = (BgL_objectz00_bglt) (BgL_objz00_162);
						{	/* Ast/nodetype.sch 866 */
							bool_t BgL_arg1822z00_9119;
							bool_t BgL_arg1823z00_9120;

							{	/* Ast/nodetype.sch 866 */
								long BgL_idxz00_9121;

								BgL_idxz00_9121 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9118);
								BgL_arg1822z00_9119 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9121 + ((long) 3))) == BgL_classz00_9117);
							}
							{	/* Ast/nodetype.sch 866 */
								bool_t BgL_res2992z00_9124;

								{	/* Ast/nodetype.sch 866 */
									obj_t BgL_oclassz00_9125;

									{	/* Ast/nodetype.sch 866 */
										long BgL_arg1833z00_9126;

										{	/* Ast/nodetype.sch 866 */
											long BgL_arg1834z00_9127;

											BgL_arg1834z00_9127 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9118);
											BgL_arg1833z00_9126 = (BgL_arg1834z00_9127 - OBJECT_TYPE);
										}
										BgL_oclassz00_9125 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9126);
									}
									{	/* Ast/nodetype.sch 866 */
										bool_t BgL__ortest_1110z00_9128;

										BgL__ortest_1110z00_9128 =
											(BgL_classz00_9117 == BgL_oclassz00_9125);
										if (BgL__ortest_1110z00_9128)
											{	/* Ast/nodetype.sch 866 */
												BgL_res2992z00_9124 = BgL__ortest_1110z00_9128;
											}
										else
											{	/* Ast/nodetype.sch 866 */
												long BgL_odepthz00_9129;

												BgL_odepthz00_9129 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9125);
												if ((((long) 3) < BgL_odepthz00_9129))
													{	/* Ast/nodetype.sch 866 */
														obj_t BgL_arg1821z00_9130;

														BgL_arg1821z00_9130 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9125,
															((long) 3));
														BgL_res2992z00_9124 =
															(BgL_arg1821z00_9130 == BgL_classz00_9117);
													}
												else
													{	/* Ast/nodetype.sch 866 */
														BgL_res2992z00_9124 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9120 = BgL_res2992z00_9124;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9119, BgL_arg1823z00_9120);
						}
					}
				else
					{	/* Ast/nodetype.sch 866 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &app? */
	obj_t BGl_z62appzf3z91zzast_nodez00(obj_t BgL_envz00_6422,
		obj_t BgL_objz00_6423)
	{
		{	/* Ast/nodetype.sch 866 */
			return BBOOL(BGl_appzf3zf3zzast_nodez00(BgL_objz00_6423));
		}

	}



/* app-nil */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 867 */
			{	/* Ast/nodetype.sch 867 */
				obj_t BgL_classz00_4237;

				BgL_classz00_4237 = BGl_appz00zzast_nodez00;
				{	/* Ast/nodetype.sch 867 */
					obj_t BgL__ortest_1112z00_4238;

					BgL__ortest_1112z00_4238 = BGL_CLASS_NIL(BgL_classz00_4237);
					if (CBOOL(BgL__ortest_1112z00_4238))
						{	/* Ast/nodetype.sch 867 */
							return ((BgL_appz00_bglt) BgL__ortest_1112z00_4238);
						}
					else
						{	/* Ast/nodetype.sch 867 */
							return
								((BgL_appz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4237));
						}
				}
			}
		}

	}



/* &app-nil */
	BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6424)
	{
		{	/* Ast/nodetype.sch 867 */
			return BGl_appzd2nilzd2zzast_nodez00();
		}

	}



/* app-stackable */
	BGL_EXPORTED_DEF obj_t BGl_appzd2stackablezd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_163)
	{
		{	/* Ast/nodetype.sch 868 */
			return (((BgL_appz00_bglt) COBJECT(BgL_oz00_163))->BgL_stackablez00);
		}

	}



/* &app-stackable */
	obj_t BGl_z62appzd2stackablezb0zzast_nodez00(obj_t BgL_envz00_6425,
		obj_t BgL_oz00_6426)
	{
		{	/* Ast/nodetype.sch 868 */
			return
				BGl_appzd2stackablezd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6426));
		}

	}



/* app-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2stackablezd2setz12z12zzast_nodez00(BgL_appz00_bglt BgL_oz00_164,
		obj_t BgL_vz00_165)
	{
		{	/* Ast/nodetype.sch 869 */
			return
				((((BgL_appz00_bglt) COBJECT(BgL_oz00_164))->BgL_stackablez00) =
				((obj_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &app-stackable-set! */
	obj_t BGl_z62appzd2stackablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6427,
		obj_t BgL_oz00_6428, obj_t BgL_vz00_6429)
	{
		{	/* Ast/nodetype.sch 869 */
			return
				BGl_appzd2stackablezd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6428), BgL_vz00_6429);
		}

	}



/* app-args */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_166)
	{
		{	/* Ast/nodetype.sch 870 */
			return (((BgL_appz00_bglt) COBJECT(BgL_oz00_166))->BgL_argsz00);
		}

	}



/* &app-args */
	obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t BgL_envz00_6430,
		obj_t BgL_oz00_6431)
	{
		{	/* Ast/nodetype.sch 870 */
			return BGl_appzd2argszd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6431));
		}

	}



/* app-args-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_167, obj_t BgL_vz00_168)
	{
		{	/* Ast/nodetype.sch 871 */
			return
				((((BgL_appz00_bglt) COBJECT(BgL_oz00_167))->BgL_argsz00) =
				((obj_t) BgL_vz00_168), BUNSPEC);
		}

	}



/* &app-args-set! */
	obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_6432,
		obj_t BgL_oz00_6433, obj_t BgL_vz00_6434)
	{
		{	/* Ast/nodetype.sch 871 */
			return
				BGl_appzd2argszd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6433), BgL_vz00_6434);
		}

	}



/* app-fun */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_169)
	{
		{	/* Ast/nodetype.sch 872 */
			return (((BgL_appz00_bglt) COBJECT(BgL_oz00_169))->BgL_funz00);
		}

	}



/* &app-fun */
	BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t BgL_envz00_6435,
		obj_t BgL_oz00_6436)
	{
		{	/* Ast/nodetype.sch 872 */
			return BGl_appzd2funzd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6436));
		}

	}



/* app-fun-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_170, BgL_varz00_bglt BgL_vz00_171)
	{
		{	/* Ast/nodetype.sch 873 */
			return
				((((BgL_appz00_bglt) COBJECT(BgL_oz00_170))->BgL_funz00) =
				((BgL_varz00_bglt) BgL_vz00_171), BUNSPEC);
		}

	}



/* &app-fun-set! */
	obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6437,
		obj_t BgL_oz00_6438, obj_t BgL_vz00_6439)
	{
		{	/* Ast/nodetype.sch 873 */
			return
				BGl_appzd2funzd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6438), ((BgL_varz00_bglt) BgL_vz00_6439));
		}

	}



/* app-key */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_172)
	{
		{	/* Ast/nodetype.sch 874 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_172)))->BgL_keyz00);
		}

	}



/* &app-key */
	obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6440,
		obj_t BgL_oz00_6441)
	{
		{	/* Ast/nodetype.sch 874 */
			return BGl_appzd2keyzd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6441));
		}

	}



/* app-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_173, obj_t BgL_vz00_174)
	{
		{	/* Ast/nodetype.sch 875 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_173)))->BgL_keyz00) =
				((obj_t) BgL_vz00_174), BUNSPEC);
		}

	}



/* &app-key-set! */
	obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6442,
		obj_t BgL_oz00_6443, obj_t BgL_vz00_6444)
	{
		{	/* Ast/nodetype.sch 875 */
			return
				BGl_appzd2keyzd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6443), BgL_vz00_6444);
		}

	}



/* app-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_175)
	{
		{	/* Ast/nodetype.sch 876 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_175)))->BgL_sidezd2effectzd2);
		}

	}



/* &app-side-effect */
	obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6445,
		obj_t BgL_oz00_6446)
	{
		{	/* Ast/nodetype.sch 876 */
			return
				BGl_appzd2sidezd2effectz00zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6446));
		}

	}



/* app-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_176, obj_t BgL_vz00_177)
	{
		{	/* Ast/nodetype.sch 877 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_176)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_177), BUNSPEC);
		}

	}



/* &app-side-effect-set! */
	obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6447, obj_t BgL_oz00_6448, obj_t BgL_vz00_6449)
	{
		{	/* Ast/nodetype.sch 877 */
			return
				BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6448), BgL_vz00_6449);
		}

	}



/* app-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt BgL_oz00_178)
	{
		{	/* Ast/nodetype.sch 878 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_178)))->BgL_typez00);
		}

	}



/* &app-type */
	BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t BgL_envz00_6450,
		obj_t BgL_oz00_6451)
	{
		{	/* Ast/nodetype.sch 878 */
			return BGl_appzd2typezd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6451));
		}

	}



/* app-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_179, BgL_typez00_bglt BgL_vz00_180)
	{
		{	/* Ast/nodetype.sch 879 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_179)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_180), BUNSPEC);
		}

	}



/* &app-type-set! */
	obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6452,
		obj_t BgL_oz00_6453, obj_t BgL_vz00_6454)
	{
		{	/* Ast/nodetype.sch 879 */
			return
				BGl_appzd2typezd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6453), ((BgL_typez00_bglt) BgL_vz00_6454));
		}

	}



/* app-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_181)
	{
		{	/* Ast/nodetype.sch 880 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_181)))->BgL_locz00);
		}

	}



/* &app-loc */
	obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t BgL_envz00_6455,
		obj_t BgL_oz00_6456)
	{
		{	/* Ast/nodetype.sch 880 */
			return BGl_appzd2loczd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6456));
		}

	}



/* make-app-ly */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t BgL_loc1678z00_184,
		BgL_typez00_bglt BgL_type1679z00_185, BgL_nodez00_bglt BgL_fun1680z00_186,
		BgL_nodez00_bglt BgL_arg1685z00_187)
	{
		{	/* Ast/nodetype.sch 884 */
			{	/* Ast/nodetype.sch 884 */
				BgL_appzd2lyzd2_bglt BgL_new1452z00_9131;

				{	/* Ast/nodetype.sch 884 */
					BgL_appzd2lyzd2_bglt BgL_new1451z00_9132;

					BgL_new1451z00_9132 =
						((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/nodetype.sch 884 */
						long BgL_arg1799z00_9133;

						BgL_arg1799z00_9133 = BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1451z00_9132), BgL_arg1799z00_9133);
					}
					{	/* Ast/nodetype.sch 884 */
						BgL_objectz00_bglt BgL_tmpz00_11301;

						BgL_tmpz00_11301 = ((BgL_objectz00_bglt) BgL_new1451z00_9132);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11301, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1451z00_9132);
					BgL_new1452z00_9131 = BgL_new1451z00_9132;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1452z00_9131)))->BgL_locz00) =
					((obj_t) BgL_loc1678z00_184), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1452z00_9131)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1679z00_185), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1452z00_9131))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1680z00_186), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1452z00_9131))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1685z00_187), BUNSPEC);
				return BgL_new1452z00_9131;
			}
		}

	}



/* &make-app-ly */
	BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t
		BgL_envz00_6457, obj_t BgL_loc1678z00_6458, obj_t BgL_type1679z00_6459,
		obj_t BgL_fun1680z00_6460, obj_t BgL_arg1685z00_6461)
	{
		{	/* Ast/nodetype.sch 884 */
			return
				BGl_makezd2appzd2lyz00zzast_nodez00(BgL_loc1678z00_6458,
				((BgL_typez00_bglt) BgL_type1679z00_6459),
				((BgL_nodez00_bglt) BgL_fun1680z00_6460),
				((BgL_nodez00_bglt) BgL_arg1685z00_6461));
		}

	}



/* app-ly? */
	BGL_EXPORTED_DEF bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t BgL_objz00_188)
	{
		{	/* Ast/nodetype.sch 885 */
			{	/* Ast/nodetype.sch 885 */
				obj_t BgL_classz00_9134;

				BgL_classz00_9134 = BGl_appzd2lyzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_188))
					{	/* Ast/nodetype.sch 885 */
						BgL_objectz00_bglt BgL_arg1825z00_9135;

						BgL_arg1825z00_9135 = (BgL_objectz00_bglt) (BgL_objz00_188);
						{	/* Ast/nodetype.sch 885 */
							bool_t BgL_arg1822z00_9136;
							bool_t BgL_arg1823z00_9137;

							{	/* Ast/nodetype.sch 885 */
								long BgL_idxz00_9138;

								BgL_idxz00_9138 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9135);
								BgL_arg1822z00_9136 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9138 + ((long) 2))) == BgL_classz00_9134);
							}
							{	/* Ast/nodetype.sch 885 */
								bool_t BgL_res2993z00_9141;

								{	/* Ast/nodetype.sch 885 */
									obj_t BgL_oclassz00_9142;

									{	/* Ast/nodetype.sch 885 */
										long BgL_arg1833z00_9143;

										{	/* Ast/nodetype.sch 885 */
											long BgL_arg1834z00_9144;

											BgL_arg1834z00_9144 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9135);
											BgL_arg1833z00_9143 = (BgL_arg1834z00_9144 - OBJECT_TYPE);
										}
										BgL_oclassz00_9142 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9143);
									}
									{	/* Ast/nodetype.sch 885 */
										bool_t BgL__ortest_1110z00_9145;

										BgL__ortest_1110z00_9145 =
											(BgL_classz00_9134 == BgL_oclassz00_9142);
										if (BgL__ortest_1110z00_9145)
											{	/* Ast/nodetype.sch 885 */
												BgL_res2993z00_9141 = BgL__ortest_1110z00_9145;
											}
										else
											{	/* Ast/nodetype.sch 885 */
												long BgL_odepthz00_9146;

												BgL_odepthz00_9146 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9142);
												if ((((long) 2) < BgL_odepthz00_9146))
													{	/* Ast/nodetype.sch 885 */
														obj_t BgL_arg1821z00_9147;

														BgL_arg1821z00_9147 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9142,
															((long) 2));
														BgL_res2993z00_9141 =
															(BgL_arg1821z00_9147 == BgL_classz00_9134);
													}
												else
													{	/* Ast/nodetype.sch 885 */
														BgL_res2993z00_9141 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9137 = BgL_res2993z00_9141;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9136, BgL_arg1823z00_9137);
						}
					}
				else
					{	/* Ast/nodetype.sch 885 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &app-ly? */
	obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t BgL_envz00_6462,
		obj_t BgL_objz00_6463)
	{
		{	/* Ast/nodetype.sch 885 */
			return BBOOL(BGl_appzd2lyzf3z21zzast_nodez00(BgL_objz00_6463));
		}

	}



/* app-ly-nil */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt BGl_appzd2lyzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 886 */
			{	/* Ast/nodetype.sch 886 */
				obj_t BgL_classz00_4278;

				BgL_classz00_4278 = BGl_appzd2lyzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 886 */
					obj_t BgL__ortest_1112z00_4279;

					BgL__ortest_1112z00_4279 = BGL_CLASS_NIL(BgL_classz00_4278);
					if (CBOOL(BgL__ortest_1112z00_4279))
						{	/* Ast/nodetype.sch 886 */
							return ((BgL_appzd2lyzd2_bglt) BgL__ortest_1112z00_4279);
						}
					else
						{	/* Ast/nodetype.sch 886 */
							return
								((BgL_appzd2lyzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4278));
						}
				}
			}
		}

	}



/* &app-ly-nil */
	BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6464)
	{
		{	/* Ast/nodetype.sch 886 */
			return BGl_appzd2lyzd2nilz00zzast_nodez00();
		}

	}



/* app-ly-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_189)
	{
		{	/* Ast/nodetype.sch 887 */
			return (((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_189))->BgL_argz00);
		}

	}



/* &app-ly-arg */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t BgL_envz00_6465,
		obj_t BgL_oz00_6466)
	{
		{	/* Ast/nodetype.sch 887 */
			return
				BGl_appzd2lyzd2argz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6466));
		}

	}



/* app-ly-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_190, BgL_nodez00_bglt BgL_vz00_191)
	{
		{	/* Ast/nodetype.sch 888 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_190))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_191), BUNSPEC);
		}

	}



/* &app-ly-arg-set! */
	obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6467,
		obj_t BgL_oz00_6468, obj_t BgL_vz00_6469)
	{
		{	/* Ast/nodetype.sch 888 */
			return
				BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6468),
				((BgL_nodez00_bglt) BgL_vz00_6469));
		}

	}



/* app-ly-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_192)
	{
		{	/* Ast/nodetype.sch 889 */
			return (((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_192))->BgL_funz00);
		}

	}



/* &app-ly-fun */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t BgL_envz00_6470,
		obj_t BgL_oz00_6471)
	{
		{	/* Ast/nodetype.sch 889 */
			return
				BGl_appzd2lyzd2funz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6471));
		}

	}



/* app-ly-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_193, BgL_nodez00_bglt BgL_vz00_194)
	{
		{	/* Ast/nodetype.sch 890 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_193))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_194), BUNSPEC);
		}

	}



/* &app-ly-fun-set! */
	obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6472,
		obj_t BgL_oz00_6473, obj_t BgL_vz00_6474)
	{
		{	/* Ast/nodetype.sch 890 */
			return
				BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6473),
				((BgL_nodez00_bglt) BgL_vz00_6474));
		}

	}



/* app-ly-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_195)
	{
		{	/* Ast/nodetype.sch 891 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_195)))->BgL_typez00);
		}

	}



/* &app-ly-type */
	BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t BgL_envz00_6475,
		obj_t BgL_oz00_6476)
	{
		{	/* Ast/nodetype.sch 891 */
			return
				BGl_appzd2lyzd2typez00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6476));
		}

	}



/* app-ly-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_196, BgL_typez00_bglt BgL_vz00_197)
	{
		{	/* Ast/nodetype.sch 892 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_196)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_197), BUNSPEC);
		}

	}



/* &app-ly-type-set! */
	obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6477,
		obj_t BgL_oz00_6478, obj_t BgL_vz00_6479)
	{
		{	/* Ast/nodetype.sch 892 */
			return
				BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6478),
				((BgL_typez00_bglt) BgL_vz00_6479));
		}

	}



/* app-ly-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_198)
	{
		{	/* Ast/nodetype.sch 893 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_198)))->BgL_locz00);
		}

	}



/* &app-ly-loc */
	obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t BgL_envz00_6480,
		obj_t BgL_oz00_6481)
	{
		{	/* Ast/nodetype.sch 893 */
			return
				BGl_appzd2lyzd2locz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6481));
		}

	}



/* make-funcall */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_makezd2funcallzd2zzast_nodez00(obj_t
		BgL_loc1671z00_201, BgL_typez00_bglt BgL_type1672z00_202,
		BgL_nodez00_bglt BgL_fun1673z00_203, obj_t BgL_args1674z00_204,
		obj_t BgL_strength1675z00_205, obj_t BgL_functions1676z00_206)
	{
		{	/* Ast/nodetype.sch 897 */
			{	/* Ast/nodetype.sch 897 */
				BgL_funcallz00_bglt BgL_new1454z00_9148;

				{	/* Ast/nodetype.sch 897 */
					BgL_funcallz00_bglt BgL_new1453z00_9149;

					BgL_new1453z00_9149 =
						((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/nodetype.sch 897 */
						long BgL_arg1801z00_9150;

						BgL_arg1801z00_9150 = BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1453z00_9149), BgL_arg1801z00_9150);
					}
					{	/* Ast/nodetype.sch 897 */
						BgL_objectz00_bglt BgL_tmpz00_11373;

						BgL_tmpz00_11373 = ((BgL_objectz00_bglt) BgL_new1453z00_9149);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11373, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1453z00_9149);
					BgL_new1454z00_9148 = BgL_new1453z00_9149;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1454z00_9148)))->BgL_locz00) =
					((obj_t) BgL_loc1671z00_201), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1454z00_9148)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1672z00_202), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1454z00_9148))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1673z00_203), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1454z00_9148))->BgL_argsz00) =
					((obj_t) BgL_args1674z00_204), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1454z00_9148))->
						BgL_strengthz00) = ((obj_t) BgL_strength1675z00_205), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1454z00_9148))->
						BgL_functionsz00) = ((obj_t) BgL_functions1676z00_206), BUNSPEC);
				return BgL_new1454z00_9148;
			}
		}

	}



/* &make-funcall */
	BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t
		BgL_envz00_6482, obj_t BgL_loc1671z00_6483, obj_t BgL_type1672z00_6484,
		obj_t BgL_fun1673z00_6485, obj_t BgL_args1674z00_6486,
		obj_t BgL_strength1675z00_6487, obj_t BgL_functions1676z00_6488)
	{
		{	/* Ast/nodetype.sch 897 */
			return
				BGl_makezd2funcallzd2zzast_nodez00(BgL_loc1671z00_6483,
				((BgL_typez00_bglt) BgL_type1672z00_6484),
				((BgL_nodez00_bglt) BgL_fun1673z00_6485), BgL_args1674z00_6486,
				BgL_strength1675z00_6487, BgL_functions1676z00_6488);
		}

	}



/* funcall? */
	BGL_EXPORTED_DEF bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t BgL_objz00_207)
	{
		{	/* Ast/nodetype.sch 898 */
			{	/* Ast/nodetype.sch 898 */
				obj_t BgL_classz00_9151;

				BgL_classz00_9151 = BGl_funcallz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_207))
					{	/* Ast/nodetype.sch 898 */
						BgL_objectz00_bglt BgL_arg1825z00_9152;

						BgL_arg1825z00_9152 = (BgL_objectz00_bglt) (BgL_objz00_207);
						{	/* Ast/nodetype.sch 898 */
							bool_t BgL_arg1822z00_9153;
							bool_t BgL_arg1823z00_9154;

							{	/* Ast/nodetype.sch 898 */
								long BgL_idxz00_9155;

								BgL_idxz00_9155 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9152);
								BgL_arg1822z00_9153 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9155 + ((long) 2))) == BgL_classz00_9151);
							}
							{	/* Ast/nodetype.sch 898 */
								bool_t BgL_res2994z00_9158;

								{	/* Ast/nodetype.sch 898 */
									obj_t BgL_oclassz00_9159;

									{	/* Ast/nodetype.sch 898 */
										long BgL_arg1833z00_9160;

										{	/* Ast/nodetype.sch 898 */
											long BgL_arg1834z00_9161;

											BgL_arg1834z00_9161 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9152);
											BgL_arg1833z00_9160 = (BgL_arg1834z00_9161 - OBJECT_TYPE);
										}
										BgL_oclassz00_9159 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9160);
									}
									{	/* Ast/nodetype.sch 898 */
										bool_t BgL__ortest_1110z00_9162;

										BgL__ortest_1110z00_9162 =
											(BgL_classz00_9151 == BgL_oclassz00_9159);
										if (BgL__ortest_1110z00_9162)
											{	/* Ast/nodetype.sch 898 */
												BgL_res2994z00_9158 = BgL__ortest_1110z00_9162;
											}
										else
											{	/* Ast/nodetype.sch 898 */
												long BgL_odepthz00_9163;

												BgL_odepthz00_9163 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9159);
												if ((((long) 2) < BgL_odepthz00_9163))
													{	/* Ast/nodetype.sch 898 */
														obj_t BgL_arg1821z00_9164;

														BgL_arg1821z00_9164 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9159,
															((long) 2));
														BgL_res2994z00_9158 =
															(BgL_arg1821z00_9164 == BgL_classz00_9151);
													}
												else
													{	/* Ast/nodetype.sch 898 */
														BgL_res2994z00_9158 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9154 = BgL_res2994z00_9158;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9153, BgL_arg1823z00_9154);
						}
					}
				else
					{	/* Ast/nodetype.sch 898 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &funcall? */
	obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t BgL_envz00_6489,
		obj_t BgL_objz00_6490)
	{
		{	/* Ast/nodetype.sch 898 */
			return BBOOL(BGl_funcallzf3zf3zzast_nodez00(BgL_objz00_6490));
		}

	}



/* funcall-nil */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 899 */
			{	/* Ast/nodetype.sch 899 */
				obj_t BgL_classz00_4319;

				BgL_classz00_4319 = BGl_funcallz00zzast_nodez00;
				{	/* Ast/nodetype.sch 899 */
					obj_t BgL__ortest_1112z00_4320;

					BgL__ortest_1112z00_4320 = BGL_CLASS_NIL(BgL_classz00_4319);
					if (CBOOL(BgL__ortest_1112z00_4320))
						{	/* Ast/nodetype.sch 899 */
							return ((BgL_funcallz00_bglt) BgL__ortest_1112z00_4320);
						}
					else
						{	/* Ast/nodetype.sch 899 */
							return
								((BgL_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4319));
						}
				}
			}
		}

	}



/* &funcall-nil */
	BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6491)
	{
		{	/* Ast/nodetype.sch 899 */
			return BGl_funcallzd2nilzd2zzast_nodez00();
		}

	}



/* funcall-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_208)
	{
		{	/* Ast/nodetype.sch 900 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_208))->BgL_functionsz00);
		}

	}



/* &funcall-functions */
	obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t BgL_envz00_6492,
		obj_t BgL_oz00_6493)
	{
		{	/* Ast/nodetype.sch 900 */
			return
				BGl_funcallzd2functionszd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6493));
		}

	}



/* funcall-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_209, obj_t BgL_vz00_210)
	{
		{	/* Ast/nodetype.sch 901 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_209))->BgL_functionsz00) =
				((obj_t) BgL_vz00_210), BUNSPEC);
		}

	}



/* &funcall-functions-set! */
	obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6494, obj_t BgL_oz00_6495, obj_t BgL_vz00_6496)
	{
		{	/* Ast/nodetype.sch 901 */
			return
				BGl_funcallzd2functionszd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6495), BgL_vz00_6496);
		}

	}



/* funcall-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_211)
	{
		{	/* Ast/nodetype.sch 902 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_211))->BgL_strengthz00);
		}

	}



/* &funcall-strength */
	obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t BgL_envz00_6497,
		obj_t BgL_oz00_6498)
	{
		{	/* Ast/nodetype.sch 902 */
			return
				BGl_funcallzd2strengthzd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6498));
		}

	}



/* funcall-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_212, obj_t BgL_vz00_213)
	{
		{	/* Ast/nodetype.sch 903 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_212))->BgL_strengthz00) =
				((obj_t) BgL_vz00_213), BUNSPEC);
		}

	}



/* &funcall-strength-set! */
	obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6499, obj_t BgL_oz00_6500, obj_t BgL_vz00_6501)
	{
		{	/* Ast/nodetype.sch 903 */
			return
				BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6500), BgL_vz00_6501);
		}

	}



/* funcall-args */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_214)
	{
		{	/* Ast/nodetype.sch 904 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_214))->BgL_argsz00);
		}

	}



/* &funcall-args */
	obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t BgL_envz00_6502,
		obj_t BgL_oz00_6503)
	{
		{	/* Ast/nodetype.sch 904 */
			return
				BGl_funcallzd2argszd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6503));
		}

	}



/* funcall-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_215, obj_t BgL_vz00_216)
	{
		{	/* Ast/nodetype.sch 905 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_215))->BgL_argsz00) =
				((obj_t) BgL_vz00_216), BUNSPEC);
		}

	}



/* &funcall-args-set! */
	obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_6504,
		obj_t BgL_oz00_6505, obj_t BgL_vz00_6506)
	{
		{	/* Ast/nodetype.sch 905 */
			return
				BGl_funcallzd2argszd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6505), BgL_vz00_6506);
		}

	}



/* funcall-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_217)
	{
		{	/* Ast/nodetype.sch 906 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_217))->BgL_funz00);
		}

	}



/* &funcall-fun */
	BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t BgL_envz00_6507,
		obj_t BgL_oz00_6508)
	{
		{	/* Ast/nodetype.sch 906 */
			return
				BGl_funcallzd2funzd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6508));
		}

	}



/* funcall-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_218,
		BgL_nodez00_bglt BgL_vz00_219)
	{
		{	/* Ast/nodetype.sch 907 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_218))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_219), BUNSPEC);
		}

	}



/* &funcall-fun-set! */
	obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6509,
		obj_t BgL_oz00_6510, obj_t BgL_vz00_6511)
	{
		{	/* Ast/nodetype.sch 907 */
			return
				BGl_funcallzd2funzd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6510),
				((BgL_nodez00_bglt) BgL_vz00_6511));
		}

	}



/* funcall-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_220)
	{
		{	/* Ast/nodetype.sch 908 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_220)))->BgL_typez00);
		}

	}



/* &funcall-type */
	BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t BgL_envz00_6512,
		obj_t BgL_oz00_6513)
	{
		{	/* Ast/nodetype.sch 908 */
			return
				BGl_funcallzd2typezd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6513));
		}

	}



/* funcall-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_221, BgL_typez00_bglt BgL_vz00_222)
	{
		{	/* Ast/nodetype.sch 909 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_221)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_222), BUNSPEC);
		}

	}



/* &funcall-type-set! */
	obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6514,
		obj_t BgL_oz00_6515, obj_t BgL_vz00_6516)
	{
		{	/* Ast/nodetype.sch 909 */
			return
				BGl_funcallzd2typezd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6515),
				((BgL_typez00_bglt) BgL_vz00_6516));
		}

	}



/* funcall-loc */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_223)
	{
		{	/* Ast/nodetype.sch 910 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_223)))->BgL_locz00);
		}

	}



/* &funcall-loc */
	obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t BgL_envz00_6517,
		obj_t BgL_oz00_6518)
	{
		{	/* Ast/nodetype.sch 910 */
			return
				BGl_funcallzd2loczd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6518));
		}

	}



/* make-extern */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t
		BgL_loc1663z00_226, BgL_typez00_bglt BgL_type1664z00_227,
		obj_t BgL_sidezd2effect1665zd2_228, obj_t BgL_key1666z00_229,
		obj_t BgL_exprza21667za2_230, obj_t BgL_effect1668z00_231)
	{
		{	/* Ast/nodetype.sch 914 */
			{	/* Ast/nodetype.sch 914 */
				BgL_externz00_bglt BgL_new1456z00_9165;

				{	/* Ast/nodetype.sch 914 */
					BgL_externz00_bglt BgL_new1455z00_9166;

					BgL_new1455z00_9166 =
						((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/nodetype.sch 914 */
						long BgL_arg1805z00_9167;

						BgL_arg1805z00_9167 = BGL_CLASS_NUM(BGl_externz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1455z00_9166), BgL_arg1805z00_9167);
					}
					BgL_new1456z00_9165 = BgL_new1455z00_9166;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1456z00_9165)))->BgL_locz00) =
					((obj_t) BgL_loc1663z00_226), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1456z00_9165)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1664z00_227), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1456z00_9165)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1665zd2_228), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1456z00_9165)))->BgL_keyz00) =
					((obj_t) BgL_key1666z00_229), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1456z00_9165))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21667za2_230), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1456z00_9165))->BgL_effectz00) =
					((obj_t) BgL_effect1668z00_231), BUNSPEC);
				return BgL_new1456z00_9165;
			}
		}

	}



/* &make-extern */
	BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t BgL_envz00_6519,
		obj_t BgL_loc1663z00_6520, obj_t BgL_type1664z00_6521,
		obj_t BgL_sidezd2effect1665zd2_6522, obj_t BgL_key1666z00_6523,
		obj_t BgL_exprza21667za2_6524, obj_t BgL_effect1668z00_6525)
	{
		{	/* Ast/nodetype.sch 914 */
			return
				BGl_makezd2externzd2zzast_nodez00(BgL_loc1663z00_6520,
				((BgL_typez00_bglt) BgL_type1664z00_6521),
				BgL_sidezd2effect1665zd2_6522, BgL_key1666z00_6523,
				BgL_exprza21667za2_6524, BgL_effect1668z00_6525);
		}

	}



/* extern? */
	BGL_EXPORTED_DEF bool_t BGl_externzf3zf3zzast_nodez00(obj_t BgL_objz00_232)
	{
		{	/* Ast/nodetype.sch 915 */
			{	/* Ast/nodetype.sch 915 */
				obj_t BgL_classz00_9168;

				BgL_classz00_9168 = BGl_externz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_232))
					{	/* Ast/nodetype.sch 915 */
						BgL_objectz00_bglt BgL_arg1825z00_9169;

						BgL_arg1825z00_9169 = (BgL_objectz00_bglt) (BgL_objz00_232);
						{	/* Ast/nodetype.sch 915 */
							bool_t BgL_arg1822z00_9170;
							bool_t BgL_arg1823z00_9171;

							{	/* Ast/nodetype.sch 915 */
								long BgL_idxz00_9172;

								BgL_idxz00_9172 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9169);
								BgL_arg1822z00_9170 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9172 + ((long) 3))) == BgL_classz00_9168);
							}
							{	/* Ast/nodetype.sch 915 */
								bool_t BgL_res2995z00_9175;

								{	/* Ast/nodetype.sch 915 */
									obj_t BgL_oclassz00_9176;

									{	/* Ast/nodetype.sch 915 */
										long BgL_arg1833z00_9177;

										{	/* Ast/nodetype.sch 915 */
											long BgL_arg1834z00_9178;

											BgL_arg1834z00_9178 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9169);
											BgL_arg1833z00_9177 = (BgL_arg1834z00_9178 - OBJECT_TYPE);
										}
										BgL_oclassz00_9176 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9177);
									}
									{	/* Ast/nodetype.sch 915 */
										bool_t BgL__ortest_1110z00_9179;

										BgL__ortest_1110z00_9179 =
											(BgL_classz00_9168 == BgL_oclassz00_9176);
										if (BgL__ortest_1110z00_9179)
											{	/* Ast/nodetype.sch 915 */
												BgL_res2995z00_9175 = BgL__ortest_1110z00_9179;
											}
										else
											{	/* Ast/nodetype.sch 915 */
												long BgL_odepthz00_9180;

												BgL_odepthz00_9180 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9176);
												if ((((long) 3) < BgL_odepthz00_9180))
													{	/* Ast/nodetype.sch 915 */
														obj_t BgL_arg1821z00_9181;

														BgL_arg1821z00_9181 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9176,
															((long) 3));
														BgL_res2995z00_9175 =
															(BgL_arg1821z00_9181 == BgL_classz00_9168);
													}
												else
													{	/* Ast/nodetype.sch 915 */
														BgL_res2995z00_9175 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9171 = BgL_res2995z00_9175;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9170, BgL_arg1823z00_9171);
						}
					}
				else
					{	/* Ast/nodetype.sch 915 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &extern? */
	obj_t BGl_z62externzf3z91zzast_nodez00(obj_t BgL_envz00_6526,
		obj_t BgL_objz00_6527)
	{
		{	/* Ast/nodetype.sch 915 */
			return BBOOL(BGl_externzf3zf3zzast_nodez00(BgL_objz00_6527));
		}

	}



/* extern-nil */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 916 */
			{	/* Ast/nodetype.sch 916 */
				obj_t BgL_classz00_4359;

				BgL_classz00_4359 = BGl_externz00zzast_nodez00;
				{	/* Ast/nodetype.sch 916 */
					obj_t BgL__ortest_1112z00_4360;

					BgL__ortest_1112z00_4360 = BGL_CLASS_NIL(BgL_classz00_4359);
					if (CBOOL(BgL__ortest_1112z00_4360))
						{	/* Ast/nodetype.sch 916 */
							return ((BgL_externz00_bglt) BgL__ortest_1112z00_4360);
						}
					else
						{	/* Ast/nodetype.sch 916 */
							return
								((BgL_externz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4359));
						}
				}
			}
		}

	}



/* &extern-nil */
	BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6528)
	{
		{	/* Ast/nodetype.sch 916 */
			return BGl_externzd2nilzd2zzast_nodez00();
		}

	}



/* extern-effect */
	BGL_EXPORTED_DEF obj_t BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_233)
	{
		{	/* Ast/nodetype.sch 917 */
			return (((BgL_externz00_bglt) COBJECT(BgL_oz00_233))->BgL_effectz00);
		}

	}



/* &extern-effect */
	obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6529,
		obj_t BgL_oz00_6530)
	{
		{	/* Ast/nodetype.sch 917 */
			return
				BGl_externzd2effectzd2zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6530));
		}

	}



/* extern-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_234, obj_t BgL_vz00_235)
	{
		{	/* Ast/nodetype.sch 918 */
			return
				((((BgL_externz00_bglt) COBJECT(BgL_oz00_234))->BgL_effectz00) =
				((obj_t) BgL_vz00_235), BUNSPEC);
		}

	}



/* &extern-effect-set! */
	obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6531,
		obj_t BgL_oz00_6532, obj_t BgL_vz00_6533)
	{
		{	/* Ast/nodetype.sch 918 */
			return
				BGl_externzd2effectzd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6532), BgL_vz00_6533);
		}

	}



/* extern-expr* */
	BGL_EXPORTED_DEF obj_t BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_236)
	{
		{	/* Ast/nodetype.sch 919 */
			return (((BgL_externz00_bglt) COBJECT(BgL_oz00_236))->BgL_exprza2za2);
		}

	}



/* &extern-expr* */
	obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6534,
		obj_t BgL_oz00_6535)
	{
		{	/* Ast/nodetype.sch 919 */
			return
				BGl_externzd2exprza2z70zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6535));
		}

	}



/* extern-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_237, obj_t BgL_vz00_238)
	{
		{	/* Ast/nodetype.sch 920 */
			return
				((((BgL_externz00_bglt) COBJECT(BgL_oz00_237))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_238), BUNSPEC);
		}

	}



/* &extern-expr*-set! */
	obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6536,
		obj_t BgL_oz00_6537, obj_t BgL_vz00_6538)
	{
		{	/* Ast/nodetype.sch 920 */
			return
				BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6537), BgL_vz00_6538);
		}

	}



/* extern-key */
	BGL_EXPORTED_DEF obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_239)
	{
		{	/* Ast/nodetype.sch 921 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_239)))->BgL_keyz00);
		}

	}



/* &extern-key */
	obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6539,
		obj_t BgL_oz00_6540)
	{
		{	/* Ast/nodetype.sch 921 */
			return
				BGl_externzd2keyzd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_6540));
		}

	}



/* extern-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_240,
		obj_t BgL_vz00_241)
	{
		{	/* Ast/nodetype.sch 922 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_240)))->BgL_keyz00) =
				((obj_t) BgL_vz00_241), BUNSPEC);
		}

	}



/* &extern-key-set! */
	obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6541,
		obj_t BgL_oz00_6542, obj_t BgL_vz00_6543)
	{
		{	/* Ast/nodetype.sch 922 */
			return
				BGl_externzd2keyzd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6542), BgL_vz00_6543);
		}

	}



/* extern-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt BgL_oz00_242)
	{
		{	/* Ast/nodetype.sch 923 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_242)))->BgL_sidezd2effectzd2);
		}

	}



/* &extern-side-effect */
	obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6544,
		obj_t BgL_oz00_6545)
	{
		{	/* Ast/nodetype.sch 923 */
			return
				BGl_externzd2sidezd2effectz00zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6545));
		}

	}



/* extern-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_243, obj_t BgL_vz00_244)
	{
		{	/* Ast/nodetype.sch 924 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_243)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_244), BUNSPEC);
		}

	}



/* &extern-side-effect-set! */
	obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6546, obj_t BgL_oz00_6547, obj_t BgL_vz00_6548)
	{
		{	/* Ast/nodetype.sch 924 */
			return
				BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6547), BgL_vz00_6548);
		}

	}



/* extern-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt BgL_oz00_245)
	{
		{	/* Ast/nodetype.sch 925 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_245)))->BgL_typez00);
		}

	}



/* &extern-type */
	BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t BgL_envz00_6549,
		obj_t BgL_oz00_6550)
	{
		{	/* Ast/nodetype.sch 925 */
			return
				BGl_externzd2typezd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_6550));
		}

	}



/* extern-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_246,
		BgL_typez00_bglt BgL_vz00_247)
	{
		{	/* Ast/nodetype.sch 926 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_246)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_247), BUNSPEC);
		}

	}



/* &extern-type-set! */
	obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6551,
		obj_t BgL_oz00_6552, obj_t BgL_vz00_6553)
	{
		{	/* Ast/nodetype.sch 926 */
			return
				BGl_externzd2typezd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6552),
				((BgL_typez00_bglt) BgL_vz00_6553));
		}

	}



/* extern-loc */
	BGL_EXPORTED_DEF obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_248)
	{
		{	/* Ast/nodetype.sch 927 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_248)))->BgL_locz00);
		}

	}



/* &extern-loc */
	obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t BgL_envz00_6554,
		obj_t BgL_oz00_6555)
	{
		{	/* Ast/nodetype.sch 927 */
			return
				BGl_externzd2loczd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_6555));
		}

	}



/* make-pragma */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t
		BgL_loc1655z00_251, BgL_typez00_bglt BgL_type1656z00_252,
		obj_t BgL_sidezd2effect1657zd2_253, obj_t BgL_key1658z00_254,
		obj_t BgL_exprza21659za2_255, obj_t BgL_effect1660z00_256,
		obj_t BgL_format1661z00_257)
	{
		{	/* Ast/nodetype.sch 931 */
			{	/* Ast/nodetype.sch 931 */
				BgL_pragmaz00_bglt BgL_new1458z00_9182;

				{	/* Ast/nodetype.sch 931 */
					BgL_pragmaz00_bglt BgL_new1457z00_9183;

					BgL_new1457z00_9183 =
						((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/nodetype.sch 931 */
						long BgL_arg1807z00_9184;

						BgL_arg1807z00_9184 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1457z00_9183), BgL_arg1807z00_9184);
					}
					{	/* Ast/nodetype.sch 931 */
						BgL_objectz00_bglt BgL_tmpz00_11541;

						BgL_tmpz00_11541 = ((BgL_objectz00_bglt) BgL_new1457z00_9183);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11541, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1457z00_9183);
					BgL_new1458z00_9182 = BgL_new1457z00_9183;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1458z00_9182)))->BgL_locz00) =
					((obj_t) BgL_loc1655z00_251), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1458z00_9182)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1656z00_252), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1458z00_9182)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1657zd2_253), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1458z00_9182)))->BgL_keyz00) =
					((obj_t) BgL_key1658z00_254), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1458z00_9182)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21659za2_255), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1458z00_9182)))->BgL_effectz00) =
					((obj_t) BgL_effect1660z00_256), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(BgL_new1458z00_9182))->BgL_formatz00) =
					((obj_t) BgL_format1661z00_257), BUNSPEC);
				return BgL_new1458z00_9182;
			}
		}

	}



/* &make-pragma */
	BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t BgL_envz00_6556,
		obj_t BgL_loc1655z00_6557, obj_t BgL_type1656z00_6558,
		obj_t BgL_sidezd2effect1657zd2_6559, obj_t BgL_key1658z00_6560,
		obj_t BgL_exprza21659za2_6561, obj_t BgL_effect1660z00_6562,
		obj_t BgL_format1661z00_6563)
	{
		{	/* Ast/nodetype.sch 931 */
			return
				BGl_makezd2pragmazd2zzast_nodez00(BgL_loc1655z00_6557,
				((BgL_typez00_bglt) BgL_type1656z00_6558),
				BgL_sidezd2effect1657zd2_6559, BgL_key1658z00_6560,
				BgL_exprza21659za2_6561, BgL_effect1660z00_6562,
				BgL_format1661z00_6563);
		}

	}



/* pragma? */
	BGL_EXPORTED_DEF bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t BgL_objz00_258)
	{
		{	/* Ast/nodetype.sch 932 */
			{	/* Ast/nodetype.sch 932 */
				obj_t BgL_classz00_9185;

				BgL_classz00_9185 = BGl_pragmaz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_258))
					{	/* Ast/nodetype.sch 932 */
						BgL_objectz00_bglt BgL_arg1825z00_9186;

						BgL_arg1825z00_9186 = (BgL_objectz00_bglt) (BgL_objz00_258);
						{	/* Ast/nodetype.sch 932 */
							bool_t BgL_arg1822z00_9187;
							bool_t BgL_arg1823z00_9188;

							{	/* Ast/nodetype.sch 932 */
								long BgL_idxz00_9189;

								BgL_idxz00_9189 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9186);
								BgL_arg1822z00_9187 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9189 + ((long) 4))) == BgL_classz00_9185);
							}
							{	/* Ast/nodetype.sch 932 */
								bool_t BgL_res2996z00_9192;

								{	/* Ast/nodetype.sch 932 */
									obj_t BgL_oclassz00_9193;

									{	/* Ast/nodetype.sch 932 */
										long BgL_arg1833z00_9194;

										{	/* Ast/nodetype.sch 932 */
											long BgL_arg1834z00_9195;

											BgL_arg1834z00_9195 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9186);
											BgL_arg1833z00_9194 = (BgL_arg1834z00_9195 - OBJECT_TYPE);
										}
										BgL_oclassz00_9193 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9194);
									}
									{	/* Ast/nodetype.sch 932 */
										bool_t BgL__ortest_1110z00_9196;

										BgL__ortest_1110z00_9196 =
											(BgL_classz00_9185 == BgL_oclassz00_9193);
										if (BgL__ortest_1110z00_9196)
											{	/* Ast/nodetype.sch 932 */
												BgL_res2996z00_9192 = BgL__ortest_1110z00_9196;
											}
										else
											{	/* Ast/nodetype.sch 932 */
												long BgL_odepthz00_9197;

												BgL_odepthz00_9197 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9193);
												if ((((long) 4) < BgL_odepthz00_9197))
													{	/* Ast/nodetype.sch 932 */
														obj_t BgL_arg1821z00_9198;

														BgL_arg1821z00_9198 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9193,
															((long) 4));
														BgL_res2996z00_9192 =
															(BgL_arg1821z00_9198 == BgL_classz00_9185);
													}
												else
													{	/* Ast/nodetype.sch 932 */
														BgL_res2996z00_9192 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9188 = BgL_res2996z00_9192;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9187, BgL_arg1823z00_9188);
						}
					}
				else
					{	/* Ast/nodetype.sch 932 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &pragma? */
	obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t BgL_envz00_6564,
		obj_t BgL_objz00_6565)
	{
		{	/* Ast/nodetype.sch 932 */
			return BBOOL(BGl_pragmazf3zf3zzast_nodez00(BgL_objz00_6565));
		}

	}



/* pragma-nil */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 933 */
			{	/* Ast/nodetype.sch 933 */
				obj_t BgL_classz00_4400;

				BgL_classz00_4400 = BGl_pragmaz00zzast_nodez00;
				{	/* Ast/nodetype.sch 933 */
					obj_t BgL__ortest_1112z00_4401;

					BgL__ortest_1112z00_4401 = BGL_CLASS_NIL(BgL_classz00_4400);
					if (CBOOL(BgL__ortest_1112z00_4401))
						{	/* Ast/nodetype.sch 933 */
							return ((BgL_pragmaz00_bglt) BgL__ortest_1112z00_4401);
						}
					else
						{	/* Ast/nodetype.sch 933 */
							return
								((BgL_pragmaz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4400));
						}
				}
			}
		}

	}



/* &pragma-nil */
	BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t BgL_envz00_6566)
	{
		{	/* Ast/nodetype.sch 933 */
			return BGl_pragmazd2nilzd2zzast_nodez00();
		}

	}



/* pragma-format */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_259)
	{
		{	/* Ast/nodetype.sch 934 */
			return (((BgL_pragmaz00_bglt) COBJECT(BgL_oz00_259))->BgL_formatz00);
		}

	}



/* &pragma-format */
	obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t BgL_envz00_6567,
		obj_t BgL_oz00_6568)
	{
		{	/* Ast/nodetype.sch 934 */
			return
				BGl_pragmazd2formatzd2zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6568));
		}

	}



/* pragma-effect */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_262)
	{
		{	/* Ast/nodetype.sch 936 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_262)))->BgL_effectz00);
		}

	}



/* &pragma-effect */
	obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t BgL_envz00_6569,
		obj_t BgL_oz00_6570)
	{
		{	/* Ast/nodetype.sch 936 */
			return
				BGl_pragmazd2effectzd2zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6570));
		}

	}



/* pragma-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_263, obj_t BgL_vz00_264)
	{
		{	/* Ast/nodetype.sch 937 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_263)))->BgL_effectz00) =
				((obj_t) BgL_vz00_264), BUNSPEC);
		}

	}



/* &pragma-effect-set! */
	obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6571,
		obj_t BgL_oz00_6572, obj_t BgL_vz00_6573)
	{
		{	/* Ast/nodetype.sch 937 */
			return
				BGl_pragmazd2effectzd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6572), BgL_vz00_6573);
		}

	}



/* pragma-expr* */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_265)
	{
		{	/* Ast/nodetype.sch 938 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_265)))->BgL_exprza2za2);
		}

	}



/* &pragma-expr* */
	obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6574,
		obj_t BgL_oz00_6575)
	{
		{	/* Ast/nodetype.sch 938 */
			return
				BGl_pragmazd2exprza2z70zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6575));
		}

	}



/* pragma-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_266, obj_t BgL_vz00_267)
	{
		{	/* Ast/nodetype.sch 939 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_266)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_267), BUNSPEC);
		}

	}



/* &pragma-expr*-set! */
	obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6576,
		obj_t BgL_oz00_6577, obj_t BgL_vz00_6578)
	{
		{	/* Ast/nodetype.sch 939 */
			return
				BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6577), BgL_vz00_6578);
		}

	}



/* pragma-key */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_268)
	{
		{	/* Ast/nodetype.sch 940 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_268)))->BgL_keyz00);
		}

	}



/* &pragma-key */
	obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t BgL_envz00_6579,
		obj_t BgL_oz00_6580)
	{
		{	/* Ast/nodetype.sch 940 */
			return
				BGl_pragmazd2keyzd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_6580));
		}

	}



/* pragma-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_269,
		obj_t BgL_vz00_270)
	{
		{	/* Ast/nodetype.sch 941 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_269)))->BgL_keyz00) =
				((obj_t) BgL_vz00_270), BUNSPEC);
		}

	}



/* &pragma-key-set! */
	obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6581,
		obj_t BgL_oz00_6582, obj_t BgL_vz00_6583)
	{
		{	/* Ast/nodetype.sch 941 */
			return
				BGl_pragmazd2keyzd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6582), BgL_vz00_6583);
		}

	}



/* pragma-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_271)
	{
		{	/* Ast/nodetype.sch 942 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_271)))->BgL_sidezd2effectzd2);
		}

	}



/* &pragma-side-effect */
	obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6584,
		obj_t BgL_oz00_6585)
	{
		{	/* Ast/nodetype.sch 942 */
			return
				BGl_pragmazd2sidezd2effectz00zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6585));
		}

	}



/* pragma-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_272, obj_t BgL_vz00_273)
	{
		{	/* Ast/nodetype.sch 943 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_272)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_273), BUNSPEC);
		}

	}



/* &pragma-side-effect-set! */
	obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6586, obj_t BgL_oz00_6587, obj_t BgL_vz00_6588)
	{
		{	/* Ast/nodetype.sch 943 */
			return
				BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6587), BgL_vz00_6588);
		}

	}



/* pragma-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_274)
	{
		{	/* Ast/nodetype.sch 944 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_274)))->BgL_typez00);
		}

	}



/* &pragma-type */
	BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t BgL_envz00_6589,
		obj_t BgL_oz00_6590)
	{
		{	/* Ast/nodetype.sch 944 */
			return
				BGl_pragmazd2typezd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_6590));
		}

	}



/* pragma-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_275,
		BgL_typez00_bglt BgL_vz00_276)
	{
		{	/* Ast/nodetype.sch 945 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_275)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_276), BUNSPEC);
		}

	}



/* &pragma-type-set! */
	obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6591,
		obj_t BgL_oz00_6592, obj_t BgL_vz00_6593)
	{
		{	/* Ast/nodetype.sch 945 */
			return
				BGl_pragmazd2typezd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6592),
				((BgL_typez00_bglt) BgL_vz00_6593));
		}

	}



/* pragma-loc */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_277)
	{
		{	/* Ast/nodetype.sch 946 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_277)))->BgL_locz00);
		}

	}



/* &pragma-loc */
	obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t BgL_envz00_6594,
		obj_t BgL_oz00_6595)
	{
		{	/* Ast/nodetype.sch 946 */
			return
				BGl_pragmazd2loczd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_6595));
		}

	}



/* make-genpatchid */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzd2zzast_nodez00(obj_t BgL_loc1646z00_280,
		BgL_typez00_bglt BgL_type1647z00_281, obj_t BgL_sidezd2effect1648zd2_282,
		obj_t BgL_key1649z00_283, obj_t BgL_exprza21650za2_284,
		obj_t BgL_effect1651z00_285, long BgL_index1652z00_286,
		long BgL_rindex1653z00_287)
	{
		{	/* Ast/nodetype.sch 950 */
			{	/* Ast/nodetype.sch 950 */
				BgL_genpatchidz00_bglt BgL_new1460z00_9199;

				{	/* Ast/nodetype.sch 950 */
					BgL_genpatchidz00_bglt BgL_new1459z00_9200;

					BgL_new1459z00_9200 =
						((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_genpatchidz00_bgl))));
					{	/* Ast/nodetype.sch 950 */
						long BgL_arg1808z00_9201;

						BgL_arg1808z00_9201 = BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1459z00_9200), BgL_arg1808z00_9201);
					}
					{	/* Ast/nodetype.sch 950 */
						BgL_objectz00_bglt BgL_tmpz00_11639;

						BgL_tmpz00_11639 = ((BgL_objectz00_bglt) BgL_new1459z00_9200);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11639, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1459z00_9200);
					BgL_new1460z00_9199 = BgL_new1459z00_9200;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1460z00_9199)))->BgL_locz00) =
					((obj_t) BgL_loc1646z00_280), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1460z00_9199)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1647z00_281), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1460z00_9199)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1648zd2_282), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1460z00_9199)))->BgL_keyz00) =
					((obj_t) BgL_key1649z00_283), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1460z00_9199)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21650za2_284), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1460z00_9199)))->BgL_effectz00) =
					((obj_t) BgL_effect1651z00_285), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1460z00_9199))->
						BgL_indexz00) = ((long) BgL_index1652z00_286), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1460z00_9199))->
						BgL_rindexz00) = ((long) BgL_rindex1653z00_287), BUNSPEC);
				return BgL_new1460z00_9199;
			}
		}

	}



/* &make-genpatchid */
	BgL_genpatchidz00_bglt BGl_z62makezd2genpatchidzb0zzast_nodez00(obj_t
		BgL_envz00_6596, obj_t BgL_loc1646z00_6597, obj_t BgL_type1647z00_6598,
		obj_t BgL_sidezd2effect1648zd2_6599, obj_t BgL_key1649z00_6600,
		obj_t BgL_exprza21650za2_6601, obj_t BgL_effect1651z00_6602,
		obj_t BgL_index1652z00_6603, obj_t BgL_rindex1653z00_6604)
	{
		{	/* Ast/nodetype.sch 950 */
			return
				BGl_makezd2genpatchidzd2zzast_nodez00(BgL_loc1646z00_6597,
				((BgL_typez00_bglt) BgL_type1647z00_6598),
				BgL_sidezd2effect1648zd2_6599, BgL_key1649z00_6600,
				BgL_exprza21650za2_6601, BgL_effect1651z00_6602,
				(long) CINT(BgL_index1652z00_6603),
				(long) CINT(BgL_rindex1653z00_6604));
		}

	}



/* genpatchid? */
	BGL_EXPORTED_DEF bool_t BGl_genpatchidzf3zf3zzast_nodez00(obj_t
		BgL_objz00_288)
	{
		{	/* Ast/nodetype.sch 951 */
			{	/* Ast/nodetype.sch 951 */
				obj_t BgL_classz00_9202;

				BgL_classz00_9202 = BGl_genpatchidz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_288))
					{	/* Ast/nodetype.sch 951 */
						BgL_objectz00_bglt BgL_arg1825z00_9203;

						BgL_arg1825z00_9203 = (BgL_objectz00_bglt) (BgL_objz00_288);
						{	/* Ast/nodetype.sch 951 */
							bool_t BgL_arg1822z00_9204;
							bool_t BgL_arg1823z00_9205;

							{	/* Ast/nodetype.sch 951 */
								long BgL_idxz00_9206;

								BgL_idxz00_9206 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9203);
								BgL_arg1822z00_9204 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9206 + ((long) 4))) == BgL_classz00_9202);
							}
							{	/* Ast/nodetype.sch 951 */
								bool_t BgL_res2997z00_9209;

								{	/* Ast/nodetype.sch 951 */
									obj_t BgL_oclassz00_9210;

									{	/* Ast/nodetype.sch 951 */
										long BgL_arg1833z00_9211;

										{	/* Ast/nodetype.sch 951 */
											long BgL_arg1834z00_9212;

											BgL_arg1834z00_9212 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9203);
											BgL_arg1833z00_9211 = (BgL_arg1834z00_9212 - OBJECT_TYPE);
										}
										BgL_oclassz00_9210 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9211);
									}
									{	/* Ast/nodetype.sch 951 */
										bool_t BgL__ortest_1110z00_9213;

										BgL__ortest_1110z00_9213 =
											(BgL_classz00_9202 == BgL_oclassz00_9210);
										if (BgL__ortest_1110z00_9213)
											{	/* Ast/nodetype.sch 951 */
												BgL_res2997z00_9209 = BgL__ortest_1110z00_9213;
											}
										else
											{	/* Ast/nodetype.sch 951 */
												long BgL_odepthz00_9214;

												BgL_odepthz00_9214 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9210);
												if ((((long) 4) < BgL_odepthz00_9214))
													{	/* Ast/nodetype.sch 951 */
														obj_t BgL_arg1821z00_9215;

														BgL_arg1821z00_9215 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9210,
															((long) 4));
														BgL_res2997z00_9209 =
															(BgL_arg1821z00_9215 == BgL_classz00_9202);
													}
												else
													{	/* Ast/nodetype.sch 951 */
														BgL_res2997z00_9209 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9205 = BgL_res2997z00_9209;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9204, BgL_arg1823z00_9205);
						}
					}
				else
					{	/* Ast/nodetype.sch 951 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &genpatchid? */
	obj_t BGl_z62genpatchidzf3z91zzast_nodez00(obj_t BgL_envz00_6605,
		obj_t BgL_objz00_6606)
	{
		{	/* Ast/nodetype.sch 951 */
			return BBOOL(BGl_genpatchidzf3zf3zzast_nodez00(BgL_objz00_6606));
		}

	}



/* genpatchid-nil */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt BGl_genpatchidzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 952 */
			{	/* Ast/nodetype.sch 952 */
				obj_t BgL_classz00_4441;

				BgL_classz00_4441 = BGl_genpatchidz00zzast_nodez00;
				{	/* Ast/nodetype.sch 952 */
					obj_t BgL__ortest_1112z00_4442;

					BgL__ortest_1112z00_4442 = BGL_CLASS_NIL(BgL_classz00_4441);
					if (CBOOL(BgL__ortest_1112z00_4442))
						{	/* Ast/nodetype.sch 952 */
							return ((BgL_genpatchidz00_bglt) BgL__ortest_1112z00_4442);
						}
					else
						{	/* Ast/nodetype.sch 952 */
							return
								((BgL_genpatchidz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4441));
						}
				}
			}
		}

	}



/* &genpatchid-nil */
	BgL_genpatchidz00_bglt BGl_z62genpatchidzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6607)
	{
		{	/* Ast/nodetype.sch 952 */
			return BGl_genpatchidzd2nilzd2zzast_nodez00();
		}

	}



/* genpatchid-rindex */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzd2rindexzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_289)
	{
		{	/* Ast/nodetype.sch 953 */
			return (((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_289))->BgL_rindexz00);
		}

	}



/* &genpatchid-rindex */
	obj_t BGl_z62genpatchidzd2rindexzb0zzast_nodez00(obj_t BgL_envz00_6608,
		obj_t BgL_oz00_6609)
	{
		{	/* Ast/nodetype.sch 953 */
			return
				BINT(BGl_genpatchidzd2rindexzd2zzast_nodez00(
					((BgL_genpatchidz00_bglt) BgL_oz00_6609)));
		}

	}



/* genpatchid-rindex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_290, long BgL_vz00_291)
	{
		{	/* Ast/nodetype.sch 954 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_290))->BgL_rindexz00) =
				((long) BgL_vz00_291), BUNSPEC);
		}

	}



/* &genpatchid-rindex-set! */
	obj_t BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6610, obj_t BgL_oz00_6611, obj_t BgL_vz00_6612)
	{
		{	/* Ast/nodetype.sch 954 */
			return
				BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6611), (long) CINT(BgL_vz00_6612));
		}

	}



/* genpatchid-index */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzd2indexzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_292)
	{
		{	/* Ast/nodetype.sch 955 */
			return (((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_292))->BgL_indexz00);
		}

	}



/* &genpatchid-index */
	obj_t BGl_z62genpatchidzd2indexzb0zzast_nodez00(obj_t BgL_envz00_6613,
		obj_t BgL_oz00_6614)
	{
		{	/* Ast/nodetype.sch 955 */
			return
				BINT(BGl_genpatchidzd2indexzd2zzast_nodez00(
					((BgL_genpatchidz00_bglt) BgL_oz00_6614)));
		}

	}



/* genpatchid-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_293, long BgL_vz00_294)
	{
		{	/* Ast/nodetype.sch 956 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_293))->BgL_indexz00) =
				((long) BgL_vz00_294), BUNSPEC);
		}

	}



/* &genpatchid-index-set! */
	obj_t BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6615, obj_t BgL_oz00_6616, obj_t BgL_vz00_6617)
	{
		{	/* Ast/nodetype.sch 956 */
			return
				BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6616), (long) CINT(BgL_vz00_6617));
		}

	}



/* genpatchid-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2effectzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_295)
	{
		{	/* Ast/nodetype.sch 957 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_295)))->BgL_effectz00);
		}

	}



/* &genpatchid-effect */
	obj_t BGl_z62genpatchidzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6618,
		obj_t BgL_oz00_6619)
	{
		{	/* Ast/nodetype.sch 957 */
			return
				BGl_genpatchidzd2effectzd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6619));
		}

	}



/* genpatchid-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_296, obj_t BgL_vz00_297)
	{
		{	/* Ast/nodetype.sch 958 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_296)))->BgL_effectz00) =
				((obj_t) BgL_vz00_297), BUNSPEC);
		}

	}



/* &genpatchid-effect-set! */
	obj_t BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6620, obj_t BgL_oz00_6621, obj_t BgL_vz00_6622)
	{
		{	/* Ast/nodetype.sch 958 */
			return
				BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6621), BgL_vz00_6622);
		}

	}



/* genpatchid-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2exprza2z70zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_298)
	{
		{	/* Ast/nodetype.sch 959 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_298)))->BgL_exprza2za2);
		}

	}



/* &genpatchid-expr* */
	obj_t BGl_z62genpatchidzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6623,
		obj_t BgL_oz00_6624)
	{
		{	/* Ast/nodetype.sch 959 */
			return
				BGl_genpatchidzd2exprza2z70zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6624));
		}

	}



/* genpatchid-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_299, obj_t BgL_vz00_300)
	{
		{	/* Ast/nodetype.sch 960 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_299)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_300), BUNSPEC);
		}

	}



/* &genpatchid-expr*-set! */
	obj_t BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6625, obj_t BgL_oz00_6626, obj_t BgL_vz00_6627)
	{
		{	/* Ast/nodetype.sch 960 */
			return
				BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6626), BgL_vz00_6627);
		}

	}



/* genpatchid-key */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2keyzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_301)
	{
		{	/* Ast/nodetype.sch 961 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_301)))->BgL_keyz00);
		}

	}



/* &genpatchid-key */
	obj_t BGl_z62genpatchidzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6628,
		obj_t BgL_oz00_6629)
	{
		{	/* Ast/nodetype.sch 961 */
			return
				BGl_genpatchidzd2keyzd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6629));
		}

	}



/* genpatchid-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_302, obj_t BgL_vz00_303)
	{
		{	/* Ast/nodetype.sch 962 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_302)))->BgL_keyz00) =
				((obj_t) BgL_vz00_303), BUNSPEC);
		}

	}



/* &genpatchid-key-set! */
	obj_t BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6630,
		obj_t BgL_oz00_6631, obj_t BgL_vz00_6632)
	{
		{	/* Ast/nodetype.sch 962 */
			return
				BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6631), BgL_vz00_6632);
		}

	}



/* genpatchid-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_304)
	{
		{	/* Ast/nodetype.sch 963 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_304)))->BgL_sidezd2effectzd2);
		}

	}



/* &genpatchid-side-effect */
	obj_t BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6633,
		obj_t BgL_oz00_6634)
	{
		{	/* Ast/nodetype.sch 963 */
			return
				BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6634));
		}

	}



/* genpatchid-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_genpatchidz00_bglt BgL_oz00_305, obj_t BgL_vz00_306)
	{
		{	/* Ast/nodetype.sch 964 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_305)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_306), BUNSPEC);
		}

	}



/* &genpatchid-side-effect-set! */
	obj_t BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6635, obj_t BgL_oz00_6636, obj_t BgL_vz00_6637)
	{
		{	/* Ast/nodetype.sch 964 */
			return
				BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6636), BgL_vz00_6637);
		}

	}



/* genpatchid-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_genpatchidzd2typezd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_307)
	{
		{	/* Ast/nodetype.sch 965 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_307)))->BgL_typez00);
		}

	}



/* &genpatchid-type */
	BgL_typez00_bglt BGl_z62genpatchidzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6638, obj_t BgL_oz00_6639)
	{
		{	/* Ast/nodetype.sch 965 */
			return
				BGl_genpatchidzd2typezd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6639));
		}

	}



/* genpatchid-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_308, BgL_typez00_bglt BgL_vz00_309)
	{
		{	/* Ast/nodetype.sch 966 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_308)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_309), BUNSPEC);
		}

	}



/* &genpatchid-type-set! */
	obj_t BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6640,
		obj_t BgL_oz00_6641, obj_t BgL_vz00_6642)
	{
		{	/* Ast/nodetype.sch 966 */
			return
				BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6641),
				((BgL_typez00_bglt) BgL_vz00_6642));
		}

	}



/* genpatchid-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2loczd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_310)
	{
		{	/* Ast/nodetype.sch 967 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_310)))->BgL_locz00);
		}

	}



/* &genpatchid-loc */
	obj_t BGl_z62genpatchidzd2loczb0zzast_nodez00(obj_t BgL_envz00_6643,
		obj_t BgL_oz00_6644)
	{
		{	/* Ast/nodetype.sch 967 */
			return
				BGl_genpatchidzd2loczd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6644));
		}

	}



/* make-private */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_makezd2privatezd2zzast_nodez00(obj_t
		BgL_loc1638z00_313, BgL_typez00_bglt BgL_type1639z00_314,
		obj_t BgL_sidezd2effect1640zd2_315, obj_t BgL_key1641z00_316,
		obj_t BgL_exprza21642za2_317, obj_t BgL_effect1643z00_318,
		obj_t BgL_czd2format1644zd2_319)
	{
		{	/* Ast/nodetype.sch 971 */
			{	/* Ast/nodetype.sch 971 */
				BgL_privatez00_bglt BgL_new1462z00_9216;

				{	/* Ast/nodetype.sch 971 */
					BgL_privatez00_bglt BgL_new1461z00_9217;

					BgL_new1461z00_9217 =
						((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/nodetype.sch 971 */
						long BgL_arg1810z00_9218;

						BgL_arg1810z00_9218 = BGL_CLASS_NUM(BGl_privatez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1461z00_9217), BgL_arg1810z00_9218);
					}
					BgL_new1462z00_9216 = BgL_new1461z00_9217;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1462z00_9216)))->BgL_locz00) =
					((obj_t) BgL_loc1638z00_313), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1462z00_9216)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1639z00_314), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1462z00_9216)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1640zd2_315), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1462z00_9216)))->BgL_keyz00) =
					((obj_t) BgL_key1641z00_316), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1462z00_9216)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21642za2_317), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1462z00_9216)))->BgL_effectz00) =
					((obj_t) BgL_effect1643z00_318), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(BgL_new1462z00_9216))->
						BgL_czd2formatzd2) = ((obj_t) BgL_czd2format1644zd2_319), BUNSPEC);
				return BgL_new1462z00_9216;
			}
		}

	}



/* &make-private */
	BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t
		BgL_envz00_6645, obj_t BgL_loc1638z00_6646, obj_t BgL_type1639z00_6647,
		obj_t BgL_sidezd2effect1640zd2_6648, obj_t BgL_key1641z00_6649,
		obj_t BgL_exprza21642za2_6650, obj_t BgL_effect1643z00_6651,
		obj_t BgL_czd2format1644zd2_6652)
	{
		{	/* Ast/nodetype.sch 971 */
			return
				BGl_makezd2privatezd2zzast_nodez00(BgL_loc1638z00_6646,
				((BgL_typez00_bglt) BgL_type1639z00_6647),
				BgL_sidezd2effect1640zd2_6648, BgL_key1641z00_6649,
				BgL_exprza21642za2_6650, BgL_effect1643z00_6651,
				BgL_czd2format1644zd2_6652);
		}

	}



/* private? */
	BGL_EXPORTED_DEF bool_t BGl_privatezf3zf3zzast_nodez00(obj_t BgL_objz00_320)
	{
		{	/* Ast/nodetype.sch 972 */
			{	/* Ast/nodetype.sch 972 */
				obj_t BgL_classz00_9219;

				BgL_classz00_9219 = BGl_privatez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_320))
					{	/* Ast/nodetype.sch 972 */
						BgL_objectz00_bglt BgL_arg1825z00_9220;

						BgL_arg1825z00_9220 = (BgL_objectz00_bglt) (BgL_objz00_320);
						{	/* Ast/nodetype.sch 972 */
							bool_t BgL_arg1822z00_9221;
							bool_t BgL_arg1823z00_9222;

							{	/* Ast/nodetype.sch 972 */
								long BgL_idxz00_9223;

								BgL_idxz00_9223 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9220);
								BgL_arg1822z00_9221 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9223 + ((long) 4))) == BgL_classz00_9219);
							}
							{	/* Ast/nodetype.sch 972 */
								bool_t BgL_res2998z00_9226;

								{	/* Ast/nodetype.sch 972 */
									obj_t BgL_oclassz00_9227;

									{	/* Ast/nodetype.sch 972 */
										long BgL_arg1833z00_9228;

										{	/* Ast/nodetype.sch 972 */
											long BgL_arg1834z00_9229;

											BgL_arg1834z00_9229 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9220);
											BgL_arg1833z00_9228 = (BgL_arg1834z00_9229 - OBJECT_TYPE);
										}
										BgL_oclassz00_9227 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9228);
									}
									{	/* Ast/nodetype.sch 972 */
										bool_t BgL__ortest_1110z00_9230;

										BgL__ortest_1110z00_9230 =
											(BgL_classz00_9219 == BgL_oclassz00_9227);
										if (BgL__ortest_1110z00_9230)
											{	/* Ast/nodetype.sch 972 */
												BgL_res2998z00_9226 = BgL__ortest_1110z00_9230;
											}
										else
											{	/* Ast/nodetype.sch 972 */
												long BgL_odepthz00_9231;

												BgL_odepthz00_9231 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9227);
												if ((((long) 4) < BgL_odepthz00_9231))
													{	/* Ast/nodetype.sch 972 */
														obj_t BgL_arg1821z00_9232;

														BgL_arg1821z00_9232 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9227,
															((long) 4));
														BgL_res2998z00_9226 =
															(BgL_arg1821z00_9232 == BgL_classz00_9219);
													}
												else
													{	/* Ast/nodetype.sch 972 */
														BgL_res2998z00_9226 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9222 = BgL_res2998z00_9226;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9221, BgL_arg1823z00_9222);
						}
					}
				else
					{	/* Ast/nodetype.sch 972 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &private? */
	obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t BgL_envz00_6653,
		obj_t BgL_objz00_6654)
	{
		{	/* Ast/nodetype.sch 972 */
			return BBOOL(BGl_privatezf3zf3zzast_nodez00(BgL_objz00_6654));
		}

	}



/* private-nil */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 973 */
			{	/* Ast/nodetype.sch 973 */
				obj_t BgL_classz00_4481;

				BgL_classz00_4481 = BGl_privatez00zzast_nodez00;
				{	/* Ast/nodetype.sch 973 */
					obj_t BgL__ortest_1112z00_4482;

					BgL__ortest_1112z00_4482 = BGL_CLASS_NIL(BgL_classz00_4481);
					if (CBOOL(BgL__ortest_1112z00_4482))
						{	/* Ast/nodetype.sch 973 */
							return ((BgL_privatez00_bglt) BgL__ortest_1112z00_4482);
						}
					else
						{	/* Ast/nodetype.sch 973 */
							return
								((BgL_privatez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4481));
						}
				}
			}
		}

	}



/* &private-nil */
	BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6655)
	{
		{	/* Ast/nodetype.sch 973 */
			return BGl_privatezd2nilzd2zzast_nodez00();
		}

	}



/* private-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt BgL_oz00_321)
	{
		{	/* Ast/nodetype.sch 974 */
			return (((BgL_privatez00_bglt) COBJECT(BgL_oz00_321))->BgL_czd2formatzd2);
		}

	}



/* &private-c-format */
	obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6656,
		obj_t BgL_oz00_6657)
	{
		{	/* Ast/nodetype.sch 974 */
			return
				BGl_privatezd2czd2formatz00zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6657));
		}

	}



/* private-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_324)
	{
		{	/* Ast/nodetype.sch 976 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_324)))->BgL_effectz00);
		}

	}



/* &private-effect */
	obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6658,
		obj_t BgL_oz00_6659)
	{
		{	/* Ast/nodetype.sch 976 */
			return
				BGl_privatezd2effectzd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6659));
		}

	}



/* private-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_325, obj_t BgL_vz00_326)
	{
		{	/* Ast/nodetype.sch 977 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_325)))->BgL_effectz00) =
				((obj_t) BgL_vz00_326), BUNSPEC);
		}

	}



/* &private-effect-set! */
	obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6660,
		obj_t BgL_oz00_6661, obj_t BgL_vz00_6662)
	{
		{	/* Ast/nodetype.sch 977 */
			return
				BGl_privatezd2effectzd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6661), BgL_vz00_6662);
		}

	}



/* private-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt BgL_oz00_327)
	{
		{	/* Ast/nodetype.sch 978 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_327)))->BgL_exprza2za2);
		}

	}



/* &private-expr* */
	obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6663,
		obj_t BgL_oz00_6664)
	{
		{	/* Ast/nodetype.sch 978 */
			return
				BGl_privatezd2exprza2z70zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6664));
		}

	}



/* private-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_328, obj_t BgL_vz00_329)
	{
		{	/* Ast/nodetype.sch 979 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_328)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_329), BUNSPEC);
		}

	}



/* &private-expr*-set! */
	obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6665,
		obj_t BgL_oz00_6666, obj_t BgL_vz00_6667)
	{
		{	/* Ast/nodetype.sch 979 */
			return
				BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6666), BgL_vz00_6667);
		}

	}



/* private-key */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_330)
	{
		{	/* Ast/nodetype.sch 980 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_330)))->BgL_keyz00);
		}

	}



/* &private-key */
	obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t BgL_envz00_6668,
		obj_t BgL_oz00_6669)
	{
		{	/* Ast/nodetype.sch 980 */
			return
				BGl_privatezd2keyzd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6669));
		}

	}



/* private-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt BgL_oz00_331,
		obj_t BgL_vz00_332)
	{
		{	/* Ast/nodetype.sch 981 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_331)))->BgL_keyz00) =
				((obj_t) BgL_vz00_332), BUNSPEC);
		}

	}



/* &private-key-set! */
	obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6670,
		obj_t BgL_oz00_6671, obj_t BgL_vz00_6672)
	{
		{	/* Ast/nodetype.sch 981 */
			return
				BGl_privatezd2keyzd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6671), BgL_vz00_6672);
		}

	}



/* private-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_333)
	{
		{	/* Ast/nodetype.sch 982 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_333)))->BgL_sidezd2effectzd2);
		}

	}



/* &private-side-effect */
	obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6673,
		obj_t BgL_oz00_6674)
	{
		{	/* Ast/nodetype.sch 982 */
			return
				BGl_privatezd2sidezd2effectz00zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6674));
		}

	}



/* private-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_334, obj_t BgL_vz00_335)
	{
		{	/* Ast/nodetype.sch 983 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_334)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_335), BUNSPEC);
		}

	}



/* &private-side-effect-set! */
	obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6675, obj_t BgL_oz00_6676, obj_t BgL_vz00_6677)
	{
		{	/* Ast/nodetype.sch 983 */
			return
				BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6676), BgL_vz00_6677);
		}

	}



/* private-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_336)
	{
		{	/* Ast/nodetype.sch 984 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_336)))->BgL_typez00);
		}

	}



/* &private-type */
	BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t BgL_envz00_6678,
		obj_t BgL_oz00_6679)
	{
		{	/* Ast/nodetype.sch 984 */
			return
				BGl_privatezd2typezd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6679));
		}

	}



/* private-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_337, BgL_typez00_bglt BgL_vz00_338)
	{
		{	/* Ast/nodetype.sch 985 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_337)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_338), BUNSPEC);
		}

	}



/* &private-type-set! */
	obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6680,
		obj_t BgL_oz00_6681, obj_t BgL_vz00_6682)
	{
		{	/* Ast/nodetype.sch 985 */
			return
				BGl_privatezd2typezd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6681),
				((BgL_typez00_bglt) BgL_vz00_6682));
		}

	}



/* private-loc */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_339)
	{
		{	/* Ast/nodetype.sch 986 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_339)))->BgL_locz00);
		}

	}



/* &private-loc */
	obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t BgL_envz00_6683,
		obj_t BgL_oz00_6684)
	{
		{	/* Ast/nodetype.sch 986 */
			return
				BGl_privatezd2loczd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6684));
		}

	}



/* make-getfield */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t BgL_loc1627z00_342,
		BgL_typez00_bglt BgL_type1628z00_343, obj_t BgL_sidezd2effect1629zd2_344,
		obj_t BgL_key1630z00_345, obj_t BgL_exprza21631za2_346,
		obj_t BgL_effect1632z00_347, obj_t BgL_czd2format1633zd2_348,
		obj_t BgL_fname1634z00_349, BgL_typez00_bglt BgL_ftype1635z00_350,
		BgL_typez00_bglt BgL_otype1636z00_351)
	{
		{	/* Ast/nodetype.sch 990 */
			{	/* Ast/nodetype.sch 990 */
				BgL_getfieldz00_bglt BgL_new1464z00_9233;

				{	/* Ast/nodetype.sch 990 */
					BgL_getfieldz00_bglt BgL_new1463z00_9234;

					BgL_new1463z00_9234 =
						((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/nodetype.sch 990 */
						long BgL_arg1811z00_9235;

						BgL_arg1811z00_9235 = BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1463z00_9234), BgL_arg1811z00_9235);
					}
					{	/* Ast/nodetype.sch 990 */
						BgL_objectz00_bglt BgL_tmpz00_11847;

						BgL_tmpz00_11847 = ((BgL_objectz00_bglt) BgL_new1463z00_9234);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11847, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1463z00_9234);
					BgL_new1464z00_9233 = BgL_new1463z00_9234;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1464z00_9233)))->BgL_locz00) =
					((obj_t) BgL_loc1627z00_342), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1464z00_9233)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1628z00_343), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1464z00_9233)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1629zd2_344), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1464z00_9233)))->BgL_keyz00) =
					((obj_t) BgL_key1630z00_345), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1464z00_9233)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21631za2_346), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1464z00_9233)))->BgL_effectz00) =
					((obj_t) BgL_effect1632z00_347), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1464z00_9233)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1633zd2_348), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1464z00_9233))->BgL_fnamez00) =
					((obj_t) BgL_fname1634z00_349), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1464z00_9233))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1635z00_350), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1464z00_9233))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1636z00_351), BUNSPEC);
				return BgL_new1464z00_9233;
			}
		}

	}



/* &make-getfield */
	BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t
		BgL_envz00_6685, obj_t BgL_loc1627z00_6686, obj_t BgL_type1628z00_6687,
		obj_t BgL_sidezd2effect1629zd2_6688, obj_t BgL_key1630z00_6689,
		obj_t BgL_exprza21631za2_6690, obj_t BgL_effect1632z00_6691,
		obj_t BgL_czd2format1633zd2_6692, obj_t BgL_fname1634z00_6693,
		obj_t BgL_ftype1635z00_6694, obj_t BgL_otype1636z00_6695)
	{
		{	/* Ast/nodetype.sch 990 */
			return
				BGl_makezd2getfieldzd2zzast_nodez00(BgL_loc1627z00_6686,
				((BgL_typez00_bglt) BgL_type1628z00_6687),
				BgL_sidezd2effect1629zd2_6688, BgL_key1630z00_6689,
				BgL_exprza21631za2_6690, BgL_effect1632z00_6691,
				BgL_czd2format1633zd2_6692, BgL_fname1634z00_6693,
				((BgL_typez00_bglt) BgL_ftype1635z00_6694),
				((BgL_typez00_bglt) BgL_otype1636z00_6695));
		}

	}



/* getfield? */
	BGL_EXPORTED_DEF bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_352)
	{
		{	/* Ast/nodetype.sch 991 */
			{	/* Ast/nodetype.sch 991 */
				obj_t BgL_classz00_9236;

				BgL_classz00_9236 = BGl_getfieldz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_352))
					{	/* Ast/nodetype.sch 991 */
						BgL_objectz00_bglt BgL_arg1825z00_9237;

						BgL_arg1825z00_9237 = (BgL_objectz00_bglt) (BgL_objz00_352);
						{	/* Ast/nodetype.sch 991 */
							bool_t BgL_arg1822z00_9238;
							bool_t BgL_arg1823z00_9239;

							{	/* Ast/nodetype.sch 991 */
								long BgL_idxz00_9240;

								BgL_idxz00_9240 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9237);
								BgL_arg1822z00_9238 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9240 + ((long) 5))) == BgL_classz00_9236);
							}
							{	/* Ast/nodetype.sch 991 */
								bool_t BgL_res2999z00_9243;

								{	/* Ast/nodetype.sch 991 */
									obj_t BgL_oclassz00_9244;

									{	/* Ast/nodetype.sch 991 */
										long BgL_arg1833z00_9245;

										{	/* Ast/nodetype.sch 991 */
											long BgL_arg1834z00_9246;

											BgL_arg1834z00_9246 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9237);
											BgL_arg1833z00_9245 = (BgL_arg1834z00_9246 - OBJECT_TYPE);
										}
										BgL_oclassz00_9244 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9245);
									}
									{	/* Ast/nodetype.sch 991 */
										bool_t BgL__ortest_1110z00_9247;

										BgL__ortest_1110z00_9247 =
											(BgL_classz00_9236 == BgL_oclassz00_9244);
										if (BgL__ortest_1110z00_9247)
											{	/* Ast/nodetype.sch 991 */
												BgL_res2999z00_9243 = BgL__ortest_1110z00_9247;
											}
										else
											{	/* Ast/nodetype.sch 991 */
												long BgL_odepthz00_9248;

												BgL_odepthz00_9248 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9244);
												if ((((long) 5) < BgL_odepthz00_9248))
													{	/* Ast/nodetype.sch 991 */
														obj_t BgL_arg1821z00_9249;

														BgL_arg1821z00_9249 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9244,
															((long) 5));
														BgL_res2999z00_9243 =
															(BgL_arg1821z00_9249 == BgL_classz00_9236);
													}
												else
													{	/* Ast/nodetype.sch 991 */
														BgL_res2999z00_9243 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9239 = BgL_res2999z00_9243;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9238, BgL_arg1823z00_9239);
						}
					}
				else
					{	/* Ast/nodetype.sch 991 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &getfield? */
	obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t BgL_envz00_6696,
		obj_t BgL_objz00_6697)
	{
		{	/* Ast/nodetype.sch 991 */
			return BBOOL(BGl_getfieldzf3zf3zzast_nodez00(BgL_objz00_6697));
		}

	}



/* getfield-nil */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt BGl_getfieldzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 992 */
			{	/* Ast/nodetype.sch 992 */
				obj_t BgL_classz00_4522;

				BgL_classz00_4522 = BGl_getfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 992 */
					obj_t BgL__ortest_1112z00_4523;

					BgL__ortest_1112z00_4523 = BGL_CLASS_NIL(BgL_classz00_4522);
					if (CBOOL(BgL__ortest_1112z00_4523))
						{	/* Ast/nodetype.sch 992 */
							return ((BgL_getfieldz00_bglt) BgL__ortest_1112z00_4523);
						}
					else
						{	/* Ast/nodetype.sch 992 */
							return
								((BgL_getfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4522));
						}
				}
			}
		}

	}



/* &getfield-nil */
	BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6698)
	{
		{	/* Ast/nodetype.sch 992 */
			return BGl_getfieldzd2nilzd2zzast_nodez00();
		}

	}



/* getfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_353)
	{
		{	/* Ast/nodetype.sch 993 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_353))->BgL_otypez00);
		}

	}



/* &getfield-otype */
	BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6699, obj_t BgL_oz00_6700)
	{
		{	/* Ast/nodetype.sch 993 */
			return
				BGl_getfieldzd2otypezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6700));
		}

	}



/* getfield-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_354, BgL_typez00_bglt BgL_vz00_355)
	{
		{	/* Ast/nodetype.sch 994 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_354))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_355), BUNSPEC);
		}

	}



/* &getfield-otype-set! */
	obj_t BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6701,
		obj_t BgL_oz00_6702, obj_t BgL_vz00_6703)
	{
		{	/* Ast/nodetype.sch 994 */
			return
				BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6702),
				((BgL_typez00_bglt) BgL_vz00_6703));
		}

	}



/* getfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_356)
	{
		{	/* Ast/nodetype.sch 995 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_356))->BgL_ftypez00);
		}

	}



/* &getfield-ftype */
	BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_6704, obj_t BgL_oz00_6705)
	{
		{	/* Ast/nodetype.sch 995 */
			return
				BGl_getfieldzd2ftypezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6705));
		}

	}



/* getfield-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_357, BgL_typez00_bglt BgL_vz00_358)
	{
		{	/* Ast/nodetype.sch 996 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_357))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_358), BUNSPEC);
		}

	}



/* &getfield-ftype-set! */
	obj_t BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6706,
		obj_t BgL_oz00_6707, obj_t BgL_vz00_6708)
	{
		{	/* Ast/nodetype.sch 996 */
			return
				BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6707),
				((BgL_typez00_bglt) BgL_vz00_6708));
		}

	}



/* getfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_359)
	{
		{	/* Ast/nodetype.sch 997 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_359))->BgL_fnamez00);
		}

	}



/* &getfield-fname */
	obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_6709,
		obj_t BgL_oz00_6710)
	{
		{	/* Ast/nodetype.sch 997 */
			return
				BGl_getfieldzd2fnamezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6710));
		}

	}



/* getfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_362)
	{
		{	/* Ast/nodetype.sch 999 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_362)))->BgL_czd2formatzd2);
		}

	}



/* &getfield-c-format */
	obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6711,
		obj_t BgL_oz00_6712)
	{
		{	/* Ast/nodetype.sch 999 */
			return
				BGl_getfieldzd2czd2formatz00zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6712));
		}

	}



/* getfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_365)
	{
		{	/* Ast/nodetype.sch 1001 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_365)))->BgL_effectz00);
		}

	}



/* &getfield-effect */
	obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6713,
		obj_t BgL_oz00_6714)
	{
		{	/* Ast/nodetype.sch 1001 */
			return
				BGl_getfieldzd2effectzd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6714));
		}

	}



/* getfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_366, obj_t BgL_vz00_367)
	{
		{	/* Ast/nodetype.sch 1002 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_366)))->BgL_effectz00) =
				((obj_t) BgL_vz00_367), BUNSPEC);
		}

	}



/* &getfield-effect-set! */
	obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6715,
		obj_t BgL_oz00_6716, obj_t BgL_vz00_6717)
	{
		{	/* Ast/nodetype.sch 1002 */
			return
				BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6716), BgL_vz00_6717);
		}

	}



/* getfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_368)
	{
		{	/* Ast/nodetype.sch 1003 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_368)))->BgL_exprza2za2);
		}

	}



/* &getfield-expr* */
	obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6718,
		obj_t BgL_oz00_6719)
	{
		{	/* Ast/nodetype.sch 1003 */
			return
				BGl_getfieldzd2exprza2z70zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6719));
		}

	}



/* getfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_369, obj_t BgL_vz00_370)
	{
		{	/* Ast/nodetype.sch 1004 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_369)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_370), BUNSPEC);
		}

	}



/* &getfield-expr*-set! */
	obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6720, obj_t BgL_oz00_6721, obj_t BgL_vz00_6722)
	{
		{	/* Ast/nodetype.sch 1004 */
			return
				BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6721), BgL_vz00_6722);
		}

	}



/* getfield-key */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_371)
	{
		{	/* Ast/nodetype.sch 1005 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_371)))->BgL_keyz00);
		}

	}



/* &getfield-key */
	obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6723,
		obj_t BgL_oz00_6724)
	{
		{	/* Ast/nodetype.sch 1005 */
			return
				BGl_getfieldzd2keyzd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6724));
		}

	}



/* getfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_372, obj_t BgL_vz00_373)
	{
		{	/* Ast/nodetype.sch 1006 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_372)))->BgL_keyz00) =
				((obj_t) BgL_vz00_373), BUNSPEC);
		}

	}



/* &getfield-key-set! */
	obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6725,
		obj_t BgL_oz00_6726, obj_t BgL_vz00_6727)
	{
		{	/* Ast/nodetype.sch 1006 */
			return
				BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6726), BgL_vz00_6727);
		}

	}



/* getfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_374)
	{
		{	/* Ast/nodetype.sch 1007 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_374)))->BgL_sidezd2effectzd2);
		}

	}



/* &getfield-side-effect */
	obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6728,
		obj_t BgL_oz00_6729)
	{
		{	/* Ast/nodetype.sch 1007 */
			return
				BGl_getfieldzd2sidezd2effectz00zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6729));
		}

	}



/* getfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_375, obj_t BgL_vz00_376)
	{
		{	/* Ast/nodetype.sch 1008 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_375)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_376), BUNSPEC);
		}

	}



/* &getfield-side-effect-set! */
	obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6730, obj_t BgL_oz00_6731, obj_t BgL_vz00_6732)
	{
		{	/* Ast/nodetype.sch 1008 */
			return
				BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6731), BgL_vz00_6732);
		}

	}



/* getfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_377)
	{
		{	/* Ast/nodetype.sch 1009 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_377)))->BgL_typez00);
		}

	}



/* &getfield-type */
	BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_6733,
		obj_t BgL_oz00_6734)
	{
		{	/* Ast/nodetype.sch 1009 */
			return
				BGl_getfieldzd2typezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6734));
		}

	}



/* getfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_378, BgL_typez00_bglt BgL_vz00_379)
	{
		{	/* Ast/nodetype.sch 1010 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_378)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_379), BUNSPEC);
		}

	}



/* &getfield-type-set! */
	obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6735,
		obj_t BgL_oz00_6736, obj_t BgL_vz00_6737)
	{
		{	/* Ast/nodetype.sch 1010 */
			return
				BGl_getfieldzd2typezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6736),
				((BgL_typez00_bglt) BgL_vz00_6737));
		}

	}



/* getfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_380)
	{
		{	/* Ast/nodetype.sch 1011 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_380)))->BgL_locz00);
		}

	}



/* &getfield-loc */
	obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_6738,
		obj_t BgL_oz00_6739)
	{
		{	/* Ast/nodetype.sch 1011 */
			return
				BGl_getfieldzd2loczd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6739));
		}

	}



/* make-setfield */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t BgL_loc1616z00_383,
		BgL_typez00_bglt BgL_type1617z00_384, obj_t BgL_sidezd2effect1618zd2_385,
		obj_t BgL_key1619z00_386, obj_t BgL_exprza21620za2_387,
		obj_t BgL_effect1621z00_388, obj_t BgL_czd2format1622zd2_389,
		obj_t BgL_fname1623z00_390, BgL_typez00_bglt BgL_ftype1624z00_391,
		BgL_typez00_bglt BgL_otype1625z00_392)
	{
		{	/* Ast/nodetype.sch 1015 */
			{	/* Ast/nodetype.sch 1015 */
				BgL_setfieldz00_bglt BgL_new1466z00_9250;

				{	/* Ast/nodetype.sch 1015 */
					BgL_setfieldz00_bglt BgL_new1465z00_9251;

					BgL_new1465z00_9251 =
						((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/nodetype.sch 1015 */
						long BgL_arg1817z00_9252;

						BgL_arg1817z00_9252 = BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1465z00_9251), BgL_arg1817z00_9252);
					}
					{	/* Ast/nodetype.sch 1015 */
						BgL_objectz00_bglt BgL_tmpz00_11969;

						BgL_tmpz00_11969 = ((BgL_objectz00_bglt) BgL_new1465z00_9251);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11969, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1465z00_9251);
					BgL_new1466z00_9250 = BgL_new1465z00_9251;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1466z00_9250)))->BgL_locz00) =
					((obj_t) BgL_loc1616z00_383), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1466z00_9250)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1617z00_384), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1466z00_9250)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1618zd2_385), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1466z00_9250)))->BgL_keyz00) =
					((obj_t) BgL_key1619z00_386), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1466z00_9250)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21620za2_387), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1466z00_9250)))->BgL_effectz00) =
					((obj_t) BgL_effect1621z00_388), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1466z00_9250)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1622zd2_389), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1466z00_9250))->BgL_fnamez00) =
					((obj_t) BgL_fname1623z00_390), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1466z00_9250))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1624z00_391), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1466z00_9250))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1625z00_392), BUNSPEC);
				return BgL_new1466z00_9250;
			}
		}

	}



/* &make-setfield */
	BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t
		BgL_envz00_6740, obj_t BgL_loc1616z00_6741, obj_t BgL_type1617z00_6742,
		obj_t BgL_sidezd2effect1618zd2_6743, obj_t BgL_key1619z00_6744,
		obj_t BgL_exprza21620za2_6745, obj_t BgL_effect1621z00_6746,
		obj_t BgL_czd2format1622zd2_6747, obj_t BgL_fname1623z00_6748,
		obj_t BgL_ftype1624z00_6749, obj_t BgL_otype1625z00_6750)
	{
		{	/* Ast/nodetype.sch 1015 */
			return
				BGl_makezd2setfieldzd2zzast_nodez00(BgL_loc1616z00_6741,
				((BgL_typez00_bglt) BgL_type1617z00_6742),
				BgL_sidezd2effect1618zd2_6743, BgL_key1619z00_6744,
				BgL_exprza21620za2_6745, BgL_effect1621z00_6746,
				BgL_czd2format1622zd2_6747, BgL_fname1623z00_6748,
				((BgL_typez00_bglt) BgL_ftype1624z00_6749),
				((BgL_typez00_bglt) BgL_otype1625z00_6750));
		}

	}



/* setfield? */
	BGL_EXPORTED_DEF bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_393)
	{
		{	/* Ast/nodetype.sch 1016 */
			{	/* Ast/nodetype.sch 1016 */
				obj_t BgL_classz00_9253;

				BgL_classz00_9253 = BGl_setfieldz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_393))
					{	/* Ast/nodetype.sch 1016 */
						BgL_objectz00_bglt BgL_arg1825z00_9254;

						BgL_arg1825z00_9254 = (BgL_objectz00_bglt) (BgL_objz00_393);
						{	/* Ast/nodetype.sch 1016 */
							bool_t BgL_arg1822z00_9255;
							bool_t BgL_arg1823z00_9256;

							{	/* Ast/nodetype.sch 1016 */
								long BgL_idxz00_9257;

								BgL_idxz00_9257 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9254);
								BgL_arg1822z00_9255 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9257 + ((long) 5))) == BgL_classz00_9253);
							}
							{	/* Ast/nodetype.sch 1016 */
								bool_t BgL_res3000z00_9260;

								{	/* Ast/nodetype.sch 1016 */
									obj_t BgL_oclassz00_9261;

									{	/* Ast/nodetype.sch 1016 */
										long BgL_arg1833z00_9262;

										{	/* Ast/nodetype.sch 1016 */
											long BgL_arg1834z00_9263;

											BgL_arg1834z00_9263 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9254);
											BgL_arg1833z00_9262 = (BgL_arg1834z00_9263 - OBJECT_TYPE);
										}
										BgL_oclassz00_9261 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9262);
									}
									{	/* Ast/nodetype.sch 1016 */
										bool_t BgL__ortest_1110z00_9264;

										BgL__ortest_1110z00_9264 =
											(BgL_classz00_9253 == BgL_oclassz00_9261);
										if (BgL__ortest_1110z00_9264)
											{	/* Ast/nodetype.sch 1016 */
												BgL_res3000z00_9260 = BgL__ortest_1110z00_9264;
											}
										else
											{	/* Ast/nodetype.sch 1016 */
												long BgL_odepthz00_9265;

												BgL_odepthz00_9265 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9261);
												if ((((long) 5) < BgL_odepthz00_9265))
													{	/* Ast/nodetype.sch 1016 */
														obj_t BgL_arg1821z00_9266;

														BgL_arg1821z00_9266 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9261,
															((long) 5));
														BgL_res3000z00_9260 =
															(BgL_arg1821z00_9266 == BgL_classz00_9253);
													}
												else
													{	/* Ast/nodetype.sch 1016 */
														BgL_res3000z00_9260 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9256 = BgL_res3000z00_9260;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9255, BgL_arg1823z00_9256);
						}
					}
				else
					{	/* Ast/nodetype.sch 1016 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &setfield? */
	obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t BgL_envz00_6751,
		obj_t BgL_objz00_6752)
	{
		{	/* Ast/nodetype.sch 1016 */
			return BBOOL(BGl_setfieldzf3zf3zzast_nodez00(BgL_objz00_6752));
		}

	}



/* setfield-nil */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt BGl_setfieldzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1017 */
			{	/* Ast/nodetype.sch 1017 */
				obj_t BgL_classz00_4563;

				BgL_classz00_4563 = BGl_setfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1017 */
					obj_t BgL__ortest_1112z00_4564;

					BgL__ortest_1112z00_4564 = BGL_CLASS_NIL(BgL_classz00_4563);
					if (CBOOL(BgL__ortest_1112z00_4564))
						{	/* Ast/nodetype.sch 1017 */
							return ((BgL_setfieldz00_bglt) BgL__ortest_1112z00_4564);
						}
					else
						{	/* Ast/nodetype.sch 1017 */
							return
								((BgL_setfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4563));
						}
				}
			}
		}

	}



/* &setfield-nil */
	BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6753)
	{
		{	/* Ast/nodetype.sch 1017 */
			return BGl_setfieldzd2nilzd2zzast_nodez00();
		}

	}



/* setfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_394)
	{
		{	/* Ast/nodetype.sch 1018 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_394))->BgL_otypez00);
		}

	}



/* &setfield-otype */
	BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6754, obj_t BgL_oz00_6755)
	{
		{	/* Ast/nodetype.sch 1018 */
			return
				BGl_setfieldzd2otypezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6755));
		}

	}



/* setfield-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_395, BgL_typez00_bglt BgL_vz00_396)
	{
		{	/* Ast/nodetype.sch 1019 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_395))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_396), BUNSPEC);
		}

	}



/* &setfield-otype-set! */
	obj_t BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6756,
		obj_t BgL_oz00_6757, obj_t BgL_vz00_6758)
	{
		{	/* Ast/nodetype.sch 1019 */
			return
				BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6757),
				((BgL_typez00_bglt) BgL_vz00_6758));
		}

	}



/* setfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_397)
	{
		{	/* Ast/nodetype.sch 1020 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_397))->BgL_ftypez00);
		}

	}



/* &setfield-ftype */
	BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_6759, obj_t BgL_oz00_6760)
	{
		{	/* Ast/nodetype.sch 1020 */
			return
				BGl_setfieldzd2ftypezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6760));
		}

	}



/* setfield-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_398, BgL_typez00_bglt BgL_vz00_399)
	{
		{	/* Ast/nodetype.sch 1021 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_398))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_399), BUNSPEC);
		}

	}



/* &setfield-ftype-set! */
	obj_t BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6761,
		obj_t BgL_oz00_6762, obj_t BgL_vz00_6763)
	{
		{	/* Ast/nodetype.sch 1021 */
			return
				BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6762),
				((BgL_typez00_bglt) BgL_vz00_6763));
		}

	}



/* setfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_400)
	{
		{	/* Ast/nodetype.sch 1022 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_400))->BgL_fnamez00);
		}

	}



/* &setfield-fname */
	obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_6764,
		obj_t BgL_oz00_6765)
	{
		{	/* Ast/nodetype.sch 1022 */
			return
				BGl_setfieldzd2fnamezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6765));
		}

	}



/* setfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_403)
	{
		{	/* Ast/nodetype.sch 1024 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_403)))->BgL_czd2formatzd2);
		}

	}



/* &setfield-c-format */
	obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6766,
		obj_t BgL_oz00_6767)
	{
		{	/* Ast/nodetype.sch 1024 */
			return
				BGl_setfieldzd2czd2formatz00zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6767));
		}

	}



/* setfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_406)
	{
		{	/* Ast/nodetype.sch 1026 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_406)))->BgL_effectz00);
		}

	}



/* &setfield-effect */
	obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6768,
		obj_t BgL_oz00_6769)
	{
		{	/* Ast/nodetype.sch 1026 */
			return
				BGl_setfieldzd2effectzd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6769));
		}

	}



/* setfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_407, obj_t BgL_vz00_408)
	{
		{	/* Ast/nodetype.sch 1027 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_407)))->BgL_effectz00) =
				((obj_t) BgL_vz00_408), BUNSPEC);
		}

	}



/* &setfield-effect-set! */
	obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6770,
		obj_t BgL_oz00_6771, obj_t BgL_vz00_6772)
	{
		{	/* Ast/nodetype.sch 1027 */
			return
				BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6771), BgL_vz00_6772);
		}

	}



/* setfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_409)
	{
		{	/* Ast/nodetype.sch 1028 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_409)))->BgL_exprza2za2);
		}

	}



/* &setfield-expr* */
	obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6773,
		obj_t BgL_oz00_6774)
	{
		{	/* Ast/nodetype.sch 1028 */
			return
				BGl_setfieldzd2exprza2z70zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6774));
		}

	}



/* setfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_410, obj_t BgL_vz00_411)
	{
		{	/* Ast/nodetype.sch 1029 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_410)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_411), BUNSPEC);
		}

	}



/* &setfield-expr*-set! */
	obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6775, obj_t BgL_oz00_6776, obj_t BgL_vz00_6777)
	{
		{	/* Ast/nodetype.sch 1029 */
			return
				BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6776), BgL_vz00_6777);
		}

	}



/* setfield-key */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_412)
	{
		{	/* Ast/nodetype.sch 1030 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_412)))->BgL_keyz00);
		}

	}



/* &setfield-key */
	obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6778,
		obj_t BgL_oz00_6779)
	{
		{	/* Ast/nodetype.sch 1030 */
			return
				BGl_setfieldzd2keyzd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6779));
		}

	}



/* setfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_413, obj_t BgL_vz00_414)
	{
		{	/* Ast/nodetype.sch 1031 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_413)))->BgL_keyz00) =
				((obj_t) BgL_vz00_414), BUNSPEC);
		}

	}



/* &setfield-key-set! */
	obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6780,
		obj_t BgL_oz00_6781, obj_t BgL_vz00_6782)
	{
		{	/* Ast/nodetype.sch 1031 */
			return
				BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6781), BgL_vz00_6782);
		}

	}



/* setfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_415)
	{
		{	/* Ast/nodetype.sch 1032 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_415)))->BgL_sidezd2effectzd2);
		}

	}



/* &setfield-side-effect */
	obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6783,
		obj_t BgL_oz00_6784)
	{
		{	/* Ast/nodetype.sch 1032 */
			return
				BGl_setfieldzd2sidezd2effectz00zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6784));
		}

	}



/* setfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_416, obj_t BgL_vz00_417)
	{
		{	/* Ast/nodetype.sch 1033 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_416)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_417), BUNSPEC);
		}

	}



/* &setfield-side-effect-set! */
	obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6785, obj_t BgL_oz00_6786, obj_t BgL_vz00_6787)
	{
		{	/* Ast/nodetype.sch 1033 */
			return
				BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6786), BgL_vz00_6787);
		}

	}



/* setfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_418)
	{
		{	/* Ast/nodetype.sch 1034 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_418)))->BgL_typez00);
		}

	}



/* &setfield-type */
	BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_6788,
		obj_t BgL_oz00_6789)
	{
		{	/* Ast/nodetype.sch 1034 */
			return
				BGl_setfieldzd2typezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6789));
		}

	}



/* setfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_419, BgL_typez00_bglt BgL_vz00_420)
	{
		{	/* Ast/nodetype.sch 1035 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_419)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_420), BUNSPEC);
		}

	}



/* &setfield-type-set! */
	obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6790,
		obj_t BgL_oz00_6791, obj_t BgL_vz00_6792)
	{
		{	/* Ast/nodetype.sch 1035 */
			return
				BGl_setfieldzd2typezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6791),
				((BgL_typez00_bglt) BgL_vz00_6792));
		}

	}



/* setfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_421)
	{
		{	/* Ast/nodetype.sch 1036 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_421)))->BgL_locz00);
		}

	}



/* &setfield-loc */
	obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_6793,
		obj_t BgL_oz00_6794)
	{
		{	/* Ast/nodetype.sch 1036 */
			return
				BGl_setfieldzd2loczd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6794));
		}

	}



/* make-widening */
	BGL_EXPORTED_DEF BgL_wideningz00_bglt
		BGl_makezd2wideningzd2zzast_nodez00(obj_t BgL_loc1607z00_424,
		BgL_typez00_bglt BgL_type1608z00_425, obj_t BgL_sidezd2effect1609zd2_426,
		obj_t BgL_key1610z00_427, obj_t BgL_exprza21611za2_428,
		obj_t BgL_effect1612z00_429, obj_t BgL_czd2format1613zd2_430,
		BgL_typez00_bglt BgL_otype1614z00_431)
	{
		{	/* Ast/nodetype.sch 1040 */
			{	/* Ast/nodetype.sch 1040 */
				BgL_wideningz00_bglt BgL_new1468z00_9267;

				{	/* Ast/nodetype.sch 1040 */
					BgL_wideningz00_bglt BgL_new1467z00_9268;

					BgL_new1467z00_9268 =
						((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/nodetype.sch 1040 */
						long BgL_arg1818z00_9269;

						BgL_arg1818z00_9269 = BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1467z00_9268), BgL_arg1818z00_9269);
					}
					{	/* Ast/nodetype.sch 1040 */
						BgL_objectz00_bglt BgL_tmpz00_12091;

						BgL_tmpz00_12091 = ((BgL_objectz00_bglt) BgL_new1467z00_9268);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12091, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1467z00_9268);
					BgL_new1468z00_9267 = BgL_new1467z00_9268;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1468z00_9267)))->BgL_locz00) =
					((obj_t) BgL_loc1607z00_424), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1468z00_9267)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1608z00_425), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1468z00_9267)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1609zd2_426), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1468z00_9267)))->BgL_keyz00) =
					((obj_t) BgL_key1610z00_427), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1468z00_9267)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21611za2_428), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1468z00_9267)))->BgL_effectz00) =
					((obj_t) BgL_effect1612z00_429), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1468z00_9267)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1613zd2_430), BUNSPEC);
				((((BgL_wideningz00_bglt) COBJECT(BgL_new1468z00_9267))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1614z00_431), BUNSPEC);
				return BgL_new1468z00_9267;
			}
		}

	}



/* &make-widening */
	BgL_wideningz00_bglt BGl_z62makezd2wideningzb0zzast_nodez00(obj_t
		BgL_envz00_6795, obj_t BgL_loc1607z00_6796, obj_t BgL_type1608z00_6797,
		obj_t BgL_sidezd2effect1609zd2_6798, obj_t BgL_key1610z00_6799,
		obj_t BgL_exprza21611za2_6800, obj_t BgL_effect1612z00_6801,
		obj_t BgL_czd2format1613zd2_6802, obj_t BgL_otype1614z00_6803)
	{
		{	/* Ast/nodetype.sch 1040 */
			return
				BGl_makezd2wideningzd2zzast_nodez00(BgL_loc1607z00_6796,
				((BgL_typez00_bglt) BgL_type1608z00_6797),
				BgL_sidezd2effect1609zd2_6798, BgL_key1610z00_6799,
				BgL_exprza21611za2_6800, BgL_effect1612z00_6801,
				BgL_czd2format1613zd2_6802, ((BgL_typez00_bglt) BgL_otype1614z00_6803));
		}

	}



/* widening? */
	BGL_EXPORTED_DEF bool_t BGl_wideningzf3zf3zzast_nodez00(obj_t BgL_objz00_432)
	{
		{	/* Ast/nodetype.sch 1041 */
			{	/* Ast/nodetype.sch 1041 */
				obj_t BgL_classz00_9270;

				BgL_classz00_9270 = BGl_wideningz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_432))
					{	/* Ast/nodetype.sch 1041 */
						BgL_objectz00_bglt BgL_arg1825z00_9271;

						BgL_arg1825z00_9271 = (BgL_objectz00_bglt) (BgL_objz00_432);
						{	/* Ast/nodetype.sch 1041 */
							bool_t BgL_arg1822z00_9272;
							bool_t BgL_arg1823z00_9273;

							{	/* Ast/nodetype.sch 1041 */
								long BgL_idxz00_9274;

								BgL_idxz00_9274 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9271);
								BgL_arg1822z00_9272 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9274 + ((long) 5))) == BgL_classz00_9270);
							}
							{	/* Ast/nodetype.sch 1041 */
								bool_t BgL_res3001z00_9277;

								{	/* Ast/nodetype.sch 1041 */
									obj_t BgL_oclassz00_9278;

									{	/* Ast/nodetype.sch 1041 */
										long BgL_arg1833z00_9279;

										{	/* Ast/nodetype.sch 1041 */
											long BgL_arg1834z00_9280;

											BgL_arg1834z00_9280 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9271);
											BgL_arg1833z00_9279 = (BgL_arg1834z00_9280 - OBJECT_TYPE);
										}
										BgL_oclassz00_9278 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9279);
									}
									{	/* Ast/nodetype.sch 1041 */
										bool_t BgL__ortest_1110z00_9281;

										BgL__ortest_1110z00_9281 =
											(BgL_classz00_9270 == BgL_oclassz00_9278);
										if (BgL__ortest_1110z00_9281)
											{	/* Ast/nodetype.sch 1041 */
												BgL_res3001z00_9277 = BgL__ortest_1110z00_9281;
											}
										else
											{	/* Ast/nodetype.sch 1041 */
												long BgL_odepthz00_9282;

												BgL_odepthz00_9282 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9278);
												if ((((long) 5) < BgL_odepthz00_9282))
													{	/* Ast/nodetype.sch 1041 */
														obj_t BgL_arg1821z00_9283;

														BgL_arg1821z00_9283 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9278,
															((long) 5));
														BgL_res3001z00_9277 =
															(BgL_arg1821z00_9283 == BgL_classz00_9270);
													}
												else
													{	/* Ast/nodetype.sch 1041 */
														BgL_res3001z00_9277 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9273 = BgL_res3001z00_9277;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9272, BgL_arg1823z00_9273);
						}
					}
				else
					{	/* Ast/nodetype.sch 1041 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &widening? */
	obj_t BGl_z62wideningzf3z91zzast_nodez00(obj_t BgL_envz00_6804,
		obj_t BgL_objz00_6805)
	{
		{	/* Ast/nodetype.sch 1041 */
			return BBOOL(BGl_wideningzf3zf3zzast_nodez00(BgL_objz00_6805));
		}

	}



/* widening-nil */
	BGL_EXPORTED_DEF BgL_wideningz00_bglt BGl_wideningzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1042 */
			{	/* Ast/nodetype.sch 1042 */
				obj_t BgL_classz00_4604;

				BgL_classz00_4604 = BGl_wideningz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1042 */
					obj_t BgL__ortest_1112z00_4605;

					BgL__ortest_1112z00_4605 = BGL_CLASS_NIL(BgL_classz00_4604);
					if (CBOOL(BgL__ortest_1112z00_4605))
						{	/* Ast/nodetype.sch 1042 */
							return ((BgL_wideningz00_bglt) BgL__ortest_1112z00_4605);
						}
					else
						{	/* Ast/nodetype.sch 1042 */
							return
								((BgL_wideningz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4604));
						}
				}
			}
		}

	}



/* &widening-nil */
	BgL_wideningz00_bglt BGl_z62wideningzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6806)
	{
		{	/* Ast/nodetype.sch 1042 */
			return BGl_wideningzd2nilzd2zzast_nodez00();
		}

	}



/* widening-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_wideningzd2otypezd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_433)
	{
		{	/* Ast/nodetype.sch 1043 */
			return (((BgL_wideningz00_bglt) COBJECT(BgL_oz00_433))->BgL_otypez00);
		}

	}



/* &widening-otype */
	BgL_typez00_bglt BGl_z62wideningzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6807, obj_t BgL_oz00_6808)
	{
		{	/* Ast/nodetype.sch 1043 */
			return
				BGl_wideningzd2otypezd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6808));
		}

	}



/* widening-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2otypezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_434, BgL_typez00_bglt BgL_vz00_435)
	{
		{	/* Ast/nodetype.sch 1044 */
			return
				((((BgL_wideningz00_bglt) COBJECT(BgL_oz00_434))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_435), BUNSPEC);
		}

	}



/* &widening-otype-set! */
	obj_t BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6809,
		obj_t BgL_oz00_6810, obj_t BgL_vz00_6811)
	{
		{	/* Ast/nodetype.sch 1044 */
			return
				BGl_wideningzd2otypezd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6810),
				((BgL_typez00_bglt) BgL_vz00_6811));
		}

	}



/* widening-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2czd2formatz00zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_436)
	{
		{	/* Ast/nodetype.sch 1045 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_436)))->BgL_czd2formatzd2);
		}

	}



/* &widening-c-format */
	obj_t BGl_z62wideningzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6812,
		obj_t BgL_oz00_6813)
	{
		{	/* Ast/nodetype.sch 1045 */
			return
				BGl_wideningzd2czd2formatz00zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6813));
		}

	}



/* widening-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2effectzd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_439)
	{
		{	/* Ast/nodetype.sch 1047 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_439)))->BgL_effectz00);
		}

	}



/* &widening-effect */
	obj_t BGl_z62wideningzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6814,
		obj_t BgL_oz00_6815)
	{
		{	/* Ast/nodetype.sch 1047 */
			return
				BGl_wideningzd2effectzd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6815));
		}

	}



/* widening-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2effectzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_440, obj_t BgL_vz00_441)
	{
		{	/* Ast/nodetype.sch 1048 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_440)))->BgL_effectz00) =
				((obj_t) BgL_vz00_441), BUNSPEC);
		}

	}



/* &widening-effect-set! */
	obj_t BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6816,
		obj_t BgL_oz00_6817, obj_t BgL_vz00_6818)
	{
		{	/* Ast/nodetype.sch 1048 */
			return
				BGl_wideningzd2effectzd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6817), BgL_vz00_6818);
		}

	}



/* widening-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2exprza2z70zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_442)
	{
		{	/* Ast/nodetype.sch 1049 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_442)))->BgL_exprza2za2);
		}

	}



/* &widening-expr* */
	obj_t BGl_z62wideningzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6819,
		obj_t BgL_oz00_6820)
	{
		{	/* Ast/nodetype.sch 1049 */
			return
				BGl_wideningzd2exprza2z70zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6820));
		}

	}



/* widening-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_443, obj_t BgL_vz00_444)
	{
		{	/* Ast/nodetype.sch 1050 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_443)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_444), BUNSPEC);
		}

	}



/* &widening-expr*-set! */
	obj_t BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6821, obj_t BgL_oz00_6822, obj_t BgL_vz00_6823)
	{
		{	/* Ast/nodetype.sch 1050 */
			return
				BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6822), BgL_vz00_6823);
		}

	}



/* widening-key */
	BGL_EXPORTED_DEF obj_t BGl_wideningzd2keyzd2zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_445)
	{
		{	/* Ast/nodetype.sch 1051 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_445)))->BgL_keyz00);
		}

	}



/* &widening-key */
	obj_t BGl_z62wideningzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6824,
		obj_t BgL_oz00_6825)
	{
		{	/* Ast/nodetype.sch 1051 */
			return
				BGl_wideningzd2keyzd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6825));
		}

	}



/* widening-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2keyzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_446, obj_t BgL_vz00_447)
	{
		{	/* Ast/nodetype.sch 1052 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_446)))->BgL_keyz00) =
				((obj_t) BgL_vz00_447), BUNSPEC);
		}

	}



/* &widening-key-set! */
	obj_t BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6826,
		obj_t BgL_oz00_6827, obj_t BgL_vz00_6828)
	{
		{	/* Ast/nodetype.sch 1052 */
			return
				BGl_wideningzd2keyzd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6827), BgL_vz00_6828);
		}

	}



/* widening-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2sidezd2effectz00zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_448)
	{
		{	/* Ast/nodetype.sch 1053 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_448)))->BgL_sidezd2effectzd2);
		}

	}



/* &widening-side-effect */
	obj_t BGl_z62wideningzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6829,
		obj_t BgL_oz00_6830)
	{
		{	/* Ast/nodetype.sch 1053 */
			return
				BGl_wideningzd2sidezd2effectz00zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6830));
		}

	}



/* widening-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_449, obj_t BgL_vz00_450)
	{
		{	/* Ast/nodetype.sch 1054 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_449)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_450), BUNSPEC);
		}

	}



/* &widening-side-effect-set! */
	obj_t BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6831, obj_t BgL_oz00_6832, obj_t BgL_vz00_6833)
	{
		{	/* Ast/nodetype.sch 1054 */
			return
				BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6832), BgL_vz00_6833);
		}

	}



/* widening-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_wideningzd2typezd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_451)
	{
		{	/* Ast/nodetype.sch 1055 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_451)))->BgL_typez00);
		}

	}



/* &widening-type */
	BgL_typez00_bglt BGl_z62wideningzd2typezb0zzast_nodez00(obj_t BgL_envz00_6834,
		obj_t BgL_oz00_6835)
	{
		{	/* Ast/nodetype.sch 1055 */
			return
				BGl_wideningzd2typezd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6835));
		}

	}



/* widening-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2typezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_452, BgL_typez00_bglt BgL_vz00_453)
	{
		{	/* Ast/nodetype.sch 1056 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_452)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_453), BUNSPEC);
		}

	}



/* &widening-type-set! */
	obj_t BGl_z62wideningzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6836,
		obj_t BgL_oz00_6837, obj_t BgL_vz00_6838)
	{
		{	/* Ast/nodetype.sch 1056 */
			return
				BGl_wideningzd2typezd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6837),
				((BgL_typez00_bglt) BgL_vz00_6838));
		}

	}



/* widening-loc */
	BGL_EXPORTED_DEF obj_t BGl_wideningzd2loczd2zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_454)
	{
		{	/* Ast/nodetype.sch 1057 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_454)))->BgL_locz00);
		}

	}



/* &widening-loc */
	obj_t BGl_z62wideningzd2loczb0zzast_nodez00(obj_t BgL_envz00_6839,
		obj_t BgL_oz00_6840)
	{
		{	/* Ast/nodetype.sch 1057 */
			return
				BGl_wideningzd2loczd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6840));
		}

	}



/* make-new */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t
		BgL_loc1598z00_457, BgL_typez00_bglt BgL_type1599z00_458,
		obj_t BgL_sidezd2effect1600zd2_459, obj_t BgL_key1601z00_460,
		obj_t BgL_exprza21602za2_461, obj_t BgL_effect1603z00_462,
		obj_t BgL_czd2format1604zd2_463, obj_t BgL_argszd2type1605zd2_464)
	{
		{	/* Ast/nodetype.sch 1061 */
			{	/* Ast/nodetype.sch 1061 */
				BgL_newz00_bglt BgL_new1470z00_9284;

				{	/* Ast/nodetype.sch 1061 */
					BgL_newz00_bglt BgL_new1469z00_9285;

					BgL_new1469z00_9285 =
						((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_newz00_bgl))));
					{	/* Ast/nodetype.sch 1061 */
						long BgL_arg1824z00_9286;

						BgL_arg1824z00_9286 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1469z00_9285), BgL_arg1824z00_9286);
					}
					{	/* Ast/nodetype.sch 1061 */
						BgL_objectz00_bglt BgL_tmpz00_12200;

						BgL_tmpz00_12200 = ((BgL_objectz00_bglt) BgL_new1469z00_9285);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12200, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1469z00_9285);
					BgL_new1470z00_9284 = BgL_new1469z00_9285;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1470z00_9284)))->BgL_locz00) =
					((obj_t) BgL_loc1598z00_457), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1470z00_9284)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1599z00_458), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1470z00_9284)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1600zd2_459), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1470z00_9284)))->BgL_keyz00) =
					((obj_t) BgL_key1601z00_460), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1470z00_9284)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21602za2_461), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1470z00_9284)))->BgL_effectz00) =
					((obj_t) BgL_effect1603z00_462), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1470z00_9284)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1604zd2_463), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(BgL_new1470z00_9284))->
						BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1605zd2_464), BUNSPEC);
				return BgL_new1470z00_9284;
			}
		}

	}



/* &make-new */
	BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t BgL_envz00_6841,
		obj_t BgL_loc1598z00_6842, obj_t BgL_type1599z00_6843,
		obj_t BgL_sidezd2effect1600zd2_6844, obj_t BgL_key1601z00_6845,
		obj_t BgL_exprza21602za2_6846, obj_t BgL_effect1603z00_6847,
		obj_t BgL_czd2format1604zd2_6848, obj_t BgL_argszd2type1605zd2_6849)
	{
		{	/* Ast/nodetype.sch 1061 */
			return
				BGl_makezd2newzd2zzast_nodez00(BgL_loc1598z00_6842,
				((BgL_typez00_bglt) BgL_type1599z00_6843),
				BgL_sidezd2effect1600zd2_6844, BgL_key1601z00_6845,
				BgL_exprza21602za2_6846, BgL_effect1603z00_6847,
				BgL_czd2format1604zd2_6848, BgL_argszd2type1605zd2_6849);
		}

	}



/* new? */
	BGL_EXPORTED_DEF bool_t BGl_newzf3zf3zzast_nodez00(obj_t BgL_objz00_465)
	{
		{	/* Ast/nodetype.sch 1062 */
			{	/* Ast/nodetype.sch 1062 */
				obj_t BgL_classz00_9287;

				BgL_classz00_9287 = BGl_newz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_465))
					{	/* Ast/nodetype.sch 1062 */
						BgL_objectz00_bglt BgL_arg1825z00_9288;

						BgL_arg1825z00_9288 = (BgL_objectz00_bglt) (BgL_objz00_465);
						{	/* Ast/nodetype.sch 1062 */
							bool_t BgL_arg1822z00_9289;
							bool_t BgL_arg1823z00_9290;

							{	/* Ast/nodetype.sch 1062 */
								long BgL_idxz00_9291;

								BgL_idxz00_9291 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9288);
								BgL_arg1822z00_9289 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9291 + ((long) 5))) == BgL_classz00_9287);
							}
							{	/* Ast/nodetype.sch 1062 */
								bool_t BgL_res3002z00_9294;

								{	/* Ast/nodetype.sch 1062 */
									obj_t BgL_oclassz00_9295;

									{	/* Ast/nodetype.sch 1062 */
										long BgL_arg1833z00_9296;

										{	/* Ast/nodetype.sch 1062 */
											long BgL_arg1834z00_9297;

											BgL_arg1834z00_9297 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9288);
											BgL_arg1833z00_9296 = (BgL_arg1834z00_9297 - OBJECT_TYPE);
										}
										BgL_oclassz00_9295 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9296);
									}
									{	/* Ast/nodetype.sch 1062 */
										bool_t BgL__ortest_1110z00_9298;

										BgL__ortest_1110z00_9298 =
											(BgL_classz00_9287 == BgL_oclassz00_9295);
										if (BgL__ortest_1110z00_9298)
											{	/* Ast/nodetype.sch 1062 */
												BgL_res3002z00_9294 = BgL__ortest_1110z00_9298;
											}
										else
											{	/* Ast/nodetype.sch 1062 */
												long BgL_odepthz00_9299;

												BgL_odepthz00_9299 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9295);
												if ((((long) 5) < BgL_odepthz00_9299))
													{	/* Ast/nodetype.sch 1062 */
														obj_t BgL_arg1821z00_9300;

														BgL_arg1821z00_9300 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9295,
															((long) 5));
														BgL_res3002z00_9294 =
															(BgL_arg1821z00_9300 == BgL_classz00_9287);
													}
												else
													{	/* Ast/nodetype.sch 1062 */
														BgL_res3002z00_9294 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9290 = BgL_res3002z00_9294;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9289, BgL_arg1823z00_9290);
						}
					}
				else
					{	/* Ast/nodetype.sch 1062 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &new? */
	obj_t BGl_z62newzf3z91zzast_nodez00(obj_t BgL_envz00_6850,
		obj_t BgL_objz00_6851)
	{
		{	/* Ast/nodetype.sch 1062 */
			return BBOOL(BGl_newzf3zf3zzast_nodez00(BgL_objz00_6851));
		}

	}



/* new-nil */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1063 */
			{	/* Ast/nodetype.sch 1063 */
				obj_t BgL_classz00_4645;

				BgL_classz00_4645 = BGl_newz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1063 */
					obj_t BgL__ortest_1112z00_4646;

					BgL__ortest_1112z00_4646 = BGL_CLASS_NIL(BgL_classz00_4645);
					if (CBOOL(BgL__ortest_1112z00_4646))
						{	/* Ast/nodetype.sch 1063 */
							return ((BgL_newz00_bglt) BgL__ortest_1112z00_4646);
						}
					else
						{	/* Ast/nodetype.sch 1063 */
							return
								((BgL_newz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4645));
						}
				}
			}
		}

	}



/* &new-nil */
	BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6852)
	{
		{	/* Ast/nodetype.sch 1063 */
			return BGl_newzd2nilzd2zzast_nodez00();
		}

	}



/* new-args-type */
	BGL_EXPORTED_DEF obj_t BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_466)
	{
		{	/* Ast/nodetype.sch 1064 */
			return (((BgL_newz00_bglt) COBJECT(BgL_oz00_466))->BgL_argszd2typezd2);
		}

	}



/* &new-args-type */
	obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t BgL_envz00_6853,
		obj_t BgL_oz00_6854)
	{
		{	/* Ast/nodetype.sch 1064 */
			return
				BGl_newzd2argszd2typez00zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6854));
		}

	}



/* new-args-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt BgL_oz00_467,
		obj_t BgL_vz00_468)
	{
		{	/* Ast/nodetype.sch 1065 */
			return
				((((BgL_newz00_bglt) COBJECT(BgL_oz00_467))->BgL_argszd2typezd2) =
				((obj_t) BgL_vz00_468), BUNSPEC);
		}

	}



/* &new-args-type-set! */
	obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6855,
		obj_t BgL_oz00_6856, obj_t BgL_vz00_6857)
	{
		{	/* Ast/nodetype.sch 1065 */
			return
				BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6856), BgL_vz00_6857);
		}

	}



/* new-c-format */
	BGL_EXPORTED_DEF obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_469)
	{
		{	/* Ast/nodetype.sch 1066 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_469)))->BgL_czd2formatzd2);
		}

	}



/* &new-c-format */
	obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6858,
		obj_t BgL_oz00_6859)
	{
		{	/* Ast/nodetype.sch 1066 */
			return
				BGl_newzd2czd2formatz00zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6859));
		}

	}



/* new-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_472)
	{
		{	/* Ast/nodetype.sch 1068 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_472)))->BgL_effectz00);
		}

	}



/* &new-effect */
	obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6860,
		obj_t BgL_oz00_6861)
	{
		{	/* Ast/nodetype.sch 1068 */
			return
				BGl_newzd2effectzd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6861));
		}

	}



/* new-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt BgL_oz00_473,
		obj_t BgL_vz00_474)
	{
		{	/* Ast/nodetype.sch 1069 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_473)))->BgL_effectz00) =
				((obj_t) BgL_vz00_474), BUNSPEC);
		}

	}



/* &new-effect-set! */
	obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6862,
		obj_t BgL_oz00_6863, obj_t BgL_vz00_6864)
	{
		{	/* Ast/nodetype.sch 1069 */
			return
				BGl_newzd2effectzd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6863), BgL_vz00_6864);
		}

	}



/* new-expr* */
	BGL_EXPORTED_DEF obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_475)
	{
		{	/* Ast/nodetype.sch 1070 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_475)))->BgL_exprza2za2);
		}

	}



/* &new-expr* */
	obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6865,
		obj_t BgL_oz00_6866)
	{
		{	/* Ast/nodetype.sch 1070 */
			return
				BGl_newzd2exprza2z70zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6866));
		}

	}



/* new-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt BgL_oz00_476,
		obj_t BgL_vz00_477)
	{
		{	/* Ast/nodetype.sch 1071 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_476)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_477), BUNSPEC);
		}

	}



/* &new-expr*-set! */
	obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6867,
		obj_t BgL_oz00_6868, obj_t BgL_vz00_6869)
	{
		{	/* Ast/nodetype.sch 1071 */
			return
				BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6868), BgL_vz00_6869);
		}

	}



/* new-key */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_478)
	{
		{	/* Ast/nodetype.sch 1072 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_478)))->BgL_keyz00);
		}

	}



/* &new-key */
	obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6870,
		obj_t BgL_oz00_6871)
	{
		{	/* Ast/nodetype.sch 1072 */
			return BGl_newzd2keyzd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6871));
		}

	}



/* new-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_479, obj_t BgL_vz00_480)
	{
		{	/* Ast/nodetype.sch 1073 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_479)))->BgL_keyz00) =
				((obj_t) BgL_vz00_480), BUNSPEC);
		}

	}



/* &new-key-set! */
	obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6872,
		obj_t BgL_oz00_6873, obj_t BgL_vz00_6874)
	{
		{	/* Ast/nodetype.sch 1073 */
			return
				BGl_newzd2keyzd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6873), BgL_vz00_6874);
		}

	}



/* new-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_481)
	{
		{	/* Ast/nodetype.sch 1074 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_481)))->BgL_sidezd2effectzd2);
		}

	}



/* &new-side-effect */
	obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6875,
		obj_t BgL_oz00_6876)
	{
		{	/* Ast/nodetype.sch 1074 */
			return
				BGl_newzd2sidezd2effectz00zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6876));
		}

	}



/* new-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_482, obj_t BgL_vz00_483)
	{
		{	/* Ast/nodetype.sch 1075 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_482)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_483), BUNSPEC);
		}

	}



/* &new-side-effect-set! */
	obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6877, obj_t BgL_oz00_6878, obj_t BgL_vz00_6879)
	{
		{	/* Ast/nodetype.sch 1075 */
			return
				BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6878), BgL_vz00_6879);
		}

	}



/* new-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt BgL_oz00_484)
	{
		{	/* Ast/nodetype.sch 1076 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_484)))->BgL_typez00);
		}

	}



/* &new-type */
	BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t BgL_envz00_6880,
		obj_t BgL_oz00_6881)
	{
		{	/* Ast/nodetype.sch 1076 */
			return BGl_newzd2typezd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6881));
		}

	}



/* new-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_485, BgL_typez00_bglt BgL_vz00_486)
	{
		{	/* Ast/nodetype.sch 1077 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_485)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_486), BUNSPEC);
		}

	}



/* &new-type-set! */
	obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6882,
		obj_t BgL_oz00_6883, obj_t BgL_vz00_6884)
	{
		{	/* Ast/nodetype.sch 1077 */
			return
				BGl_newzd2typezd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6883), ((BgL_typez00_bglt) BgL_vz00_6884));
		}

	}



/* new-loc */
	BGL_EXPORTED_DEF obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_487)
	{
		{	/* Ast/nodetype.sch 1078 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_487)))->BgL_locz00);
		}

	}



/* &new-loc */
	obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t BgL_envz00_6885,
		obj_t BgL_oz00_6886)
	{
		{	/* Ast/nodetype.sch 1078 */
			return BGl_newzd2loczd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6886));
		}

	}



/* make-valloc */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t
		BgL_loc1588z00_490, BgL_typez00_bglt BgL_type1589z00_491,
		obj_t BgL_sidezd2effect1590zd2_492, obj_t BgL_key1591z00_493,
		obj_t BgL_exprza21592za2_494, obj_t BgL_effect1593z00_495,
		obj_t BgL_czd2format1594zd2_496, BgL_typez00_bglt BgL_ftype1595z00_497,
		BgL_typez00_bglt BgL_otype1596z00_498)
	{
		{	/* Ast/nodetype.sch 1082 */
			{	/* Ast/nodetype.sch 1082 */
				BgL_vallocz00_bglt BgL_new1472z00_9301;

				{	/* Ast/nodetype.sch 1082 */
					BgL_vallocz00_bglt BgL_new1471z00_9302;

					BgL_new1471z00_9302 =
						((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/nodetype.sch 1082 */
						long BgL_arg1837z00_9303;

						BgL_arg1837z00_9303 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1471z00_9302), BgL_arg1837z00_9303);
					}
					{	/* Ast/nodetype.sch 1082 */
						BgL_objectz00_bglt BgL_tmpz00_12307;

						BgL_tmpz00_12307 = ((BgL_objectz00_bglt) BgL_new1471z00_9302);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12307, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1471z00_9302);
					BgL_new1472z00_9301 = BgL_new1471z00_9302;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1472z00_9301)))->BgL_locz00) =
					((obj_t) BgL_loc1588z00_490), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1472z00_9301)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1589z00_491), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1472z00_9301)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1590zd2_492), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1472z00_9301)))->BgL_keyz00) =
					((obj_t) BgL_key1591z00_493), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1472z00_9301)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21592za2_494), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1472z00_9301)))->BgL_effectz00) =
					((obj_t) BgL_effect1593z00_495), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1472z00_9301)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1594zd2_496), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1472z00_9301))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1595z00_497), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1472z00_9301))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1596z00_498), BUNSPEC);
				return BgL_new1472z00_9301;
			}
		}

	}



/* &make-valloc */
	BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t BgL_envz00_6887,
		obj_t BgL_loc1588z00_6888, obj_t BgL_type1589z00_6889,
		obj_t BgL_sidezd2effect1590zd2_6890, obj_t BgL_key1591z00_6891,
		obj_t BgL_exprza21592za2_6892, obj_t BgL_effect1593z00_6893,
		obj_t BgL_czd2format1594zd2_6894, obj_t BgL_ftype1595z00_6895,
		obj_t BgL_otype1596z00_6896)
	{
		{	/* Ast/nodetype.sch 1082 */
			return
				BGl_makezd2valloczd2zzast_nodez00(BgL_loc1588z00_6888,
				((BgL_typez00_bglt) BgL_type1589z00_6889),
				BgL_sidezd2effect1590zd2_6890, BgL_key1591z00_6891,
				BgL_exprza21592za2_6892, BgL_effect1593z00_6893,
				BgL_czd2format1594zd2_6894, ((BgL_typez00_bglt) BgL_ftype1595z00_6895),
				((BgL_typez00_bglt) BgL_otype1596z00_6896));
		}

	}



/* valloc? */
	BGL_EXPORTED_DEF bool_t BGl_valloczf3zf3zzast_nodez00(obj_t BgL_objz00_499)
	{
		{	/* Ast/nodetype.sch 1083 */
			{	/* Ast/nodetype.sch 1083 */
				obj_t BgL_classz00_9304;

				BgL_classz00_9304 = BGl_vallocz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_499))
					{	/* Ast/nodetype.sch 1083 */
						BgL_objectz00_bglt BgL_arg1825z00_9305;

						BgL_arg1825z00_9305 = (BgL_objectz00_bglt) (BgL_objz00_499);
						{	/* Ast/nodetype.sch 1083 */
							bool_t BgL_arg1822z00_9306;
							bool_t BgL_arg1823z00_9307;

							{	/* Ast/nodetype.sch 1083 */
								long BgL_idxz00_9308;

								BgL_idxz00_9308 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9305);
								BgL_arg1822z00_9306 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9308 + ((long) 5))) == BgL_classz00_9304);
							}
							{	/* Ast/nodetype.sch 1083 */
								bool_t BgL_res3003z00_9311;

								{	/* Ast/nodetype.sch 1083 */
									obj_t BgL_oclassz00_9312;

									{	/* Ast/nodetype.sch 1083 */
										long BgL_arg1833z00_9313;

										{	/* Ast/nodetype.sch 1083 */
											long BgL_arg1834z00_9314;

											BgL_arg1834z00_9314 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9305);
											BgL_arg1833z00_9313 = (BgL_arg1834z00_9314 - OBJECT_TYPE);
										}
										BgL_oclassz00_9312 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9313);
									}
									{	/* Ast/nodetype.sch 1083 */
										bool_t BgL__ortest_1110z00_9315;

										BgL__ortest_1110z00_9315 =
											(BgL_classz00_9304 == BgL_oclassz00_9312);
										if (BgL__ortest_1110z00_9315)
											{	/* Ast/nodetype.sch 1083 */
												BgL_res3003z00_9311 = BgL__ortest_1110z00_9315;
											}
										else
											{	/* Ast/nodetype.sch 1083 */
												long BgL_odepthz00_9316;

												BgL_odepthz00_9316 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9312);
												if ((((long) 5) < BgL_odepthz00_9316))
													{	/* Ast/nodetype.sch 1083 */
														obj_t BgL_arg1821z00_9317;

														BgL_arg1821z00_9317 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9312,
															((long) 5));
														BgL_res3003z00_9311 =
															(BgL_arg1821z00_9317 == BgL_classz00_9304);
													}
												else
													{	/* Ast/nodetype.sch 1083 */
														BgL_res3003z00_9311 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9307 = BgL_res3003z00_9311;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9306, BgL_arg1823z00_9307);
						}
					}
				else
					{	/* Ast/nodetype.sch 1083 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &valloc? */
	obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t BgL_envz00_6897,
		obj_t BgL_objz00_6898)
	{
		{	/* Ast/nodetype.sch 1083 */
			return BBOOL(BGl_valloczf3zf3zzast_nodez00(BgL_objz00_6898));
		}

	}



/* valloc-nil */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1084 */
			{	/* Ast/nodetype.sch 1084 */
				obj_t BgL_classz00_4686;

				BgL_classz00_4686 = BGl_vallocz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1084 */
					obj_t BgL__ortest_1112z00_4687;

					BgL__ortest_1112z00_4687 = BGL_CLASS_NIL(BgL_classz00_4686);
					if (CBOOL(BgL__ortest_1112z00_4687))
						{	/* Ast/nodetype.sch 1084 */
							return ((BgL_vallocz00_bglt) BgL__ortest_1112z00_4687);
						}
					else
						{	/* Ast/nodetype.sch 1084 */
							return
								((BgL_vallocz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4686));
						}
				}
			}
		}

	}



/* &valloc-nil */
	BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t BgL_envz00_6899)
	{
		{	/* Ast/nodetype.sch 1084 */
			return BGl_valloczd2nilzd2zzast_nodez00();
		}

	}



/* valloc-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_500)
	{
		{	/* Ast/nodetype.sch 1085 */
			return (((BgL_vallocz00_bglt) COBJECT(BgL_oz00_500))->BgL_otypez00);
		}

	}



/* &valloc-otype */
	BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t BgL_envz00_6900,
		obj_t BgL_oz00_6901)
	{
		{	/* Ast/nodetype.sch 1085 */
			return
				BGl_valloczd2otypezd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6901));
		}

	}



/* valloc-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2otypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_501,
		BgL_typez00_bglt BgL_vz00_502)
	{
		{	/* Ast/nodetype.sch 1086 */
			return
				((((BgL_vallocz00_bglt) COBJECT(BgL_oz00_501))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_502), BUNSPEC);
		}

	}



/* &valloc-otype-set! */
	obj_t BGl_z62valloczd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6902,
		obj_t BgL_oz00_6903, obj_t BgL_vz00_6904)
	{
		{	/* Ast/nodetype.sch 1086 */
			return
				BGl_valloczd2otypezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6903),
				((BgL_typez00_bglt) BgL_vz00_6904));
		}

	}



/* valloc-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_503)
	{
		{	/* Ast/nodetype.sch 1087 */
			return (((BgL_vallocz00_bglt) COBJECT(BgL_oz00_503))->BgL_ftypez00);
		}

	}



/* &valloc-ftype */
	BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t BgL_envz00_6905,
		obj_t BgL_oz00_6906)
	{
		{	/* Ast/nodetype.sch 1087 */
			return
				BGl_valloczd2ftypezd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6906));
		}

	}



/* valloc-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_504,
		BgL_typez00_bglt BgL_vz00_505)
	{
		{	/* Ast/nodetype.sch 1088 */
			return
				((((BgL_vallocz00_bglt) COBJECT(BgL_oz00_504))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_505), BUNSPEC);
		}

	}



/* &valloc-ftype-set! */
	obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6907,
		obj_t BgL_oz00_6908, obj_t BgL_vz00_6909)
	{
		{	/* Ast/nodetype.sch 1088 */
			return
				BGl_valloczd2ftypezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6908),
				((BgL_typez00_bglt) BgL_vz00_6909));
		}

	}



/* valloc-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_506)
	{
		{	/* Ast/nodetype.sch 1089 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_506)))->BgL_czd2formatzd2);
		}

	}



/* &valloc-c-format */
	obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6910,
		obj_t BgL_oz00_6911)
	{
		{	/* Ast/nodetype.sch 1089 */
			return
				BGl_valloczd2czd2formatz00zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6911));
		}

	}



/* valloc-effect */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_509)
	{
		{	/* Ast/nodetype.sch 1091 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_509)))->BgL_effectz00);
		}

	}



/* &valloc-effect */
	obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t BgL_envz00_6912,
		obj_t BgL_oz00_6913)
	{
		{	/* Ast/nodetype.sch 1091 */
			return
				BGl_valloczd2effectzd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6913));
		}

	}



/* valloc-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_510, obj_t BgL_vz00_511)
	{
		{	/* Ast/nodetype.sch 1092 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_510)))->BgL_effectz00) =
				((obj_t) BgL_vz00_511), BUNSPEC);
		}

	}



/* &valloc-effect-set! */
	obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6914,
		obj_t BgL_oz00_6915, obj_t BgL_vz00_6916)
	{
		{	/* Ast/nodetype.sch 1092 */
			return
				BGl_valloczd2effectzd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6915), BgL_vz00_6916);
		}

	}



/* valloc-expr* */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_512)
	{
		{	/* Ast/nodetype.sch 1093 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_512)))->BgL_exprza2za2);
		}

	}



/* &valloc-expr* */
	obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6917,
		obj_t BgL_oz00_6918)
	{
		{	/* Ast/nodetype.sch 1093 */
			return
				BGl_valloczd2exprza2z70zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6918));
		}

	}



/* valloc-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_513, obj_t BgL_vz00_514)
	{
		{	/* Ast/nodetype.sch 1094 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_513)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_514), BUNSPEC);
		}

	}



/* &valloc-expr*-set! */
	obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6919,
		obj_t BgL_oz00_6920, obj_t BgL_vz00_6921)
	{
		{	/* Ast/nodetype.sch 1094 */
			return
				BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6920), BgL_vz00_6921);
		}

	}



/* valloc-key */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_515)
	{
		{	/* Ast/nodetype.sch 1095 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_515)))->BgL_keyz00);
		}

	}



/* &valloc-key */
	obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t BgL_envz00_6922,
		obj_t BgL_oz00_6923)
	{
		{	/* Ast/nodetype.sch 1095 */
			return
				BGl_valloczd2keyzd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_6923));
		}

	}



/* valloc-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_516,
		obj_t BgL_vz00_517)
	{
		{	/* Ast/nodetype.sch 1096 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_516)))->BgL_keyz00) =
				((obj_t) BgL_vz00_517), BUNSPEC);
		}

	}



/* &valloc-key-set! */
	obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6924,
		obj_t BgL_oz00_6925, obj_t BgL_vz00_6926)
	{
		{	/* Ast/nodetype.sch 1096 */
			return
				BGl_valloczd2keyzd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6925), BgL_vz00_6926);
		}

	}



/* valloc-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_518)
	{
		{	/* Ast/nodetype.sch 1097 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_518)))->BgL_sidezd2effectzd2);
		}

	}



/* &valloc-side-effect */
	obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6927,
		obj_t BgL_oz00_6928)
	{
		{	/* Ast/nodetype.sch 1097 */
			return
				BGl_valloczd2sidezd2effectz00zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6928));
		}

	}



/* valloc-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_519, obj_t BgL_vz00_520)
	{
		{	/* Ast/nodetype.sch 1098 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_519)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_520), BUNSPEC);
		}

	}



/* &valloc-side-effect-set! */
	obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6929, obj_t BgL_oz00_6930, obj_t BgL_vz00_6931)
	{
		{	/* Ast/nodetype.sch 1098 */
			return
				BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6930), BgL_vz00_6931);
		}

	}



/* valloc-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_521)
	{
		{	/* Ast/nodetype.sch 1099 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_521)))->BgL_typez00);
		}

	}



/* &valloc-type */
	BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t BgL_envz00_6932,
		obj_t BgL_oz00_6933)
	{
		{	/* Ast/nodetype.sch 1099 */
			return
				BGl_valloczd2typezd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_6933));
		}

	}



/* valloc-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_522,
		BgL_typez00_bglt BgL_vz00_523)
	{
		{	/* Ast/nodetype.sch 1100 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_522)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_523), BUNSPEC);
		}

	}



/* &valloc-type-set! */
	obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6934,
		obj_t BgL_oz00_6935, obj_t BgL_vz00_6936)
	{
		{	/* Ast/nodetype.sch 1100 */
			return
				BGl_valloczd2typezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6935),
				((BgL_typez00_bglt) BgL_vz00_6936));
		}

	}



/* valloc-loc */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_524)
	{
		{	/* Ast/nodetype.sch 1101 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_524)))->BgL_locz00);
		}

	}



/* &valloc-loc */
	obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t BgL_envz00_6937,
		obj_t BgL_oz00_6938)
	{
		{	/* Ast/nodetype.sch 1101 */
			return
				BGl_valloczd2loczd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_6938));
		}

	}



/* make-vref */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t
		BgL_loc1576z00_527, BgL_typez00_bglt BgL_type1577z00_528,
		obj_t BgL_sidezd2effect1578zd2_529, obj_t BgL_key1579z00_530,
		obj_t BgL_exprza21580za2_531, obj_t BgL_effect1581z00_532,
		obj_t BgL_czd2format1582zd2_533, BgL_typez00_bglt BgL_ftype1583z00_534,
		BgL_typez00_bglt BgL_otype1584z00_535,
		BgL_typez00_bglt BgL_vtype1585z00_536, bool_t BgL_unsafe1586z00_537)
	{
		{	/* Ast/nodetype.sch 1105 */
			{	/* Ast/nodetype.sch 1105 */
				BgL_vrefz00_bglt BgL_new1474z00_9318;

				{	/* Ast/nodetype.sch 1105 */
					BgL_vrefz00_bglt BgL_new1473z00_9319;

					BgL_new1473z00_9319 =
						((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vrefz00_bgl))));
					{	/* Ast/nodetype.sch 1105 */
						long BgL_arg1838z00_9320;

						BgL_arg1838z00_9320 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1473z00_9319), BgL_arg1838z00_9320);
					}
					{	/* Ast/nodetype.sch 1105 */
						BgL_objectz00_bglt BgL_tmpz00_12425;

						BgL_tmpz00_12425 = ((BgL_objectz00_bglt) BgL_new1473z00_9319);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12425, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1473z00_9319);
					BgL_new1474z00_9318 = BgL_new1473z00_9319;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1474z00_9318)))->BgL_locz00) =
					((obj_t) BgL_loc1576z00_527), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1474z00_9318)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1577z00_528), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1474z00_9318)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1578zd2_529), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1474z00_9318)))->BgL_keyz00) =
					((obj_t) BgL_key1579z00_530), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1474z00_9318)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21580za2_531), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1474z00_9318)))->BgL_effectz00) =
					((obj_t) BgL_effect1581z00_532), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1474z00_9318)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1582zd2_533), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1474z00_9318))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1583z00_534), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1474z00_9318))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1584z00_535), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1474z00_9318))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1585z00_536), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1474z00_9318))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1586z00_537), BUNSPEC);
				return BgL_new1474z00_9318;
			}
		}

	}



/* &make-vref */
	BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t BgL_envz00_6939,
		obj_t BgL_loc1576z00_6940, obj_t BgL_type1577z00_6941,
		obj_t BgL_sidezd2effect1578zd2_6942, obj_t BgL_key1579z00_6943,
		obj_t BgL_exprza21580za2_6944, obj_t BgL_effect1581z00_6945,
		obj_t BgL_czd2format1582zd2_6946, obj_t BgL_ftype1583z00_6947,
		obj_t BgL_otype1584z00_6948, obj_t BgL_vtype1585z00_6949,
		obj_t BgL_unsafe1586z00_6950)
	{
		{	/* Ast/nodetype.sch 1105 */
			return
				BGl_makezd2vrefzd2zzast_nodez00(BgL_loc1576z00_6940,
				((BgL_typez00_bglt) BgL_type1577z00_6941),
				BgL_sidezd2effect1578zd2_6942, BgL_key1579z00_6943,
				BgL_exprza21580za2_6944, BgL_effect1581z00_6945,
				BgL_czd2format1582zd2_6946, ((BgL_typez00_bglt) BgL_ftype1583z00_6947),
				((BgL_typez00_bglt) BgL_otype1584z00_6948),
				((BgL_typez00_bglt) BgL_vtype1585z00_6949),
				CBOOL(BgL_unsafe1586z00_6950));
		}

	}



/* vref? */
	BGL_EXPORTED_DEF bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t BgL_objz00_538)
	{
		{	/* Ast/nodetype.sch 1106 */
			{	/* Ast/nodetype.sch 1106 */
				obj_t BgL_classz00_9321;

				BgL_classz00_9321 = BGl_vrefz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_538))
					{	/* Ast/nodetype.sch 1106 */
						BgL_objectz00_bglt BgL_arg1825z00_9322;

						BgL_arg1825z00_9322 = (BgL_objectz00_bglt) (BgL_objz00_538);
						{	/* Ast/nodetype.sch 1106 */
							bool_t BgL_arg1822z00_9323;
							bool_t BgL_arg1823z00_9324;

							{	/* Ast/nodetype.sch 1106 */
								long BgL_idxz00_9325;

								BgL_idxz00_9325 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9322);
								BgL_arg1822z00_9323 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9325 + ((long) 5))) == BgL_classz00_9321);
							}
							{	/* Ast/nodetype.sch 1106 */
								bool_t BgL_res3004z00_9328;

								{	/* Ast/nodetype.sch 1106 */
									obj_t BgL_oclassz00_9329;

									{	/* Ast/nodetype.sch 1106 */
										long BgL_arg1833z00_9330;

										{	/* Ast/nodetype.sch 1106 */
											long BgL_arg1834z00_9331;

											BgL_arg1834z00_9331 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9322);
											BgL_arg1833z00_9330 = (BgL_arg1834z00_9331 - OBJECT_TYPE);
										}
										BgL_oclassz00_9329 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9330);
									}
									{	/* Ast/nodetype.sch 1106 */
										bool_t BgL__ortest_1110z00_9332;

										BgL__ortest_1110z00_9332 =
											(BgL_classz00_9321 == BgL_oclassz00_9329);
										if (BgL__ortest_1110z00_9332)
											{	/* Ast/nodetype.sch 1106 */
												BgL_res3004z00_9328 = BgL__ortest_1110z00_9332;
											}
										else
											{	/* Ast/nodetype.sch 1106 */
												long BgL_odepthz00_9333;

												BgL_odepthz00_9333 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9329);
												if ((((long) 5) < BgL_odepthz00_9333))
													{	/* Ast/nodetype.sch 1106 */
														obj_t BgL_arg1821z00_9334;

														BgL_arg1821z00_9334 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9329,
															((long) 5));
														BgL_res3004z00_9328 =
															(BgL_arg1821z00_9334 == BgL_classz00_9321);
													}
												else
													{	/* Ast/nodetype.sch 1106 */
														BgL_res3004z00_9328 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9324 = BgL_res3004z00_9328;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9323, BgL_arg1823z00_9324);
						}
					}
				else
					{	/* Ast/nodetype.sch 1106 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &vref? */
	obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t BgL_envz00_6951,
		obj_t BgL_objz00_6952)
	{
		{	/* Ast/nodetype.sch 1106 */
			return BBOOL(BGl_vrefzf3zf3zzast_nodez00(BgL_objz00_6952));
		}

	}



/* vref-nil */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1107 */
			{	/* Ast/nodetype.sch 1107 */
				obj_t BgL_classz00_4727;

				BgL_classz00_4727 = BGl_vrefz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1107 */
					obj_t BgL__ortest_1112z00_4728;

					BgL__ortest_1112z00_4728 = BGL_CLASS_NIL(BgL_classz00_4727);
					if (CBOOL(BgL__ortest_1112z00_4728))
						{	/* Ast/nodetype.sch 1107 */
							return ((BgL_vrefz00_bglt) BgL__ortest_1112z00_4728);
						}
					else
						{	/* Ast/nodetype.sch 1107 */
							return
								((BgL_vrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4727));
						}
				}
			}
		}

	}



/* &vref-nil */
	BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6953)
	{
		{	/* Ast/nodetype.sch 1107 */
			return BGl_vrefzd2nilzd2zzast_nodez00();
		}

	}



/* vref-unsafe */
	BGL_EXPORTED_DEF bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_539)
	{
		{	/* Ast/nodetype.sch 1108 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_539))->BgL_unsafez00);
		}

	}



/* &vref-unsafe */
	obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t BgL_envz00_6954,
		obj_t BgL_oz00_6955)
	{
		{	/* Ast/nodetype.sch 1108 */
			return
				BBOOL(BGl_vrefzd2unsafezd2zzast_nodez00(
					((BgL_vrefz00_bglt) BgL_oz00_6955)));
		}

	}



/* vref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_542)
	{
		{	/* Ast/nodetype.sch 1110 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_542))->BgL_vtypez00);
		}

	}



/* &vref-vtype */
	BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_6956,
		obj_t BgL_oz00_6957)
	{
		{	/* Ast/nodetype.sch 1110 */
			return
				BGl_vrefzd2vtypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6957));
		}

	}



/* vref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_543,
		BgL_typez00_bglt BgL_vz00_544)
	{
		{	/* Ast/nodetype.sch 1111 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_543))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_544), BUNSPEC);
		}

	}



/* &vref-vtype-set! */
	obj_t BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6958,
		obj_t BgL_oz00_6959, obj_t BgL_vz00_6960)
	{
		{	/* Ast/nodetype.sch 1111 */
			return
				BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6959), ((BgL_typez00_bglt) BgL_vz00_6960));
		}

	}



/* vref-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_545)
	{
		{	/* Ast/nodetype.sch 1112 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_545))->BgL_otypez00);
		}

	}



/* &vref-otype */
	BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t BgL_envz00_6961,
		obj_t BgL_oz00_6962)
	{
		{	/* Ast/nodetype.sch 1112 */
			return
				BGl_vrefzd2otypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6962));
		}

	}



/* vref-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2otypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_546,
		BgL_typez00_bglt BgL_vz00_547)
	{
		{	/* Ast/nodetype.sch 1113 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_546))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_547), BUNSPEC);
		}

	}



/* &vref-otype-set! */
	obj_t BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6963,
		obj_t BgL_oz00_6964, obj_t BgL_vz00_6965)
	{
		{	/* Ast/nodetype.sch 1113 */
			return
				BGl_vrefzd2otypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6964), ((BgL_typez00_bglt) BgL_vz00_6965));
		}

	}



/* vref-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_548)
	{
		{	/* Ast/nodetype.sch 1114 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_548))->BgL_ftypez00);
		}

	}



/* &vref-ftype */
	BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t BgL_envz00_6966,
		obj_t BgL_oz00_6967)
	{
		{	/* Ast/nodetype.sch 1114 */
			return
				BGl_vrefzd2ftypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6967));
		}

	}



/* vref-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_549,
		BgL_typez00_bglt BgL_vz00_550)
	{
		{	/* Ast/nodetype.sch 1115 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_549))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_550), BUNSPEC);
		}

	}



/* &vref-ftype-set! */
	obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6968,
		obj_t BgL_oz00_6969, obj_t BgL_vz00_6970)
	{
		{	/* Ast/nodetype.sch 1115 */
			return
				BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6969), ((BgL_typez00_bglt) BgL_vz00_6970));
		}

	}



/* vref-c-format */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_551)
	{
		{	/* Ast/nodetype.sch 1116 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_551)))->BgL_czd2formatzd2);
		}

	}



/* &vref-c-format */
	obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6971,
		obj_t BgL_oz00_6972)
	{
		{	/* Ast/nodetype.sch 1116 */
			return
				BGl_vrefzd2czd2formatz00zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6972));
		}

	}



/* vref-effect */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_554)
	{
		{	/* Ast/nodetype.sch 1118 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_554)))->BgL_effectz00);
		}

	}



/* &vref-effect */
	obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6973,
		obj_t BgL_oz00_6974)
	{
		{	/* Ast/nodetype.sch 1118 */
			return
				BGl_vrefzd2effectzd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6974));
		}

	}



/* vref-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_555,
		obj_t BgL_vz00_556)
	{
		{	/* Ast/nodetype.sch 1119 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_555)))->BgL_effectz00) =
				((obj_t) BgL_vz00_556), BUNSPEC);
		}

	}



/* &vref-effect-set! */
	obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6975,
		obj_t BgL_oz00_6976, obj_t BgL_vz00_6977)
	{
		{	/* Ast/nodetype.sch 1119 */
			return
				BGl_vrefzd2effectzd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6976), BgL_vz00_6977);
		}

	}



/* vref-expr* */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_557)
	{
		{	/* Ast/nodetype.sch 1120 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_557)))->BgL_exprza2za2);
		}

	}



/* &vref-expr* */
	obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6978,
		obj_t BgL_oz00_6979)
	{
		{	/* Ast/nodetype.sch 1120 */
			return
				BGl_vrefzd2exprza2z70zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6979));
		}

	}



/* vref-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_558,
		obj_t BgL_vz00_559)
	{
		{	/* Ast/nodetype.sch 1121 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_558)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_559), BUNSPEC);
		}

	}



/* &vref-expr*-set! */
	obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6980,
		obj_t BgL_oz00_6981, obj_t BgL_vz00_6982)
	{
		{	/* Ast/nodetype.sch 1121 */
			return
				BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6981), BgL_vz00_6982);
		}

	}



/* vref-key */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_560)
	{
		{	/* Ast/nodetype.sch 1122 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_560)))->BgL_keyz00);
		}

	}



/* &vref-key */
	obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6983,
		obj_t BgL_oz00_6984)
	{
		{	/* Ast/nodetype.sch 1122 */
			return BGl_vrefzd2keyzd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6984));
		}

	}



/* vref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_561,
		obj_t BgL_vz00_562)
	{
		{	/* Ast/nodetype.sch 1123 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_561)))->BgL_keyz00) =
				((obj_t) BgL_vz00_562), BUNSPEC);
		}

	}



/* &vref-key-set! */
	obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6985,
		obj_t BgL_oz00_6986, obj_t BgL_vz00_6987)
	{
		{	/* Ast/nodetype.sch 1123 */
			return
				BGl_vrefzd2keyzd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6986), BgL_vz00_6987);
		}

	}



/* vref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_563)
	{
		{	/* Ast/nodetype.sch 1124 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_563)))->BgL_sidezd2effectzd2);
		}

	}



/* &vref-side-effect */
	obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6988,
		obj_t BgL_oz00_6989)
	{
		{	/* Ast/nodetype.sch 1124 */
			return
				BGl_vrefzd2sidezd2effectz00zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6989));
		}

	}



/* vref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_564, obj_t BgL_vz00_565)
	{
		{	/* Ast/nodetype.sch 1125 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_564)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_565), BUNSPEC);
		}

	}



/* &vref-side-effect-set! */
	obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6990, obj_t BgL_oz00_6991, obj_t BgL_vz00_6992)
	{
		{	/* Ast/nodetype.sch 1125 */
			return
				BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6991), BgL_vz00_6992);
		}

	}



/* vref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_566)
	{
		{	/* Ast/nodetype.sch 1126 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_566)))->BgL_typez00);
		}

	}



/* &vref-type */
	BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t BgL_envz00_6993,
		obj_t BgL_oz00_6994)
	{
		{	/* Ast/nodetype.sch 1126 */
			return
				BGl_vrefzd2typezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6994));
		}

	}



/* vref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_567,
		BgL_typez00_bglt BgL_vz00_568)
	{
		{	/* Ast/nodetype.sch 1127 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_567)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_568), BUNSPEC);
		}

	}



/* &vref-type-set! */
	obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6995,
		obj_t BgL_oz00_6996, obj_t BgL_vz00_6997)
	{
		{	/* Ast/nodetype.sch 1127 */
			return
				BGl_vrefzd2typezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6996), ((BgL_typez00_bglt) BgL_vz00_6997));
		}

	}



/* vref-loc */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_569)
	{
		{	/* Ast/nodetype.sch 1128 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_569)))->BgL_locz00);
		}

	}



/* &vref-loc */
	obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t BgL_envz00_6998,
		obj_t BgL_oz00_6999)
	{
		{	/* Ast/nodetype.sch 1128 */
			return BGl_vrefzd2loczd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6999));
		}

	}



/* make-vset! */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_makezd2vsetz12zc0zzast_nodez00(obj_t
		BgL_loc1564z00_572, BgL_typez00_bglt BgL_type1565z00_573,
		obj_t BgL_sidezd2effect1566zd2_574, obj_t BgL_key1567z00_575,
		obj_t BgL_exprza21568za2_576, obj_t BgL_effect1569z00_577,
		obj_t BgL_czd2format1570zd2_578, BgL_typez00_bglt BgL_ftype1571z00_579,
		BgL_typez00_bglt BgL_otype1572z00_580,
		BgL_typez00_bglt BgL_vtype1573z00_581, bool_t BgL_unsafe1574z00_582)
	{
		{	/* Ast/nodetype.sch 1132 */
			{	/* Ast/nodetype.sch 1132 */
				BgL_vsetz12z12_bglt BgL_new1476z00_9335;

				{	/* Ast/nodetype.sch 1132 */
					BgL_vsetz12z12_bglt BgL_new1475z00_9336;

					BgL_new1475z00_9336 =
						((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vsetz12z12_bgl))));
					{	/* Ast/nodetype.sch 1132 */
						long BgL_arg1839z00_9337;

						BgL_arg1839z00_9337 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1475z00_9336), BgL_arg1839z00_9337);
					}
					{	/* Ast/nodetype.sch 1132 */
						BgL_objectz00_bglt BgL_tmpz00_12558;

						BgL_tmpz00_12558 = ((BgL_objectz00_bglt) BgL_new1475z00_9336);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12558, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1475z00_9336);
					BgL_new1476z00_9335 = BgL_new1475z00_9336;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1476z00_9335)))->BgL_locz00) =
					((obj_t) BgL_loc1564z00_572), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1476z00_9335)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1565z00_573), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1476z00_9335)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1566zd2_574), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1476z00_9335)))->BgL_keyz00) =
					((obj_t) BgL_key1567z00_575), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1476z00_9335)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21568za2_576), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1476z00_9335)))->BgL_effectz00) =
					((obj_t) BgL_effect1569z00_577), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1476z00_9335)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1570zd2_578), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1476z00_9335))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1571z00_579), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1476z00_9335))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1572z00_580), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1476z00_9335))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1573z00_581), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1476z00_9335))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1574z00_582), BUNSPEC);
				return BgL_new1476z00_9335;
			}
		}

	}



/* &make-vset! */
	BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t
		BgL_envz00_7000, obj_t BgL_loc1564z00_7001, obj_t BgL_type1565z00_7002,
		obj_t BgL_sidezd2effect1566zd2_7003, obj_t BgL_key1567z00_7004,
		obj_t BgL_exprza21568za2_7005, obj_t BgL_effect1569z00_7006,
		obj_t BgL_czd2format1570zd2_7007, obj_t BgL_ftype1571z00_7008,
		obj_t BgL_otype1572z00_7009, obj_t BgL_vtype1573z00_7010,
		obj_t BgL_unsafe1574z00_7011)
	{
		{	/* Ast/nodetype.sch 1132 */
			return
				BGl_makezd2vsetz12zc0zzast_nodez00(BgL_loc1564z00_7001,
				((BgL_typez00_bglt) BgL_type1565z00_7002),
				BgL_sidezd2effect1566zd2_7003, BgL_key1567z00_7004,
				BgL_exprza21568za2_7005, BgL_effect1569z00_7006,
				BgL_czd2format1570zd2_7007, ((BgL_typez00_bglt) BgL_ftype1571z00_7008),
				((BgL_typez00_bglt) BgL_otype1572z00_7009),
				((BgL_typez00_bglt) BgL_vtype1573z00_7010),
				CBOOL(BgL_unsafe1574z00_7011));
		}

	}



/* vset!? */
	BGL_EXPORTED_DEF bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t BgL_objz00_583)
	{
		{	/* Ast/nodetype.sch 1133 */
			{	/* Ast/nodetype.sch 1133 */
				obj_t BgL_classz00_9338;

				BgL_classz00_9338 = BGl_vsetz12z12zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_583))
					{	/* Ast/nodetype.sch 1133 */
						BgL_objectz00_bglt BgL_arg1825z00_9339;

						BgL_arg1825z00_9339 = (BgL_objectz00_bglt) (BgL_objz00_583);
						{	/* Ast/nodetype.sch 1133 */
							bool_t BgL_arg1822z00_9340;
							bool_t BgL_arg1823z00_9341;

							{	/* Ast/nodetype.sch 1133 */
								long BgL_idxz00_9342;

								BgL_idxz00_9342 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9339);
								BgL_arg1822z00_9340 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9342 + ((long) 5))) == BgL_classz00_9338);
							}
							{	/* Ast/nodetype.sch 1133 */
								bool_t BgL_res3005z00_9345;

								{	/* Ast/nodetype.sch 1133 */
									obj_t BgL_oclassz00_9346;

									{	/* Ast/nodetype.sch 1133 */
										long BgL_arg1833z00_9347;

										{	/* Ast/nodetype.sch 1133 */
											long BgL_arg1834z00_9348;

											BgL_arg1834z00_9348 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9339);
											BgL_arg1833z00_9347 = (BgL_arg1834z00_9348 - OBJECT_TYPE);
										}
										BgL_oclassz00_9346 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9347);
									}
									{	/* Ast/nodetype.sch 1133 */
										bool_t BgL__ortest_1110z00_9349;

										BgL__ortest_1110z00_9349 =
											(BgL_classz00_9338 == BgL_oclassz00_9346);
										if (BgL__ortest_1110z00_9349)
											{	/* Ast/nodetype.sch 1133 */
												BgL_res3005z00_9345 = BgL__ortest_1110z00_9349;
											}
										else
											{	/* Ast/nodetype.sch 1133 */
												long BgL_odepthz00_9350;

												BgL_odepthz00_9350 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9346);
												if ((((long) 5) < BgL_odepthz00_9350))
													{	/* Ast/nodetype.sch 1133 */
														obj_t BgL_arg1821z00_9351;

														BgL_arg1821z00_9351 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9346,
															((long) 5));
														BgL_res3005z00_9345 =
															(BgL_arg1821z00_9351 == BgL_classz00_9338);
													}
												else
													{	/* Ast/nodetype.sch 1133 */
														BgL_res3005z00_9345 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9341 = BgL_res3005z00_9345;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9340, BgL_arg1823z00_9341);
						}
					}
				else
					{	/* Ast/nodetype.sch 1133 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &vset!? */
	obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t BgL_envz00_7012,
		obj_t BgL_objz00_7013)
	{
		{	/* Ast/nodetype.sch 1133 */
			return BBOOL(BGl_vsetz12zf3ze1zzast_nodez00(BgL_objz00_7013));
		}

	}



/* vset!-nil */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1134 */
			{	/* Ast/nodetype.sch 1134 */
				obj_t BgL_classz00_4768;

				BgL_classz00_4768 = BGl_vsetz12z12zzast_nodez00;
				{	/* Ast/nodetype.sch 1134 */
					obj_t BgL__ortest_1112z00_4769;

					BgL__ortest_1112z00_4769 = BGL_CLASS_NIL(BgL_classz00_4768);
					if (CBOOL(BgL__ortest_1112z00_4769))
						{	/* Ast/nodetype.sch 1134 */
							return ((BgL_vsetz12z12_bglt) BgL__ortest_1112z00_4769);
						}
					else
						{	/* Ast/nodetype.sch 1134 */
							return
								((BgL_vsetz12z12_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4768));
						}
				}
			}
		}

	}



/* &vset!-nil */
	BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t
		BgL_envz00_7014)
	{
		{	/* Ast/nodetype.sch 1134 */
			return BGl_vsetz12zd2nilzc0zzast_nodez00();
		}

	}



/* vset!-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_584)
	{
		{	/* Ast/nodetype.sch 1135 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_584))->BgL_unsafez00);
		}

	}



/* &vset!-unsafe */
	obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t BgL_envz00_7015,
		obj_t BgL_oz00_7016)
	{
		{	/* Ast/nodetype.sch 1135 */
			return
				BBOOL(BGl_vsetz12zd2unsafezc0zzast_nodez00(
					((BgL_vsetz12z12_bglt) BgL_oz00_7016)));
		}

	}



/* vset!-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_587)
	{
		{	/* Ast/nodetype.sch 1137 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_587))->BgL_vtypez00);
		}

	}



/* &vset!-vtype */
	BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t BgL_envz00_7017,
		obj_t BgL_oz00_7018)
	{
		{	/* Ast/nodetype.sch 1137 */
			return
				BGl_vsetz12zd2vtypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7018));
		}

	}



/* vset!-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_588, BgL_typez00_bglt BgL_vz00_589)
	{
		{	/* Ast/nodetype.sch 1138 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_588))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_589), BUNSPEC);
		}

	}



/* &vset!-vtype-set! */
	obj_t BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_7019,
		obj_t BgL_oz00_7020, obj_t BgL_vz00_7021)
	{
		{	/* Ast/nodetype.sch 1138 */
			return
				BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7020),
				((BgL_typez00_bglt) BgL_vz00_7021));
		}

	}



/* vset!-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_590)
	{
		{	/* Ast/nodetype.sch 1139 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_590))->BgL_otypez00);
		}

	}



/* &vset!-otype */
	BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t BgL_envz00_7022,
		obj_t BgL_oz00_7023)
	{
		{	/* Ast/nodetype.sch 1139 */
			return
				BGl_vsetz12zd2otypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7023));
		}

	}



/* vset!-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_591, BgL_typez00_bglt BgL_vz00_592)
	{
		{	/* Ast/nodetype.sch 1140 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_591))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_592), BUNSPEC);
		}

	}



/* &vset!-otype-set! */
	obj_t BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_7024,
		obj_t BgL_oz00_7025, obj_t BgL_vz00_7026)
	{
		{	/* Ast/nodetype.sch 1140 */
			return
				BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7025),
				((BgL_typez00_bglt) BgL_vz00_7026));
		}

	}



/* vset!-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_593)
	{
		{	/* Ast/nodetype.sch 1141 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_593))->BgL_ftypez00);
		}

	}



/* &vset!-ftype */
	BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t BgL_envz00_7027,
		obj_t BgL_oz00_7028)
	{
		{	/* Ast/nodetype.sch 1141 */
			return
				BGl_vsetz12zd2ftypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7028));
		}

	}



/* vset!-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_594, BgL_typez00_bglt BgL_vz00_595)
	{
		{	/* Ast/nodetype.sch 1142 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_594))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_595), BUNSPEC);
		}

	}



/* &vset!-ftype-set! */
	obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_7029,
		obj_t BgL_oz00_7030, obj_t BgL_vz00_7031)
	{
		{	/* Ast/nodetype.sch 1142 */
			return
				BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7030),
				((BgL_typez00_bglt) BgL_vz00_7031));
		}

	}



/* vset!-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_596)
	{
		{	/* Ast/nodetype.sch 1143 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_596)))->BgL_czd2formatzd2);
		}

	}



/* &vset!-c-format */
	obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t BgL_envz00_7032,
		obj_t BgL_oz00_7033)
	{
		{	/* Ast/nodetype.sch 1143 */
			return
				BGl_vsetz12zd2czd2formatz12zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7033));
		}

	}



/* vset!-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_599)
	{
		{	/* Ast/nodetype.sch 1145 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_599)))->BgL_effectz00);
		}

	}



/* &vset!-effect */
	obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t BgL_envz00_7034,
		obj_t BgL_oz00_7035)
	{
		{	/* Ast/nodetype.sch 1145 */
			return
				BGl_vsetz12zd2effectzc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7035));
		}

	}



/* vset!-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_600, obj_t BgL_vz00_601)
	{
		{	/* Ast/nodetype.sch 1146 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_600)))->BgL_effectz00) =
				((obj_t) BgL_vz00_601), BUNSPEC);
		}

	}



/* &vset!-effect-set! */
	obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t BgL_envz00_7036,
		obj_t BgL_oz00_7037, obj_t BgL_vz00_7038)
	{
		{	/* Ast/nodetype.sch 1146 */
			return
				BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7037), BgL_vz00_7038);
		}

	}



/* vset!-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_602)
	{
		{	/* Ast/nodetype.sch 1147 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_602)))->BgL_exprza2za2);
		}

	}



/* &vset!-expr* */
	obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t BgL_envz00_7039,
		obj_t BgL_oz00_7040)
	{
		{	/* Ast/nodetype.sch 1147 */
			return
				BGl_vsetz12zd2exprza2z62zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7040));
		}

	}



/* vset!-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_603, obj_t BgL_vz00_604)
	{
		{	/* Ast/nodetype.sch 1148 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_603)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_604), BUNSPEC);
		}

	}



/* &vset!-expr*-set! */
	obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t BgL_envz00_7041,
		obj_t BgL_oz00_7042, obj_t BgL_vz00_7043)
	{
		{	/* Ast/nodetype.sch 1148 */
			return
				BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7042), BgL_vz00_7043);
		}

	}



/* vset!-key */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_605)
	{
		{	/* Ast/nodetype.sch 1149 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_605)))->BgL_keyz00);
		}

	}



/* &vset!-key */
	obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t BgL_envz00_7044,
		obj_t BgL_oz00_7045)
	{
		{	/* Ast/nodetype.sch 1149 */
			return
				BGl_vsetz12zd2keyzc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7045));
		}

	}



/* vset!-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_606,
		obj_t BgL_vz00_607)
	{
		{	/* Ast/nodetype.sch 1150 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_606)))->BgL_keyz00) =
				((obj_t) BgL_vz00_607), BUNSPEC);
		}

	}



/* &vset!-key-set! */
	obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t BgL_envz00_7046,
		obj_t BgL_oz00_7047, obj_t BgL_vz00_7048)
	{
		{	/* Ast/nodetype.sch 1150 */
			return
				BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7047), BgL_vz00_7048);
		}

	}



/* vset!-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_608)
	{
		{	/* Ast/nodetype.sch 1151 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_608)))->BgL_sidezd2effectzd2);
		}

	}



/* &vset!-side-effect */
	obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t BgL_envz00_7049,
		obj_t BgL_oz00_7050)
	{
		{	/* Ast/nodetype.sch 1151 */
			return
				BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7050));
		}

	}



/* vset!-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_609, obj_t BgL_vz00_610)
	{
		{	/* Ast/nodetype.sch 1152 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_609)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_610), BUNSPEC);
		}

	}



/* &vset!-side-effect-set! */
	obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7051, obj_t BgL_oz00_7052, obj_t BgL_vz00_7053)
	{
		{	/* Ast/nodetype.sch 1152 */
			return
				BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7052), BgL_vz00_7053);
		}

	}



/* vset!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_611)
	{
		{	/* Ast/nodetype.sch 1153 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_611)))->BgL_typez00);
		}

	}



/* &vset!-type */
	BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t BgL_envz00_7054,
		obj_t BgL_oz00_7055)
	{
		{	/* Ast/nodetype.sch 1153 */
			return
				BGl_vsetz12zd2typezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7055));
		}

	}



/* vset!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_612, BgL_typez00_bglt BgL_vz00_613)
	{
		{	/* Ast/nodetype.sch 1154 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_612)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_613), BUNSPEC);
		}

	}



/* &vset!-type-set! */
	obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t BgL_envz00_7056,
		obj_t BgL_oz00_7057, obj_t BgL_vz00_7058)
	{
		{	/* Ast/nodetype.sch 1154 */
			return
				BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7057),
				((BgL_typez00_bglt) BgL_vz00_7058));
		}

	}



/* vset!-loc */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_614)
	{
		{	/* Ast/nodetype.sch 1155 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_614)))->BgL_locz00);
		}

	}



/* &vset!-loc */
	obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t BgL_envz00_7059,
		obj_t BgL_oz00_7060)
	{
		{	/* Ast/nodetype.sch 1155 */
			return
				BGl_vsetz12zd2loczc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7060));
		}

	}



/* make-vlength */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_makezd2vlengthzd2zzast_nodez00(obj_t
		BgL_loc1554z00_617, BgL_typez00_bglt BgL_type1555z00_618,
		obj_t BgL_sidezd2effect1556zd2_619, obj_t BgL_key1557z00_620,
		obj_t BgL_exprza21558za2_621, obj_t BgL_effect1559z00_622,
		obj_t BgL_czd2format1560zd2_623, BgL_typez00_bglt BgL_vtype1561z00_624,
		obj_t BgL_ftype1562z00_625)
	{
		{	/* Ast/nodetype.sch 1159 */
			{	/* Ast/nodetype.sch 1159 */
				BgL_vlengthz00_bglt BgL_new1478z00_9352;

				{	/* Ast/nodetype.sch 1159 */
					BgL_vlengthz00_bglt BgL_new1477z00_9353;

					BgL_new1477z00_9353 =
						((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/nodetype.sch 1159 */
						long BgL_arg1842z00_9354;

						BgL_arg1842z00_9354 = BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1477z00_9353), BgL_arg1842z00_9354);
					}
					{	/* Ast/nodetype.sch 1159 */
						BgL_objectz00_bglt BgL_tmpz00_12691;

						BgL_tmpz00_12691 = ((BgL_objectz00_bglt) BgL_new1477z00_9353);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12691, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1477z00_9353);
					BgL_new1478z00_9352 = BgL_new1477z00_9353;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1478z00_9352)))->BgL_locz00) =
					((obj_t) BgL_loc1554z00_617), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1478z00_9352)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1555z00_618), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1478z00_9352)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1556zd2_619), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1478z00_9352)))->BgL_keyz00) =
					((obj_t) BgL_key1557z00_620), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1478z00_9352)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21558za2_621), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1478z00_9352)))->BgL_effectz00) =
					((obj_t) BgL_effect1559z00_622), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1478z00_9352)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1560zd2_623), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1478z00_9352))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1561z00_624), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1478z00_9352))->BgL_ftypez00) =
					((obj_t) BgL_ftype1562z00_625), BUNSPEC);
				return BgL_new1478z00_9352;
			}
		}

	}



/* &make-vlength */
	BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t
		BgL_envz00_7061, obj_t BgL_loc1554z00_7062, obj_t BgL_type1555z00_7063,
		obj_t BgL_sidezd2effect1556zd2_7064, obj_t BgL_key1557z00_7065,
		obj_t BgL_exprza21558za2_7066, obj_t BgL_effect1559z00_7067,
		obj_t BgL_czd2format1560zd2_7068, obj_t BgL_vtype1561z00_7069,
		obj_t BgL_ftype1562z00_7070)
	{
		{	/* Ast/nodetype.sch 1159 */
			return
				BGl_makezd2vlengthzd2zzast_nodez00(BgL_loc1554z00_7062,
				((BgL_typez00_bglt) BgL_type1555z00_7063),
				BgL_sidezd2effect1556zd2_7064, BgL_key1557z00_7065,
				BgL_exprza21558za2_7066, BgL_effect1559z00_7067,
				BgL_czd2format1560zd2_7068, ((BgL_typez00_bglt) BgL_vtype1561z00_7069),
				BgL_ftype1562z00_7070);
		}

	}



/* vlength? */
	BGL_EXPORTED_DEF bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t BgL_objz00_626)
	{
		{	/* Ast/nodetype.sch 1160 */
			{	/* Ast/nodetype.sch 1160 */
				obj_t BgL_classz00_9355;

				BgL_classz00_9355 = BGl_vlengthz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_626))
					{	/* Ast/nodetype.sch 1160 */
						BgL_objectz00_bglt BgL_arg1825z00_9356;

						BgL_arg1825z00_9356 = (BgL_objectz00_bglt) (BgL_objz00_626);
						{	/* Ast/nodetype.sch 1160 */
							bool_t BgL_arg1822z00_9357;
							bool_t BgL_arg1823z00_9358;

							{	/* Ast/nodetype.sch 1160 */
								long BgL_idxz00_9359;

								BgL_idxz00_9359 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9356);
								BgL_arg1822z00_9357 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9359 + ((long) 5))) == BgL_classz00_9355);
							}
							{	/* Ast/nodetype.sch 1160 */
								bool_t BgL_res3006z00_9362;

								{	/* Ast/nodetype.sch 1160 */
									obj_t BgL_oclassz00_9363;

									{	/* Ast/nodetype.sch 1160 */
										long BgL_arg1833z00_9364;

										{	/* Ast/nodetype.sch 1160 */
											long BgL_arg1834z00_9365;

											BgL_arg1834z00_9365 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9356);
											BgL_arg1833z00_9364 = (BgL_arg1834z00_9365 - OBJECT_TYPE);
										}
										BgL_oclassz00_9363 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9364);
									}
									{	/* Ast/nodetype.sch 1160 */
										bool_t BgL__ortest_1110z00_9366;

										BgL__ortest_1110z00_9366 =
											(BgL_classz00_9355 == BgL_oclassz00_9363);
										if (BgL__ortest_1110z00_9366)
											{	/* Ast/nodetype.sch 1160 */
												BgL_res3006z00_9362 = BgL__ortest_1110z00_9366;
											}
										else
											{	/* Ast/nodetype.sch 1160 */
												long BgL_odepthz00_9367;

												BgL_odepthz00_9367 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9363);
												if ((((long) 5) < BgL_odepthz00_9367))
													{	/* Ast/nodetype.sch 1160 */
														obj_t BgL_arg1821z00_9368;

														BgL_arg1821z00_9368 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9363,
															((long) 5));
														BgL_res3006z00_9362 =
															(BgL_arg1821z00_9368 == BgL_classz00_9355);
													}
												else
													{	/* Ast/nodetype.sch 1160 */
														BgL_res3006z00_9362 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9358 = BgL_res3006z00_9362;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9357, BgL_arg1823z00_9358);
						}
					}
				else
					{	/* Ast/nodetype.sch 1160 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &vlength? */
	obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t BgL_envz00_7071,
		obj_t BgL_objz00_7072)
	{
		{	/* Ast/nodetype.sch 1160 */
			return BBOOL(BGl_vlengthzf3zf3zzast_nodez00(BgL_objz00_7072));
		}

	}



/* vlength-nil */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1161 */
			{	/* Ast/nodetype.sch 1161 */
				obj_t BgL_classz00_4809;

				BgL_classz00_4809 = BGl_vlengthz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1161 */
					obj_t BgL__ortest_1112z00_4810;

					BgL__ortest_1112z00_4810 = BGL_CLASS_NIL(BgL_classz00_4809);
					if (CBOOL(BgL__ortest_1112z00_4810))
						{	/* Ast/nodetype.sch 1161 */
							return ((BgL_vlengthz00_bglt) BgL__ortest_1112z00_4810);
						}
					else
						{	/* Ast/nodetype.sch 1161 */
							return
								((BgL_vlengthz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4809));
						}
				}
			}
		}

	}



/* &vlength-nil */
	BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7073)
	{
		{	/* Ast/nodetype.sch 1161 */
			return BGl_vlengthzd2nilzd2zzast_nodez00();
		}

	}



/* vlength-ftype */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2ftypezd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_627)
	{
		{	/* Ast/nodetype.sch 1162 */
			return (((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_627))->BgL_ftypez00);
		}

	}



/* &vlength-ftype */
	obj_t BGl_z62vlengthzd2ftypezb0zzast_nodez00(obj_t BgL_envz00_7074,
		obj_t BgL_oz00_7075)
	{
		{	/* Ast/nodetype.sch 1162 */
			return
				BGl_vlengthzd2ftypezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7075));
		}

	}



/* vlength-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_630)
	{
		{	/* Ast/nodetype.sch 1164 */
			return (((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_630))->BgL_vtypez00);
		}

	}



/* &vlength-vtype */
	BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_7076,
		obj_t BgL_oz00_7077)
	{
		{	/* Ast/nodetype.sch 1164 */
			return
				BGl_vlengthzd2vtypezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7077));
		}

	}



/* vlength-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_631, BgL_typez00_bglt BgL_vz00_632)
	{
		{	/* Ast/nodetype.sch 1165 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_631))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_632), BUNSPEC);
		}

	}



/* &vlength-vtype-set! */
	obj_t BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7078,
		obj_t BgL_oz00_7079, obj_t BgL_vz00_7080)
	{
		{	/* Ast/nodetype.sch 1165 */
			return
				BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7079),
				((BgL_typez00_bglt) BgL_vz00_7080));
		}

	}



/* vlength-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_633)
	{
		{	/* Ast/nodetype.sch 1166 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_633)))->BgL_czd2formatzd2);
		}

	}



/* &vlength-c-format */
	obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_7081,
		obj_t BgL_oz00_7082)
	{
		{	/* Ast/nodetype.sch 1166 */
			return
				BGl_vlengthzd2czd2formatz00zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7082));
		}

	}



/* vlength-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_636)
	{
		{	/* Ast/nodetype.sch 1168 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_636)))->BgL_effectz00);
		}

	}



/* &vlength-effect */
	obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t BgL_envz00_7083,
		obj_t BgL_oz00_7084)
	{
		{	/* Ast/nodetype.sch 1168 */
			return
				BGl_vlengthzd2effectzd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7084));
		}

	}



/* vlength-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_637, obj_t BgL_vz00_638)
	{
		{	/* Ast/nodetype.sch 1169 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_637)))->BgL_effectz00) =
				((obj_t) BgL_vz00_638), BUNSPEC);
		}

	}



/* &vlength-effect-set! */
	obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7085,
		obj_t BgL_oz00_7086, obj_t BgL_vz00_7087)
	{
		{	/* Ast/nodetype.sch 1169 */
			return
				BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7086), BgL_vz00_7087);
		}

	}



/* vlength-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_639)
	{
		{	/* Ast/nodetype.sch 1170 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_639)))->BgL_exprza2za2);
		}

	}



/* &vlength-expr* */
	obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_7088,
		obj_t BgL_oz00_7089)
	{
		{	/* Ast/nodetype.sch 1170 */
			return
				BGl_vlengthzd2exprza2z70zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7089));
		}

	}



/* vlength-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_640, obj_t BgL_vz00_641)
	{
		{	/* Ast/nodetype.sch 1171 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_640)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_641), BUNSPEC);
		}

	}



/* &vlength-expr*-set! */
	obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_7090,
		obj_t BgL_oz00_7091, obj_t BgL_vz00_7092)
	{
		{	/* Ast/nodetype.sch 1171 */
			return
				BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7091), BgL_vz00_7092);
		}

	}



/* vlength-key */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_642)
	{
		{	/* Ast/nodetype.sch 1172 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_642)))->BgL_keyz00);
		}

	}



/* &vlength-key */
	obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7093,
		obj_t BgL_oz00_7094)
	{
		{	/* Ast/nodetype.sch 1172 */
			return
				BGl_vlengthzd2keyzd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7094));
		}

	}



/* vlength-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_643,
		obj_t BgL_vz00_644)
	{
		{	/* Ast/nodetype.sch 1173 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_643)))->BgL_keyz00) =
				((obj_t) BgL_vz00_644), BUNSPEC);
		}

	}



/* &vlength-key-set! */
	obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7095,
		obj_t BgL_oz00_7096, obj_t BgL_vz00_7097)
	{
		{	/* Ast/nodetype.sch 1173 */
			return
				BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7096), BgL_vz00_7097);
		}

	}



/* vlength-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_645)
	{
		{	/* Ast/nodetype.sch 1174 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_645)))->BgL_sidezd2effectzd2);
		}

	}



/* &vlength-side-effect */
	obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_7098,
		obj_t BgL_oz00_7099)
	{
		{	/* Ast/nodetype.sch 1174 */
			return
				BGl_vlengthzd2sidezd2effectz00zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7099));
		}

	}



/* vlength-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_646, obj_t BgL_vz00_647)
	{
		{	/* Ast/nodetype.sch 1175 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_646)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_647), BUNSPEC);
		}

	}



/* &vlength-side-effect-set! */
	obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7100, obj_t BgL_oz00_7101, obj_t BgL_vz00_7102)
	{
		{	/* Ast/nodetype.sch 1175 */
			return
				BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7101), BgL_vz00_7102);
		}

	}



/* vlength-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_648)
	{
		{	/* Ast/nodetype.sch 1176 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_648)))->BgL_typez00);
		}

	}



/* &vlength-type */
	BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t BgL_envz00_7103,
		obj_t BgL_oz00_7104)
	{
		{	/* Ast/nodetype.sch 1176 */
			return
				BGl_vlengthzd2typezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7104));
		}

	}



/* vlength-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_649, BgL_typez00_bglt BgL_vz00_650)
	{
		{	/* Ast/nodetype.sch 1177 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_649)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_650), BUNSPEC);
		}

	}



/* &vlength-type-set! */
	obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7105,
		obj_t BgL_oz00_7106, obj_t BgL_vz00_7107)
	{
		{	/* Ast/nodetype.sch 1177 */
			return
				BGl_vlengthzd2typezd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7106),
				((BgL_typez00_bglt) BgL_vz00_7107));
		}

	}



/* vlength-loc */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_651)
	{
		{	/* Ast/nodetype.sch 1178 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_651)))->BgL_locz00);
		}

	}



/* &vlength-loc */
	obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t BgL_envz00_7108,
		obj_t BgL_oz00_7109)
	{
		{	/* Ast/nodetype.sch 1178 */
			return
				BGl_vlengthzd2loczd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7109));
		}

	}



/* make-instanceof */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t BgL_loc1545z00_654,
		BgL_typez00_bglt BgL_type1546z00_655, obj_t BgL_sidezd2effect1547zd2_656,
		obj_t BgL_key1548z00_657, obj_t BgL_exprza21549za2_658,
		obj_t BgL_effect1550z00_659, obj_t BgL_czd2format1551zd2_660,
		BgL_typez00_bglt BgL_class1552z00_661)
	{
		{	/* Ast/nodetype.sch 1182 */
			{	/* Ast/nodetype.sch 1182 */
				BgL_instanceofz00_bglt BgL_new1480z00_9369;

				{	/* Ast/nodetype.sch 1182 */
					BgL_instanceofz00_bglt BgL_new1479z00_9370;

					BgL_new1479z00_9370 =
						((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/nodetype.sch 1182 */
						long BgL_arg1848z00_9371;

						BgL_arg1848z00_9371 = BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1479z00_9370), BgL_arg1848z00_9371);
					}
					{	/* Ast/nodetype.sch 1182 */
						BgL_objectz00_bglt BgL_tmpz00_12804;

						BgL_tmpz00_12804 = ((BgL_objectz00_bglt) BgL_new1479z00_9370);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12804, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1479z00_9370);
					BgL_new1480z00_9369 = BgL_new1479z00_9370;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1480z00_9369)))->BgL_locz00) =
					((obj_t) BgL_loc1545z00_654), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1480z00_9369)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1546z00_655), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1480z00_9369)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1547zd2_656), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1480z00_9369)))->BgL_keyz00) =
					((obj_t) BgL_key1548z00_657), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1480z00_9369)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21549za2_658), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1480z00_9369)))->BgL_effectz00) =
					((obj_t) BgL_effect1550z00_659), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1480z00_9369)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1551zd2_660), BUNSPEC);
				((((BgL_instanceofz00_bglt) COBJECT(BgL_new1480z00_9369))->
						BgL_classz00) = ((BgL_typez00_bglt) BgL_class1552z00_661), BUNSPEC);
				return BgL_new1480z00_9369;
			}
		}

	}



/* &make-instanceof */
	BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t
		BgL_envz00_7110, obj_t BgL_loc1545z00_7111, obj_t BgL_type1546z00_7112,
		obj_t BgL_sidezd2effect1547zd2_7113, obj_t BgL_key1548z00_7114,
		obj_t BgL_exprza21549za2_7115, obj_t BgL_effect1550z00_7116,
		obj_t BgL_czd2format1551zd2_7117, obj_t BgL_class1552z00_7118)
	{
		{	/* Ast/nodetype.sch 1182 */
			return
				BGl_makezd2instanceofzd2zzast_nodez00(BgL_loc1545z00_7111,
				((BgL_typez00_bglt) BgL_type1546z00_7112),
				BgL_sidezd2effect1547zd2_7113, BgL_key1548z00_7114,
				BgL_exprza21549za2_7115, BgL_effect1550z00_7116,
				BgL_czd2format1551zd2_7117, ((BgL_typez00_bglt) BgL_class1552z00_7118));
		}

	}



/* instanceof? */
	BGL_EXPORTED_DEF bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t
		BgL_objz00_662)
	{
		{	/* Ast/nodetype.sch 1183 */
			{	/* Ast/nodetype.sch 1183 */
				obj_t BgL_classz00_9372;

				BgL_classz00_9372 = BGl_instanceofz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_662))
					{	/* Ast/nodetype.sch 1183 */
						BgL_objectz00_bglt BgL_arg1825z00_9373;

						BgL_arg1825z00_9373 = (BgL_objectz00_bglt) (BgL_objz00_662);
						{	/* Ast/nodetype.sch 1183 */
							bool_t BgL_arg1822z00_9374;
							bool_t BgL_arg1823z00_9375;

							{	/* Ast/nodetype.sch 1183 */
								long BgL_idxz00_9376;

								BgL_idxz00_9376 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9373);
								BgL_arg1822z00_9374 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9376 + ((long) 5))) == BgL_classz00_9372);
							}
							{	/* Ast/nodetype.sch 1183 */
								bool_t BgL_res3007z00_9379;

								{	/* Ast/nodetype.sch 1183 */
									obj_t BgL_oclassz00_9380;

									{	/* Ast/nodetype.sch 1183 */
										long BgL_arg1833z00_9381;

										{	/* Ast/nodetype.sch 1183 */
											long BgL_arg1834z00_9382;

											BgL_arg1834z00_9382 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9373);
											BgL_arg1833z00_9381 = (BgL_arg1834z00_9382 - OBJECT_TYPE);
										}
										BgL_oclassz00_9380 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9381);
									}
									{	/* Ast/nodetype.sch 1183 */
										bool_t BgL__ortest_1110z00_9383;

										BgL__ortest_1110z00_9383 =
											(BgL_classz00_9372 == BgL_oclassz00_9380);
										if (BgL__ortest_1110z00_9383)
											{	/* Ast/nodetype.sch 1183 */
												BgL_res3007z00_9379 = BgL__ortest_1110z00_9383;
											}
										else
											{	/* Ast/nodetype.sch 1183 */
												long BgL_odepthz00_9384;

												BgL_odepthz00_9384 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9380);
												if ((((long) 5) < BgL_odepthz00_9384))
													{	/* Ast/nodetype.sch 1183 */
														obj_t BgL_arg1821z00_9385;

														BgL_arg1821z00_9385 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9380,
															((long) 5));
														BgL_res3007z00_9379 =
															(BgL_arg1821z00_9385 == BgL_classz00_9372);
													}
												else
													{	/* Ast/nodetype.sch 1183 */
														BgL_res3007z00_9379 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9375 = BgL_res3007z00_9379;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9374, BgL_arg1823z00_9375);
						}
					}
				else
					{	/* Ast/nodetype.sch 1183 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &instanceof? */
	obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t BgL_envz00_7119,
		obj_t BgL_objz00_7120)
	{
		{	/* Ast/nodetype.sch 1183 */
			return BBOOL(BGl_instanceofzf3zf3zzast_nodez00(BgL_objz00_7120));
		}

	}



/* instanceof-nil */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt BGl_instanceofzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1184 */
			{	/* Ast/nodetype.sch 1184 */
				obj_t BgL_classz00_4850;

				BgL_classz00_4850 = BGl_instanceofz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1184 */
					obj_t BgL__ortest_1112z00_4851;

					BgL__ortest_1112z00_4851 = BGL_CLASS_NIL(BgL_classz00_4850);
					if (CBOOL(BgL__ortest_1112z00_4851))
						{	/* Ast/nodetype.sch 1184 */
							return ((BgL_instanceofz00_bglt) BgL__ortest_1112z00_4851);
						}
					else
						{	/* Ast/nodetype.sch 1184 */
							return
								((BgL_instanceofz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4850));
						}
				}
			}
		}

	}



/* &instanceof-nil */
	BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7121)
	{
		{	/* Ast/nodetype.sch 1184 */
			return BGl_instanceofzd2nilzd2zzast_nodez00();
		}

	}



/* instanceof-class */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_663)
	{
		{	/* Ast/nodetype.sch 1185 */
			return (((BgL_instanceofz00_bglt) COBJECT(BgL_oz00_663))->BgL_classz00);
		}

	}



/* &instanceof-class */
	BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t
		BgL_envz00_7122, obj_t BgL_oz00_7123)
	{
		{	/* Ast/nodetype.sch 1185 */
			return
				BGl_instanceofzd2classzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7123));
		}

	}



/* instanceof-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2classzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_664, BgL_typez00_bglt BgL_vz00_665)
	{
		{	/* Ast/nodetype.sch 1186 */
			return
				((((BgL_instanceofz00_bglt) COBJECT(BgL_oz00_664))->BgL_classz00) =
				((BgL_typez00_bglt) BgL_vz00_665), BUNSPEC);
		}

	}



/* &instanceof-class-set! */
	obj_t BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7124, obj_t BgL_oz00_7125, obj_t BgL_vz00_7126)
	{
		{	/* Ast/nodetype.sch 1186 */
			return
				BGl_instanceofzd2classzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7125),
				((BgL_typez00_bglt) BgL_vz00_7126));
		}

	}



/* instanceof-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_666)
	{
		{	/* Ast/nodetype.sch 1187 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_666)))->BgL_czd2formatzd2);
		}

	}



/* &instanceof-c-format */
	obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_7127,
		obj_t BgL_oz00_7128)
	{
		{	/* Ast/nodetype.sch 1187 */
			return
				BGl_instanceofzd2czd2formatz00zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7128));
		}

	}



/* instanceof-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_669)
	{
		{	/* Ast/nodetype.sch 1189 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_669)))->BgL_effectz00);
		}

	}



/* &instanceof-effect */
	obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t BgL_envz00_7129,
		obj_t BgL_oz00_7130)
	{
		{	/* Ast/nodetype.sch 1189 */
			return
				BGl_instanceofzd2effectzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7130));
		}

	}



/* instanceof-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_670, obj_t BgL_vz00_671)
	{
		{	/* Ast/nodetype.sch 1190 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_670)))->BgL_effectz00) =
				((obj_t) BgL_vz00_671), BUNSPEC);
		}

	}



/* &instanceof-effect-set! */
	obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7131, obj_t BgL_oz00_7132, obj_t BgL_vz00_7133)
	{
		{	/* Ast/nodetype.sch 1190 */
			return
				BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7132), BgL_vz00_7133);
		}

	}



/* instanceof-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_672)
	{
		{	/* Ast/nodetype.sch 1191 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_672)))->BgL_exprza2za2);
		}

	}



/* &instanceof-expr* */
	obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_7134,
		obj_t BgL_oz00_7135)
	{
		{	/* Ast/nodetype.sch 1191 */
			return
				BGl_instanceofzd2exprza2z70zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7135));
		}

	}



/* instanceof-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_673, obj_t BgL_vz00_674)
	{
		{	/* Ast/nodetype.sch 1192 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_673)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_674), BUNSPEC);
		}

	}



/* &instanceof-expr*-set! */
	obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_7136, obj_t BgL_oz00_7137, obj_t BgL_vz00_7138)
	{
		{	/* Ast/nodetype.sch 1192 */
			return
				BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7137), BgL_vz00_7138);
		}

	}



/* instanceof-key */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_675)
	{
		{	/* Ast/nodetype.sch 1193 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_675)))->BgL_keyz00);
		}

	}



/* &instanceof-key */
	obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7139,
		obj_t BgL_oz00_7140)
	{
		{	/* Ast/nodetype.sch 1193 */
			return
				BGl_instanceofzd2keyzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7140));
		}

	}



/* instanceof-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_676, obj_t BgL_vz00_677)
	{
		{	/* Ast/nodetype.sch 1194 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_676)))->BgL_keyz00) =
				((obj_t) BgL_vz00_677), BUNSPEC);
		}

	}



/* &instanceof-key-set! */
	obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7141,
		obj_t BgL_oz00_7142, obj_t BgL_vz00_7143)
	{
		{	/* Ast/nodetype.sch 1194 */
			return
				BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7142), BgL_vz00_7143);
		}

	}



/* instanceof-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_678)
	{
		{	/* Ast/nodetype.sch 1195 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_678)))->BgL_sidezd2effectzd2);
		}

	}



/* &instanceof-side-effect */
	obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_7144,
		obj_t BgL_oz00_7145)
	{
		{	/* Ast/nodetype.sch 1195 */
			return
				BGl_instanceofzd2sidezd2effectz00zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7145));
		}

	}



/* instanceof-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt BgL_oz00_679, obj_t BgL_vz00_680)
	{
		{	/* Ast/nodetype.sch 1196 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_679)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_680), BUNSPEC);
		}

	}



/* &instanceof-side-effect-set! */
	obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7146, obj_t BgL_oz00_7147, obj_t BgL_vz00_7148)
	{
		{	/* Ast/nodetype.sch 1196 */
			return
				BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7147), BgL_vz00_7148);
		}

	}



/* instanceof-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_681)
	{
		{	/* Ast/nodetype.sch 1197 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_681)))->BgL_typez00);
		}

	}



/* &instanceof-type */
	BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7149, obj_t BgL_oz00_7150)
	{
		{	/* Ast/nodetype.sch 1197 */
			return
				BGl_instanceofzd2typezd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7150));
		}

	}



/* instanceof-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_682, BgL_typez00_bglt BgL_vz00_683)
	{
		{	/* Ast/nodetype.sch 1198 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_682)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_683), BUNSPEC);
		}

	}



/* &instanceof-type-set! */
	obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7151,
		obj_t BgL_oz00_7152, obj_t BgL_vz00_7153)
	{
		{	/* Ast/nodetype.sch 1198 */
			return
				BGl_instanceofzd2typezd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7152),
				((BgL_typez00_bglt) BgL_vz00_7153));
		}

	}



/* instanceof-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_684)
	{
		{	/* Ast/nodetype.sch 1199 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_684)))->BgL_locz00);
		}

	}



/* &instanceof-loc */
	obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t BgL_envz00_7154,
		obj_t BgL_oz00_7155)
	{
		{	/* Ast/nodetype.sch 1199 */
			return
				BGl_instanceofzd2loczd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7155));
		}

	}



/* make-cast-null */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t BgL_loc1536z00_687,
		BgL_typez00_bglt BgL_type1537z00_688, obj_t BgL_sidezd2effect1538zd2_689,
		obj_t BgL_key1539z00_690, obj_t BgL_exprza21540za2_691,
		obj_t BgL_effect1541z00_692, obj_t BgL_czd2format1542zd2_693)
	{
		{	/* Ast/nodetype.sch 1203 */
			{	/* Ast/nodetype.sch 1203 */
				BgL_castzd2nullzd2_bglt BgL_new1482z00_9386;

				{	/* Ast/nodetype.sch 1203 */
					BgL_castzd2nullzd2_bglt BgL_new1481z00_9387;

					BgL_new1481z00_9387 =
						((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/nodetype.sch 1203 */
						long BgL_arg1849z00_9388;

						BgL_arg1849z00_9388 =
							BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1481z00_9387), BgL_arg1849z00_9388);
					}
					{	/* Ast/nodetype.sch 1203 */
						BgL_objectz00_bglt BgL_tmpz00_12913;

						BgL_tmpz00_12913 = ((BgL_objectz00_bglt) BgL_new1481z00_9387);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12913, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1481z00_9387);
					BgL_new1482z00_9386 = BgL_new1481z00_9387;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1482z00_9386)))->BgL_locz00) =
					((obj_t) BgL_loc1536z00_687), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1482z00_9386)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1537z00_688), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1482z00_9386)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1538zd2_689), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1482z00_9386)))->BgL_keyz00) =
					((obj_t) BgL_key1539z00_690), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1482z00_9386)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21540za2_691), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1482z00_9386)))->BgL_effectz00) =
					((obj_t) BgL_effect1541z00_692), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1482z00_9386)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1542zd2_693), BUNSPEC);
				return BgL_new1482z00_9386;
			}
		}

	}



/* &make-cast-null */
	BgL_castzd2nullzd2_bglt BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t
		BgL_envz00_7156, obj_t BgL_loc1536z00_7157, obj_t BgL_type1537z00_7158,
		obj_t BgL_sidezd2effect1538zd2_7159, obj_t BgL_key1539z00_7160,
		obj_t BgL_exprza21540za2_7161, obj_t BgL_effect1541z00_7162,
		obj_t BgL_czd2format1542zd2_7163)
	{
		{	/* Ast/nodetype.sch 1203 */
			return
				BGl_makezd2castzd2nullz00zzast_nodez00(BgL_loc1536z00_7157,
				((BgL_typez00_bglt) BgL_type1537z00_7158),
				BgL_sidezd2effect1538zd2_7159, BgL_key1539z00_7160,
				BgL_exprza21540za2_7161, BgL_effect1541z00_7162,
				BgL_czd2format1542zd2_7163);
		}

	}



/* cast-null? */
	BGL_EXPORTED_DEF bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t
		BgL_objz00_694)
	{
		{	/* Ast/nodetype.sch 1204 */
			{	/* Ast/nodetype.sch 1204 */
				obj_t BgL_classz00_9389;

				BgL_classz00_9389 = BGl_castzd2nullzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_694))
					{	/* Ast/nodetype.sch 1204 */
						BgL_objectz00_bglt BgL_arg1825z00_9390;

						BgL_arg1825z00_9390 = (BgL_objectz00_bglt) (BgL_objz00_694);
						{	/* Ast/nodetype.sch 1204 */
							bool_t BgL_arg1822z00_9391;
							bool_t BgL_arg1823z00_9392;

							{	/* Ast/nodetype.sch 1204 */
								long BgL_idxz00_9393;

								BgL_idxz00_9393 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9390);
								BgL_arg1822z00_9391 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9393 + ((long) 5))) == BgL_classz00_9389);
							}
							{	/* Ast/nodetype.sch 1204 */
								bool_t BgL_res3008z00_9396;

								{	/* Ast/nodetype.sch 1204 */
									obj_t BgL_oclassz00_9397;

									{	/* Ast/nodetype.sch 1204 */
										long BgL_arg1833z00_9398;

										{	/* Ast/nodetype.sch 1204 */
											long BgL_arg1834z00_9399;

											BgL_arg1834z00_9399 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9390);
											BgL_arg1833z00_9398 = (BgL_arg1834z00_9399 - OBJECT_TYPE);
										}
										BgL_oclassz00_9397 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9398);
									}
									{	/* Ast/nodetype.sch 1204 */
										bool_t BgL__ortest_1110z00_9400;

										BgL__ortest_1110z00_9400 =
											(BgL_classz00_9389 == BgL_oclassz00_9397);
										if (BgL__ortest_1110z00_9400)
											{	/* Ast/nodetype.sch 1204 */
												BgL_res3008z00_9396 = BgL__ortest_1110z00_9400;
											}
										else
											{	/* Ast/nodetype.sch 1204 */
												long BgL_odepthz00_9401;

												BgL_odepthz00_9401 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9397);
												if ((((long) 5) < BgL_odepthz00_9401))
													{	/* Ast/nodetype.sch 1204 */
														obj_t BgL_arg1821z00_9402;

														BgL_arg1821z00_9402 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9397,
															((long) 5));
														BgL_res3008z00_9396 =
															(BgL_arg1821z00_9402 == BgL_classz00_9389);
													}
												else
													{	/* Ast/nodetype.sch 1204 */
														BgL_res3008z00_9396 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9392 = BgL_res3008z00_9396;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9391, BgL_arg1823z00_9392);
						}
					}
				else
					{	/* Ast/nodetype.sch 1204 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cast-null? */
	obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t BgL_envz00_7164,
		obj_t BgL_objz00_7165)
	{
		{	/* Ast/nodetype.sch 1204 */
			return BBOOL(BGl_castzd2nullzf3z21zzast_nodez00(BgL_objz00_7165));
		}

	}



/* cast-null-nil */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1205 */
			{	/* Ast/nodetype.sch 1205 */
				obj_t BgL_classz00_4891;

				BgL_classz00_4891 = BGl_castzd2nullzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1205 */
					obj_t BgL__ortest_1112z00_4892;

					BgL__ortest_1112z00_4892 = BGL_CLASS_NIL(BgL_classz00_4891);
					if (CBOOL(BgL__ortest_1112z00_4892))
						{	/* Ast/nodetype.sch 1205 */
							return ((BgL_castzd2nullzd2_bglt) BgL__ortest_1112z00_4892);
						}
					else
						{	/* Ast/nodetype.sch 1205 */
							return
								((BgL_castzd2nullzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4891));
						}
				}
			}
		}

	}



/* &cast-null-nil */
	BgL_castzd2nullzd2_bglt BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7166)
	{
		{	/* Ast/nodetype.sch 1205 */
			return BGl_castzd2nullzd2nilz00zzast_nodez00();
		}

	}



/* cast-null-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_695)
	{
		{	/* Ast/nodetype.sch 1206 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_695)))->BgL_czd2formatzd2);
		}

	}



/* &cast-null-c-format */
	obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t BgL_envz00_7167,
		obj_t BgL_oz00_7168)
	{
		{	/* Ast/nodetype.sch 1206 */
			return
				BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7168));
		}

	}



/* cast-null-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_698)
	{
		{	/* Ast/nodetype.sch 1208 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_698)))->BgL_effectz00);
		}

	}



/* &cast-null-effect */
	obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t BgL_envz00_7169,
		obj_t BgL_oz00_7170)
	{
		{	/* Ast/nodetype.sch 1208 */
			return
				BGl_castzd2nullzd2effectz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7170));
		}

	}



/* cast-null-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_699, obj_t BgL_vz00_700)
	{
		{	/* Ast/nodetype.sch 1209 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_699)))->BgL_effectz00) =
				((obj_t) BgL_vz00_700), BUNSPEC);
		}

	}



/* &cast-null-effect-set! */
	obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7171, obj_t BgL_oz00_7172, obj_t BgL_vz00_7173)
	{
		{	/* Ast/nodetype.sch 1209 */
			return
				BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7172), BgL_vz00_7173);
		}

	}



/* cast-null-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_701)
	{
		{	/* Ast/nodetype.sch 1210 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_701)))->BgL_exprza2za2);
		}

	}



/* &cast-null-expr* */
	obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t BgL_envz00_7174,
		obj_t BgL_oz00_7175)
	{
		{	/* Ast/nodetype.sch 1210 */
			return
				BGl_castzd2nullzd2exprza2za2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7175));
		}

	}



/* cast-null-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_702, obj_t BgL_vz00_703)
	{
		{	/* Ast/nodetype.sch 1211 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_702)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_703), BUNSPEC);
		}

	}



/* &cast-null-expr*-set! */
	obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t
		BgL_envz00_7176, obj_t BgL_oz00_7177, obj_t BgL_vz00_7178)
	{
		{	/* Ast/nodetype.sch 1211 */
			return
				BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7177), BgL_vz00_7178);
		}

	}



/* cast-null-key */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_704)
	{
		{	/* Ast/nodetype.sch 1212 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_704)))->BgL_keyz00);
		}

	}



/* &cast-null-key */
	obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t BgL_envz00_7179,
		obj_t BgL_oz00_7180)
	{
		{	/* Ast/nodetype.sch 1212 */
			return
				BGl_castzd2nullzd2keyz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7180));
		}

	}



/* cast-null-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_705, obj_t BgL_vz00_706)
	{
		{	/* Ast/nodetype.sch 1213 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_705)))->BgL_keyz00) =
				((obj_t) BgL_vz00_706), BUNSPEC);
		}

	}



/* &cast-null-key-set! */
	obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7181,
		obj_t BgL_oz00_7182, obj_t BgL_vz00_7183)
	{
		{	/* Ast/nodetype.sch 1213 */
			return
				BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7182), BgL_vz00_7183);
		}

	}



/* cast-null-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_707)
	{
		{	/* Ast/nodetype.sch 1214 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_707)))->BgL_sidezd2effectzd2);
		}

	}



/* &cast-null-side-effect */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t
		BgL_envz00_7184, obj_t BgL_oz00_7185)
	{
		{	/* Ast/nodetype.sch 1214 */
			return
				BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7185));
		}

	}



/* cast-null-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt BgL_oz00_708, obj_t BgL_vz00_709)
	{
		{	/* Ast/nodetype.sch 1215 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_708)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_709), BUNSPEC);
		}

	}



/* &cast-null-side-effect-set! */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7186, obj_t BgL_oz00_7187, obj_t BgL_vz00_7188)
	{
		{	/* Ast/nodetype.sch 1215 */
			return
				BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7187), BgL_vz00_7188);
		}

	}



/* cast-null-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_710)
	{
		{	/* Ast/nodetype.sch 1216 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_710)))->BgL_typez00);
		}

	}



/* &cast-null-type */
	BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7189, obj_t BgL_oz00_7190)
	{
		{	/* Ast/nodetype.sch 1216 */
			return
				BGl_castzd2nullzd2typez00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7190));
		}

	}



/* cast-null-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_711, BgL_typez00_bglt BgL_vz00_712)
	{
		{	/* Ast/nodetype.sch 1217 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_711)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_712), BUNSPEC);
		}

	}



/* &cast-null-type-set! */
	obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7191, obj_t BgL_oz00_7192, obj_t BgL_vz00_7193)
	{
		{	/* Ast/nodetype.sch 1217 */
			return
				BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7192),
				((BgL_typez00_bglt) BgL_vz00_7193));
		}

	}



/* cast-null-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_713)
	{
		{	/* Ast/nodetype.sch 1218 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_713)))->BgL_locz00);
		}

	}



/* &cast-null-loc */
	obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t BgL_envz00_7194,
		obj_t BgL_oz00_7195)
	{
		{	/* Ast/nodetype.sch 1218 */
			return
				BGl_castzd2nullzd2locz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7195));
		}

	}



/* make-cast */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t
		BgL_loc1528z00_716, BgL_typez00_bglt BgL_type1529z00_717,
		BgL_nodez00_bglt BgL_arg1533z00_718)
	{
		{	/* Ast/nodetype.sch 1222 */
			{	/* Ast/nodetype.sch 1222 */
				BgL_castz00_bglt BgL_new1484z00_9403;

				{	/* Ast/nodetype.sch 1222 */
					BgL_castz00_bglt BgL_new1483z00_9404;

					BgL_new1483z00_9404 =
						((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/nodetype.sch 1222 */
						long BgL_arg1850z00_9405;

						BgL_arg1850z00_9405 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1483z00_9404), BgL_arg1850z00_9405);
					}
					{	/* Ast/nodetype.sch 1222 */
						BgL_objectz00_bglt BgL_tmpz00_13013;

						BgL_tmpz00_13013 = ((BgL_objectz00_bglt) BgL_new1483z00_9404);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13013, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1483z00_9404);
					BgL_new1484z00_9403 = BgL_new1483z00_9404;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1484z00_9403)))->BgL_locz00) =
					((obj_t) BgL_loc1528z00_716), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1484z00_9403)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1529z00_717), BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(BgL_new1484z00_9403))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1533z00_718), BUNSPEC);
				return BgL_new1484z00_9403;
			}
		}

	}



/* &make-cast */
	BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t BgL_envz00_7196,
		obj_t BgL_loc1528z00_7197, obj_t BgL_type1529z00_7198,
		obj_t BgL_arg1533z00_7199)
	{
		{	/* Ast/nodetype.sch 1222 */
			return
				BGl_makezd2castzd2zzast_nodez00(BgL_loc1528z00_7197,
				((BgL_typez00_bglt) BgL_type1529z00_7198),
				((BgL_nodez00_bglt) BgL_arg1533z00_7199));
		}

	}



/* cast? */
	BGL_EXPORTED_DEF bool_t BGl_castzf3zf3zzast_nodez00(obj_t BgL_objz00_719)
	{
		{	/* Ast/nodetype.sch 1223 */
			{	/* Ast/nodetype.sch 1223 */
				obj_t BgL_classz00_9406;

				BgL_classz00_9406 = BGl_castz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_719))
					{	/* Ast/nodetype.sch 1223 */
						BgL_objectz00_bglt BgL_arg1825z00_9407;

						BgL_arg1825z00_9407 = (BgL_objectz00_bglt) (BgL_objz00_719);
						{	/* Ast/nodetype.sch 1223 */
							bool_t BgL_arg1822z00_9408;
							bool_t BgL_arg1823z00_9409;

							{	/* Ast/nodetype.sch 1223 */
								long BgL_idxz00_9410;

								BgL_idxz00_9410 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9407);
								BgL_arg1822z00_9408 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9410 + ((long) 2))) == BgL_classz00_9406);
							}
							{	/* Ast/nodetype.sch 1223 */
								bool_t BgL_res3009z00_9413;

								{	/* Ast/nodetype.sch 1223 */
									obj_t BgL_oclassz00_9414;

									{	/* Ast/nodetype.sch 1223 */
										long BgL_arg1833z00_9415;

										{	/* Ast/nodetype.sch 1223 */
											long BgL_arg1834z00_9416;

											BgL_arg1834z00_9416 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9407);
											BgL_arg1833z00_9415 = (BgL_arg1834z00_9416 - OBJECT_TYPE);
										}
										BgL_oclassz00_9414 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9415);
									}
									{	/* Ast/nodetype.sch 1223 */
										bool_t BgL__ortest_1110z00_9417;

										BgL__ortest_1110z00_9417 =
											(BgL_classz00_9406 == BgL_oclassz00_9414);
										if (BgL__ortest_1110z00_9417)
											{	/* Ast/nodetype.sch 1223 */
												BgL_res3009z00_9413 = BgL__ortest_1110z00_9417;
											}
										else
											{	/* Ast/nodetype.sch 1223 */
												long BgL_odepthz00_9418;

												BgL_odepthz00_9418 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9414);
												if ((((long) 2) < BgL_odepthz00_9418))
													{	/* Ast/nodetype.sch 1223 */
														obj_t BgL_arg1821z00_9419;

														BgL_arg1821z00_9419 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9414,
															((long) 2));
														BgL_res3009z00_9413 =
															(BgL_arg1821z00_9419 == BgL_classz00_9406);
													}
												else
													{	/* Ast/nodetype.sch 1223 */
														BgL_res3009z00_9413 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9409 = BgL_res3009z00_9413;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9408, BgL_arg1823z00_9409);
						}
					}
				else
					{	/* Ast/nodetype.sch 1223 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cast? */
	obj_t BGl_z62castzf3z91zzast_nodez00(obj_t BgL_envz00_7200,
		obj_t BgL_objz00_7201)
	{
		{	/* Ast/nodetype.sch 1223 */
			return BBOOL(BGl_castzf3zf3zzast_nodez00(BgL_objz00_7201));
		}

	}



/* cast-nil */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1224 */
			{	/* Ast/nodetype.sch 1224 */
				obj_t BgL_classz00_4932;

				BgL_classz00_4932 = BGl_castz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1224 */
					obj_t BgL__ortest_1112z00_4933;

					BgL__ortest_1112z00_4933 = BGL_CLASS_NIL(BgL_classz00_4932);
					if (CBOOL(BgL__ortest_1112z00_4933))
						{	/* Ast/nodetype.sch 1224 */
							return ((BgL_castz00_bglt) BgL__ortest_1112z00_4933);
						}
					else
						{	/* Ast/nodetype.sch 1224 */
							return
								((BgL_castz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4932));
						}
				}
			}
		}

	}



/* &cast-nil */
	BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7202)
	{
		{	/* Ast/nodetype.sch 1224 */
			return BGl_castzd2nilzd2zzast_nodez00();
		}

	}



/* cast-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_720)
	{
		{	/* Ast/nodetype.sch 1225 */
			return (((BgL_castz00_bglt) COBJECT(BgL_oz00_720))->BgL_argz00);
		}

	}



/* &cast-arg */
	BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t BgL_envz00_7203,
		obj_t BgL_oz00_7204)
	{
		{	/* Ast/nodetype.sch 1225 */
			return BGl_castzd2argzd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_7204));
		}

	}



/* cast-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_721,
		BgL_nodez00_bglt BgL_vz00_722)
	{
		{	/* Ast/nodetype.sch 1226 */
			return
				((((BgL_castz00_bglt) COBJECT(BgL_oz00_721))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_722), BUNSPEC);
		}

	}



/* &cast-arg-set! */
	obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7205,
		obj_t BgL_oz00_7206, obj_t BgL_vz00_7207)
	{
		{	/* Ast/nodetype.sch 1226 */
			return
				BGl_castzd2argzd2setz12z12zzast_nodez00(
				((BgL_castz00_bglt) BgL_oz00_7206), ((BgL_nodez00_bglt) BgL_vz00_7207));
		}

	}



/* cast-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_723)
	{
		{	/* Ast/nodetype.sch 1227 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_723)))->BgL_typez00);
		}

	}



/* &cast-type */
	BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t BgL_envz00_7208,
		obj_t BgL_oz00_7209)
	{
		{	/* Ast/nodetype.sch 1227 */
			return
				BGl_castzd2typezd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_7209));
		}

	}



/* cast-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_724,
		BgL_typez00_bglt BgL_vz00_725)
	{
		{	/* Ast/nodetype.sch 1228 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_724)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_725), BUNSPEC);
		}

	}



/* &cast-type-set! */
	obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7210,
		obj_t BgL_oz00_7211, obj_t BgL_vz00_7212)
	{
		{	/* Ast/nodetype.sch 1228 */
			return
				BGl_castzd2typezd2setz12z12zzast_nodez00(
				((BgL_castz00_bglt) BgL_oz00_7211), ((BgL_typez00_bglt) BgL_vz00_7212));
		}

	}



/* cast-loc */
	BGL_EXPORTED_DEF obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt
		BgL_oz00_726)
	{
		{	/* Ast/nodetype.sch 1229 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_726)))->BgL_locz00);
		}

	}



/* &cast-loc */
	obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t BgL_envz00_7213,
		obj_t BgL_oz00_7214)
	{
		{	/* Ast/nodetype.sch 1229 */
			return BGl_castzd2loczd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_7214));
		}

	}



/* make-setq */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t
		BgL_loc1522z00_729, BgL_typez00_bglt BgL_type1523z00_730,
		BgL_varz00_bglt BgL_var1524z00_731, BgL_nodez00_bglt BgL_value1525z00_732)
	{
		{	/* Ast/nodetype.sch 1233 */
			{	/* Ast/nodetype.sch 1233 */
				BgL_setqz00_bglt BgL_new1486z00_9420;

				{	/* Ast/nodetype.sch 1233 */
					BgL_setqz00_bglt BgL_new1485z00_9421;

					BgL_new1485z00_9421 =
						((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/nodetype.sch 1233 */
						long BgL_arg1852z00_9422;

						BgL_arg1852z00_9422 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1485z00_9421), BgL_arg1852z00_9422);
					}
					{	/* Ast/nodetype.sch 1233 */
						BgL_objectz00_bglt BgL_tmpz00_13076;

						BgL_tmpz00_13076 = ((BgL_objectz00_bglt) BgL_new1485z00_9421);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13076, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1485z00_9421);
					BgL_new1486z00_9420 = BgL_new1485z00_9421;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1486z00_9420)))->BgL_locz00) =
					((obj_t) BgL_loc1522z00_729), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1486z00_9420)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1523z00_730), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1486z00_9420))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1524z00_731), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1486z00_9420))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1525z00_732), BUNSPEC);
				return BgL_new1486z00_9420;
			}
		}

	}



/* &make-setq */
	BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t BgL_envz00_7215,
		obj_t BgL_loc1522z00_7216, obj_t BgL_type1523z00_7217,
		obj_t BgL_var1524z00_7218, obj_t BgL_value1525z00_7219)
	{
		{	/* Ast/nodetype.sch 1233 */
			return
				BGl_makezd2setqzd2zzast_nodez00(BgL_loc1522z00_7216,
				((BgL_typez00_bglt) BgL_type1523z00_7217),
				((BgL_varz00_bglt) BgL_var1524z00_7218),
				((BgL_nodez00_bglt) BgL_value1525z00_7219));
		}

	}



/* setq? */
	BGL_EXPORTED_DEF bool_t BGl_setqzf3zf3zzast_nodez00(obj_t BgL_objz00_733)
	{
		{	/* Ast/nodetype.sch 1234 */
			{	/* Ast/nodetype.sch 1234 */
				obj_t BgL_classz00_9423;

				BgL_classz00_9423 = BGl_setqz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_733))
					{	/* Ast/nodetype.sch 1234 */
						BgL_objectz00_bglt BgL_arg1825z00_9424;

						BgL_arg1825z00_9424 = (BgL_objectz00_bglt) (BgL_objz00_733);
						{	/* Ast/nodetype.sch 1234 */
							bool_t BgL_arg1822z00_9425;
							bool_t BgL_arg1823z00_9426;

							{	/* Ast/nodetype.sch 1234 */
								long BgL_idxz00_9427;

								BgL_idxz00_9427 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9424);
								BgL_arg1822z00_9425 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9427 + ((long) 2))) == BgL_classz00_9423);
							}
							{	/* Ast/nodetype.sch 1234 */
								bool_t BgL_res3010z00_9430;

								{	/* Ast/nodetype.sch 1234 */
									obj_t BgL_oclassz00_9431;

									{	/* Ast/nodetype.sch 1234 */
										long BgL_arg1833z00_9432;

										{	/* Ast/nodetype.sch 1234 */
											long BgL_arg1834z00_9433;

											BgL_arg1834z00_9433 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9424);
											BgL_arg1833z00_9432 = (BgL_arg1834z00_9433 - OBJECT_TYPE);
										}
										BgL_oclassz00_9431 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9432);
									}
									{	/* Ast/nodetype.sch 1234 */
										bool_t BgL__ortest_1110z00_9434;

										BgL__ortest_1110z00_9434 =
											(BgL_classz00_9423 == BgL_oclassz00_9431);
										if (BgL__ortest_1110z00_9434)
											{	/* Ast/nodetype.sch 1234 */
												BgL_res3010z00_9430 = BgL__ortest_1110z00_9434;
											}
										else
											{	/* Ast/nodetype.sch 1234 */
												long BgL_odepthz00_9435;

												BgL_odepthz00_9435 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9431);
												if ((((long) 2) < BgL_odepthz00_9435))
													{	/* Ast/nodetype.sch 1234 */
														obj_t BgL_arg1821z00_9436;

														BgL_arg1821z00_9436 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9431,
															((long) 2));
														BgL_res3010z00_9430 =
															(BgL_arg1821z00_9436 == BgL_classz00_9423);
													}
												else
													{	/* Ast/nodetype.sch 1234 */
														BgL_res3010z00_9430 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9426 = BgL_res3010z00_9430;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9425, BgL_arg1823z00_9426);
						}
					}
				else
					{	/* Ast/nodetype.sch 1234 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &setq? */
	obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t BgL_envz00_7220,
		obj_t BgL_objz00_7221)
	{
		{	/* Ast/nodetype.sch 1234 */
			return BBOOL(BGl_setqzf3zf3zzast_nodez00(BgL_objz00_7221));
		}

	}



/* setq-nil */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1235 */
			{	/* Ast/nodetype.sch 1235 */
				obj_t BgL_classz00_4973;

				BgL_classz00_4973 = BGl_setqz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1235 */
					obj_t BgL__ortest_1112z00_4974;

					BgL__ortest_1112z00_4974 = BGL_CLASS_NIL(BgL_classz00_4973);
					if (CBOOL(BgL__ortest_1112z00_4974))
						{	/* Ast/nodetype.sch 1235 */
							return ((BgL_setqz00_bglt) BgL__ortest_1112z00_4974);
						}
					else
						{	/* Ast/nodetype.sch 1235 */
							return
								((BgL_setqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4973));
						}
				}
			}
		}

	}



/* &setq-nil */
	BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7222)
	{
		{	/* Ast/nodetype.sch 1235 */
			return BGl_setqzd2nilzd2zzast_nodez00();
		}

	}



/* setq-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_734)
	{
		{	/* Ast/nodetype.sch 1236 */
			return (((BgL_setqz00_bglt) COBJECT(BgL_oz00_734))->BgL_valuez00);
		}

	}



/* &setq-value */
	BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t BgL_envz00_7223,
		obj_t BgL_oz00_7224)
	{
		{	/* Ast/nodetype.sch 1236 */
			return
				BGl_setqzd2valuezd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7224));
		}

	}



/* setq-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_735,
		BgL_nodez00_bglt BgL_vz00_736)
	{
		{	/* Ast/nodetype.sch 1237 */
			return
				((((BgL_setqz00_bglt) COBJECT(BgL_oz00_735))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_736), BUNSPEC);
		}

	}



/* &setq-value-set! */
	obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7225,
		obj_t BgL_oz00_7226, obj_t BgL_vz00_7227)
	{
		{	/* Ast/nodetype.sch 1237 */
			return
				BGl_setqzd2valuezd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_7226), ((BgL_nodez00_bglt) BgL_vz00_7227));
		}

	}



/* setq-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_737)
	{
		{	/* Ast/nodetype.sch 1238 */
			return (((BgL_setqz00_bglt) COBJECT(BgL_oz00_737))->BgL_varz00);
		}

	}



/* &setq-var */
	BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t BgL_envz00_7228,
		obj_t BgL_oz00_7229)
	{
		{	/* Ast/nodetype.sch 1238 */
			return BGl_setqzd2varzd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7229));
		}

	}



/* setq-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_738,
		BgL_varz00_bglt BgL_vz00_739)
	{
		{	/* Ast/nodetype.sch 1239 */
			return
				((((BgL_setqz00_bglt) COBJECT(BgL_oz00_738))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_739), BUNSPEC);
		}

	}



/* &setq-var-set! */
	obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7230,
		obj_t BgL_oz00_7231, obj_t BgL_vz00_7232)
	{
		{	/* Ast/nodetype.sch 1239 */
			return
				BGl_setqzd2varzd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_7231), ((BgL_varz00_bglt) BgL_vz00_7232));
		}

	}



/* setq-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_740)
	{
		{	/* Ast/nodetype.sch 1240 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_740)))->BgL_typez00);
		}

	}



/* &setq-type */
	BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t BgL_envz00_7233,
		obj_t BgL_oz00_7234)
	{
		{	/* Ast/nodetype.sch 1240 */
			return
				BGl_setqzd2typezd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7234));
		}

	}



/* setq-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_741,
		BgL_typez00_bglt BgL_vz00_742)
	{
		{	/* Ast/nodetype.sch 1241 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_741)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_742), BUNSPEC);
		}

	}



/* &setq-type-set! */
	obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7235,
		obj_t BgL_oz00_7236, obj_t BgL_vz00_7237)
	{
		{	/* Ast/nodetype.sch 1241 */
			return
				BGl_setqzd2typezd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_7236), ((BgL_typez00_bglt) BgL_vz00_7237));
		}

	}



/* setq-loc */
	BGL_EXPORTED_DEF obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt
		BgL_oz00_743)
	{
		{	/* Ast/nodetype.sch 1242 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_743)))->BgL_locz00);
		}

	}



/* &setq-loc */
	obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t BgL_envz00_7238,
		obj_t BgL_oz00_7239)
	{
		{	/* Ast/nodetype.sch 1242 */
			return BGl_setqzd2loczd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7239));
		}

	}



/* make-conditional */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t BgL_loc1514z00_746,
		BgL_typez00_bglt BgL_type1515z00_747, obj_t BgL_sidezd2effect1516zd2_748,
		obj_t BgL_key1517z00_749, BgL_nodez00_bglt BgL_test1518z00_750,
		BgL_nodez00_bglt BgL_true1519z00_751, BgL_nodez00_bglt BgL_false1520z00_752)
	{
		{	/* Ast/nodetype.sch 1246 */
			{	/* Ast/nodetype.sch 1246 */
				BgL_conditionalz00_bglt BgL_new1488z00_9437;

				{	/* Ast/nodetype.sch 1246 */
					BgL_conditionalz00_bglt BgL_new1487z00_9438;

					BgL_new1487z00_9438 =
						((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/nodetype.sch 1246 */
						long BgL_arg1854z00_9439;

						BgL_arg1854z00_9439 =
							BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1487z00_9438), BgL_arg1854z00_9439);
					}
					{	/* Ast/nodetype.sch 1246 */
						BgL_objectz00_bglt BgL_tmpz00_13148;

						BgL_tmpz00_13148 = ((BgL_objectz00_bglt) BgL_new1487z00_9438);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13148, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1487z00_9438);
					BgL_new1488z00_9437 = BgL_new1487z00_9438;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1488z00_9437)))->BgL_locz00) =
					((obj_t) BgL_loc1514z00_746), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1488z00_9437)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1515z00_747), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1488z00_9437)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1516zd2_748), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1488z00_9437)))->BgL_keyz00) =
					((obj_t) BgL_key1517z00_749), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1488z00_9437))->
						BgL_testz00) = ((BgL_nodez00_bglt) BgL_test1518z00_750), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1488z00_9437))->
						BgL_truez00) = ((BgL_nodez00_bglt) BgL_true1519z00_751), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1488z00_9437))->
						BgL_falsez00) = ((BgL_nodez00_bglt) BgL_false1520z00_752), BUNSPEC);
				return BgL_new1488z00_9437;
			}
		}

	}



/* &make-conditional */
	BgL_conditionalz00_bglt BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t
		BgL_envz00_7240, obj_t BgL_loc1514z00_7241, obj_t BgL_type1515z00_7242,
		obj_t BgL_sidezd2effect1516zd2_7243, obj_t BgL_key1517z00_7244,
		obj_t BgL_test1518z00_7245, obj_t BgL_true1519z00_7246,
		obj_t BgL_false1520z00_7247)
	{
		{	/* Ast/nodetype.sch 1246 */
			return
				BGl_makezd2conditionalzd2zzast_nodez00(BgL_loc1514z00_7241,
				((BgL_typez00_bglt) BgL_type1515z00_7242),
				BgL_sidezd2effect1516zd2_7243, BgL_key1517z00_7244,
				((BgL_nodez00_bglt) BgL_test1518z00_7245),
				((BgL_nodez00_bglt) BgL_true1519z00_7246),
				((BgL_nodez00_bglt) BgL_false1520z00_7247));
		}

	}



/* conditional? */
	BGL_EXPORTED_DEF bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t
		BgL_objz00_753)
	{
		{	/* Ast/nodetype.sch 1247 */
			{	/* Ast/nodetype.sch 1247 */
				obj_t BgL_classz00_9440;

				BgL_classz00_9440 = BGl_conditionalz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_753))
					{	/* Ast/nodetype.sch 1247 */
						BgL_objectz00_bglt BgL_arg1825z00_9441;

						BgL_arg1825z00_9441 = (BgL_objectz00_bglt) (BgL_objz00_753);
						{	/* Ast/nodetype.sch 1247 */
							bool_t BgL_arg1822z00_9442;
							bool_t BgL_arg1823z00_9443;

							{	/* Ast/nodetype.sch 1247 */
								long BgL_idxz00_9444;

								BgL_idxz00_9444 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9441);
								BgL_arg1822z00_9442 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9444 + ((long) 3))) == BgL_classz00_9440);
							}
							{	/* Ast/nodetype.sch 1247 */
								bool_t BgL_res3011z00_9447;

								{	/* Ast/nodetype.sch 1247 */
									obj_t BgL_oclassz00_9448;

									{	/* Ast/nodetype.sch 1247 */
										long BgL_arg1833z00_9449;

										{	/* Ast/nodetype.sch 1247 */
											long BgL_arg1834z00_9450;

											BgL_arg1834z00_9450 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9441);
											BgL_arg1833z00_9449 = (BgL_arg1834z00_9450 - OBJECT_TYPE);
										}
										BgL_oclassz00_9448 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9449);
									}
									{	/* Ast/nodetype.sch 1247 */
										bool_t BgL__ortest_1110z00_9451;

										BgL__ortest_1110z00_9451 =
											(BgL_classz00_9440 == BgL_oclassz00_9448);
										if (BgL__ortest_1110z00_9451)
											{	/* Ast/nodetype.sch 1247 */
												BgL_res3011z00_9447 = BgL__ortest_1110z00_9451;
											}
										else
											{	/* Ast/nodetype.sch 1247 */
												long BgL_odepthz00_9452;

												BgL_odepthz00_9452 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9448);
												if ((((long) 3) < BgL_odepthz00_9452))
													{	/* Ast/nodetype.sch 1247 */
														obj_t BgL_arg1821z00_9453;

														BgL_arg1821z00_9453 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9448,
															((long) 3));
														BgL_res3011z00_9447 =
															(BgL_arg1821z00_9453 == BgL_classz00_9440);
													}
												else
													{	/* Ast/nodetype.sch 1247 */
														BgL_res3011z00_9447 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9443 = BgL_res3011z00_9447;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9442, BgL_arg1823z00_9443);
						}
					}
				else
					{	/* Ast/nodetype.sch 1247 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &conditional? */
	obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t BgL_envz00_7248,
		obj_t BgL_objz00_7249)
	{
		{	/* Ast/nodetype.sch 1247 */
			return BBOOL(BGl_conditionalzf3zf3zzast_nodez00(BgL_objz00_7249));
		}

	}



/* conditional-nil */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1248 */
			{	/* Ast/nodetype.sch 1248 */
				obj_t BgL_classz00_5014;

				BgL_classz00_5014 = BGl_conditionalz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1248 */
					obj_t BgL__ortest_1112z00_5015;

					BgL__ortest_1112z00_5015 = BGL_CLASS_NIL(BgL_classz00_5014);
					if (CBOOL(BgL__ortest_1112z00_5015))
						{	/* Ast/nodetype.sch 1248 */
							return ((BgL_conditionalz00_bglt) BgL__ortest_1112z00_5015);
						}
					else
						{	/* Ast/nodetype.sch 1248 */
							return
								((BgL_conditionalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5014));
						}
				}
			}
		}

	}



/* &conditional-nil */
	BgL_conditionalz00_bglt BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7250)
	{
		{	/* Ast/nodetype.sch 1248 */
			return BGl_conditionalzd2nilzd2zzast_nodez00();
		}

	}



/* conditional-false */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_754)
	{
		{	/* Ast/nodetype.sch 1249 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_754))->BgL_falsez00);
		}

	}



/* &conditional-false */
	BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t
		BgL_envz00_7251, obj_t BgL_oz00_7252)
	{
		{	/* Ast/nodetype.sch 1249 */
			return
				BGl_conditionalzd2falsezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7252));
		}

	}



/* conditional-false-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_755, BgL_nodez00_bglt BgL_vz00_756)
	{
		{	/* Ast/nodetype.sch 1250 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_755))->BgL_falsez00) =
				((BgL_nodez00_bglt) BgL_vz00_756), BUNSPEC);
		}

	}



/* &conditional-false-set! */
	obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7253, obj_t BgL_oz00_7254, obj_t BgL_vz00_7255)
	{
		{	/* Ast/nodetype.sch 1250 */
			return
				BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7254),
				((BgL_nodez00_bglt) BgL_vz00_7255));
		}

	}



/* conditional-true */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_757)
	{
		{	/* Ast/nodetype.sch 1251 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_757))->BgL_truez00);
		}

	}



/* &conditional-true */
	BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t
		BgL_envz00_7256, obj_t BgL_oz00_7257)
	{
		{	/* Ast/nodetype.sch 1251 */
			return
				BGl_conditionalzd2truezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7257));
		}

	}



/* conditional-true-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_758, BgL_nodez00_bglt BgL_vz00_759)
	{
		{	/* Ast/nodetype.sch 1252 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_758))->BgL_truez00) =
				((BgL_nodez00_bglt) BgL_vz00_759), BUNSPEC);
		}

	}



/* &conditional-true-set! */
	obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7258, obj_t BgL_oz00_7259, obj_t BgL_vz00_7260)
	{
		{	/* Ast/nodetype.sch 1252 */
			return
				BGl_conditionalzd2truezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7259),
				((BgL_nodez00_bglt) BgL_vz00_7260));
		}

	}



/* conditional-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_760)
	{
		{	/* Ast/nodetype.sch 1253 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_760))->BgL_testz00);
		}

	}



/* &conditional-test */
	BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t
		BgL_envz00_7261, obj_t BgL_oz00_7262)
	{
		{	/* Ast/nodetype.sch 1253 */
			return
				BGl_conditionalzd2testzd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7262));
		}

	}



/* conditional-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_761, BgL_nodez00_bglt BgL_vz00_762)
	{
		{	/* Ast/nodetype.sch 1254 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_761))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_762), BUNSPEC);
		}

	}



/* &conditional-test-set! */
	obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7263, obj_t BgL_oz00_7264, obj_t BgL_vz00_7265)
	{
		{	/* Ast/nodetype.sch 1254 */
			return
				BGl_conditionalzd2testzd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7264),
				((BgL_nodez00_bglt) BgL_vz00_7265));
		}

	}



/* conditional-key */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_763)
	{
		{	/* Ast/nodetype.sch 1255 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_763)))->BgL_keyz00);
		}

	}



/* &conditional-key */
	obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7266,
		obj_t BgL_oz00_7267)
	{
		{	/* Ast/nodetype.sch 1255 */
			return
				BGl_conditionalzd2keyzd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7267));
		}

	}



/* conditional-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_764, obj_t BgL_vz00_765)
	{
		{	/* Ast/nodetype.sch 1256 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_764)))->BgL_keyz00) =
				((obj_t) BgL_vz00_765), BUNSPEC);
		}

	}



/* &conditional-key-set! */
	obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7268,
		obj_t BgL_oz00_7269, obj_t BgL_vz00_7270)
	{
		{	/* Ast/nodetype.sch 1256 */
			return
				BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7269), BgL_vz00_7270);
		}

	}



/* conditional-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_766)
	{
		{	/* Ast/nodetype.sch 1257 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_766)))->BgL_sidezd2effectzd2);
		}

	}



/* &conditional-side-effect */
	obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t
		BgL_envz00_7271, obj_t BgL_oz00_7272)
	{
		{	/* Ast/nodetype.sch 1257 */
			return
				BGl_conditionalzd2sidezd2effectz00zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7272));
		}

	}



/* conditional-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt BgL_oz00_767, obj_t BgL_vz00_768)
	{
		{	/* Ast/nodetype.sch 1258 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_767)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_768), BUNSPEC);
		}

	}



/* &conditional-side-effect-set! */
	obj_t BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7273, obj_t BgL_oz00_7274, obj_t BgL_vz00_7275)
	{
		{	/* Ast/nodetype.sch 1258 */
			return
				BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7274), BgL_vz00_7275);
		}

	}



/* conditional-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_769)
	{
		{	/* Ast/nodetype.sch 1259 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_769)))->BgL_typez00);
		}

	}



/* &conditional-type */
	BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7276, obj_t BgL_oz00_7277)
	{
		{	/* Ast/nodetype.sch 1259 */
			return
				BGl_conditionalzd2typezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7277));
		}

	}



/* conditional-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_770, BgL_typez00_bglt BgL_vz00_771)
	{
		{	/* Ast/nodetype.sch 1260 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_770)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_771), BUNSPEC);
		}

	}



/* &conditional-type-set! */
	obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7278, obj_t BgL_oz00_7279, obj_t BgL_vz00_7280)
	{
		{	/* Ast/nodetype.sch 1260 */
			return
				BGl_conditionalzd2typezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7279),
				((BgL_typez00_bglt) BgL_vz00_7280));
		}

	}



/* conditional-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_772)
	{
		{	/* Ast/nodetype.sch 1261 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_772)))->BgL_locz00);
		}

	}



/* &conditional-loc */
	obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t BgL_envz00_7281,
		obj_t BgL_oz00_7282)
	{
		{	/* Ast/nodetype.sch 1261 */
			return
				BGl_conditionalzd2loczd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7282));
		}

	}



/* make-fail */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t
		BgL_loc1508z00_775, BgL_typez00_bglt BgL_type1509z00_776,
		BgL_nodez00_bglt BgL_proc1510z00_777, BgL_nodez00_bglt BgL_msg1511z00_778,
		BgL_nodez00_bglt BgL_obj1512z00_779)
	{
		{	/* Ast/nodetype.sch 1265 */
			{	/* Ast/nodetype.sch 1265 */
				BgL_failz00_bglt BgL_new1490z00_9454;

				{	/* Ast/nodetype.sch 1265 */
					BgL_failz00_bglt BgL_new1489z00_9455;

					BgL_new1489z00_9455 =
						((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/nodetype.sch 1265 */
						long BgL_arg1855z00_9456;

						BgL_arg1855z00_9456 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1489z00_9455), BgL_arg1855z00_9456);
					}
					{	/* Ast/nodetype.sch 1265 */
						BgL_objectz00_bglt BgL_tmpz00_13249;

						BgL_tmpz00_13249 = ((BgL_objectz00_bglt) BgL_new1489z00_9455);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13249, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1489z00_9455);
					BgL_new1490z00_9454 = BgL_new1489z00_9455;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1490z00_9454)))->BgL_locz00) =
					((obj_t) BgL_loc1508z00_775), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1490z00_9454)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1509z00_776), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1490z00_9454))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_proc1510z00_777), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1490z00_9454))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_msg1511z00_778), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1490z00_9454))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_obj1512z00_779), BUNSPEC);
				return BgL_new1490z00_9454;
			}
		}

	}



/* &make-fail */
	BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t BgL_envz00_7283,
		obj_t BgL_loc1508z00_7284, obj_t BgL_type1509z00_7285,
		obj_t BgL_proc1510z00_7286, obj_t BgL_msg1511z00_7287,
		obj_t BgL_obj1512z00_7288)
	{
		{	/* Ast/nodetype.sch 1265 */
			return
				BGl_makezd2failzd2zzast_nodez00(BgL_loc1508z00_7284,
				((BgL_typez00_bglt) BgL_type1509z00_7285),
				((BgL_nodez00_bglt) BgL_proc1510z00_7286),
				((BgL_nodez00_bglt) BgL_msg1511z00_7287),
				((BgL_nodez00_bglt) BgL_obj1512z00_7288));
		}

	}



/* fail? */
	BGL_EXPORTED_DEF bool_t BGl_failzf3zf3zzast_nodez00(obj_t BgL_objz00_780)
	{
		{	/* Ast/nodetype.sch 1266 */
			{	/* Ast/nodetype.sch 1266 */
				obj_t BgL_classz00_9457;

				BgL_classz00_9457 = BGl_failz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_780))
					{	/* Ast/nodetype.sch 1266 */
						BgL_objectz00_bglt BgL_arg1825z00_9458;

						BgL_arg1825z00_9458 = (BgL_objectz00_bglt) (BgL_objz00_780);
						{	/* Ast/nodetype.sch 1266 */
							bool_t BgL_arg1822z00_9459;
							bool_t BgL_arg1823z00_9460;

							{	/* Ast/nodetype.sch 1266 */
								long BgL_idxz00_9461;

								BgL_idxz00_9461 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9458);
								BgL_arg1822z00_9459 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9461 + ((long) 2))) == BgL_classz00_9457);
							}
							{	/* Ast/nodetype.sch 1266 */
								bool_t BgL_res3012z00_9464;

								{	/* Ast/nodetype.sch 1266 */
									obj_t BgL_oclassz00_9465;

									{	/* Ast/nodetype.sch 1266 */
										long BgL_arg1833z00_9466;

										{	/* Ast/nodetype.sch 1266 */
											long BgL_arg1834z00_9467;

											BgL_arg1834z00_9467 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9458);
											BgL_arg1833z00_9466 = (BgL_arg1834z00_9467 - OBJECT_TYPE);
										}
										BgL_oclassz00_9465 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9466);
									}
									{	/* Ast/nodetype.sch 1266 */
										bool_t BgL__ortest_1110z00_9468;

										BgL__ortest_1110z00_9468 =
											(BgL_classz00_9457 == BgL_oclassz00_9465);
										if (BgL__ortest_1110z00_9468)
											{	/* Ast/nodetype.sch 1266 */
												BgL_res3012z00_9464 = BgL__ortest_1110z00_9468;
											}
										else
											{	/* Ast/nodetype.sch 1266 */
												long BgL_odepthz00_9469;

												BgL_odepthz00_9469 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9465);
												if ((((long) 2) < BgL_odepthz00_9469))
													{	/* Ast/nodetype.sch 1266 */
														obj_t BgL_arg1821z00_9470;

														BgL_arg1821z00_9470 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9465,
															((long) 2));
														BgL_res3012z00_9464 =
															(BgL_arg1821z00_9470 == BgL_classz00_9457);
													}
												else
													{	/* Ast/nodetype.sch 1266 */
														BgL_res3012z00_9464 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9460 = BgL_res3012z00_9464;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9459, BgL_arg1823z00_9460);
						}
					}
				else
					{	/* Ast/nodetype.sch 1266 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &fail? */
	obj_t BGl_z62failzf3z91zzast_nodez00(obj_t BgL_envz00_7289,
		obj_t BgL_objz00_7290)
	{
		{	/* Ast/nodetype.sch 1266 */
			return BBOOL(BGl_failzf3zf3zzast_nodez00(BgL_objz00_7290));
		}

	}



/* fail-nil */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1267 */
			{	/* Ast/nodetype.sch 1267 */
				obj_t BgL_classz00_5055;

				BgL_classz00_5055 = BGl_failz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1267 */
					obj_t BgL__ortest_1112z00_5056;

					BgL__ortest_1112z00_5056 = BGL_CLASS_NIL(BgL_classz00_5055);
					if (CBOOL(BgL__ortest_1112z00_5056))
						{	/* Ast/nodetype.sch 1267 */
							return ((BgL_failz00_bglt) BgL__ortest_1112z00_5056);
						}
					else
						{	/* Ast/nodetype.sch 1267 */
							return
								((BgL_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5055));
						}
				}
			}
		}

	}



/* &fail-nil */
	BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7291)
	{
		{	/* Ast/nodetype.sch 1267 */
			return BGl_failzd2nilzd2zzast_nodez00();
		}

	}



/* fail-obj */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_781)
	{
		{	/* Ast/nodetype.sch 1268 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_781))->BgL_objz00);
		}

	}



/* &fail-obj */
	BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t BgL_envz00_7292,
		obj_t BgL_oz00_7293)
	{
		{	/* Ast/nodetype.sch 1268 */
			return BGl_failzd2objzd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7293));
		}

	}



/* fail-obj-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_782,
		BgL_nodez00_bglt BgL_vz00_783)
	{
		{	/* Ast/nodetype.sch 1269 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_782))->BgL_objz00) =
				((BgL_nodez00_bglt) BgL_vz00_783), BUNSPEC);
		}

	}



/* &fail-obj-set! */
	obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7294,
		obj_t BgL_oz00_7295, obj_t BgL_vz00_7296)
	{
		{	/* Ast/nodetype.sch 1269 */
			return
				BGl_failzd2objzd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7295), ((BgL_nodez00_bglt) BgL_vz00_7296));
		}

	}



/* fail-msg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_784)
	{
		{	/* Ast/nodetype.sch 1270 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_784))->BgL_msgz00);
		}

	}



/* &fail-msg */
	BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t BgL_envz00_7297,
		obj_t BgL_oz00_7298)
	{
		{	/* Ast/nodetype.sch 1270 */
			return BGl_failzd2msgzd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7298));
		}

	}



/* fail-msg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_785,
		BgL_nodez00_bglt BgL_vz00_786)
	{
		{	/* Ast/nodetype.sch 1271 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_785))->BgL_msgz00) =
				((BgL_nodez00_bglt) BgL_vz00_786), BUNSPEC);
		}

	}



/* &fail-msg-set! */
	obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7299,
		obj_t BgL_oz00_7300, obj_t BgL_vz00_7301)
	{
		{	/* Ast/nodetype.sch 1271 */
			return
				BGl_failzd2msgzd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7300), ((BgL_nodez00_bglt) BgL_vz00_7301));
		}

	}



/* fail-proc */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_787)
	{
		{	/* Ast/nodetype.sch 1272 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_787))->BgL_procz00);
		}

	}



/* &fail-proc */
	BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t BgL_envz00_7302,
		obj_t BgL_oz00_7303)
	{
		{	/* Ast/nodetype.sch 1272 */
			return
				BGl_failzd2proczd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7303));
		}

	}



/* fail-proc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_788,
		BgL_nodez00_bglt BgL_vz00_789)
	{
		{	/* Ast/nodetype.sch 1273 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_788))->BgL_procz00) =
				((BgL_nodez00_bglt) BgL_vz00_789), BUNSPEC);
		}

	}



/* &fail-proc-set! */
	obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t BgL_envz00_7304,
		obj_t BgL_oz00_7305, obj_t BgL_vz00_7306)
	{
		{	/* Ast/nodetype.sch 1273 */
			return
				BGl_failzd2proczd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7305), ((BgL_nodez00_bglt) BgL_vz00_7306));
		}

	}



/* fail-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_790)
	{
		{	/* Ast/nodetype.sch 1274 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_790)))->BgL_typez00);
		}

	}



/* &fail-type */
	BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t BgL_envz00_7307,
		obj_t BgL_oz00_7308)
	{
		{	/* Ast/nodetype.sch 1274 */
			return
				BGl_failzd2typezd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7308));
		}

	}



/* fail-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_791,
		BgL_typez00_bglt BgL_vz00_792)
	{
		{	/* Ast/nodetype.sch 1275 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_791)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_792), BUNSPEC);
		}

	}



/* &fail-type-set! */
	obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7309,
		obj_t BgL_oz00_7310, obj_t BgL_vz00_7311)
	{
		{	/* Ast/nodetype.sch 1275 */
			return
				BGl_failzd2typezd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7310), ((BgL_typez00_bglt) BgL_vz00_7311));
		}

	}



/* fail-loc */
	BGL_EXPORTED_DEF obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt
		BgL_oz00_793)
	{
		{	/* Ast/nodetype.sch 1276 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_793)))->BgL_locz00);
		}

	}



/* &fail-loc */
	obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t BgL_envz00_7312,
		obj_t BgL_oz00_7313)
	{
		{	/* Ast/nodetype.sch 1276 */
			return BGl_failzd2loczd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7313));
		}

	}



/* make-switch */
	BGL_EXPORTED_DEF BgL_switchz00_bglt BGl_makezd2switchzd2zzast_nodez00(obj_t
		BgL_loc1500z00_796, BgL_typez00_bglt BgL_type1501z00_797,
		obj_t BgL_sidezd2effect1502zd2_798, obj_t BgL_key1503z00_799,
		BgL_nodez00_bglt BgL_test1504z00_800, obj_t BgL_clauses1505z00_801,
		BgL_typez00_bglt BgL_itemzd2type1506zd2_802)
	{
		{	/* Ast/nodetype.sch 1280 */
			{	/* Ast/nodetype.sch 1280 */
				BgL_switchz00_bglt BgL_new1492z00_9471;

				{	/* Ast/nodetype.sch 1280 */
					BgL_switchz00_bglt BgL_new1491z00_9472;

					BgL_new1491z00_9472 =
						((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchz00_bgl))));
					{	/* Ast/nodetype.sch 1280 */
						long BgL_arg1856z00_9473;

						BgL_arg1856z00_9473 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1491z00_9472), BgL_arg1856z00_9473);
					}
					{	/* Ast/nodetype.sch 1280 */
						BgL_objectz00_bglt BgL_tmpz00_13330;

						BgL_tmpz00_13330 = ((BgL_objectz00_bglt) BgL_new1491z00_9472);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13330, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1491z00_9472);
					BgL_new1492z00_9471 = BgL_new1491z00_9472;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1492z00_9471)))->BgL_locz00) =
					((obj_t) BgL_loc1500z00_796), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1492z00_9471)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1501z00_797), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1492z00_9471)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1502zd2_798), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1492z00_9471)))->BgL_keyz00) =
					((obj_t) BgL_key1503z00_799), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1492z00_9471))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1504z00_800), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1492z00_9471))->BgL_clausesz00) =
					((obj_t) BgL_clauses1505z00_801), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1492z00_9471))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1506zd2_802), BUNSPEC);
				return BgL_new1492z00_9471;
			}
		}

	}



/* &make-switch */
	BgL_switchz00_bglt BGl_z62makezd2switchzb0zzast_nodez00(obj_t BgL_envz00_7314,
		obj_t BgL_loc1500z00_7315, obj_t BgL_type1501z00_7316,
		obj_t BgL_sidezd2effect1502zd2_7317, obj_t BgL_key1503z00_7318,
		obj_t BgL_test1504z00_7319, obj_t BgL_clauses1505z00_7320,
		obj_t BgL_itemzd2type1506zd2_7321)
	{
		{	/* Ast/nodetype.sch 1280 */
			return
				BGl_makezd2switchzd2zzast_nodez00(BgL_loc1500z00_7315,
				((BgL_typez00_bglt) BgL_type1501z00_7316),
				BgL_sidezd2effect1502zd2_7317, BgL_key1503z00_7318,
				((BgL_nodez00_bglt) BgL_test1504z00_7319), BgL_clauses1505z00_7320,
				((BgL_typez00_bglt) BgL_itemzd2type1506zd2_7321));
		}

	}



/* switch? */
	BGL_EXPORTED_DEF bool_t BGl_switchzf3zf3zzast_nodez00(obj_t BgL_objz00_803)
	{
		{	/* Ast/nodetype.sch 1281 */
			{	/* Ast/nodetype.sch 1281 */
				obj_t BgL_classz00_9474;

				BgL_classz00_9474 = BGl_switchz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_803))
					{	/* Ast/nodetype.sch 1281 */
						BgL_objectz00_bglt BgL_arg1825z00_9475;

						BgL_arg1825z00_9475 = (BgL_objectz00_bglt) (BgL_objz00_803);
						{	/* Ast/nodetype.sch 1281 */
							bool_t BgL_arg1822z00_9476;
							bool_t BgL_arg1823z00_9477;

							{	/* Ast/nodetype.sch 1281 */
								long BgL_idxz00_9478;

								BgL_idxz00_9478 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9475);
								BgL_arg1822z00_9476 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9478 + ((long) 3))) == BgL_classz00_9474);
							}
							{	/* Ast/nodetype.sch 1281 */
								bool_t BgL_res3013z00_9481;

								{	/* Ast/nodetype.sch 1281 */
									obj_t BgL_oclassz00_9482;

									{	/* Ast/nodetype.sch 1281 */
										long BgL_arg1833z00_9483;

										{	/* Ast/nodetype.sch 1281 */
											long BgL_arg1834z00_9484;

											BgL_arg1834z00_9484 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9475);
											BgL_arg1833z00_9483 = (BgL_arg1834z00_9484 - OBJECT_TYPE);
										}
										BgL_oclassz00_9482 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9483);
									}
									{	/* Ast/nodetype.sch 1281 */
										bool_t BgL__ortest_1110z00_9485;

										BgL__ortest_1110z00_9485 =
											(BgL_classz00_9474 == BgL_oclassz00_9482);
										if (BgL__ortest_1110z00_9485)
											{	/* Ast/nodetype.sch 1281 */
												BgL_res3013z00_9481 = BgL__ortest_1110z00_9485;
											}
										else
											{	/* Ast/nodetype.sch 1281 */
												long BgL_odepthz00_9486;

												BgL_odepthz00_9486 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9482);
												if ((((long) 3) < BgL_odepthz00_9486))
													{	/* Ast/nodetype.sch 1281 */
														obj_t BgL_arg1821z00_9487;

														BgL_arg1821z00_9487 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9482,
															((long) 3));
														BgL_res3013z00_9481 =
															(BgL_arg1821z00_9487 == BgL_classz00_9474);
													}
												else
													{	/* Ast/nodetype.sch 1281 */
														BgL_res3013z00_9481 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9477 = BgL_res3013z00_9481;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9476, BgL_arg1823z00_9477);
						}
					}
				else
					{	/* Ast/nodetype.sch 1281 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &switch? */
	obj_t BGl_z62switchzf3z91zzast_nodez00(obj_t BgL_envz00_7322,
		obj_t BgL_objz00_7323)
	{
		{	/* Ast/nodetype.sch 1281 */
			return BBOOL(BGl_switchzf3zf3zzast_nodez00(BgL_objz00_7323));
		}

	}



/* switch-nil */
	BGL_EXPORTED_DEF BgL_switchz00_bglt BGl_switchzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1282 */
			{	/* Ast/nodetype.sch 1282 */
				obj_t BgL_classz00_5096;

				BgL_classz00_5096 = BGl_switchz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1282 */
					obj_t BgL__ortest_1112z00_5097;

					BgL__ortest_1112z00_5097 = BGL_CLASS_NIL(BgL_classz00_5096);
					if (CBOOL(BgL__ortest_1112z00_5097))
						{	/* Ast/nodetype.sch 1282 */
							return ((BgL_switchz00_bglt) BgL__ortest_1112z00_5097);
						}
					else
						{	/* Ast/nodetype.sch 1282 */
							return
								((BgL_switchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5096));
						}
				}
			}
		}

	}



/* &switch-nil */
	BgL_switchz00_bglt BGl_z62switchzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7324)
	{
		{	/* Ast/nodetype.sch 1282 */
			return BGl_switchzd2nilzd2zzast_nodez00();
		}

	}



/* switch-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzd2itemzd2typez00zzast_nodez00(BgL_switchz00_bglt BgL_oz00_804)
	{
		{	/* Ast/nodetype.sch 1283 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_804))->BgL_itemzd2typezd2);
		}

	}



/* &switch-item-type */
	BgL_typez00_bglt BGl_z62switchzd2itemzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7325, obj_t BgL_oz00_7326)
	{
		{	/* Ast/nodetype.sch 1283 */
			return
				BGl_switchzd2itemzd2typez00zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7326));
		}

	}



/* switch-item-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_805, BgL_typez00_bglt BgL_vz00_806)
	{
		{	/* Ast/nodetype.sch 1284 */
			return
				((((BgL_switchz00_bglt) COBJECT(BgL_oz00_805))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) BgL_vz00_806), BUNSPEC);
		}

	}



/* &switch-item-type-set! */
	obj_t BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7327, obj_t BgL_oz00_7328, obj_t BgL_vz00_7329)
	{
		{	/* Ast/nodetype.sch 1284 */
			return
				BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7328),
				((BgL_typez00_bglt) BgL_vz00_7329));
		}

	}



/* switch-clauses */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2clauseszd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_807)
	{
		{	/* Ast/nodetype.sch 1285 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_807))->BgL_clausesz00);
		}

	}



/* &switch-clauses */
	obj_t BGl_z62switchzd2clauseszb0zzast_nodez00(obj_t BgL_envz00_7330,
		obj_t BgL_oz00_7331)
	{
		{	/* Ast/nodetype.sch 1285 */
			return
				BGl_switchzd2clauseszd2zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7331));
		}

	}



/* switch-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_switchzd2testzd2zzast_nodez00(BgL_switchz00_bglt BgL_oz00_810)
	{
		{	/* Ast/nodetype.sch 1287 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_810))->BgL_testz00);
		}

	}



/* &switch-test */
	BgL_nodez00_bglt BGl_z62switchzd2testzb0zzast_nodez00(obj_t BgL_envz00_7332,
		obj_t BgL_oz00_7333)
	{
		{	/* Ast/nodetype.sch 1287 */
			return
				BGl_switchzd2testzd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7333));
		}

	}



/* switch-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2testzd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_811,
		BgL_nodez00_bglt BgL_vz00_812)
	{
		{	/* Ast/nodetype.sch 1288 */
			return
				((((BgL_switchz00_bglt) COBJECT(BgL_oz00_811))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_812), BUNSPEC);
		}

	}



/* &switch-test-set! */
	obj_t BGl_z62switchzd2testzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7334,
		obj_t BgL_oz00_7335, obj_t BgL_vz00_7336)
	{
		{	/* Ast/nodetype.sch 1288 */
			return
				BGl_switchzd2testzd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7335),
				((BgL_nodez00_bglt) BgL_vz00_7336));
		}

	}



/* switch-key */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2keyzd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_813)
	{
		{	/* Ast/nodetype.sch 1289 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_813)))->BgL_keyz00);
		}

	}



/* &switch-key */
	obj_t BGl_z62switchzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7337,
		obj_t BgL_oz00_7338)
	{
		{	/* Ast/nodetype.sch 1289 */
			return
				BGl_switchzd2keyzd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7338));
		}

	}



/* switch-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2keyzd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_814,
		obj_t BgL_vz00_815)
	{
		{	/* Ast/nodetype.sch 1290 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_814)))->BgL_keyz00) =
				((obj_t) BgL_vz00_815), BUNSPEC);
		}

	}



/* &switch-key-set! */
	obj_t BGl_z62switchzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7339,
		obj_t BgL_oz00_7340, obj_t BgL_vz00_7341)
	{
		{	/* Ast/nodetype.sch 1290 */
			return
				BGl_switchzd2keyzd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7340), BgL_vz00_7341);
		}

	}



/* switch-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2sidezd2effectz00zzast_nodez00(BgL_switchz00_bglt BgL_oz00_816)
	{
		{	/* Ast/nodetype.sch 1291 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_816)))->BgL_sidezd2effectzd2);
		}

	}



/* &switch-side-effect */
	obj_t BGl_z62switchzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_7342,
		obj_t BgL_oz00_7343)
	{
		{	/* Ast/nodetype.sch 1291 */
			return
				BGl_switchzd2sidezd2effectz00zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7343));
		}

	}



/* switch-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_817, obj_t BgL_vz00_818)
	{
		{	/* Ast/nodetype.sch 1292 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_817)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_818), BUNSPEC);
		}

	}



/* &switch-side-effect-set! */
	obj_t BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7344, obj_t BgL_oz00_7345, obj_t BgL_vz00_7346)
	{
		{	/* Ast/nodetype.sch 1292 */
			return
				BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7345), BgL_vz00_7346);
		}

	}



/* switch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzd2typezd2zzast_nodez00(BgL_switchz00_bglt BgL_oz00_819)
	{
		{	/* Ast/nodetype.sch 1293 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_819)))->BgL_typez00);
		}

	}



/* &switch-type */
	BgL_typez00_bglt BGl_z62switchzd2typezb0zzast_nodez00(obj_t BgL_envz00_7347,
		obj_t BgL_oz00_7348)
	{
		{	/* Ast/nodetype.sch 1293 */
			return
				BGl_switchzd2typezd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7348));
		}

	}



/* switch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2typezd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_820,
		BgL_typez00_bglt BgL_vz00_821)
	{
		{	/* Ast/nodetype.sch 1294 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_820)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_821), BUNSPEC);
		}

	}



/* &switch-type-set! */
	obj_t BGl_z62switchzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7349,
		obj_t BgL_oz00_7350, obj_t BgL_vz00_7351)
	{
		{	/* Ast/nodetype.sch 1294 */
			return
				BGl_switchzd2typezd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7350),
				((BgL_typez00_bglt) BgL_vz00_7351));
		}

	}



/* switch-loc */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2loczd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_822)
	{
		{	/* Ast/nodetype.sch 1295 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_822)))->BgL_locz00);
		}

	}



/* &switch-loc */
	obj_t BGl_z62switchzd2loczb0zzast_nodez00(obj_t BgL_envz00_7352,
		obj_t BgL_oz00_7353)
	{
		{	/* Ast/nodetype.sch 1295 */
			return
				BGl_switchzd2loczd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7353));
		}

	}



/* make-let-fun */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t BgL_loc1493z00_825,
		BgL_typez00_bglt BgL_type1494z00_826, obj_t BgL_sidezd2effect1495zd2_827,
		obj_t BgL_key1496z00_828, obj_t BgL_locals1497z00_829,
		BgL_nodez00_bglt BgL_body1498z00_830)
	{
		{	/* Ast/nodetype.sch 1299 */
			{	/* Ast/nodetype.sch 1299 */
				BgL_letzd2funzd2_bglt BgL_new1494z00_9488;

				{	/* Ast/nodetype.sch 1299 */
					BgL_letzd2funzd2_bglt BgL_new1493z00_9489;

					BgL_new1493z00_9489 =
						((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/nodetype.sch 1299 */
						long BgL_arg1857z00_9490;

						BgL_arg1857z00_9490 = BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1493z00_9489), BgL_arg1857z00_9490);
					}
					{	/* Ast/nodetype.sch 1299 */
						BgL_objectz00_bglt BgL_tmpz00_13426;

						BgL_tmpz00_13426 = ((BgL_objectz00_bglt) BgL_new1493z00_9489);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13426, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1493z00_9489);
					BgL_new1494z00_9488 = BgL_new1493z00_9489;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1494z00_9488)))->BgL_locz00) =
					((obj_t) BgL_loc1493z00_825), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1494z00_9488)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1494z00_826), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1494z00_9488)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1495zd2_827), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1494z00_9488)))->BgL_keyz00) =
					((obj_t) BgL_key1496z00_828), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1494z00_9488))->
						BgL_localsz00) = ((obj_t) BgL_locals1497z00_829), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1494z00_9488))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1498z00_830), BUNSPEC);
				return BgL_new1494z00_9488;
			}
		}

	}



/* &make-let-fun */
	BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t
		BgL_envz00_7354, obj_t BgL_loc1493z00_7355, obj_t BgL_type1494z00_7356,
		obj_t BgL_sidezd2effect1495zd2_7357, obj_t BgL_key1496z00_7358,
		obj_t BgL_locals1497z00_7359, obj_t BgL_body1498z00_7360)
	{
		{	/* Ast/nodetype.sch 1299 */
			return
				BGl_makezd2letzd2funz00zzast_nodez00(BgL_loc1493z00_7355,
				((BgL_typez00_bglt) BgL_type1494z00_7356),
				BgL_sidezd2effect1495zd2_7357, BgL_key1496z00_7358,
				BgL_locals1497z00_7359, ((BgL_nodez00_bglt) BgL_body1498z00_7360));
		}

	}



/* let-fun? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t BgL_objz00_831)
	{
		{	/* Ast/nodetype.sch 1300 */
			{	/* Ast/nodetype.sch 1300 */
				obj_t BgL_classz00_9491;

				BgL_classz00_9491 = BGl_letzd2funzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_831))
					{	/* Ast/nodetype.sch 1300 */
						BgL_objectz00_bglt BgL_arg1825z00_9492;

						BgL_arg1825z00_9492 = (BgL_objectz00_bglt) (BgL_objz00_831);
						{	/* Ast/nodetype.sch 1300 */
							bool_t BgL_arg1822z00_9493;
							bool_t BgL_arg1823z00_9494;

							{	/* Ast/nodetype.sch 1300 */
								long BgL_idxz00_9495;

								BgL_idxz00_9495 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9492);
								BgL_arg1822z00_9493 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9495 + ((long) 3))) == BgL_classz00_9491);
							}
							{	/* Ast/nodetype.sch 1300 */
								bool_t BgL_res3014z00_9498;

								{	/* Ast/nodetype.sch 1300 */
									obj_t BgL_oclassz00_9499;

									{	/* Ast/nodetype.sch 1300 */
										long BgL_arg1833z00_9500;

										{	/* Ast/nodetype.sch 1300 */
											long BgL_arg1834z00_9501;

											BgL_arg1834z00_9501 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9492);
											BgL_arg1833z00_9500 = (BgL_arg1834z00_9501 - OBJECT_TYPE);
										}
										BgL_oclassz00_9499 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9500);
									}
									{	/* Ast/nodetype.sch 1300 */
										bool_t BgL__ortest_1110z00_9502;

										BgL__ortest_1110z00_9502 =
											(BgL_classz00_9491 == BgL_oclassz00_9499);
										if (BgL__ortest_1110z00_9502)
											{	/* Ast/nodetype.sch 1300 */
												BgL_res3014z00_9498 = BgL__ortest_1110z00_9502;
											}
										else
											{	/* Ast/nodetype.sch 1300 */
												long BgL_odepthz00_9503;

												BgL_odepthz00_9503 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9499);
												if ((((long) 3) < BgL_odepthz00_9503))
													{	/* Ast/nodetype.sch 1300 */
														obj_t BgL_arg1821z00_9504;

														BgL_arg1821z00_9504 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9499,
															((long) 3));
														BgL_res3014z00_9498 =
															(BgL_arg1821z00_9504 == BgL_classz00_9491);
													}
												else
													{	/* Ast/nodetype.sch 1300 */
														BgL_res3014z00_9498 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9494 = BgL_res3014z00_9498;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9493, BgL_arg1823z00_9494);
						}
					}
				else
					{	/* Ast/nodetype.sch 1300 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &let-fun? */
	obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t BgL_envz00_7361,
		obj_t BgL_objz00_7362)
	{
		{	/* Ast/nodetype.sch 1300 */
			return BBOOL(BGl_letzd2funzf3z21zzast_nodez00(BgL_objz00_7362));
		}

	}



/* let-fun-nil */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt BGl_letzd2funzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1301 */
			{	/* Ast/nodetype.sch 1301 */
				obj_t BgL_classz00_5137;

				BgL_classz00_5137 = BGl_letzd2funzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1301 */
					obj_t BgL__ortest_1112z00_5138;

					BgL__ortest_1112z00_5138 = BGL_CLASS_NIL(BgL_classz00_5137);
					if (CBOOL(BgL__ortest_1112z00_5138))
						{	/* Ast/nodetype.sch 1301 */
							return ((BgL_letzd2funzd2_bglt) BgL__ortest_1112z00_5138);
						}
					else
						{	/* Ast/nodetype.sch 1301 */
							return
								((BgL_letzd2funzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5137));
						}
				}
			}
		}

	}



/* &let-fun-nil */
	BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7363)
	{
		{	/* Ast/nodetype.sch 1301 */
			return BGl_letzd2funzd2nilz00zzast_nodez00();
		}

	}



/* let-fun-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_832)
	{
		{	/* Ast/nodetype.sch 1302 */
			return (((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_832))->BgL_bodyz00);
		}

	}



/* &let-fun-body */
	BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_7364, obj_t BgL_oz00_7365)
	{
		{	/* Ast/nodetype.sch 1302 */
			return
				BGl_letzd2funzd2bodyz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7365));
		}

	}



/* let-fun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_833, BgL_nodez00_bglt BgL_vz00_834)
	{
		{	/* Ast/nodetype.sch 1303 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_833))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_834), BUNSPEC);
		}

	}



/* &let-fun-body-set! */
	obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7366,
		obj_t BgL_oz00_7367, obj_t BgL_vz00_7368)
	{
		{	/* Ast/nodetype.sch 1303 */
			return
				BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7367),
				((BgL_nodez00_bglt) BgL_vz00_7368));
		}

	}



/* let-fun-locals */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_835)
	{
		{	/* Ast/nodetype.sch 1304 */
			return (((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_835))->BgL_localsz00);
		}

	}



/* &let-fun-locals */
	obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t BgL_envz00_7369,
		obj_t BgL_oz00_7370)
	{
		{	/* Ast/nodetype.sch 1304 */
			return
				BGl_letzd2funzd2localsz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7370));
		}

	}



/* let-fun-locals-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_836, obj_t BgL_vz00_837)
	{
		{	/* Ast/nodetype.sch 1305 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_836))->BgL_localsz00) =
				((obj_t) BgL_vz00_837), BUNSPEC);
		}

	}



/* &let-fun-locals-set! */
	obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7371, obj_t BgL_oz00_7372, obj_t BgL_vz00_7373)
	{
		{	/* Ast/nodetype.sch 1305 */
			return
				BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7372), BgL_vz00_7373);
		}

	}



/* let-fun-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_838)
	{
		{	/* Ast/nodetype.sch 1306 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_838)))->BgL_keyz00);
		}

	}



/* &let-fun-key */
	obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t BgL_envz00_7374,
		obj_t BgL_oz00_7375)
	{
		{	/* Ast/nodetype.sch 1306 */
			return
				BGl_letzd2funzd2keyz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7375));
		}

	}



/* let-fun-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_839, obj_t BgL_vz00_840)
	{
		{	/* Ast/nodetype.sch 1307 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_839)))->BgL_keyz00) =
				((obj_t) BgL_vz00_840), BUNSPEC);
		}

	}



/* &let-fun-key-set! */
	obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7376,
		obj_t BgL_oz00_7377, obj_t BgL_vz00_7378)
	{
		{	/* Ast/nodetype.sch 1307 */
			return
				BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7377), BgL_vz00_7378);
		}

	}



/* let-fun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_841)
	{
		{	/* Ast/nodetype.sch 1308 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_841)))->BgL_sidezd2effectzd2);
		}

	}



/* &let-fun-side-effect */
	obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7379,
		obj_t BgL_oz00_7380)
	{
		{	/* Ast/nodetype.sch 1308 */
			return
				BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7380));
		}

	}



/* let-fun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_842, obj_t BgL_vz00_843)
	{
		{	/* Ast/nodetype.sch 1309 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_842)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_843), BUNSPEC);
		}

	}



/* &let-fun-side-effect-set! */
	obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7381, obj_t BgL_oz00_7382, obj_t BgL_vz00_7383)
	{
		{	/* Ast/nodetype.sch 1309 */
			return
				BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7382), BgL_vz00_7383);
		}

	}



/* let-fun-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_844)
	{
		{	/* Ast/nodetype.sch 1310 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_844)))->BgL_typez00);
		}

	}



/* &let-fun-type */
	BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7384, obj_t BgL_oz00_7385)
	{
		{	/* Ast/nodetype.sch 1310 */
			return
				BGl_letzd2funzd2typez00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7385));
		}

	}



/* let-fun-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_845, BgL_typez00_bglt BgL_vz00_846)
	{
		{	/* Ast/nodetype.sch 1311 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_845)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_846), BUNSPEC);
		}

	}



/* &let-fun-type-set! */
	obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7386,
		obj_t BgL_oz00_7387, obj_t BgL_vz00_7388)
	{
		{	/* Ast/nodetype.sch 1311 */
			return
				BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7387),
				((BgL_typez00_bglt) BgL_vz00_7388));
		}

	}



/* let-fun-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_847)
	{
		{	/* Ast/nodetype.sch 1312 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_847)))->BgL_locz00);
		}

	}



/* &let-fun-loc */
	obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t BgL_envz00_7389,
		obj_t BgL_oz00_7390)
	{
		{	/* Ast/nodetype.sch 1312 */
			return
				BGl_letzd2funzd2locz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7390));
		}

	}



/* make-let-var */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t BgL_loc1485z00_850,
		BgL_typez00_bglt BgL_type1486z00_851, obj_t BgL_sidezd2effect1487zd2_852,
		obj_t BgL_key1488z00_853, obj_t BgL_bindings1489z00_854,
		BgL_nodez00_bglt BgL_body1490z00_855, bool_t BgL_removablezf31491zf3_856)
	{
		{	/* Ast/nodetype.sch 1316 */
			{	/* Ast/nodetype.sch 1316 */
				BgL_letzd2varzd2_bglt BgL_new1496z00_9505;

				{	/* Ast/nodetype.sch 1316 */
					BgL_letzd2varzd2_bglt BgL_new1495z00_9506;

					BgL_new1495z00_9506 =
						((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2varzd2_bgl))));
					{	/* Ast/nodetype.sch 1316 */
						long BgL_arg1858z00_9507;

						BgL_arg1858z00_9507 = BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1495z00_9506), BgL_arg1858z00_9507);
					}
					{	/* Ast/nodetype.sch 1316 */
						BgL_objectz00_bglt BgL_tmpz00_13516;

						BgL_tmpz00_13516 = ((BgL_objectz00_bglt) BgL_new1495z00_9506);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13516, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1495z00_9506);
					BgL_new1496z00_9505 = BgL_new1495z00_9506;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1496z00_9505)))->BgL_locz00) =
					((obj_t) BgL_loc1485z00_850), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1496z00_9505)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1486z00_851), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1496z00_9505)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1487zd2_852), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1496z00_9505)))->BgL_keyz00) =
					((obj_t) BgL_key1488z00_853), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1496z00_9505))->
						BgL_bindingsz00) = ((obj_t) BgL_bindings1489z00_854), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1496z00_9505))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1490z00_855), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1496z00_9505))->
						BgL_removablezf3zf3) =
					((bool_t) BgL_removablezf31491zf3_856), BUNSPEC);
				return BgL_new1496z00_9505;
			}
		}

	}



/* &make-let-var */
	BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t
		BgL_envz00_7391, obj_t BgL_loc1485z00_7392, obj_t BgL_type1486z00_7393,
		obj_t BgL_sidezd2effect1487zd2_7394, obj_t BgL_key1488z00_7395,
		obj_t BgL_bindings1489z00_7396, obj_t BgL_body1490z00_7397,
		obj_t BgL_removablezf31491zf3_7398)
	{
		{	/* Ast/nodetype.sch 1316 */
			return
				BGl_makezd2letzd2varz00zzast_nodez00(BgL_loc1485z00_7392,
				((BgL_typez00_bglt) BgL_type1486z00_7393),
				BgL_sidezd2effect1487zd2_7394, BgL_key1488z00_7395,
				BgL_bindings1489z00_7396, ((BgL_nodez00_bglt) BgL_body1490z00_7397),
				CBOOL(BgL_removablezf31491zf3_7398));
		}

	}



/* let-var? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t BgL_objz00_857)
	{
		{	/* Ast/nodetype.sch 1317 */
			{	/* Ast/nodetype.sch 1317 */
				obj_t BgL_classz00_9508;

				BgL_classz00_9508 = BGl_letzd2varzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_857))
					{	/* Ast/nodetype.sch 1317 */
						BgL_objectz00_bglt BgL_arg1825z00_9509;

						BgL_arg1825z00_9509 = (BgL_objectz00_bglt) (BgL_objz00_857);
						{	/* Ast/nodetype.sch 1317 */
							bool_t BgL_arg1822z00_9510;
							bool_t BgL_arg1823z00_9511;

							{	/* Ast/nodetype.sch 1317 */
								long BgL_idxz00_9512;

								BgL_idxz00_9512 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9509);
								BgL_arg1822z00_9510 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9512 + ((long) 3))) == BgL_classz00_9508);
							}
							{	/* Ast/nodetype.sch 1317 */
								bool_t BgL_res3015z00_9515;

								{	/* Ast/nodetype.sch 1317 */
									obj_t BgL_oclassz00_9516;

									{	/* Ast/nodetype.sch 1317 */
										long BgL_arg1833z00_9517;

										{	/* Ast/nodetype.sch 1317 */
											long BgL_arg1834z00_9518;

											BgL_arg1834z00_9518 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9509);
											BgL_arg1833z00_9517 = (BgL_arg1834z00_9518 - OBJECT_TYPE);
										}
										BgL_oclassz00_9516 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9517);
									}
									{	/* Ast/nodetype.sch 1317 */
										bool_t BgL__ortest_1110z00_9519;

										BgL__ortest_1110z00_9519 =
											(BgL_classz00_9508 == BgL_oclassz00_9516);
										if (BgL__ortest_1110z00_9519)
											{	/* Ast/nodetype.sch 1317 */
												BgL_res3015z00_9515 = BgL__ortest_1110z00_9519;
											}
										else
											{	/* Ast/nodetype.sch 1317 */
												long BgL_odepthz00_9520;

												BgL_odepthz00_9520 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9516);
												if ((((long) 3) < BgL_odepthz00_9520))
													{	/* Ast/nodetype.sch 1317 */
														obj_t BgL_arg1821z00_9521;

														BgL_arg1821z00_9521 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9516,
															((long) 3));
														BgL_res3015z00_9515 =
															(BgL_arg1821z00_9521 == BgL_classz00_9508);
													}
												else
													{	/* Ast/nodetype.sch 1317 */
														BgL_res3015z00_9515 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9511 = BgL_res3015z00_9515;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9510, BgL_arg1823z00_9511);
						}
					}
				else
					{	/* Ast/nodetype.sch 1317 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &let-var? */
	obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t BgL_envz00_7399,
		obj_t BgL_objz00_7400)
	{
		{	/* Ast/nodetype.sch 1317 */
			return BBOOL(BGl_letzd2varzf3z21zzast_nodez00(BgL_objz00_7400));
		}

	}



/* let-var-nil */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt BGl_letzd2varzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1318 */
			{	/* Ast/nodetype.sch 1318 */
				obj_t BgL_classz00_5178;

				BgL_classz00_5178 = BGl_letzd2varzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1318 */
					obj_t BgL__ortest_1112z00_5179;

					BgL__ortest_1112z00_5179 = BGL_CLASS_NIL(BgL_classz00_5178);
					if (CBOOL(BgL__ortest_1112z00_5179))
						{	/* Ast/nodetype.sch 1318 */
							return ((BgL_letzd2varzd2_bglt) BgL__ortest_1112z00_5179);
						}
					else
						{	/* Ast/nodetype.sch 1318 */
							return
								((BgL_letzd2varzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5178));
						}
				}
			}
		}

	}



/* &let-var-nil */
	BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7401)
	{
		{	/* Ast/nodetype.sch 1318 */
			return BGl_letzd2varzd2nilz00zzast_nodez00();
		}

	}



/* let-var-removable? */
	BGL_EXPORTED_DEF bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_858)
	{
		{	/* Ast/nodetype.sch 1319 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_858))->BgL_removablezf3zf3);
		}

	}



/* &let-var-removable? */
	obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t BgL_envz00_7402,
		obj_t BgL_oz00_7403)
	{
		{	/* Ast/nodetype.sch 1319 */
			return
				BBOOL(BGl_letzd2varzd2removablezf3zf3zzast_nodez00(
					((BgL_letzd2varzd2_bglt) BgL_oz00_7403)));
		}

	}



/* let-var-removable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_859, bool_t BgL_vz00_860)
	{
		{	/* Ast/nodetype.sch 1320 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_859))->
					BgL_removablezf3zf3) = ((bool_t) BgL_vz00_860), BUNSPEC);
		}

	}



/* &let-var-removable?-set! */
	obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t
		BgL_envz00_7404, obj_t BgL_oz00_7405, obj_t BgL_vz00_7406)
	{
		{	/* Ast/nodetype.sch 1320 */
			return
				BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7405), CBOOL(BgL_vz00_7406));
		}

	}



/* let-var-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_861)
	{
		{	/* Ast/nodetype.sch 1321 */
			return (((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_861))->BgL_bodyz00);
		}

	}



/* &let-var-body */
	BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_7407, obj_t BgL_oz00_7408)
	{
		{	/* Ast/nodetype.sch 1321 */
			return
				BGl_letzd2varzd2bodyz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7408));
		}

	}



/* let-var-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_862, BgL_nodez00_bglt BgL_vz00_863)
	{
		{	/* Ast/nodetype.sch 1322 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_862))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_863), BUNSPEC);
		}

	}



/* &let-var-body-set! */
	obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7409,
		obj_t BgL_oz00_7410, obj_t BgL_vz00_7411)
	{
		{	/* Ast/nodetype.sch 1322 */
			return
				BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7410),
				((BgL_nodez00_bglt) BgL_vz00_7411));
		}

	}



/* let-var-bindings */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_864)
	{
		{	/* Ast/nodetype.sch 1323 */
			return (((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_864))->BgL_bindingsz00);
		}

	}



/* &let-var-bindings */
	obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t BgL_envz00_7412,
		obj_t BgL_oz00_7413)
	{
		{	/* Ast/nodetype.sch 1323 */
			return
				BGl_letzd2varzd2bindingsz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7413));
		}

	}



/* let-var-bindings-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_865, obj_t BgL_vz00_866)
	{
		{	/* Ast/nodetype.sch 1324 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_865))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_866), BUNSPEC);
		}

	}



/* &let-var-bindings-set! */
	obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7414, obj_t BgL_oz00_7415, obj_t BgL_vz00_7416)
	{
		{	/* Ast/nodetype.sch 1324 */
			return
				BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7415), BgL_vz00_7416);
		}

	}



/* let-var-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_867)
	{
		{	/* Ast/nodetype.sch 1325 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_867)))->BgL_keyz00);
		}

	}



/* &let-var-key */
	obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t BgL_envz00_7417,
		obj_t BgL_oz00_7418)
	{
		{	/* Ast/nodetype.sch 1325 */
			return
				BGl_letzd2varzd2keyz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7418));
		}

	}



/* let-var-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_868, obj_t BgL_vz00_869)
	{
		{	/* Ast/nodetype.sch 1326 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_868)))->BgL_keyz00) =
				((obj_t) BgL_vz00_869), BUNSPEC);
		}

	}



/* &let-var-key-set! */
	obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7419,
		obj_t BgL_oz00_7420, obj_t BgL_vz00_7421)
	{
		{	/* Ast/nodetype.sch 1326 */
			return
				BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7420), BgL_vz00_7421);
		}

	}



/* let-var-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_870)
	{
		{	/* Ast/nodetype.sch 1327 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_870)))->BgL_sidezd2effectzd2);
		}

	}



/* &let-var-side-effect */
	obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7422,
		obj_t BgL_oz00_7423)
	{
		{	/* Ast/nodetype.sch 1327 */
			return
				BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7423));
		}

	}



/* let-var-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_871, obj_t BgL_vz00_872)
	{
		{	/* Ast/nodetype.sch 1328 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_871)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_872), BUNSPEC);
		}

	}



/* &let-var-side-effect-set! */
	obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7424, obj_t BgL_oz00_7425, obj_t BgL_vz00_7426)
	{
		{	/* Ast/nodetype.sch 1328 */
			return
				BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7425), BgL_vz00_7426);
		}

	}



/* let-var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_873)
	{
		{	/* Ast/nodetype.sch 1329 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_873)))->BgL_typez00);
		}

	}



/* &let-var-type */
	BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7427, obj_t BgL_oz00_7428)
	{
		{	/* Ast/nodetype.sch 1329 */
			return
				BGl_letzd2varzd2typez00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7428));
		}

	}



/* let-var-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_874, BgL_typez00_bglt BgL_vz00_875)
	{
		{	/* Ast/nodetype.sch 1330 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_874)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_875), BUNSPEC);
		}

	}



/* &let-var-type-set! */
	obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7429,
		obj_t BgL_oz00_7430, obj_t BgL_vz00_7431)
	{
		{	/* Ast/nodetype.sch 1330 */
			return
				BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7430),
				((BgL_typez00_bglt) BgL_vz00_7431));
		}

	}



/* let-var-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_876)
	{
		{	/* Ast/nodetype.sch 1331 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_876)))->BgL_locz00);
		}

	}



/* &let-var-loc */
	obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t BgL_envz00_7432,
		obj_t BgL_oz00_7433)
	{
		{	/* Ast/nodetype.sch 1331 */
			return
				BGl_letzd2varzd2locz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7433));
		}

	}



/* make-set-ex-it */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1479z00_879,
		BgL_typez00_bglt BgL_type1480z00_880, BgL_varz00_bglt BgL_var1481z00_881,
		BgL_nodez00_bglt BgL_body1482z00_882,
		BgL_nodez00_bglt BgL_onexit1483z00_883)
	{
		{	/* Ast/nodetype.sch 1335 */
			{	/* Ast/nodetype.sch 1335 */
				BgL_setzd2exzd2itz00_bglt BgL_new1498z00_9522;

				{	/* Ast/nodetype.sch 1335 */
					BgL_setzd2exzd2itz00_bglt BgL_new1497z00_9523;

					BgL_new1497z00_9523 =
						((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1335 */
						long BgL_arg1862z00_9524;

						BgL_arg1862z00_9524 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1497z00_9523), BgL_arg1862z00_9524);
					}
					{	/* Ast/nodetype.sch 1335 */
						BgL_objectz00_bglt BgL_tmpz00_13616;

						BgL_tmpz00_13616 = ((BgL_objectz00_bglt) BgL_new1497z00_9523);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13616, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1497z00_9523);
					BgL_new1498z00_9522 = BgL_new1497z00_9523;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1498z00_9522)))->BgL_locz00) =
					((obj_t) BgL_loc1479z00_879), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1498z00_9522)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1480z00_880), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1498z00_9522))->
						BgL_varz00) = ((BgL_varz00_bglt) BgL_var1481z00_881), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1498z00_9522))->
						BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_body1482z00_882), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1498z00_9522))->
						BgL_onexitz00) =
					((BgL_nodez00_bglt) BgL_onexit1483z00_883), BUNSPEC);
				return BgL_new1498z00_9522;
			}
		}

	}



/* &make-set-ex-it */
	BgL_setzd2exzd2itz00_bglt BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_7434, obj_t BgL_loc1479z00_7435, obj_t BgL_type1480z00_7436,
		obj_t BgL_var1481z00_7437, obj_t BgL_body1482z00_7438,
		obj_t BgL_onexit1483z00_7439)
	{
		{	/* Ast/nodetype.sch 1335 */
			return
				BGl_makezd2setzd2exzd2itzd2zzast_nodez00(BgL_loc1479z00_7435,
				((BgL_typez00_bglt) BgL_type1480z00_7436),
				((BgL_varz00_bglt) BgL_var1481z00_7437),
				((BgL_nodez00_bglt) BgL_body1482z00_7438),
				((BgL_nodez00_bglt) BgL_onexit1483z00_7439));
		}

	}



/* set-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_884)
	{
		{	/* Ast/nodetype.sch 1336 */
			{	/* Ast/nodetype.sch 1336 */
				obj_t BgL_classz00_9525;

				BgL_classz00_9525 = BGl_setzd2exzd2itz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_884))
					{	/* Ast/nodetype.sch 1336 */
						BgL_objectz00_bglt BgL_arg1825z00_9526;

						BgL_arg1825z00_9526 = (BgL_objectz00_bglt) (BgL_objz00_884);
						{	/* Ast/nodetype.sch 1336 */
							bool_t BgL_arg1822z00_9527;
							bool_t BgL_arg1823z00_9528;

							{	/* Ast/nodetype.sch 1336 */
								long BgL_idxz00_9529;

								BgL_idxz00_9529 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9526);
								BgL_arg1822z00_9527 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9529 + ((long) 2))) == BgL_classz00_9525);
							}
							{	/* Ast/nodetype.sch 1336 */
								bool_t BgL_res3016z00_9532;

								{	/* Ast/nodetype.sch 1336 */
									obj_t BgL_oclassz00_9533;

									{	/* Ast/nodetype.sch 1336 */
										long BgL_arg1833z00_9534;

										{	/* Ast/nodetype.sch 1336 */
											long BgL_arg1834z00_9535;

											BgL_arg1834z00_9535 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9526);
											BgL_arg1833z00_9534 = (BgL_arg1834z00_9535 - OBJECT_TYPE);
										}
										BgL_oclassz00_9533 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9534);
									}
									{	/* Ast/nodetype.sch 1336 */
										bool_t BgL__ortest_1110z00_9536;

										BgL__ortest_1110z00_9536 =
											(BgL_classz00_9525 == BgL_oclassz00_9533);
										if (BgL__ortest_1110z00_9536)
											{	/* Ast/nodetype.sch 1336 */
												BgL_res3016z00_9532 = BgL__ortest_1110z00_9536;
											}
										else
											{	/* Ast/nodetype.sch 1336 */
												long BgL_odepthz00_9537;

												BgL_odepthz00_9537 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9533);
												if ((((long) 2) < BgL_odepthz00_9537))
													{	/* Ast/nodetype.sch 1336 */
														obj_t BgL_arg1821z00_9538;

														BgL_arg1821z00_9538 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9533,
															((long) 2));
														BgL_res3016z00_9532 =
															(BgL_arg1821z00_9538 == BgL_classz00_9525);
													}
												else
													{	/* Ast/nodetype.sch 1336 */
														BgL_res3016z00_9532 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9528 = BgL_res3016z00_9532;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9527, BgL_arg1823z00_9528);
						}
					}
				else
					{	/* Ast/nodetype.sch 1336 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &set-ex-it? */
	obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_7440,
		obj_t BgL_objz00_7441)
	{
		{	/* Ast/nodetype.sch 1336 */
			return BBOOL(BGl_setzd2exzd2itzf3zf3zzast_nodez00(BgL_objz00_7441));
		}

	}



/* set-ex-it-nil */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1337 */
			{	/* Ast/nodetype.sch 1337 */
				obj_t BgL_classz00_5219;

				BgL_classz00_5219 = BGl_setzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1337 */
					obj_t BgL__ortest_1112z00_5220;

					BgL__ortest_1112z00_5220 = BGL_CLASS_NIL(BgL_classz00_5219);
					if (CBOOL(BgL__ortest_1112z00_5220))
						{	/* Ast/nodetype.sch 1337 */
							return ((BgL_setzd2exzd2itz00_bglt) BgL__ortest_1112z00_5220);
						}
					else
						{	/* Ast/nodetype.sch 1337 */
							return
								((BgL_setzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5219));
						}
				}
			}
		}

	}



/* &set-ex-it-nil */
	BgL_setzd2exzd2itz00_bglt BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7442)
	{
		{	/* Ast/nodetype.sch 1337 */
			return BGl_setzd2exzd2itzd2nilzd2zzast_nodez00();
		}

	}



/* set-ex-it-onexit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2onexitzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_885)
	{
		{	/* Ast/nodetype.sch 1338 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_885))->BgL_onexitz00);
		}

	}



/* &set-ex-it-onexit */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2onexitzb0zzast_nodez00(obj_t
		BgL_envz00_7443, obj_t BgL_oz00_7444)
	{
		{	/* Ast/nodetype.sch 1338 */
			return
				BGl_setzd2exzd2itzd2onexitzd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7444));
		}

	}



/* set-ex-it-onexit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2onexitzd2setz12z12zzast_nodez00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_886, BgL_nodez00_bglt BgL_vz00_887)
	{
		{	/* Ast/nodetype.sch 1339 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_886))->BgL_onexitz00) =
				((BgL_nodez00_bglt) BgL_vz00_887), BUNSPEC);
		}

	}



/* &set-ex-it-onexit-set! */
	obj_t BGl_z62setzd2exzd2itzd2onexitzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7445, obj_t BgL_oz00_7446, obj_t BgL_vz00_7447)
	{
		{	/* Ast/nodetype.sch 1339 */
			return
				BGl_setzd2exzd2itzd2onexitzd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7446),
				((BgL_nodez00_bglt) BgL_vz00_7447));
		}

	}



/* set-ex-it-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_888)
	{
		{	/* Ast/nodetype.sch 1340 */
			return (((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_888))->BgL_bodyz00);
		}

	}



/* &set-ex-it-body */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t
		BgL_envz00_7448, obj_t BgL_oz00_7449)
	{
		{	/* Ast/nodetype.sch 1340 */
			return
				BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7449));
		}

	}



/* set-ex-it-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_889, BgL_nodez00_bglt BgL_vz00_890)
	{
		{	/* Ast/nodetype.sch 1341 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_889))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_890), BUNSPEC);
		}

	}



/* &set-ex-it-body-set! */
	obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7450, obj_t BgL_oz00_7451, obj_t BgL_vz00_7452)
	{
		{	/* Ast/nodetype.sch 1341 */
			return
				BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7451),
				((BgL_nodez00_bglt) BgL_vz00_7452));
		}

	}



/* set-ex-it-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_891)
	{
		{	/* Ast/nodetype.sch 1342 */
			return (((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_891))->BgL_varz00);
		}

	}



/* &set-ex-it-var */
	BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t
		BgL_envz00_7453, obj_t BgL_oz00_7454)
	{
		{	/* Ast/nodetype.sch 1342 */
			return
				BGl_setzd2exzd2itzd2varzd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7454));
		}

	}



/* set-ex-it-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_892, BgL_varz00_bglt BgL_vz00_893)
	{
		{	/* Ast/nodetype.sch 1343 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_892))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_893), BUNSPEC);
		}

	}



/* &set-ex-it-var-set! */
	obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7455, obj_t BgL_oz00_7456, obj_t BgL_vz00_7457)
	{
		{	/* Ast/nodetype.sch 1343 */
			return
				BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7456),
				((BgL_varz00_bglt) BgL_vz00_7457));
		}

	}



/* set-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_894)
	{
		{	/* Ast/nodetype.sch 1344 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_894)))->BgL_typez00);
		}

	}



/* &set-ex-it-type */
	BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7458, obj_t BgL_oz00_7459)
	{
		{	/* Ast/nodetype.sch 1344 */
			return
				BGl_setzd2exzd2itzd2typezd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7459));
		}

	}



/* set-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_895, BgL_typez00_bglt BgL_vz00_896)
	{
		{	/* Ast/nodetype.sch 1345 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_895)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_896), BUNSPEC);
		}

	}



/* &set-ex-it-type-set! */
	obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7460, obj_t BgL_oz00_7461, obj_t BgL_vz00_7462)
	{
		{	/* Ast/nodetype.sch 1345 */
			return
				BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7461),
				((BgL_typez00_bglt) BgL_vz00_7462));
		}

	}



/* set-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_897)
	{
		{	/* Ast/nodetype.sch 1346 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_897)))->BgL_locz00);
		}

	}



/* &set-ex-it-loc */
	obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_7463,
		obj_t BgL_oz00_7464)
	{
		{	/* Ast/nodetype.sch 1346 */
			return
				BGl_setzd2exzd2itzd2loczd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7464));
		}

	}



/* make-jump-ex-it */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1474z00_900,
		BgL_typez00_bglt BgL_type1475z00_901, BgL_nodez00_bglt BgL_exit1476z00_902,
		BgL_nodez00_bglt BgL_value1477z00_903)
	{
		{	/* Ast/nodetype.sch 1350 */
			{	/* Ast/nodetype.sch 1350 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1500z00_9539;

				{	/* Ast/nodetype.sch 1350 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1499z00_9540;

					BgL_new1499z00_9540 =
						((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1350 */
						long BgL_arg1863z00_9541;

						BgL_arg1863z00_9541 =
							BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1499z00_9540), BgL_arg1863z00_9541);
					}
					{	/* Ast/nodetype.sch 1350 */
						BgL_objectz00_bglt BgL_tmpz00_13697;

						BgL_tmpz00_13697 = ((BgL_objectz00_bglt) BgL_new1499z00_9540);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13697, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1499z00_9540);
					BgL_new1500z00_9539 = BgL_new1499z00_9540;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1500z00_9539)))->BgL_locz00) =
					((obj_t) BgL_loc1474z00_900), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1500z00_9539)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1475z00_901), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1500z00_9539))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_exit1476z00_902), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1500z00_9539))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1477z00_903), BUNSPEC);
				return BgL_new1500z00_9539;
			}
		}

	}



/* &make-jump-ex-it */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_7465, obj_t BgL_loc1474z00_7466, obj_t BgL_type1475z00_7467,
		obj_t BgL_exit1476z00_7468, obj_t BgL_value1477z00_7469)
	{
		{	/* Ast/nodetype.sch 1350 */
			return
				BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(BgL_loc1474z00_7466,
				((BgL_typez00_bglt) BgL_type1475z00_7467),
				((BgL_nodez00_bglt) BgL_exit1476z00_7468),
				((BgL_nodez00_bglt) BgL_value1477z00_7469));
		}

	}



/* jump-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_904)
	{
		{	/* Ast/nodetype.sch 1351 */
			{	/* Ast/nodetype.sch 1351 */
				obj_t BgL_classz00_9542;

				BgL_classz00_9542 = BGl_jumpzd2exzd2itz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_904))
					{	/* Ast/nodetype.sch 1351 */
						BgL_objectz00_bglt BgL_arg1825z00_9543;

						BgL_arg1825z00_9543 = (BgL_objectz00_bglt) (BgL_objz00_904);
						{	/* Ast/nodetype.sch 1351 */
							bool_t BgL_arg1822z00_9544;
							bool_t BgL_arg1823z00_9545;

							{	/* Ast/nodetype.sch 1351 */
								long BgL_idxz00_9546;

								BgL_idxz00_9546 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9543);
								BgL_arg1822z00_9544 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9546 + ((long) 2))) == BgL_classz00_9542);
							}
							{	/* Ast/nodetype.sch 1351 */
								bool_t BgL_res3017z00_9549;

								{	/* Ast/nodetype.sch 1351 */
									obj_t BgL_oclassz00_9550;

									{	/* Ast/nodetype.sch 1351 */
										long BgL_arg1833z00_9551;

										{	/* Ast/nodetype.sch 1351 */
											long BgL_arg1834z00_9552;

											BgL_arg1834z00_9552 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9543);
											BgL_arg1833z00_9551 = (BgL_arg1834z00_9552 - OBJECT_TYPE);
										}
										BgL_oclassz00_9550 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9551);
									}
									{	/* Ast/nodetype.sch 1351 */
										bool_t BgL__ortest_1110z00_9553;

										BgL__ortest_1110z00_9553 =
											(BgL_classz00_9542 == BgL_oclassz00_9550);
										if (BgL__ortest_1110z00_9553)
											{	/* Ast/nodetype.sch 1351 */
												BgL_res3017z00_9549 = BgL__ortest_1110z00_9553;
											}
										else
											{	/* Ast/nodetype.sch 1351 */
												long BgL_odepthz00_9554;

												BgL_odepthz00_9554 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9550);
												if ((((long) 2) < BgL_odepthz00_9554))
													{	/* Ast/nodetype.sch 1351 */
														obj_t BgL_arg1821z00_9555;

														BgL_arg1821z00_9555 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9550,
															((long) 2));
														BgL_res3017z00_9549 =
															(BgL_arg1821z00_9555 == BgL_classz00_9542);
													}
												else
													{	/* Ast/nodetype.sch 1351 */
														BgL_res3017z00_9549 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9545 = BgL_res3017z00_9549;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9544, BgL_arg1823z00_9545);
						}
					}
				else
					{	/* Ast/nodetype.sch 1351 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &jump-ex-it? */
	obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_7470,
		obj_t BgL_objz00_7471)
	{
		{	/* Ast/nodetype.sch 1351 */
			return BBOOL(BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(BgL_objz00_7471));
		}

	}



/* jump-ex-it-nil */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1352 */
			{	/* Ast/nodetype.sch 1352 */
				obj_t BgL_classz00_5260;

				BgL_classz00_5260 = BGl_jumpzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1352 */
					obj_t BgL__ortest_1112z00_5261;

					BgL__ortest_1112z00_5261 = BGL_CLASS_NIL(BgL_classz00_5260);
					if (CBOOL(BgL__ortest_1112z00_5261))
						{	/* Ast/nodetype.sch 1352 */
							return ((BgL_jumpzd2exzd2itz00_bglt) BgL__ortest_1112z00_5261);
						}
					else
						{	/* Ast/nodetype.sch 1352 */
							return
								((BgL_jumpzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5260));
						}
				}
			}
		}

	}



/* &jump-ex-it-nil */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7472)
	{
		{	/* Ast/nodetype.sch 1352 */
			return BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00();
		}

	}



/* jump-ex-it-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_905)
	{
		{	/* Ast/nodetype.sch 1353 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_905))->BgL_valuez00);
		}

	}



/* &jump-ex-it-value */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t
		BgL_envz00_7473, obj_t BgL_oz00_7474)
	{
		{	/* Ast/nodetype.sch 1353 */
			return
				BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7474));
		}

	}



/* jump-ex-it-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_906, BgL_nodez00_bglt BgL_vz00_907)
	{
		{	/* Ast/nodetype.sch 1354 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_906))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_907), BUNSPEC);
		}

	}



/* &jump-ex-it-value-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7475, obj_t BgL_oz00_7476, obj_t BgL_vz00_7477)
	{
		{	/* Ast/nodetype.sch 1354 */
			return
				BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7476),
				((BgL_nodez00_bglt) BgL_vz00_7477));
		}

	}



/* jump-ex-it-exit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_908)
	{
		{	/* Ast/nodetype.sch 1355 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_908))->BgL_exitz00);
		}

	}



/* &jump-ex-it-exit */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t
		BgL_envz00_7478, obj_t BgL_oz00_7479)
	{
		{	/* Ast/nodetype.sch 1355 */
			return
				BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7479));
		}

	}



/* jump-ex-it-exit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_909, BgL_nodez00_bglt BgL_vz00_910)
	{
		{	/* Ast/nodetype.sch 1356 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_909))->BgL_exitz00) =
				((BgL_nodez00_bglt) BgL_vz00_910), BUNSPEC);
		}

	}



/* &jump-ex-it-exit-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7480, obj_t BgL_oz00_7481, obj_t BgL_vz00_7482)
	{
		{	/* Ast/nodetype.sch 1356 */
			return
				BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7481),
				((BgL_nodez00_bglt) BgL_vz00_7482));
		}

	}



/* jump-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_911)
	{
		{	/* Ast/nodetype.sch 1357 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_911)))->BgL_typez00);
		}

	}



/* &jump-ex-it-type */
	BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7483, obj_t BgL_oz00_7484)
	{
		{	/* Ast/nodetype.sch 1357 */
			return
				BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7484));
		}

	}



/* jump-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_912, BgL_typez00_bglt BgL_vz00_913)
	{
		{	/* Ast/nodetype.sch 1358 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_912)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_913), BUNSPEC);
		}

	}



/* &jump-ex-it-type-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7485, obj_t BgL_oz00_7486, obj_t BgL_vz00_7487)
	{
		{	/* Ast/nodetype.sch 1358 */
			return
				BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7486),
				((BgL_typez00_bglt) BgL_vz00_7487));
		}

	}



/* jump-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_914)
	{
		{	/* Ast/nodetype.sch 1359 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_914)))->BgL_locz00);
		}

	}



/* &jump-ex-it-loc */
	obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_7488,
		obj_t BgL_oz00_7489)
	{
		{	/* Ast/nodetype.sch 1359 */
			return
				BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7489));
		}

	}



/* make-retblock */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt
		BGl_makezd2retblockzd2zzast_nodez00(obj_t BgL_loc1470z00_917,
		BgL_typez00_bglt BgL_type1471z00_918, BgL_nodez00_bglt BgL_body1472z00_919)
	{
		{	/* Ast/nodetype.sch 1363 */
			{	/* Ast/nodetype.sch 1363 */
				BgL_retblockz00_bglt BgL_new1502z00_9556;

				{	/* Ast/nodetype.sch 1363 */
					BgL_retblockz00_bglt BgL_new1501z00_9557;

					BgL_new1501z00_9557 =
						((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockz00_bgl))));
					{	/* Ast/nodetype.sch 1363 */
						long BgL_arg1865z00_9558;

						BgL_arg1865z00_9558 = BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1501z00_9557), BgL_arg1865z00_9558);
					}
					{	/* Ast/nodetype.sch 1363 */
						BgL_objectz00_bglt BgL_tmpz00_13769;

						BgL_tmpz00_13769 = ((BgL_objectz00_bglt) BgL_new1501z00_9557);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13769, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1501z00_9557);
					BgL_new1502z00_9556 = BgL_new1501z00_9557;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1502z00_9556)))->BgL_locz00) =
					((obj_t) BgL_loc1470z00_917), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1502z00_9556)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1471z00_918), BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(BgL_new1502z00_9556))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1472z00_919), BUNSPEC);
				return BgL_new1502z00_9556;
			}
		}

	}



/* &make-retblock */
	BgL_retblockz00_bglt BGl_z62makezd2retblockzb0zzast_nodez00(obj_t
		BgL_envz00_7490, obj_t BgL_loc1470z00_7491, obj_t BgL_type1471z00_7492,
		obj_t BgL_body1472z00_7493)
	{
		{	/* Ast/nodetype.sch 1363 */
			return
				BGl_makezd2retblockzd2zzast_nodez00(BgL_loc1470z00_7491,
				((BgL_typez00_bglt) BgL_type1471z00_7492),
				((BgL_nodez00_bglt) BgL_body1472z00_7493));
		}

	}



/* retblock? */
	BGL_EXPORTED_DEF bool_t BGl_retblockzf3zf3zzast_nodez00(obj_t BgL_objz00_920)
	{
		{	/* Ast/nodetype.sch 1364 */
			{	/* Ast/nodetype.sch 1364 */
				obj_t BgL_classz00_9559;

				BgL_classz00_9559 = BGl_retblockz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_920))
					{	/* Ast/nodetype.sch 1364 */
						BgL_objectz00_bglt BgL_arg1825z00_9560;

						BgL_arg1825z00_9560 = (BgL_objectz00_bglt) (BgL_objz00_920);
						{	/* Ast/nodetype.sch 1364 */
							bool_t BgL_arg1822z00_9561;
							bool_t BgL_arg1823z00_9562;

							{	/* Ast/nodetype.sch 1364 */
								long BgL_idxz00_9563;

								BgL_idxz00_9563 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9560);
								BgL_arg1822z00_9561 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9563 + ((long) 2))) == BgL_classz00_9559);
							}
							{	/* Ast/nodetype.sch 1364 */
								bool_t BgL_res3018z00_9566;

								{	/* Ast/nodetype.sch 1364 */
									obj_t BgL_oclassz00_9567;

									{	/* Ast/nodetype.sch 1364 */
										long BgL_arg1833z00_9568;

										{	/* Ast/nodetype.sch 1364 */
											long BgL_arg1834z00_9569;

											BgL_arg1834z00_9569 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9560);
											BgL_arg1833z00_9568 = (BgL_arg1834z00_9569 - OBJECT_TYPE);
										}
										BgL_oclassz00_9567 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9568);
									}
									{	/* Ast/nodetype.sch 1364 */
										bool_t BgL__ortest_1110z00_9570;

										BgL__ortest_1110z00_9570 =
											(BgL_classz00_9559 == BgL_oclassz00_9567);
										if (BgL__ortest_1110z00_9570)
											{	/* Ast/nodetype.sch 1364 */
												BgL_res3018z00_9566 = BgL__ortest_1110z00_9570;
											}
										else
											{	/* Ast/nodetype.sch 1364 */
												long BgL_odepthz00_9571;

												BgL_odepthz00_9571 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9567);
												if ((((long) 2) < BgL_odepthz00_9571))
													{	/* Ast/nodetype.sch 1364 */
														obj_t BgL_arg1821z00_9572;

														BgL_arg1821z00_9572 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9567,
															((long) 2));
														BgL_res3018z00_9566 =
															(BgL_arg1821z00_9572 == BgL_classz00_9559);
													}
												else
													{	/* Ast/nodetype.sch 1364 */
														BgL_res3018z00_9566 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9562 = BgL_res3018z00_9566;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9561, BgL_arg1823z00_9562);
						}
					}
				else
					{	/* Ast/nodetype.sch 1364 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &retblock? */
	obj_t BGl_z62retblockzf3z91zzast_nodez00(obj_t BgL_envz00_7494,
		obj_t BgL_objz00_7495)
	{
		{	/* Ast/nodetype.sch 1364 */
			return BBOOL(BGl_retblockzf3zf3zzast_nodez00(BgL_objz00_7495));
		}

	}



/* retblock-nil */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt BGl_retblockzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1365 */
			{	/* Ast/nodetype.sch 1365 */
				obj_t BgL_classz00_5301;

				BgL_classz00_5301 = BGl_retblockz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1365 */
					obj_t BgL__ortest_1112z00_5302;

					BgL__ortest_1112z00_5302 = BGL_CLASS_NIL(BgL_classz00_5301);
					if (CBOOL(BgL__ortest_1112z00_5302))
						{	/* Ast/nodetype.sch 1365 */
							return ((BgL_retblockz00_bglt) BgL__ortest_1112z00_5302);
						}
					else
						{	/* Ast/nodetype.sch 1365 */
							return
								((BgL_retblockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5301));
						}
				}
			}
		}

	}



/* &retblock-nil */
	BgL_retblockz00_bglt BGl_z62retblockzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7496)
	{
		{	/* Ast/nodetype.sch 1365 */
			return BGl_retblockzd2nilzd2zzast_nodez00();
		}

	}



/* retblock-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_retblockzd2bodyzd2zzast_nodez00(BgL_retblockz00_bglt BgL_oz00_921)
	{
		{	/* Ast/nodetype.sch 1366 */
			return (((BgL_retblockz00_bglt) COBJECT(BgL_oz00_921))->BgL_bodyz00);
		}

	}



/* &retblock-body */
	BgL_nodez00_bglt BGl_z62retblockzd2bodyzb0zzast_nodez00(obj_t BgL_envz00_7497,
		obj_t BgL_oz00_7498)
	{
		{	/* Ast/nodetype.sch 1366 */
			return
				BGl_retblockzd2bodyzd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7498));
		}

	}



/* retblock-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_922, BgL_nodez00_bglt BgL_vz00_923)
	{
		{	/* Ast/nodetype.sch 1367 */
			return
				((((BgL_retblockz00_bglt) COBJECT(BgL_oz00_922))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_923), BUNSPEC);
		}

	}



/* &retblock-body-set! */
	obj_t BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7499,
		obj_t BgL_oz00_7500, obj_t BgL_vz00_7501)
	{
		{	/* Ast/nodetype.sch 1367 */
			return
				BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7500),
				((BgL_nodez00_bglt) BgL_vz00_7501));
		}

	}



/* retblock-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_retblockzd2typezd2zzast_nodez00(BgL_retblockz00_bglt BgL_oz00_924)
	{
		{	/* Ast/nodetype.sch 1368 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_924)))->BgL_typez00);
		}

	}



/* &retblock-type */
	BgL_typez00_bglt BGl_z62retblockzd2typezb0zzast_nodez00(obj_t BgL_envz00_7502,
		obj_t BgL_oz00_7503)
	{
		{	/* Ast/nodetype.sch 1368 */
			return
				BGl_retblockzd2typezd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7503));
		}

	}



/* retblock-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_retblockzd2typezd2setz12z12zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_925, BgL_typez00_bglt BgL_vz00_926)
	{
		{	/* Ast/nodetype.sch 1369 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_925)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_926), BUNSPEC);
		}

	}



/* &retblock-type-set! */
	obj_t BGl_z62retblockzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7504,
		obj_t BgL_oz00_7505, obj_t BgL_vz00_7506)
	{
		{	/* Ast/nodetype.sch 1369 */
			return
				BGl_retblockzd2typezd2setz12z12zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7505),
				((BgL_typez00_bglt) BgL_vz00_7506));
		}

	}



/* retblock-loc */
	BGL_EXPORTED_DEF obj_t BGl_retblockzd2loczd2zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_927)
	{
		{	/* Ast/nodetype.sch 1370 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_927)))->BgL_locz00);
		}

	}



/* &retblock-loc */
	obj_t BGl_z62retblockzd2loczb0zzast_nodez00(obj_t BgL_envz00_7507,
		obj_t BgL_oz00_7508)
	{
		{	/* Ast/nodetype.sch 1370 */
			return
				BGl_retblockzd2loczd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7508));
		}

	}



/* make-return */
	BGL_EXPORTED_DEF BgL_returnz00_bglt BGl_makezd2returnzd2zzast_nodez00(obj_t
		BgL_loc1464z00_930, BgL_typez00_bglt BgL_type1465z00_931,
		BgL_retblockz00_bglt BgL_block1466z00_932,
		BgL_nodez00_bglt BgL_value1467z00_933)
	{
		{	/* Ast/nodetype.sch 1374 */
			{	/* Ast/nodetype.sch 1374 */
				BgL_returnz00_bglt BgL_new1504z00_9573;

				{	/* Ast/nodetype.sch 1374 */
					BgL_returnz00_bglt BgL_new1503z00_9574;

					BgL_new1503z00_9574 =
						((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_returnz00_bgl))));
					{	/* Ast/nodetype.sch 1374 */
						long BgL_arg1867z00_9575;

						BgL_arg1867z00_9575 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1503z00_9574), BgL_arg1867z00_9575);
					}
					{	/* Ast/nodetype.sch 1374 */
						BgL_objectz00_bglt BgL_tmpz00_13832;

						BgL_tmpz00_13832 = ((BgL_objectz00_bglt) BgL_new1503z00_9574);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13832, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1503z00_9574);
					BgL_new1504z00_9573 = BgL_new1503z00_9574;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1504z00_9573)))->BgL_locz00) =
					((obj_t) BgL_loc1464z00_930), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1504z00_9573)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1465z00_931), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1504z00_9573))->BgL_blockz00) =
					((BgL_retblockz00_bglt) BgL_block1466z00_932), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1504z00_9573))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1467z00_933), BUNSPEC);
				return BgL_new1504z00_9573;
			}
		}

	}



/* &make-return */
	BgL_returnz00_bglt BGl_z62makezd2returnzb0zzast_nodez00(obj_t BgL_envz00_7509,
		obj_t BgL_loc1464z00_7510, obj_t BgL_type1465z00_7511,
		obj_t BgL_block1466z00_7512, obj_t BgL_value1467z00_7513)
	{
		{	/* Ast/nodetype.sch 1374 */
			return
				BGl_makezd2returnzd2zzast_nodez00(BgL_loc1464z00_7510,
				((BgL_typez00_bglt) BgL_type1465z00_7511),
				((BgL_retblockz00_bglt) BgL_block1466z00_7512),
				((BgL_nodez00_bglt) BgL_value1467z00_7513));
		}

	}



/* return? */
	BGL_EXPORTED_DEF bool_t BGl_returnzf3zf3zzast_nodez00(obj_t BgL_objz00_934)
	{
		{	/* Ast/nodetype.sch 1375 */
			{	/* Ast/nodetype.sch 1375 */
				obj_t BgL_classz00_9576;

				BgL_classz00_9576 = BGl_returnz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_934))
					{	/* Ast/nodetype.sch 1375 */
						BgL_objectz00_bglt BgL_arg1825z00_9577;

						BgL_arg1825z00_9577 = (BgL_objectz00_bglt) (BgL_objz00_934);
						{	/* Ast/nodetype.sch 1375 */
							bool_t BgL_arg1822z00_9578;
							bool_t BgL_arg1823z00_9579;

							{	/* Ast/nodetype.sch 1375 */
								long BgL_idxz00_9580;

								BgL_idxz00_9580 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9577);
								BgL_arg1822z00_9578 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9580 + ((long) 2))) == BgL_classz00_9576);
							}
							{	/* Ast/nodetype.sch 1375 */
								bool_t BgL_res3019z00_9583;

								{	/* Ast/nodetype.sch 1375 */
									obj_t BgL_oclassz00_9584;

									{	/* Ast/nodetype.sch 1375 */
										long BgL_arg1833z00_9585;

										{	/* Ast/nodetype.sch 1375 */
											long BgL_arg1834z00_9586;

											BgL_arg1834z00_9586 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9577);
											BgL_arg1833z00_9585 = (BgL_arg1834z00_9586 - OBJECT_TYPE);
										}
										BgL_oclassz00_9584 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9585);
									}
									{	/* Ast/nodetype.sch 1375 */
										bool_t BgL__ortest_1110z00_9587;

										BgL__ortest_1110z00_9587 =
											(BgL_classz00_9576 == BgL_oclassz00_9584);
										if (BgL__ortest_1110z00_9587)
											{	/* Ast/nodetype.sch 1375 */
												BgL_res3019z00_9583 = BgL__ortest_1110z00_9587;
											}
										else
											{	/* Ast/nodetype.sch 1375 */
												long BgL_odepthz00_9588;

												BgL_odepthz00_9588 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9584);
												if ((((long) 2) < BgL_odepthz00_9588))
													{	/* Ast/nodetype.sch 1375 */
														obj_t BgL_arg1821z00_9589;

														BgL_arg1821z00_9589 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9584,
															((long) 2));
														BgL_res3019z00_9583 =
															(BgL_arg1821z00_9589 == BgL_classz00_9576);
													}
												else
													{	/* Ast/nodetype.sch 1375 */
														BgL_res3019z00_9583 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9579 = BgL_res3019z00_9583;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9578, BgL_arg1823z00_9579);
						}
					}
				else
					{	/* Ast/nodetype.sch 1375 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &return? */
	obj_t BGl_z62returnzf3z91zzast_nodez00(obj_t BgL_envz00_7514,
		obj_t BgL_objz00_7515)
	{
		{	/* Ast/nodetype.sch 1375 */
			return BBOOL(BGl_returnzf3zf3zzast_nodez00(BgL_objz00_7515));
		}

	}



/* return-nil */
	BGL_EXPORTED_DEF BgL_returnz00_bglt BGl_returnzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1376 */
			{	/* Ast/nodetype.sch 1376 */
				obj_t BgL_classz00_5342;

				BgL_classz00_5342 = BGl_returnz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1376 */
					obj_t BgL__ortest_1112z00_5343;

					BgL__ortest_1112z00_5343 = BGL_CLASS_NIL(BgL_classz00_5342);
					if (CBOOL(BgL__ortest_1112z00_5343))
						{	/* Ast/nodetype.sch 1376 */
							return ((BgL_returnz00_bglt) BgL__ortest_1112z00_5343);
						}
					else
						{	/* Ast/nodetype.sch 1376 */
							return
								((BgL_returnz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5342));
						}
				}
			}
		}

	}



/* &return-nil */
	BgL_returnz00_bglt BGl_z62returnzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7516)
	{
		{	/* Ast/nodetype.sch 1376 */
			return BGl_returnzd2nilzd2zzast_nodez00();
		}

	}



/* return-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_returnzd2valuezd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_935)
	{
		{	/* Ast/nodetype.sch 1377 */
			return (((BgL_returnz00_bglt) COBJECT(BgL_oz00_935))->BgL_valuez00);
		}

	}



/* &return-value */
	BgL_nodez00_bglt BGl_z62returnzd2valuezb0zzast_nodez00(obj_t BgL_envz00_7517,
		obj_t BgL_oz00_7518)
	{
		{	/* Ast/nodetype.sch 1377 */
			return
				BGl_returnzd2valuezd2zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7518));
		}

	}



/* return-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2valuezd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_936,
		BgL_nodez00_bglt BgL_vz00_937)
	{
		{	/* Ast/nodetype.sch 1378 */
			return
				((((BgL_returnz00_bglt) COBJECT(BgL_oz00_936))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_937), BUNSPEC);
		}

	}



/* &return-value-set! */
	obj_t BGl_z62returnzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7519,
		obj_t BgL_oz00_7520, obj_t BgL_vz00_7521)
	{
		{	/* Ast/nodetype.sch 1378 */
			return
				BGl_returnzd2valuezd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7520),
				((BgL_nodez00_bglt) BgL_vz00_7521));
		}

	}



/* return-block */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt
		BGl_returnzd2blockzd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_938)
	{
		{	/* Ast/nodetype.sch 1379 */
			return (((BgL_returnz00_bglt) COBJECT(BgL_oz00_938))->BgL_blockz00);
		}

	}



/* &return-block */
	BgL_retblockz00_bglt BGl_z62returnzd2blockzb0zzast_nodez00(obj_t
		BgL_envz00_7522, obj_t BgL_oz00_7523)
	{
		{	/* Ast/nodetype.sch 1379 */
			return
				BGl_returnzd2blockzd2zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7523));
		}

	}



/* return-block-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2blockzd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_939,
		BgL_retblockz00_bglt BgL_vz00_940)
	{
		{	/* Ast/nodetype.sch 1380 */
			return
				((((BgL_returnz00_bglt) COBJECT(BgL_oz00_939))->BgL_blockz00) =
				((BgL_retblockz00_bglt) BgL_vz00_940), BUNSPEC);
		}

	}



/* &return-block-set! */
	obj_t BGl_z62returnzd2blockzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7524,
		obj_t BgL_oz00_7525, obj_t BgL_vz00_7526)
	{
		{	/* Ast/nodetype.sch 1380 */
			return
				BGl_returnzd2blockzd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7525),
				((BgL_retblockz00_bglt) BgL_vz00_7526));
		}

	}



/* return-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_returnzd2typezd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_941)
	{
		{	/* Ast/nodetype.sch 1381 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_941)))->BgL_typez00);
		}

	}



/* &return-type */
	BgL_typez00_bglt BGl_z62returnzd2typezb0zzast_nodez00(obj_t BgL_envz00_7527,
		obj_t BgL_oz00_7528)
	{
		{	/* Ast/nodetype.sch 1381 */
			return
				BGl_returnzd2typezd2zzast_nodez00(((BgL_returnz00_bglt) BgL_oz00_7528));
		}

	}



/* return-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2typezd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_942,
		BgL_typez00_bglt BgL_vz00_943)
	{
		{	/* Ast/nodetype.sch 1382 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_942)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_943), BUNSPEC);
		}

	}



/* &return-type-set! */
	obj_t BGl_z62returnzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7529,
		obj_t BgL_oz00_7530, obj_t BgL_vz00_7531)
	{
		{	/* Ast/nodetype.sch 1382 */
			return
				BGl_returnzd2typezd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7530),
				((BgL_typez00_bglt) BgL_vz00_7531));
		}

	}



/* return-loc */
	BGL_EXPORTED_DEF obj_t BGl_returnzd2loczd2zzast_nodez00(BgL_returnz00_bglt
		BgL_oz00_944)
	{
		{	/* Ast/nodetype.sch 1383 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_944)))->BgL_locz00);
		}

	}



/* &return-loc */
	obj_t BGl_z62returnzd2loczb0zzast_nodez00(obj_t BgL_envz00_7532,
		obj_t BgL_oz00_7533)
	{
		{	/* Ast/nodetype.sch 1383 */
			return
				BGl_returnzd2loczd2zzast_nodez00(((BgL_returnz00_bglt) BgL_oz00_7533));
		}

	}



/* make-make-box */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t BgL_loc1456z00_947,
		BgL_typez00_bglt BgL_type1457z00_948, obj_t BgL_sidezd2effect1458zd2_949,
		obj_t BgL_key1459z00_950, BgL_nodez00_bglt BgL_value1460z00_951,
		BgL_typez00_bglt BgL_vtype1461z00_952, obj_t BgL_stackable1462z00_953)
	{
		{	/* Ast/nodetype.sch 1387 */
			{	/* Ast/nodetype.sch 1387 */
				BgL_makezd2boxzd2_bglt BgL_new1506z00_9590;

				{	/* Ast/nodetype.sch 1387 */
					BgL_makezd2boxzd2_bglt BgL_new1505z00_9591;

					BgL_new1505z00_9591 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/nodetype.sch 1387 */
						long BgL_arg1869z00_9592;

						BgL_arg1869z00_9592 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1505z00_9591), BgL_arg1869z00_9592);
					}
					{	/* Ast/nodetype.sch 1387 */
						BgL_objectz00_bglt BgL_tmpz00_13904;

						BgL_tmpz00_13904 = ((BgL_objectz00_bglt) BgL_new1505z00_9591);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13904, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1505z00_9591);
					BgL_new1506z00_9590 = BgL_new1505z00_9591;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1506z00_9590)))->BgL_locz00) =
					((obj_t) BgL_loc1456z00_947), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1506z00_9590)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1457z00_948), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1506z00_9590)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1458zd2_949), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1506z00_9590)))->BgL_keyz00) =
					((obj_t) BgL_key1459z00_950), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1506z00_9590))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1460z00_951), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1506z00_9590))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1461z00_952), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1506z00_9590))->
						BgL_stackablez00) = ((obj_t) BgL_stackable1462z00_953), BUNSPEC);
				return BgL_new1506z00_9590;
			}
		}

	}



/* &make-make-box */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t
		BgL_envz00_7534, obj_t BgL_loc1456z00_7535, obj_t BgL_type1457z00_7536,
		obj_t BgL_sidezd2effect1458zd2_7537, obj_t BgL_key1459z00_7538,
		obj_t BgL_value1460z00_7539, obj_t BgL_vtype1461z00_7540,
		obj_t BgL_stackable1462z00_7541)
	{
		{	/* Ast/nodetype.sch 1387 */
			return
				BGl_makezd2makezd2boxz00zzast_nodez00(BgL_loc1456z00_7535,
				((BgL_typez00_bglt) BgL_type1457z00_7536),
				BgL_sidezd2effect1458zd2_7537, BgL_key1459z00_7538,
				((BgL_nodez00_bglt) BgL_value1460z00_7539),
				((BgL_typez00_bglt) BgL_vtype1461z00_7540), BgL_stackable1462z00_7541);
		}

	}



/* make-box? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t
		BgL_objz00_954)
	{
		{	/* Ast/nodetype.sch 1388 */
			{	/* Ast/nodetype.sch 1388 */
				obj_t BgL_classz00_9593;

				BgL_classz00_9593 = BGl_makezd2boxzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_954))
					{	/* Ast/nodetype.sch 1388 */
						BgL_objectz00_bglt BgL_arg1825z00_9594;

						BgL_arg1825z00_9594 = (BgL_objectz00_bglt) (BgL_objz00_954);
						{	/* Ast/nodetype.sch 1388 */
							bool_t BgL_arg1822z00_9595;
							bool_t BgL_arg1823z00_9596;

							{	/* Ast/nodetype.sch 1388 */
								long BgL_idxz00_9597;

								BgL_idxz00_9597 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9594);
								BgL_arg1822z00_9595 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9597 + ((long) 3))) == BgL_classz00_9593);
							}
							{	/* Ast/nodetype.sch 1388 */
								bool_t BgL_res3020z00_9600;

								{	/* Ast/nodetype.sch 1388 */
									obj_t BgL_oclassz00_9601;

									{	/* Ast/nodetype.sch 1388 */
										long BgL_arg1833z00_9602;

										{	/* Ast/nodetype.sch 1388 */
											long BgL_arg1834z00_9603;

											BgL_arg1834z00_9603 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9594);
											BgL_arg1833z00_9602 = (BgL_arg1834z00_9603 - OBJECT_TYPE);
										}
										BgL_oclassz00_9601 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9602);
									}
									{	/* Ast/nodetype.sch 1388 */
										bool_t BgL__ortest_1110z00_9604;

										BgL__ortest_1110z00_9604 =
											(BgL_classz00_9593 == BgL_oclassz00_9601);
										if (BgL__ortest_1110z00_9604)
											{	/* Ast/nodetype.sch 1388 */
												BgL_res3020z00_9600 = BgL__ortest_1110z00_9604;
											}
										else
											{	/* Ast/nodetype.sch 1388 */
												long BgL_odepthz00_9605;

												BgL_odepthz00_9605 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9601);
												if ((((long) 3) < BgL_odepthz00_9605))
													{	/* Ast/nodetype.sch 1388 */
														obj_t BgL_arg1821z00_9606;

														BgL_arg1821z00_9606 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9601,
															((long) 3));
														BgL_res3020z00_9600 =
															(BgL_arg1821z00_9606 == BgL_classz00_9593);
													}
												else
													{	/* Ast/nodetype.sch 1388 */
														BgL_res3020z00_9600 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9596 = BgL_res3020z00_9600;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9595, BgL_arg1823z00_9596);
						}
					}
				else
					{	/* Ast/nodetype.sch 1388 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &make-box? */
	obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t BgL_envz00_7542,
		obj_t BgL_objz00_7543)
	{
		{	/* Ast/nodetype.sch 1388 */
			return BBOOL(BGl_makezd2boxzf3z21zzast_nodez00(BgL_objz00_7543));
		}

	}



/* make-box-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt BGl_makezd2boxzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1389 */
			{	/* Ast/nodetype.sch 1389 */
				obj_t BgL_classz00_5383;

				BgL_classz00_5383 = BGl_makezd2boxzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1389 */
					obj_t BgL__ortest_1112z00_5384;

					BgL__ortest_1112z00_5384 = BGL_CLASS_NIL(BgL_classz00_5383);
					if (CBOOL(BgL__ortest_1112z00_5384))
						{	/* Ast/nodetype.sch 1389 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1112z00_5384);
						}
					else
						{	/* Ast/nodetype.sch 1389 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5383));
						}
				}
			}
		}

	}



/* &make-box-nil */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7544)
	{
		{	/* Ast/nodetype.sch 1389 */
			return BGl_makezd2boxzd2nilz00zzast_nodez00();
		}

	}



/* make-box-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2stackablez00zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_955)
	{
		{	/* Ast/nodetype.sch 1390 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_955))->BgL_stackablez00);
		}

	}



/* &make-box-stackable */
	obj_t BGl_z62makezd2boxzd2stackablez62zzast_nodez00(obj_t BgL_envz00_7545,
		obj_t BgL_oz00_7546)
	{
		{	/* Ast/nodetype.sch 1390 */
			return
				BGl_makezd2boxzd2stackablez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7546));
		}

	}



/* make-box-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2stackablezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_956, obj_t BgL_vz00_957)
	{
		{	/* Ast/nodetype.sch 1391 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_956))->BgL_stackablez00) =
				((obj_t) BgL_vz00_957), BUNSPEC);
		}

	}



/* &make-box-stackable-set! */
	obj_t BGl_z62makezd2boxzd2stackablezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7547, obj_t BgL_oz00_7548, obj_t BgL_vz00_7549)
	{
		{	/* Ast/nodetype.sch 1391 */
			return
				BGl_makezd2boxzd2stackablezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7548), BgL_vz00_7549);
		}

	}



/* make-box-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzd2vtypez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_958)
	{
		{	/* Ast/nodetype.sch 1392 */
			return (((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_958))->BgL_vtypez00);
		}

	}



/* &make-box-vtype */
	BgL_typez00_bglt BGl_z62makezd2boxzd2vtypez62zzast_nodez00(obj_t
		BgL_envz00_7550, obj_t BgL_oz00_7551)
	{
		{	/* Ast/nodetype.sch 1392 */
			return
				BGl_makezd2boxzd2vtypez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7551));
		}

	}



/* make-box-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_959, BgL_typez00_bglt BgL_vz00_960)
	{
		{	/* Ast/nodetype.sch 1393 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_959))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_960), BUNSPEC);
		}

	}



/* &make-box-vtype-set! */
	obj_t BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7552, obj_t BgL_oz00_7553, obj_t BgL_vz00_7554)
	{
		{	/* Ast/nodetype.sch 1393 */
			return
				BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7553),
				((BgL_typez00_bglt) BgL_vz00_7554));
		}

	}



/* make-box-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_961)
	{
		{	/* Ast/nodetype.sch 1394 */
			return (((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_961))->BgL_valuez00);
		}

	}



/* &make-box-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t
		BgL_envz00_7555, obj_t BgL_oz00_7556)
	{
		{	/* Ast/nodetype.sch 1394 */
			return
				BGl_makezd2boxzd2valuez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7556));
		}

	}



/* make-box-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_962, BgL_nodez00_bglt BgL_vz00_963)
	{
		{	/* Ast/nodetype.sch 1395 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_962))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_963), BUNSPEC);
		}

	}



/* &make-box-value-set! */
	obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7557, obj_t BgL_oz00_7558, obj_t BgL_vz00_7559)
	{
		{	/* Ast/nodetype.sch 1395 */
			return
				BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7558),
				((BgL_nodez00_bglt) BgL_vz00_7559));
		}

	}



/* make-box-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_964)
	{
		{	/* Ast/nodetype.sch 1396 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_964)))->BgL_keyz00);
		}

	}



/* &make-box-key */
	obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t BgL_envz00_7560,
		obj_t BgL_oz00_7561)
	{
		{	/* Ast/nodetype.sch 1396 */
			return
				BGl_makezd2boxzd2keyz00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7561));
		}

	}



/* make-box-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_965, obj_t BgL_vz00_966)
	{
		{	/* Ast/nodetype.sch 1397 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_965)))->BgL_keyz00) =
				((obj_t) BgL_vz00_966), BUNSPEC);
		}

	}



/* &make-box-key-set! */
	obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7562,
		obj_t BgL_oz00_7563, obj_t BgL_vz00_7564)
	{
		{	/* Ast/nodetype.sch 1397 */
			return
				BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7563), BgL_vz00_7564);
		}

	}



/* make-box-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_967)
	{
		{	/* Ast/nodetype.sch 1398 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_967)))->BgL_sidezd2effectzd2);
		}

	}



/* &make-box-side-effect */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7565,
		obj_t BgL_oz00_7566)
	{
		{	/* Ast/nodetype.sch 1398 */
			return
				BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7566));
		}

	}



/* make-box-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt BgL_oz00_968, obj_t BgL_vz00_969)
	{
		{	/* Ast/nodetype.sch 1399 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_968)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_969), BUNSPEC);
		}

	}



/* &make-box-side-effect-set! */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7567, obj_t BgL_oz00_7568, obj_t BgL_vz00_7569)
	{
		{	/* Ast/nodetype.sch 1399 */
			return
				BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7568), BgL_vz00_7569);
		}

	}



/* make-box-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_970)
	{
		{	/* Ast/nodetype.sch 1400 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_970)))->BgL_typez00);
		}

	}



/* &make-box-type */
	BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7570, obj_t BgL_oz00_7571)
	{
		{	/* Ast/nodetype.sch 1400 */
			return
				BGl_makezd2boxzd2typez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7571));
		}

	}



/* make-box-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_971, BgL_typez00_bglt BgL_vz00_972)
	{
		{	/* Ast/nodetype.sch 1401 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_971)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_972), BUNSPEC);
		}

	}



/* &make-box-type-set! */
	obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7572,
		obj_t BgL_oz00_7573, obj_t BgL_vz00_7574)
	{
		{	/* Ast/nodetype.sch 1401 */
			return
				BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7573),
				((BgL_typez00_bglt) BgL_vz00_7574));
		}

	}



/* make-box-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_973)
	{
		{	/* Ast/nodetype.sch 1402 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_973)))->BgL_locz00);
		}

	}



/* &make-box-loc */
	obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t BgL_envz00_7575,
		obj_t BgL_oz00_7576)
	{
		{	/* Ast/nodetype.sch 1402 */
			return
				BGl_makezd2boxzd2locz00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7576));
		}

	}



/* make-box-ref */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t BgL_loc1448z00_976,
		BgL_typez00_bglt BgL_type1449z00_977, obj_t BgL_sidezd2effect1450zd2_978,
		obj_t BgL_key1451z00_979, BgL_varz00_bglt BgL_var1452z00_980,
		BgL_typez00_bglt BgL_vtype1453z00_981)
	{
		{	/* Ast/nodetype.sch 1406 */
			{	/* Ast/nodetype.sch 1406 */
				BgL_boxzd2refzd2_bglt BgL_new1508z00_9607;

				{	/* Ast/nodetype.sch 1406 */
					BgL_boxzd2refzd2_bglt BgL_new1507z00_9608;

					BgL_new1507z00_9608 =
						((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/nodetype.sch 1406 */
						long BgL_arg1870z00_9609;

						BgL_arg1870z00_9609 = BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1507z00_9608), BgL_arg1870z00_9609);
					}
					{	/* Ast/nodetype.sch 1406 */
						BgL_objectz00_bglt BgL_tmpz00_14003;

						BgL_tmpz00_14003 = ((BgL_objectz00_bglt) BgL_new1507z00_9608);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14003, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1507z00_9608);
					BgL_new1508z00_9607 = BgL_new1507z00_9608;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1508z00_9607)))->BgL_locz00) =
					((obj_t) BgL_loc1448z00_976), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1508z00_9607)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1449z00_977), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1508z00_9607)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1450zd2_978), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1508z00_9607)))->BgL_keyz00) =
					((obj_t) BgL_key1451z00_979), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1508z00_9607))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1452z00_980), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1508z00_9607))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1453z00_981), BUNSPEC);
				return BgL_new1508z00_9607;
			}
		}

	}



/* &make-box-ref */
	BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t
		BgL_envz00_7577, obj_t BgL_loc1448z00_7578, obj_t BgL_type1449z00_7579,
		obj_t BgL_sidezd2effect1450zd2_7580, obj_t BgL_key1451z00_7581,
		obj_t BgL_var1452z00_7582, obj_t BgL_vtype1453z00_7583)
	{
		{	/* Ast/nodetype.sch 1406 */
			return
				BGl_makezd2boxzd2refz00zzast_nodez00(BgL_loc1448z00_7578,
				((BgL_typez00_bglt) BgL_type1449z00_7579),
				BgL_sidezd2effect1450zd2_7580, BgL_key1451z00_7581,
				((BgL_varz00_bglt) BgL_var1452z00_7582),
				((BgL_typez00_bglt) BgL_vtype1453z00_7583));
		}

	}



/* box-ref? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t BgL_objz00_982)
	{
		{	/* Ast/nodetype.sch 1407 */
			{	/* Ast/nodetype.sch 1407 */
				obj_t BgL_classz00_9610;

				BgL_classz00_9610 = BGl_boxzd2refzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_982))
					{	/* Ast/nodetype.sch 1407 */
						BgL_objectz00_bglt BgL_arg1825z00_9611;

						BgL_arg1825z00_9611 = (BgL_objectz00_bglt) (BgL_objz00_982);
						{	/* Ast/nodetype.sch 1407 */
							bool_t BgL_arg1822z00_9612;
							bool_t BgL_arg1823z00_9613;

							{	/* Ast/nodetype.sch 1407 */
								long BgL_idxz00_9614;

								BgL_idxz00_9614 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9611);
								BgL_arg1822z00_9612 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9614 + ((long) 3))) == BgL_classz00_9610);
							}
							{	/* Ast/nodetype.sch 1407 */
								bool_t BgL_res3021z00_9617;

								{	/* Ast/nodetype.sch 1407 */
									obj_t BgL_oclassz00_9618;

									{	/* Ast/nodetype.sch 1407 */
										long BgL_arg1833z00_9619;

										{	/* Ast/nodetype.sch 1407 */
											long BgL_arg1834z00_9620;

											BgL_arg1834z00_9620 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9611);
											BgL_arg1833z00_9619 = (BgL_arg1834z00_9620 - OBJECT_TYPE);
										}
										BgL_oclassz00_9618 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9619);
									}
									{	/* Ast/nodetype.sch 1407 */
										bool_t BgL__ortest_1110z00_9621;

										BgL__ortest_1110z00_9621 =
											(BgL_classz00_9610 == BgL_oclassz00_9618);
										if (BgL__ortest_1110z00_9621)
											{	/* Ast/nodetype.sch 1407 */
												BgL_res3021z00_9617 = BgL__ortest_1110z00_9621;
											}
										else
											{	/* Ast/nodetype.sch 1407 */
												long BgL_odepthz00_9622;

												BgL_odepthz00_9622 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9618);
												if ((((long) 3) < BgL_odepthz00_9622))
													{	/* Ast/nodetype.sch 1407 */
														obj_t BgL_arg1821z00_9623;

														BgL_arg1821z00_9623 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9618,
															((long) 3));
														BgL_res3021z00_9617 =
															(BgL_arg1821z00_9623 == BgL_classz00_9610);
													}
												else
													{	/* Ast/nodetype.sch 1407 */
														BgL_res3021z00_9617 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9613 = BgL_res3021z00_9617;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9612, BgL_arg1823z00_9613);
						}
					}
				else
					{	/* Ast/nodetype.sch 1407 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-ref? */
	obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t BgL_envz00_7584,
		obj_t BgL_objz00_7585)
	{
		{	/* Ast/nodetype.sch 1407 */
			return BBOOL(BGl_boxzd2refzf3z21zzast_nodez00(BgL_objz00_7585));
		}

	}



/* box-ref-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt BGl_boxzd2refzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1408 */
			{	/* Ast/nodetype.sch 1408 */
				obj_t BgL_classz00_5424;

				BgL_classz00_5424 = BGl_boxzd2refzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1408 */
					obj_t BgL__ortest_1112z00_5425;

					BgL__ortest_1112z00_5425 = BGL_CLASS_NIL(BgL_classz00_5424);
					if (CBOOL(BgL__ortest_1112z00_5425))
						{	/* Ast/nodetype.sch 1408 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1112z00_5425);
						}
					else
						{	/* Ast/nodetype.sch 1408 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5424));
						}
				}
			}
		}

	}



/* &box-ref-nil */
	BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7586)
	{
		{	/* Ast/nodetype.sch 1408 */
			return BGl_boxzd2refzd2nilz00zzast_nodez00();
		}

	}



/* box-ref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzd2vtypez00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_983)
	{
		{	/* Ast/nodetype.sch 1409 */
			return (((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_983))->BgL_vtypez00);
		}

	}



/* &box-ref-vtype */
	BgL_typez00_bglt BGl_z62boxzd2refzd2vtypez62zzast_nodez00(obj_t
		BgL_envz00_7587, obj_t BgL_oz00_7588)
	{
		{	/* Ast/nodetype.sch 1409 */
			return
				BGl_boxzd2refzd2vtypez00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7588));
		}

	}



/* box-ref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_984, BgL_typez00_bglt BgL_vz00_985)
	{
		{	/* Ast/nodetype.sch 1410 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_984))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_985), BUNSPEC);
		}

	}



/* &box-ref-vtype-set! */
	obj_t BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7589,
		obj_t BgL_oz00_7590, obj_t BgL_vz00_7591)
	{
		{	/* Ast/nodetype.sch 1410 */
			return
				BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7590),
				((BgL_typez00_bglt) BgL_vz00_7591));
		}

	}



/* box-ref-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_986)
	{
		{	/* Ast/nodetype.sch 1411 */
			return (((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_986))->BgL_varz00);
		}

	}



/* &box-ref-var */
	BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t BgL_envz00_7592,
		obj_t BgL_oz00_7593)
	{
		{	/* Ast/nodetype.sch 1411 */
			return
				BGl_boxzd2refzd2varz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7593));
		}

	}



/* box-ref-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_987, BgL_varz00_bglt BgL_vz00_988)
	{
		{	/* Ast/nodetype.sch 1412 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_987))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_988), BUNSPEC);
		}

	}



/* &box-ref-var-set! */
	obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7594,
		obj_t BgL_oz00_7595, obj_t BgL_vz00_7596)
	{
		{	/* Ast/nodetype.sch 1412 */
			return
				BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7595),
				((BgL_varz00_bglt) BgL_vz00_7596));
		}

	}



/* box-ref-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_989)
	{
		{	/* Ast/nodetype.sch 1413 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_989)))->BgL_keyz00);
		}

	}



/* &box-ref-key */
	obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t BgL_envz00_7597,
		obj_t BgL_oz00_7598)
	{
		{	/* Ast/nodetype.sch 1413 */
			return
				BGl_boxzd2refzd2keyz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7598));
		}

	}



/* box-ref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_990, obj_t BgL_vz00_991)
	{
		{	/* Ast/nodetype.sch 1414 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_990)))->BgL_keyz00) =
				((obj_t) BgL_vz00_991), BUNSPEC);
		}

	}



/* &box-ref-key-set! */
	obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7599,
		obj_t BgL_oz00_7600, obj_t BgL_vz00_7601)
	{
		{	/* Ast/nodetype.sch 1414 */
			return
				BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7600), BgL_vz00_7601);
		}

	}



/* box-ref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_992)
	{
		{	/* Ast/nodetype.sch 1415 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_992)))->BgL_sidezd2effectzd2);
		}

	}



/* &box-ref-side-effect */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7602,
		obj_t BgL_oz00_7603)
	{
		{	/* Ast/nodetype.sch 1415 */
			return
				BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7603));
		}

	}



/* box-ref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_993, obj_t BgL_vz00_994)
	{
		{	/* Ast/nodetype.sch 1416 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_993)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_994), BUNSPEC);
		}

	}



/* &box-ref-side-effect-set! */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7604, obj_t BgL_oz00_7605, obj_t BgL_vz00_7606)
	{
		{	/* Ast/nodetype.sch 1416 */
			return
				BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7605), BgL_vz00_7606);
		}

	}



/* box-ref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_995)
	{
		{	/* Ast/nodetype.sch 1417 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_995)))->BgL_typez00);
		}

	}



/* &box-ref-type */
	BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7607, obj_t BgL_oz00_7608)
	{
		{	/* Ast/nodetype.sch 1417 */
			return
				BGl_boxzd2refzd2typez00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7608));
		}

	}



/* box-ref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_996, BgL_typez00_bglt BgL_vz00_997)
	{
		{	/* Ast/nodetype.sch 1418 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_996)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_997), BUNSPEC);
		}

	}



/* &box-ref-type-set! */
	obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7609,
		obj_t BgL_oz00_7610, obj_t BgL_vz00_7611)
	{
		{	/* Ast/nodetype.sch 1418 */
			return
				BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7610),
				((BgL_typez00_bglt) BgL_vz00_7611));
		}

	}



/* box-ref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_998)
	{
		{	/* Ast/nodetype.sch 1419 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_998)))->BgL_locz00);
		}

	}



/* &box-ref-loc */
	obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t BgL_envz00_7612,
		obj_t BgL_oz00_7613)
	{
		{	/* Ast/nodetype.sch 1419 */
			return
				BGl_boxzd2refzd2locz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7613));
		}

	}



/* make-box-set! */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t BgL_loc1442z00_1001,
		BgL_typez00_bglt BgL_type1443z00_1002, BgL_varz00_bglt BgL_var1444z00_1003,
		BgL_nodez00_bglt BgL_value1445z00_1004,
		BgL_typez00_bglt BgL_vtype1446z00_1005)
	{
		{	/* Ast/nodetype.sch 1423 */
			{	/* Ast/nodetype.sch 1423 */
				BgL_boxzd2setz12zc0_bglt BgL_new1510z00_9624;

				{	/* Ast/nodetype.sch 1423 */
					BgL_boxzd2setz12zc0_bglt BgL_new1509z00_9625;

					BgL_new1509z00_9625 =
						((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/nodetype.sch 1423 */
						long BgL_arg1871z00_9626;

						BgL_arg1871z00_9626 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1509z00_9625), BgL_arg1871z00_9626);
					}
					{	/* Ast/nodetype.sch 1423 */
						BgL_objectz00_bglt BgL_tmpz00_14095;

						BgL_tmpz00_14095 = ((BgL_objectz00_bglt) BgL_new1509z00_9625);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14095, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1509z00_9625);
					BgL_new1510z00_9624 = BgL_new1509z00_9625;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1510z00_9624)))->BgL_locz00) =
					((obj_t) BgL_loc1442z00_1001), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1510z00_9624)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1443z00_1002), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1510z00_9624))->
						BgL_varz00) = ((BgL_varz00_bglt) BgL_var1444z00_1003), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1510z00_9624))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1445z00_1004), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1510z00_9624))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1446z00_1005), BUNSPEC);
				return BgL_new1510z00_9624;
			}
		}

	}



/* &make-box-set! */
	BgL_boxzd2setz12zc0_bglt BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7614, obj_t BgL_loc1442z00_7615, obj_t BgL_type1443z00_7616,
		obj_t BgL_var1444z00_7617, obj_t BgL_value1445z00_7618,
		obj_t BgL_vtype1446z00_7619)
	{
		{	/* Ast/nodetype.sch 1423 */
			return
				BGl_makezd2boxzd2setz12z12zzast_nodez00(BgL_loc1442z00_7615,
				((BgL_typez00_bglt) BgL_type1443z00_7616),
				((BgL_varz00_bglt) BgL_var1444z00_7617),
				((BgL_nodez00_bglt) BgL_value1445z00_7618),
				((BgL_typez00_bglt) BgL_vtype1446z00_7619));
		}

	}



/* box-set!? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t
		BgL_objz00_1006)
	{
		{	/* Ast/nodetype.sch 1424 */
			{	/* Ast/nodetype.sch 1424 */
				obj_t BgL_classz00_9627;

				BgL_classz00_9627 = BGl_boxzd2setz12zc0zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_1006))
					{	/* Ast/nodetype.sch 1424 */
						BgL_objectz00_bglt BgL_arg1825z00_9628;

						BgL_arg1825z00_9628 = (BgL_objectz00_bglt) (BgL_objz00_1006);
						{	/* Ast/nodetype.sch 1424 */
							bool_t BgL_arg1822z00_9629;
							bool_t BgL_arg1823z00_9630;

							{	/* Ast/nodetype.sch 1424 */
								long BgL_idxz00_9631;

								BgL_idxz00_9631 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9628);
								BgL_arg1822z00_9629 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9631 + ((long) 2))) == BgL_classz00_9627);
							}
							{	/* Ast/nodetype.sch 1424 */
								bool_t BgL_res3022z00_9634;

								{	/* Ast/nodetype.sch 1424 */
									obj_t BgL_oclassz00_9635;

									{	/* Ast/nodetype.sch 1424 */
										long BgL_arg1833z00_9636;

										{	/* Ast/nodetype.sch 1424 */
											long BgL_arg1834z00_9637;

											BgL_arg1834z00_9637 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9628);
											BgL_arg1833z00_9636 = (BgL_arg1834z00_9637 - OBJECT_TYPE);
										}
										BgL_oclassz00_9635 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9636);
									}
									{	/* Ast/nodetype.sch 1424 */
										bool_t BgL__ortest_1110z00_9638;

										BgL__ortest_1110z00_9638 =
											(BgL_classz00_9627 == BgL_oclassz00_9635);
										if (BgL__ortest_1110z00_9638)
											{	/* Ast/nodetype.sch 1424 */
												BgL_res3022z00_9634 = BgL__ortest_1110z00_9638;
											}
										else
											{	/* Ast/nodetype.sch 1424 */
												long BgL_odepthz00_9639;

												BgL_odepthz00_9639 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9635);
												if ((((long) 2) < BgL_odepthz00_9639))
													{	/* Ast/nodetype.sch 1424 */
														obj_t BgL_arg1821z00_9640;

														BgL_arg1821z00_9640 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9635,
															((long) 2));
														BgL_res3022z00_9634 =
															(BgL_arg1821z00_9640 == BgL_classz00_9627);
													}
												else
													{	/* Ast/nodetype.sch 1424 */
														BgL_res3022z00_9634 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9630 = BgL_res3022z00_9634;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9629, BgL_arg1823z00_9630);
						}
					}
				else
					{	/* Ast/nodetype.sch 1424 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-set!? */
	obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t BgL_envz00_7620,
		obj_t BgL_objz00_7621)
	{
		{	/* Ast/nodetype.sch 1424 */
			return BBOOL(BGl_boxzd2setz12zf3z33zzast_nodez00(BgL_objz00_7621));
		}

	}



/* box-set!-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1425 */
			{	/* Ast/nodetype.sch 1425 */
				obj_t BgL_classz00_5465;

				BgL_classz00_5465 = BGl_boxzd2setz12zc0zzast_nodez00;
				{	/* Ast/nodetype.sch 1425 */
					obj_t BgL__ortest_1112z00_5466;

					BgL__ortest_1112z00_5466 = BGL_CLASS_NIL(BgL_classz00_5465);
					if (CBOOL(BgL__ortest_1112z00_5466))
						{	/* Ast/nodetype.sch 1425 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1112z00_5466);
						}
					else
						{	/* Ast/nodetype.sch 1425 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5465));
						}
				}
			}
		}

	}



/* &box-set!-nil */
	BgL_boxzd2setz12zc0_bglt BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t
		BgL_envz00_7622)
	{
		{	/* Ast/nodetype.sch 1425 */
			return BGl_boxzd2setz12zd2nilz12zzast_nodez00();
		}

	}



/* box-set!-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zd2vtypez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1007)
	{
		{	/* Ast/nodetype.sch 1426 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1007))->BgL_vtypez00);
		}

	}



/* &box-set!-vtype */
	BgL_typez00_bglt BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00(obj_t
		BgL_envz00_7623, obj_t BgL_oz00_7624)
	{
		{	/* Ast/nodetype.sch 1426 */
			return
				BGl_boxzd2setz12zd2vtypez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7624));
		}

	}



/* box-set!-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1008, BgL_typez00_bglt BgL_vz00_1009)
	{
		{	/* Ast/nodetype.sch 1427 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1008))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_1009), BUNSPEC);
		}

	}



/* &box-set!-vtype-set! */
	obj_t BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7625, obj_t BgL_oz00_7626, obj_t BgL_vz00_7627)
	{
		{	/* Ast/nodetype.sch 1427 */
			return
				BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7626),
				((BgL_typez00_bglt) BgL_vz00_7627));
		}

	}



/* box-set!-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1010)
	{
		{	/* Ast/nodetype.sch 1428 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1010))->BgL_valuez00);
		}

	}



/* &box-set!-value */
	BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t
		BgL_envz00_7628, obj_t BgL_oz00_7629)
	{
		{	/* Ast/nodetype.sch 1428 */
			return
				BGl_boxzd2setz12zd2valuez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7629));
		}

	}



/* box-set!-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1011, BgL_nodez00_bglt BgL_vz00_1012)
	{
		{	/* Ast/nodetype.sch 1429 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1011))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_1012), BUNSPEC);
		}

	}



/* &box-set!-value-set! */
	obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7630, obj_t BgL_oz00_7631, obj_t BgL_vz00_7632)
	{
		{	/* Ast/nodetype.sch 1429 */
			return
				BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7631),
				((BgL_nodez00_bglt) BgL_vz00_7632));
		}

	}



/* box-set!-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1013)
	{
		{	/* Ast/nodetype.sch 1430 */
			return (((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1013))->BgL_varz00);
		}

	}



/* &box-set!-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t
		BgL_envz00_7633, obj_t BgL_oz00_7634)
	{
		{	/* Ast/nodetype.sch 1430 */
			return
				BGl_boxzd2setz12zd2varz12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7634));
		}

	}



/* box-set!-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1014, BgL_varz00_bglt BgL_vz00_1015)
	{
		{	/* Ast/nodetype.sch 1431 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1014))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_1015), BUNSPEC);
		}

	}



/* &box-set!-var-set! */
	obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7635, obj_t BgL_oz00_7636, obj_t BgL_vz00_7637)
	{
		{	/* Ast/nodetype.sch 1431 */
			return
				BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7636),
				((BgL_varz00_bglt) BgL_vz00_7637));
		}

	}



/* box-set!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1016)
	{
		{	/* Ast/nodetype.sch 1432 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1016)))->BgL_typez00);
		}

	}



/* &box-set!-type */
	BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t
		BgL_envz00_7638, obj_t BgL_oz00_7639)
	{
		{	/* Ast/nodetype.sch 1432 */
			return
				BGl_boxzd2setz12zd2typez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7639));
		}

	}



/* box-set!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1017, BgL_typez00_bglt BgL_vz00_1018)
	{
		{	/* Ast/nodetype.sch 1433 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1017)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1018), BUNSPEC);
		}

	}



/* &box-set!-type-set! */
	obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7640, obj_t BgL_oz00_7641, obj_t BgL_vz00_7642)
	{
		{	/* Ast/nodetype.sch 1433 */
			return
				BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7641),
				((BgL_typez00_bglt) BgL_vz00_7642));
		}

	}



/* box-set!-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1019)
	{
		{	/* Ast/nodetype.sch 1434 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1019)))->BgL_locz00);
		}

	}



/* &box-set!-loc */
	obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t BgL_envz00_7643,
		obj_t BgL_oz00_7644)
	{
		{	/* Ast/nodetype.sch 1434 */
			return
				BGl_boxzd2setz12zd2locz12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7644));
		}

	}



/* make-sync */
	BGL_EXPORTED_DEF BgL_syncz00_bglt BGl_makezd2synczd2zzast_nodez00(obj_t
		BgL_loc1436z00_1022, BgL_typez00_bglt BgL_type1437z00_1023,
		BgL_nodez00_bglt BgL_mutex1438z00_1024,
		BgL_nodez00_bglt BgL_prelock1439z00_1025,
		BgL_nodez00_bglt BgL_body1440z00_1026)
	{
		{	/* Ast/nodetype.sch 1438 */
			{	/* Ast/nodetype.sch 1438 */
				BgL_syncz00_bglt BgL_new1512z00_9641;

				{	/* Ast/nodetype.sch 1438 */
					BgL_syncz00_bglt BgL_new1511z00_9642;

					BgL_new1511z00_9642 =
						((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_syncz00_bgl))));
					{	/* Ast/nodetype.sch 1438 */
						long BgL_arg1872z00_9643;

						BgL_arg1872z00_9643 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1511z00_9642), BgL_arg1872z00_9643);
					}
					{	/* Ast/nodetype.sch 1438 */
						BgL_objectz00_bglt BgL_tmpz00_14176;

						BgL_tmpz00_14176 = ((BgL_objectz00_bglt) BgL_new1511z00_9642);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14176, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1511z00_9642);
					BgL_new1512z00_9641 = BgL_new1511z00_9642;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1512z00_9641)))->BgL_locz00) =
					((obj_t) BgL_loc1436z00_1022), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1512z00_9641)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1437z00_1023), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1512z00_9641))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_mutex1438z00_1024), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1512z00_9641))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_prelock1439z00_1025), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1512z00_9641))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1440z00_1026), BUNSPEC);
				return BgL_new1512z00_9641;
			}
		}

	}



/* &make-sync */
	BgL_syncz00_bglt BGl_z62makezd2synczb0zzast_nodez00(obj_t BgL_envz00_7645,
		obj_t BgL_loc1436z00_7646, obj_t BgL_type1437z00_7647,
		obj_t BgL_mutex1438z00_7648, obj_t BgL_prelock1439z00_7649,
		obj_t BgL_body1440z00_7650)
	{
		{	/* Ast/nodetype.sch 1438 */
			return
				BGl_makezd2synczd2zzast_nodez00(BgL_loc1436z00_7646,
				((BgL_typez00_bglt) BgL_type1437z00_7647),
				((BgL_nodez00_bglt) BgL_mutex1438z00_7648),
				((BgL_nodez00_bglt) BgL_prelock1439z00_7649),
				((BgL_nodez00_bglt) BgL_body1440z00_7650));
		}

	}



/* sync? */
	BGL_EXPORTED_DEF bool_t BGl_synczf3zf3zzast_nodez00(obj_t BgL_objz00_1027)
	{
		{	/* Ast/nodetype.sch 1439 */
			{	/* Ast/nodetype.sch 1439 */
				obj_t BgL_classz00_9644;

				BgL_classz00_9644 = BGl_syncz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_1027))
					{	/* Ast/nodetype.sch 1439 */
						BgL_objectz00_bglt BgL_arg1825z00_9645;

						BgL_arg1825z00_9645 = (BgL_objectz00_bglt) (BgL_objz00_1027);
						{	/* Ast/nodetype.sch 1439 */
							bool_t BgL_arg1822z00_9646;
							bool_t BgL_arg1823z00_9647;

							{	/* Ast/nodetype.sch 1439 */
								long BgL_idxz00_9648;

								BgL_idxz00_9648 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_9645);
								BgL_arg1822z00_9646 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9648 + ((long) 2))) == BgL_classz00_9644);
							}
							{	/* Ast/nodetype.sch 1439 */
								bool_t BgL_res3023z00_9651;

								{	/* Ast/nodetype.sch 1439 */
									obj_t BgL_oclassz00_9652;

									{	/* Ast/nodetype.sch 1439 */
										long BgL_arg1833z00_9653;

										{	/* Ast/nodetype.sch 1439 */
											long BgL_arg1834z00_9654;

											BgL_arg1834z00_9654 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_9645);
											BgL_arg1833z00_9653 = (BgL_arg1834z00_9654 - OBJECT_TYPE);
										}
										BgL_oclassz00_9652 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_9653);
									}
									{	/* Ast/nodetype.sch 1439 */
										bool_t BgL__ortest_1110z00_9655;

										BgL__ortest_1110z00_9655 =
											(BgL_classz00_9644 == BgL_oclassz00_9652);
										if (BgL__ortest_1110z00_9655)
											{	/* Ast/nodetype.sch 1439 */
												BgL_res3023z00_9651 = BgL__ortest_1110z00_9655;
											}
										else
											{	/* Ast/nodetype.sch 1439 */
												long BgL_odepthz00_9656;

												BgL_odepthz00_9656 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9652);
												if ((((long) 2) < BgL_odepthz00_9656))
													{	/* Ast/nodetype.sch 1439 */
														obj_t BgL_arg1821z00_9657;

														BgL_arg1821z00_9657 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9652,
															((long) 2));
														BgL_res3023z00_9651 =
															(BgL_arg1821z00_9657 == BgL_classz00_9644);
													}
												else
													{	/* Ast/nodetype.sch 1439 */
														BgL_res3023z00_9651 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_9647 = BgL_res3023z00_9651;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_9646, BgL_arg1823z00_9647);
						}
					}
				else
					{	/* Ast/nodetype.sch 1439 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sync? */
	obj_t BGl_z62synczf3z91zzast_nodez00(obj_t BgL_envz00_7651,
		obj_t BgL_objz00_7652)
	{
		{	/* Ast/nodetype.sch 1439 */
			return BBOOL(BGl_synczf3zf3zzast_nodez00(BgL_objz00_7652));
		}

	}



/* sync-nil */
	BGL_EXPORTED_DEF BgL_syncz00_bglt BGl_synczd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1440 */
			{	/* Ast/nodetype.sch 1440 */
				obj_t BgL_classz00_5506;

				BgL_classz00_5506 = BGl_syncz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1440 */
					obj_t BgL__ortest_1112z00_5507;

					BgL__ortest_1112z00_5507 = BGL_CLASS_NIL(BgL_classz00_5506);
					if (CBOOL(BgL__ortest_1112z00_5507))
						{	/* Ast/nodetype.sch 1440 */
							return ((BgL_syncz00_bglt) BgL__ortest_1112z00_5507);
						}
					else
						{	/* Ast/nodetype.sch 1440 */
							return
								((BgL_syncz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5506));
						}
				}
			}
		}

	}



/* &sync-nil */
	BgL_syncz00_bglt BGl_z62synczd2nilzb0zzast_nodez00(obj_t BgL_envz00_7653)
	{
		{	/* Ast/nodetype.sch 1440 */
			return BGl_synczd2nilzd2zzast_nodez00();
		}

	}



/* sync-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2bodyzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1028)
	{
		{	/* Ast/nodetype.sch 1441 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1028))->BgL_bodyz00);
		}

	}



/* &sync-body */
	BgL_nodez00_bglt BGl_z62synczd2bodyzb0zzast_nodez00(obj_t BgL_envz00_7654,
		obj_t BgL_oz00_7655)
	{
		{	/* Ast/nodetype.sch 1441 */
			return
				BGl_synczd2bodyzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7655));
		}

	}



/* sync-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2bodyzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1029,
		BgL_nodez00_bglt BgL_vz00_1030)
	{
		{	/* Ast/nodetype.sch 1442 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1029))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_1030), BUNSPEC);
		}

	}



/* &sync-body-set! */
	obj_t BGl_z62synczd2bodyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7656,
		obj_t BgL_oz00_7657, obj_t BgL_vz00_7658)
	{
		{	/* Ast/nodetype.sch 1442 */
			return
				BGl_synczd2bodyzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7657), ((BgL_nodez00_bglt) BgL_vz00_7658));
		}

	}



/* sync-prelock */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2prelockzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1031)
	{
		{	/* Ast/nodetype.sch 1443 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1031))->BgL_prelockz00);
		}

	}



/* &sync-prelock */
	BgL_nodez00_bglt BGl_z62synczd2prelockzb0zzast_nodez00(obj_t BgL_envz00_7659,
		obj_t BgL_oz00_7660)
	{
		{	/* Ast/nodetype.sch 1443 */
			return
				BGl_synczd2prelockzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7660));
		}

	}



/* sync-prelock-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2prelockzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1032,
		BgL_nodez00_bglt BgL_vz00_1033)
	{
		{	/* Ast/nodetype.sch 1444 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1032))->BgL_prelockz00) =
				((BgL_nodez00_bglt) BgL_vz00_1033), BUNSPEC);
		}

	}



/* &sync-prelock-set! */
	obj_t BGl_z62synczd2prelockzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7661,
		obj_t BgL_oz00_7662, obj_t BgL_vz00_7663)
	{
		{	/* Ast/nodetype.sch 1444 */
			return
				BGl_synczd2prelockzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7662), ((BgL_nodez00_bglt) BgL_vz00_7663));
		}

	}



/* sync-mutex */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2mutexzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1034)
	{
		{	/* Ast/nodetype.sch 1445 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1034))->BgL_mutexz00);
		}

	}



/* &sync-mutex */
	BgL_nodez00_bglt BGl_z62synczd2mutexzb0zzast_nodez00(obj_t BgL_envz00_7664,
		obj_t BgL_oz00_7665)
	{
		{	/* Ast/nodetype.sch 1445 */
			return
				BGl_synczd2mutexzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7665));
		}

	}



/* sync-mutex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2mutexzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1035,
		BgL_nodez00_bglt BgL_vz00_1036)
	{
		{	/* Ast/nodetype.sch 1446 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1035))->BgL_mutexz00) =
				((BgL_nodez00_bglt) BgL_vz00_1036), BUNSPEC);
		}

	}



/* &sync-mutex-set! */
	obj_t BGl_z62synczd2mutexzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7666,
		obj_t BgL_oz00_7667, obj_t BgL_vz00_7668)
	{
		{	/* Ast/nodetype.sch 1446 */
			return
				BGl_synczd2mutexzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7667), ((BgL_nodez00_bglt) BgL_vz00_7668));
		}

	}



/* sync-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_synczd2typezd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1037)
	{
		{	/* Ast/nodetype.sch 1447 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1037)))->BgL_typez00);
		}

	}



/* &sync-type */
	BgL_typez00_bglt BGl_z62synczd2typezb0zzast_nodez00(obj_t BgL_envz00_7669,
		obj_t BgL_oz00_7670)
	{
		{	/* Ast/nodetype.sch 1447 */
			return
				BGl_synczd2typezd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7670));
		}

	}



/* sync-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2typezd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1038,
		BgL_typez00_bglt BgL_vz00_1039)
	{
		{	/* Ast/nodetype.sch 1448 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1038)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1039), BUNSPEC);
		}

	}



/* &sync-type-set! */
	obj_t BGl_z62synczd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7671,
		obj_t BgL_oz00_7672, obj_t BgL_vz00_7673)
	{
		{	/* Ast/nodetype.sch 1448 */
			return
				BGl_synczd2typezd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7672), ((BgL_typez00_bglt) BgL_vz00_7673));
		}

	}



/* sync-loc */
	BGL_EXPORTED_DEF obj_t BGl_synczd2loczd2zzast_nodez00(BgL_syncz00_bglt
		BgL_oz00_1040)
	{
		{	/* Ast/nodetype.sch 1449 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1040)))->BgL_locz00);
		}

	}



/* &sync-loc */
	obj_t BGl_z62synczd2loczb0zzast_nodez00(obj_t BgL_envz00_7674,
		obj_t BgL_oz00_7675)
	{
		{	/* Ast/nodetype.sch 1449 */
			return BGl_synczd2loczd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7675));
		}

	}



/* strict-node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt BgL_t1z00_1043,
		BgL_typez00_bglt BgL_t2z00_1044)
	{
		{	/* Ast/node.scm 305 */
			return BgL_t1z00_1043;
		}

	}



/* &strict-node-type */
	BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t
		BgL_envz00_7676, obj_t BgL_t1z00_7677, obj_t BgL_t2z00_7678)
	{
		{	/* Ast/node.scm 305 */
			return
				BGl_strictzd2nodezd2typez00zzast_nodez00(
				((BgL_typez00_bglt) BgL_t1z00_7677),
				((BgL_typez00_bglt) BgL_t2z00_7678));
		}

	}



/* node-walk* */
	bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t BgL_nodeza2za2_1089,
		obj_t BgL_procz00_1090)
	{
		{	/* Ast/node.scm 483 */
			{
				obj_t BgL_l1630z00_1651;

				BgL_l1630z00_1651 = BgL_nodeza2za2_1089;
			BgL_zc3z04anonymousza31873ze3z87_1652:
				if (PAIRP(BgL_l1630z00_1651))
					{	/* Ast/node.scm 484 */
						{	/* Ast/node.scm 484 */
							obj_t BgL_nodez00_1654;

							BgL_nodez00_1654 = CAR(BgL_l1630z00_1651);
							BGl_nodezd2walkzd2zzast_nodez00(
								((BgL_nodez00_bglt) BgL_nodez00_1654), BgL_procz00_1090);
						}
						{
							obj_t BgL_l1630z00_14261;

							BgL_l1630z00_14261 = CDR(BgL_l1630z00_1651);
							BgL_l1630z00_1651 = BgL_l1630z00_14261;
							goto BgL_zc3z04anonymousza31873ze3z87_1652;
						}
					}
				else
					{	/* Ast/node.scm 484 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 21 */
				obj_t BgL_arg1882z00_1660;
				obj_t BgL_arg1883z00_1661;

				{	/* Ast/node.scm 21 */
					obj_t BgL_v1632z00_1673;

					BgL_v1632z00_1673 = create_vector(((long) 2));
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg1890z00_1674;

						BgL_arg1890z00_1674 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc3031z00zzast_nodez00,
							BGl_proc3030z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3029z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1632z00_1673, ((long) 0), BgL_arg1890z00_1674);
					}
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg1898z00_1687;

						BgL_arg1898z00_1687 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3033z00zzast_nodez00,
							BGl_proc3032z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1632z00_1673, ((long) 1), BgL_arg1898z00_1687);
					}
					BgL_arg1882z00_1660 = BgL_v1632z00_1673;
				}
				{	/* Ast/node.scm 21 */
					obj_t BgL_v1633z00_1697;

					BgL_v1633z00_1697 = create_vector(((long) 0));
					BgL_arg1883z00_1661 = BgL_v1633z00_1697;
				}
				BGl_nodez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_objectz00zz__objectz00,
					((long) 44710), BGl_proc3036z00zzast_nodez00,
					BGl_proc3035z00zzast_nodez00, BFALSE, BGl_proc3034z00zzast_nodez00,
					BFALSE, BgL_arg1882z00_1660, BgL_arg1883z00_1661);
			}
			{	/* Ast/node.scm 37 */
				obj_t BgL_arg1910z00_1704;
				obj_t BgL_arg1911z00_1705;

				{	/* Ast/node.scm 37 */
					obj_t BgL_v1634z00_1719;

					BgL_v1634z00_1719 = create_vector(((long) 2));
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg1918z00_1720;

						BgL_arg1918z00_1720 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3039z00zzast_nodez00,
							BGl_proc3038z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3037z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1634z00_1719, ((long) 0), BgL_arg1918z00_1720);
					}
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg1926z00_1733;

						BgL_arg1926z00_1733 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3042z00zzast_nodez00,
							BGl_proc3041z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3040z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1634z00_1719, ((long) 1), BgL_arg1926z00_1733);
					}
					BgL_arg1910z00_1704 = BgL_v1634z00_1719;
				}
				{	/* Ast/node.scm 37 */
					obj_t BgL_v1635z00_1746;

					BgL_v1635z00_1746 = create_vector(((long) 0));
					BgL_arg1911z00_1705 = BgL_v1635z00_1746;
				}
				BGl_nodezf2effectzf2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 23581),
					BGl_proc3045z00zzast_nodez00, BGl_proc3044z00zzast_nodez00, BFALSE,
					BGl_proc3043z00zzast_nodez00, BFALSE, BgL_arg1910z00_1704,
					BgL_arg1911z00_1705);
			}
			{	/* Ast/node.scm 46 */
				obj_t BgL_arg1937z00_1752;
				obj_t BgL_arg1938z00_1753;

				{	/* Ast/node.scm 46 */
					obj_t BgL_v1636z00_1759;

					BgL_v1636z00_1759 = create_vector(((long) 1));
					{	/* Ast/node.scm 46 */
						obj_t BgL_arg1942z00_1760;

						BgL_arg1942z00_1760 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3047z00zzast_nodez00,
							BGl_proc3046z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1636z00_1759, ((long) 0), BgL_arg1942z00_1760);
					}
					BgL_arg1937z00_1752 = BgL_v1636z00_1759;
				}
				{	/* Ast/node.scm 46 */
					obj_t BgL_v1637z00_1770;

					BgL_v1637z00_1770 = create_vector(((long) 0));
					BgL_arg1938z00_1753 = BgL_v1637z00_1770;
				}
				BGl_atomz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 4761),
					BFALSE, BGl_proc3049z00zzast_nodez00, BFALSE,
					BGl_proc3048z00zzast_nodez00, BFALSE, BgL_arg1937z00_1752,
					BgL_arg1938z00_1753);
			}
			{	/* Ast/node.scm 51 */
				obj_t BgL_arg1950z00_1776;
				obj_t BgL_arg1951z00_1777;

				{	/* Ast/node.scm 51 */
					obj_t BgL_v1638z00_1790;

					BgL_v1638z00_1790 = create_vector(((long) 0));
					BgL_arg1950z00_1776 = BgL_v1638z00_1790;
				}
				{	/* Ast/node.scm 51 */
					obj_t BgL_v1639z00_1791;

					BgL_v1639z00_1791 = create_vector(((long) 0));
					BgL_arg1951z00_1777 = BgL_v1639z00_1791;
				}
				BGl_literalz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
					CNST_TABLE_REF(((long) 4)), BGl_atomz00zzast_nodez00, ((long) 30530),
					BGl_proc3052z00zzast_nodez00, BGl_proc3051z00zzast_nodez00, BFALSE,
					BGl_proc3050z00zzast_nodez00, BFALSE, BgL_arg1950z00_1776,
					BgL_arg1951z00_1777);
			}
			{	/* Ast/node.scm 54 */
				obj_t BgL_arg1960z00_1798;
				obj_t BgL_arg1961z00_1799;

				{	/* Ast/node.scm 54 */
					obj_t BgL_v1640z00_1815;

					BgL_v1640z00_1815 = create_vector(((long) 3));
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1968z00_1816;

						BgL_arg1968z00_1816 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3054z00zzast_nodez00,
							BGl_proc3053z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1640z00_1815, ((long) 0), BgL_arg1968z00_1816);
					}
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1973z00_1826;

						BgL_arg1973z00_1826 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc3057z00zzast_nodez00,
							BGl_proc3056z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3055z00zzast_nodez00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1640z00_1815, ((long) 1), BgL_arg1973z00_1826);
					}
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1980z00_1839;

						BgL_arg1980z00_1839 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc3060z00zzast_nodez00,
							BGl_proc3059z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3058z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1640z00_1815, ((long) 2), BgL_arg1980z00_1839);
					}
					BgL_arg1960z00_1798 = BgL_v1640z00_1815;
				}
				{	/* Ast/node.scm 54 */
					obj_t BgL_v1641z00_1852;

					BgL_v1641z00_1852 = create_vector(((long) 0));
					BgL_arg1961z00_1799 = BgL_v1641z00_1852;
				}
				BGl_patchz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 15)),
					CNST_TABLE_REF(((long) 4)), BGl_atomz00zzast_nodez00, ((long) 50926),
					BGl_proc3063z00zzast_nodez00, BGl_proc3062z00zzast_nodez00, BFALSE,
					BGl_proc3061z00zzast_nodez00, BFALSE, BgL_arg1960z00_1798,
					BgL_arg1961z00_1799);
			}
			{	/* Ast/node.scm 60 */
				obj_t BgL_arg1989z00_1858;
				obj_t BgL_arg1990z00_1859;

				{	/* Ast/node.scm 60 */
					obj_t BgL_v1642z00_1865;

					BgL_v1642z00_1865 = create_vector(((long) 1));
					{	/* Ast/node.scm 60 */
						obj_t BgL_arg1994z00_1866;

						BgL_arg1994z00_1866 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc3065z00zzast_nodez00,
							BGl_proc3064z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_variablez00zzast_varz00);
						VECTOR_SET(BgL_v1642z00_1865, ((long) 0), BgL_arg1994z00_1866);
					}
					BgL_arg1989z00_1858 = BgL_v1642z00_1865;
				}
				{	/* Ast/node.scm 60 */
					obj_t BgL_v1643z00_1876;

					BgL_v1643z00_1876 = create_vector(((long) 0));
					BgL_arg1990z00_1859 = BgL_v1643z00_1876;
				}
				BGl_varz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 17)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 40149),
					BFALSE, BGl_proc3067z00zzast_nodez00, BFALSE,
					BGl_proc3066z00zzast_nodez00, BFALSE, BgL_arg1989z00_1858,
					BgL_arg1990z00_1859);
			}
			{	/* Ast/node.scm 64 */
				obj_t BgL_arg2002z00_1882;
				obj_t BgL_arg2003z00_1883;

				{	/* Ast/node.scm 64 */
					obj_t BgL_v1644z00_1896;

					BgL_v1644z00_1896 = create_vector(((long) 0));
					BgL_arg2002z00_1882 = BgL_v1644z00_1896;
				}
				{	/* Ast/node.scm 64 */
					obj_t BgL_v1645z00_1897;

					BgL_v1645z00_1897 = create_vector(((long) 0));
					BgL_arg2003z00_1883 = BgL_v1645z00_1897;
				}
				BGl_refz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 11)),
					CNST_TABLE_REF(((long) 4)), BGl_varz00zzast_nodez00, ((long) 30842),
					BGl_proc3070z00zzast_nodez00, BGl_proc3069z00zzast_nodez00, BFALSE,
					BGl_proc3068z00zzast_nodez00, BFALSE, BgL_arg2002z00_1882,
					BgL_arg2003z00_1883);
			}
			{	/* Ast/node.scm 65 */
				obj_t BgL_arg2012z00_1904;
				obj_t BgL_arg2013z00_1905;

				{	/* Ast/node.scm 65 */
					obj_t BgL_v1646z00_1918;

					BgL_v1646z00_1918 = create_vector(((long) 0));
					BgL_arg2012z00_1904 = BgL_v1646z00_1918;
				}
				{	/* Ast/node.scm 65 */
					obj_t BgL_v1647z00_1919;

					BgL_v1647z00_1919 = create_vector(((long) 0));
					BgL_arg2013z00_1905 = BgL_v1647z00_1919;
				}
				BGl_closurez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 18)),
					CNST_TABLE_REF(((long) 4)), BGl_varz00zzast_nodez00, ((long) 9082),
					BGl_proc3073z00zzast_nodez00, BGl_proc3072z00zzast_nodez00, BFALSE,
					BGl_proc3071z00zzast_nodez00, BFALSE, BgL_arg2012z00_1904,
					BgL_arg2013z00_1905);
			}
			{	/* Ast/node.scm 68 */
				obj_t BgL_arg2023z00_1926;
				obj_t BgL_arg2024z00_1927;

				{	/* Ast/node.scm 68 */
					obj_t BgL_v1648z00_1940;

					BgL_v1648z00_1940 = create_vector(((long) 1));
					{	/* Ast/node.scm 68 */
						obj_t BgL_arg2031z00_1941;

						BgL_arg2031z00_1941 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3075z00zzast_nodez00,
							BGl_proc3074z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1648z00_1940, ((long) 0), BgL_arg2031z00_1941);
					}
					BgL_arg2023z00_1926 = BgL_v1648z00_1940;
				}
				{	/* Ast/node.scm 68 */
					obj_t BgL_v1649z00_1951;

					BgL_v1649z00_1951 = create_vector(((long) 0));
					BgL_arg2024z00_1927 = BgL_v1649z00_1951;
				}
				BGl_kwotez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 14781),
					BGl_proc3078z00zzast_nodez00, BGl_proc3077z00zzast_nodez00, BFALSE,
					BGl_proc3076z00zzast_nodez00, BFALSE, BgL_arg2023z00_1926,
					BgL_arg2024z00_1927);
			}
			{	/* Ast/node.scm 73 */
				obj_t BgL_arg2041z00_1958;
				obj_t BgL_arg2042z00_1959;

				{	/* Ast/node.scm 73 */
					obj_t BgL_v1650z00_1976;

					BgL_v1650z00_1976 = create_vector(((long) 3));
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg2049z00_1977;

						BgL_arg2049z00_1977 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc3080z00zzast_nodez00,
							BGl_proc3079z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1650z00_1976, ((long) 0), BgL_arg2049z00_1977);
					}
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg2054z00_1987;

						BgL_arg2054z00_1987 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3083z00zzast_nodez00,
							BGl_proc3082z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3081z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1650z00_1976, ((long) 1), BgL_arg2054z00_1987);
					}
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg2062z00_2000;

						BgL_arg2062z00_2000 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									24)), BGl_proc3086z00zzast_nodez00,
							BGl_proc3085z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3084z00zzast_nodez00, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1650z00_1976, ((long) 2), BgL_arg2062z00_2000);
					}
					BgL_arg2041z00_1958 = BgL_v1650z00_1976;
				}
				{	/* Ast/node.scm 73 */
					obj_t BgL_v1651z00_2013;

					BgL_v1651z00_2013 = create_vector(((long) 0));
					BgL_arg2042z00_1959 = BgL_v1651z00_2013;
				}
				BGl_sequencez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 25)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 60739), BGl_proc3089z00zzast_nodez00,
					BGl_proc3088z00zzast_nodez00, BFALSE, BGl_proc3087z00zzast_nodez00,
					BFALSE, BgL_arg2041z00_1958, BgL_arg2042z00_1959);
			}
			{	/* Ast/node.scm 79 */
				obj_t BgL_arg2073z00_2020;
				obj_t BgL_arg2074z00_2021;

				{	/* Ast/node.scm 79 */
					obj_t BgL_v1652z00_2038;

					BgL_v1652z00_2038 = create_vector(((long) 3));
					{	/* Ast/node.scm 79 */
						obj_t BgL_arg2081z00_2039;

						BgL_arg2081z00_2039 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc3091z00zzast_nodez00,
							BGl_proc3090z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1652z00_2038, ((long) 0), BgL_arg2081z00_2039);
					}
					{	/* Ast/node.scm 79 */
						obj_t BgL_arg2086z00_2049;

						BgL_arg2086z00_2049 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc3093z00zzast_nodez00,
							BGl_proc3092z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1652z00_2038, ((long) 1), BgL_arg2086z00_2049);
					}
					{	/* Ast/node.scm 79 */
						obj_t BgL_arg2091z00_2059;

						BgL_arg2091z00_2059 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc3096z00zzast_nodez00,
							BGl_proc3095z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3094z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1652z00_2038, ((long) 2), BgL_arg2091z00_2059);
					}
					BgL_arg2073z00_2020 = BgL_v1652z00_2038;
				}
				{	/* Ast/node.scm 79 */
					obj_t BgL_v1653z00_2072;

					BgL_v1653z00_2072 = create_vector(((long) 0));
					BgL_arg2074z00_2021 = BgL_v1653z00_2072;
				}
				BGl_appz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 29)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 17744), BGl_proc3099z00zzast_nodez00,
					BGl_proc3098z00zzast_nodez00, BFALSE, BGl_proc3097z00zzast_nodez00,
					BFALSE, BgL_arg2073z00_2020, BgL_arg2074z00_2021);
			}
			{	/* Ast/node.scm 88 */
				obj_t BgL_arg2103z00_2079;
				obj_t BgL_arg2104z00_2080;

				{	/* Ast/node.scm 88 */
					obj_t BgL_v1654z00_2094;

					BgL_v1654z00_2094 = create_vector(((long) 2));
					{	/* Ast/node.scm 88 */
						obj_t BgL_arg2111z00_2095;

						BgL_arg2111z00_2095 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc3101z00zzast_nodez00,
							BGl_proc3100z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1654z00_2094, ((long) 0), BgL_arg2111z00_2095);
					}
					{	/* Ast/node.scm 88 */
						obj_t BgL_arg2116z00_2105;

						BgL_arg2116z00_2105 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc3103z00zzast_nodez00,
							BGl_proc3102z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1654z00_2094, ((long) 1), BgL_arg2116z00_2105);
					}
					BgL_arg2103z00_2079 = BgL_v1654z00_2094;
				}
				{	/* Ast/node.scm 88 */
					obj_t BgL_v1655z00_2115;

					BgL_v1655z00_2115 = create_vector(((long) 0));
					BgL_arg2104z00_2080 = BgL_v1655z00_2115;
				}
				BGl_appzd2lyzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 31)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 54426),
					BGl_proc3106z00zzast_nodez00, BGl_proc3105z00zzast_nodez00, BFALSE,
					BGl_proc3104z00zzast_nodez00, BFALSE, BgL_arg2103z00_2079,
					BgL_arg2104z00_2080);
			}
			{	/* Ast/node.scm 95 */
				obj_t BgL_arg2124z00_2122;
				obj_t BgL_arg2125z00_2123;

				{	/* Ast/node.scm 95 */
					obj_t BgL_v1656z00_2139;

					BgL_v1656z00_2139 = create_vector(((long) 4));
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2131z00_2140;

						BgL_arg2131z00_2140 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc3108z00zzast_nodez00,
							BGl_proc3107z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1656z00_2139, ((long) 0), BgL_arg2131z00_2140);
					}
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2136z00_2150;

						BgL_arg2136z00_2150 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc3110z00zzast_nodez00,
							BGl_proc3109z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1656z00_2139, ((long) 1), BgL_arg2136z00_2150);
					}
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2141z00_2160;

						BgL_arg2141z00_2160 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									32)), BGl_proc3113z00zzast_nodez00,
							BGl_proc3112z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3111z00zzast_nodez00, CNST_TABLE_REF(((long) 33)));
						VECTOR_SET(BgL_v1656z00_2139, ((long) 2), BgL_arg2141z00_2160);
					}
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2148z00_2173;

						BgL_arg2148z00_2173 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									34)), BGl_proc3116z00zzast_nodez00,
							BGl_proc3115z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3114z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1656z00_2139, ((long) 3), BgL_arg2148z00_2173);
					}
					BgL_arg2124z00_2122 = BgL_v1656z00_2139;
				}
				{	/* Ast/node.scm 95 */
					obj_t BgL_v1657z00_2186;

					BgL_v1657z00_2186 = create_vector(((long) 0));
					BgL_arg2125z00_2123 = BgL_v1657z00_2186;
				}
				BGl_funcallz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 35)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 13852),
					BGl_proc3119z00zzast_nodez00, BGl_proc3118z00zzast_nodez00, BFALSE,
					BGl_proc3117z00zzast_nodez00, BFALSE, BgL_arg2124z00_2122,
					BgL_arg2125z00_2123);
			}
			{	/* Ast/node.scm 107 */
				obj_t BgL_arg2158z00_2193;
				obj_t BgL_arg2159z00_2194;

				{	/* Ast/node.scm 107 */
					obj_t BgL_v1658z00_2210;

					BgL_v1658z00_2210 = create_vector(((long) 2));
					{	/* Ast/node.scm 107 */
						obj_t BgL_arg2166z00_2211;

						BgL_arg2166z00_2211 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3122z00zzast_nodez00,
							BGl_proc3121z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3120z00zzast_nodez00, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1658z00_2210, ((long) 0), BgL_arg2166z00_2211);
					}
					{	/* Ast/node.scm 107 */
						obj_t BgL_arg2173z00_2224;

						BgL_arg2173z00_2224 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3125z00zzast_nodez00,
							BGl_proc3124z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3123z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1658z00_2210, ((long) 1), BgL_arg2173z00_2224);
					}
					BgL_arg2158z00_2193 = BgL_v1658z00_2210;
				}
				{	/* Ast/node.scm 107 */
					obj_t BgL_v1659z00_2237;

					BgL_v1659z00_2237 = create_vector(((long) 0));
					BgL_arg2159z00_2194 = BgL_v1659z00_2237;
				}
				BGl_externz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 38)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 992), BGl_proc3128z00zzast_nodez00,
					BGl_proc3127z00zzast_nodez00, BFALSE, BGl_proc3126z00zzast_nodez00,
					BFALSE, BgL_arg2158z00_2193, BgL_arg2159z00_2194);
			}
			{	/* Ast/node.scm 114 */
				obj_t BgL_arg2183z00_2244;
				obj_t BgL_arg2185z00_2245;

				{	/* Ast/node.scm 114 */
					obj_t BgL_v1660z00_2262;

					BgL_v1660z00_2262 = create_vector(((long) 1));
					{	/* Ast/node.scm 114 */
						obj_t BgL_arg2191z00_2263;

						BgL_arg2191z00_2263 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									39)), BGl_proc3130z00zzast_nodez00,
							BGl_proc3129z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 40)));
						VECTOR_SET(BgL_v1660z00_2262, ((long) 0), BgL_arg2191z00_2263);
					}
					BgL_arg2183z00_2244 = BgL_v1660z00_2262;
				}
				{	/* Ast/node.scm 114 */
					obj_t BgL_v1661z00_2273;

					BgL_v1661z00_2273 = create_vector(((long) 0));
					BgL_arg2185z00_2245 = BgL_v1661z00_2273;
				}
				BGl_pragmaz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 41)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00, ((long) 1873),
					BGl_proc3133z00zzast_nodez00, BGl_proc3132z00zzast_nodez00, BFALSE,
					BGl_proc3131z00zzast_nodez00, BFALSE, BgL_arg2183z00_2244,
					BgL_arg2185z00_2245);
			}
			{	/* Ast/node.scm 118 */
				obj_t BgL_arg2199z00_2280;
				obj_t BgL_arg2200z00_2281;

				{	/* Ast/node.scm 118 */
					obj_t BgL_v1662z00_2299;

					BgL_v1662z00_2299 = create_vector(((long) 2));
					{	/* Ast/node.scm 118 */
						obj_t BgL_arg2206z00_2300;

						BgL_arg2206z00_2300 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc3136z00zzast_nodez00,
							BGl_proc3135z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3134z00zzast_nodez00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1662z00_2299, ((long) 0), BgL_arg2206z00_2300);
					}
					{	/* Ast/node.scm 118 */
						obj_t BgL_arg2213z00_2313;

						BgL_arg2213z00_2313 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									42)), BGl_proc3139z00zzast_nodez00,
							BGl_proc3138z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3137z00zzast_nodez00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1662z00_2299, ((long) 1), BgL_arg2213z00_2313);
					}
					BgL_arg2199z00_2280 = BgL_v1662z00_2299;
				}
				{	/* Ast/node.scm 118 */
					obj_t BgL_v1663z00_2326;

					BgL_v1663z00_2326 = create_vector(((long) 0));
					BgL_arg2200z00_2281 = BgL_v1663z00_2326;
				}
				BGl_genpatchidz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 43)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00,
					((long) 30795), BGl_proc3142z00zzast_nodez00,
					BGl_proc3141z00zzast_nodez00, BFALSE, BGl_proc3140z00zzast_nodez00,
					BFALSE, BgL_arg2199z00_2280, BgL_arg2200z00_2281);
			}
			{	/* Ast/node.scm 123 */
				obj_t BgL_arg2223z00_2333;
				obj_t BgL_arg2224z00_2334;

				{	/* Ast/node.scm 123 */
					obj_t BgL_v1664z00_2351;

					BgL_v1664z00_2351 = create_vector(((long) 1));
					{	/* Ast/node.scm 123 */
						obj_t BgL_arg2230z00_2352;

						BgL_arg2230z00_2352 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									44)), BGl_proc3144z00zzast_nodez00,
							BGl_proc3143z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 40)));
						VECTOR_SET(BgL_v1664z00_2351, ((long) 0), BgL_arg2230z00_2352);
					}
					BgL_arg2223z00_2333 = BgL_v1664z00_2351;
				}
				{	/* Ast/node.scm 123 */
					obj_t BgL_v1665z00_2362;

					BgL_v1665z00_2362 = create_vector(((long) 0));
					BgL_arg2224z00_2334 = BgL_v1665z00_2362;
				}
				BGl_privatez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 45)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00,
					((long) 30541), BGl_proc3147z00zzast_nodez00,
					BGl_proc3146z00zzast_nodez00, BFALSE, BGl_proc3145z00zzast_nodez00,
					BFALSE, BgL_arg2223z00_2333, BgL_arg2224z00_2334);
			}
			{	/* Ast/node.scm 127 */
				obj_t BgL_arg2238z00_2369;
				obj_t BgL_arg2239z00_2370;

				{	/* Ast/node.scm 127 */
					obj_t BgL_v1666z00_2390;

					BgL_v1666z00_2390 = create_vector(((long) 3));
					{	/* Ast/node.scm 127 */
						obj_t BgL_arg2245z00_2391;

						BgL_arg2245z00_2391 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc3149z00zzast_nodez00,
							BGl_proc3148z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 40)));
						VECTOR_SET(BgL_v1666z00_2390, ((long) 0), BgL_arg2245z00_2391);
					}
					{	/* Ast/node.scm 127 */
						obj_t BgL_arg2250z00_2401;

						BgL_arg2250z00_2401 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3151z00zzast_nodez00,
							BGl_proc3150z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1666z00_2390, ((long) 1), BgL_arg2250z00_2401);
					}
					{	/* Ast/node.scm 127 */
						obj_t BgL_arg2255z00_2411;

						BgL_arg2255z00_2411 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3153z00zzast_nodez00,
							BGl_proc3152z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1666z00_2390, ((long) 2), BgL_arg2255z00_2411);
					}
					BgL_arg2238z00_2369 = BgL_v1666z00_2390;
				}
				{	/* Ast/node.scm 127 */
					obj_t BgL_v1667z00_2421;

					BgL_v1667z00_2421 = create_vector(((long) 0));
					BgL_arg2239z00_2370 = BgL_v1667z00_2421;
				}
				BGl_getfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 49)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 53519), BGl_proc3156z00zzast_nodez00,
					BGl_proc3155z00zzast_nodez00, BFALSE, BGl_proc3154z00zzast_nodez00,
					BFALSE, BgL_arg2238z00_2369, BgL_arg2239z00_2370);
			}
			{	/* Ast/node.scm 136 */
				obj_t BgL_arg2263z00_2428;
				obj_t BgL_arg2264z00_2429;

				{	/* Ast/node.scm 136 */
					obj_t BgL_v1668z00_2449;

					BgL_v1668z00_2449 = create_vector(((long) 3));
					{	/* Ast/node.scm 136 */
						obj_t BgL_arg2270z00_2450;

						BgL_arg2270z00_2450 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc3158z00zzast_nodez00,
							BGl_proc3157z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 40)));
						VECTOR_SET(BgL_v1668z00_2449, ((long) 0), BgL_arg2270z00_2450);
					}
					{	/* Ast/node.scm 136 */
						obj_t BgL_arg2275z00_2460;

						BgL_arg2275z00_2460 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3160z00zzast_nodez00,
							BGl_proc3159z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1668z00_2449, ((long) 1), BgL_arg2275z00_2460);
					}
					{	/* Ast/node.scm 136 */
						obj_t BgL_arg2280z00_2470;

						BgL_arg2280z00_2470 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3162z00zzast_nodez00,
							BGl_proc3161z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1668z00_2449, ((long) 2), BgL_arg2280z00_2470);
					}
					BgL_arg2263z00_2428 = BgL_v1668z00_2449;
				}
				{	/* Ast/node.scm 136 */
					obj_t BgL_v1669z00_2480;

					BgL_v1669z00_2480 = create_vector(((long) 0));
					BgL_arg2264z00_2429 = BgL_v1669z00_2480;
				}
				BGl_setfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 50)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 18739), BGl_proc3165z00zzast_nodez00,
					BGl_proc3164z00zzast_nodez00, BFALSE, BGl_proc3163z00zzast_nodez00,
					BFALSE, BgL_arg2263z00_2428, BgL_arg2264z00_2429);
			}
			{	/* Ast/node.scm 146 */
				obj_t BgL_arg2289z00_2487;
				obj_t BgL_arg2290z00_2488;

				{	/* Ast/node.scm 146 */
					obj_t BgL_v1670z00_2506;

					BgL_v1670z00_2506 = create_vector(((long) 1));
					{	/* Ast/node.scm 146 */
						obj_t BgL_arg2296z00_2507;

						BgL_arg2296z00_2507 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3167z00zzast_nodez00,
							BGl_proc3166z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1670z00_2506, ((long) 0), BgL_arg2296z00_2507);
					}
					BgL_arg2289z00_2487 = BgL_v1670z00_2506;
				}
				{	/* Ast/node.scm 146 */
					obj_t BgL_v1671z00_2517;

					BgL_v1671z00_2517 = create_vector(((long) 0));
					BgL_arg2290z00_2488 = BgL_v1671z00_2517;
				}
				BGl_wideningz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 51)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 56467), BGl_proc3170z00zzast_nodez00,
					BGl_proc3169z00zzast_nodez00, BFALSE, BGl_proc3168z00zzast_nodez00,
					BFALSE, BgL_arg2289z00_2487, BgL_arg2290z00_2488);
			}
			{	/* Ast/node.scm 150 */
				obj_t BgL_arg2305z00_2524;
				obj_t BgL_arg2306z00_2525;

				{	/* Ast/node.scm 150 */
					obj_t BgL_v1672z00_2543;

					BgL_v1672z00_2543 = create_vector(((long) 1));
					{	/* Ast/node.scm 150 */
						obj_t BgL_arg2312z00_2544;

						BgL_arg2312z00_2544 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									52)), BGl_proc3173z00zzast_nodez00,
							BGl_proc3172z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3171z00zzast_nodez00, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1672z00_2543, ((long) 0), BgL_arg2312z00_2544);
					}
					BgL_arg2305z00_2524 = BgL_v1672z00_2543;
				}
				{	/* Ast/node.scm 150 */
					obj_t BgL_v1673z00_2557;

					BgL_v1673z00_2557 = create_vector(((long) 0));
					BgL_arg2306z00_2525 = BgL_v1673z00_2557;
				}
				BGl_newz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 53)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 21062), BGl_proc3176z00zzast_nodez00,
					BGl_proc3175z00zzast_nodez00, BFALSE, BGl_proc3174z00zzast_nodez00,
					BFALSE, BgL_arg2305z00_2524, BgL_arg2306z00_2525);
			}
			{	/* Ast/node.scm 154 */
				obj_t BgL_arg2323z00_2564;
				obj_t BgL_arg2324z00_2565;

				{	/* Ast/node.scm 154 */
					obj_t BgL_v1674z00_2584;

					BgL_v1674z00_2584 = create_vector(((long) 2));
					{	/* Ast/node.scm 154 */
						obj_t BgL_arg2331z00_2585;

						BgL_arg2331z00_2585 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3178z00zzast_nodez00,
							BGl_proc3177z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1674z00_2584, ((long) 0), BgL_arg2331z00_2585);
					}
					{	/* Ast/node.scm 154 */
						obj_t BgL_arg2337z00_2595;

						BgL_arg2337z00_2595 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3180z00zzast_nodez00,
							BGl_proc3179z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1674z00_2584, ((long) 1), BgL_arg2337z00_2595);
					}
					BgL_arg2323z00_2564 = BgL_v1674z00_2584;
				}
				{	/* Ast/node.scm 154 */
					obj_t BgL_v1675z00_2605;

					BgL_v1675z00_2605 = create_vector(((long) 0));
					BgL_arg2324z00_2565 = BgL_v1675z00_2605;
				}
				BGl_vallocz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 54)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 60165), BGl_proc3183z00zzast_nodez00,
					BGl_proc3182z00zzast_nodez00, BFALSE, BGl_proc3181z00zzast_nodez00,
					BFALSE, BgL_arg2323z00_2564, BgL_arg2324z00_2565);
			}
			{	/* Ast/node.scm 161 */
				obj_t BgL_arg2348z00_2612;
				obj_t BgL_arg2350z00_2613;

				{	/* Ast/node.scm 161 */
					obj_t BgL_v1676z00_2634;

					BgL_v1676z00_2634 = create_vector(((long) 4));
					{	/* Ast/node.scm 161 */
						obj_t BgL_arg2356z00_2635;

						BgL_arg2356z00_2635 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3185z00zzast_nodez00,
							BGl_proc3184z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1676z00_2634, ((long) 0), BgL_arg2356z00_2635);
					}
					{	/* Ast/node.scm 161 */
						obj_t BgL_arg2361z00_2645;

						BgL_arg2361z00_2645 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3187z00zzast_nodez00,
							BGl_proc3186z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1676z00_2634, ((long) 1), BgL_arg2361z00_2645);
					}
					{	/* Ast/node.scm 161 */
						obj_t BgL_arg2367z00_2655;

						BgL_arg2367z00_2655 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3189z00zzast_nodez00,
							BGl_proc3188z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1676z00_2634, ((long) 2), BgL_arg2367z00_2655);
					}
					{	/* Ast/node.scm 161 */
						obj_t BgL_arg2372z00_2665;

						BgL_arg2372z00_2665 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3192z00zzast_nodez00,
							BGl_proc3191z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3190z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1676z00_2634, ((long) 3), BgL_arg2372z00_2665);
					}
					BgL_arg2348z00_2612 = BgL_v1676z00_2634;
				}
				{	/* Ast/node.scm 161 */
					obj_t BgL_v1677z00_2678;

					BgL_v1677z00_2678 = create_vector(((long) 0));
					BgL_arg2350z00_2613 = BgL_v1677z00_2678;
				}
				BGl_vrefz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 56)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 50670), BGl_proc3195z00zzast_nodez00,
					BGl_proc3194z00zzast_nodez00, BFALSE, BGl_proc3193z00zzast_nodez00,
					BFALSE, BgL_arg2348z00_2612, BgL_arg2350z00_2613);
			}
			{	/* Ast/node.scm 172 */
				obj_t BgL_arg2383z00_2685;
				obj_t BgL_arg2384z00_2686;

				{	/* Ast/node.scm 172 */
					obj_t BgL_v1678z00_2707;

					BgL_v1678z00_2707 = create_vector(((long) 4));
					{	/* Ast/node.scm 172 */
						obj_t BgL_arg2390z00_2708;

						BgL_arg2390z00_2708 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3197z00zzast_nodez00,
							BGl_proc3196z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1678z00_2707, ((long) 0), BgL_arg2390z00_2708);
					}
					{	/* Ast/node.scm 172 */
						obj_t BgL_arg2395z00_2718;

						BgL_arg2395z00_2718 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3199z00zzast_nodez00,
							BGl_proc3198z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1678z00_2707, ((long) 1), BgL_arg2395z00_2718);
					}
					{	/* Ast/node.scm 172 */
						obj_t BgL_arg2400z00_2728;

						BgL_arg2400z00_2728 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3201z00zzast_nodez00,
							BGl_proc3200z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1678z00_2707, ((long) 2), BgL_arg2400z00_2728);
					}
					{	/* Ast/node.scm 172 */
						obj_t BgL_arg2406z00_2738;

						BgL_arg2406z00_2738 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3204z00zzast_nodez00,
							BGl_proc3203z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3202z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1678z00_2707, ((long) 3), BgL_arg2406z00_2738);
					}
					BgL_arg2383z00_2685 = BgL_v1678z00_2707;
				}
				{	/* Ast/node.scm 172 */
					obj_t BgL_v1679z00_2751;

					BgL_v1679z00_2751 = create_vector(((long) 0));
					BgL_arg2384z00_2686 = BgL_v1679z00_2751;
				}
				BGl_vsetz12z12zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 57)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 16062), BGl_proc3207z00zzast_nodez00,
					BGl_proc3206z00zzast_nodez00, BFALSE, BGl_proc3205z00zzast_nodez00,
					BFALSE, BgL_arg2383z00_2685, BgL_arg2384z00_2686);
			}
			{	/* Ast/node.scm 183 */
				obj_t BgL_arg2418z00_2758;
				obj_t BgL_arg2419z00_2759;

				{	/* Ast/node.scm 183 */
					obj_t BgL_v1680z00_2778;

					BgL_v1680z00_2778 = create_vector(((long) 2));
					{	/* Ast/node.scm 183 */
						obj_t BgL_arg2425z00_2779;

						BgL_arg2425z00_2779 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3209z00zzast_nodez00,
							BGl_proc3208z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1680z00_2778, ((long) 0), BgL_arg2425z00_2779);
					}
					{	/* Ast/node.scm 183 */
						obj_t BgL_arg2430z00_2789;

						BgL_arg2430z00_2789 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3211z00zzast_nodez00,
							BGl_proc3210z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1680z00_2778, ((long) 1), BgL_arg2430z00_2789);
					}
					BgL_arg2418z00_2758 = BgL_v1680z00_2778;
				}
				{	/* Ast/node.scm 183 */
					obj_t BgL_v1681z00_2799;

					BgL_v1681z00_2799 = create_vector(((long) 0));
					BgL_arg2419z00_2759 = BgL_v1681z00_2799;
				}
				BGl_vlengthz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 58)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 63708), BGl_proc3214z00zzast_nodez00,
					BGl_proc3213z00zzast_nodez00, BFALSE, BGl_proc3212z00zzast_nodez00,
					BFALSE, BgL_arg2418z00_2758, BgL_arg2419z00_2759);
			}
			{	/* Ast/node.scm 190 */
				obj_t BgL_arg2440z00_2806;
				obj_t BgL_arg2442z00_2807;

				{	/* Ast/node.scm 190 */
					obj_t BgL_v1682z00_2825;

					BgL_v1682z00_2825 = create_vector(((long) 1));
					{	/* Ast/node.scm 190 */
						obj_t BgL_arg2448z00_2826;

						BgL_arg2448z00_2826 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									59)), BGl_proc3216z00zzast_nodez00,
							BGl_proc3215z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1682z00_2825, ((long) 0), BgL_arg2448z00_2826);
					}
					BgL_arg2440z00_2806 = BgL_v1682z00_2825;
				}
				{	/* Ast/node.scm 190 */
					obj_t BgL_v1683z00_2836;

					BgL_v1683z00_2836 = create_vector(((long) 0));
					BgL_arg2442z00_2807 = BgL_v1683z00_2836;
				}
				BGl_instanceofz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 60)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 64505), BGl_proc3219z00zzast_nodez00,
					BGl_proc3218z00zzast_nodez00, BFALSE, BGl_proc3217z00zzast_nodez00,
					BFALSE, BgL_arg2440z00_2806, BgL_arg2442z00_2807);
			}
			{	/* Ast/node.scm 194 */
				obj_t BgL_arg2457z00_2843;
				obj_t BgL_arg2458z00_2844;

				{	/* Ast/node.scm 194 */
					obj_t BgL_v1684z00_2861;

					BgL_v1684z00_2861 = create_vector(((long) 0));
					BgL_arg2457z00_2843 = BgL_v1684z00_2861;
				}
				{	/* Ast/node.scm 194 */
					obj_t BgL_v1685z00_2862;

					BgL_v1685z00_2862 = create_vector(((long) 0));
					BgL_arg2458z00_2844 = BgL_v1685z00_2862;
				}
				BGl_castzd2nullzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 61)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 35218), BGl_proc3222z00zzast_nodez00,
					BGl_proc3221z00zzast_nodez00, BFALSE, BGl_proc3220z00zzast_nodez00,
					BFALSE, BgL_arg2457z00_2843, BgL_arg2458z00_2844);
			}
			{	/* Ast/node.scm 197 */
				obj_t BgL_arg2469z00_2869;
				obj_t BgL_arg2470z00_2870;

				{	/* Ast/node.scm 197 */
					obj_t BgL_v1686z00_2883;

					BgL_v1686z00_2883 = create_vector(((long) 1));
					{	/* Ast/node.scm 197 */
						obj_t BgL_arg2477z00_2884;

						BgL_arg2477z00_2884 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc3224z00zzast_nodez00,
							BGl_proc3223z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1686z00_2883, ((long) 0), BgL_arg2477z00_2884);
					}
					BgL_arg2469z00_2869 = BgL_v1686z00_2883;
				}
				{	/* Ast/node.scm 197 */
					obj_t BgL_v1687z00_2894;

					BgL_v1687z00_2894 = create_vector(((long) 0));
					BgL_arg2470z00_2870 = BgL_v1687z00_2894;
				}
				BGl_castz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 62)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 32773),
					BGl_proc3227z00zzast_nodez00, BGl_proc3226z00zzast_nodez00, BFALSE,
					BGl_proc3225z00zzast_nodez00, BFALSE, BgL_arg2469z00_2869,
					BgL_arg2470z00_2870);
			}
			{	/* Ast/node.scm 202 */
				obj_t BgL_arg2487z00_2901;
				obj_t BgL_arg2489z00_2902;

				{	/* Ast/node.scm 202 */
					obj_t BgL_v1688z00_2916;

					BgL_v1688z00_2916 = create_vector(((long) 2));
					{	/* Ast/node.scm 202 */
						obj_t BgL_arg2499z00_2917;

						BgL_arg2499z00_2917 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3229z00zzast_nodez00,
							BGl_proc3228z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1688z00_2916, ((long) 0), BgL_arg2499z00_2917);
					}
					{	/* Ast/node.scm 202 */
						obj_t BgL_arg2504z00_2927;

						BgL_arg2504z00_2927 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3231z00zzast_nodez00,
							BGl_proc3230z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1688z00_2916, ((long) 1), BgL_arg2504z00_2927);
					}
					BgL_arg2487z00_2901 = BgL_v1688z00_2916;
				}
				{	/* Ast/node.scm 202 */
					obj_t BgL_v1689z00_2937;

					BgL_v1689z00_2937 = create_vector(((long) 0));
					BgL_arg2489z00_2902 = BgL_v1689z00_2937;
				}
				BGl_setqz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 63)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 57238),
					BGl_proc3234z00zzast_nodez00, BGl_proc3233z00zzast_nodez00, BFALSE,
					BGl_proc3232z00zzast_nodez00, BFALSE, BgL_arg2487z00_2901,
					BgL_arg2489z00_2902);
			}
			{	/* Ast/node.scm 209 */
				obj_t BgL_arg2520z00_2944;
				obj_t BgL_arg2521z00_2945;

				{	/* Ast/node.scm 209 */
					obj_t BgL_v1690z00_2962;

					BgL_v1690z00_2962 = create_vector(((long) 3));
					{	/* Ast/node.scm 209 */
						obj_t BgL_arg2527z00_2963;

						BgL_arg2527z00_2963 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3236z00zzast_nodez00,
							BGl_proc3235z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1690z00_2962, ((long) 0), BgL_arg2527z00_2963);
					}
					{	/* Ast/node.scm 209 */
						obj_t BgL_arg2535z00_2973;

						BgL_arg2535z00_2973 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									65)), BGl_proc3238z00zzast_nodez00,
							BGl_proc3237z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1690z00_2962, ((long) 1), BgL_arg2535z00_2973);
					}
					{	/* Ast/node.scm 209 */
						obj_t BgL_arg2541z00_2983;

						BgL_arg2541z00_2983 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									66)), BGl_proc3240z00zzast_nodez00,
							BGl_proc3239z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1690z00_2962, ((long) 2), BgL_arg2541z00_2983);
					}
					BgL_arg2520z00_2944 = BgL_v1690z00_2962;
				}
				{	/* Ast/node.scm 209 */
					obj_t BgL_v1691z00_2993;

					BgL_v1691z00_2993 = create_vector(((long) 0));
					BgL_arg2521z00_2945 = BgL_v1691z00_2993;
				}
				BGl_conditionalz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 67)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 32399), BGl_proc3243z00zzast_nodez00,
					BGl_proc3242z00zzast_nodez00, BFALSE, BGl_proc3241z00zzast_nodez00,
					BFALSE, BgL_arg2520z00_2944, BgL_arg2521z00_2945);
			}
			{	/* Ast/node.scm 218 */
				obj_t BgL_arg2559z00_3000;
				obj_t BgL_arg2561z00_3001;

				{	/* Ast/node.scm 218 */
					obj_t BgL_v1692z00_3016;

					BgL_v1692z00_3016 = create_vector(((long) 3));
					{	/* Ast/node.scm 218 */
						obj_t BgL_arg2567z00_3017;

						BgL_arg2567z00_3017 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									68)), BGl_proc3245z00zzast_nodez00,
							BGl_proc3244z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1692z00_3016, ((long) 0), BgL_arg2567z00_3017);
					}
					{	/* Ast/node.scm 218 */
						obj_t BgL_arg2573z00_3027;

						BgL_arg2573z00_3027 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									69)), BGl_proc3247z00zzast_nodez00,
							BGl_proc3246z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1692z00_3016, ((long) 1), BgL_arg2573z00_3027);
					}
					{	/* Ast/node.scm 218 */
						obj_t BgL_arg2579z00_3037;

						BgL_arg2579z00_3037 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3249z00zzast_nodez00,
							BGl_proc3248z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1692z00_3016, ((long) 2), BgL_arg2579z00_3037);
					}
					BgL_arg2559z00_3000 = BgL_v1692z00_3016;
				}
				{	/* Ast/node.scm 218 */
					obj_t BgL_v1693z00_3047;

					BgL_v1693z00_3047 = create_vector(((long) 0));
					BgL_arg2561z00_3001 = BgL_v1693z00_3047;
				}
				BGl_failz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 70)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 25408),
					BGl_proc3252z00zzast_nodez00, BGl_proc3251z00zzast_nodez00, BFALSE,
					BGl_proc3250z00zzast_nodez00, BFALSE, BgL_arg2559z00_3000,
					BgL_arg2561z00_3001);
			}
			{	/* Ast/node.scm 225 */
				obj_t BgL_arg2588z00_3054;
				obj_t BgL_arg2590z00_3055;

				{	/* Ast/node.scm 225 */
					obj_t BgL_v1694z00_3072;

					BgL_v1694z00_3072 = create_vector(((long) 3));
					{	/* Ast/node.scm 225 */
						obj_t BgL_arg2597z00_3073;

						BgL_arg2597z00_3073 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3254z00zzast_nodez00,
							BGl_proc3253z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1694z00_3072, ((long) 0), BgL_arg2597z00_3073);
					}
					{	/* Ast/node.scm 225 */
						obj_t BgL_arg2602z00_3083;

						BgL_arg2602z00_3083 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									71)), BGl_proc3256z00zzast_nodez00,
							BGl_proc3255z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1694z00_3072, ((long) 1), BgL_arg2602z00_3083);
					}
					{	/* Ast/node.scm 225 */
						obj_t BgL_arg2607z00_3093;

						BgL_arg2607z00_3093 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									72)), BGl_proc3258z00zzast_nodez00,
							BGl_proc3257z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1694z00_3072, ((long) 2), BgL_arg2607z00_3093);
					}
					BgL_arg2588z00_3054 = BgL_v1694z00_3072;
				}
				{	/* Ast/node.scm 225 */
					obj_t BgL_v1695z00_3103;

					BgL_v1695z00_3103 = create_vector(((long) 0));
					BgL_arg2590z00_3055 = BgL_v1695z00_3103;
				}
				BGl_switchz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 73)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 14324), BGl_proc3261z00zzast_nodez00,
					BGl_proc3260z00zzast_nodez00, BFALSE, BGl_proc3259z00zzast_nodez00,
					BFALSE, BgL_arg2588z00_3054, BgL_arg2590z00_3055);
			}
			{	/* Ast/node.scm 234 */
				obj_t BgL_arg2616z00_3110;
				obj_t BgL_arg2617z00_3111;

				{	/* Ast/node.scm 234 */
					obj_t BgL_v1696z00_3127;

					BgL_v1696z00_3127 = create_vector(((long) 2));
					{	/* Ast/node.scm 234 */
						obj_t BgL_arg2624z00_3128;

						BgL_arg2624z00_3128 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									74)), BGl_proc3263z00zzast_nodez00,
							BGl_proc3262z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1696z00_3127, ((long) 0), BgL_arg2624z00_3128);
					}
					{	/* Ast/node.scm 234 */
						obj_t BgL_arg2630z00_3138;

						BgL_arg2630z00_3138 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3265z00zzast_nodez00,
							BGl_proc3264z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1696z00_3127, ((long) 1), BgL_arg2630z00_3138);
					}
					BgL_arg2616z00_3110 = BgL_v1696z00_3127;
				}
				{	/* Ast/node.scm 234 */
					obj_t BgL_v1697z00_3148;

					BgL_v1697z00_3148 = create_vector(((long) 0));
					BgL_arg2617z00_3111 = BgL_v1697z00_3148;
				}
				BGl_letzd2funzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 76)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 30800), BGl_proc3268z00zzast_nodez00,
					BGl_proc3267z00zzast_nodez00, BFALSE, BGl_proc3266z00zzast_nodez00,
					BFALSE, BgL_arg2616z00_3110, BgL_arg2617z00_3111);
			}
			{	/* Ast/node.scm 241 */
				obj_t BgL_arg2640z00_3155;
				obj_t BgL_arg2641z00_3156;

				{	/* Ast/node.scm 241 */
					obj_t BgL_v1698z00_3173;

					BgL_v1698z00_3173 = create_vector(((long) 3));
					{	/* Ast/node.scm 241 */
						obj_t BgL_arg2648z00_3174;

						BgL_arg2648z00_3174 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									77)), BGl_proc3270z00zzast_nodez00,
							BGl_proc3269z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1698z00_3173, ((long) 0), BgL_arg2648z00_3174);
					}
					{	/* Ast/node.scm 241 */
						obj_t BgL_arg2653z00_3184;

						BgL_arg2653z00_3184 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3272z00zzast_nodez00,
							BGl_proc3271z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1698z00_3173, ((long) 1), BgL_arg2653z00_3184);
					}
					{	/* Ast/node.scm 241 */
						obj_t BgL_arg2658z00_3194;

						BgL_arg2658z00_3194 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									78)), BGl_proc3275z00zzast_nodez00,
							BGl_proc3274z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3273z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1698z00_3173, ((long) 2), BgL_arg2658z00_3194);
					}
					BgL_arg2640z00_3155 = BgL_v1698z00_3173;
				}
				{	/* Ast/node.scm 241 */
					obj_t BgL_v1699z00_3207;

					BgL_v1699z00_3207 = create_vector(((long) 0));
					BgL_arg2641z00_3156 = BgL_v1699z00_3207;
				}
				BGl_letzd2varzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 79)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 54891), BGl_proc3278z00zzast_nodez00,
					BGl_proc3277z00zzast_nodez00, BFALSE, BGl_proc3276z00zzast_nodez00,
					BFALSE, BgL_arg2640z00_3155, BgL_arg2641z00_3156);
			}
			{	/* Ast/node.scm 250 */
				obj_t BgL_arg2669z00_3214;
				obj_t BgL_arg2671z00_3215;

				{	/* Ast/node.scm 250 */
					obj_t BgL_v1700z00_3230;

					BgL_v1700z00_3230 = create_vector(((long) 3));
					{	/* Ast/node.scm 250 */
						obj_t BgL_arg2677z00_3231;

						BgL_arg2677z00_3231 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3280z00zzast_nodez00,
							BGl_proc3279z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1700z00_3230, ((long) 0), BgL_arg2677z00_3231);
					}
					{	/* Ast/node.scm 250 */
						obj_t BgL_arg2682z00_3241;

						BgL_arg2682z00_3241 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3282z00zzast_nodez00,
							BGl_proc3281z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1700z00_3230, ((long) 1), BgL_arg2682z00_3241);
					}
					{	/* Ast/node.scm 250 */
						obj_t BgL_arg2687z00_3251;

						BgL_arg2687z00_3251 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									80)), BGl_proc3284z00zzast_nodez00,
							BGl_proc3283z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1700z00_3230, ((long) 2), BgL_arg2687z00_3251);
					}
					BgL_arg2669z00_3214 = BgL_v1700z00_3230;
				}
				{	/* Ast/node.scm 250 */
					obj_t BgL_v1701z00_3261;

					BgL_v1701z00_3261 = create_vector(((long) 0));
					BgL_arg2671z00_3215 = BgL_v1701z00_3261;
				}
				BGl_setzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 81)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 16641),
					BGl_proc3287z00zzast_nodez00, BGl_proc3286z00zzast_nodez00, BFALSE,
					BGl_proc3285z00zzast_nodez00, BFALSE, BgL_arg2669z00_3214,
					BgL_arg2671z00_3215);
			}
			{	/* Ast/node.scm 259 */
				obj_t BgL_arg2695z00_3268;
				obj_t BgL_arg2696z00_3269;

				{	/* Ast/node.scm 259 */
					obj_t BgL_v1702z00_3283;

					BgL_v1702z00_3283 = create_vector(((long) 2));
					{	/* Ast/node.scm 259 */
						obj_t BgL_arg2703z00_3284;

						BgL_arg2703z00_3284 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									82)), BGl_proc3289z00zzast_nodez00,
							BGl_proc3288z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1702z00_3283, ((long) 0), BgL_arg2703z00_3284);
					}
					{	/* Ast/node.scm 259 */
						obj_t BgL_arg2708z00_3294;

						BgL_arg2708z00_3294 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3291z00zzast_nodez00,
							BGl_proc3290z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1702z00_3283, ((long) 1), BgL_arg2708z00_3294);
					}
					BgL_arg2695z00_3268 = BgL_v1702z00_3283;
				}
				{	/* Ast/node.scm 259 */
					obj_t BgL_v1703z00_3304;

					BgL_v1703z00_3304 = create_vector(((long) 0));
					BgL_arg2696z00_3269 = BgL_v1703z00_3304;
				}
				BGl_jumpzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 83)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 40013),
					BGl_proc3294z00zzast_nodez00, BGl_proc3293z00zzast_nodez00, BFALSE,
					BGl_proc3292z00zzast_nodez00, BFALSE, BgL_arg2695z00_3268,
					BgL_arg2696z00_3269);
			}
			{	/* Ast/node.scm 266 */
				obj_t BgL_arg2717z00_3311;
				obj_t BgL_arg2718z00_3312;

				{	/* Ast/node.scm 266 */
					obj_t BgL_v1704z00_3325;

					BgL_v1704z00_3325 = create_vector(((long) 1));
					{	/* Ast/node.scm 266 */
						obj_t BgL_arg2725z00_3326;

						BgL_arg2725z00_3326 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3296z00zzast_nodez00,
							BGl_proc3295z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1704z00_3325, ((long) 0), BgL_arg2725z00_3326);
					}
					BgL_arg2717z00_3311 = BgL_v1704z00_3325;
				}
				{	/* Ast/node.scm 266 */
					obj_t BgL_v1705z00_3336;

					BgL_v1705z00_3336 = create_vector(((long) 0));
					BgL_arg2718z00_3312 = BgL_v1705z00_3336;
				}
				BGl_retblockz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 84)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 42540),
					BGl_proc3299z00zzast_nodez00, BGl_proc3298z00zzast_nodez00, BFALSE,
					BGl_proc3297z00zzast_nodez00, BFALSE, BgL_arg2717z00_3311,
					BgL_arg2718z00_3312);
			}
			{	/* Ast/node.scm 270 */
				obj_t BgL_arg2737z00_3343;
				obj_t BgL_arg2738z00_3344;

				{	/* Ast/node.scm 270 */
					obj_t BgL_v1706z00_3358;

					BgL_v1706z00_3358 = create_vector(((long) 2));
					{	/* Ast/node.scm 270 */
						obj_t BgL_arg2745z00_3359;

						BgL_arg2745z00_3359 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									85)), BGl_proc3301z00zzast_nodez00,
							BGl_proc3300z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_retblockz00zzast_nodez00);
						VECTOR_SET(BgL_v1706z00_3358, ((long) 0), BgL_arg2745z00_3359);
					}
					{	/* Ast/node.scm 270 */
						obj_t BgL_arg2750z00_3369;

						BgL_arg2750z00_3369 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3303z00zzast_nodez00,
							BGl_proc3302z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1706z00_3358, ((long) 1), BgL_arg2750z00_3369);
					}
					BgL_arg2737z00_3343 = BgL_v1706z00_3358;
				}
				{	/* Ast/node.scm 270 */
					obj_t BgL_v1707z00_3379;

					BgL_v1707z00_3379 = create_vector(((long) 0));
					BgL_arg2738z00_3344 = BgL_v1707z00_3379;
				}
				BGl_returnz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 86)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 22012),
					BGl_proc3306z00zzast_nodez00, BGl_proc3305z00zzast_nodez00, BFALSE,
					BGl_proc3304z00zzast_nodez00, BFALSE, BgL_arg2737z00_3343,
					BgL_arg2738z00_3344);
			}
			{	/* Ast/node.scm 276 */
				obj_t BgL_arg2771z00_3386;
				obj_t BgL_arg2772z00_3387;

				{	/* Ast/node.scm 276 */
					obj_t BgL_v1708z00_3404;

					BgL_v1708z00_3404 = create_vector(((long) 3));
					{	/* Ast/node.scm 276 */
						obj_t BgL_arg2779z00_3405;

						BgL_arg2779z00_3405 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3308z00zzast_nodez00,
							BGl_proc3307z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1708z00_3404, ((long) 0), BgL_arg2779z00_3405);
					}
					{	/* Ast/node.scm 276 */
						obj_t BgL_arg2785z00_3415;

						BgL_arg2785z00_3415 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3310z00zzast_nodez00,
							BGl_proc3309z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1708z00_3404, ((long) 1), BgL_arg2785z00_3415);
					}
					{	/* Ast/node.scm 276 */
						obj_t BgL_arg2792z00_3425;

						BgL_arg2792z00_3425 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc3313z00zzast_nodez00,
							BGl_proc3312z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3311z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1708z00_3404, ((long) 2), BgL_arg2792z00_3425);
					}
					BgL_arg2771z00_3386 = BgL_v1708z00_3404;
				}
				{	/* Ast/node.scm 276 */
					obj_t BgL_v1709z00_3438;

					BgL_v1709z00_3438 = create_vector(((long) 0));
					BgL_arg2772z00_3387 = BgL_v1709z00_3438;
				}
				BGl_makezd2boxzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 87)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 53611), BGl_proc3316z00zzast_nodez00,
					BGl_proc3315z00zzast_nodez00, BFALSE, BGl_proc3314z00zzast_nodez00,
					BFALSE, BgL_arg2771z00_3386, BgL_arg2772z00_3387);
			}
			{	/* Ast/node.scm 283 */
				obj_t BgL_arg2821z00_3445;
				obj_t BgL_arg2822z00_3446;

				{	/* Ast/node.scm 283 */
					obj_t BgL_v1710z00_3462;

					BgL_v1710z00_3462 = create_vector(((long) 2));
					{	/* Ast/node.scm 283 */
						obj_t BgL_arg2828z00_3463;

						BgL_arg2828z00_3463 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3318z00zzast_nodez00,
							BGl_proc3317z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1710z00_3462, ((long) 0), BgL_arg2828z00_3463);
					}
					{	/* Ast/node.scm 283 */
						obj_t BgL_arg2833z00_3473;

						BgL_arg2833z00_3473 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3320z00zzast_nodez00,
							BGl_proc3319z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1710z00_3462, ((long) 1), BgL_arg2833z00_3473);
					}
					BgL_arg2821z00_3445 = BgL_v1710z00_3462;
				}
				{	/* Ast/node.scm 283 */
					obj_t BgL_v1711z00_3483;

					BgL_v1711z00_3483 = create_vector(((long) 0));
					BgL_arg2822z00_3446 = BgL_v1711z00_3483;
				}
				BGl_boxzd2refzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 88)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 19725), BGl_proc3323z00zzast_nodez00,
					BGl_proc3322z00zzast_nodez00, BFALSE, BGl_proc3321z00zzast_nodez00,
					BFALSE, BgL_arg2821z00_3445, BgL_arg2822z00_3446);
			}
			{	/* Ast/node.scm 288 */
				obj_t BgL_arg2842z00_3490;
				obj_t BgL_arg2843z00_3491;

				{	/* Ast/node.scm 288 */
					obj_t BgL_v1712z00_3506;

					BgL_v1712z00_3506 = create_vector(((long) 3));
					{	/* Ast/node.scm 288 */
						obj_t BgL_arg2849z00_3507;

						BgL_arg2849z00_3507 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3325z00zzast_nodez00,
							BGl_proc3324z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1712z00_3506, ((long) 0), BgL_arg2849z00_3507);
					}
					{	/* Ast/node.scm 288 */
						obj_t BgL_arg2854z00_3517;

						BgL_arg2854z00_3517 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3327z00zzast_nodez00,
							BGl_proc3326z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1712z00_3506, ((long) 1), BgL_arg2854z00_3517);
					}
					{	/* Ast/node.scm 288 */
						obj_t BgL_arg2861z00_3527;

						BgL_arg2861z00_3527 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3329z00zzast_nodez00,
							BGl_proc3328z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1712z00_3506, ((long) 2), BgL_arg2861z00_3527);
					}
					BgL_arg2842z00_3490 = BgL_v1712z00_3506;
				}
				{	/* Ast/node.scm 288 */
					obj_t BgL_v1713z00_3537;

					BgL_v1713z00_3537 = create_vector(((long) 0));
					BgL_arg2843z00_3491 = BgL_v1713z00_3537;
				}
				BGl_boxzd2setz12zc0zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 89)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 57714),
					BGl_proc3332z00zzast_nodez00, BGl_proc3331z00zzast_nodez00, BFALSE,
					BGl_proc3330z00zzast_nodez00, BFALSE, BgL_arg2842z00_3490,
					BgL_arg2843z00_3491);
			}
			{	/* Ast/node.scm 294 */
				obj_t BgL_arg2869z00_3544;
				obj_t BgL_arg2870z00_3545;

				{	/* Ast/node.scm 294 */
					obj_t BgL_v1714z00_3560;

					BgL_v1714z00_3560 = create_vector(((long) 3));
					{	/* Ast/node.scm 294 */
						obj_t BgL_arg2878z00_3561;

						BgL_arg2878z00_3561 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									90)), BGl_proc3334z00zzast_nodez00,
							BGl_proc3333z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1714z00_3560, ((long) 0), BgL_arg2878z00_3561);
					}
					{	/* Ast/node.scm 294 */
						obj_t BgL_arg2883z00_3571;

						BgL_arg2883z00_3571 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									91)), BGl_proc3336z00zzast_nodez00,
							BGl_proc3335z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1714z00_3560, ((long) 1), BgL_arg2883z00_3571);
					}
					{	/* Ast/node.scm 294 */
						obj_t BgL_arg2913z00_3581;

						BgL_arg2913z00_3581 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3338z00zzast_nodez00,
							BGl_proc3337z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1714z00_3560, ((long) 2), BgL_arg2913z00_3581);
					}
					BgL_arg2869z00_3544 = BgL_v1714z00_3560;
				}
				{	/* Ast/node.scm 294 */
					obj_t BgL_v1715z00_3591;

					BgL_v1715z00_3591 = create_vector(((long) 0));
					BgL_arg2870z00_3545 = BgL_v1715z00_3591;
				}
				return (BGl_syncz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 92)),
						CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00,
						((long) 24292), BGl_proc3341z00zzast_nodez00,
						BGl_proc3340z00zzast_nodez00, BFALSE, BGl_proc3339z00zzast_nodez00,
						BFALSE, BgL_arg2869z00_3544, BgL_arg2870z00_3545), BUNSPEC);
		}}

	}



/* &<@anonymous:2877> */
	obj_t BGl_z62zc3z04anonymousza32877ze3ze5zzast_nodez00(obj_t BgL_envz00_7992,
		obj_t BgL_new1432z00_7993)
	{
		{	/* Ast/node.scm 294 */
			{
				BgL_syncz00_bglt BgL_auxz00_14760;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_new1432z00_7993))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14764;

					{	/* Ast/node.scm 294 */
						obj_t BgL_classz00_9659;

						BgL_classz00_9659 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 294 */
							obj_t BgL__ortest_1112z00_9660;

							BgL__ortest_1112z00_9660 = BGL_CLASS_NIL(BgL_classz00_9659);
							if (CBOOL(BgL__ortest_1112z00_9660))
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14764 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9660);
								}
							else
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14764 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9659));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_new1432z00_7993))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14764), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14774;

					{	/* Ast/node.scm 294 */
						obj_t BgL_classz00_9661;

						BgL_classz00_9661 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 294 */
							obj_t BgL__ortest_1112z00_9662;

							BgL__ortest_1112z00_9662 = BGL_CLASS_NIL(BgL_classz00_9661);
							if (CBOOL(BgL__ortest_1112z00_9662))
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14774 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9662);
								}
							else
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14774 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9661));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1432z00_7993)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14774), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14783;

					{	/* Ast/node.scm 294 */
						obj_t BgL_classz00_9663;

						BgL_classz00_9663 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 294 */
							obj_t BgL__ortest_1112z00_9664;

							BgL__ortest_1112z00_9664 = BGL_CLASS_NIL(BgL_classz00_9663);
							if (CBOOL(BgL__ortest_1112z00_9664))
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14783 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9664);
								}
							else
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14783 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9663));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1432z00_7993)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14783), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14792;

					{	/* Ast/node.scm 294 */
						obj_t BgL_classz00_9665;

						BgL_classz00_9665 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 294 */
							obj_t BgL__ortest_1112z00_9666;

							BgL__ortest_1112z00_9666 = BGL_CLASS_NIL(BgL_classz00_9665);
							if (CBOOL(BgL__ortest_1112z00_9666))
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14792 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9666);
								}
							else
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14792 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9665));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1432z00_7993)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14792), BUNSPEC);
				}
				BgL_auxz00_14760 = ((BgL_syncz00_bglt) BgL_new1432z00_7993);
				return ((obj_t) BgL_auxz00_14760);
			}
		}

	}



/* &lambda2873 */
	BgL_syncz00_bglt BGl_z62lambda2873z62zzast_nodez00(obj_t BgL_envz00_7994)
	{
		{	/* Ast/node.scm 294 */
			{	/* Ast/node.scm 294 */
				BgL_syncz00_bglt BgL_new1431z00_9667;

				BgL_new1431z00_9667 =
					((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_syncz00_bgl))));
				{	/* Ast/node.scm 294 */
					long BgL_arg2876z00_9668;

					BgL_arg2876z00_9668 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1431z00_9667), BgL_arg2876z00_9668);
				}
				{	/* Ast/node.scm 294 */
					BgL_objectz00_bglt BgL_tmpz00_14807;

					BgL_tmpz00_14807 = ((BgL_objectz00_bglt) BgL_new1431z00_9667);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14807, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1431z00_9667);
				return BgL_new1431z00_9667;
			}
		}

	}



/* &lambda2871 */
	BgL_syncz00_bglt BGl_z62lambda2871z62zzast_nodez00(obj_t BgL_envz00_7995,
		obj_t BgL_loc1426z00_7996, obj_t BgL_type1427z00_7997,
		obj_t BgL_mutex1428z00_7998, obj_t BgL_prelock1429z00_7999,
		obj_t BgL_body1430z00_8000)
	{
		{	/* Ast/node.scm 294 */
			{	/* Ast/node.scm 294 */
				BgL_syncz00_bglt BgL_new1594z00_9673;

				{	/* Ast/node.scm 294 */
					BgL_syncz00_bglt BgL_new1593z00_9674;

					BgL_new1593z00_9674 =
						((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_syncz00_bgl))));
					{	/* Ast/node.scm 294 */
						long BgL_arg2872z00_9675;

						BgL_arg2872z00_9675 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1593z00_9674), BgL_arg2872z00_9675);
					}
					{	/* Ast/node.scm 294 */
						BgL_objectz00_bglt BgL_tmpz00_14815;

						BgL_tmpz00_14815 = ((BgL_objectz00_bglt) BgL_new1593z00_9674);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14815, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1593z00_9674);
					BgL_new1594z00_9673 = BgL_new1593z00_9674;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1594z00_9673)))->BgL_locz00) =
					((obj_t) BgL_loc1426z00_7996), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1594z00_9673)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1427z00_7997)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1594z00_9673))->BgL_mutexz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_mutex1428z00_7998)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1594z00_9673))->BgL_prelockz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_prelock1429z00_7999)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1594z00_9673))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1430z00_8000)),
					BUNSPEC);
				return BgL_new1594z00_9673;
			}
		}

	}



/* &lambda2917 */
	obj_t BGl_z62lambda2917z62zzast_nodez00(obj_t BgL_envz00_8001,
		obj_t BgL_oz00_8002, obj_t BgL_vz00_8003)
	{
		{	/* Ast/node.scm 294 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_8002)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8003)), BUNSPEC);
		}

	}



/* &lambda2916 */
	BgL_nodez00_bglt BGl_z62lambda2916z62zzast_nodez00(obj_t BgL_envz00_8004,
		obj_t BgL_oz00_8005)
	{
		{	/* Ast/node.scm 294 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_8005)))->BgL_bodyz00);
		}

	}



/* &lambda2889 */
	obj_t BGl_z62lambda2889z62zzast_nodez00(obj_t BgL_envz00_8006,
		obj_t BgL_oz00_8007, obj_t BgL_vz00_8008)
	{
		{	/* Ast/node.scm 294 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_8007)))->BgL_prelockz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8008)), BUNSPEC);
		}

	}



/* &lambda2888 */
	BgL_nodez00_bglt BGl_z62lambda2888z62zzast_nodez00(obj_t BgL_envz00_8009,
		obj_t BgL_oz00_8010)
	{
		{	/* Ast/node.scm 294 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_8010)))->BgL_prelockz00);
		}

	}



/* &lambda2882 */
	obj_t BGl_z62lambda2882z62zzast_nodez00(obj_t BgL_envz00_8011,
		obj_t BgL_oz00_8012, obj_t BgL_vz00_8013)
	{
		{	/* Ast/node.scm 294 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_8012)))->BgL_mutexz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8013)), BUNSPEC);
		}

	}



/* &lambda2881 */
	BgL_nodez00_bglt BGl_z62lambda2881z62zzast_nodez00(obj_t BgL_envz00_8014,
		obj_t BgL_oz00_8015)
	{
		{	/* Ast/node.scm 294 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_8015)))->BgL_mutexz00);
		}

	}



/* &<@anonymous:2848> */
	obj_t BGl_z62zc3z04anonymousza32848ze3ze5zzast_nodez00(obj_t BgL_envz00_8016,
		obj_t BgL_new1424z00_8017)
	{
		{	/* Ast/node.scm 288 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_14845;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_new1424z00_8017))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14849;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_9686;

						BgL_classz00_9686 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1112z00_9687;

							BgL__ortest_1112z00_9687 = BGL_CLASS_NIL(BgL_classz00_9686);
							if (CBOOL(BgL__ortest_1112z00_9687))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14849 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9687);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14849 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9686));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1424z00_8017))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14849), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_14859;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_9688;

						BgL_classz00_9688 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1112z00_9689;

							BgL__ortest_1112z00_9689 = BGL_CLASS_NIL(BgL_classz00_9688);
							if (CBOOL(BgL__ortest_1112z00_9689))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14859 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_9689);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14859 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9688));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1424z00_8017)))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_14859), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14868;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_9690;

						BgL_classz00_9690 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1112z00_9691;

							BgL__ortest_1112z00_9691 = BGL_CLASS_NIL(BgL_classz00_9690);
							if (CBOOL(BgL__ortest_1112z00_9691))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14868 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9691);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14868 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9690));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1424z00_8017)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_14868), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14877;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_9692;

						BgL_classz00_9692 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1112z00_9693;

							BgL__ortest_1112z00_9693 = BGL_CLASS_NIL(BgL_classz00_9692);
							if (CBOOL(BgL__ortest_1112z00_9693))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14877 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9693);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14877 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9692));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1424z00_8017)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14877), BUNSPEC);
				}
				BgL_auxz00_14845 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1424z00_8017);
				return ((obj_t) BgL_auxz00_14845);
			}
		}

	}



/* &lambda2846 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2846z62zzast_nodez00(obj_t
		BgL_envz00_8018)
	{
		{	/* Ast/node.scm 288 */
			{	/* Ast/node.scm 288 */
				BgL_boxzd2setz12zc0_bglt BgL_new1423z00_9694;

				BgL_new1423z00_9694 =
					((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2setz12zc0_bgl))));
				{	/* Ast/node.scm 288 */
					long BgL_arg2847z00_9695;

					BgL_arg2847z00_9695 = BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1423z00_9694), BgL_arg2847z00_9695);
				}
				{	/* Ast/node.scm 288 */
					BgL_objectz00_bglt BgL_tmpz00_14892;

					BgL_tmpz00_14892 = ((BgL_objectz00_bglt) BgL_new1423z00_9694);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14892, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1423z00_9694);
				return BgL_new1423z00_9694;
			}
		}

	}



/* &lambda2844 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2844z62zzast_nodez00(obj_t
		BgL_envz00_8019, obj_t BgL_loc1418z00_8020, obj_t BgL_type1419z00_8021,
		obj_t BgL_var1420z00_8022, obj_t BgL_value1421z00_8023,
		obj_t BgL_vtype1422z00_8024)
	{
		{	/* Ast/node.scm 288 */
			{	/* Ast/node.scm 288 */
				BgL_boxzd2setz12zc0_bglt BgL_new1592z00_9700;

				{	/* Ast/node.scm 288 */
					BgL_boxzd2setz12zc0_bglt BgL_new1591z00_9701;

					BgL_new1591z00_9701 =
						((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/node.scm 288 */
						long BgL_arg2845z00_9702;

						BgL_arg2845z00_9702 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1591z00_9701), BgL_arg2845z00_9702);
					}
					{	/* Ast/node.scm 288 */
						BgL_objectz00_bglt BgL_tmpz00_14900;

						BgL_tmpz00_14900 = ((BgL_objectz00_bglt) BgL_new1591z00_9701);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14900, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1591z00_9701);
					BgL_new1592z00_9700 = BgL_new1591z00_9701;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1592z00_9700)))->BgL_locz00) =
					((obj_t) BgL_loc1418z00_8020), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1592z00_9700)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1419z00_8021)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1592z00_9700))->
						BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1420z00_8022)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1592z00_9700))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1421z00_8023)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1592z00_9700))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1422z00_8024)),
					BUNSPEC);
				return BgL_new1592z00_9700;
			}
		}

	}



/* &lambda2865 */
	obj_t BGl_z62lambda2865z62zzast_nodez00(obj_t BgL_envz00_8025,
		obj_t BgL_oz00_8026, obj_t BgL_vz00_8027)
	{
		{	/* Ast/node.scm 288 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8026)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8027)), BUNSPEC);
		}

	}



/* &lambda2864 */
	BgL_typez00_bglt BGl_z62lambda2864z62zzast_nodez00(obj_t BgL_envz00_8028,
		obj_t BgL_oz00_8029)
	{
		{	/* Ast/node.scm 288 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8029)))->BgL_vtypez00);
		}

	}



/* &lambda2858 */
	obj_t BGl_z62lambda2858z62zzast_nodez00(obj_t BgL_envz00_8030,
		obj_t BgL_oz00_8031, obj_t BgL_vz00_8032)
	{
		{	/* Ast/node.scm 288 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8031)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8032)), BUNSPEC);
		}

	}



/* &lambda2857 */
	BgL_nodez00_bglt BGl_z62lambda2857z62zzast_nodez00(obj_t BgL_envz00_8033,
		obj_t BgL_oz00_8034)
	{
		{	/* Ast/node.scm 288 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8034)))->BgL_valuez00);
		}

	}



/* &lambda2853 */
	obj_t BGl_z62lambda2853z62zzast_nodez00(obj_t BgL_envz00_8035,
		obj_t BgL_oz00_8036, obj_t BgL_vz00_8037)
	{
		{	/* Ast/node.scm 288 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8036)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8037)), BUNSPEC);
		}

	}



/* &lambda2852 */
	BgL_varz00_bglt BGl_z62lambda2852z62zzast_nodez00(obj_t BgL_envz00_8038,
		obj_t BgL_oz00_8039)
	{
		{	/* Ast/node.scm 288 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8039)))->BgL_varz00);
		}

	}



/* &<@anonymous:2827> */
	obj_t BGl_z62zc3z04anonymousza32827ze3ze5zzast_nodez00(obj_t BgL_envz00_8040,
		obj_t BgL_new1416z00_8041)
	{
		{	/* Ast/node.scm 283 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_14930;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1416z00_8041))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14934;

					{	/* Ast/node.scm 283 */
						obj_t BgL_classz00_9713;

						BgL_classz00_9713 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 283 */
							obj_t BgL__ortest_1112z00_9714;

							BgL__ortest_1112z00_9714 = BGL_CLASS_NIL(BgL_classz00_9713);
							if (CBOOL(BgL__ortest_1112z00_9714))
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14934 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9714);
								}
							else
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14934 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9713));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1416z00_8041))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14934), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1416z00_8041))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_boxzd2refzd2_bglt)
										BgL_new1416z00_8041))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_14950;

					{	/* Ast/node.scm 283 */
						obj_t BgL_classz00_9715;

						BgL_classz00_9715 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 283 */
							obj_t BgL__ortest_1112z00_9716;

							BgL__ortest_1112z00_9716 = BGL_CLASS_NIL(BgL_classz00_9715);
							if (CBOOL(BgL__ortest_1112z00_9716))
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14950 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_9716);
								}
							else
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14950 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9715));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_new1416z00_8041)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_14950), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14959;

					{	/* Ast/node.scm 283 */
						obj_t BgL_classz00_9717;

						BgL_classz00_9717 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 283 */
							obj_t BgL__ortest_1112z00_9718;

							BgL__ortest_1112z00_9718 = BGL_CLASS_NIL(BgL_classz00_9717);
							if (CBOOL(BgL__ortest_1112z00_9718))
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14959 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9718);
								}
							else
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14959 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9717));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_new1416z00_8041)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14959), BUNSPEC);
				}
				BgL_auxz00_14930 = ((BgL_boxzd2refzd2_bglt) BgL_new1416z00_8041);
				return ((obj_t) BgL_auxz00_14930);
			}
		}

	}



/* &lambda2825 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2825z62zzast_nodez00(obj_t BgL_envz00_8042)
	{
		{	/* Ast/node.scm 283 */
			{	/* Ast/node.scm 283 */
				BgL_boxzd2refzd2_bglt BgL_new1415z00_9719;

				BgL_new1415z00_9719 =
					((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2refzd2_bgl))));
				{	/* Ast/node.scm 283 */
					long BgL_arg2826z00_9720;

					BgL_arg2826z00_9720 = BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1415z00_9719), BgL_arg2826z00_9720);
				}
				{	/* Ast/node.scm 283 */
					BgL_objectz00_bglt BgL_tmpz00_14974;

					BgL_tmpz00_14974 = ((BgL_objectz00_bglt) BgL_new1415z00_9719);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14974, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1415z00_9719);
				return BgL_new1415z00_9719;
			}
		}

	}



/* &lambda2823 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2823z62zzast_nodez00(obj_t BgL_envz00_8043,
		obj_t BgL_loc1409z00_8044, obj_t BgL_type1410z00_8045,
		obj_t BgL_sidezd2effect1411zd2_8046, obj_t BgL_key1412z00_8047,
		obj_t BgL_var1413z00_8048, obj_t BgL_vtype1414z00_8049)
	{
		{	/* Ast/node.scm 283 */
			{	/* Ast/node.scm 283 */
				BgL_boxzd2refzd2_bglt BgL_new1590z00_9724;

				{	/* Ast/node.scm 283 */
					BgL_boxzd2refzd2_bglt BgL_new1589z00_9725;

					BgL_new1589z00_9725 =
						((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/node.scm 283 */
						long BgL_arg2824z00_9726;

						BgL_arg2824z00_9726 = BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1589z00_9725), BgL_arg2824z00_9726);
					}
					{	/* Ast/node.scm 283 */
						BgL_objectz00_bglt BgL_tmpz00_14982;

						BgL_tmpz00_14982 = ((BgL_objectz00_bglt) BgL_new1589z00_9725);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14982, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1589z00_9725);
					BgL_new1590z00_9724 = BgL_new1589z00_9725;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1590z00_9724)))->BgL_locz00) =
					((obj_t) BgL_loc1409z00_8044), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1590z00_9724)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1410z00_8045)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1590z00_9724)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1411zd2_8046), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1590z00_9724)))->BgL_keyz00) =
					((obj_t) BgL_key1412z00_8047), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1590z00_9724))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1413z00_8048)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1590z00_9724))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1414z00_8049)),
					BUNSPEC);
				return BgL_new1590z00_9724;
			}
		}

	}



/* &lambda2838 */
	obj_t BGl_z62lambda2838z62zzast_nodez00(obj_t BgL_envz00_8050,
		obj_t BgL_oz00_8051, obj_t BgL_vz00_8052)
	{
		{	/* Ast/node.scm 283 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_8051)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8052)), BUNSPEC);
		}

	}



/* &lambda2837 */
	BgL_typez00_bglt BGl_z62lambda2837z62zzast_nodez00(obj_t BgL_envz00_8053,
		obj_t BgL_oz00_8054)
	{
		{	/* Ast/node.scm 283 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_8054)))->BgL_vtypez00);
		}

	}



/* &lambda2832 */
	obj_t BGl_z62lambda2832z62zzast_nodez00(obj_t BgL_envz00_8055,
		obj_t BgL_oz00_8056, obj_t BgL_vz00_8057)
	{
		{	/* Ast/node.scm 283 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_8056)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8057)), BUNSPEC);
		}

	}



/* &lambda2831 */
	BgL_varz00_bglt BGl_z62lambda2831z62zzast_nodez00(obj_t BgL_envz00_8058,
		obj_t BgL_oz00_8059)
	{
		{	/* Ast/node.scm 283 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_8059)))->BgL_varz00);
		}

	}



/* &<@anonymous:2778> */
	obj_t BGl_z62zc3z04anonymousza32778ze3ze5zzast_nodez00(obj_t BgL_envz00_8060,
		obj_t BgL_new1407z00_8061)
	{
		{	/* Ast/node.scm 276 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_15009;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1407z00_8061))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15013;

					{	/* Ast/node.scm 276 */
						obj_t BgL_classz00_9734;

						BgL_classz00_9734 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 276 */
							obj_t BgL__ortest_1112z00_9735;

							BgL__ortest_1112z00_9735 = BGL_CLASS_NIL(BgL_classz00_9734);
							if (CBOOL(BgL__ortest_1112z00_9735))
								{	/* Ast/node.scm 276 */
									BgL_auxz00_15013 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9735);
								}
							else
								{	/* Ast/node.scm 276 */
									BgL_auxz00_15013 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9734));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1407z00_8061))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15013), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1407z00_8061))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1407z00_8061))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_15029;

					{	/* Ast/node.scm 276 */
						obj_t BgL_classz00_9736;

						BgL_classz00_9736 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 276 */
							obj_t BgL__ortest_1112z00_9737;

							BgL__ortest_1112z00_9737 = BGL_CLASS_NIL(BgL_classz00_9736);
							if (CBOOL(BgL__ortest_1112z00_9737))
								{	/* Ast/node.scm 276 */
									BgL_auxz00_15029 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9737);
								}
							else
								{	/* Ast/node.scm 276 */
									BgL_auxz00_15029 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9736));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_new1407z00_8061)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_15029), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15038;

					{	/* Ast/node.scm 276 */
						obj_t BgL_classz00_9738;

						BgL_classz00_9738 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 276 */
							obj_t BgL__ortest_1112z00_9739;

							BgL__ortest_1112z00_9739 = BGL_CLASS_NIL(BgL_classz00_9738);
							if (CBOOL(BgL__ortest_1112z00_9739))
								{	/* Ast/node.scm 276 */
									BgL_auxz00_15038 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9739);
								}
							else
								{	/* Ast/node.scm 276 */
									BgL_auxz00_15038 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9738));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_new1407z00_8061)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_15038), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_new1407z00_8061)))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_15009 = ((BgL_makezd2boxzd2_bglt) BgL_new1407z00_8061);
				return ((obj_t) BgL_auxz00_15009);
			}
		}

	}



/* &lambda2776 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2776z62zzast_nodez00(obj_t
		BgL_envz00_8062)
	{
		{	/* Ast/node.scm 276 */
			{	/* Ast/node.scm 276 */
				BgL_makezd2boxzd2_bglt BgL_new1406z00_9740;

				BgL_new1406z00_9740 =
					((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzd2_bgl))));
				{	/* Ast/node.scm 276 */
					long BgL_arg2777z00_9741;

					BgL_arg2777z00_9741 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1406z00_9740), BgL_arg2777z00_9741);
				}
				{	/* Ast/node.scm 276 */
					BgL_objectz00_bglt BgL_tmpz00_15055;

					BgL_tmpz00_15055 = ((BgL_objectz00_bglt) BgL_new1406z00_9740);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15055, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1406z00_9740);
				return BgL_new1406z00_9740;
			}
		}

	}



/* &lambda2773 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2773z62zzast_nodez00(obj_t
		BgL_envz00_8063, obj_t BgL_loc1399z00_8064, obj_t BgL_type1400z00_8065,
		obj_t BgL_sidezd2effect1401zd2_8066, obj_t BgL_key1402z00_8067,
		obj_t BgL_value1403z00_8068, obj_t BgL_vtype1404z00_8069,
		obj_t BgL_stackable1405z00_8070)
	{
		{	/* Ast/node.scm 276 */
			{	/* Ast/node.scm 276 */
				BgL_makezd2boxzd2_bglt BgL_new1588z00_9745;

				{	/* Ast/node.scm 276 */
					BgL_makezd2boxzd2_bglt BgL_new1587z00_9746;

					BgL_new1587z00_9746 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/node.scm 276 */
						long BgL_arg2775z00_9747;

						BgL_arg2775z00_9747 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1587z00_9746), BgL_arg2775z00_9747);
					}
					{	/* Ast/node.scm 276 */
						BgL_objectz00_bglt BgL_tmpz00_15063;

						BgL_tmpz00_15063 = ((BgL_objectz00_bglt) BgL_new1587z00_9746);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15063, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1587z00_9746);
					BgL_new1588z00_9745 = BgL_new1587z00_9746;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1588z00_9745)))->BgL_locz00) =
					((obj_t) BgL_loc1399z00_8064), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1588z00_9745)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1400z00_8065)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1588z00_9745)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1401zd2_8066), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1588z00_9745)))->BgL_keyz00) =
					((obj_t) BgL_key1402z00_8067), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1588z00_9745))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1403z00_8068)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1588z00_9745))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1404z00_8069)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1588z00_9745))->
						BgL_stackablez00) = ((obj_t) BgL_stackable1405z00_8070), BUNSPEC);
				return BgL_new1588z00_9745;
			}
		}

	}



/* &<@anonymous:2799> */
	obj_t BGl_z62zc3z04anonymousza32799ze3ze5zzast_nodez00(obj_t BgL_envz00_8071)
	{
		{	/* Ast/node.scm 276 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2798 */
	obj_t BGl_z62lambda2798z62zzast_nodez00(obj_t BgL_envz00_8072,
		obj_t BgL_oz00_8073, obj_t BgL_vz00_8074)
	{
		{	/* Ast/node.scm 276 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_8073)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_8074), BUNSPEC);
		}

	}



/* &lambda2797 */
	obj_t BGl_z62lambda2797z62zzast_nodez00(obj_t BgL_envz00_8075,
		obj_t BgL_oz00_8076)
	{
		{	/* Ast/node.scm 276 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_8076)))->BgL_stackablez00);
		}

	}



/* &lambda2790 */
	obj_t BGl_z62lambda2790z62zzast_nodez00(obj_t BgL_envz00_8077,
		obj_t BgL_oz00_8078, obj_t BgL_vz00_8079)
	{
		{	/* Ast/node.scm 276 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_8078)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8079)), BUNSPEC);
		}

	}



/* &lambda2789 */
	BgL_typez00_bglt BGl_z62lambda2789z62zzast_nodez00(obj_t BgL_envz00_8080,
		obj_t BgL_oz00_8081)
	{
		{	/* Ast/node.scm 276 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_8081)))->BgL_vtypez00);
		}

	}



/* &lambda2784 */
	obj_t BGl_z62lambda2784z62zzast_nodez00(obj_t BgL_envz00_8082,
		obj_t BgL_oz00_8083, obj_t BgL_vz00_8084)
	{
		{	/* Ast/node.scm 276 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_8083)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8084)), BUNSPEC);
		}

	}



/* &lambda2783 */
	BgL_nodez00_bglt BGl_z62lambda2783z62zzast_nodez00(obj_t BgL_envz00_8085,
		obj_t BgL_oz00_8086)
	{
		{	/* Ast/node.scm 276 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_8086)))->BgL_valuez00);
		}

	}



/* &<@anonymous:2744> */
	obj_t BGl_z62zc3z04anonymousza32744ze3ze5zzast_nodez00(obj_t BgL_envz00_8087,
		obj_t BgL_new1397z00_8088)
	{
		{	/* Ast/node.scm 270 */
			{
				BgL_returnz00_bglt BgL_auxz00_15096;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_returnz00_bglt) BgL_new1397z00_8088))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15100;

					{	/* Ast/node.scm 270 */
						obj_t BgL_classz00_9757;

						BgL_classz00_9757 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 270 */
							obj_t BgL__ortest_1112z00_9758;

							BgL__ortest_1112z00_9758 = BGL_CLASS_NIL(BgL_classz00_9757);
							if (CBOOL(BgL__ortest_1112z00_9758))
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15100 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9758);
								}
							else
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15100 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9757));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_returnz00_bglt) BgL_new1397z00_8088))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15100), BUNSPEC);
				}
				{
					BgL_retblockz00_bglt BgL_auxz00_15110;

					{	/* Ast/node.scm 270 */
						obj_t BgL_classz00_9759;

						BgL_classz00_9759 = BGl_retblockz00zzast_nodez00;
						{	/* Ast/node.scm 270 */
							obj_t BgL__ortest_1112z00_9760;

							BgL__ortest_1112z00_9760 = BGL_CLASS_NIL(BgL_classz00_9759);
							if (CBOOL(BgL__ortest_1112z00_9760))
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15110 =
										((BgL_retblockz00_bglt) BgL__ortest_1112z00_9760);
								}
							else
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15110 =
										((BgL_retblockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9759));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_new1397z00_8088)))->BgL_blockz00) =
						((BgL_retblockz00_bglt) BgL_auxz00_15110), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15119;

					{	/* Ast/node.scm 270 */
						obj_t BgL_classz00_9761;

						BgL_classz00_9761 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 270 */
							obj_t BgL__ortest_1112z00_9762;

							BgL__ortest_1112z00_9762 = BGL_CLASS_NIL(BgL_classz00_9761);
							if (CBOOL(BgL__ortest_1112z00_9762))
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15119 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9762);
								}
							else
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15119 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9761));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_new1397z00_8088)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_15119), BUNSPEC);
				}
				BgL_auxz00_15096 = ((BgL_returnz00_bglt) BgL_new1397z00_8088);
				return ((obj_t) BgL_auxz00_15096);
			}
		}

	}



/* &lambda2741 */
	BgL_returnz00_bglt BGl_z62lambda2741z62zzast_nodez00(obj_t BgL_envz00_8089)
	{
		{	/* Ast/node.scm 270 */
			{	/* Ast/node.scm 270 */
				BgL_returnz00_bglt BgL_new1396z00_9763;

				BgL_new1396z00_9763 =
					((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_returnz00_bgl))));
				{	/* Ast/node.scm 270 */
					long BgL_arg2743z00_9764;

					BgL_arg2743z00_9764 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1396z00_9763), BgL_arg2743z00_9764);
				}
				{	/* Ast/node.scm 270 */
					BgL_objectz00_bglt BgL_tmpz00_15134;

					BgL_tmpz00_15134 = ((BgL_objectz00_bglt) BgL_new1396z00_9763);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15134, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1396z00_9763);
				return BgL_new1396z00_9763;
			}
		}

	}



/* &lambda2739 */
	BgL_returnz00_bglt BGl_z62lambda2739z62zzast_nodez00(obj_t BgL_envz00_8090,
		obj_t BgL_loc1392z00_8091, obj_t BgL_type1393z00_8092,
		obj_t BgL_block1394z00_8093, obj_t BgL_value1395z00_8094)
	{
		{	/* Ast/node.scm 270 */
			{	/* Ast/node.scm 270 */
				BgL_returnz00_bglt BgL_new1586z00_9768;

				{	/* Ast/node.scm 270 */
					BgL_returnz00_bglt BgL_new1585z00_9769;

					BgL_new1585z00_9769 =
						((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_returnz00_bgl))));
					{	/* Ast/node.scm 270 */
						long BgL_arg2740z00_9770;

						BgL_arg2740z00_9770 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1585z00_9769), BgL_arg2740z00_9770);
					}
					{	/* Ast/node.scm 270 */
						BgL_objectz00_bglt BgL_tmpz00_15142;

						BgL_tmpz00_15142 = ((BgL_objectz00_bglt) BgL_new1585z00_9769);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15142, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1585z00_9769);
					BgL_new1586z00_9768 = BgL_new1585z00_9769;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1586z00_9768)))->BgL_locz00) =
					((obj_t) BgL_loc1392z00_8091), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1586z00_9768)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1393z00_8092)),
					BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1586z00_9768))->BgL_blockz00) =
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt)
							BgL_block1394z00_8093)), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1586z00_9768))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1395z00_8094)),
					BUNSPEC);
				return BgL_new1586z00_9768;
			}
		}

	}



/* &lambda2756 */
	obj_t BGl_z62lambda2756z62zzast_nodez00(obj_t BgL_envz00_8095,
		obj_t BgL_oz00_8096, obj_t BgL_vz00_8097)
	{
		{	/* Ast/node.scm 270 */
			return
				((((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_oz00_8096)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8097)), BUNSPEC);
		}

	}



/* &lambda2755 */
	BgL_nodez00_bglt BGl_z62lambda2755z62zzast_nodez00(obj_t BgL_envz00_8098,
		obj_t BgL_oz00_8099)
	{
		{	/* Ast/node.scm 270 */
			return
				(((BgL_returnz00_bglt) COBJECT(
						((BgL_returnz00_bglt) BgL_oz00_8099)))->BgL_valuez00);
		}

	}



/* &lambda2749 */
	obj_t BGl_z62lambda2749z62zzast_nodez00(obj_t BgL_envz00_8100,
		obj_t BgL_oz00_8101, obj_t BgL_vz00_8102)
	{
		{	/* Ast/node.scm 270 */
			return
				((((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_oz00_8101)))->BgL_blockz00) =
				((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_vz00_8102)),
				BUNSPEC);
		}

	}



/* &lambda2748 */
	BgL_retblockz00_bglt BGl_z62lambda2748z62zzast_nodez00(obj_t BgL_envz00_8103,
		obj_t BgL_oz00_8104)
	{
		{	/* Ast/node.scm 270 */
			return
				(((BgL_returnz00_bglt) COBJECT(
						((BgL_returnz00_bglt) BgL_oz00_8104)))->BgL_blockz00);
		}

	}



/* &<@anonymous:2724> */
	obj_t BGl_z62zc3z04anonymousza32724ze3ze5zzast_nodez00(obj_t BgL_envz00_8105,
		obj_t BgL_new1390z00_8106)
	{
		{	/* Ast/node.scm 266 */
			{
				BgL_retblockz00_bglt BgL_auxz00_15165;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_retblockz00_bglt) BgL_new1390z00_8106))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15169;

					{	/* Ast/node.scm 266 */
						obj_t BgL_classz00_9778;

						BgL_classz00_9778 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 266 */
							obj_t BgL__ortest_1112z00_9779;

							BgL__ortest_1112z00_9779 = BGL_CLASS_NIL(BgL_classz00_9778);
							if (CBOOL(BgL__ortest_1112z00_9779))
								{	/* Ast/node.scm 266 */
									BgL_auxz00_15169 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9779);
								}
							else
								{	/* Ast/node.scm 266 */
									BgL_auxz00_15169 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9778));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_retblockz00_bglt) BgL_new1390z00_8106))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15169), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15179;

					{	/* Ast/node.scm 266 */
						obj_t BgL_classz00_9780;

						BgL_classz00_9780 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 266 */
							obj_t BgL__ortest_1112z00_9781;

							BgL__ortest_1112z00_9781 = BGL_CLASS_NIL(BgL_classz00_9780);
							if (CBOOL(BgL__ortest_1112z00_9781))
								{	/* Ast/node.scm 266 */
									BgL_auxz00_15179 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9781);
								}
							else
								{	/* Ast/node.scm 266 */
									BgL_auxz00_15179 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9780));
								}
						}
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_new1390z00_8106)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15179), BUNSPEC);
				}
				BgL_auxz00_15165 = ((BgL_retblockz00_bglt) BgL_new1390z00_8106);
				return ((obj_t) BgL_auxz00_15165);
			}
		}

	}



/* &lambda2721 */
	BgL_retblockz00_bglt BGl_z62lambda2721z62zzast_nodez00(obj_t BgL_envz00_8107)
	{
		{	/* Ast/node.scm 266 */
			{	/* Ast/node.scm 266 */
				BgL_retblockz00_bglt BgL_new1389z00_9782;

				BgL_new1389z00_9782 =
					((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_retblockz00_bgl))));
				{	/* Ast/node.scm 266 */
					long BgL_arg2723z00_9783;

					BgL_arg2723z00_9783 = BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1389z00_9782), BgL_arg2723z00_9783);
				}
				{	/* Ast/node.scm 266 */
					BgL_objectz00_bglt BgL_tmpz00_15194;

					BgL_tmpz00_15194 = ((BgL_objectz00_bglt) BgL_new1389z00_9782);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15194, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1389z00_9782);
				return BgL_new1389z00_9782;
			}
		}

	}



/* &lambda2719 */
	BgL_retblockz00_bglt BGl_z62lambda2719z62zzast_nodez00(obj_t BgL_envz00_8108,
		obj_t BgL_loc1386z00_8109, obj_t BgL_type1387z00_8110,
		obj_t BgL_body1388z00_8111)
	{
		{	/* Ast/node.scm 266 */
			{	/* Ast/node.scm 266 */
				BgL_retblockz00_bglt BgL_new1584z00_9786;

				{	/* Ast/node.scm 266 */
					BgL_retblockz00_bglt BgL_new1583z00_9787;

					BgL_new1583z00_9787 =
						((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockz00_bgl))));
					{	/* Ast/node.scm 266 */
						long BgL_arg2720z00_9788;

						BgL_arg2720z00_9788 = BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1583z00_9787), BgL_arg2720z00_9788);
					}
					{	/* Ast/node.scm 266 */
						BgL_objectz00_bglt BgL_tmpz00_15202;

						BgL_tmpz00_15202 = ((BgL_objectz00_bglt) BgL_new1583z00_9787);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15202, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1583z00_9787);
					BgL_new1584z00_9786 = BgL_new1583z00_9787;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1584z00_9786)))->BgL_locz00) =
					((obj_t) BgL_loc1386z00_8109), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1584z00_9786)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1387z00_8110)),
					BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(BgL_new1584z00_9786))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1388z00_8111)),
					BUNSPEC);
				return BgL_new1584z00_9786;
			}
		}

	}



/* &lambda2729 */
	obj_t BGl_z62lambda2729z62zzast_nodez00(obj_t BgL_envz00_8112,
		obj_t BgL_oz00_8113, obj_t BgL_vz00_8114)
	{
		{	/* Ast/node.scm 266 */
			return
				((((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_oz00_8113)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8114)), BUNSPEC);
		}

	}



/* &lambda2728 */
	BgL_nodez00_bglt BGl_z62lambda2728z62zzast_nodez00(obj_t BgL_envz00_8115,
		obj_t BgL_oz00_8116)
	{
		{	/* Ast/node.scm 266 */
			return
				(((BgL_retblockz00_bglt) COBJECT(
						((BgL_retblockz00_bglt) BgL_oz00_8116)))->BgL_bodyz00);
		}

	}



/* &<@anonymous:2702> */
	obj_t BGl_z62zc3z04anonymousza32702ze3ze5zzast_nodez00(obj_t BgL_envz00_8117,
		obj_t BgL_new1384z00_8118)
	{
		{	/* Ast/node.scm 259 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_15218;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1384z00_8118))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15222;

					{	/* Ast/node.scm 259 */
						obj_t BgL_classz00_9793;

						BgL_classz00_9793 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 259 */
							obj_t BgL__ortest_1112z00_9794;

							BgL__ortest_1112z00_9794 = BGL_CLASS_NIL(BgL_classz00_9793);
							if (CBOOL(BgL__ortest_1112z00_9794))
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15222 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9794);
								}
							else
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15222 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9793));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1384z00_8118))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15222), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15232;

					{	/* Ast/node.scm 259 */
						obj_t BgL_classz00_9795;

						BgL_classz00_9795 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 259 */
							obj_t BgL__ortest_1112z00_9796;

							BgL__ortest_1112z00_9796 = BGL_CLASS_NIL(BgL_classz00_9795);
							if (CBOOL(BgL__ortest_1112z00_9796))
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15232 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9796);
								}
							else
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15232 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9795));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1384z00_8118)))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_15232), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15241;

					{	/* Ast/node.scm 259 */
						obj_t BgL_classz00_9797;

						BgL_classz00_9797 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 259 */
							obj_t BgL__ortest_1112z00_9798;

							BgL__ortest_1112z00_9798 = BGL_CLASS_NIL(BgL_classz00_9797);
							if (CBOOL(BgL__ortest_1112z00_9798))
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15241 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9798);
								}
							else
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15241 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9797));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1384z00_8118)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_15241), BUNSPEC);
				}
				BgL_auxz00_15218 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_new1384z00_8118);
				return ((obj_t) BgL_auxz00_15218);
			}
		}

	}



/* &lambda2700 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2700z62zzast_nodez00(obj_t
		BgL_envz00_8119)
	{
		{	/* Ast/node.scm 259 */
			{	/* Ast/node.scm 259 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1383z00_9799;

				BgL_new1383z00_9799 =
					((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itz00_bgl))));
				{	/* Ast/node.scm 259 */
					long BgL_arg2701z00_9800;

					BgL_arg2701z00_9800 =
						BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1383z00_9799), BgL_arg2701z00_9800);
				}
				{	/* Ast/node.scm 259 */
					BgL_objectz00_bglt BgL_tmpz00_15256;

					BgL_tmpz00_15256 = ((BgL_objectz00_bglt) BgL_new1383z00_9799);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15256, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1383z00_9799);
				return BgL_new1383z00_9799;
			}
		}

	}



/* &lambda2697 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2697z62zzast_nodez00(obj_t
		BgL_envz00_8120, obj_t BgL_loc1379z00_8121, obj_t BgL_type1380z00_8122,
		obj_t BgL_exit1381z00_8123, obj_t BgL_value1382z00_8124)
	{
		{	/* Ast/node.scm 259 */
			{	/* Ast/node.scm 259 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1582z00_9804;

				{	/* Ast/node.scm 259 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1581z00_9805;

					BgL_new1581z00_9805 =
						((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 259 */
						long BgL_arg2699z00_9806;

						BgL_arg2699z00_9806 =
							BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1581z00_9805), BgL_arg2699z00_9806);
					}
					{	/* Ast/node.scm 259 */
						BgL_objectz00_bglt BgL_tmpz00_15264;

						BgL_tmpz00_15264 = ((BgL_objectz00_bglt) BgL_new1581z00_9805);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15264, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1581z00_9805);
					BgL_new1582z00_9804 = BgL_new1581z00_9805;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1582z00_9804)))->BgL_locz00) =
					((obj_t) BgL_loc1379z00_8121), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1582z00_9804)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1380z00_8122)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1582z00_9804))->
						BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_exit1381z00_8123)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1582z00_9804))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1382z00_8124)),
					BUNSPEC);
				return BgL_new1582z00_9804;
			}
		}

	}



/* &lambda2712 */
	obj_t BGl_z62lambda2712z62zzast_nodez00(obj_t BgL_envz00_8125,
		obj_t BgL_oz00_8126, obj_t BgL_vz00_8127)
	{
		{	/* Ast/node.scm 259 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8126)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8127)), BUNSPEC);
		}

	}



/* &lambda2711 */
	BgL_nodez00_bglt BGl_z62lambda2711z62zzast_nodez00(obj_t BgL_envz00_8128,
		obj_t BgL_oz00_8129)
	{
		{	/* Ast/node.scm 259 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8129)))->BgL_valuez00);
		}

	}



/* &lambda2707 */
	obj_t BGl_z62lambda2707z62zzast_nodez00(obj_t BgL_envz00_8130,
		obj_t BgL_oz00_8131, obj_t BgL_vz00_8132)
	{
		{	/* Ast/node.scm 259 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8131)))->BgL_exitz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8132)), BUNSPEC);
		}

	}



/* &lambda2706 */
	BgL_nodez00_bglt BGl_z62lambda2706z62zzast_nodez00(obj_t BgL_envz00_8133,
		obj_t BgL_oz00_8134)
	{
		{	/* Ast/node.scm 259 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8134)))->BgL_exitz00);
		}

	}



/* &<@anonymous:2676> */
	obj_t BGl_z62zc3z04anonymousza32676ze3ze5zzast_nodez00(obj_t BgL_envz00_8135,
		obj_t BgL_new1377z00_8136)
	{
		{	/* Ast/node.scm 250 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_15287;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_new1377z00_8136))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15291;

					{	/* Ast/node.scm 250 */
						obj_t BgL_classz00_9814;

						BgL_classz00_9814 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 250 */
							obj_t BgL__ortest_1112z00_9815;

							BgL__ortest_1112z00_9815 = BGL_CLASS_NIL(BgL_classz00_9814);
							if (CBOOL(BgL__ortest_1112z00_9815))
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15291 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9815);
								}
							else
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15291 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9814));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1377z00_8136))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15291), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_15301;

					{	/* Ast/node.scm 250 */
						obj_t BgL_classz00_9816;

						BgL_classz00_9816 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 250 */
							obj_t BgL__ortest_1112z00_9817;

							BgL__ortest_1112z00_9817 = BGL_CLASS_NIL(BgL_classz00_9816);
							if (CBOOL(BgL__ortest_1112z00_9817))
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15301 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_9817);
								}
							else
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15301 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9816));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_new1377z00_8136)))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_15301), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15310;

					{	/* Ast/node.scm 250 */
						obj_t BgL_classz00_9818;

						BgL_classz00_9818 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 250 */
							obj_t BgL__ortest_1112z00_9819;

							BgL__ortest_1112z00_9819 = BGL_CLASS_NIL(BgL_classz00_9818);
							if (CBOOL(BgL__ortest_1112z00_9819))
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15310 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9819);
								}
							else
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15310 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9818));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_new1377z00_8136)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_15310), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15319;

					{	/* Ast/node.scm 250 */
						obj_t BgL_classz00_9820;

						BgL_classz00_9820 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 250 */
							obj_t BgL__ortest_1112z00_9821;

							BgL__ortest_1112z00_9821 = BGL_CLASS_NIL(BgL_classz00_9820);
							if (CBOOL(BgL__ortest_1112z00_9821))
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15319 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9821);
								}
							else
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15319 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9820));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_new1377z00_8136)))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_15319), BUNSPEC);
				}
				BgL_auxz00_15287 = ((BgL_setzd2exzd2itz00_bglt) BgL_new1377z00_8136);
				return ((obj_t) BgL_auxz00_15287);
			}
		}

	}



/* &lambda2674 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2674z62zzast_nodez00(obj_t
		BgL_envz00_8137)
	{
		{	/* Ast/node.scm 250 */
			{	/* Ast/node.scm 250 */
				BgL_setzd2exzd2itz00_bglt BgL_new1376z00_9822;

				BgL_new1376z00_9822 =
					((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itz00_bgl))));
				{	/* Ast/node.scm 250 */
					long BgL_arg2675z00_9823;

					BgL_arg2675z00_9823 =
						BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1376z00_9822), BgL_arg2675z00_9823);
				}
				{	/* Ast/node.scm 250 */
					BgL_objectz00_bglt BgL_tmpz00_15334;

					BgL_tmpz00_15334 = ((BgL_objectz00_bglt) BgL_new1376z00_9822);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15334, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1376z00_9822);
				return BgL_new1376z00_9822;
			}
		}

	}



/* &lambda2672 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2672z62zzast_nodez00(obj_t
		BgL_envz00_8138, obj_t BgL_loc1371z00_8139, obj_t BgL_type1372z00_8140,
		obj_t BgL_var1373z00_8141, obj_t BgL_body1374z00_8142,
		obj_t BgL_onexit1375z00_8143)
	{
		{	/* Ast/node.scm 250 */
			{	/* Ast/node.scm 250 */
				BgL_setzd2exzd2itz00_bglt BgL_new1580z00_9828;

				{	/* Ast/node.scm 250 */
					BgL_setzd2exzd2itz00_bglt BgL_new1579z00_9829;

					BgL_new1579z00_9829 =
						((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 250 */
						long BgL_arg2673z00_9830;

						BgL_arg2673z00_9830 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1579z00_9829), BgL_arg2673z00_9830);
					}
					{	/* Ast/node.scm 250 */
						BgL_objectz00_bglt BgL_tmpz00_15342;

						BgL_tmpz00_15342 = ((BgL_objectz00_bglt) BgL_new1579z00_9829);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15342, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1579z00_9829);
					BgL_new1580z00_9828 = BgL_new1579z00_9829;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1580z00_9828)))->BgL_locz00) =
					((obj_t) BgL_loc1371z00_8139), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1580z00_9828)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1372z00_8140)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1580z00_9828))->
						BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1373z00_8141)), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1580z00_9828))->
						BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1374z00_8142)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1580z00_9828))->
						BgL_onexitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_onexit1375z00_8143)),
					BUNSPEC);
				return BgL_new1580z00_9828;
			}
		}

	}



/* &lambda2691 */
	obj_t BGl_z62lambda2691z62zzast_nodez00(obj_t BgL_envz00_8144,
		obj_t BgL_oz00_8145, obj_t BgL_vz00_8146)
	{
		{	/* Ast/node.scm 250 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8145)))->BgL_onexitz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8146)), BUNSPEC);
		}

	}



/* &lambda2690 */
	BgL_nodez00_bglt BGl_z62lambda2690z62zzast_nodez00(obj_t BgL_envz00_8147,
		obj_t BgL_oz00_8148)
	{
		{	/* Ast/node.scm 250 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8148)))->BgL_onexitz00);
		}

	}



/* &lambda2686 */
	obj_t BGl_z62lambda2686z62zzast_nodez00(obj_t BgL_envz00_8149,
		obj_t BgL_oz00_8150, obj_t BgL_vz00_8151)
	{
		{	/* Ast/node.scm 250 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8150)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8151)), BUNSPEC);
		}

	}



/* &lambda2685 */
	BgL_nodez00_bglt BGl_z62lambda2685z62zzast_nodez00(obj_t BgL_envz00_8152,
		obj_t BgL_oz00_8153)
	{
		{	/* Ast/node.scm 250 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8153)))->BgL_bodyz00);
		}

	}



/* &lambda2681 */
	obj_t BGl_z62lambda2681z62zzast_nodez00(obj_t BgL_envz00_8154,
		obj_t BgL_oz00_8155, obj_t BgL_vz00_8156)
	{
		{	/* Ast/node.scm 250 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8155)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8156)), BUNSPEC);
		}

	}



/* &lambda2680 */
	BgL_varz00_bglt BGl_z62lambda2680z62zzast_nodez00(obj_t BgL_envz00_8157,
		obj_t BgL_oz00_8158)
	{
		{	/* Ast/node.scm 250 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8158)))->BgL_varz00);
		}

	}



/* &<@anonymous:2647> */
	obj_t BGl_z62zc3z04anonymousza32647ze3ze5zzast_nodez00(obj_t BgL_envz00_8159,
		obj_t BgL_new1369z00_8160)
	{
		{	/* Ast/node.scm 241 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_15372;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1369z00_8160))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15376;

					{	/* Ast/node.scm 241 */
						obj_t BgL_classz00_9841;

						BgL_classz00_9841 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 241 */
							obj_t BgL__ortest_1112z00_9842;

							BgL__ortest_1112z00_9842 = BGL_CLASS_NIL(BgL_classz00_9841);
							if (CBOOL(BgL__ortest_1112z00_9842))
								{	/* Ast/node.scm 241 */
									BgL_auxz00_15376 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9842);
								}
							else
								{	/* Ast/node.scm 241 */
									BgL_auxz00_15376 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9841));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1369z00_8160))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15376), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1369z00_8160))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1369z00_8160))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
									BgL_new1369z00_8160)))->BgL_bindingsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_15394;

					{	/* Ast/node.scm 241 */
						obj_t BgL_classz00_9843;

						BgL_classz00_9843 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 241 */
							obj_t BgL__ortest_1112z00_9844;

							BgL__ortest_1112z00_9844 = BGL_CLASS_NIL(BgL_classz00_9843);
							if (CBOOL(BgL__ortest_1112z00_9844))
								{	/* Ast/node.scm 241 */
									BgL_auxz00_15394 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9844);
								}
							else
								{	/* Ast/node.scm 241 */
									BgL_auxz00_15394 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9843));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_new1369z00_8160)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_15394), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_new1369z00_8160)))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_15372 = ((BgL_letzd2varzd2_bglt) BgL_new1369z00_8160);
				return ((obj_t) BgL_auxz00_15372);
			}
		}

	}



/* &lambda2645 */
	BgL_letzd2varzd2_bglt BGl_z62lambda2645z62zzast_nodez00(obj_t BgL_envz00_8161)
	{
		{	/* Ast/node.scm 241 */
			{	/* Ast/node.scm 241 */
				BgL_letzd2varzd2_bglt BgL_new1368z00_9845;

				BgL_new1368z00_9845 =
					((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2varzd2_bgl))));
				{	/* Ast/node.scm 241 */
					long BgL_arg2646z00_9846;

					BgL_arg2646z00_9846 = BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1368z00_9845), BgL_arg2646z00_9846);
				}
				{	/* Ast/node.scm 241 */
					BgL_objectz00_bglt BgL_tmpz00_15411;

					BgL_tmpz00_15411 = ((BgL_objectz00_bglt) BgL_new1368z00_9845);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15411, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1368z00_9845);
				return BgL_new1368z00_9845;
			}
		}

	}



/* &lambda2642 */
	BgL_letzd2varzd2_bglt BGl_z62lambda2642z62zzast_nodez00(obj_t BgL_envz00_8162,
		obj_t BgL_loc1361z00_8163, obj_t BgL_type1362z00_8164,
		obj_t BgL_sidezd2effect1363zd2_8165, obj_t BgL_key1364z00_8166,
		obj_t BgL_bindings1365z00_8167, obj_t BgL_body1366z00_8168,
		obj_t BgL_removablezf31367zf3_8169)
	{
		{	/* Ast/node.scm 241 */
			{	/* Ast/node.scm 241 */
				bool_t BgL_removablezf31367zf3_9849;

				BgL_removablezf31367zf3_9849 = CBOOL(BgL_removablezf31367zf3_8169);
				{	/* Ast/node.scm 241 */
					BgL_letzd2varzd2_bglt BgL_new1578z00_9850;

					{	/* Ast/node.scm 241 */
						BgL_letzd2varzd2_bglt BgL_new1577z00_9851;

						BgL_new1577z00_9851 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/node.scm 241 */
							long BgL_arg2644z00_9852;

							BgL_arg2644z00_9852 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1577z00_9851),
								BgL_arg2644z00_9852);
						}
						{	/* Ast/node.scm 241 */
							BgL_objectz00_bglt BgL_tmpz00_15420;

							BgL_tmpz00_15420 = ((BgL_objectz00_bglt) BgL_new1577z00_9851);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15420, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1577z00_9851);
						BgL_new1578z00_9850 = BgL_new1577z00_9851;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1578z00_9850)))->BgL_locz00) =
						((obj_t) BgL_loc1361z00_8163), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1578z00_9850)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1362z00_8164)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1578z00_9850)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1363zd2_8165), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1578z00_9850)))->BgL_keyz00) =
						((obj_t) BgL_key1364z00_8166), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1578z00_9850))->
							BgL_bindingsz00) = ((obj_t) BgL_bindings1365z00_8167), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1578z00_9850))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1366z00_8168)),
						BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1578z00_9850))->
							BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31367zf3_9849), BUNSPEC);
					return BgL_new1578z00_9850;
				}
			}
		}

	}



/* &<@anonymous:2664> */
	obj_t BGl_z62zc3z04anonymousza32664ze3ze5zzast_nodez00(obj_t BgL_envz00_8170)
	{
		{	/* Ast/node.scm 241 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda2663 */
	obj_t BGl_z62lambda2663z62zzast_nodez00(obj_t BgL_envz00_8171,
		obj_t BgL_oz00_8172, obj_t BgL_vz00_8173)
	{
		{	/* Ast/node.scm 241 */
			{	/* Ast/node.scm 241 */
				bool_t BgL_vz00_9854;

				BgL_vz00_9854 = CBOOL(BgL_vz00_8173);
				return
					((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_oz00_8172)))->
						BgL_removablezf3zf3) = ((bool_t) BgL_vz00_9854), BUNSPEC);
			}
		}

	}



/* &lambda2662 */
	obj_t BGl_z62lambda2662z62zzast_nodez00(obj_t BgL_envz00_8174,
		obj_t BgL_oz00_8175)
	{
		{	/* Ast/node.scm 241 */
			return
				BBOOL(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_8175)))->BgL_removablezf3zf3));
		}

	}



/* &lambda2657 */
	obj_t BGl_z62lambda2657z62zzast_nodez00(obj_t BgL_envz00_8176,
		obj_t BgL_oz00_8177, obj_t BgL_vz00_8178)
	{
		{	/* Ast/node.scm 241 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_8177)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8178)), BUNSPEC);
		}

	}



/* &lambda2656 */
	BgL_nodez00_bglt BGl_z62lambda2656z62zzast_nodez00(obj_t BgL_envz00_8179,
		obj_t BgL_oz00_8180)
	{
		{	/* Ast/node.scm 241 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(
						((BgL_letzd2varzd2_bglt) BgL_oz00_8180)))->BgL_bodyz00);
		}

	}



/* &lambda2652 */
	obj_t BGl_z62lambda2652z62zzast_nodez00(obj_t BgL_envz00_8181,
		obj_t BgL_oz00_8182, obj_t BgL_vz00_8183)
	{
		{	/* Ast/node.scm 241 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_8182)))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_8183), BUNSPEC);
		}

	}



/* &lambda2651 */
	obj_t BGl_z62lambda2651z62zzast_nodez00(obj_t BgL_envz00_8184,
		obj_t BgL_oz00_8185)
	{
		{	/* Ast/node.scm 241 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(
						((BgL_letzd2varzd2_bglt) BgL_oz00_8185)))->BgL_bindingsz00);
		}

	}



/* &<@anonymous:2623> */
	obj_t BGl_z62zc3z04anonymousza32623ze3ze5zzast_nodez00(obj_t BgL_envz00_8186,
		obj_t BgL_new1359z00_8187)
	{
		{	/* Ast/node.scm 234 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_15453;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1359z00_8187))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15457;

					{	/* Ast/node.scm 234 */
						obj_t BgL_classz00_9862;

						BgL_classz00_9862 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 234 */
							obj_t BgL__ortest_1112z00_9863;

							BgL__ortest_1112z00_9863 = BGL_CLASS_NIL(BgL_classz00_9862);
							if (CBOOL(BgL__ortest_1112z00_9863))
								{	/* Ast/node.scm 234 */
									BgL_auxz00_15457 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9863);
								}
							else
								{	/* Ast/node.scm 234 */
									BgL_auxz00_15457 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9862));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1359z00_8187))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15457), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1359z00_8187))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1359z00_8187))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
									BgL_new1359z00_8187)))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_15475;

					{	/* Ast/node.scm 234 */
						obj_t BgL_classz00_9864;

						BgL_classz00_9864 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 234 */
							obj_t BgL__ortest_1112z00_9865;

							BgL__ortest_1112z00_9865 = BGL_CLASS_NIL(BgL_classz00_9864);
							if (CBOOL(BgL__ortest_1112z00_9865))
								{	/* Ast/node.scm 234 */
									BgL_auxz00_15475 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9865);
								}
							else
								{	/* Ast/node.scm 234 */
									BgL_auxz00_15475 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9864));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_new1359z00_8187)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_15475), BUNSPEC);
				}
				BgL_auxz00_15453 = ((BgL_letzd2funzd2_bglt) BgL_new1359z00_8187);
				return ((obj_t) BgL_auxz00_15453);
			}
		}

	}



/* &lambda2620 */
	BgL_letzd2funzd2_bglt BGl_z62lambda2620z62zzast_nodez00(obj_t BgL_envz00_8188)
	{
		{	/* Ast/node.scm 234 */
			{	/* Ast/node.scm 234 */
				BgL_letzd2funzd2_bglt BgL_new1358z00_9866;

				BgL_new1358z00_9866 =
					((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2funzd2_bgl))));
				{	/* Ast/node.scm 234 */
					long BgL_arg2622z00_9867;

					BgL_arg2622z00_9867 = BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1358z00_9866), BgL_arg2622z00_9867);
				}
				{	/* Ast/node.scm 234 */
					BgL_objectz00_bglt BgL_tmpz00_15490;

					BgL_tmpz00_15490 = ((BgL_objectz00_bglt) BgL_new1358z00_9866);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15490, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1358z00_9866);
				return BgL_new1358z00_9866;
			}
		}

	}



/* &lambda2618 */
	BgL_letzd2funzd2_bglt BGl_z62lambda2618z62zzast_nodez00(obj_t BgL_envz00_8189,
		obj_t BgL_loc1352z00_8190, obj_t BgL_type1353z00_8191,
		obj_t BgL_sidezd2effect1354zd2_8192, obj_t BgL_key1355z00_8193,
		obj_t BgL_locals1356z00_8194, obj_t BgL_body1357z00_8195)
	{
		{	/* Ast/node.scm 234 */
			{	/* Ast/node.scm 234 */
				BgL_letzd2funzd2_bglt BgL_new1576z00_9870;

				{	/* Ast/node.scm 234 */
					BgL_letzd2funzd2_bglt BgL_new1575z00_9871;

					BgL_new1575z00_9871 =
						((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/node.scm 234 */
						long BgL_arg2619z00_9872;

						BgL_arg2619z00_9872 = BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1575z00_9871), BgL_arg2619z00_9872);
					}
					{	/* Ast/node.scm 234 */
						BgL_objectz00_bglt BgL_tmpz00_15498;

						BgL_tmpz00_15498 = ((BgL_objectz00_bglt) BgL_new1575z00_9871);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15498, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1575z00_9871);
					BgL_new1576z00_9870 = BgL_new1575z00_9871;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1576z00_9870)))->BgL_locz00) =
					((obj_t) BgL_loc1352z00_8190), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1576z00_9870)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1353z00_8191)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1576z00_9870)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1354zd2_8192), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1576z00_9870)))->BgL_keyz00) =
					((obj_t) BgL_key1355z00_8193), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1576z00_9870))->
						BgL_localsz00) = ((obj_t) BgL_locals1356z00_8194), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1576z00_9870))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1357z00_8195)),
					BUNSPEC);
				return BgL_new1576z00_9870;
			}
		}

	}



/* &lambda2634 */
	obj_t BGl_z62lambda2634z62zzast_nodez00(obj_t BgL_envz00_8196,
		obj_t BgL_oz00_8197, obj_t BgL_vz00_8198)
	{
		{	/* Ast/node.scm 234 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_oz00_8197)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8198)), BUNSPEC);
		}

	}



/* &lambda2633 */
	BgL_nodez00_bglt BGl_z62lambda2633z62zzast_nodez00(obj_t BgL_envz00_8199,
		obj_t BgL_oz00_8200)
	{
		{	/* Ast/node.scm 234 */
			return
				(((BgL_letzd2funzd2_bglt) COBJECT(
						((BgL_letzd2funzd2_bglt) BgL_oz00_8200)))->BgL_bodyz00);
		}

	}



/* &lambda2628 */
	obj_t BGl_z62lambda2628z62zzast_nodez00(obj_t BgL_envz00_8201,
		obj_t BgL_oz00_8202, obj_t BgL_vz00_8203)
	{
		{	/* Ast/node.scm 234 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_oz00_8202)))->BgL_localsz00) =
				((obj_t) BgL_vz00_8203), BUNSPEC);
		}

	}



/* &lambda2627 */
	obj_t BGl_z62lambda2627z62zzast_nodez00(obj_t BgL_envz00_8204,
		obj_t BgL_oz00_8205)
	{
		{	/* Ast/node.scm 234 */
			return
				(((BgL_letzd2funzd2_bglt) COBJECT(
						((BgL_letzd2funzd2_bglt) BgL_oz00_8205)))->BgL_localsz00);
		}

	}



/* &<@anonymous:2595> */
	obj_t BGl_z62zc3z04anonymousza32595ze3ze5zzast_nodez00(obj_t BgL_envz00_8206,
		obj_t BgL_new1350z00_8207)
	{
		{	/* Ast/node.scm 225 */
			{
				BgL_switchz00_bglt BgL_auxz00_15523;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1350z00_8207))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15527;

					{	/* Ast/node.scm 225 */
						obj_t BgL_classz00_9879;

						BgL_classz00_9879 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 225 */
							obj_t BgL__ortest_1112z00_9880;

							BgL__ortest_1112z00_9880 = BGL_CLASS_NIL(BgL_classz00_9879);
							if (CBOOL(BgL__ortest_1112z00_9880))
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15527 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9880);
								}
							else
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15527 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9879));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1350z00_8207))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15527), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1350z00_8207))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1350z00_8207))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_15543;

					{	/* Ast/node.scm 225 */
						obj_t BgL_classz00_9881;

						BgL_classz00_9881 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 225 */
							obj_t BgL__ortest_1112z00_9882;

							BgL__ortest_1112z00_9882 = BGL_CLASS_NIL(BgL_classz00_9881);
							if (CBOOL(BgL__ortest_1112z00_9882))
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15543 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9882);
								}
							else
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15543 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9881));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_new1350z00_8207)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15543), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_new1350z00_8207)))->BgL_clausesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15554;

					{	/* Ast/node.scm 225 */
						obj_t BgL_classz00_9883;

						BgL_classz00_9883 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 225 */
							obj_t BgL__ortest_1112z00_9884;

							BgL__ortest_1112z00_9884 = BGL_CLASS_NIL(BgL_classz00_9883);
							if (CBOOL(BgL__ortest_1112z00_9884))
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15554 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9884);
								}
							else
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15554 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9883));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_new1350z00_8207)))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_15554), BUNSPEC);
				}
				BgL_auxz00_15523 = ((BgL_switchz00_bglt) BgL_new1350z00_8207);
				return ((obj_t) BgL_auxz00_15523);
			}
		}

	}



/* &lambda2593 */
	BgL_switchz00_bglt BGl_z62lambda2593z62zzast_nodez00(obj_t BgL_envz00_8208)
	{
		{	/* Ast/node.scm 225 */
			{	/* Ast/node.scm 225 */
				BgL_switchz00_bglt BgL_new1349z00_9885;

				BgL_new1349z00_9885 =
					((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchz00_bgl))));
				{	/* Ast/node.scm 225 */
					long BgL_arg2594z00_9886;

					BgL_arg2594z00_9886 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1349z00_9885), BgL_arg2594z00_9886);
				}
				{	/* Ast/node.scm 225 */
					BgL_objectz00_bglt BgL_tmpz00_15569;

					BgL_tmpz00_15569 = ((BgL_objectz00_bglt) BgL_new1349z00_9885);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15569, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1349z00_9885);
				return BgL_new1349z00_9885;
			}
		}

	}



/* &lambda2591 */
	BgL_switchz00_bglt BGl_z62lambda2591z62zzast_nodez00(obj_t BgL_envz00_8209,
		obj_t BgL_loc1342z00_8210, obj_t BgL_type1343z00_8211,
		obj_t BgL_sidezd2effect1344zd2_8212, obj_t BgL_key1345z00_8213,
		obj_t BgL_test1346z00_8214, obj_t BgL_clauses1347z00_8215,
		obj_t BgL_itemzd2type1348zd2_8216)
	{
		{	/* Ast/node.scm 225 */
			{	/* Ast/node.scm 225 */
				BgL_switchz00_bglt BgL_new1574z00_9890;

				{	/* Ast/node.scm 225 */
					BgL_switchz00_bglt BgL_new1573z00_9891;

					BgL_new1573z00_9891 =
						((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchz00_bgl))));
					{	/* Ast/node.scm 225 */
						long BgL_arg2592z00_9892;

						BgL_arg2592z00_9892 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1573z00_9891), BgL_arg2592z00_9892);
					}
					{	/* Ast/node.scm 225 */
						BgL_objectz00_bglt BgL_tmpz00_15577;

						BgL_tmpz00_15577 = ((BgL_objectz00_bglt) BgL_new1573z00_9891);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15577, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1573z00_9891);
					BgL_new1574z00_9890 = BgL_new1573z00_9891;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1574z00_9890)))->BgL_locz00) =
					((obj_t) BgL_loc1342z00_8210), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1574z00_9890)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1343z00_8211)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1574z00_9890)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1344zd2_8212), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1574z00_9890)))->BgL_keyz00) =
					((obj_t) BgL_key1345z00_8213), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1574z00_9890))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1346z00_8214)),
					BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1574z00_9890))->BgL_clausesz00) =
					((obj_t) BgL_clauses1347z00_8215), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1574z00_9890))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_itemzd2type1348zd2_8216)),
					BUNSPEC);
				return BgL_new1574z00_9890;
			}
		}

	}



/* &lambda2611 */
	obj_t BGl_z62lambda2611z62zzast_nodez00(obj_t BgL_envz00_8217,
		obj_t BgL_oz00_8218, obj_t BgL_vz00_8219)
	{
		{	/* Ast/node.scm 225 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_8218)))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8219)), BUNSPEC);
		}

	}



/* &lambda2610 */
	BgL_typez00_bglt BGl_z62lambda2610z62zzast_nodez00(obj_t BgL_envz00_8220,
		obj_t BgL_oz00_8221)
	{
		{	/* Ast/node.scm 225 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_8221)))->BgL_itemzd2typezd2);
		}

	}



/* &lambda2606 */
	obj_t BGl_z62lambda2606z62zzast_nodez00(obj_t BgL_envz00_8222,
		obj_t BgL_oz00_8223, obj_t BgL_vz00_8224)
	{
		{	/* Ast/node.scm 225 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_8223)))->BgL_clausesz00) =
				((obj_t) BgL_vz00_8224), BUNSPEC);
		}

	}



/* &lambda2605 */
	obj_t BGl_z62lambda2605z62zzast_nodez00(obj_t BgL_envz00_8225,
		obj_t BgL_oz00_8226)
	{
		{	/* Ast/node.scm 225 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_8226)))->BgL_clausesz00);
		}

	}



/* &lambda2601 */
	obj_t BGl_z62lambda2601z62zzast_nodez00(obj_t BgL_envz00_8227,
		obj_t BgL_oz00_8228, obj_t BgL_vz00_8229)
	{
		{	/* Ast/node.scm 225 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_8228)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8229)), BUNSPEC);
		}

	}



/* &lambda2600 */
	BgL_nodez00_bglt BGl_z62lambda2600z62zzast_nodez00(obj_t BgL_envz00_8230,
		obj_t BgL_oz00_8231)
	{
		{	/* Ast/node.scm 225 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_8231)))->BgL_testz00);
		}

	}



/* &<@anonymous:2566> */
	obj_t BGl_z62zc3z04anonymousza32566ze3ze5zzast_nodez00(obj_t BgL_envz00_8232,
		obj_t BgL_new1340z00_8233)
	{
		{	/* Ast/node.scm 218 */
			{
				BgL_failz00_bglt BgL_auxz00_15609;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_new1340z00_8233))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15613;

					{	/* Ast/node.scm 218 */
						obj_t BgL_classz00_9902;

						BgL_classz00_9902 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 218 */
							obj_t BgL__ortest_1112z00_9903;

							BgL__ortest_1112z00_9903 = BGL_CLASS_NIL(BgL_classz00_9902);
							if (CBOOL(BgL__ortest_1112z00_9903))
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15613 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9903);
								}
							else
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15613 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9902));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_new1340z00_8233))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15613), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15623;

					{	/* Ast/node.scm 218 */
						obj_t BgL_classz00_9904;

						BgL_classz00_9904 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 218 */
							obj_t BgL__ortest_1112z00_9905;

							BgL__ortest_1112z00_9905 = BGL_CLASS_NIL(BgL_classz00_9904);
							if (CBOOL(BgL__ortest_1112z00_9905))
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15623 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9905);
								}
							else
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15623 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9904));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1340z00_8233)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15623), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15632;

					{	/* Ast/node.scm 218 */
						obj_t BgL_classz00_9906;

						BgL_classz00_9906 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 218 */
							obj_t BgL__ortest_1112z00_9907;

							BgL__ortest_1112z00_9907 = BGL_CLASS_NIL(BgL_classz00_9906);
							if (CBOOL(BgL__ortest_1112z00_9907))
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15632 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9907);
								}
							else
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15632 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9906));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1340z00_8233)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15632), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15641;

					{	/* Ast/node.scm 218 */
						obj_t BgL_classz00_9908;

						BgL_classz00_9908 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 218 */
							obj_t BgL__ortest_1112z00_9909;

							BgL__ortest_1112z00_9909 = BGL_CLASS_NIL(BgL_classz00_9908);
							if (CBOOL(BgL__ortest_1112z00_9909))
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15641 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9909);
								}
							else
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15641 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9908));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1340z00_8233)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15641), BUNSPEC);
				}
				BgL_auxz00_15609 = ((BgL_failz00_bglt) BgL_new1340z00_8233);
				return ((obj_t) BgL_auxz00_15609);
			}
		}

	}



/* &lambda2564 */
	BgL_failz00_bglt BGl_z62lambda2564z62zzast_nodez00(obj_t BgL_envz00_8234)
	{
		{	/* Ast/node.scm 218 */
			{	/* Ast/node.scm 218 */
				BgL_failz00_bglt BgL_new1339z00_9910;

				BgL_new1339z00_9910 =
					((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failz00_bgl))));
				{	/* Ast/node.scm 218 */
					long BgL_arg2565z00_9911;

					BgL_arg2565z00_9911 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1339z00_9910), BgL_arg2565z00_9911);
				}
				{	/* Ast/node.scm 218 */
					BgL_objectz00_bglt BgL_tmpz00_15656;

					BgL_tmpz00_15656 = ((BgL_objectz00_bglt) BgL_new1339z00_9910);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15656, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1339z00_9910);
				return BgL_new1339z00_9910;
			}
		}

	}



/* &lambda2562 */
	BgL_failz00_bglt BGl_z62lambda2562z62zzast_nodez00(obj_t BgL_envz00_8235,
		obj_t BgL_loc1334z00_8236, obj_t BgL_type1335z00_8237,
		obj_t BgL_proc1336z00_8238, obj_t BgL_msg1337z00_8239,
		obj_t BgL_obj1338z00_8240)
	{
		{	/* Ast/node.scm 218 */
			{	/* Ast/node.scm 218 */
				BgL_failz00_bglt BgL_new1572z00_9916;

				{	/* Ast/node.scm 218 */
					BgL_failz00_bglt BgL_new1571z00_9917;

					BgL_new1571z00_9917 =
						((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/node.scm 218 */
						long BgL_arg2563z00_9918;

						BgL_arg2563z00_9918 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1571z00_9917), BgL_arg2563z00_9918);
					}
					{	/* Ast/node.scm 218 */
						BgL_objectz00_bglt BgL_tmpz00_15664;

						BgL_tmpz00_15664 = ((BgL_objectz00_bglt) BgL_new1571z00_9917);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15664, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1571z00_9917);
					BgL_new1572z00_9916 = BgL_new1571z00_9917;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1572z00_9916)))->BgL_locz00) =
					((obj_t) BgL_loc1334z00_8236), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1572z00_9916)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1335z00_8237)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1572z00_9916))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_proc1336z00_8238)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1572z00_9916))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_msg1337z00_8239)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1572z00_9916))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_obj1338z00_8240)),
					BUNSPEC);
				return BgL_new1572z00_9916;
			}
		}

	}



/* &lambda2583 */
	obj_t BGl_z62lambda2583z62zzast_nodez00(obj_t BgL_envz00_8241,
		obj_t BgL_oz00_8242, obj_t BgL_vz00_8243)
	{
		{	/* Ast/node.scm 218 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_8242)))->BgL_objz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8243)), BUNSPEC);
		}

	}



/* &lambda2582 */
	BgL_nodez00_bglt BGl_z62lambda2582z62zzast_nodez00(obj_t BgL_envz00_8244,
		obj_t BgL_oz00_8245)
	{
		{	/* Ast/node.scm 218 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_8245)))->BgL_objz00);
		}

	}



/* &lambda2578 */
	obj_t BGl_z62lambda2578z62zzast_nodez00(obj_t BgL_envz00_8246,
		obj_t BgL_oz00_8247, obj_t BgL_vz00_8248)
	{
		{	/* Ast/node.scm 218 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_8247)))->BgL_msgz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8248)), BUNSPEC);
		}

	}



/* &lambda2577 */
	BgL_nodez00_bglt BGl_z62lambda2577z62zzast_nodez00(obj_t BgL_envz00_8249,
		obj_t BgL_oz00_8250)
	{
		{	/* Ast/node.scm 218 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_8250)))->BgL_msgz00);
		}

	}



/* &lambda2572 */
	obj_t BGl_z62lambda2572z62zzast_nodez00(obj_t BgL_envz00_8251,
		obj_t BgL_oz00_8252, obj_t BgL_vz00_8253)
	{
		{	/* Ast/node.scm 218 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_8252)))->BgL_procz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8253)), BUNSPEC);
		}

	}



/* &lambda2571 */
	BgL_nodez00_bglt BGl_z62lambda2571z62zzast_nodez00(obj_t BgL_envz00_8254,
		obj_t BgL_oz00_8255)
	{
		{	/* Ast/node.scm 218 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_8255)))->BgL_procz00);
		}

	}



/* &<@anonymous:2526> */
	obj_t BGl_z62zc3z04anonymousza32526ze3ze5zzast_nodez00(obj_t BgL_envz00_8256,
		obj_t BgL_new1332z00_8257)
	{
		{	/* Ast/node.scm 209 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_15694;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_new1332z00_8257))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15698;

					{	/* Ast/node.scm 209 */
						obj_t BgL_classz00_9929;

						BgL_classz00_9929 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 209 */
							obj_t BgL__ortest_1112z00_9930;

							BgL__ortest_1112z00_9930 = BGL_CLASS_NIL(BgL_classz00_9929);
							if (CBOOL(BgL__ortest_1112z00_9930))
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15698 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9930);
								}
							else
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15698 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9929));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1332z00_8257))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15698), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_conditionalz00_bglt) BgL_new1332z00_8257))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_conditionalz00_bglt)
										BgL_new1332z00_8257))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_15714;

					{	/* Ast/node.scm 209 */
						obj_t BgL_classz00_9931;

						BgL_classz00_9931 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 209 */
							obj_t BgL__ortest_1112z00_9932;

							BgL__ortest_1112z00_9932 = BGL_CLASS_NIL(BgL_classz00_9931);
							if (CBOOL(BgL__ortest_1112z00_9932))
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15714 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9932);
								}
							else
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15714 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9931));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1332z00_8257)))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_15714), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15723;

					{	/* Ast/node.scm 209 */
						obj_t BgL_classz00_9933;

						BgL_classz00_9933 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 209 */
							obj_t BgL__ortest_1112z00_9934;

							BgL__ortest_1112z00_9934 = BGL_CLASS_NIL(BgL_classz00_9933);
							if (CBOOL(BgL__ortest_1112z00_9934))
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15723 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9934);
								}
							else
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15723 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9933));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1332z00_8257)))->
							BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_15723), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15732;

					{	/* Ast/node.scm 209 */
						obj_t BgL_classz00_9935;

						BgL_classz00_9935 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 209 */
							obj_t BgL__ortest_1112z00_9936;

							BgL__ortest_1112z00_9936 = BGL_CLASS_NIL(BgL_classz00_9935);
							if (CBOOL(BgL__ortest_1112z00_9936))
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15732 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9936);
								}
							else
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15732 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9935));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1332z00_8257)))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_15732), BUNSPEC);
				}
				BgL_auxz00_15694 = ((BgL_conditionalz00_bglt) BgL_new1332z00_8257);
				return ((obj_t) BgL_auxz00_15694);
			}
		}

	}



/* &lambda2524 */
	BgL_conditionalz00_bglt BGl_z62lambda2524z62zzast_nodez00(obj_t
		BgL_envz00_8258)
	{
		{	/* Ast/node.scm 209 */
			{	/* Ast/node.scm 209 */
				BgL_conditionalz00_bglt BgL_new1331z00_9937;

				BgL_new1331z00_9937 =
					((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalz00_bgl))));
				{	/* Ast/node.scm 209 */
					long BgL_arg2525z00_9938;

					BgL_arg2525z00_9938 = BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1331z00_9937), BgL_arg2525z00_9938);
				}
				{	/* Ast/node.scm 209 */
					BgL_objectz00_bglt BgL_tmpz00_15747;

					BgL_tmpz00_15747 = ((BgL_objectz00_bglt) BgL_new1331z00_9937);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15747, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1331z00_9937);
				return BgL_new1331z00_9937;
			}
		}

	}



/* &lambda2522 */
	BgL_conditionalz00_bglt BGl_z62lambda2522z62zzast_nodez00(obj_t
		BgL_envz00_8259, obj_t BgL_loc1324z00_8260, obj_t BgL_type1325z00_8261,
		obj_t BgL_sidezd2effect1326zd2_8262, obj_t BgL_key1327z00_8263,
		obj_t BgL_test1328z00_8264, obj_t BgL_true1329z00_8265,
		obj_t BgL_false1330z00_8266)
	{
		{	/* Ast/node.scm 209 */
			{	/* Ast/node.scm 209 */
				BgL_conditionalz00_bglt BgL_new1570z00_9943;

				{	/* Ast/node.scm 209 */
					BgL_conditionalz00_bglt BgL_new1569z00_9944;

					BgL_new1569z00_9944 =
						((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/node.scm 209 */
						long BgL_arg2523z00_9945;

						BgL_arg2523z00_9945 =
							BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1569z00_9944), BgL_arg2523z00_9945);
					}
					{	/* Ast/node.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_15755;

						BgL_tmpz00_15755 = ((BgL_objectz00_bglt) BgL_new1569z00_9944);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15755, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1569z00_9944);
					BgL_new1570z00_9943 = BgL_new1569z00_9944;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1570z00_9943)))->BgL_locz00) =
					((obj_t) BgL_loc1324z00_8260), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1570z00_9943)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1325z00_8261)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1570z00_9943)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1326zd2_8262), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1570z00_9943)))->BgL_keyz00) =
					((obj_t) BgL_key1327z00_8263), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1570z00_9943))->
						BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1328z00_8264)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1570z00_9943))->
						BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_true1329z00_8265)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1570z00_9943))->
						BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_false1330z00_8266)),
					BUNSPEC);
				return BgL_new1570z00_9943;
			}
		}

	}



/* &lambda2548 */
	obj_t BGl_z62lambda2548z62zzast_nodez00(obj_t BgL_envz00_8267,
		obj_t BgL_oz00_8268, obj_t BgL_vz00_8269)
	{
		{	/* Ast/node.scm 209 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_8268)))->BgL_falsez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8269)), BUNSPEC);
		}

	}



/* &lambda2547 */
	BgL_nodez00_bglt BGl_z62lambda2547z62zzast_nodez00(obj_t BgL_envz00_8270,
		obj_t BgL_oz00_8271)
	{
		{	/* Ast/node.scm 209 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_8271)))->BgL_falsez00);
		}

	}



/* &lambda2540 */
	obj_t BGl_z62lambda2540z62zzast_nodez00(obj_t BgL_envz00_8272,
		obj_t BgL_oz00_8273, obj_t BgL_vz00_8274)
	{
		{	/* Ast/node.scm 209 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_8273)))->BgL_truez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8274)), BUNSPEC);
		}

	}



/* &lambda2539 */
	BgL_nodez00_bglt BGl_z62lambda2539z62zzast_nodez00(obj_t BgL_envz00_8275,
		obj_t BgL_oz00_8276)
	{
		{	/* Ast/node.scm 209 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_8276)))->BgL_truez00);
		}

	}



/* &lambda2533 */
	obj_t BGl_z62lambda2533z62zzast_nodez00(obj_t BgL_envz00_8277,
		obj_t BgL_oz00_8278, obj_t BgL_vz00_8279)
	{
		{	/* Ast/node.scm 209 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_8278)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8279)), BUNSPEC);
		}

	}



/* &lambda2532 */
	BgL_nodez00_bglt BGl_z62lambda2532z62zzast_nodez00(obj_t BgL_envz00_8280,
		obj_t BgL_oz00_8281)
	{
		{	/* Ast/node.scm 209 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_8281)))->BgL_testz00);
		}

	}



/* &<@anonymous:2495> */
	obj_t BGl_z62zc3z04anonymousza32495ze3ze5zzast_nodez00(obj_t BgL_envz00_8282,
		obj_t BgL_new1322z00_8283)
	{
		{	/* Ast/node.scm 202 */
			{
				BgL_setqz00_bglt BgL_auxz00_15789;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setqz00_bglt) BgL_new1322z00_8283))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15793;

					{	/* Ast/node.scm 202 */
						obj_t BgL_classz00_9956;

						BgL_classz00_9956 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 202 */
							obj_t BgL__ortest_1112z00_9957;

							BgL__ortest_1112z00_9957 = BGL_CLASS_NIL(BgL_classz00_9956);
							if (CBOOL(BgL__ortest_1112z00_9957))
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15793 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9957);
								}
							else
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15793 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9956));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setqz00_bglt) BgL_new1322z00_8283))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15793), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_15803;

					{	/* Ast/node.scm 202 */
						obj_t BgL_classz00_9958;

						BgL_classz00_9958 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 202 */
							obj_t BgL__ortest_1112z00_9959;

							BgL__ortest_1112z00_9959 = BGL_CLASS_NIL(BgL_classz00_9958);
							if (CBOOL(BgL__ortest_1112z00_9959))
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15803 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_9959);
								}
							else
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15803 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9958));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_new1322z00_8283)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_15803), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15812;

					{	/* Ast/node.scm 202 */
						obj_t BgL_classz00_9960;

						BgL_classz00_9960 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 202 */
							obj_t BgL__ortest_1112z00_9961;

							BgL__ortest_1112z00_9961 = BGL_CLASS_NIL(BgL_classz00_9960);
							if (CBOOL(BgL__ortest_1112z00_9961))
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15812 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9961);
								}
							else
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15812 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9960));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_new1322z00_8283)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_15812), BUNSPEC);
				}
				BgL_auxz00_15789 = ((BgL_setqz00_bglt) BgL_new1322z00_8283);
				return ((obj_t) BgL_auxz00_15789);
			}
		}

	}



/* &lambda2492 */
	BgL_setqz00_bglt BGl_z62lambda2492z62zzast_nodez00(obj_t BgL_envz00_8284)
	{
		{	/* Ast/node.scm 202 */
			{	/* Ast/node.scm 202 */
				BgL_setqz00_bglt BgL_new1321z00_9962;

				BgL_new1321z00_9962 =
					((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqz00_bgl))));
				{	/* Ast/node.scm 202 */
					long BgL_arg2494z00_9963;

					BgL_arg2494z00_9963 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1321z00_9962), BgL_arg2494z00_9963);
				}
				{	/* Ast/node.scm 202 */
					BgL_objectz00_bglt BgL_tmpz00_15827;

					BgL_tmpz00_15827 = ((BgL_objectz00_bglt) BgL_new1321z00_9962);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15827, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1321z00_9962);
				return BgL_new1321z00_9962;
			}
		}

	}



/* &lambda2490 */
	BgL_setqz00_bglt BGl_z62lambda2490z62zzast_nodez00(obj_t BgL_envz00_8285,
		obj_t BgL_loc1317z00_8286, obj_t BgL_type1318z00_8287,
		obj_t BgL_var1319z00_8288, obj_t BgL_value1320z00_8289)
	{
		{	/* Ast/node.scm 202 */
			{	/* Ast/node.scm 202 */
				BgL_setqz00_bglt BgL_new1568z00_9967;

				{	/* Ast/node.scm 202 */
					BgL_setqz00_bglt BgL_new1567z00_9968;

					BgL_new1567z00_9968 =
						((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/node.scm 202 */
						long BgL_arg2491z00_9969;

						BgL_arg2491z00_9969 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1567z00_9968), BgL_arg2491z00_9969);
					}
					{	/* Ast/node.scm 202 */
						BgL_objectz00_bglt BgL_tmpz00_15835;

						BgL_tmpz00_15835 = ((BgL_objectz00_bglt) BgL_new1567z00_9968);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15835, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1567z00_9968);
					BgL_new1568z00_9967 = BgL_new1567z00_9968;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1568z00_9967)))->BgL_locz00) =
					((obj_t) BgL_loc1317z00_8286), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1568z00_9967)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1318z00_8287)),
					BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1568z00_9967))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1319z00_8288)), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1568z00_9967))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1320z00_8289)),
					BUNSPEC);
				return BgL_new1568z00_9967;
			}
		}

	}



/* &lambda2509 */
	obj_t BGl_z62lambda2509z62zzast_nodez00(obj_t BgL_envz00_8290,
		obj_t BgL_oz00_8291, obj_t BgL_vz00_8292)
	{
		{	/* Ast/node.scm 202 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_8291)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8292)), BUNSPEC);
		}

	}



/* &lambda2508 */
	BgL_nodez00_bglt BGl_z62lambda2508z62zzast_nodez00(obj_t BgL_envz00_8293,
		obj_t BgL_oz00_8294)
	{
		{	/* Ast/node.scm 202 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_8294)))->BgL_valuez00);
		}

	}



/* &lambda2503 */
	obj_t BGl_z62lambda2503z62zzast_nodez00(obj_t BgL_envz00_8295,
		obj_t BgL_oz00_8296, obj_t BgL_vz00_8297)
	{
		{	/* Ast/node.scm 202 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_8296)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8297)), BUNSPEC);
		}

	}



/* &lambda2502 */
	BgL_varz00_bglt BGl_z62lambda2502z62zzast_nodez00(obj_t BgL_envz00_8298,
		obj_t BgL_oz00_8299)
	{
		{	/* Ast/node.scm 202 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_8299)))->BgL_varz00);
		}

	}



/* &<@anonymous:2476> */
	obj_t BGl_z62zc3z04anonymousza32476ze3ze5zzast_nodez00(obj_t BgL_envz00_8300,
		obj_t BgL_new1315z00_8301)
	{
		{	/* Ast/node.scm 197 */
			{
				BgL_castz00_bglt BgL_auxz00_15858;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castz00_bglt) BgL_new1315z00_8301))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15862;

					{	/* Ast/node.scm 197 */
						obj_t BgL_classz00_9977;

						BgL_classz00_9977 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 197 */
							obj_t BgL__ortest_1112z00_9978;

							BgL__ortest_1112z00_9978 = BGL_CLASS_NIL(BgL_classz00_9977);
							if (CBOOL(BgL__ortest_1112z00_9978))
								{	/* Ast/node.scm 197 */
									BgL_auxz00_15862 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9978);
								}
							else
								{	/* Ast/node.scm 197 */
									BgL_auxz00_15862 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9977));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castz00_bglt) BgL_new1315z00_8301))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15862), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15872;

					{	/* Ast/node.scm 197 */
						obj_t BgL_classz00_9979;

						BgL_classz00_9979 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 197 */
							obj_t BgL__ortest_1112z00_9980;

							BgL__ortest_1112z00_9980 = BGL_CLASS_NIL(BgL_classz00_9979);
							if (CBOOL(BgL__ortest_1112z00_9980))
								{	/* Ast/node.scm 197 */
									BgL_auxz00_15872 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_9980);
								}
							else
								{	/* Ast/node.scm 197 */
									BgL_auxz00_15872 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9979));
								}
						}
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_new1315z00_8301)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15872), BUNSPEC);
				}
				BgL_auxz00_15858 = ((BgL_castz00_bglt) BgL_new1315z00_8301);
				return ((obj_t) BgL_auxz00_15858);
			}
		}

	}



/* &lambda2473 */
	BgL_castz00_bglt BGl_z62lambda2473z62zzast_nodez00(obj_t BgL_envz00_8302)
	{
		{	/* Ast/node.scm 197 */
			{	/* Ast/node.scm 197 */
				BgL_castz00_bglt BgL_new1314z00_9981;

				BgL_new1314z00_9981 =
					((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castz00_bgl))));
				{	/* Ast/node.scm 197 */
					long BgL_arg2475z00_9982;

					BgL_arg2475z00_9982 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1314z00_9981), BgL_arg2475z00_9982);
				}
				{	/* Ast/node.scm 197 */
					BgL_objectz00_bglt BgL_tmpz00_15887;

					BgL_tmpz00_15887 = ((BgL_objectz00_bglt) BgL_new1314z00_9981);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15887, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1314z00_9981);
				return BgL_new1314z00_9981;
			}
		}

	}



/* &lambda2471 */
	BgL_castz00_bglt BGl_z62lambda2471z62zzast_nodez00(obj_t BgL_envz00_8303,
		obj_t BgL_loc1311z00_8304, obj_t BgL_type1312z00_8305,
		obj_t BgL_arg1313z00_8306)
	{
		{	/* Ast/node.scm 197 */
			{	/* Ast/node.scm 197 */
				BgL_castz00_bglt BgL_new1566z00_9985;

				{	/* Ast/node.scm 197 */
					BgL_castz00_bglt BgL_new1565z00_9986;

					BgL_new1565z00_9986 =
						((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/node.scm 197 */
						long BgL_arg2472z00_9987;

						BgL_arg2472z00_9987 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1565z00_9986), BgL_arg2472z00_9987);
					}
					{	/* Ast/node.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_15895;

						BgL_tmpz00_15895 = ((BgL_objectz00_bglt) BgL_new1565z00_9986);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15895, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1565z00_9986);
					BgL_new1566z00_9985 = BgL_new1565z00_9986;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1566z00_9985)))->BgL_locz00) =
					((obj_t) BgL_loc1311z00_8304), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1566z00_9985)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1312z00_8305)),
					BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(BgL_new1566z00_9985))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1313z00_8306)),
					BUNSPEC);
				return BgL_new1566z00_9985;
			}
		}

	}



/* &lambda2481 */
	obj_t BGl_z62lambda2481z62zzast_nodez00(obj_t BgL_envz00_8307,
		obj_t BgL_oz00_8308, obj_t BgL_vz00_8309)
	{
		{	/* Ast/node.scm 197 */
			return
				((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_oz00_8308)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8309)), BUNSPEC);
		}

	}



/* &lambda2480 */
	BgL_nodez00_bglt BGl_z62lambda2480z62zzast_nodez00(obj_t BgL_envz00_8310,
		obj_t BgL_oz00_8311)
	{
		{	/* Ast/node.scm 197 */
			return
				(((BgL_castz00_bglt) COBJECT(
						((BgL_castz00_bglt) BgL_oz00_8311)))->BgL_argz00);
		}

	}



/* &<@anonymous:2463> */
	obj_t BGl_z62zc3z04anonymousza32463ze3ze5zzast_nodez00(obj_t BgL_envz00_8312,
		obj_t BgL_new1309z00_8313)
	{
		{	/* Ast/node.scm 194 */
			{
				BgL_castzd2nullzd2_bglt BgL_auxz00_15911;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1309z00_8313))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15915;

					{	/* Ast/node.scm 194 */
						obj_t BgL_classz00_9992;

						BgL_classz00_9992 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 194 */
							obj_t BgL__ortest_1112z00_9993;

							BgL__ortest_1112z00_9993 = BGL_CLASS_NIL(BgL_classz00_9992);
							if (CBOOL(BgL__ortest_1112z00_9993))
								{	/* Ast/node.scm 194 */
									BgL_auxz00_15915 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9993);
								}
							else
								{	/* Ast/node.scm 194 */
									BgL_auxz00_15915 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9992));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_new1309z00_8313))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15915), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1309z00_8313))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1309z00_8313))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1309z00_8313))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1309z00_8313))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1309z00_8313))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				BgL_auxz00_15911 = ((BgL_castzd2nullzd2_bglt) BgL_new1309z00_8313);
				return ((obj_t) BgL_auxz00_15911);
			}
		}

	}



/* &lambda2461 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2461z62zzast_nodez00(obj_t
		BgL_envz00_8314)
	{
		{	/* Ast/node.scm 194 */
			{	/* Ast/node.scm 194 */
				BgL_castzd2nullzd2_bglt BgL_new1308z00_9994;

				BgL_new1308z00_9994 =
					((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzd2nullzd2_bgl))));
				{	/* Ast/node.scm 194 */
					long BgL_arg2462z00_9995;

					BgL_arg2462z00_9995 = BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1308z00_9994), BgL_arg2462z00_9995);
				}
				{	/* Ast/node.scm 194 */
					BgL_objectz00_bglt BgL_tmpz00_15946;

					BgL_tmpz00_15946 = ((BgL_objectz00_bglt) BgL_new1308z00_9994);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15946, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1308z00_9994);
				return BgL_new1308z00_9994;
			}
		}

	}



/* &lambda2459 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2459z62zzast_nodez00(obj_t
		BgL_envz00_8315, obj_t BgL_loc1301z00_8316, obj_t BgL_type1302z00_8317,
		obj_t BgL_sidezd2effect1303zd2_8318, obj_t BgL_key1304z00_8319,
		obj_t BgL_exprza21305za2_8320, obj_t BgL_effect1306z00_8321,
		obj_t BgL_czd2format1307zd2_8322)
	{
		{	/* Ast/node.scm 194 */
			{	/* Ast/node.scm 194 */
				BgL_castzd2nullzd2_bglt BgL_new1564z00_9999;

				{	/* Ast/node.scm 194 */
					BgL_castzd2nullzd2_bglt BgL_new1563z00_10000;

					BgL_new1563z00_10000 =
						((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/node.scm 194 */
						long BgL_arg2460z00_10001;

						BgL_arg2460z00_10001 =
							BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1563z00_10000),
							BgL_arg2460z00_10001);
					}
					{	/* Ast/node.scm 194 */
						BgL_objectz00_bglt BgL_tmpz00_15954;

						BgL_tmpz00_15954 = ((BgL_objectz00_bglt) BgL_new1563z00_10000);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15954, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1563z00_10000);
					BgL_new1564z00_9999 = BgL_new1563z00_10000;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1564z00_9999)))->BgL_locz00) =
					((obj_t) BgL_loc1301z00_8316), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1564z00_9999)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1302z00_8317)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1564z00_9999)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1303zd2_8318), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1564z00_9999)))->BgL_keyz00) =
					((obj_t) BgL_key1304z00_8319), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1564z00_9999)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21305za2_8320)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1564z00_9999)))->BgL_effectz00) =
					((obj_t) BgL_effect1306z00_8321), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1564z00_9999)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1307zd2_8322)), BUNSPEC);
				return BgL_new1564z00_9999;
			}
		}

	}



/* &<@anonymous:2447> */
	obj_t BGl_z62zc3z04anonymousza32447ze3ze5zzast_nodez00(obj_t BgL_envz00_8323,
		obj_t BgL_new1299z00_8324)
	{
		{	/* Ast/node.scm 190 */
			{
				BgL_instanceofz00_bglt BgL_auxz00_15975;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_new1299z00_8324))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15979;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_10003;

						BgL_classz00_10003 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1112z00_10004;

							BgL__ortest_1112z00_10004 = BGL_CLASS_NIL(BgL_classz00_10003);
							if (CBOOL(BgL__ortest_1112z00_10004))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_15979 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10004);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_15979 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10003));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_instanceofz00_bglt) BgL_new1299z00_8324))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15979), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_instanceofz00_bglt) BgL_new1299z00_8324))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1299z00_8324))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1299z00_8324))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1299z00_8324))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1299z00_8324))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16004;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_10005;

						BgL_classz00_10005 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1112z00_10006;

							BgL__ortest_1112z00_10006 = BGL_CLASS_NIL(BgL_classz00_10005);
							if (CBOOL(BgL__ortest_1112z00_10006))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_16004 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10006);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_16004 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10005));
								}
						}
					}
					((((BgL_instanceofz00_bglt) COBJECT(
									((BgL_instanceofz00_bglt) BgL_new1299z00_8324)))->
							BgL_classz00) = ((BgL_typez00_bglt) BgL_auxz00_16004), BUNSPEC);
				}
				BgL_auxz00_15975 = ((BgL_instanceofz00_bglt) BgL_new1299z00_8324);
				return ((obj_t) BgL_auxz00_15975);
			}
		}

	}



/* &lambda2445 */
	BgL_instanceofz00_bglt BGl_z62lambda2445z62zzast_nodez00(obj_t
		BgL_envz00_8325)
	{
		{	/* Ast/node.scm 190 */
			{	/* Ast/node.scm 190 */
				BgL_instanceofz00_bglt BgL_new1298z00_10007;

				BgL_new1298z00_10007 =
					((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_instanceofz00_bgl))));
				{	/* Ast/node.scm 190 */
					long BgL_arg2446z00_10008;

					BgL_arg2446z00_10008 = BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1298z00_10007), BgL_arg2446z00_10008);
				}
				{	/* Ast/node.scm 190 */
					BgL_objectz00_bglt BgL_tmpz00_16019;

					BgL_tmpz00_16019 = ((BgL_objectz00_bglt) BgL_new1298z00_10007);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16019, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1298z00_10007);
				return BgL_new1298z00_10007;
			}
		}

	}



/* &lambda2443 */
	BgL_instanceofz00_bglt BGl_z62lambda2443z62zzast_nodez00(obj_t
		BgL_envz00_8326, obj_t BgL_loc1290z00_8327, obj_t BgL_type1291z00_8328,
		obj_t BgL_sidezd2effect1292zd2_8329, obj_t BgL_key1293z00_8330,
		obj_t BgL_exprza21294za2_8331, obj_t BgL_effect1295z00_8332,
		obj_t BgL_czd2format1296zd2_8333, obj_t BgL_class1297z00_8334)
	{
		{	/* Ast/node.scm 190 */
			{	/* Ast/node.scm 190 */
				BgL_instanceofz00_bglt BgL_new1562z00_10013;

				{	/* Ast/node.scm 190 */
					BgL_instanceofz00_bglt BgL_new1561z00_10014;

					BgL_new1561z00_10014 =
						((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/node.scm 190 */
						long BgL_arg2444z00_10015;

						BgL_arg2444z00_10015 =
							BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1561z00_10014),
							BgL_arg2444z00_10015);
					}
					{	/* Ast/node.scm 190 */
						BgL_objectz00_bglt BgL_tmpz00_16027;

						BgL_tmpz00_16027 = ((BgL_objectz00_bglt) BgL_new1561z00_10014);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16027, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1561z00_10014);
					BgL_new1562z00_10013 = BgL_new1561z00_10014;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1562z00_10013)))->BgL_locz00) =
					((obj_t) BgL_loc1290z00_8327), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1562z00_10013)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1291z00_8328)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1562z00_10013)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1292zd2_8329), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1562z00_10013)))->BgL_keyz00) =
					((obj_t) BgL_key1293z00_8330), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1562z00_10013)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21294za2_8331)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1562z00_10013)))->BgL_effectz00) =
					((obj_t) BgL_effect1295z00_8332), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1562z00_10013)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1296zd2_8333)), BUNSPEC);
				((((BgL_instanceofz00_bglt) COBJECT(BgL_new1562z00_10013))->
						BgL_classz00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_class1297z00_8334)),
					BUNSPEC);
				return BgL_new1562z00_10013;
			}
		}

	}



/* &lambda2452 */
	obj_t BGl_z62lambda2452z62zzast_nodez00(obj_t BgL_envz00_8335,
		obj_t BgL_oz00_8336, obj_t BgL_vz00_8337)
	{
		{	/* Ast/node.scm 190 */
			return
				((((BgL_instanceofz00_bglt) COBJECT(
							((BgL_instanceofz00_bglt) BgL_oz00_8336)))->BgL_classz00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8337)), BUNSPEC);
		}

	}



/* &lambda2451 */
	BgL_typez00_bglt BGl_z62lambda2451z62zzast_nodez00(obj_t BgL_envz00_8338,
		obj_t BgL_oz00_8339)
	{
		{	/* Ast/node.scm 190 */
			return
				(((BgL_instanceofz00_bglt) COBJECT(
						((BgL_instanceofz00_bglt) BgL_oz00_8339)))->BgL_classz00);
		}

	}



/* &<@anonymous:2424> */
	obj_t BGl_z62zc3z04anonymousza32424ze3ze5zzast_nodez00(obj_t BgL_envz00_8340,
		obj_t BgL_new1288z00_8341)
	{
		{	/* Ast/node.scm 183 */
			{
				BgL_vlengthz00_bglt BgL_auxz00_16055;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vlengthz00_bglt) BgL_new1288z00_8341))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16059;

					{	/* Ast/node.scm 183 */
						obj_t BgL_classz00_10020;

						BgL_classz00_10020 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 183 */
							obj_t BgL__ortest_1112z00_10021;

							BgL__ortest_1112z00_10021 = BGL_CLASS_NIL(BgL_classz00_10020);
							if (CBOOL(BgL__ortest_1112z00_10021))
								{	/* Ast/node.scm 183 */
									BgL_auxz00_16059 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10021);
								}
							else
								{	/* Ast/node.scm 183 */
									BgL_auxz00_16059 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10020));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vlengthz00_bglt) BgL_new1288z00_8341))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16059), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vlengthz00_bglt) BgL_new1288z00_8341))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1288z00_8341))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1288z00_8341))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1288z00_8341))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1288z00_8341))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16084;

					{	/* Ast/node.scm 183 */
						obj_t BgL_classz00_10022;

						BgL_classz00_10022 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 183 */
							obj_t BgL__ortest_1112z00_10023;

							BgL__ortest_1112z00_10023 = BGL_CLASS_NIL(BgL_classz00_10022);
							if (CBOOL(BgL__ortest_1112z00_10023))
								{	/* Ast/node.scm 183 */
									BgL_auxz00_16084 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10023);
								}
							else
								{	/* Ast/node.scm 183 */
									BgL_auxz00_16084 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10022));
								}
						}
					}
					((((BgL_vlengthz00_bglt) COBJECT(
									((BgL_vlengthz00_bglt) BgL_new1288z00_8341)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16084), BUNSPEC);
				}
				((((BgL_vlengthz00_bglt) COBJECT(
								((BgL_vlengthz00_bglt) BgL_new1288z00_8341)))->BgL_ftypez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_16055 = ((BgL_vlengthz00_bglt) BgL_new1288z00_8341);
				return ((obj_t) BgL_auxz00_16055);
			}
		}

	}



/* &lambda2422 */
	BgL_vlengthz00_bglt BGl_z62lambda2422z62zzast_nodez00(obj_t BgL_envz00_8342)
	{
		{	/* Ast/node.scm 183 */
			{	/* Ast/node.scm 183 */
				BgL_vlengthz00_bglt BgL_new1287z00_10024;

				BgL_new1287z00_10024 =
					((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vlengthz00_bgl))));
				{	/* Ast/node.scm 183 */
					long BgL_arg2423z00_10025;

					BgL_arg2423z00_10025 = BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1287z00_10024), BgL_arg2423z00_10025);
				}
				{	/* Ast/node.scm 183 */
					BgL_objectz00_bglt BgL_tmpz00_16101;

					BgL_tmpz00_16101 = ((BgL_objectz00_bglt) BgL_new1287z00_10024);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16101, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1287z00_10024);
				return BgL_new1287z00_10024;
			}
		}

	}



/* &lambda2420 */
	BgL_vlengthz00_bglt BGl_z62lambda2420z62zzast_nodez00(obj_t BgL_envz00_8343,
		obj_t BgL_loc1278z00_8344, obj_t BgL_type1279z00_8345,
		obj_t BgL_sidezd2effect1280zd2_8346, obj_t BgL_key1281z00_8347,
		obj_t BgL_exprza21282za2_8348, obj_t BgL_effect1283z00_8349,
		obj_t BgL_czd2format1284zd2_8350, obj_t BgL_vtype1285z00_8351,
		obj_t BgL_ftype1286z00_8352)
	{
		{	/* Ast/node.scm 183 */
			{	/* Ast/node.scm 183 */
				BgL_vlengthz00_bglt BgL_new1560z00_10030;

				{	/* Ast/node.scm 183 */
					BgL_vlengthz00_bglt BgL_new1559z00_10031;

					BgL_new1559z00_10031 =
						((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/node.scm 183 */
						long BgL_arg2421z00_10032;

						BgL_arg2421z00_10032 = BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1559z00_10031),
							BgL_arg2421z00_10032);
					}
					{	/* Ast/node.scm 183 */
						BgL_objectz00_bglt BgL_tmpz00_16109;

						BgL_tmpz00_16109 = ((BgL_objectz00_bglt) BgL_new1559z00_10031);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16109, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1559z00_10031);
					BgL_new1560z00_10030 = BgL_new1559z00_10031;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1560z00_10030)))->BgL_locz00) =
					((obj_t) BgL_loc1278z00_8344), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1560z00_10030)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1279z00_8345)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1560z00_10030)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1280zd2_8346), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1560z00_10030)))->BgL_keyz00) =
					((obj_t) BgL_key1281z00_8347), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1560z00_10030)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21282za2_8348)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1560z00_10030)))->BgL_effectz00) =
					((obj_t) BgL_effect1283z00_8349), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1560z00_10030)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1284zd2_8350)), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1560z00_10030))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1285z00_8351)),
					BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1560z00_10030))->BgL_ftypez00) =
					((obj_t) BgL_ftype1286z00_8352), BUNSPEC);
				return BgL_new1560z00_10030;
			}
		}

	}



/* &lambda2435 */
	obj_t BGl_z62lambda2435z62zzast_nodez00(obj_t BgL_envz00_8353,
		obj_t BgL_oz00_8354, obj_t BgL_vz00_8355)
	{
		{	/* Ast/node.scm 183 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(
							((BgL_vlengthz00_bglt) BgL_oz00_8354)))->BgL_ftypez00) =
				((obj_t) BgL_vz00_8355), BUNSPEC);
		}

	}



/* &lambda2434 */
	obj_t BGl_z62lambda2434z62zzast_nodez00(obj_t BgL_envz00_8356,
		obj_t BgL_oz00_8357)
	{
		{	/* Ast/node.scm 183 */
			return
				(((BgL_vlengthz00_bglt) COBJECT(
						((BgL_vlengthz00_bglt) BgL_oz00_8357)))->BgL_ftypez00);
		}

	}



/* &lambda2429 */
	obj_t BGl_z62lambda2429z62zzast_nodez00(obj_t BgL_envz00_8358,
		obj_t BgL_oz00_8359, obj_t BgL_vz00_8360)
	{
		{	/* Ast/node.scm 183 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(
							((BgL_vlengthz00_bglt) BgL_oz00_8359)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8360)), BUNSPEC);
		}

	}



/* &lambda2428 */
	BgL_typez00_bglt BGl_z62lambda2428z62zzast_nodez00(obj_t BgL_envz00_8361,
		obj_t BgL_oz00_8362)
	{
		{	/* Ast/node.scm 183 */
			return
				(((BgL_vlengthz00_bglt) COBJECT(
						((BgL_vlengthz00_bglt) BgL_oz00_8362)))->BgL_vtypez00);
		}

	}



/* &<@anonymous:2389> */
	obj_t BGl_z62zc3z04anonymousza32389ze3ze5zzast_nodez00(obj_t BgL_envz00_8363,
		obj_t BgL_new1276z00_8364)
	{
		{	/* Ast/node.scm 172 */
			{
				BgL_vsetz12z12_bglt BgL_auxz00_16142;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1276z00_8364))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16146;

					{	/* Ast/node.scm 172 */
						obj_t BgL_classz00_10039;

						BgL_classz00_10039 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 172 */
							obj_t BgL__ortest_1112z00_10040;

							BgL__ortest_1112z00_10040 = BGL_CLASS_NIL(BgL_classz00_10039);
							if (CBOOL(BgL__ortest_1112z00_10040))
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16146 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10040);
								}
							else
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16146 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10039));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1276z00_8364))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16146), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1276z00_8364))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1276z00_8364))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1276z00_8364))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1276z00_8364))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1276z00_8364))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16171;

					{	/* Ast/node.scm 172 */
						obj_t BgL_classz00_10041;

						BgL_classz00_10041 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 172 */
							obj_t BgL__ortest_1112z00_10042;

							BgL__ortest_1112z00_10042 = BGL_CLASS_NIL(BgL_classz00_10041);
							if (CBOOL(BgL__ortest_1112z00_10042))
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16171 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10042);
								}
							else
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16171 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10041));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1276z00_8364)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16171), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16180;

					{	/* Ast/node.scm 172 */
						obj_t BgL_classz00_10043;

						BgL_classz00_10043 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 172 */
							obj_t BgL__ortest_1112z00_10044;

							BgL__ortest_1112z00_10044 = BGL_CLASS_NIL(BgL_classz00_10043);
							if (CBOOL(BgL__ortest_1112z00_10044))
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16180 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10044);
								}
							else
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16180 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10043));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1276z00_8364)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16180), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16189;

					{	/* Ast/node.scm 172 */
						obj_t BgL_classz00_10045;

						BgL_classz00_10045 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 172 */
							obj_t BgL__ortest_1112z00_10046;

							BgL__ortest_1112z00_10046 = BGL_CLASS_NIL(BgL_classz00_10045);
							if (CBOOL(BgL__ortest_1112z00_10046))
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16189 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10046);
								}
							else
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16189 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10045));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1276z00_8364)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16189), BUNSPEC);
				}
				((((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_new1276z00_8364)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_16142 = ((BgL_vsetz12z12_bglt) BgL_new1276z00_8364);
				return ((obj_t) BgL_auxz00_16142);
			}
		}

	}



/* &lambda2387 */
	BgL_vsetz12z12_bglt BGl_z62lambda2387z62zzast_nodez00(obj_t BgL_envz00_8365)
	{
		{	/* Ast/node.scm 172 */
			{	/* Ast/node.scm 172 */
				BgL_vsetz12z12_bglt BgL_new1275z00_10047;

				BgL_new1275z00_10047 =
					((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vsetz12z12_bgl))));
				{	/* Ast/node.scm 172 */
					long BgL_arg2388z00_10048;

					BgL_arg2388z00_10048 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1275z00_10047), BgL_arg2388z00_10048);
				}
				{	/* Ast/node.scm 172 */
					BgL_objectz00_bglt BgL_tmpz00_16206;

					BgL_tmpz00_16206 = ((BgL_objectz00_bglt) BgL_new1275z00_10047);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16206, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1275z00_10047);
				return BgL_new1275z00_10047;
			}
		}

	}



/* &lambda2385 */
	BgL_vsetz12z12_bglt BGl_z62lambda2385z62zzast_nodez00(obj_t BgL_envz00_8366,
		obj_t BgL_loc1264z00_8367, obj_t BgL_type1265z00_8368,
		obj_t BgL_sidezd2effect1266zd2_8369, obj_t BgL_key1267z00_8370,
		obj_t BgL_exprza21268za2_8371, obj_t BgL_effect1269z00_8372,
		obj_t BgL_czd2format1270zd2_8373, obj_t BgL_ftype1271z00_8374,
		obj_t BgL_otype1272z00_8375, obj_t BgL_vtype1273z00_8376,
		obj_t BgL_unsafe1274z00_8377)
	{
		{	/* Ast/node.scm 172 */
			{	/* Ast/node.scm 172 */
				bool_t BgL_unsafe1274z00_10055;

				BgL_unsafe1274z00_10055 = CBOOL(BgL_unsafe1274z00_8377);
				{	/* Ast/node.scm 172 */
					BgL_vsetz12z12_bglt BgL_new1558z00_10056;

					{	/* Ast/node.scm 172 */
						BgL_vsetz12z12_bglt BgL_new1557z00_10057;

						BgL_new1557z00_10057 =
							((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vsetz12z12_bgl))));
						{	/* Ast/node.scm 172 */
							long BgL_arg2386z00_10058;

							BgL_arg2386z00_10058 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1557z00_10057),
								BgL_arg2386z00_10058);
						}
						{	/* Ast/node.scm 172 */
							BgL_objectz00_bglt BgL_tmpz00_16215;

							BgL_tmpz00_16215 = ((BgL_objectz00_bglt) BgL_new1557z00_10057);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16215, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1557z00_10057);
						BgL_new1558z00_10056 = BgL_new1557z00_10057;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1558z00_10056)))->BgL_locz00) =
						((obj_t) BgL_loc1264z00_8367), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1558z00_10056)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1265z00_8368)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1558z00_10056)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1266zd2_8369), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1558z00_10056)))->BgL_keyz00) =
						((obj_t) BgL_key1267z00_8370), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1558z00_10056)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21268za2_8371)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1558z00_10056)))->BgL_effectz00) =
						((obj_t) BgL_effect1269z00_8372), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1558z00_10056)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1270zd2_8373)), BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1558z00_10056))->
							BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1271z00_8374)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1558z00_10056))->
							BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1272z00_8375)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1558z00_10056))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1273z00_8376)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1558z00_10056))->
							BgL_unsafez00) = ((bool_t) BgL_unsafe1274z00_10055), BUNSPEC);
					return BgL_new1558z00_10056;
				}
			}
		}

	}



/* &<@anonymous:2413> */
	obj_t BGl_z62zc3z04anonymousza32413ze3ze5zzast_nodez00(obj_t BgL_envz00_8378)
	{
		{	/* Ast/node.scm 172 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2412 */
	obj_t BGl_z62lambda2412z62zzast_nodez00(obj_t BgL_envz00_8379,
		obj_t BgL_oz00_8380, obj_t BgL_vz00_8381)
	{
		{	/* Ast/node.scm 172 */
			{	/* Ast/node.scm 172 */
				bool_t BgL_vz00_10060;

				BgL_vz00_10060 = CBOOL(BgL_vz00_8381);
				return
					((((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_oz00_8380)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_10060), BUNSPEC);
			}
		}

	}



/* &lambda2411 */
	obj_t BGl_z62lambda2411z62zzast_nodez00(obj_t BgL_envz00_8382,
		obj_t BgL_oz00_8383)
	{
		{	/* Ast/node.scm 172 */
			return
				BBOOL(
				(((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8383)))->BgL_unsafez00));
		}

	}



/* &lambda2405 */
	obj_t BGl_z62lambda2405z62zzast_nodez00(obj_t BgL_envz00_8384,
		obj_t BgL_oz00_8385, obj_t BgL_vz00_8386)
	{
		{	/* Ast/node.scm 172 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8385)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8386)), BUNSPEC);
		}

	}



/* &lambda2404 */
	BgL_typez00_bglt BGl_z62lambda2404z62zzast_nodez00(obj_t BgL_envz00_8387,
		obj_t BgL_oz00_8388)
	{
		{	/* Ast/node.scm 172 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_8388)))->BgL_vtypez00);
		}

	}



/* &lambda2399 */
	obj_t BGl_z62lambda2399z62zzast_nodez00(obj_t BgL_envz00_8389,
		obj_t BgL_oz00_8390, obj_t BgL_vz00_8391)
	{
		{	/* Ast/node.scm 172 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8390)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8391)), BUNSPEC);
		}

	}



/* &lambda2398 */
	BgL_typez00_bglt BGl_z62lambda2398z62zzast_nodez00(obj_t BgL_envz00_8392,
		obj_t BgL_oz00_8393)
	{
		{	/* Ast/node.scm 172 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_8393)))->BgL_otypez00);
		}

	}



/* &lambda2394 */
	obj_t BGl_z62lambda2394z62zzast_nodez00(obj_t BgL_envz00_8394,
		obj_t BgL_oz00_8395, obj_t BgL_vz00_8396)
	{
		{	/* Ast/node.scm 172 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8395)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8396)), BUNSPEC);
		}

	}



/* &lambda2393 */
	BgL_typez00_bglt BGl_z62lambda2393z62zzast_nodez00(obj_t BgL_envz00_8397,
		obj_t BgL_oz00_8398)
	{
		{	/* Ast/node.scm 172 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_8398)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2355> */
	obj_t BGl_z62zc3z04anonymousza32355ze3ze5zzast_nodez00(obj_t BgL_envz00_8399,
		obj_t BgL_new1262z00_8400)
	{
		{	/* Ast/node.scm 161 */
			{
				BgL_vrefz00_bglt BgL_auxz00_16265;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_new1262z00_8400))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16269;

					{	/* Ast/node.scm 161 */
						obj_t BgL_classz00_10072;

						BgL_classz00_10072 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 161 */
							obj_t BgL__ortest_1112z00_10073;

							BgL__ortest_1112z00_10073 = BGL_CLASS_NIL(BgL_classz00_10072);
							if (CBOOL(BgL__ortest_1112z00_10073))
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16269 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10073);
								}
							else
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16269 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10072));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vrefz00_bglt) BgL_new1262z00_8400))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_16269), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vrefz00_bglt) BgL_new1262z00_8400))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vrefz00_bglt)
										BgL_new1262z00_8400))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1262z00_8400))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1262z00_8400))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1262z00_8400))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16294;

					{	/* Ast/node.scm 161 */
						obj_t BgL_classz00_10074;

						BgL_classz00_10074 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 161 */
							obj_t BgL__ortest_1112z00_10075;

							BgL__ortest_1112z00_10075 = BGL_CLASS_NIL(BgL_classz00_10074);
							if (CBOOL(BgL__ortest_1112z00_10075))
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16294 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10075);
								}
							else
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16294 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10074));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1262z00_8400)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16294), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16303;

					{	/* Ast/node.scm 161 */
						obj_t BgL_classz00_10076;

						BgL_classz00_10076 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 161 */
							obj_t BgL__ortest_1112z00_10077;

							BgL__ortest_1112z00_10077 = BGL_CLASS_NIL(BgL_classz00_10076);
							if (CBOOL(BgL__ortest_1112z00_10077))
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16303 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10077);
								}
							else
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16303 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10076));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1262z00_8400)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16303), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16312;

					{	/* Ast/node.scm 161 */
						obj_t BgL_classz00_10078;

						BgL_classz00_10078 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 161 */
							obj_t BgL__ortest_1112z00_10079;

							BgL__ortest_1112z00_10079 = BGL_CLASS_NIL(BgL_classz00_10078);
							if (CBOOL(BgL__ortest_1112z00_10079))
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16312 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10079);
								}
							else
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16312 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10078));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1262z00_8400)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16312), BUNSPEC);
				}
				((((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_new1262z00_8400)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_16265 = ((BgL_vrefz00_bglt) BgL_new1262z00_8400);
				return ((obj_t) BgL_auxz00_16265);
			}
		}

	}



/* &lambda2353 */
	BgL_vrefz00_bglt BGl_z62lambda2353z62zzast_nodez00(obj_t BgL_envz00_8401)
	{
		{	/* Ast/node.scm 161 */
			{	/* Ast/node.scm 161 */
				BgL_vrefz00_bglt BgL_new1261z00_10080;

				BgL_new1261z00_10080 =
					((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vrefz00_bgl))));
				{	/* Ast/node.scm 161 */
					long BgL_arg2354z00_10081;

					BgL_arg2354z00_10081 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1261z00_10080), BgL_arg2354z00_10081);
				}
				{	/* Ast/node.scm 161 */
					BgL_objectz00_bglt BgL_tmpz00_16329;

					BgL_tmpz00_16329 = ((BgL_objectz00_bglt) BgL_new1261z00_10080);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16329, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1261z00_10080);
				return BgL_new1261z00_10080;
			}
		}

	}



/* &lambda2351 */
	BgL_vrefz00_bglt BGl_z62lambda2351z62zzast_nodez00(obj_t BgL_envz00_8402,
		obj_t BgL_loc1249z00_8403, obj_t BgL_type1251z00_8404,
		obj_t BgL_sidezd2effect1252zd2_8405, obj_t BgL_key1253z00_8406,
		obj_t BgL_exprza21254za2_8407, obj_t BgL_effect1255z00_8408,
		obj_t BgL_czd2format1256zd2_8409, obj_t BgL_ftype1257z00_8410,
		obj_t BgL_otype1258z00_8411, obj_t BgL_vtype1259z00_8412,
		obj_t BgL_unsafe1260z00_8413)
	{
		{	/* Ast/node.scm 161 */
			{	/* Ast/node.scm 161 */
				bool_t BgL_unsafe1260z00_10088;

				BgL_unsafe1260z00_10088 = CBOOL(BgL_unsafe1260z00_8413);
				{	/* Ast/node.scm 161 */
					BgL_vrefz00_bglt BgL_new1556z00_10089;

					{	/* Ast/node.scm 161 */
						BgL_vrefz00_bglt BgL_new1555z00_10090;

						BgL_new1555z00_10090 =
							((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vrefz00_bgl))));
						{	/* Ast/node.scm 161 */
							long BgL_arg2352z00_10091;

							BgL_arg2352z00_10091 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1555z00_10090),
								BgL_arg2352z00_10091);
						}
						{	/* Ast/node.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_16338;

							BgL_tmpz00_16338 = ((BgL_objectz00_bglt) BgL_new1555z00_10090);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16338, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1555z00_10090);
						BgL_new1556z00_10089 = BgL_new1555z00_10090;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1556z00_10089)))->BgL_locz00) =
						((obj_t) BgL_loc1249z00_8403), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1556z00_10089)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1251z00_8404)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1556z00_10089)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1252zd2_8405), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1556z00_10089)))->BgL_keyz00) =
						((obj_t) BgL_key1253z00_8406), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1556z00_10089)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21254za2_8407)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1556z00_10089)))->BgL_effectz00) =
						((obj_t) BgL_effect1255z00_8408), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1556z00_10089)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1256zd2_8409)), BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1556z00_10089))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1257z00_8410)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1556z00_10089))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1258z00_8411)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1556z00_10089))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1259z00_8412)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1556z00_10089))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1260z00_10088), BUNSPEC);
					return BgL_new1556z00_10089;
				}
			}
		}

	}



/* &<@anonymous:2379> */
	obj_t BGl_z62zc3z04anonymousza32379ze3ze5zzast_nodez00(obj_t BgL_envz00_8414)
	{
		{	/* Ast/node.scm 161 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2378 */
	obj_t BGl_z62lambda2378z62zzast_nodez00(obj_t BgL_envz00_8415,
		obj_t BgL_oz00_8416, obj_t BgL_vz00_8417)
	{
		{	/* Ast/node.scm 161 */
			{	/* Ast/node.scm 161 */
				bool_t BgL_vz00_10093;

				BgL_vz00_10093 = CBOOL(BgL_vz00_8417);
				return
					((((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_oz00_8416)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_10093), BUNSPEC);
			}
		}

	}



/* &lambda2377 */
	obj_t BGl_z62lambda2377z62zzast_nodez00(obj_t BgL_envz00_8418,
		obj_t BgL_oz00_8419)
	{
		{	/* Ast/node.scm 161 */
			return
				BBOOL(
				(((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8419)))->BgL_unsafez00));
		}

	}



/* &lambda2371 */
	obj_t BGl_z62lambda2371z62zzast_nodez00(obj_t BgL_envz00_8420,
		obj_t BgL_oz00_8421, obj_t BgL_vz00_8422)
	{
		{	/* Ast/node.scm 161 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8421)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8422)), BUNSPEC);
		}

	}



/* &lambda2370 */
	BgL_typez00_bglt BGl_z62lambda2370z62zzast_nodez00(obj_t BgL_envz00_8423,
		obj_t BgL_oz00_8424)
	{
		{	/* Ast/node.scm 161 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_8424)))->BgL_vtypez00);
		}

	}



/* &lambda2366 */
	obj_t BGl_z62lambda2366z62zzast_nodez00(obj_t BgL_envz00_8425,
		obj_t BgL_oz00_8426, obj_t BgL_vz00_8427)
	{
		{	/* Ast/node.scm 161 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8426)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8427)), BUNSPEC);
		}

	}



/* &lambda2365 */
	BgL_typez00_bglt BGl_z62lambda2365z62zzast_nodez00(obj_t BgL_envz00_8428,
		obj_t BgL_oz00_8429)
	{
		{	/* Ast/node.scm 161 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_8429)))->BgL_otypez00);
		}

	}



/* &lambda2360 */
	obj_t BGl_z62lambda2360z62zzast_nodez00(obj_t BgL_envz00_8430,
		obj_t BgL_oz00_8431, obj_t BgL_vz00_8432)
	{
		{	/* Ast/node.scm 161 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8431)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8432)), BUNSPEC);
		}

	}



/* &lambda2359 */
	BgL_typez00_bglt BGl_z62lambda2359z62zzast_nodez00(obj_t BgL_envz00_8433,
		obj_t BgL_oz00_8434)
	{
		{	/* Ast/node.scm 161 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_8434)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2329> */
	obj_t BGl_z62zc3z04anonymousza32329ze3ze5zzast_nodez00(obj_t BgL_envz00_8435,
		obj_t BgL_new1247z00_8436)
	{
		{	/* Ast/node.scm 154 */
			{
				BgL_vallocz00_bglt BgL_auxz00_16388;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vallocz00_bglt) BgL_new1247z00_8436))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16392;

					{	/* Ast/node.scm 154 */
						obj_t BgL_classz00_10105;

						BgL_classz00_10105 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 154 */
							obj_t BgL__ortest_1112z00_10106;

							BgL__ortest_1112z00_10106 = BGL_CLASS_NIL(BgL_classz00_10105);
							if (CBOOL(BgL__ortest_1112z00_10106))
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16392 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10106);
								}
							else
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16392 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10105));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_new1247z00_8436))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16392), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vallocz00_bglt) BgL_new1247z00_8436))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vallocz00_bglt)
										BgL_new1247z00_8436))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1247z00_8436))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1247z00_8436))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1247z00_8436))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16417;

					{	/* Ast/node.scm 154 */
						obj_t BgL_classz00_10107;

						BgL_classz00_10107 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 154 */
							obj_t BgL__ortest_1112z00_10108;

							BgL__ortest_1112z00_10108 = BGL_CLASS_NIL(BgL_classz00_10107);
							if (CBOOL(BgL__ortest_1112z00_10108))
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16417 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10108);
								}
							else
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16417 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10107));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_new1247z00_8436)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16417), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16426;

					{	/* Ast/node.scm 154 */
						obj_t BgL_classz00_10109;

						BgL_classz00_10109 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 154 */
							obj_t BgL__ortest_1112z00_10110;

							BgL__ortest_1112z00_10110 = BGL_CLASS_NIL(BgL_classz00_10109);
							if (CBOOL(BgL__ortest_1112z00_10110))
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16426 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10110);
								}
							else
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16426 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10109));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_new1247z00_8436)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16426), BUNSPEC);
				}
				BgL_auxz00_16388 = ((BgL_vallocz00_bglt) BgL_new1247z00_8436);
				return ((obj_t) BgL_auxz00_16388);
			}
		}

	}



/* &lambda2327 */
	BgL_vallocz00_bglt BGl_z62lambda2327z62zzast_nodez00(obj_t BgL_envz00_8437)
	{
		{	/* Ast/node.scm 154 */
			{	/* Ast/node.scm 154 */
				BgL_vallocz00_bglt BgL_new1246z00_10111;

				BgL_new1246z00_10111 =
					((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vallocz00_bgl))));
				{	/* Ast/node.scm 154 */
					long BgL_arg2328z00_10112;

					BgL_arg2328z00_10112 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1246z00_10111), BgL_arg2328z00_10112);
				}
				{	/* Ast/node.scm 154 */
					BgL_objectz00_bglt BgL_tmpz00_16441;

					BgL_tmpz00_16441 = ((BgL_objectz00_bglt) BgL_new1246z00_10111);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16441, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1246z00_10111);
				return BgL_new1246z00_10111;
			}
		}

	}



/* &lambda2325 */
	BgL_vallocz00_bglt BGl_z62lambda2325z62zzast_nodez00(obj_t BgL_envz00_8438,
		obj_t BgL_loc1236z00_8439, obj_t BgL_type1237z00_8440,
		obj_t BgL_sidezd2effect1239zd2_8441, obj_t BgL_key1240z00_8442,
		obj_t BgL_exprza21241za2_8443, obj_t BgL_effect1242z00_8444,
		obj_t BgL_czd2format1243zd2_8445, obj_t BgL_ftype1244z00_8446,
		obj_t BgL_otype1245z00_8447)
	{
		{	/* Ast/node.scm 154 */
			{	/* Ast/node.scm 154 */
				BgL_vallocz00_bglt BgL_new1554z00_10118;

				{	/* Ast/node.scm 154 */
					BgL_vallocz00_bglt BgL_new1553z00_10119;

					BgL_new1553z00_10119 =
						((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/node.scm 154 */
						long BgL_arg2326z00_10120;

						BgL_arg2326z00_10120 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1553z00_10119),
							BgL_arg2326z00_10120);
					}
					{	/* Ast/node.scm 154 */
						BgL_objectz00_bglt BgL_tmpz00_16449;

						BgL_tmpz00_16449 = ((BgL_objectz00_bglt) BgL_new1553z00_10119);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16449, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1553z00_10119);
					BgL_new1554z00_10118 = BgL_new1553z00_10119;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1554z00_10118)))->BgL_locz00) =
					((obj_t) BgL_loc1236z00_8439), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1554z00_10118)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1237z00_8440)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1554z00_10118)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1239zd2_8441), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1554z00_10118)))->BgL_keyz00) =
					((obj_t) BgL_key1240z00_8442), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1554z00_10118)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21241za2_8443)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1554z00_10118)))->BgL_effectz00) =
					((obj_t) BgL_effect1242z00_8444), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1554z00_10118)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1243zd2_8445)), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1554z00_10118))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1244z00_8446)),
					BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1554z00_10118))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1245z00_8447)),
					BUNSPEC);
				return BgL_new1554z00_10118;
			}
		}

	}



/* &lambda2342 */
	obj_t BGl_z62lambda2342z62zzast_nodez00(obj_t BgL_envz00_8448,
		obj_t BgL_oz00_8449, obj_t BgL_vz00_8450)
	{
		{	/* Ast/node.scm 154 */
			return
				((((BgL_vallocz00_bglt) COBJECT(
							((BgL_vallocz00_bglt) BgL_oz00_8449)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8450)), BUNSPEC);
		}

	}



/* &lambda2341 */
	BgL_typez00_bglt BGl_z62lambda2341z62zzast_nodez00(obj_t BgL_envz00_8451,
		obj_t BgL_oz00_8452)
	{
		{	/* Ast/node.scm 154 */
			return
				(((BgL_vallocz00_bglt) COBJECT(
						((BgL_vallocz00_bglt) BgL_oz00_8452)))->BgL_otypez00);
		}

	}



/* &lambda2336 */
	obj_t BGl_z62lambda2336z62zzast_nodez00(obj_t BgL_envz00_8453,
		obj_t BgL_oz00_8454, obj_t BgL_vz00_8455)
	{
		{	/* Ast/node.scm 154 */
			return
				((((BgL_vallocz00_bglt) COBJECT(
							((BgL_vallocz00_bglt) BgL_oz00_8454)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8455)), BUNSPEC);
		}

	}



/* &lambda2335 */
	BgL_typez00_bglt BGl_z62lambda2335z62zzast_nodez00(obj_t BgL_envz00_8456,
		obj_t BgL_oz00_8457)
	{
		{	/* Ast/node.scm 154 */
			return
				(((BgL_vallocz00_bglt) COBJECT(
						((BgL_vallocz00_bglt) BgL_oz00_8457)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2311> */
	obj_t BGl_z62zc3z04anonymousza32311ze3ze5zzast_nodez00(obj_t BgL_envz00_8458,
		obj_t BgL_new1234z00_8459)
	{
		{	/* Ast/node.scm 150 */
			{
				BgL_newz00_bglt BgL_auxz00_16484;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_new1234z00_8459))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16488;

					{	/* Ast/node.scm 150 */
						obj_t BgL_classz00_10128;

						BgL_classz00_10128 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 150 */
							obj_t BgL__ortest_1112z00_10129;

							BgL__ortest_1112z00_10129 = BGL_CLASS_NIL(BgL_classz00_10128);
							if (CBOOL(BgL__ortest_1112z00_10129))
								{	/* Ast/node.scm 150 */
									BgL_auxz00_16488 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10129);
								}
							else
								{	/* Ast/node.scm 150 */
									BgL_auxz00_16488 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10128));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_newz00_bglt) BgL_new1234z00_8459))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_16488), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_newz00_bglt) BgL_new1234z00_8459))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_newz00_bglt)
										BgL_new1234z00_8459))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1234z00_8459))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1234z00_8459))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_newz00_bglt)
										BgL_new1234z00_8459))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt) BgL_new1234z00_8459)))->
						BgL_argszd2typezd2) = ((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_16484 = ((BgL_newz00_bglt) BgL_new1234z00_8459);
				return ((obj_t) BgL_auxz00_16484);
			}
		}

	}



/* &lambda2309 */
	BgL_newz00_bglt BGl_z62lambda2309z62zzast_nodez00(obj_t BgL_envz00_8460)
	{
		{	/* Ast/node.scm 150 */
			{	/* Ast/node.scm 150 */
				BgL_newz00_bglt BgL_new1233z00_10130;

				BgL_new1233z00_10130 =
					((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_newz00_bgl))));
				{	/* Ast/node.scm 150 */
					long BgL_arg2310z00_10131;

					BgL_arg2310z00_10131 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1233z00_10130), BgL_arg2310z00_10131);
				}
				{	/* Ast/node.scm 150 */
					BgL_objectz00_bglt BgL_tmpz00_16521;

					BgL_tmpz00_16521 = ((BgL_objectz00_bglt) BgL_new1233z00_10130);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16521, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1233z00_10130);
				return BgL_new1233z00_10130;
			}
		}

	}



/* &lambda2307 */
	BgL_newz00_bglt BGl_z62lambda2307z62zzast_nodez00(obj_t BgL_envz00_8461,
		obj_t BgL_loc1225z00_8462, obj_t BgL_type1226z00_8463,
		obj_t BgL_sidezd2effect1227zd2_8464, obj_t BgL_key1228z00_8465,
		obj_t BgL_exprza21229za2_8466, obj_t BgL_effect1230z00_8467,
		obj_t BgL_czd2format1231zd2_8468, obj_t BgL_argszd2type1232zd2_8469)
	{
		{	/* Ast/node.scm 150 */
			{	/* Ast/node.scm 150 */
				BgL_newz00_bglt BgL_new1552z00_10136;

				{	/* Ast/node.scm 150 */
					BgL_newz00_bglt BgL_new1551z00_10137;

					BgL_new1551z00_10137 =
						((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_newz00_bgl))));
					{	/* Ast/node.scm 150 */
						long BgL_arg2308z00_10138;

						BgL_arg2308z00_10138 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1551z00_10137),
							BgL_arg2308z00_10138);
					}
					{	/* Ast/node.scm 150 */
						BgL_objectz00_bglt BgL_tmpz00_16529;

						BgL_tmpz00_16529 = ((BgL_objectz00_bglt) BgL_new1551z00_10137);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16529, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1551z00_10137);
					BgL_new1552z00_10136 = BgL_new1551z00_10137;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1552z00_10136)))->BgL_locz00) =
					((obj_t) BgL_loc1225z00_8462), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1552z00_10136)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1226z00_8463)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1552z00_10136)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1227zd2_8464), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1552z00_10136)))->BgL_keyz00) =
					((obj_t) BgL_key1228z00_8465), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1552z00_10136)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21229za2_8466)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1552z00_10136)))->BgL_effectz00) =
					((obj_t) BgL_effect1230z00_8467), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1552z00_10136)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1231zd2_8468)), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(BgL_new1552z00_10136))->
						BgL_argszd2typezd2) =
					((obj_t) ((obj_t) BgL_argszd2type1232zd2_8469)), BUNSPEC);
				return BgL_new1552z00_10136;
			}
		}

	}



/* &<@anonymous:2319> */
	obj_t BGl_z62zc3z04anonymousza32319ze3ze5zzast_nodez00(obj_t BgL_envz00_8470)
	{
		{	/* Ast/node.scm 150 */
			return BNIL;
		}

	}



/* &lambda2318 */
	obj_t BGl_z62lambda2318z62zzast_nodez00(obj_t BgL_envz00_8471,
		obj_t BgL_oz00_8472, obj_t BgL_vz00_8473)
	{
		{	/* Ast/node.scm 150 */
			return
				((((BgL_newz00_bglt) COBJECT(
							((BgL_newz00_bglt) BgL_oz00_8472)))->BgL_argszd2typezd2) =
				((obj_t) ((obj_t) BgL_vz00_8473)), BUNSPEC);
		}

	}



/* &lambda2317 */
	obj_t BGl_z62lambda2317z62zzast_nodez00(obj_t BgL_envz00_8474,
		obj_t BgL_oz00_8475)
	{
		{	/* Ast/node.scm 150 */
			return
				(((BgL_newz00_bglt) COBJECT(
						((BgL_newz00_bglt) BgL_oz00_8475)))->BgL_argszd2typezd2);
		}

	}



/* &<@anonymous:2295> */
	obj_t BGl_z62zc3z04anonymousza32295ze3ze5zzast_nodez00(obj_t BgL_envz00_8476,
		obj_t BgL_new1223z00_8477)
	{
		{	/* Ast/node.scm 146 */
			{
				BgL_wideningz00_bglt BgL_auxz00_16557;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_wideningz00_bglt) BgL_new1223z00_8477))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16561;

					{	/* Ast/node.scm 146 */
						obj_t BgL_classz00_10143;

						BgL_classz00_10143 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 146 */
							obj_t BgL__ortest_1112z00_10144;

							BgL__ortest_1112z00_10144 = BGL_CLASS_NIL(BgL_classz00_10143);
							if (CBOOL(BgL__ortest_1112z00_10144))
								{	/* Ast/node.scm 146 */
									BgL_auxz00_16561 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10144);
								}
							else
								{	/* Ast/node.scm 146 */
									BgL_auxz00_16561 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10143));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_wideningz00_bglt) BgL_new1223z00_8477))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16561), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_wideningz00_bglt) BgL_new1223z00_8477))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_wideningz00_bglt)
										BgL_new1223z00_8477))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1223z00_8477))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1223z00_8477))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1223z00_8477))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16586;

					{	/* Ast/node.scm 146 */
						obj_t BgL_classz00_10145;

						BgL_classz00_10145 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 146 */
							obj_t BgL__ortest_1112z00_10146;

							BgL__ortest_1112z00_10146 = BGL_CLASS_NIL(BgL_classz00_10145);
							if (CBOOL(BgL__ortest_1112z00_10146))
								{	/* Ast/node.scm 146 */
									BgL_auxz00_16586 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10146);
								}
							else
								{	/* Ast/node.scm 146 */
									BgL_auxz00_16586 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10145));
								}
						}
					}
					((((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt) BgL_new1223z00_8477)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16586), BUNSPEC);
				}
				BgL_auxz00_16557 = ((BgL_wideningz00_bglt) BgL_new1223z00_8477);
				return ((obj_t) BgL_auxz00_16557);
			}
		}

	}



/* &lambda2293 */
	BgL_wideningz00_bglt BGl_z62lambda2293z62zzast_nodez00(obj_t BgL_envz00_8478)
	{
		{	/* Ast/node.scm 146 */
			{	/* Ast/node.scm 146 */
				BgL_wideningz00_bglt BgL_new1222z00_10147;

				BgL_new1222z00_10147 =
					((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_wideningz00_bgl))));
				{	/* Ast/node.scm 146 */
					long BgL_arg2294z00_10148;

					BgL_arg2294z00_10148 = BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1222z00_10147), BgL_arg2294z00_10148);
				}
				{	/* Ast/node.scm 146 */
					BgL_objectz00_bglt BgL_tmpz00_16601;

					BgL_tmpz00_16601 = ((BgL_objectz00_bglt) BgL_new1222z00_10147);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16601, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1222z00_10147);
				return BgL_new1222z00_10147;
			}
		}

	}



/* &lambda2291 */
	BgL_wideningz00_bglt BGl_z62lambda2291z62zzast_nodez00(obj_t BgL_envz00_8479,
		obj_t BgL_loc1214z00_8480, obj_t BgL_type1215z00_8481,
		obj_t BgL_sidezd2effect1216zd2_8482, obj_t BgL_key1217z00_8483,
		obj_t BgL_exprza21218za2_8484, obj_t BgL_effect1219z00_8485,
		obj_t BgL_czd2format1220zd2_8486, obj_t BgL_otype1221z00_8487)
	{
		{	/* Ast/node.scm 146 */
			{	/* Ast/node.scm 146 */
				BgL_wideningz00_bglt BgL_new1550z00_10153;

				{	/* Ast/node.scm 146 */
					BgL_wideningz00_bglt BgL_new1549z00_10154;

					BgL_new1549z00_10154 =
						((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/node.scm 146 */
						long BgL_arg2292z00_10155;

						BgL_arg2292z00_10155 = BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1549z00_10154),
							BgL_arg2292z00_10155);
					}
					{	/* Ast/node.scm 146 */
						BgL_objectz00_bglt BgL_tmpz00_16609;

						BgL_tmpz00_16609 = ((BgL_objectz00_bglt) BgL_new1549z00_10154);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16609, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1549z00_10154);
					BgL_new1550z00_10153 = BgL_new1549z00_10154;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1550z00_10153)))->BgL_locz00) =
					((obj_t) BgL_loc1214z00_8480), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1550z00_10153)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1215z00_8481)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1550z00_10153)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1216zd2_8482), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1550z00_10153)))->BgL_keyz00) =
					((obj_t) BgL_key1217z00_8483), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1550z00_10153)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21218za2_8484)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1550z00_10153)))->BgL_effectz00) =
					((obj_t) BgL_effect1219z00_8485), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1550z00_10153)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1220zd2_8486)), BUNSPEC);
				((((BgL_wideningz00_bglt) COBJECT(BgL_new1550z00_10153))->
						BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1221z00_8487)),
					BUNSPEC);
				return BgL_new1550z00_10153;
			}
		}

	}



/* &lambda2300 */
	obj_t BGl_z62lambda2300z62zzast_nodez00(obj_t BgL_envz00_8488,
		obj_t BgL_oz00_8489, obj_t BgL_vz00_8490)
	{
		{	/* Ast/node.scm 146 */
			return
				((((BgL_wideningz00_bglt) COBJECT(
							((BgL_wideningz00_bglt) BgL_oz00_8489)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8490)), BUNSPEC);
		}

	}



/* &lambda2299 */
	BgL_typez00_bglt BGl_z62lambda2299z62zzast_nodez00(obj_t BgL_envz00_8491,
		obj_t BgL_oz00_8492)
	{
		{	/* Ast/node.scm 146 */
			return
				(((BgL_wideningz00_bglt) COBJECT(
						((BgL_wideningz00_bglt) BgL_oz00_8492)))->BgL_otypez00);
		}

	}



/* &<@anonymous:2269> */
	obj_t BGl_z62zc3z04anonymousza32269ze3ze5zzast_nodez00(obj_t BgL_envz00_8493,
		obj_t BgL_new1212z00_8494)
	{
		{	/* Ast/node.scm 136 */
			{
				BgL_setfieldz00_bglt BgL_auxz00_16637;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_new1212z00_8494))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16641;

					{	/* Ast/node.scm 136 */
						obj_t BgL_classz00_10160;

						BgL_classz00_10160 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 136 */
							obj_t BgL__ortest_1112z00_10161;

							BgL__ortest_1112z00_10161 = BGL_CLASS_NIL(BgL_classz00_10160);
							if (CBOOL(BgL__ortest_1112z00_10161))
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16641 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10161);
								}
							else
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16641 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10160));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1212z00_8494))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16641), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_setfieldz00_bglt) BgL_new1212z00_8494))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1212z00_8494))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1212z00_8494))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1212z00_8494))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1212z00_8494))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1212z00_8494)))->BgL_fnamez00) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16668;

					{	/* Ast/node.scm 136 */
						obj_t BgL_classz00_10162;

						BgL_classz00_10162 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 136 */
							obj_t BgL__ortest_1112z00_10163;

							BgL__ortest_1112z00_10163 = BGL_CLASS_NIL(BgL_classz00_10162);
							if (CBOOL(BgL__ortest_1112z00_10163))
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16668 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10163);
								}
							else
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16668 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10162));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_new1212z00_8494)))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_16668), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16677;

					{	/* Ast/node.scm 136 */
						obj_t BgL_classz00_10164;

						BgL_classz00_10164 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 136 */
							obj_t BgL__ortest_1112z00_10165;

							BgL__ortest_1112z00_10165 = BGL_CLASS_NIL(BgL_classz00_10164);
							if (CBOOL(BgL__ortest_1112z00_10165))
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16677 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10165);
								}
							else
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16677 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10164));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_new1212z00_8494)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16677), BUNSPEC);
				}
				BgL_auxz00_16637 = ((BgL_setfieldz00_bglt) BgL_new1212z00_8494);
				return ((obj_t) BgL_auxz00_16637);
			}
		}

	}



/* &lambda2267 */
	BgL_setfieldz00_bglt BGl_z62lambda2267z62zzast_nodez00(obj_t BgL_envz00_8495)
	{
		{	/* Ast/node.scm 136 */
			{	/* Ast/node.scm 136 */
				BgL_setfieldz00_bglt BgL_new1211z00_10166;

				BgL_new1211z00_10166 =
					((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setfieldz00_bgl))));
				{	/* Ast/node.scm 136 */
					long BgL_arg2268z00_10167;

					BgL_arg2268z00_10167 = BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1211z00_10166), BgL_arg2268z00_10167);
				}
				{	/* Ast/node.scm 136 */
					BgL_objectz00_bglt BgL_tmpz00_16692;

					BgL_tmpz00_16692 = ((BgL_objectz00_bglt) BgL_new1211z00_10166);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16692, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1211z00_10166);
				return BgL_new1211z00_10166;
			}
		}

	}



/* &lambda2265 */
	BgL_setfieldz00_bglt BGl_z62lambda2265z62zzast_nodez00(obj_t BgL_envz00_8496,
		obj_t BgL_loc1201z00_8497, obj_t BgL_type1202z00_8498,
		obj_t BgL_sidezd2effect1203zd2_8499, obj_t BgL_key1204z00_8500,
		obj_t BgL_exprza21205za2_8501, obj_t BgL_effect1206z00_8502,
		obj_t BgL_czd2format1207zd2_8503, obj_t BgL_fname1208z00_8504,
		obj_t BgL_ftype1209z00_8505, obj_t BgL_otype1210z00_8506)
	{
		{	/* Ast/node.scm 136 */
			{	/* Ast/node.scm 136 */
				BgL_setfieldz00_bglt BgL_new1548z00_10174;

				{	/* Ast/node.scm 136 */
					BgL_setfieldz00_bglt BgL_new1547z00_10175;

					BgL_new1547z00_10175 =
						((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/node.scm 136 */
						long BgL_arg2266z00_10176;

						BgL_arg2266z00_10176 = BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1547z00_10175),
							BgL_arg2266z00_10176);
					}
					{	/* Ast/node.scm 136 */
						BgL_objectz00_bglt BgL_tmpz00_16700;

						BgL_tmpz00_16700 = ((BgL_objectz00_bglt) BgL_new1547z00_10175);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16700, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1547z00_10175);
					BgL_new1548z00_10174 = BgL_new1547z00_10175;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1548z00_10174)))->BgL_locz00) =
					((obj_t) BgL_loc1201z00_8497), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1548z00_10174)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1202z00_8498)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1548z00_10174)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1203zd2_8499), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1548z00_10174)))->BgL_keyz00) =
					((obj_t) BgL_key1204z00_8500), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1548z00_10174)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21205za2_8501)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1548z00_10174)))->BgL_effectz00) =
					((obj_t) BgL_effect1206z00_8502), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1548z00_10174)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1207zd2_8503)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1548z00_10174))->
						BgL_fnamez00) = ((obj_t) ((obj_t) BgL_fname1208z00_8504)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1548z00_10174))->
						BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1209z00_8505)),
					BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1548z00_10174))->
						BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1210z00_8506)),
					BUNSPEC);
				return BgL_new1548z00_10174;
			}
		}

	}



/* &lambda2284 */
	obj_t BGl_z62lambda2284z62zzast_nodez00(obj_t BgL_envz00_8507,
		obj_t BgL_oz00_8508, obj_t BgL_vz00_8509)
	{
		{	/* Ast/node.scm 136 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_8508)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8509)), BUNSPEC);
		}

	}



/* &lambda2283 */
	BgL_typez00_bglt BGl_z62lambda2283z62zzast_nodez00(obj_t BgL_envz00_8510,
		obj_t BgL_oz00_8511)
	{
		{	/* Ast/node.scm 136 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_8511)))->BgL_otypez00);
		}

	}



/* &lambda2279 */
	obj_t BGl_z62lambda2279z62zzast_nodez00(obj_t BgL_envz00_8512,
		obj_t BgL_oz00_8513, obj_t BgL_vz00_8514)
	{
		{	/* Ast/node.scm 136 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_8513)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8514)), BUNSPEC);
		}

	}



/* &lambda2278 */
	BgL_typez00_bglt BGl_z62lambda2278z62zzast_nodez00(obj_t BgL_envz00_8515,
		obj_t BgL_oz00_8516)
	{
		{	/* Ast/node.scm 136 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_8516)))->BgL_ftypez00);
		}

	}



/* &lambda2274 */
	obj_t BGl_z62lambda2274z62zzast_nodez00(obj_t BgL_envz00_8517,
		obj_t BgL_oz00_8518, obj_t BgL_vz00_8519)
	{
		{	/* Ast/node.scm 136 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_8518)))->BgL_fnamez00) = ((obj_t)
					((obj_t) BgL_vz00_8519)), BUNSPEC);
		}

	}



/* &lambda2273 */
	obj_t BGl_z62lambda2273z62zzast_nodez00(obj_t BgL_envz00_8520,
		obj_t BgL_oz00_8521)
	{
		{	/* Ast/node.scm 136 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_8521)))->BgL_fnamez00);
		}

	}



/* &<@anonymous:2244> */
	obj_t BGl_z62zc3z04anonymousza32244ze3ze5zzast_nodez00(obj_t BgL_envz00_8522,
		obj_t BgL_new1199z00_8523)
	{
		{	/* Ast/node.scm 127 */
			{
				BgL_getfieldz00_bglt BgL_auxz00_16742;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_new1199z00_8523))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16746;

					{	/* Ast/node.scm 127 */
						obj_t BgL_classz00_10187;

						BgL_classz00_10187 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 127 */
							obj_t BgL__ortest_1112z00_10188;

							BgL__ortest_1112z00_10188 = BGL_CLASS_NIL(BgL_classz00_10187);
							if (CBOOL(BgL__ortest_1112z00_10188))
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16746 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10188);
								}
							else
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16746 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10187));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1199z00_8523))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16746), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_getfieldz00_bglt) BgL_new1199z00_8523))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1199z00_8523))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1199z00_8523))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1199z00_8523))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1199z00_8523))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1199z00_8523)))->BgL_fnamez00) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16773;

					{	/* Ast/node.scm 127 */
						obj_t BgL_classz00_10189;

						BgL_classz00_10189 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 127 */
							obj_t BgL__ortest_1112z00_10190;

							BgL__ortest_1112z00_10190 = BGL_CLASS_NIL(BgL_classz00_10189);
							if (CBOOL(BgL__ortest_1112z00_10190))
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16773 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10190);
								}
							else
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16773 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10189));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_new1199z00_8523)))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_16773), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16782;

					{	/* Ast/node.scm 127 */
						obj_t BgL_classz00_10191;

						BgL_classz00_10191 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 127 */
							obj_t BgL__ortest_1112z00_10192;

							BgL__ortest_1112z00_10192 = BGL_CLASS_NIL(BgL_classz00_10191);
							if (CBOOL(BgL__ortest_1112z00_10192))
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16782 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10192);
								}
							else
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16782 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10191));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_new1199z00_8523)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16782), BUNSPEC);
				}
				BgL_auxz00_16742 = ((BgL_getfieldz00_bglt) BgL_new1199z00_8523);
				return ((obj_t) BgL_auxz00_16742);
			}
		}

	}



/* &lambda2242 */
	BgL_getfieldz00_bglt BGl_z62lambda2242z62zzast_nodez00(obj_t BgL_envz00_8524)
	{
		{	/* Ast/node.scm 127 */
			{	/* Ast/node.scm 127 */
				BgL_getfieldz00_bglt BgL_new1198z00_10193;

				BgL_new1198z00_10193 =
					((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_getfieldz00_bgl))));
				{	/* Ast/node.scm 127 */
					long BgL_arg2243z00_10194;

					BgL_arg2243z00_10194 = BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1198z00_10193), BgL_arg2243z00_10194);
				}
				{	/* Ast/node.scm 127 */
					BgL_objectz00_bglt BgL_tmpz00_16797;

					BgL_tmpz00_16797 = ((BgL_objectz00_bglt) BgL_new1198z00_10193);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16797, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1198z00_10193);
				return BgL_new1198z00_10193;
			}
		}

	}



/* &lambda2240 */
	BgL_getfieldz00_bglt BGl_z62lambda2240z62zzast_nodez00(obj_t BgL_envz00_8525,
		obj_t BgL_loc1188z00_8526, obj_t BgL_type1189z00_8527,
		obj_t BgL_sidezd2effect1190zd2_8528, obj_t BgL_key1191z00_8529,
		obj_t BgL_exprza21192za2_8530, obj_t BgL_effect1193z00_8531,
		obj_t BgL_czd2format1194zd2_8532, obj_t BgL_fname1195z00_8533,
		obj_t BgL_ftype1196z00_8534, obj_t BgL_otype1197z00_8535)
	{
		{	/* Ast/node.scm 127 */
			{	/* Ast/node.scm 127 */
				BgL_getfieldz00_bglt BgL_new1546z00_10201;

				{	/* Ast/node.scm 127 */
					BgL_getfieldz00_bglt BgL_new1545z00_10202;

					BgL_new1545z00_10202 =
						((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/node.scm 127 */
						long BgL_arg2241z00_10203;

						BgL_arg2241z00_10203 = BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1545z00_10202),
							BgL_arg2241z00_10203);
					}
					{	/* Ast/node.scm 127 */
						BgL_objectz00_bglt BgL_tmpz00_16805;

						BgL_tmpz00_16805 = ((BgL_objectz00_bglt) BgL_new1545z00_10202);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16805, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1545z00_10202);
					BgL_new1546z00_10201 = BgL_new1545z00_10202;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1546z00_10201)))->BgL_locz00) =
					((obj_t) BgL_loc1188z00_8526), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1546z00_10201)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1189z00_8527)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1546z00_10201)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1190zd2_8528), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1546z00_10201)))->BgL_keyz00) =
					((obj_t) BgL_key1191z00_8529), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1546z00_10201)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21192za2_8530)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1546z00_10201)))->BgL_effectz00) =
					((obj_t) BgL_effect1193z00_8531), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1546z00_10201)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1194zd2_8532)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1546z00_10201))->
						BgL_fnamez00) = ((obj_t) ((obj_t) BgL_fname1195z00_8533)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1546z00_10201))->
						BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1196z00_8534)),
					BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1546z00_10201))->
						BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1197z00_8535)),
					BUNSPEC);
				return BgL_new1546z00_10201;
			}
		}

	}



/* &lambda2259 */
	obj_t BGl_z62lambda2259z62zzast_nodez00(obj_t BgL_envz00_8536,
		obj_t BgL_oz00_8537, obj_t BgL_vz00_8538)
	{
		{	/* Ast/node.scm 127 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_8537)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8538)), BUNSPEC);
		}

	}



/* &lambda2258 */
	BgL_typez00_bglt BGl_z62lambda2258z62zzast_nodez00(obj_t BgL_envz00_8539,
		obj_t BgL_oz00_8540)
	{
		{	/* Ast/node.scm 127 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_8540)))->BgL_otypez00);
		}

	}



/* &lambda2254 */
	obj_t BGl_z62lambda2254z62zzast_nodez00(obj_t BgL_envz00_8541,
		obj_t BgL_oz00_8542, obj_t BgL_vz00_8543)
	{
		{	/* Ast/node.scm 127 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_8542)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8543)), BUNSPEC);
		}

	}



/* &lambda2253 */
	BgL_typez00_bglt BGl_z62lambda2253z62zzast_nodez00(obj_t BgL_envz00_8544,
		obj_t BgL_oz00_8545)
	{
		{	/* Ast/node.scm 127 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_8545)))->BgL_ftypez00);
		}

	}



/* &lambda2249 */
	obj_t BGl_z62lambda2249z62zzast_nodez00(obj_t BgL_envz00_8546,
		obj_t BgL_oz00_8547, obj_t BgL_vz00_8548)
	{
		{	/* Ast/node.scm 127 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_8547)))->BgL_fnamez00) = ((obj_t)
					((obj_t) BgL_vz00_8548)), BUNSPEC);
		}

	}



/* &lambda2248 */
	obj_t BGl_z62lambda2248z62zzast_nodez00(obj_t BgL_envz00_8549,
		obj_t BgL_oz00_8550)
	{
		{	/* Ast/node.scm 127 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_8550)))->BgL_fnamez00);
		}

	}



/* &<@anonymous:2229> */
	obj_t BGl_z62zc3z04anonymousza32229ze3ze5zzast_nodez00(obj_t BgL_envz00_8551,
		obj_t BgL_new1186z00_8552)
	{
		{	/* Ast/node.scm 123 */
			{
				BgL_privatez00_bglt BgL_auxz00_16847;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_privatez00_bglt) BgL_new1186z00_8552))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16851;

					{	/* Ast/node.scm 123 */
						obj_t BgL_classz00_10214;

						BgL_classz00_10214 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 123 */
							obj_t BgL__ortest_1112z00_10215;

							BgL__ortest_1112z00_10215 = BGL_CLASS_NIL(BgL_classz00_10214);
							if (CBOOL(BgL__ortest_1112z00_10215))
								{	/* Ast/node.scm 123 */
									BgL_auxz00_16851 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10215);
								}
							else
								{	/* Ast/node.scm 123 */
									BgL_auxz00_16851 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10214));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_privatez00_bglt) BgL_new1186z00_8552))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16851), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_privatez00_bglt) BgL_new1186z00_8552))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_privatez00_bglt)
										BgL_new1186z00_8552))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_privatez00_bglt)
										BgL_new1186z00_8552))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_privatez00_bglt)
										BgL_new1186z00_8552))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1186z00_8552)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				BgL_auxz00_16847 = ((BgL_privatez00_bglt) BgL_new1186z00_8552);
				return ((obj_t) BgL_auxz00_16847);
			}
		}

	}



/* &lambda2227 */
	BgL_privatez00_bglt BGl_z62lambda2227z62zzast_nodez00(obj_t BgL_envz00_8553)
	{
		{	/* Ast/node.scm 123 */
			{	/* Ast/node.scm 123 */
				BgL_privatez00_bglt BgL_new1185z00_10216;

				BgL_new1185z00_10216 =
					((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_privatez00_bgl))));
				{	/* Ast/node.scm 123 */
					long BgL_arg2228z00_10217;

					BgL_arg2228z00_10217 = BGL_CLASS_NUM(BGl_privatez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1185z00_10216), BgL_arg2228z00_10217);
				}
				return BgL_new1185z00_10216;
			}
		}

	}



/* &lambda2225 */
	BgL_privatez00_bglt BGl_z62lambda2225z62zzast_nodez00(obj_t BgL_envz00_8554,
		obj_t BgL_loc1178z00_8555, obj_t BgL_type1179z00_8556,
		obj_t BgL_sidezd2effect1180zd2_8557, obj_t BgL_key1181z00_8558,
		obj_t BgL_exprza21182za2_8559, obj_t BgL_effect1183z00_8560,
		obj_t BgL_czd2format1184zd2_8561)
	{
		{	/* Ast/node.scm 123 */
			{	/* Ast/node.scm 123 */
				BgL_privatez00_bglt BgL_new1544z00_10221;

				{	/* Ast/node.scm 123 */
					BgL_privatez00_bglt BgL_new1543z00_10222;

					BgL_new1543z00_10222 =
						((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/node.scm 123 */
						long BgL_arg2226z00_10223;

						BgL_arg2226z00_10223 = BGL_CLASS_NUM(BGl_privatez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1543z00_10222),
							BgL_arg2226z00_10223);
					}
					BgL_new1544z00_10221 = BgL_new1543z00_10222;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1544z00_10221)))->BgL_locz00) =
					((obj_t) BgL_loc1178z00_8555), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1544z00_10221)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1179z00_8556)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1544z00_10221)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1180zd2_8557), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1544z00_10221)))->BgL_keyz00) =
					((obj_t) BgL_key1181z00_8558), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1544z00_10221)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21182za2_8559)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1544z00_10221)))->BgL_effectz00) =
					((obj_t) BgL_effect1183z00_8560), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(BgL_new1544z00_10221))->
						BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1184zd2_8561)), BUNSPEC);
				return BgL_new1544z00_10221;
			}
		}

	}



/* &lambda2234 */
	obj_t BGl_z62lambda2234z62zzast_nodez00(obj_t BgL_envz00_8562,
		obj_t BgL_oz00_8563, obj_t BgL_vz00_8564)
	{
		{	/* Ast/node.scm 123 */
			return
				((((BgL_privatez00_bglt) COBJECT(
							((BgL_privatez00_bglt) BgL_oz00_8563)))->BgL_czd2formatzd2) =
				((obj_t) ((obj_t) BgL_vz00_8564)), BUNSPEC);
		}

	}



/* &lambda2233 */
	obj_t BGl_z62lambda2233z62zzast_nodez00(obj_t BgL_envz00_8565,
		obj_t BgL_oz00_8566)
	{
		{	/* Ast/node.scm 123 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_8566)))->BgL_czd2formatzd2);
		}

	}



/* &<@anonymous:2205> */
	obj_t BGl_z62zc3z04anonymousza32205ze3ze5zzast_nodez00(obj_t BgL_envz00_8567,
		obj_t BgL_new1176z00_8568)
	{
		{	/* Ast/node.scm 118 */
			{
				BgL_genpatchidz00_bglt BgL_auxz00_16906;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1176z00_8568))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16910;

					{	/* Ast/node.scm 118 */
						obj_t BgL_classz00_10228;

						BgL_classz00_10228 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 118 */
							obj_t BgL__ortest_1112z00_10229;

							BgL__ortest_1112z00_10229 = BGL_CLASS_NIL(BgL_classz00_10228);
							if (CBOOL(BgL__ortest_1112z00_10229))
								{	/* Ast/node.scm 118 */
									BgL_auxz00_16910 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10229);
								}
							else
								{	/* Ast/node.scm 118 */
									BgL_auxz00_16910 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10228));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_genpatchidz00_bglt) BgL_new1176z00_8568))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16910), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1176z00_8568))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1176z00_8568))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1176z00_8568))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1176z00_8568))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1176z00_8568)))->BgL_indexz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1176z00_8568)))->BgL_rindexz00) =
					((long) ((long) 0)), BUNSPEC);
				BgL_auxz00_16906 = ((BgL_genpatchidz00_bglt) BgL_new1176z00_8568);
				return ((obj_t) BgL_auxz00_16906);
			}
		}

	}



/* &lambda2203 */
	BgL_genpatchidz00_bglt BGl_z62lambda2203z62zzast_nodez00(obj_t
		BgL_envz00_8569)
	{
		{	/* Ast/node.scm 118 */
			{	/* Ast/node.scm 118 */
				BgL_genpatchidz00_bglt BgL_new1175z00_10230;

				BgL_new1175z00_10230 =
					((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_genpatchidz00_bgl))));
				{	/* Ast/node.scm 118 */
					long BgL_arg2204z00_10231;

					BgL_arg2204z00_10231 = BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1175z00_10230), BgL_arg2204z00_10231);
				}
				{	/* Ast/node.scm 118 */
					BgL_objectz00_bglt BgL_tmpz00_16942;

					BgL_tmpz00_16942 = ((BgL_objectz00_bglt) BgL_new1175z00_10230);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16942, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1175z00_10230);
				return BgL_new1175z00_10230;
			}
		}

	}



/* &lambda2201 */
	BgL_genpatchidz00_bglt BGl_z62lambda2201z62zzast_nodez00(obj_t
		BgL_envz00_8570, obj_t BgL_loc1167z00_8571, obj_t BgL_type1168z00_8572,
		obj_t BgL_sidezd2effect1169zd2_8573, obj_t BgL_key1170z00_8574,
		obj_t BgL_exprza21171za2_8575, obj_t BgL_effect1172z00_8576,
		obj_t BgL_index1173z00_8577, obj_t BgL_rindex1174z00_8578)
	{
		{	/* Ast/node.scm 118 */
			{	/* Ast/node.scm 118 */
				long BgL_index1173z00_10234;
				long BgL_rindex1174z00_10235;

				BgL_index1173z00_10234 = (long) CINT(BgL_index1173z00_8577);
				BgL_rindex1174z00_10235 = (long) CINT(BgL_rindex1174z00_8578);
				{	/* Ast/node.scm 118 */
					BgL_genpatchidz00_bglt BgL_new1542z00_10236;

					{	/* Ast/node.scm 118 */
						BgL_genpatchidz00_bglt BgL_new1541z00_10237;

						BgL_new1541z00_10237 =
							((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_genpatchidz00_bgl))));
						{	/* Ast/node.scm 118 */
							long BgL_arg2202z00_10238;

							BgL_arg2202z00_10238 =
								BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1541z00_10237),
								BgL_arg2202z00_10238);
						}
						{	/* Ast/node.scm 118 */
							BgL_objectz00_bglt BgL_tmpz00_16952;

							BgL_tmpz00_16952 = ((BgL_objectz00_bglt) BgL_new1541z00_10237);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16952, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1541z00_10237);
						BgL_new1542z00_10236 = BgL_new1541z00_10237;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1542z00_10236)))->BgL_locz00) =
						((obj_t) BgL_loc1167z00_8571), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1542z00_10236)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1168z00_8572)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1542z00_10236)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1169zd2_8573), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1542z00_10236)))->BgL_keyz00) =
						((obj_t) BgL_key1170z00_8574), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1542z00_10236)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21171za2_8575)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1542z00_10236)))->BgL_effectz00) =
						((obj_t) BgL_effect1172z00_8576), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1542z00_10236))->
							BgL_indexz00) = ((long) BgL_index1173z00_10234), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1542z00_10236))->
							BgL_rindexz00) = ((long) BgL_rindex1174z00_10235), BUNSPEC);
					return BgL_new1542z00_10236;
				}
			}
		}

	}



/* &<@anonymous:2219> */
	obj_t BGl_z62zc3z04anonymousza32219ze3ze5zzast_nodez00(obj_t BgL_envz00_8579)
	{
		{	/* Ast/node.scm 118 */
			return BINT(((long) -1));
		}

	}



/* &lambda2218 */
	obj_t BGl_z62lambda2218z62zzast_nodez00(obj_t BgL_envz00_8580,
		obj_t BgL_oz00_8581, obj_t BgL_vz00_8582)
	{
		{	/* Ast/node.scm 118 */
			{	/* Ast/node.scm 118 */
				long BgL_vz00_10240;

				BgL_vz00_10240 = (long) CINT(BgL_vz00_8582);
				return
					((((BgL_genpatchidz00_bglt) COBJECT(
								((BgL_genpatchidz00_bglt) BgL_oz00_8581)))->BgL_rindexz00) =
					((long) BgL_vz00_10240), BUNSPEC);
		}}

	}



/* &lambda2217 */
	obj_t BGl_z62lambda2217z62zzast_nodez00(obj_t BgL_envz00_8583,
		obj_t BgL_oz00_8584)
	{
		{	/* Ast/node.scm 118 */
			return
				BINT(
				(((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_8584)))->BgL_rindexz00));
		}

	}



/* &<@anonymous:2212> */
	obj_t BGl_z62zc3z04anonymousza32212ze3ze5zzast_nodez00(obj_t BgL_envz00_8585)
	{
		{	/* Ast/node.scm 118 */
			return BINT(((long) -1));
		}

	}



/* &lambda2211 */
	obj_t BGl_z62lambda2211z62zzast_nodez00(obj_t BgL_envz00_8586,
		obj_t BgL_oz00_8587, obj_t BgL_vz00_8588)
	{
		{	/* Ast/node.scm 118 */
			{	/* Ast/node.scm 118 */
				long BgL_vz00_10243;

				BgL_vz00_10243 = (long) CINT(BgL_vz00_8588);
				return
					((((BgL_genpatchidz00_bglt) COBJECT(
								((BgL_genpatchidz00_bglt) BgL_oz00_8587)))->BgL_indexz00) =
					((long) BgL_vz00_10243), BUNSPEC);
		}}

	}



/* &lambda2210 */
	obj_t BGl_z62lambda2210z62zzast_nodez00(obj_t BgL_envz00_8589,
		obj_t BgL_oz00_8590)
	{
		{	/* Ast/node.scm 118 */
			return
				BINT(
				(((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_8590)))->BgL_indexz00));
		}

	}



/* &<@anonymous:2190> */
	obj_t BGl_z62zc3z04anonymousza32190ze3ze5zzast_nodez00(obj_t BgL_envz00_8591,
		obj_t BgL_new1165z00_8592)
	{
		{	/* Ast/node.scm 114 */
			{
				BgL_pragmaz00_bglt BgL_auxz00_16986;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_pragmaz00_bglt) BgL_new1165z00_8592))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16990;

					{	/* Ast/node.scm 114 */
						obj_t BgL_classz00_10246;

						BgL_classz00_10246 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 114 */
							obj_t BgL__ortest_1112z00_10247;

							BgL__ortest_1112z00_10247 = BGL_CLASS_NIL(BgL_classz00_10246);
							if (CBOOL(BgL__ortest_1112z00_10247))
								{	/* Ast/node.scm 114 */
									BgL_auxz00_16990 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10247);
								}
							else
								{	/* Ast/node.scm 114 */
									BgL_auxz00_16990 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10246));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_pragmaz00_bglt) BgL_new1165z00_8592))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16990), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_pragmaz00_bglt) BgL_new1165z00_8592))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1165z00_8592))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1165z00_8592))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1165z00_8592))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
									BgL_new1165z00_8592)))->BgL_formatz00) =
					((obj_t) BGl_string3342z00zzast_nodez00), BUNSPEC);
				BgL_auxz00_16986 = ((BgL_pragmaz00_bglt) BgL_new1165z00_8592);
				return ((obj_t) BgL_auxz00_16986);
			}
		}

	}



/* &lambda2188 */
	BgL_pragmaz00_bglt BGl_z62lambda2188z62zzast_nodez00(obj_t BgL_envz00_8593)
	{
		{	/* Ast/node.scm 114 */
			{	/* Ast/node.scm 114 */
				BgL_pragmaz00_bglt BgL_new1164z00_10248;

				BgL_new1164z00_10248 =
					((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pragmaz00_bgl))));
				{	/* Ast/node.scm 114 */
					long BgL_arg2189z00_10249;

					BgL_arg2189z00_10249 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1164z00_10248), BgL_arg2189z00_10249);
				}
				{	/* Ast/node.scm 114 */
					BgL_objectz00_bglt BgL_tmpz00_17020;

					BgL_tmpz00_17020 = ((BgL_objectz00_bglt) BgL_new1164z00_10248);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17020, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1164z00_10248);
				return BgL_new1164z00_10248;
			}
		}

	}



/* &lambda2186 */
	BgL_pragmaz00_bglt BGl_z62lambda2186z62zzast_nodez00(obj_t BgL_envz00_8594,
		obj_t BgL_loc1157z00_8595, obj_t BgL_type1158z00_8596,
		obj_t BgL_sidezd2effect1159zd2_8597, obj_t BgL_key1160z00_8598,
		obj_t BgL_exprza21161za2_8599, obj_t BgL_effect1162z00_8600,
		obj_t BgL_format1163z00_8601)
	{
		{	/* Ast/node.scm 114 */
			{	/* Ast/node.scm 114 */
				BgL_pragmaz00_bglt BgL_new1540z00_10253;

				{	/* Ast/node.scm 114 */
					BgL_pragmaz00_bglt BgL_new1539z00_10254;

					BgL_new1539z00_10254 =
						((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/node.scm 114 */
						long BgL_arg2187z00_10255;

						BgL_arg2187z00_10255 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1539z00_10254),
							BgL_arg2187z00_10255);
					}
					{	/* Ast/node.scm 114 */
						BgL_objectz00_bglt BgL_tmpz00_17028;

						BgL_tmpz00_17028 = ((BgL_objectz00_bglt) BgL_new1539z00_10254);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17028, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1539z00_10254);
					BgL_new1540z00_10253 = BgL_new1539z00_10254;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1540z00_10253)))->BgL_locz00) =
					((obj_t) BgL_loc1157z00_8595), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1540z00_10253)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1158z00_8596)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1540z00_10253)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1159zd2_8597), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1540z00_10253)))->BgL_keyz00) =
					((obj_t) BgL_key1160z00_8598), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1540z00_10253)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21161za2_8599)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1540z00_10253)))->BgL_effectz00) =
					((obj_t) BgL_effect1162z00_8600), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(BgL_new1540z00_10253))->BgL_formatz00) =
					((obj_t) ((obj_t) BgL_format1163z00_8601)), BUNSPEC);
				return BgL_new1540z00_10253;
			}
		}

	}



/* &lambda2195 */
	obj_t BGl_z62lambda2195z62zzast_nodez00(obj_t BgL_envz00_8602,
		obj_t BgL_oz00_8603, obj_t BgL_vz00_8604)
	{
		{	/* Ast/node.scm 114 */
			return
				((((BgL_pragmaz00_bglt) COBJECT(
							((BgL_pragmaz00_bglt) BgL_oz00_8603)))->BgL_formatz00) = ((obj_t)
					((obj_t) BgL_vz00_8604)), BUNSPEC);
		}

	}



/* &lambda2194 */
	obj_t BGl_z62lambda2194z62zzast_nodez00(obj_t BgL_envz00_8605,
		obj_t BgL_oz00_8606)
	{
		{	/* Ast/node.scm 114 */
			return
				(((BgL_pragmaz00_bglt) COBJECT(
						((BgL_pragmaz00_bglt) BgL_oz00_8606)))->BgL_formatz00);
		}

	}



/* &<@anonymous:2165> */
	obj_t BGl_z62zc3z04anonymousza32165ze3ze5zzast_nodez00(obj_t BgL_envz00_8607,
		obj_t BgL_new1155z00_8608)
	{
		{	/* Ast/node.scm 107 */
			{
				BgL_externz00_bglt BgL_auxz00_17053;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_externz00_bglt) BgL_new1155z00_8608))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17057;

					{	/* Ast/node.scm 107 */
						obj_t BgL_classz00_10260;

						BgL_classz00_10260 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 107 */
							obj_t BgL__ortest_1112z00_10261;

							BgL__ortest_1112z00_10261 = BGL_CLASS_NIL(BgL_classz00_10260);
							if (CBOOL(BgL__ortest_1112z00_10261))
								{	/* Ast/node.scm 107 */
									BgL_auxz00_17057 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10261);
								}
							else
								{	/* Ast/node.scm 107 */
									BgL_auxz00_17057 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10260));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_externz00_bglt) BgL_new1155z00_8608))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17057), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_externz00_bglt) BgL_new1155z00_8608))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_externz00_bglt)
										BgL_new1155z00_8608))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1155z00_8608)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1155z00_8608)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17053 = ((BgL_externz00_bglt) BgL_new1155z00_8608);
				return ((obj_t) BgL_auxz00_17053);
			}
		}

	}



/* &lambda2162 */
	BgL_externz00_bglt BGl_z62lambda2162z62zzast_nodez00(obj_t BgL_envz00_8609)
	{
		{	/* Ast/node.scm 107 */
			{	/* Ast/node.scm 107 */
				BgL_externz00_bglt BgL_new1154z00_10262;

				BgL_new1154z00_10262 =
					((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_externz00_bgl))));
				{	/* Ast/node.scm 107 */
					long BgL_arg2164z00_10263;

					BgL_arg2164z00_10263 = BGL_CLASS_NUM(BGl_externz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1154z00_10262), BgL_arg2164z00_10263);
				}
				return BgL_new1154z00_10262;
			}
		}

	}



/* &lambda2160 */
	BgL_externz00_bglt BGl_z62lambda2160z62zzast_nodez00(obj_t BgL_envz00_8610,
		obj_t BgL_loc1148z00_8611, obj_t BgL_type1149z00_8612,
		obj_t BgL_sidezd2effect1150zd2_8613, obj_t BgL_key1151z00_8614,
		obj_t BgL_exprza21152za2_8615, obj_t BgL_effect1153z00_8616)
	{
		{	/* Ast/node.scm 107 */
			{	/* Ast/node.scm 107 */
				BgL_externz00_bglt BgL_new1538z00_10266;

				{	/* Ast/node.scm 107 */
					BgL_externz00_bglt BgL_new1537z00_10267;

					BgL_new1537z00_10267 =
						((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/node.scm 107 */
						long BgL_arg2161z00_10268;

						BgL_arg2161z00_10268 = BGL_CLASS_NUM(BGl_externz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1537z00_10267),
							BgL_arg2161z00_10268);
					}
					BgL_new1538z00_10266 = BgL_new1537z00_10267;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1538z00_10266)))->BgL_locz00) =
					((obj_t) BgL_loc1148z00_8611), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1538z00_10266)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1149z00_8612)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1538z00_10266)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1150zd2_8613), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1538z00_10266)))->BgL_keyz00) =
					((obj_t) BgL_key1151z00_8614), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1538z00_10266))->
						BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21152za2_8615)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1538z00_10266))->BgL_effectz00) =
					((obj_t) BgL_effect1153z00_8616), BUNSPEC);
				return BgL_new1538z00_10266;
			}
		}

	}



/* &<@anonymous:2179> */
	obj_t BGl_z62zc3z04anonymousza32179ze3ze5zzast_nodez00(obj_t BgL_envz00_8617)
	{
		{	/* Ast/node.scm 107 */
			return BUNSPEC;
		}

	}



/* &lambda2178 */
	obj_t BGl_z62lambda2178z62zzast_nodez00(obj_t BgL_envz00_8618,
		obj_t BgL_oz00_8619, obj_t BgL_vz00_8620)
	{
		{	/* Ast/node.scm 107 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_8619)))->BgL_effectz00) =
				((obj_t) BgL_vz00_8620), BUNSPEC);
		}

	}



/* &lambda2177 */
	obj_t BGl_z62lambda2177z62zzast_nodez00(obj_t BgL_envz00_8621,
		obj_t BgL_oz00_8622)
	{
		{	/* Ast/node.scm 107 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_8622)))->BgL_effectz00);
		}

	}



/* &<@anonymous:2172> */
	obj_t BGl_z62zc3z04anonymousza32172ze3ze5zzast_nodez00(obj_t BgL_envz00_8623)
	{
		{	/* Ast/node.scm 107 */
			return BNIL;
		}

	}



/* &lambda2171 */
	obj_t BGl_z62lambda2171z62zzast_nodez00(obj_t BgL_envz00_8624,
		obj_t BgL_oz00_8625, obj_t BgL_vz00_8626)
	{
		{	/* Ast/node.scm 107 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_8625)))->BgL_exprza2za2) = ((obj_t)
					((obj_t) BgL_vz00_8626)), BUNSPEC);
		}

	}



/* &lambda2170 */
	obj_t BGl_z62lambda2170z62zzast_nodez00(obj_t BgL_envz00_8627,
		obj_t BgL_oz00_8628)
	{
		{	/* Ast/node.scm 107 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_8628)))->BgL_exprza2za2);
		}

	}



/* &<@anonymous:2130> */
	obj_t BGl_z62zc3z04anonymousza32130ze3ze5zzast_nodez00(obj_t BgL_envz00_8629,
		obj_t BgL_new1146z00_8630)
	{
		{	/* Ast/node.scm 95 */
			{
				BgL_funcallz00_bglt BgL_auxz00_17108;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_funcallz00_bglt) BgL_new1146z00_8630))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17112;

					{	/* Ast/node.scm 95 */
						obj_t BgL_classz00_10275;

						BgL_classz00_10275 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 95 */
							obj_t BgL__ortest_1112z00_10276;

							BgL__ortest_1112z00_10276 = BGL_CLASS_NIL(BgL_classz00_10275);
							if (CBOOL(BgL__ortest_1112z00_10276))
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17112 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10276);
								}
							else
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17112 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10275));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_new1146z00_8630))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17112), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17122;

					{	/* Ast/node.scm 95 */
						obj_t BgL_classz00_10277;

						BgL_classz00_10277 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 95 */
							obj_t BgL__ortest_1112z00_10278;

							BgL__ortest_1112z00_10278 = BGL_CLASS_NIL(BgL_classz00_10277);
							if (CBOOL(BgL__ortest_1112z00_10278))
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17122 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10278);
								}
							else
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17122 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10277));
								}
						}
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_new1146z00_8630)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17122), BUNSPEC);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_new1146z00_8630)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1146z00_8630)))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 93))), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1146z00_8630)))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17108 = ((BgL_funcallz00_bglt) BgL_new1146z00_8630);
				return ((obj_t) BgL_auxz00_17108);
			}
		}

	}



/* &lambda2128 */
	BgL_funcallz00_bglt BGl_z62lambda2128z62zzast_nodez00(obj_t BgL_envz00_8631)
	{
		{	/* Ast/node.scm 95 */
			{	/* Ast/node.scm 95 */
				BgL_funcallz00_bglt BgL_new1145z00_10279;

				BgL_new1145z00_10279 =
					((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_funcallz00_bgl))));
				{	/* Ast/node.scm 95 */
					long BgL_arg2129z00_10280;

					BgL_arg2129z00_10280 = BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1145z00_10279), BgL_arg2129z00_10280);
				}
				{	/* Ast/node.scm 95 */
					BgL_objectz00_bglt BgL_tmpz00_17144;

					BgL_tmpz00_17144 = ((BgL_objectz00_bglt) BgL_new1145z00_10279);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17144, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1145z00_10279);
				return BgL_new1145z00_10279;
			}
		}

	}



/* &lambda2126 */
	BgL_funcallz00_bglt BGl_z62lambda2126z62zzast_nodez00(obj_t BgL_envz00_8632,
		obj_t BgL_loc1139z00_8633, obj_t BgL_type1140z00_8634,
		obj_t BgL_fun1141z00_8635, obj_t BgL_args1142z00_8636,
		obj_t BgL_strength1143z00_8637, obj_t BgL_functions1144z00_8638)
	{
		{	/* Ast/node.scm 95 */
			{	/* Ast/node.scm 95 */
				BgL_funcallz00_bglt BgL_new1536z00_10284;

				{	/* Ast/node.scm 95 */
					BgL_funcallz00_bglt BgL_new1535z00_10285;

					BgL_new1535z00_10285 =
						((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/node.scm 95 */
						long BgL_arg2127z00_10286;

						BgL_arg2127z00_10286 = BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1535z00_10285),
							BgL_arg2127z00_10286);
					}
					{	/* Ast/node.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_17152;

						BgL_tmpz00_17152 = ((BgL_objectz00_bglt) BgL_new1535z00_10285);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17152, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1535z00_10285);
					BgL_new1536z00_10284 = BgL_new1535z00_10285;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1536z00_10284)))->BgL_locz00) =
					((obj_t) BgL_loc1139z00_8633), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1536z00_10284)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1140z00_8634)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1536z00_10284))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1141z00_8635)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1536z00_10284))->BgL_argsz00) =
					((obj_t) BgL_args1142z00_8636), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1536z00_10284))->
						BgL_strengthz00) =
					((obj_t) ((obj_t) BgL_strength1143z00_8637)), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1536z00_10284))->
						BgL_functionsz00) = ((obj_t) BgL_functions1144z00_8638), BUNSPEC);
				return BgL_new1536z00_10284;
			}
		}

	}



/* &<@anonymous:2154> */
	obj_t BGl_z62zc3z04anonymousza32154ze3ze5zzast_nodez00(obj_t BgL_envz00_8639)
	{
		{	/* Ast/node.scm 95 */
			return BUNSPEC;
		}

	}



/* &lambda2153 */
	obj_t BGl_z62lambda2153z62zzast_nodez00(obj_t BgL_envz00_8640,
		obj_t BgL_oz00_8641, obj_t BgL_vz00_8642)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8641)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_8642), BUNSPEC);
		}

	}



/* &lambda2152 */
	obj_t BGl_z62lambda2152z62zzast_nodez00(obj_t BgL_envz00_8643,
		obj_t BgL_oz00_8644)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8644)))->BgL_functionsz00);
		}

	}



/* &<@anonymous:2147> */
	obj_t BGl_z62zc3z04anonymousza32147ze3ze5zzast_nodez00(obj_t BgL_envz00_8645)
	{
		{	/* Ast/node.scm 95 */
			return CNST_TABLE_REF(((long) 94));
		}

	}



/* &lambda2146 */
	obj_t BGl_z62lambda2146z62zzast_nodez00(obj_t BgL_envz00_8646,
		obj_t BgL_oz00_8647, obj_t BgL_vz00_8648)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8647)))->BgL_strengthz00) =
				((obj_t) ((obj_t) BgL_vz00_8648)), BUNSPEC);
		}

	}



/* &lambda2145 */
	obj_t BGl_z62lambda2145z62zzast_nodez00(obj_t BgL_envz00_8649,
		obj_t BgL_oz00_8650)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8650)))->BgL_strengthz00);
		}

	}



/* &lambda2140 */
	obj_t BGl_z62lambda2140z62zzast_nodez00(obj_t BgL_envz00_8651,
		obj_t BgL_oz00_8652, obj_t BgL_vz00_8653)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8652)))->BgL_argsz00) =
				((obj_t) BgL_vz00_8653), BUNSPEC);
		}

	}



/* &lambda2139 */
	obj_t BGl_z62lambda2139z62zzast_nodez00(obj_t BgL_envz00_8654,
		obj_t BgL_oz00_8655)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8655)))->BgL_argsz00);
		}

	}



/* &lambda2135 */
	obj_t BGl_z62lambda2135z62zzast_nodez00(obj_t BgL_envz00_8656,
		obj_t BgL_oz00_8657, obj_t BgL_vz00_8658)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8657)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8658)), BUNSPEC);
		}

	}



/* &lambda2134 */
	BgL_nodez00_bglt BGl_z62lambda2134z62zzast_nodez00(obj_t BgL_envz00_8659,
		obj_t BgL_oz00_8660)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8660)))->BgL_funz00);
		}

	}



/* &<@anonymous:2109> */
	obj_t BGl_z62zc3z04anonymousza32109ze3ze5zzast_nodez00(obj_t BgL_envz00_8661,
		obj_t BgL_new1137z00_8662)
	{
		{	/* Ast/node.scm 88 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_17186;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_new1137z00_8662))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17190;

					{	/* Ast/node.scm 88 */
						obj_t BgL_classz00_10298;

						BgL_classz00_10298 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 88 */
							obj_t BgL__ortest_1112z00_10299;

							BgL__ortest_1112z00_10299 = BGL_CLASS_NIL(BgL_classz00_10298);
							if (CBOOL(BgL__ortest_1112z00_10299))
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17190 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10299);
								}
							else
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17190 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10298));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1137z00_8662))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17190), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17200;

					{	/* Ast/node.scm 88 */
						obj_t BgL_classz00_10300;

						BgL_classz00_10300 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 88 */
							obj_t BgL__ortest_1112z00_10301;

							BgL__ortest_1112z00_10301 = BGL_CLASS_NIL(BgL_classz00_10300);
							if (CBOOL(BgL__ortest_1112z00_10301))
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17200 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10301);
								}
							else
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17200 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10300));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_new1137z00_8662)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17200), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17209;

					{	/* Ast/node.scm 88 */
						obj_t BgL_classz00_10302;

						BgL_classz00_10302 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 88 */
							obj_t BgL__ortest_1112z00_10303;

							BgL__ortest_1112z00_10303 = BGL_CLASS_NIL(BgL_classz00_10302);
							if (CBOOL(BgL__ortest_1112z00_10303))
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17209 =
										((BgL_nodez00_bglt) BgL__ortest_1112z00_10303);
								}
							else
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17209 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10302));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_new1137z00_8662)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17209), BUNSPEC);
				}
				BgL_auxz00_17186 = ((BgL_appzd2lyzd2_bglt) BgL_new1137z00_8662);
				return ((obj_t) BgL_auxz00_17186);
			}
		}

	}



/* &lambda2107 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2107z62zzast_nodez00(obj_t BgL_envz00_8663)
	{
		{	/* Ast/node.scm 88 */
			{	/* Ast/node.scm 88 */
				BgL_appzd2lyzd2_bglt BgL_new1136z00_10304;

				BgL_new1136z00_10304 =
					((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzd2lyzd2_bgl))));
				{	/* Ast/node.scm 88 */
					long BgL_arg2108z00_10305;

					BgL_arg2108z00_10305 = BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1136z00_10304), BgL_arg2108z00_10305);
				}
				{	/* Ast/node.scm 88 */
					BgL_objectz00_bglt BgL_tmpz00_17224;

					BgL_tmpz00_17224 = ((BgL_objectz00_bglt) BgL_new1136z00_10304);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17224, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1136z00_10304);
				return BgL_new1136z00_10304;
			}
		}

	}



/* &lambda2105 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2105z62zzast_nodez00(obj_t BgL_envz00_8664,
		obj_t BgL_loc1132z00_8665, obj_t BgL_type1133z00_8666,
		obj_t BgL_fun1134z00_8667, obj_t BgL_arg1135z00_8668)
	{
		{	/* Ast/node.scm 88 */
			{	/* Ast/node.scm 88 */
				BgL_appzd2lyzd2_bglt BgL_new1534z00_10309;

				{	/* Ast/node.scm 88 */
					BgL_appzd2lyzd2_bglt BgL_new1533z00_10310;

					BgL_new1533z00_10310 =
						((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/node.scm 88 */
						long BgL_arg2106z00_10311;

						BgL_arg2106z00_10311 = BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1533z00_10310),
							BgL_arg2106z00_10311);
					}
					{	/* Ast/node.scm 88 */
						BgL_objectz00_bglt BgL_tmpz00_17232;

						BgL_tmpz00_17232 = ((BgL_objectz00_bglt) BgL_new1533z00_10310);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17232, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1533z00_10310);
					BgL_new1534z00_10309 = BgL_new1533z00_10310;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1534z00_10309)))->BgL_locz00) =
					((obj_t) BgL_loc1132z00_8665), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1534z00_10309)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1133z00_8666)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1534z00_10309))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1134z00_8667)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1534z00_10309))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1135z00_8668)),
					BUNSPEC);
				return BgL_new1534z00_10309;
			}
		}

	}



/* &lambda2120 */
	obj_t BGl_z62lambda2120z62zzast_nodez00(obj_t BgL_envz00_8669,
		obj_t BgL_oz00_8670, obj_t BgL_vz00_8671)
	{
		{	/* Ast/node.scm 88 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_8670)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8671)), BUNSPEC);
		}

	}



/* &lambda2119 */
	BgL_nodez00_bglt BGl_z62lambda2119z62zzast_nodez00(obj_t BgL_envz00_8672,
		obj_t BgL_oz00_8673)
	{
		{	/* Ast/node.scm 88 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_8673)))->BgL_argz00);
		}

	}



/* &lambda2115 */
	obj_t BGl_z62lambda2115z62zzast_nodez00(obj_t BgL_envz00_8674,
		obj_t BgL_oz00_8675, obj_t BgL_vz00_8676)
	{
		{	/* Ast/node.scm 88 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_8675)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8676)), BUNSPEC);
		}

	}



/* &lambda2114 */
	BgL_nodez00_bglt BGl_z62lambda2114z62zzast_nodez00(obj_t BgL_envz00_8677,
		obj_t BgL_oz00_8678)
	{
		{	/* Ast/node.scm 88 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_8678)))->BgL_funz00);
		}

	}



/* &<@anonymous:2079> */
	obj_t BGl_z62zc3z04anonymousza32079ze3ze5zzast_nodez00(obj_t BgL_envz00_8679,
		obj_t BgL_new1130z00_8680)
	{
		{	/* Ast/node.scm 79 */
			{
				BgL_appz00_bglt BgL_auxz00_17255;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_new1130z00_8680))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17259;

					{	/* Ast/node.scm 79 */
						obj_t BgL_classz00_10319;

						BgL_classz00_10319 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 79 */
							obj_t BgL__ortest_1112z00_10320;

							BgL__ortest_1112z00_10320 = BGL_CLASS_NIL(BgL_classz00_10319);
							if (CBOOL(BgL__ortest_1112z00_10320))
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17259 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10320);
								}
							else
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17259 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10319));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_new1130z00_8680))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17259), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_new1130z00_8680))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
										BgL_new1130z00_8680))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_17275;

					{	/* Ast/node.scm 79 */
						obj_t BgL_classz00_10321;

						BgL_classz00_10321 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 79 */
							obj_t BgL__ortest_1112z00_10322;

							BgL__ortest_1112z00_10322 = BGL_CLASS_NIL(BgL_classz00_10321);
							if (CBOOL(BgL__ortest_1112z00_10322))
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17275 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_10322);
								}
							else
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17275 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10321));
								}
						}
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_new1130z00_8680)))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_17275), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_new1130z00_8680)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1130z00_8680)))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17255 = ((BgL_appz00_bglt) BgL_new1130z00_8680);
				return ((obj_t) BgL_auxz00_17255);
			}
		}

	}



/* &lambda2077 */
	BgL_appz00_bglt BGl_z62lambda2077z62zzast_nodez00(obj_t BgL_envz00_8681)
	{
		{	/* Ast/node.scm 79 */
			{	/* Ast/node.scm 79 */
				BgL_appz00_bglt BgL_new1129z00_10323;

				BgL_new1129z00_10323 =
					((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_appz00_bgl))));
				{	/* Ast/node.scm 79 */
					long BgL_arg2078z00_10324;

					BgL_arg2078z00_10324 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1129z00_10323), BgL_arg2078z00_10324);
				}
				{	/* Ast/node.scm 79 */
					BgL_objectz00_bglt BgL_tmpz00_17294;

					BgL_tmpz00_17294 = ((BgL_objectz00_bglt) BgL_new1129z00_10323);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17294, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1129z00_10323);
				return BgL_new1129z00_10323;
			}
		}

	}



/* &lambda2075 */
	BgL_appz00_bglt BGl_z62lambda2075z62zzast_nodez00(obj_t BgL_envz00_8682,
		obj_t BgL_loc1122z00_8683, obj_t BgL_type1123z00_8684,
		obj_t BgL_sidezd2effect1124zd2_8685, obj_t BgL_key1125z00_8686,
		obj_t BgL_fun1126z00_8687, obj_t BgL_args1127z00_8688,
		obj_t BgL_stackable1128z00_8689)
	{
		{	/* Ast/node.scm 79 */
			{	/* Ast/node.scm 79 */
				BgL_appz00_bglt BgL_new1532z00_10327;

				{	/* Ast/node.scm 79 */
					BgL_appz00_bglt BgL_new1531z00_10328;

					BgL_new1531z00_10328 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Ast/node.scm 79 */
						long BgL_arg2076z00_10329;

						BgL_arg2076z00_10329 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1531z00_10328),
							BgL_arg2076z00_10329);
					}
					{	/* Ast/node.scm 79 */
						BgL_objectz00_bglt BgL_tmpz00_17302;

						BgL_tmpz00_17302 = ((BgL_objectz00_bglt) BgL_new1531z00_10328);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17302, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1531z00_10328);
					BgL_new1532z00_10327 = BgL_new1531z00_10328;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1532z00_10327)))->BgL_locz00) =
					((obj_t) BgL_loc1122z00_8683), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1532z00_10327)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1123z00_8684)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1532z00_10327)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1124zd2_8685), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1532z00_10327)))->BgL_keyz00) =
					((obj_t) BgL_key1125z00_8686), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1532z00_10327))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_fun1126z00_8687)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1532z00_10327))->BgL_argsz00) =
					((obj_t) BgL_args1127z00_8688), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1532z00_10327))->BgL_stackablez00) =
					((obj_t) BgL_stackable1128z00_8689), BUNSPEC);
				return BgL_new1532z00_10327;
			}
		}

	}



/* &<@anonymous:2097> */
	obj_t BGl_z62zc3z04anonymousza32097ze3ze5zzast_nodez00(obj_t BgL_envz00_8690)
	{
		{	/* Ast/node.scm 79 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2096 */
	obj_t BGl_z62lambda2096z62zzast_nodez00(obj_t BgL_envz00_8691,
		obj_t BgL_oz00_8692, obj_t BgL_vz00_8693)
	{
		{	/* Ast/node.scm 79 */
			return
				((((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_oz00_8692)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_8693), BUNSPEC);
		}

	}



/* &lambda2095 */
	obj_t BGl_z62lambda2095z62zzast_nodez00(obj_t BgL_envz00_8694,
		obj_t BgL_oz00_8695)
	{
		{	/* Ast/node.scm 79 */
			return
				(((BgL_appz00_bglt) COBJECT(
						((BgL_appz00_bglt) BgL_oz00_8695)))->BgL_stackablez00);
		}

	}



/* &lambda2090 */
	obj_t BGl_z62lambda2090z62zzast_nodez00(obj_t BgL_envz00_8696,
		obj_t BgL_oz00_8697, obj_t BgL_vz00_8698)
	{
		{	/* Ast/node.scm 79 */
			return
				((((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_oz00_8697)))->BgL_argsz00) =
				((obj_t) BgL_vz00_8698), BUNSPEC);
		}

	}



/* &lambda2089 */
	obj_t BGl_z62lambda2089z62zzast_nodez00(obj_t BgL_envz00_8699,
		obj_t BgL_oz00_8700)
	{
		{	/* Ast/node.scm 79 */
			return
				(((BgL_appz00_bglt) COBJECT(
						((BgL_appz00_bglt) BgL_oz00_8700)))->BgL_argsz00);
		}

	}



/* &lambda2085 */
	obj_t BGl_z62lambda2085z62zzast_nodez00(obj_t BgL_envz00_8701,
		obj_t BgL_oz00_8702, obj_t BgL_vz00_8703)
	{
		{	/* Ast/node.scm 79 */
			return
				((((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_oz00_8702)))->BgL_funz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8703)), BUNSPEC);
		}

	}



/* &lambda2084 */
	BgL_varz00_bglt BGl_z62lambda2084z62zzast_nodez00(obj_t BgL_envz00_8704,
		obj_t BgL_oz00_8705)
	{
		{	/* Ast/node.scm 79 */
			return
				(((BgL_appz00_bglt) COBJECT(
						((BgL_appz00_bglt) BgL_oz00_8705)))->BgL_funz00);
		}

	}



/* &<@anonymous:2047> */
	obj_t BGl_z62zc3z04anonymousza32047ze3ze5zzast_nodez00(obj_t BgL_envz00_8706,
		obj_t BgL_new1120z00_8707)
	{
		{	/* Ast/node.scm 73 */
			{
				BgL_sequencez00_bglt BgL_auxz00_17333;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_new1120z00_8707))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17337;

					{	/* Ast/node.scm 73 */
						obj_t BgL_classz00_10338;

						BgL_classz00_10338 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 73 */
							obj_t BgL__ortest_1112z00_10339;

							BgL__ortest_1112z00_10339 = BGL_CLASS_NIL(BgL_classz00_10338);
							if (CBOOL(BgL__ortest_1112z00_10339))
								{	/* Ast/node.scm 73 */
									BgL_auxz00_17337 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10339);
								}
							else
								{	/* Ast/node.scm 73 */
									BgL_auxz00_17337 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10338));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_new1120z00_8707))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17337), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_sequencez00_bglt) BgL_new1120z00_8707))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_sequencez00_bglt)
										BgL_new1120z00_8707))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1120z00_8707)))->BgL_nodesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1120z00_8707)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1120z00_8707)))->BgL_metaz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_17333 = ((BgL_sequencez00_bglt) BgL_new1120z00_8707);
				return ((obj_t) BgL_auxz00_17333);
			}
		}

	}



/* &lambda2045 */
	BgL_sequencez00_bglt BGl_z62lambda2045z62zzast_nodez00(obj_t BgL_envz00_8708)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				BgL_sequencez00_bglt BgL_new1119z00_10340;

				BgL_new1119z00_10340 =
					((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sequencez00_bgl))));
				{	/* Ast/node.scm 73 */
					long BgL_arg2046z00_10341;

					BgL_arg2046z00_10341 = BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1119z00_10340), BgL_arg2046z00_10341);
				}
				{	/* Ast/node.scm 73 */
					BgL_objectz00_bglt BgL_tmpz00_17365;

					BgL_tmpz00_17365 = ((BgL_objectz00_bglt) BgL_new1119z00_10340);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17365, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1119z00_10340);
				return BgL_new1119z00_10340;
			}
		}

	}



/* &lambda2043 */
	BgL_sequencez00_bglt BGl_z62lambda2043z62zzast_nodez00(obj_t BgL_envz00_8709,
		obj_t BgL_loc1112z00_8710, obj_t BgL_type1113z00_8711,
		obj_t BgL_sidezd2effect1114zd2_8712, obj_t BgL_key1115z00_8713,
		obj_t BgL_nodes1116z00_8714, obj_t BgL_unsafe1117z00_8715,
		obj_t BgL_meta1118z00_8716)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				bool_t BgL_unsafe1117z00_10344;

				BgL_unsafe1117z00_10344 = CBOOL(BgL_unsafe1117z00_8715);
				{	/* Ast/node.scm 73 */
					BgL_sequencez00_bglt BgL_new1530z00_10346;

					{	/* Ast/node.scm 73 */
						BgL_sequencez00_bglt BgL_new1529z00_10347;

						BgL_new1529z00_10347 =
							((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sequencez00_bgl))));
						{	/* Ast/node.scm 73 */
							long BgL_arg2044z00_10348;

							BgL_arg2044z00_10348 =
								BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1529z00_10347),
								BgL_arg2044z00_10348);
						}
						{	/* Ast/node.scm 73 */
							BgL_objectz00_bglt BgL_tmpz00_17374;

							BgL_tmpz00_17374 = ((BgL_objectz00_bglt) BgL_new1529z00_10347);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17374, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1529z00_10347);
						BgL_new1530z00_10346 = BgL_new1529z00_10347;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1530z00_10346)))->BgL_locz00) =
						((obj_t) BgL_loc1112z00_8710), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1530z00_10346)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1113z00_8711)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1530z00_10346)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1114zd2_8712), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1530z00_10346)))->BgL_keyz00) =
						((obj_t) BgL_key1115z00_8713), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1530z00_10346))->
							BgL_nodesz00) =
						((obj_t) ((obj_t) BgL_nodes1116z00_8714)), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1530z00_10346))->
							BgL_unsafez00) = ((bool_t) BgL_unsafe1117z00_10344), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1530z00_10346))->
							BgL_metaz00) = ((obj_t) ((obj_t) BgL_meta1118z00_8716)), BUNSPEC);
					return BgL_new1530z00_10346;
				}
			}
		}

	}



/* &<@anonymous:2068> */
	obj_t BGl_z62zc3z04anonymousza32068ze3ze5zzast_nodez00(obj_t BgL_envz00_8717)
	{
		{	/* Ast/node.scm 73 */
			return BNIL;
		}

	}



/* &lambda2067 */
	obj_t BGl_z62lambda2067z62zzast_nodez00(obj_t BgL_envz00_8718,
		obj_t BgL_oz00_8719, obj_t BgL_vz00_8720)
	{
		{	/* Ast/node.scm 73 */
			return
				((((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_8719)))->BgL_metaz00) = ((obj_t)
					((obj_t) BgL_vz00_8720)), BUNSPEC);
		}

	}



/* &lambda2066 */
	obj_t BGl_z62lambda2066z62zzast_nodez00(obj_t BgL_envz00_8721,
		obj_t BgL_oz00_8722)
	{
		{	/* Ast/node.scm 73 */
			return
				(((BgL_sequencez00_bglt) COBJECT(
						((BgL_sequencez00_bglt) BgL_oz00_8722)))->BgL_metaz00);
		}

	}



/* &<@anonymous:2061> */
	obj_t BGl_z62zc3z04anonymousza32061ze3ze5zzast_nodez00(obj_t BgL_envz00_8723)
	{
		{	/* Ast/node.scm 73 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2060 */
	obj_t BGl_z62lambda2060z62zzast_nodez00(obj_t BgL_envz00_8724,
		obj_t BgL_oz00_8725, obj_t BgL_vz00_8726)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				bool_t BgL_vz00_10353;

				BgL_vz00_10353 = CBOOL(BgL_vz00_8726);
				return
					((((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_oz00_8725)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_10353), BUNSPEC);
			}
		}

	}



/* &lambda2059 */
	obj_t BGl_z62lambda2059z62zzast_nodez00(obj_t BgL_envz00_8727,
		obj_t BgL_oz00_8728)
	{
		{	/* Ast/node.scm 73 */
			return
				BBOOL(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_8728)))->BgL_unsafez00));
		}

	}



/* &lambda2053 */
	obj_t BGl_z62lambda2053z62zzast_nodez00(obj_t BgL_envz00_8729,
		obj_t BgL_oz00_8730, obj_t BgL_vz00_8731)
	{
		{	/* Ast/node.scm 73 */
			return
				((((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_8730)))->BgL_nodesz00) = ((obj_t)
					((obj_t) BgL_vz00_8731)), BUNSPEC);
		}

	}



/* &lambda2052 */
	obj_t BGl_z62lambda2052z62zzast_nodez00(obj_t BgL_envz00_8732,
		obj_t BgL_oz00_8733)
	{
		{	/* Ast/node.scm 73 */
			return
				(((BgL_sequencez00_bglt) COBJECT(
						((BgL_sequencez00_bglt) BgL_oz00_8733)))->BgL_nodesz00);
		}

	}



/* &<@anonymous:2030> */
	obj_t BGl_z62zc3z04anonymousza32030ze3ze5zzast_nodez00(obj_t BgL_envz00_8734,
		obj_t BgL_new1110z00_8735)
	{
		{	/* Ast/node.scm 68 */
			{
				BgL_kwotez00_bglt BgL_auxz00_17409;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1110z00_8735))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17413;

					{	/* Ast/node.scm 68 */
						obj_t BgL_classz00_10359;

						BgL_classz00_10359 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 68 */
							obj_t BgL__ortest_1112z00_10360;

							BgL__ortest_1112z00_10360 = BGL_CLASS_NIL(BgL_classz00_10359);
							if (CBOOL(BgL__ortest_1112z00_10360))
								{	/* Ast/node.scm 68 */
									BgL_auxz00_17413 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10360);
								}
							else
								{	/* Ast/node.scm 68 */
									BgL_auxz00_17413 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10359));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_new1110z00_8735))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17413), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt) BgL_new1110z00_8735)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17409 = ((BgL_kwotez00_bglt) BgL_new1110z00_8735);
				return ((obj_t) BgL_auxz00_17409);
			}
		}

	}



/* &lambda2027 */
	BgL_kwotez00_bglt BGl_z62lambda2027z62zzast_nodez00(obj_t BgL_envz00_8736)
	{
		{	/* Ast/node.scm 68 */
			{	/* Ast/node.scm 68 */
				BgL_kwotez00_bglt BgL_new1109z00_10361;

				BgL_new1109z00_10361 =
					((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_kwotez00_bgl))));
				{	/* Ast/node.scm 68 */
					long BgL_arg2029z00_10362;

					BgL_arg2029z00_10362 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1109z00_10361), BgL_arg2029z00_10362);
				}
				{	/* Ast/node.scm 68 */
					BgL_objectz00_bglt BgL_tmpz00_17431;

					BgL_tmpz00_17431 = ((BgL_objectz00_bglt) BgL_new1109z00_10361);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17431, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1109z00_10361);
				return BgL_new1109z00_10361;
			}
		}

	}



/* &lambda2025 */
	BgL_kwotez00_bglt BGl_z62lambda2025z62zzast_nodez00(obj_t BgL_envz00_8737,
		obj_t BgL_loc1106z00_8738, obj_t BgL_type1107z00_8739,
		obj_t BgL_value1108z00_8740)
	{
		{	/* Ast/node.scm 68 */
			{	/* Ast/node.scm 68 */
				BgL_kwotez00_bglt BgL_new1528z00_10364;

				{	/* Ast/node.scm 68 */
					BgL_kwotez00_bglt BgL_new1527z00_10365;

					BgL_new1527z00_10365 =
						((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/node.scm 68 */
						long BgL_arg2026z00_10366;

						BgL_arg2026z00_10366 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1527z00_10365),
							BgL_arg2026z00_10366);
					}
					{	/* Ast/node.scm 68 */
						BgL_objectz00_bglt BgL_tmpz00_17439;

						BgL_tmpz00_17439 = ((BgL_objectz00_bglt) BgL_new1527z00_10365);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17439, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1527z00_10365);
					BgL_new1528z00_10364 = BgL_new1527z00_10365;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1528z00_10364)))->BgL_locz00) =
					((obj_t) BgL_loc1106z00_8738), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1528z00_10364)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1107z00_8739)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(BgL_new1528z00_10364))->BgL_valuez00) =
					((obj_t) BgL_value1108z00_8740), BUNSPEC);
				return BgL_new1528z00_10364;
			}
		}

	}



/* &lambda2036 */
	obj_t BGl_z62lambda2036z62zzast_nodez00(obj_t BgL_envz00_8741,
		obj_t BgL_oz00_8742, obj_t BgL_vz00_8743)
	{
		{	/* Ast/node.scm 68 */
			return
				((((BgL_kwotez00_bglt) COBJECT(
							((BgL_kwotez00_bglt) BgL_oz00_8742)))->BgL_valuez00) =
				((obj_t) BgL_vz00_8743), BUNSPEC);
		}

	}



/* &lambda2035 */
	obj_t BGl_z62lambda2035z62zzast_nodez00(obj_t BgL_envz00_8744,
		obj_t BgL_oz00_8745)
	{
		{	/* Ast/node.scm 68 */
			return
				(((BgL_kwotez00_bglt) COBJECT(
						((BgL_kwotez00_bglt) BgL_oz00_8745)))->BgL_valuez00);
		}

	}



/* &<@anonymous:2018> */
	obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzast_nodez00(obj_t BgL_envz00_8746,
		obj_t BgL_new1104z00_8747)
	{
		{	/* Ast/node.scm 65 */
			{
				BgL_closurez00_bglt BgL_auxz00_17453;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_closurez00_bglt) BgL_new1104z00_8747))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17457;

					{	/* Ast/node.scm 65 */
						obj_t BgL_classz00_10370;

						BgL_classz00_10370 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 65 */
							obj_t BgL__ortest_1112z00_10371;

							BgL__ortest_1112z00_10371 = BGL_CLASS_NIL(BgL_classz00_10370);
							if (CBOOL(BgL__ortest_1112z00_10371))
								{	/* Ast/node.scm 65 */
									BgL_auxz00_17457 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10371);
								}
							else
								{	/* Ast/node.scm 65 */
									BgL_auxz00_17457 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10370));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_closurez00_bglt) BgL_new1104z00_8747))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17457), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_17467;

					{	/* Ast/node.scm 65 */
						obj_t BgL_classz00_10372;

						BgL_classz00_10372 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 65 */
							obj_t BgL__ortest_1112z00_10373;

							BgL__ortest_1112z00_10373 = BGL_CLASS_NIL(BgL_classz00_10372);
							if (CBOOL(BgL__ortest_1112z00_10373))
								{	/* Ast/node.scm 65 */
									BgL_auxz00_17467 =
										((BgL_variablez00_bglt) BgL__ortest_1112z00_10373);
								}
							else
								{	/* Ast/node.scm 65 */
									BgL_auxz00_17467 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10372));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_closurez00_bglt) BgL_new1104z00_8747))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_17467), BUNSPEC);
				}
				BgL_auxz00_17453 = ((BgL_closurez00_bglt) BgL_new1104z00_8747);
				return ((obj_t) BgL_auxz00_17453);
			}
		}

	}



/* &lambda2016 */
	BgL_closurez00_bglt BGl_z62lambda2016z62zzast_nodez00(obj_t BgL_envz00_8748)
	{
		{	/* Ast/node.scm 65 */
			{	/* Ast/node.scm 65 */
				BgL_closurez00_bglt BgL_new1103z00_10374;

				BgL_new1103z00_10374 =
					((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_closurez00_bgl))));
				{	/* Ast/node.scm 65 */
					long BgL_arg2017z00_10375;

					BgL_arg2017z00_10375 = BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1103z00_10374), BgL_arg2017z00_10375);
				}
				{	/* Ast/node.scm 65 */
					BgL_objectz00_bglt BgL_tmpz00_17483;

					BgL_tmpz00_17483 = ((BgL_objectz00_bglt) BgL_new1103z00_10374);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17483, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1103z00_10374);
				return BgL_new1103z00_10374;
			}
		}

	}



/* &lambda2014 */
	BgL_closurez00_bglt BGl_z62lambda2014z62zzast_nodez00(obj_t BgL_envz00_8749,
		obj_t BgL_loc1100z00_8750, obj_t BgL_type1101z00_8751,
		obj_t BgL_variable1102z00_8752)
	{
		{	/* Ast/node.scm 65 */
			{	/* Ast/node.scm 65 */
				BgL_closurez00_bglt BgL_new1526z00_10378;

				{	/* Ast/node.scm 65 */
					BgL_closurez00_bglt BgL_new1525z00_10379;

					BgL_new1525z00_10379 =
						((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/node.scm 65 */
						long BgL_arg2015z00_10380;

						BgL_arg2015z00_10380 = BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1525z00_10379),
							BgL_arg2015z00_10380);
					}
					{	/* Ast/node.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17491;

						BgL_tmpz00_17491 = ((BgL_objectz00_bglt) BgL_new1525z00_10379);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17491, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1525z00_10379);
					BgL_new1526z00_10378 = BgL_new1525z00_10379;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1526z00_10378)))->BgL_locz00) =
					((obj_t) BgL_loc1100z00_8750), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1526z00_10378)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1101z00_8751)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
									BgL_new1526z00_10378)))->BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1102z00_8752)), BUNSPEC);
				return BgL_new1526z00_10378;
			}
		}

	}



/* &<@anonymous:2008> */
	obj_t BGl_z62zc3z04anonymousza32008ze3ze5zzast_nodez00(obj_t BgL_envz00_8753,
		obj_t BgL_new1098z00_8754)
	{
		{	/* Ast/node.scm 64 */
			{
				BgL_refz00_bglt BgL_auxz00_17503;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_refz00_bglt) BgL_new1098z00_8754))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17507;

					{	/* Ast/node.scm 64 */
						obj_t BgL_classz00_10382;

						BgL_classz00_10382 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 64 */
							obj_t BgL__ortest_1112z00_10383;

							BgL__ortest_1112z00_10383 = BGL_CLASS_NIL(BgL_classz00_10382);
							if (CBOOL(BgL__ortest_1112z00_10383))
								{	/* Ast/node.scm 64 */
									BgL_auxz00_17507 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10383);
								}
							else
								{	/* Ast/node.scm 64 */
									BgL_auxz00_17507 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10382));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_refz00_bglt) BgL_new1098z00_8754))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17507), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_17517;

					{	/* Ast/node.scm 64 */
						obj_t BgL_classz00_10384;

						BgL_classz00_10384 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 64 */
							obj_t BgL__ortest_1112z00_10385;

							BgL__ortest_1112z00_10385 = BGL_CLASS_NIL(BgL_classz00_10384);
							if (CBOOL(BgL__ortest_1112z00_10385))
								{	/* Ast/node.scm 64 */
									BgL_auxz00_17517 =
										((BgL_variablez00_bglt) BgL__ortest_1112z00_10385);
								}
							else
								{	/* Ast/node.scm 64 */
									BgL_auxz00_17517 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10384));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_refz00_bglt) BgL_new1098z00_8754))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_17517), BUNSPEC);
				}
				BgL_auxz00_17503 = ((BgL_refz00_bglt) BgL_new1098z00_8754);
				return ((obj_t) BgL_auxz00_17503);
			}
		}

	}



/* &lambda2006 */
	BgL_refz00_bglt BGl_z62lambda2006z62zzast_nodez00(obj_t BgL_envz00_8755)
	{
		{	/* Ast/node.scm 64 */
			{	/* Ast/node.scm 64 */
				BgL_refz00_bglt BgL_new1096z00_10386;

				BgL_new1096z00_10386 =
					((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_refz00_bgl))));
				{	/* Ast/node.scm 64 */
					long BgL_arg2007z00_10387;

					BgL_arg2007z00_10387 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1096z00_10386), BgL_arg2007z00_10387);
				}
				{	/* Ast/node.scm 64 */
					BgL_objectz00_bglt BgL_tmpz00_17533;

					BgL_tmpz00_17533 = ((BgL_objectz00_bglt) BgL_new1096z00_10386);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17533, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1096z00_10386);
				return BgL_new1096z00_10386;
			}
		}

	}



/* &lambda2004 */
	BgL_refz00_bglt BGl_z62lambda2004z62zzast_nodez00(obj_t BgL_envz00_8756,
		obj_t BgL_loc1093z00_8757, obj_t BgL_type1094z00_8758,
		obj_t BgL_variable1095z00_8759)
	{
		{	/* Ast/node.scm 64 */
			{	/* Ast/node.scm 64 */
				BgL_refz00_bglt BgL_new1524z00_10390;

				{	/* Ast/node.scm 64 */
					BgL_refz00_bglt BgL_new1523z00_10391;

					BgL_new1523z00_10391 =
						((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_refz00_bgl))));
					{	/* Ast/node.scm 64 */
						long BgL_arg2005z00_10392;

						BgL_arg2005z00_10392 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1523z00_10391),
							BgL_arg2005z00_10392);
					}
					{	/* Ast/node.scm 64 */
						BgL_objectz00_bglt BgL_tmpz00_17541;

						BgL_tmpz00_17541 = ((BgL_objectz00_bglt) BgL_new1523z00_10391);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17541, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1523z00_10391);
					BgL_new1524z00_10390 = BgL_new1523z00_10391;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1524z00_10390)))->BgL_locz00) =
					((obj_t) BgL_loc1093z00_8757), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1524z00_10390)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1094z00_8758)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
									BgL_new1524z00_10390)))->BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1095z00_8759)), BUNSPEC);
				return BgL_new1524z00_10390;
			}
		}

	}



/* &<@anonymous:1993> */
	obj_t BGl_z62zc3z04anonymousza31993ze3ze5zzast_nodez00(obj_t BgL_envz00_8760,
		obj_t BgL_new1091z00_8761)
	{
		{	/* Ast/node.scm 60 */
			{
				BgL_varz00_bglt BgL_auxz00_17553;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_varz00_bglt) BgL_new1091z00_8761))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17557;

					{	/* Ast/node.scm 60 */
						obj_t BgL_classz00_10394;

						BgL_classz00_10394 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 60 */
							obj_t BgL__ortest_1112z00_10395;

							BgL__ortest_1112z00_10395 = BGL_CLASS_NIL(BgL_classz00_10394);
							if (CBOOL(BgL__ortest_1112z00_10395))
								{	/* Ast/node.scm 60 */
									BgL_auxz00_17557 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10395);
								}
							else
								{	/* Ast/node.scm 60 */
									BgL_auxz00_17557 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10394));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_varz00_bglt) BgL_new1091z00_8761))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17557), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_17567;

					{	/* Ast/node.scm 60 */
						obj_t BgL_classz00_10396;

						BgL_classz00_10396 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 60 */
							obj_t BgL__ortest_1112z00_10397;

							BgL__ortest_1112z00_10397 = BGL_CLASS_NIL(BgL_classz00_10396);
							if (CBOOL(BgL__ortest_1112z00_10397))
								{	/* Ast/node.scm 60 */
									BgL_auxz00_17567 =
										((BgL_variablez00_bglt) BgL__ortest_1112z00_10397);
								}
							else
								{	/* Ast/node.scm 60 */
									BgL_auxz00_17567 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10396));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_new1091z00_8761)))->BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_17567), BUNSPEC);
				}
				BgL_auxz00_17553 = ((BgL_varz00_bglt) BgL_new1091z00_8761);
				return ((obj_t) BgL_auxz00_17553);
			}
		}

	}



/* &lambda1991 */
	BgL_varz00_bglt BGl_z62lambda1991z62zzast_nodez00(obj_t BgL_envz00_8762)
	{
		{	/* Ast/node.scm 60 */
			{	/* Ast/node.scm 60 */
				BgL_varz00_bglt BgL_new1090z00_10398;

				BgL_new1090z00_10398 =
					((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_varz00_bgl))));
				{	/* Ast/node.scm 60 */
					long BgL_arg1992z00_10399;

					BgL_arg1992z00_10399 = BGL_CLASS_NUM(BGl_varz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1090z00_10398), BgL_arg1992z00_10399);
				}
				return BgL_new1090z00_10398;
			}
		}

	}



/* &lambda1998 */
	obj_t BGl_z62lambda1998z62zzast_nodez00(obj_t BgL_envz00_8763,
		obj_t BgL_oz00_8764, obj_t BgL_vz00_8765)
	{
		{	/* Ast/node.scm 60 */
			return
				((((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_oz00_8764)))->BgL_variablez00) =
				((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_8765)),
				BUNSPEC);
		}

	}



/* &lambda1997 */
	BgL_variablez00_bglt BGl_z62lambda1997z62zzast_nodez00(obj_t BgL_envz00_8766,
		obj_t BgL_oz00_8767)
	{
		{	/* Ast/node.scm 60 */
			return
				(((BgL_varz00_bglt) COBJECT(
						((BgL_varz00_bglt) BgL_oz00_8767)))->BgL_variablez00);
		}

	}



/* &<@anonymous:1967> */
	obj_t BGl_z62zc3z04anonymousza31967ze3ze5zzast_nodez00(obj_t BgL_envz00_8768,
		obj_t BgL_new1088z00_8769)
	{
		{	/* Ast/node.scm 54 */
			{
				BgL_patchz00_bglt BgL_auxz00_17587;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_patchz00_bglt) BgL_new1088z00_8769))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17591;

					{	/* Ast/node.scm 54 */
						obj_t BgL_classz00_10404;

						BgL_classz00_10404 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 54 */
							obj_t BgL__ortest_1112z00_10405;

							BgL__ortest_1112z00_10405 = BGL_CLASS_NIL(BgL_classz00_10404);
							if (CBOOL(BgL__ortest_1112z00_10405))
								{	/* Ast/node.scm 54 */
									BgL_auxz00_17591 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10405);
								}
							else
								{	/* Ast/node.scm 54 */
									BgL_auxz00_17591 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10404));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_patchz00_bglt) BgL_new1088z00_8769))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17591), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_patchz00_bglt) BgL_new1088z00_8769))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_17604;

					{	/* Ast/node.scm 54 */
						obj_t BgL_classz00_10406;

						BgL_classz00_10406 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 54 */
							obj_t BgL__ortest_1112z00_10407;

							BgL__ortest_1112z00_10407 = BGL_CLASS_NIL(BgL_classz00_10406);
							if (CBOOL(BgL__ortest_1112z00_10407))
								{	/* Ast/node.scm 54 */
									BgL_auxz00_17604 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_10407);
								}
							else
								{	/* Ast/node.scm 54 */
									BgL_auxz00_17604 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10406));
								}
						}
					}
					((((BgL_patchz00_bglt) COBJECT(
									((BgL_patchz00_bglt) BgL_new1088z00_8769)))->BgL_refz00) =
						((BgL_varz00_bglt) BgL_auxz00_17604), BUNSPEC);
				}
				((((BgL_patchz00_bglt) COBJECT(
								((BgL_patchz00_bglt) BgL_new1088z00_8769)))->BgL_indexz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1088z00_8769)))->BgL_patchidz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17587 = ((BgL_patchz00_bglt) BgL_new1088z00_8769);
				return ((obj_t) BgL_auxz00_17587);
			}
		}

	}



/* &lambda1965 */
	BgL_patchz00_bglt BGl_z62lambda1965z62zzast_nodez00(obj_t BgL_envz00_8770)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				BgL_patchz00_bglt BgL_new1087z00_10408;

				BgL_new1087z00_10408 =
					((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_patchz00_bgl))));
				{	/* Ast/node.scm 54 */
					long BgL_arg1966z00_10409;

					BgL_arg1966z00_10409 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1087z00_10408), BgL_arg1966z00_10409);
				}
				{	/* Ast/node.scm 54 */
					BgL_objectz00_bglt BgL_tmpz00_17623;

					BgL_tmpz00_17623 = ((BgL_objectz00_bglt) BgL_new1087z00_10408);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17623, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1087z00_10408);
				return BgL_new1087z00_10408;
			}
		}

	}



/* &lambda1962 */
	BgL_patchz00_bglt BGl_z62lambda1962z62zzast_nodez00(obj_t BgL_envz00_8771,
		obj_t BgL_loc1081z00_8772, obj_t BgL_type1082z00_8773,
		obj_t BgL_value1083z00_8774, obj_t BgL_ref1084z00_8775,
		obj_t BgL_index1085z00_8776, obj_t BgL_patchid1086z00_8777)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				long BgL_index1085z00_10412;

				BgL_index1085z00_10412 = (long) CINT(BgL_index1085z00_8776);
				{	/* Ast/node.scm 54 */
					BgL_patchz00_bglt BgL_new1522z00_10413;

					{	/* Ast/node.scm 54 */
						BgL_patchz00_bglt BgL_new1521z00_10414;

						BgL_new1521z00_10414 =
							((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_patchz00_bgl))));
						{	/* Ast/node.scm 54 */
							long BgL_arg1964z00_10415;

							BgL_arg1964z00_10415 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1521z00_10414),
								BgL_arg1964z00_10415);
						}
						{	/* Ast/node.scm 54 */
							BgL_objectz00_bglt BgL_tmpz00_17632;

							BgL_tmpz00_17632 = ((BgL_objectz00_bglt) BgL_new1521z00_10414);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17632, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1521z00_10414);
						BgL_new1522z00_10413 = BgL_new1521z00_10414;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1522z00_10413)))->BgL_locz00) =
						((obj_t) BgL_loc1081z00_8772), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1522z00_10413)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1082z00_8773)),
						BUNSPEC);
					((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
										BgL_new1522z00_10413)))->BgL_valuez00) =
						((obj_t) BgL_value1083z00_8774), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1522z00_10413))->BgL_refz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_ref1084z00_8775)),
						BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1522z00_10413))->BgL_indexz00) =
						((long) BgL_index1085z00_10412), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1522z00_10413))->
							BgL_patchidz00) = ((obj_t) BgL_patchid1086z00_8777), BUNSPEC);
					return BgL_new1522z00_10413;
				}
			}
		}

	}



/* &<@anonymous:1986> */
	obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzast_nodez00(obj_t BgL_envz00_8778)
	{
		{	/* Ast/node.scm 54 */
			return BUNSPEC;
		}

	}



/* &lambda1985 */
	obj_t BGl_z62lambda1985z62zzast_nodez00(obj_t BgL_envz00_8779,
		obj_t BgL_oz00_8780, obj_t BgL_vz00_8781)
	{
		{	/* Ast/node.scm 54 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_8780)))->BgL_patchidz00) =
				((obj_t) BgL_vz00_8781), BUNSPEC);
		}

	}



/* &lambda1984 */
	obj_t BGl_z62lambda1984z62zzast_nodez00(obj_t BgL_envz00_8782,
		obj_t BgL_oz00_8783)
	{
		{	/* Ast/node.scm 54 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_8783)))->BgL_patchidz00);
		}

	}



/* &<@anonymous:1979> */
	obj_t BGl_z62zc3z04anonymousza31979ze3ze5zzast_nodez00(obj_t BgL_envz00_8784)
	{
		{	/* Ast/node.scm 54 */
			return BINT(((long) -1));
		}

	}



/* &lambda1978 */
	obj_t BGl_z62lambda1978z62zzast_nodez00(obj_t BgL_envz00_8785,
		obj_t BgL_oz00_8786, obj_t BgL_vz00_8787)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				long BgL_vz00_10419;

				BgL_vz00_10419 = (long) CINT(BgL_vz00_8787);
				return
					((((BgL_patchz00_bglt) COBJECT(
								((BgL_patchz00_bglt) BgL_oz00_8786)))->BgL_indexz00) =
					((long) BgL_vz00_10419), BUNSPEC);
		}}

	}



/* &lambda1977 */
	obj_t BGl_z62lambda1977z62zzast_nodez00(obj_t BgL_envz00_8788,
		obj_t BgL_oz00_8789)
	{
		{	/* Ast/node.scm 54 */
			return
				BINT(
				(((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_8789)))->BgL_indexz00));
		}

	}



/* &lambda1972 */
	obj_t BGl_z62lambda1972z62zzast_nodez00(obj_t BgL_envz00_8790,
		obj_t BgL_oz00_8791, obj_t BgL_vz00_8792)
	{
		{	/* Ast/node.scm 54 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_8791)))->BgL_refz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8792)), BUNSPEC);
		}

	}



/* &lambda1971 */
	BgL_varz00_bglt BGl_z62lambda1971z62zzast_nodez00(obj_t BgL_envz00_8793,
		obj_t BgL_oz00_8794)
	{
		{	/* Ast/node.scm 54 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_8794)))->BgL_refz00);
		}

	}



/* &<@anonymous:1956> */
	obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzast_nodez00(obj_t BgL_envz00_8795,
		obj_t BgL_new1079z00_8796)
	{
		{	/* Ast/node.scm 51 */
			{
				BgL_literalz00_bglt BgL_auxz00_17663;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_literalz00_bglt) BgL_new1079z00_8796))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17667;

					{	/* Ast/node.scm 51 */
						obj_t BgL_classz00_10425;

						BgL_classz00_10425 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 51 */
							obj_t BgL__ortest_1112z00_10426;

							BgL__ortest_1112z00_10426 = BGL_CLASS_NIL(BgL_classz00_10425);
							if (CBOOL(BgL__ortest_1112z00_10426))
								{	/* Ast/node.scm 51 */
									BgL_auxz00_17667 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10426);
								}
							else
								{	/* Ast/node.scm 51 */
									BgL_auxz00_17667 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10425));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_literalz00_bglt) BgL_new1079z00_8796))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17667), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_literalz00_bglt) BgL_new1079z00_8796))))->
						BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17663 = ((BgL_literalz00_bglt) BgL_new1079z00_8796);
				return ((obj_t) BgL_auxz00_17663);
			}
		}

	}



/* &lambda1954 */
	BgL_literalz00_bglt BGl_z62lambda1954z62zzast_nodez00(obj_t BgL_envz00_8797)
	{
		{	/* Ast/node.scm 51 */
			{	/* Ast/node.scm 51 */
				BgL_literalz00_bglt BgL_new1078z00_10427;

				BgL_new1078z00_10427 =
					((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalz00_bgl))));
				{	/* Ast/node.scm 51 */
					long BgL_arg1955z00_10428;

					BgL_arg1955z00_10428 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1078z00_10427), BgL_arg1955z00_10428);
				}
				{	/* Ast/node.scm 51 */
					BgL_objectz00_bglt BgL_tmpz00_17686;

					BgL_tmpz00_17686 = ((BgL_objectz00_bglt) BgL_new1078z00_10427);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17686, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1078z00_10427);
				return BgL_new1078z00_10427;
			}
		}

	}



/* &lambda1952 */
	BgL_literalz00_bglt BGl_z62lambda1952z62zzast_nodez00(obj_t BgL_envz00_8798,
		obj_t BgL_loc1075z00_8799, obj_t BgL_type1076z00_8800,
		obj_t BgL_value1077z00_8801)
	{
		{	/* Ast/node.scm 51 */
			{	/* Ast/node.scm 51 */
				BgL_literalz00_bglt BgL_new1520z00_10430;

				{	/* Ast/node.scm 51 */
					BgL_literalz00_bglt BgL_new1519z00_10431;

					BgL_new1519z00_10431 =
						((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalz00_bgl))));
					{	/* Ast/node.scm 51 */
						long BgL_arg1953z00_10432;

						BgL_arg1953z00_10432 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1519z00_10431),
							BgL_arg1953z00_10432);
					}
					{	/* Ast/node.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_17694;

						BgL_tmpz00_17694 = ((BgL_objectz00_bglt) BgL_new1519z00_10431);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17694, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1519z00_10431);
					BgL_new1520z00_10430 = BgL_new1519z00_10431;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1520z00_10430)))->BgL_locz00) =
					((obj_t) BgL_loc1075z00_8799), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1520z00_10430)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1076z00_8800)),
					BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1520z00_10430)))->BgL_valuez00) =
					((obj_t) BgL_value1077z00_8801), BUNSPEC);
				return BgL_new1520z00_10430;
			}
		}

	}



/* &<@anonymous:1941> */
	obj_t BGl_z62zc3z04anonymousza31941ze3ze5zzast_nodez00(obj_t BgL_envz00_8802,
		obj_t BgL_new1073z00_8803)
	{
		{	/* Ast/node.scm 46 */
			{
				BgL_atomz00_bglt BgL_auxz00_17705;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_atomz00_bglt) BgL_new1073z00_8803))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17709;

					{	/* Ast/node.scm 46 */
						obj_t BgL_classz00_10434;

						BgL_classz00_10434 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 46 */
							obj_t BgL__ortest_1112z00_10435;

							BgL__ortest_1112z00_10435 = BGL_CLASS_NIL(BgL_classz00_10434);
							if (CBOOL(BgL__ortest_1112z00_10435))
								{	/* Ast/node.scm 46 */
									BgL_auxz00_17709 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10435);
								}
							else
								{	/* Ast/node.scm 46 */
									BgL_auxz00_17709 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10434));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_atomz00_bglt) BgL_new1073z00_8803))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17709), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt) BgL_new1073z00_8803)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17705 = ((BgL_atomz00_bglt) BgL_new1073z00_8803);
				return ((obj_t) BgL_auxz00_17705);
			}
		}

	}



/* &lambda1939 */
	BgL_atomz00_bglt BGl_z62lambda1939z62zzast_nodez00(obj_t BgL_envz00_8804)
	{
		{	/* Ast/node.scm 46 */
			{	/* Ast/node.scm 46 */
				BgL_atomz00_bglt BgL_new1072z00_10436;

				BgL_new1072z00_10436 =
					((BgL_atomz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_atomz00_bgl))));
				{	/* Ast/node.scm 46 */
					long BgL_arg1940z00_10437;

					BgL_arg1940z00_10437 = BGL_CLASS_NUM(BGl_atomz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1072z00_10436), BgL_arg1940z00_10437);
				}
				return BgL_new1072z00_10436;
			}
		}

	}



/* &lambda1946 */
	obj_t BGl_z62lambda1946z62zzast_nodez00(obj_t BgL_envz00_8805,
		obj_t BgL_oz00_8806, obj_t BgL_vz00_8807)
	{
		{	/* Ast/node.scm 46 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_8806)))->BgL_valuez00) =
				((obj_t) BgL_vz00_8807), BUNSPEC);
		}

	}



/* &lambda1945 */
	obj_t BGl_z62lambda1945z62zzast_nodez00(obj_t BgL_envz00_8808,
		obj_t BgL_oz00_8809)
	{
		{	/* Ast/node.scm 46 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_8809)))->BgL_valuez00);
		}

	}



/* &<@anonymous:1917> */
	obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzast_nodez00(obj_t BgL_envz00_8810,
		obj_t BgL_new1070z00_8811)
	{
		{	/* Ast/node.scm 37 */
			{
				BgL_nodezf2effectzf2_bglt BgL_auxz00_17731;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_nodezf2effectzf2_bglt) BgL_new1070z00_8811))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17735;

					{	/* Ast/node.scm 37 */
						obj_t BgL_classz00_10441;

						BgL_classz00_10441 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 37 */
							obj_t BgL__ortest_1112z00_10442;

							BgL__ortest_1112z00_10442 = BGL_CLASS_NIL(BgL_classz00_10441);
							if (CBOOL(BgL__ortest_1112z00_10442))
								{	/* Ast/node.scm 37 */
									BgL_auxz00_17735 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10442);
								}
							else
								{	/* Ast/node.scm 37 */
									BgL_auxz00_17735 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10441));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_nodezf2effectzf2_bglt) BgL_new1070z00_8811))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17735), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt) BgL_new1070z00_8811)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1070z00_8811)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17731 = ((BgL_nodezf2effectzf2_bglt) BgL_new1070z00_8811);
				return ((obj_t) BgL_auxz00_17731);
			}
		}

	}



/* &lambda1914 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda1914z62zzast_nodez00(obj_t
		BgL_envz00_8812)
	{
		{	/* Ast/node.scm 37 */
			{	/* Ast/node.scm 37 */
				BgL_nodezf2effectzf2_bglt BgL_new1069z00_10443;

				BgL_new1069z00_10443 =
					((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_nodezf2effectzf2_bgl))));
				{	/* Ast/node.scm 37 */
					long BgL_arg1916z00_10444;

					BgL_arg1916z00_10444 =
						BGL_CLASS_NUM(BGl_nodezf2effectzf2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1069z00_10443), BgL_arg1916z00_10444);
				}
				return BgL_new1069z00_10443;
			}
		}

	}



/* &lambda1912 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda1912z62zzast_nodez00(obj_t
		BgL_envz00_8813, obj_t BgL_loc1065z00_8814, obj_t BgL_type1066z00_8815,
		obj_t BgL_sidezd2effect1067zd2_8816, obj_t BgL_key1068z00_8817)
	{
		{	/* Ast/node.scm 37 */
			{	/* Ast/node.scm 37 */
				BgL_nodezf2effectzf2_bglt BgL_new1518z00_10446;

				{	/* Ast/node.scm 37 */
					BgL_nodezf2effectzf2_bglt BgL_new1517z00_10447;

					BgL_new1517z00_10447 =
						((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/node.scm 37 */
						long BgL_arg1913z00_10448;

						BgL_arg1913z00_10448 =
							BGL_CLASS_NUM(BGl_nodezf2effectzf2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1517z00_10447),
							BgL_arg1913z00_10448);
					}
					BgL_new1518z00_10446 = BgL_new1517z00_10447;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1518z00_10446)))->BgL_locz00) =
					((obj_t) BgL_loc1065z00_8814), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1518z00_10446)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1066z00_8815)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1518z00_10446))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1067zd2_8816), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1518z00_10446))->
						BgL_keyz00) = ((obj_t) BgL_key1068z00_8817), BUNSPEC);
				return BgL_new1518z00_10446;
			}
		}

	}



/* &<@anonymous:1933> */
	obj_t BGl_z62zc3z04anonymousza31933ze3ze5zzast_nodez00(obj_t BgL_envz00_8818)
	{
		{	/* Ast/node.scm 37 */
			return BINT(((long) -1));
		}

	}



/* &lambda1932 */
	obj_t BGl_z62lambda1932z62zzast_nodez00(obj_t BgL_envz00_8819,
		obj_t BgL_oz00_8820, obj_t BgL_vz00_8821)
	{
		{	/* Ast/node.scm 37 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_8820)))->BgL_keyz00) =
				((obj_t) BgL_vz00_8821), BUNSPEC);
		}

	}



/* &lambda1931 */
	obj_t BGl_z62lambda1931z62zzast_nodez00(obj_t BgL_envz00_8822,
		obj_t BgL_oz00_8823)
	{
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_8823)))->BgL_keyz00);
		}

	}



/* &<@anonymous:1925> */
	obj_t BGl_z62zc3z04anonymousza31925ze3ze5zzast_nodez00(obj_t BgL_envz00_8824)
	{
		{	/* Ast/node.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda1924 */
	obj_t BGl_z62lambda1924z62zzast_nodez00(obj_t BgL_envz00_8825,
		obj_t BgL_oz00_8826, obj_t BgL_vz00_8827)
	{
		{	/* Ast/node.scm 37 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_8826)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_8827), BUNSPEC);
		}

	}



/* &lambda1923 */
	obj_t BGl_z62lambda1923z62zzast_nodez00(obj_t BgL_envz00_8828,
		obj_t BgL_oz00_8829)
	{
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_8829)))->
				BgL_sidezd2effectzd2);
		}

	}



/* &<@anonymous:1888> */
	obj_t BGl_z62zc3z04anonymousza31888ze3ze5zzast_nodez00(obj_t BgL_envz00_8830,
		obj_t BgL_new1063z00_8831)
	{
		{	/* Ast/node.scm 21 */
			{
				BgL_nodez00_bglt BgL_auxz00_17775;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1063z00_8831)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17778;

					{	/* Ast/node.scm 21 */
						obj_t BgL_classz00_10454;

						BgL_classz00_10454 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 21 */
							obj_t BgL__ortest_1112z00_10455;

							BgL__ortest_1112z00_10455 = BGL_CLASS_NIL(BgL_classz00_10454);
							if (CBOOL(BgL__ortest_1112z00_10455))
								{	/* Ast/node.scm 21 */
									BgL_auxz00_17778 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_10455);
								}
							else
								{	/* Ast/node.scm 21 */
									BgL_auxz00_17778 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10454));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1063z00_8831)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17778), BUNSPEC);
				}
				BgL_auxz00_17775 = ((BgL_nodez00_bglt) BgL_new1063z00_8831);
				return ((obj_t) BgL_auxz00_17775);
			}
		}

	}



/* &lambda1886 */
	BgL_nodez00_bglt BGl_z62lambda1886z62zzast_nodez00(obj_t BgL_envz00_8832)
	{
		{	/* Ast/node.scm 21 */
			{	/* Ast/node.scm 21 */
				BgL_nodez00_bglt BgL_new1062z00_10456;

				BgL_new1062z00_10456 =
					((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_nodez00_bgl))));
				{	/* Ast/node.scm 21 */
					long BgL_arg1887z00_10457;

					BgL_arg1887z00_10457 = BGL_CLASS_NUM(BGl_nodez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1062z00_10456), BgL_arg1887z00_10457);
				}
				return BgL_new1062z00_10456;
			}
		}

	}



/* &lambda1884 */
	BgL_nodez00_bglt BGl_z62lambda1884z62zzast_nodez00(obj_t BgL_envz00_8833,
		obj_t BgL_loc1060z00_8834, obj_t BgL_type1061z00_8835)
	{
		{	/* Ast/node.scm 21 */
			{	/* Ast/node.scm 21 */
				BgL_nodez00_bglt BgL_new1516z00_10459;

				{	/* Ast/node.scm 21 */
					BgL_nodez00_bglt BgL_new1515z00_10460;

					BgL_new1515z00_10460 =
						((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/node.scm 21 */
						long BgL_arg1885z00_10461;

						BgL_arg1885z00_10461 = BGL_CLASS_NUM(BGl_nodez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1515z00_10460),
							BgL_arg1885z00_10461);
					}
					BgL_new1516z00_10459 = BgL_new1515z00_10460;
				}
				((((BgL_nodez00_bglt) COBJECT(BgL_new1516z00_10459))->BgL_locz00) =
					((obj_t) BgL_loc1060z00_8834), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(BgL_new1516z00_10459))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1061z00_8835)),
					BUNSPEC);
				return BgL_new1516z00_10459;
			}
		}

	}



/* &lambda1906 */
	obj_t BGl_z62lambda1906z62zzast_nodez00(obj_t BgL_envz00_8836,
		obj_t BgL_oz00_8837, obj_t BgL_vz00_8838)
	{
		{	/* Ast/node.scm 21 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_8837)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8838)), BUNSPEC);
		}

	}



/* &lambda1905 */
	BgL_typez00_bglt BGl_z62lambda1905z62zzast_nodez00(obj_t BgL_envz00_8839,
		obj_t BgL_oz00_8840)
	{
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_8840)))->BgL_typez00);
		}

	}



/* &<@anonymous:1897> */
	obj_t BGl_z62zc3z04anonymousza31897ze3ze5zzast_nodez00(obj_t BgL_envz00_8841)
	{
		{	/* Ast/node.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1896 */
	obj_t BGl_z62lambda1896z62zzast_nodez00(obj_t BgL_envz00_8842,
		obj_t BgL_oz00_8843, obj_t BgL_vz00_8844)
	{
		{	/* Ast/node.scm 21 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_8843)))->BgL_locz00) =
				((obj_t) BgL_vz00_8844), BUNSPEC);
		}

	}



/* &lambda1895 */
	obj_t BGl_z62lambda1895z62zzast_nodez00(obj_t BgL_envz00_8845,
		obj_t BgL_oz00_8846)
	{
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_8846)))->BgL_locz00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_proc3343z00zzast_nodez00,
				BGl_nodez00zzast_nodez00, BGl_string3344z00zzast_nodez00);
		}

	}



/* &node-walk1716 */
	obj_t BGl_z62nodezd2walk1716zb0zzast_nodez00(obj_t BgL_envz00_8848,
		obj_t BgL_nodez00_8849, obj_t BgL_procz00_8850)
	{
		{	/* Ast/node.scm 311 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 95)),
				BGl_string3345z00zzast_nodez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_8849)));
		}

	}



/* node-walk */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt
		BgL_nodez00_1045, obj_t BgL_procz00_1046)
	{
		{	/* Ast/node.scm 311 */
			{	/* Ast/node.scm 311 */
				obj_t BgL_method1717z00_3600;

				{	/* Ast/node.scm 311 */
					obj_t BgL_res3028z00_6159;

					{	/* Ast/node.scm 311 */
						long BgL_objzd2classzd2numz00_6130;

						BgL_objzd2classzd2numz00_6130 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_1045));
						{	/* Ast/node.scm 311 */
							obj_t BgL_arg1829z00_6131;

							BgL_arg1829z00_6131 =
								PROCEDURE_REF(BGl_nodezd2walkzd2envz00zzast_nodez00,
								(int) (((long) 1)));
							{	/* Ast/node.scm 311 */
								int BgL_offsetz00_6134;

								BgL_offsetz00_6134 = (int) (BgL_objzd2classzd2numz00_6130);
								{	/* Ast/node.scm 311 */
									long BgL_offsetz00_6135;

									BgL_offsetz00_6135 =
										((long) (BgL_offsetz00_6134) - OBJECT_TYPE);
									{	/* Ast/node.scm 311 */
										long BgL_modz00_6136;

										BgL_modz00_6136 =
											(BgL_offsetz00_6135 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/node.scm 311 */
											long BgL_restz00_6138;

											BgL_restz00_6138 =
												(BgL_offsetz00_6135 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/node.scm 311 */

												{	/* Ast/node.scm 311 */
													obj_t BgL_bucketz00_6140;

													BgL_bucketz00_6140 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_6131), BgL_modz00_6136);
													BgL_res3028z00_6159 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6140), BgL_restz00_6138);
					}}}}}}}}
					BgL_method1717z00_3600 = BgL_res3028z00_6159;
				}
				return
					PROCEDURE_ENTRY(BgL_method1717z00_3600) (BgL_method1717z00_3600,
					((obj_t) BgL_nodez00_1045), BgL_procz00_1046, BEOA);
			}
		}

	}



/* &node-walk */
	obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t BgL_envz00_8851,
		obj_t BgL_nodez00_8852, obj_t BgL_procz00_8853)
	{
		{	/* Ast/node.scm 311 */
			return
				BGl_nodezd2walkzd2zzast_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_8852), BgL_procz00_8853);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc3346z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc3348z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3349z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3350z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc3351z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc3352z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3353z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc3354z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc3355z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc3356z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc3357z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3358z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc3359z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_switchz00zzast_nodez00,
				BGl_proc3360z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3361z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3362z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3363z00zzast_nodez00,
				BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc3364z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc3365z00zzast_nodez00, BGl_string3347z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3366z00zzast_nodez00,
				BGl_string3347z00zzast_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3367z00zzast_nodez00,
				BGl_string3347z00zzast_nodez00);
		}

	}



/* &node-walk-jump-ex-it1759 */
	obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it1759z62zzast_nodez00(obj_t
		BgL_envz00_8875, obj_t BgL_nodez00_8876, obj_t BgL_procz00_8877)
	{
		{	/* Ast/node.scm 475 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_8876)))->BgL_exitz00),
				((obj_t) BgL_procz00_8877));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_8876)))->BgL_valuez00),
				((obj_t) BgL_procz00_8877));
			{	/* Ast/node.scm 478 */
				obj_t BgL_tmpfunz00_17883;

				BgL_tmpfunz00_17883 = ((obj_t) BgL_procz00_8877);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_17883) (
					((obj_t) BgL_procz00_8877),
					((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_8876)), BEOA);
			}
		}

	}



/* &node-walk-set-ex-it1757 */
	obj_t BGl_z62nodezd2walkzd2setzd2exzd2it1757z62zzast_nodez00(obj_t
		BgL_envz00_8878, obj_t BgL_nodez00_8879, obj_t BgL_procz00_8880)
	{
		{	/* Ast/node.scm 468 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_8879)))->BgL_bodyz00),
				((obj_t) BgL_procz00_8880));
			{	/* Ast/node.scm 470 */
				obj_t BgL_tmpfunz00_17895;

				BgL_tmpfunz00_17895 = ((obj_t) BgL_procz00_8880);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_17895) (
					((obj_t) BgL_procz00_8880),
					((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_8879)), BEOA);
			}
		}

	}



/* &node-walk-let-var1755 */
	obj_t BGl_z62nodezd2walkzd2letzd2var1755zb0zzast_nodez00(obj_t
		BgL_envz00_8881, obj_t BgL_nodez00_8882, obj_t BgL_procz00_8883)
	{
		{	/* Ast/node.scm 457 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_8882)))->BgL_bodyz00),
				((obj_t) BgL_procz00_8883));
			{	/* Ast/node.scm 460 */
				obj_t BgL_g1629z00_10475;

				BgL_g1629z00_10475 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_8882)))->BgL_bindingsz00);
				{
					obj_t BgL_l1627z00_10477;

					BgL_l1627z00_10477 = BgL_g1629z00_10475;
				BgL_zc3z04anonymousza32958ze3z87_10476:
					if (PAIRP(BgL_l1627z00_10477))
						{	/* Ast/node.scm 460 */
							{	/* Ast/node.scm 461 */
								obj_t BgL_bindingz00_10478;

								BgL_bindingz00_10478 = CAR(BgL_l1627z00_10477);
								{	/* Ast/node.scm 461 */
									obj_t BgL_arg2961z00_10479;

									BgL_arg2961z00_10479 = CDR(((obj_t) BgL_bindingz00_10478));
									BGl_nodezd2walkzd2zzast_nodez00(
										((BgL_nodez00_bglt) BgL_arg2961z00_10479),
										((obj_t) BgL_procz00_8883));
								}
							}
							{
								obj_t BgL_l1627z00_17911;

								BgL_l1627z00_17911 = CDR(BgL_l1627z00_10477);
								BgL_l1627z00_10477 = BgL_l1627z00_17911;
								goto BgL_zc3z04anonymousza32958ze3z87_10476;
							}
						}
					else
						{	/* Ast/node.scm 460 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 463 */
				obj_t BgL_tmpfunz00_17919;

				BgL_tmpfunz00_17919 = ((obj_t) BgL_procz00_8883);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_17919) (
					((obj_t) BgL_procz00_8883),
					((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_8882)), BEOA);
			}
		}

	}



/* &node-walk-let-fun1753 */
	obj_t BGl_z62nodezd2walkzd2letzd2fun1753zb0zzast_nodez00(obj_t
		BgL_envz00_8884, obj_t BgL_nodez00_8885, obj_t BgL_procz00_8886)
	{
		{	/* Ast/node.scm 445 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_8885)))->BgL_bodyz00),
				((obj_t) BgL_procz00_8886));
			{	/* Ast/node.scm 448 */
				obj_t BgL_g1626z00_10482;

				BgL_g1626z00_10482 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_8885)))->BgL_localsz00);
				{
					obj_t BgL_l1624z00_10484;

					BgL_l1624z00_10484 = BgL_g1626z00_10482;
				BgL_zc3z04anonymousza32951ze3z87_10483:
					if (PAIRP(BgL_l1624z00_10484))
						{	/* Ast/node.scm 448 */
							{	/* Ast/node.scm 449 */
								obj_t BgL_localz00_10485;

								BgL_localz00_10485 = CAR(BgL_l1624z00_10484);
								{	/* Ast/node.scm 449 */
									BgL_valuez00_bglt BgL_sfunz00_10486;

									BgL_sfunz00_10486 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_10485))))->
										BgL_valuez00);
									{	/* Ast/node.scm 450 */
										obj_t BgL_arg2953z00_10487;

										BgL_arg2953z00_10487 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_10486)))->
											BgL_bodyz00);
										BGl_nodezd2walkzd2zzast_nodez00(((BgL_nodez00_bglt)
												BgL_arg2953z00_10487), ((obj_t) BgL_procz00_8886));
									}
								}
							}
							{
								obj_t BgL_l1624z00_17938;

								BgL_l1624z00_17938 = CDR(BgL_l1624z00_10484);
								BgL_l1624z00_10484 = BgL_l1624z00_17938;
								goto BgL_zc3z04anonymousza32951ze3z87_10483;
							}
						}
					else
						{	/* Ast/node.scm 448 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 452 */
				obj_t BgL_tmpfunz00_17946;

				BgL_tmpfunz00_17946 = ((obj_t) BgL_procz00_8886);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_17946) (
					((obj_t) BgL_procz00_8886),
					((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_8885)), BEOA);
			}
		}

	}



/* &node-walk-box-set!1751 */
	obj_t BGl_z62nodezd2walkzd2boxzd2setz121751za2zzast_nodez00(obj_t
		BgL_envz00_8887, obj_t BgL_nodez00_8888, obj_t BgL_procz00_8889)
	{
		{	/* Ast/node.scm 437 */
			{	/* Ast/node.scm 438 */
				BgL_varz00_bglt BgL_arg2948z00_10490;

				BgL_arg2948z00_10490 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_8888)))->BgL_varz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg2948z00_10490),
					((obj_t) BgL_procz00_8889));
			}
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_8888)))->BgL_valuez00),
				((obj_t) BgL_procz00_8889));
			{	/* Ast/node.scm 440 */
				obj_t BgL_tmpfunz00_17963;

				BgL_tmpfunz00_17963 = ((obj_t) BgL_procz00_8889);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_17963) (
					((obj_t) BgL_procz00_8889),
					((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_8888)), BEOA);
			}
		}

	}



/* &node-walk-box-ref1749 */
	obj_t BGl_z62nodezd2walkzd2boxzd2ref1749zb0zzast_nodez00(obj_t
		BgL_envz00_8890, obj_t BgL_nodez00_8891, obj_t BgL_procz00_8892)
	{
		{	/* Ast/node.scm 430 */
			{	/* Ast/node.scm 431 */
				BgL_varz00_bglt BgL_arg2947z00_10493;

				BgL_arg2947z00_10493 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_8891)))->BgL_varz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg2947z00_10493),
					((obj_t) BgL_procz00_8892));
			}
			{	/* Ast/node.scm 432 */
				obj_t BgL_tmpfunz00_17976;

				BgL_tmpfunz00_17976 = ((obj_t) BgL_procz00_8892);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_17976) (
					((obj_t) BgL_procz00_8892),
					((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_8891)), BEOA);
			}
		}

	}



/* &node-walk-make-box1747 */
	obj_t BGl_z62nodezd2walkzd2makezd2box1747zb0zzast_nodez00(obj_t
		BgL_envz00_8893, obj_t BgL_nodez00_8894, obj_t BgL_procz00_8895)
	{
		{	/* Ast/node.scm 423 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_8894)))->BgL_valuez00),
				((obj_t) BgL_procz00_8895));
			{	/* Ast/node.scm 425 */
				obj_t BgL_tmpfunz00_17988;

				BgL_tmpfunz00_17988 = ((obj_t) BgL_procz00_8895);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_17988) (
					((obj_t) BgL_procz00_8895),
					((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_8894)), BEOA);
			}
		}

	}



/* &node-walk-switch1745 */
	obj_t BGl_z62nodezd2walkzd2switch1745z62zzast_nodez00(obj_t BgL_envz00_8896,
		obj_t BgL_nodez00_8897, obj_t BgL_procz00_8898)
	{
		{	/* Ast/node.scm 413 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_8897)))->BgL_testz00),
				((obj_t) BgL_procz00_8898));
			{	/* Ast/node.scm 415 */
				obj_t BgL_g1623z00_10498;

				BgL_g1623z00_10498 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_8897)))->BgL_clausesz00);
				{
					obj_t BgL_l1621z00_10500;

					BgL_l1621z00_10500 = BgL_g1623z00_10498;
				BgL_zc3z04anonymousza32942ze3z87_10499:
					if (PAIRP(BgL_l1621z00_10500))
						{	/* Ast/node.scm 417 */
							{	/* Ast/node.scm 416 */
								obj_t BgL_clausez00_10501;

								BgL_clausez00_10501 = CAR(BgL_l1621z00_10500);
								{	/* Ast/node.scm 416 */
									obj_t BgL_arg2944z00_10502;

									BgL_arg2944z00_10502 = CDR(((obj_t) BgL_clausez00_10501));
									BGl_nodezd2walkzd2zzast_nodez00(
										((BgL_nodez00_bglt) BgL_arg2944z00_10502),
										((obj_t) BgL_procz00_8898));
								}
							}
							{
								obj_t BgL_l1621z00_18004;

								BgL_l1621z00_18004 = CDR(BgL_l1621z00_10500);
								BgL_l1621z00_10500 = BgL_l1621z00_18004;
								goto BgL_zc3z04anonymousza32942ze3z87_10499;
							}
						}
					else
						{	/* Ast/node.scm 417 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 418 */
				obj_t BgL_tmpfunz00_18012;

				BgL_tmpfunz00_18012 = ((obj_t) BgL_procz00_8898);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18012) (
					((obj_t) BgL_procz00_8898),
					((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_8897)), BEOA);
			}
		}

	}



/* &node-walk-fail1743 */
	obj_t BGl_z62nodezd2walkzd2fail1743z62zzast_nodez00(obj_t BgL_envz00_8899,
		obj_t BgL_nodez00_8900, obj_t BgL_procz00_8901)
	{
		{	/* Ast/node.scm 404 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_8900)))->BgL_procz00),
				((obj_t) BgL_procz00_8901));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_8900)))->BgL_msgz00),
				((obj_t) BgL_procz00_8901));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_8900)))->BgL_objz00),
				((obj_t) BgL_procz00_8901));
			{	/* Ast/node.scm 408 */
				obj_t BgL_tmpfunz00_18032;

				BgL_tmpfunz00_18032 = ((obj_t) BgL_procz00_8901);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18032) (
					((obj_t) BgL_procz00_8901),
					((obj_t) ((BgL_failz00_bglt) BgL_nodez00_8900)), BEOA);
			}
		}

	}



/* &node-walk-conditiona1741 */
	obj_t BGl_z62nodezd2walkzd2conditiona1741z62zzast_nodez00(obj_t
		BgL_envz00_8902, obj_t BgL_nodez00_8903, obj_t BgL_procz00_8904)
	{
		{	/* Ast/node.scm 395 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_8903)))->BgL_testz00),
				((obj_t) BgL_procz00_8904));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_8903)))->BgL_truez00),
				((obj_t) BgL_procz00_8904));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_8903)))->BgL_falsez00),
				((obj_t) BgL_procz00_8904));
			{	/* Ast/node.scm 399 */
				obj_t BgL_tmpfunz00_18052;

				BgL_tmpfunz00_18052 = ((obj_t) BgL_procz00_8904);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18052) (
					((obj_t) BgL_procz00_8904),
					((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_8903)), BEOA);
			}
		}

	}



/* &node-walk-setq1739 */
	obj_t BGl_z62nodezd2walkzd2setq1739z62zzast_nodez00(obj_t BgL_envz00_8905,
		obj_t BgL_nodez00_8906, obj_t BgL_procz00_8907)
	{
		{	/* Ast/node.scm 388 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_8906)))->BgL_valuez00),
				((obj_t) BgL_procz00_8907));
			{	/* Ast/node.scm 390 */
				obj_t BgL_tmpfunz00_18064;

				BgL_tmpfunz00_18064 = ((obj_t) BgL_procz00_8907);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18064) (
					((obj_t) BgL_procz00_8907),
					((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_8906)), BEOA);
			}
		}

	}



/* &node-walk-cast1737 */
	obj_t BGl_z62nodezd2walkzd2cast1737z62zzast_nodez00(obj_t BgL_envz00_8908,
		obj_t BgL_nodez00_8909, obj_t BgL_procz00_8910)
	{
		{	/* Ast/node.scm 381 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_8909)))->BgL_argz00),
				((obj_t) BgL_procz00_8910));
			{	/* Ast/node.scm 383 */
				obj_t BgL_tmpfunz00_18076;

				BgL_tmpfunz00_18076 = ((obj_t) BgL_procz00_8910);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18076) (
					((obj_t) BgL_procz00_8910),
					((obj_t) ((BgL_castz00_bglt) BgL_nodez00_8909)), BEOA);
			}
		}

	}



/* &node-walk-extern1735 */
	obj_t BGl_z62nodezd2walkzd2extern1735z62zzast_nodez00(obj_t BgL_envz00_8911,
		obj_t BgL_nodez00_8912, obj_t BgL_procz00_8913)
	{
		{	/* Ast/node.scm 374 */
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_8912)))->BgL_exprza2za2),
				((obj_t) BgL_procz00_8913));
			{	/* Ast/node.scm 376 */
				obj_t BgL_tmpfunz00_18088;

				BgL_tmpfunz00_18088 = ((obj_t) BgL_procz00_8913);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18088) (
					((obj_t) BgL_procz00_8913),
					((obj_t) ((BgL_externz00_bglt) BgL_nodez00_8912)), BEOA);
			}
		}

	}



/* &node-walk-funcall1733 */
	obj_t BGl_z62nodezd2walkzd2funcall1733z62zzast_nodez00(obj_t BgL_envz00_8914,
		obj_t BgL_nodez00_8915, obj_t BgL_procz00_8916)
	{
		{	/* Ast/node.scm 366 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_8915)))->BgL_funz00),
				((obj_t) BgL_procz00_8916));
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_8915)))->BgL_argsz00),
				((obj_t) BgL_procz00_8916));
			{	/* Ast/node.scm 369 */
				obj_t BgL_tmpfunz00_18104;

				BgL_tmpfunz00_18104 = ((obj_t) BgL_procz00_8916);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18104) (
					((obj_t) BgL_procz00_8916),
					((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_8915)), BEOA);
			}
		}

	}



/* &node-walk-app-ly1731 */
	obj_t BGl_z62nodezd2walkzd2appzd2ly1731zb0zzast_nodez00(obj_t BgL_envz00_8917,
		obj_t BgL_nodez00_8918, obj_t BgL_procz00_8919)
	{
		{	/* Ast/node.scm 358 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_8918)))->BgL_funz00),
				((obj_t) BgL_procz00_8919));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_8918)))->BgL_argz00),
				((obj_t) BgL_procz00_8919));
			{	/* Ast/node.scm 361 */
				obj_t BgL_tmpfunz00_18120;

				BgL_tmpfunz00_18120 = ((obj_t) BgL_procz00_8919);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18120) (
					((obj_t) BgL_procz00_8919),
					((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_8918)), BEOA);
			}
		}

	}



/* &node-walk-app1729 */
	obj_t BGl_z62nodezd2walkzd2app1729z62zzast_nodez00(obj_t BgL_envz00_8920,
		obj_t BgL_nodez00_8921, obj_t BgL_procz00_8922)
	{
		{	/* Ast/node.scm 350 */
			{	/* Ast/node.scm 351 */
				BgL_varz00_bglt BgL_arg2923z00_10519;

				BgL_arg2923z00_10519 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_8921)))->BgL_funz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg2923z00_10519),
					((obj_t) BgL_procz00_8922));
			}
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_8921)))->BgL_argsz00),
				((obj_t) BgL_procz00_8922));
			{	/* Ast/node.scm 353 */
				obj_t BgL_tmpfunz00_18137;

				BgL_tmpfunz00_18137 = ((obj_t) BgL_procz00_8922);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18137) (
					((obj_t) BgL_procz00_8922),
					((obj_t) ((BgL_appz00_bglt) BgL_nodez00_8921)), BEOA);
			}
		}

	}



/* &node-walk-sync1727 */
	obj_t BGl_z62nodezd2walkzd2sync1727z62zzast_nodez00(obj_t BgL_envz00_8923,
		obj_t BgL_nodez00_8924, obj_t BgL_procz00_8925)
	{
		{	/* Ast/node.scm 341 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_8924)))->BgL_mutexz00),
				((obj_t) BgL_procz00_8925));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_8924)))->BgL_prelockz00),
				((obj_t) BgL_procz00_8925));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_8924)))->BgL_bodyz00),
				((obj_t) BgL_procz00_8925));
			{	/* Ast/node.scm 345 */
				obj_t BgL_tmpfunz00_18157;

				BgL_tmpfunz00_18157 = ((obj_t) BgL_procz00_8925);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18157) (
					((obj_t) BgL_procz00_8925),
					((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_8924)), BEOA);
			}
		}

	}



/* &node-walk-sequence1725 */
	obj_t BGl_z62nodezd2walkzd2sequence1725z62zzast_nodez00(obj_t BgL_envz00_8926,
		obj_t BgL_nodez00_8927, obj_t BgL_procz00_8928)
	{
		{	/* Ast/node.scm 334 */
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_8927)))->BgL_nodesz00),
				((obj_t) BgL_procz00_8928));
			{	/* Ast/node.scm 336 */
				obj_t BgL_tmpfunz00_18169;

				BgL_tmpfunz00_18169 = ((obj_t) BgL_procz00_8928);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18169) (
					((obj_t) BgL_procz00_8928),
					((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_8927)), BEOA);
			}
		}

	}



/* &node-walk-kwote1723 */
	obj_t BGl_z62nodezd2walkzd2kwote1723z62zzast_nodez00(obj_t BgL_envz00_8929,
		obj_t BgL_nodez00_8930, obj_t BgL_procz00_8931)
	{
		{	/* Ast/node.scm 328 */
			{	/* Ast/node.scm 329 */
				obj_t BgL_tmpfunz00_18177;

				BgL_tmpfunz00_18177 = ((obj_t) BgL_procz00_8931);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18177) (
					((obj_t) BgL_procz00_8931),
					((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_8930)), BEOA);
			}
		}

	}



/* &node-walk-var1721 */
	obj_t BGl_z62nodezd2walkzd2var1721z62zzast_nodez00(obj_t BgL_envz00_8932,
		obj_t BgL_nodez00_8933, obj_t BgL_procz00_8934)
	{
		{	/* Ast/node.scm 322 */
			{	/* Ast/node.scm 323 */
				obj_t BgL_tmpfunz00_18185;

				BgL_tmpfunz00_18185 = ((obj_t) BgL_procz00_8934);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18185) (
					((obj_t) BgL_procz00_8934),
					((obj_t) ((BgL_varz00_bglt) BgL_nodez00_8933)), BEOA);
			}
		}

	}



/* &node-walk-atom1719 */
	obj_t BGl_z62nodezd2walkzd2atom1719z62zzast_nodez00(obj_t BgL_envz00_8935,
		obj_t BgL_nodez00_8936, obj_t BgL_procz00_8937)
	{
		{	/* Ast/node.scm 316 */
			{	/* Ast/node.scm 317 */
				obj_t BgL_tmpfunz00_18193;

				BgL_tmpfunz00_18193 = ((obj_t) BgL_procz00_8937);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_18193) (
					((obj_t) BgL_procz00_8937),
					((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_8936)), BEOA);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3368z00zzast_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3368z00zzast_nodez00));
		}

	}

#ifdef __cplusplus
}
#endif
